


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'PimTopologyEntryFlagEnum' : _MetaInfoEnum('PimTopologyEntryFlagEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper',
        {
            'kat':'kat',
            'aa':'aa',
            'pa':'pa',
            'ra':'ra',
            'ia':'ia',
            'rr':'rr',
            'lh':'lh',
            'dss':'dss',
            'dcc':'dcc',
            'sr':'sr',
            'e':'e',
            'ex':'ex',
            'ma':'ma',
            'mt':'mt',
            'mfa':'mfa',
            'mfp':'mfp',
            'mfb':'mfb',
        }, 'Cisco-IOS-XR-ipv4-pim-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper']),
    'PimAfiEnum' : _MetaInfoEnum('PimAfiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper',
        {
            'ipv4-unicast':'ipv4_unicast',
            'ipv6-unicast':'ipv6_unicast',
        }, 'Cisco-IOS-XR-ipv4-pim-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper']),
    'PimInterfaceEnum' : _MetaInfoEnum('PimInterfaceEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper',
        {
            'encap-interface':'encap_interface',
            'decap-interface':'decap_interface',
            'mdt-interface':'mdt_interface',
        }, 'Cisco-IOS-XR-ipv4-pim-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper']),
    'PimShowRangeClientEnum' : _MetaInfoEnum('PimShowRangeClientEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper',
        {
            'no-client':'no_client',
            'embedded-config':'embedded_config',
            'embedded':'embedded',
            'permanent':'permanent',
            'auto-rp':'auto_rp',
            'bsr':'bsr',
            'config':'config',
            'static':'static',
        }, 'Cisco-IOS-XR-ipv4-pim-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper']),
    'PimProtocolEnum' : _MetaInfoEnum('PimProtocolEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper',
        {
            'non-routable':'non_routable',
            'sparse-mode':'sparse_mode',
            'dense-mode':'dense_mode',
            'bidir':'bidir',
            'ssm':'ssm',
            'maximum':'maximum',
            'any':'any',
        }, 'Cisco-IOS-XR-ipv4-pim-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper']),
    'PimSafiEnum' : _MetaInfoEnum('PimSafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper',
        {
            'unicast':'unicast',
            'multicast':'multicast',
            'all':'all',
            'default':'default',
        }, 'Cisco-IOS-XR-ipv4-pim-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper']),
    'PimClientEnum' : _MetaInfoEnum('PimClientEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper',
        {
            'none':'none',
            'configured-embedded-rp':'configured_embedded_rp',
            'embedded':'embedded',
            'permanent':'permanent',
            'auto-rp':'auto_rp',
            'bsr':'bsr',
            'configured':'configured',
            'static':'static',
        }, 'Cisco-IOS-XR-ipv4-pim-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper']),
    'PimShowProtocolEnum' : _MetaInfoEnum('PimShowProtocolEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper',
        {
            'no-route':'no_route',
            'sm':'sm',
            'dm':'dm',
            'bidir':'bidir',
            'ssm':'ssm',
            'maximum':'maximum',
            'any':'any',
        }, 'Cisco-IOS-XR-ipv4-pim-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper']),
    'PimTopologyInterfaceFlagEnum' : _MetaInfoEnum('PimTopologyInterfaceFlagEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper',
        {
            'lh':'lh',
            'ld':'ld',
            'li':'li',
            'ii':'ii',
            'id':'id',
            'as':'as_',
            'ab':'ab',
            'ex':'ex',
        }, 'Cisco-IOS-XR-ipv4-pim-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper']),
    'PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress' : {
        'meta_info' : _MetaInfoClass('PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress' : {
        'meta_info' : _MetaInfoClass('PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle' : {
        'meta_info' : _MetaInfoClass('PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle',
            False, 
            [
            _MetaInfoClassMember('interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Interface handle
                ''',
                'interface_handle',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'PimInterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimInterfaceEnum', 
                [], [], 
                '''                Interface Type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-handle',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Active.InterfaceTable.InterfaceByHandles' : {
        'meta_info' : _MetaInfoClass('PimMa.Active.InterfaceTable.InterfaceByHandles',
            False, 
            [
            _MetaInfoClassMember('interface-by-handle', REFERENCE_LIST, 'InterfaceByHandle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle', 
                [], [], 
                '''                PIM MA interface referenced by handle
                ''',
                'interface_by_handle',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-handles',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress' : {
        'meta_info' : _MetaInfoClass('PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress' : {
        'meta_info' : _MetaInfoClass('PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName' : {
        'meta_info' : _MetaInfoClass('PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'PimInterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimInterfaceEnum', 
                [], [], 
                '''                Interface Type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-name',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Active.InterfaceTable.InterfaceByNames' : {
        'meta_info' : _MetaInfoClass('PimMa.Active.InterfaceTable.InterfaceByNames',
            False, 
            [
            _MetaInfoClassMember('interface-by-name', REFERENCE_LIST, 'InterfaceByName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName', 
                [], [], 
                '''                PIM MA interface referenced by name
                ''',
                'interface_by_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-names',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Active.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('PimMa.Active.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface-by-handles', REFERENCE_CLASS, 'InterfaceByHandles' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active.InterfaceTable.InterfaceByHandles', 
                [], [], 
                '''                Table of PIM MA interfaces indexed by handle
                ''',
                'interface_by_handles',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-by-names', REFERENCE_CLASS, 'InterfaceByNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active.InterfaceTable.InterfaceByNames', 
                [], [], 
                '''                Table of PIM MA interfaces indexed by name
                ''',
                'interface_by_names',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Active.PimMaSummary' : {
        'meta_info' : _MetaInfoClass('PimMa.Active.PimMaSummary',
            False, 
            [
            _MetaInfoClassMember('decap-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Decap Interface Count
                ''',
                'decap_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('encap-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encap Interface Count
                ''',
                'encap_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-edm-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EDM Connection Open
                ''',
                'is_edm_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-im-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IM Connection Open
                ''',
                'is_im_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-netio-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Netio Connection Open
                ''',
                'is_netio_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-standby-edm-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby EDM Connection Open
                ''',
                'is_standby_edm_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Interface Count
                ''',
                'mdt_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-ma-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Active' : {
        'meta_info' : _MetaInfoClass('PimMa.Active',
            False, 
            [
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active.InterfaceTable', 
                [], [], 
                '''                Interface Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-ma-summary', REFERENCE_CLASS, 'PimMaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active.PimMaSummary', 
                [], [], 
                '''                PIM MA summary
                ''',
                'pim_ma_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'active',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle',
            False, 
            [
            _MetaInfoClassMember('interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Interface handle
                ''',
                'interface_handle',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'PimInterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimInterfaceEnum', 
                [], [], 
                '''                Interface Type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-handle',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby.InterfaceTable.InterfaceByHandles' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby.InterfaceTable.InterfaceByHandles',
            False, 
            [
            _MetaInfoClassMember('interface-by-handle', REFERENCE_LIST, 'InterfaceByHandle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle', 
                [], [], 
                '''                PIM MA interface referenced by handle
                ''',
                'interface_by_handle',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-handles',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'PimInterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimInterfaceEnum', 
                [], [], 
                '''                Interface Type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-name',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby.InterfaceTable.InterfaceByNames' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby.InterfaceTable.InterfaceByNames',
            False, 
            [
            _MetaInfoClassMember('interface-by-name', REFERENCE_LIST, 'InterfaceByName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName', 
                [], [], 
                '''                PIM MA interface referenced by name
                ''',
                'interface_by_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-names',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface-by-handles', REFERENCE_CLASS, 'InterfaceByHandles' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby.InterfaceTable.InterfaceByHandles', 
                [], [], 
                '''                Table of PIM MA interfaces indexed by handle
                ''',
                'interface_by_handles',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-by-names', REFERENCE_CLASS, 'InterfaceByNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby.InterfaceTable.InterfaceByNames', 
                [], [], 
                '''                Table of PIM MA interfaces indexed by name
                ''',
                'interface_by_names',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby.PimMaSummary' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby.PimMaSummary',
            False, 
            [
            _MetaInfoClassMember('decap-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Decap Interface Count
                ''',
                'decap_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('encap-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encap Interface Count
                ''',
                'encap_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-edm-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EDM Connection Open
                ''',
                'is_edm_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-im-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IM Connection Open
                ''',
                'is_im_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-netio-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Netio Connection Open
                ''',
                'is_netio_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-standby-edm-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby EDM Connection Open
                ''',
                'is_standby_edm_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Interface Count
                ''',
                'mdt_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-ma-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa.Standby' : {
        'meta_info' : _MetaInfoClass('PimMa.Standby',
            False, 
            [
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby.InterfaceTable', 
                [], [], 
                '''                Interface Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-ma-summary', REFERENCE_CLASS, 'PimMaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby.PimMaSummary', 
                [], [], 
                '''                PIM MA summary
                ''',
                'pim_ma_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'PimMa' : {
        'meta_info' : _MetaInfoClass('PimMa',
            False, 
            [
            _MetaInfoClassMember('active', REFERENCE_CLASS, 'Active' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Active', 
                [], [], 
                '''                Active Process
                ''',
                'active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimMa.Standby', 
                [], [], 
                '''                Standby Process
                ''',
                'standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-ma',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'global-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GlobalInterfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GlobalInterfaces',
            False, 
            [
            _MetaInfoClassMember('global-interface', REFERENCE_LIST, 'GlobalInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface', 
                [], [], 
                '''                PIM interface name
                ''',
                'global_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'global-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                PIM IFRS interface information
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('mask-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hash mask length
                ''',
                'mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-group', REFERENCE_LIST, 'RpfHashSourceGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource',
            False, 
            [
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source', REFERENCE_LIST, 'RpfHashSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath',
            False, 
            [
            _MetaInfoClassMember('connector', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Connector Attribute
                ''',
                'connector',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the rpf interface disabled ?
                ''',
                'is_rpf_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-mlsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via Mstatic LSM
                ''',
                'is_via_mlsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF Interface
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-nexthop', REFERENCE_CLASS, 'RpfNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop', 
                [], [], 
                '''                RPF nexthop
                ''',
                'rpf_nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf',
            False, 
            [
            _MetaInfoClassMember('registered-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Address for which RPF lookup
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-bgp-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF through BGP route
                ''',
                'is_rpf_bgp_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address-xr', REFERENCE_CLASS, 'RegisteredAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_LIST, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath', 
                [], [], 
                '''                RPF Paths list
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf.Rpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf.Rpfs',
            False, 
            [
            _MetaInfoClassMember('rpf', REFERENCE_LIST, 'Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf', 
                [], [], 
                '''                PIM RPF information
                ''',
                'rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs.Saf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs.Saf',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-groups', REFERENCE_CLASS, 'RpfHashSourceGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_source_groups',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-hash-sources', REFERENCE_CLASS, 'RpfHashSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpfs', REFERENCE_CLASS, 'Rpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf.Rpfs', 
                [], [], 
                '''                PIM RPF information table
                ''',
                'rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name 
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name 
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'saf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Safs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Safs',
            False, 
            [
            _MetaInfoClassMember('saf', REFERENCE_LIST, 'Saf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs.Saf', 
                [], [], 
                '''                SAF name 
                ''',
                'saf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'safs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.InterfaceStatistics.InterfaceStatistic' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.InterfaceStatistics.InterfaceStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Ack Messages
                ''',
                'input_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Messages
                ''',
                'input_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-miscellaneous', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Miscellaneous packet in
                ''',
                'input_miscellaneous',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets in
                ''',
                'input_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Ack Messages
                ''',
                'output_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Messages
                ''',
                'output_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets out
                ''',
                'output_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.InterfaceStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.InterfaceStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-statistic', REFERENCE_LIST, 'InterfaceStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.InterfaceStatistics.InterfaceStatistic', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TopologyRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TopologyRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TopologyRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TopologyRouteCount',
            False, 
            [
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TopologyRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.JpStatistics.JpStatistic' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.JpStatistics.JpStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received
                ''',
                'received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 100 average
                ''',
                'received100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 10K average
                ''',
                'received_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 1K average
                ''',
                'received_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Received100
                ''',
                'received_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmitted
                ''',
                'transmitted',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 100 average
                ''',
                'transmitted100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 10K average
                ''',
                'transmitted_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 1K average
                ''',
                'transmitted_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Transmitted100
                ''',
                'transmitted_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.JpStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.JpStatistics',
            False, 
            [
            _MetaInfoClassMember('jp-statistic', REFERENCE_LIST, 'JpStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.JpStatistics.JpStatistic', 
                [], [], 
                '''                PIM Join Prune Statistics
                ''',
                'jp_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.MibDatabases.MibDatabase' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.MibDatabases.MibDatabase',
            False, 
            [
            _MetaInfoClassMember('assert-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric
                ''',
                'assert_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric Preference
                ''',
                'assert_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-rpt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Assert RPT Bit
                ''',
                'assert_rpt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidirectional-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Bidir ?
                ''',
                'bidirectional_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast satic route group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface name 
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mask of the multicast root
                ''',
                'rpf_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor', 
                [], [], 
                '''                The RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast static route source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-netmask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source mask
                ''',
                'source_netmask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SPT bit set ?
                ''',
                'spt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('upstream-assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Upstream Assert Timer
                ''',
                'upstream_assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime of route
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.MibDatabases' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.MibDatabases',
            False, 
            [
            _MetaInfoClassMember('mib-database', REFERENCE_LIST, 'MibDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.MibDatabases.MibDatabase', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'mib_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchRpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-match-rpf', REFERENCE_LIST, 'GroupMapMatchRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf', 
                [], [], 
                '''                PIM group matching mapping entry
                ''',
                'group_map_match_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NeighborOldFormats' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NeighborOldFormats',
            False, 
            [
            _MetaInfoClassMember('neighbor-old-format', REFERENCE_LIST, 'NeighborOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.IfrsSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.IfrsSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration counts
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Ranges.Range.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Ranges.Range.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Ranges.Range.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Ranges.Range.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Ranges.Range.GroupRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Ranges.Range.GroupRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Ranges.Range.GroupRange' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Ranges.Range.GroupRange',
            False, 
            [
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Ranges.Range.GroupRange.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client-xr', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt via
                ''',
                'client_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-range', REFERENCE_LIST, 'GroupRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Ranges.Range.GroupRange', 
                [], [], 
                '''                List of group ranges
                ''',
                'group_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Ranges.Range.RpAddressXr', 
                [], [], 
                '''                Rendezvous point address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Ranges.Range.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Ranges' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Ranges.Range', 
                [], [], 
                '''                PIM range list information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-prefix-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag',
            False, 
            [
            _MetaInfoClassMember('candidate-rp-address', REFERENCE_CLASS, 'CandidateRpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress', 
                [], [], 
                '''                C-RP address
                ''',
                'candidate_rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Expires
                ''',
                'candidate_rp_expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Holdtime
                ''',
                'candidate_rp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-RP Priority
                ''',
                'candidate_rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Uptime
                ''',
                'candidate_rp_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-bsr-crp-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList',
            False, 
            [
            _MetaInfoClassMember('pim-bsr-crp-bag', REFERENCE_LIST, 'PimBsrCrpBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag', 
                [], [], 
                '''                pim bsr crp bag
                ''',
                'pim_bsr_crp_bag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache',
            False, 
            [
            _MetaInfoClassMember('group-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group prefix
                ''',
                'group_prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('candidate-rp-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                C-RP count for this Prefix
                ''',
                'candidate_rp_group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-list', REFERENCE_CLASS, 'CandidateRpList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList', 
                [], [], 
                '''                C-RP list for this prefix
                ''',
                'candidate_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Group Prefix Length
                ''',
                'group_prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-xr', REFERENCE_CLASS, 'GroupPrefixXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr', 
                [], [], 
                '''                Group Prefix
                ''',
                'group_prefix_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-cache',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.RpCaches' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.RpCaches',
            False, 
            [
            _MetaInfoClassMember('rp-cache', REFERENCE_LIST, 'RpCache' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache', 
                [], [], 
                '''                PIM BSR RP cache
                ''',
                'rp_cache',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-caches',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'crp-access',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp',
            False, 
            [
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Candidate-RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp', REFERENCE_CLASS, 'CandidateRp_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_', 
                [], [], 
                '''                Cand-RP Address
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-advance-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Adv Interval in seconds
                ''',
                'candidate_rp_advance_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Cand-RP Scope
                ''',
                'candidate_rp_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP uptime
                ''',
                'candidate_rp_uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-access', REFERENCE_LIST, 'CrpAccess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess', 
                [], [], 
                '''                Group Ranges Using this Cand-RP
                ''',
                'crp_access',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('crp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Holdtime
                ''',
                'crp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cand-RP Priority
                ''',
                'crp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.CandidateRps' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.CandidateRps',
            False, 
            [
            _MetaInfoClassMember('candidate-rp', REFERENCE_LIST, 'CandidateRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp', 
                [], [], 
                '''                PIM BSR candidate RP information
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection',
            False, 
            [
            _MetaInfoClassMember('pim-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BSR information
                ''',
                'pim_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('bootstrap-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bootstrap Timeout
                ''',
                'bootstrap_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-address', REFERENCE_CLASS, 'BsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress', 
                [], [], 
                '''                BSR address
                ''',
                'bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-election-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Election State
                ''',
                'bsr_election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hash Function Mask Length
                ''',
                'bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BSR Priority
                ''',
                'bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-scope', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Scope
                ''',
                'bsr_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Uptime
                ''',
                'bsr_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-address', REFERENCE_CLASS, 'CandidateBsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress', 
                [], [], 
                '''                C-BSR address
                ''',
                'candidate_bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BSR Candidate Config Flag
                ''',
                'candidate_bsr_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Hash Func. Mask Len
                ''',
                'candidate_bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Priority
                ''',
                'candidate_bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Candidate State
                ''',
                'candidate_bsr_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-election',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr.BsrElections' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr.BsrElections',
            False, 
            [
            _MetaInfoClassMember('bsr-election', REFERENCE_LIST, 'BsrElection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-elections',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Bsr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Bsr',
            False, 
            [
            _MetaInfoClassMember('bsr-elections', REFERENCE_CLASS, 'BsrElections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.BsrElections', 
                [], [], 
                '''                PIM BSR election state
                ''',
                'bsr_elections',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rps', REFERENCE_CLASS, 'CandidateRps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.CandidateRps', 
                [], [], 
                '''                PIM candidate-RP
                ''',
                'candidate_rps',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-caches', REFERENCE_CLASS, 'RpCaches' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr.RpCaches', 
                [], [], 
                '''                PIM BSR RP cache table
                ''',
                'rp_caches',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyStatistics',
            False, 
            [
            _MetaInfoClassMember('any-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in any Table
                ''',
                'any_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in default-only Table
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF drops
                ''',
                'drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup requests
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default table selected
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ext-comm', ATTRIBUTE, 'str' , None, None, 
                [(1, 8)], [], 
                '''                Extended Community
                ''',
                'ext_comm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extended-community-rt', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Route Target
                ''',
                'extended_community_rt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table exists
                ''',
                'table_exists',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-test',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests',
            False, 
            [
            _MetaInfoClassMember('route-policy-test', REFERENCE_LIST, 'RoutePolicyTest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest', 
                [], [], 
                '''                PIM route policy test run
                ''',
                'route_policy_test',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-tests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RoutePolicy' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RoutePolicy',
            False, 
            [
            _MetaInfoClassMember('route-policy-statistics', REFERENCE_CLASS, 'RoutePolicyStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyStatistics', 
                [], [], 
                '''                PIM route policy statistics
                ''',
                'route_policy_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy-tests', REFERENCE_CLASS, 'RoutePolicyTests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests', 
                [], [], 
                '''                PIM route policy test run table
                ''',
                'route_policy_tests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RpfSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RpfSummary',
            False, 
            [
            _MetaInfoClassMember('default-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default RPF Table SAFI
                ''',
                'default_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default RPF Table Name
                ''',
                'default_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-mtr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS MTR configured?
                ''',
                'is_isis_mtr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS TE configured?
                ''',
                'is_isis_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mbgp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MBGP configured?
                ''',
                'is_mbgp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Enabled ?
                ''',
                'is_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-interface-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Interface Hash Extension Enabled ?
                ''',
                'is_multipath_interface_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source based Hash Enabled ?
                ''',
                'is_multipath_source_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-next-hop-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source-Nexthop Hash Enabled ?
                ''',
                'is_multipath_source_next_hop_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ospf-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is OSPF TE configured?
                ''',
                'is_ospf_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR configured?
                ''',
                'mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence time left in seconds
                ''',
                'rib_convergence_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence timeout in seconds
                ''',
                'rib_convergence_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR RIB configured?
                ''',
                'rib_mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RUMP MuRIB enabled?
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Interfaces.Interface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Interfaces.Interface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Interfaces.Interface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Interfaces.Interface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Interfaces.Interface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Interfaces.Interface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Interfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Interfaces.Interface', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NetIoTunnels' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NetIoTunnels',
            False, 
            [
            _MetaInfoClassMember('net-io-tunnel', REFERENCE_LIST, 'NetIoTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel', 
                [], [], 
                '''                PIM netio tunnel information
                ''',
                'net_io_tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BidirDfStates.BidirDfState' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BidirDfStates.BidirDfState',
            False, 
            [
            _MetaInfoClassMember('election-state', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DF Election State
                ''',
                'election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'our_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MetricPreference
                ''',
                'our_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (nseconds)
                ''',
                'time_nano_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (seconds)
                ''',
                'time_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BidirDfStates' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BidirDfStates',
            False, 
            [
            _MetaInfoClassMember('bidir-df-state', REFERENCE_LIST, 'BidirDfState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BidirDfStates.BidirDfState', 
                [], [], 
                '''                Bidirectional PIM DF Election Table Entry
                ''',
                'bidir_df_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology.ProxyAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology.ProxyAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'proxy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology.OrigSrcAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology.OrigSrcAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'orig-src-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'assert-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface',
            False, 
            [
            _MetaInfoClassMember('admin-boundary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an administrative boundary ?
                ''',
                'admin_boundary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Assert Timer in seconds
                ''',
                'assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-winner', REFERENCE_CLASS, 'AssertWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner', 
                [], [], 
                '''                Assert Winner
                ''',
                'assert_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C-Mcast join
                ''',
                'bgp_c_mcast_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-prune-delay-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C-MCAST Prune Suppression in seconds
                ''',
                'bgp_c_mcast_prune_delay_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('data-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Data MDT join
                ''',
                'data_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an Extranet Interface ?
                ''',
                'extranet_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('forwarding-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Forward or Prune
                ''',
                'forwarding_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('igmp-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGMP membership
                ''',
                'igmp_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('immediate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Immediate fwding state
                ''',
                'immediate_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('internal-interest-info', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Internal Interest
                ''',
                'internal_interest_info',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune State
                ''',
                'jp_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer (secs)
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default MDT Join
                ''',
                'local_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-members', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Local Information
                ''',
                'local_members',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Safi join
                ''',
                'mdt_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-inband-mdt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Inband MDT interface
                ''',
                'mldp_inband_mdt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OLE is stale
                ''',
                'mldp_stale',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvp-nv6-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN IPv6 Safi join
                ''',
                'mvp_nv6_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvpn-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN Safi join
                ''',
                'mvpn_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-prune', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA Prune state
                ''',
                'sa_prune',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF which physically owns
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'outgoing-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('alive', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Alive time in seconds (-1 if never)
                ''',
                'alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group matches Anycast-RP policy
                ''',
                'anycast_rp_match',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Anycast-RP RT
                ''',
                'anycast_rp_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assume-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Assume Alive Bit
                ''',
                'assume_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C JOIN
                ''',
                'bgp_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgpjp-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C JP Time
                ''',
                'bgpjp_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connected ?
                ''',
                'connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('customer-routing-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Type of Customer Routing in the MVPN
                ''',
                'customer_routing_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dont-check-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do we need to make the connected check on this
                route ?
                ''',
                'dont_check_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When this entry expires
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is a Extranet route ?
                ''',
                'extranet_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit Alive Bit
                ''',
                'inherit_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit SPT Bit
                ''',
                'inherit_spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Status
                ''',
                'jp_status',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have we throttled the creation of routes or
                interfaces ?
                ''',
                'limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR Active?
                ''',
                'mofrr_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Backup?
                ''',
                'mofrr_backup',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'mofrr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-primary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Primary?
                ''',
                'mofrr_primary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('orig-src-address', REFERENCE_CLASS, 'OrigSrcAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology.OrigSrcAddress', 
                [], [], 
                '''                Orig Src Address.
                ''',
                'orig_src_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outgoing-interface', REFERENCE_LIST, 'OutgoingInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('probe-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Probe Alive Bit
                ''',
                'probe_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RPF target a proxy?
                ''',
                'proxy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy-address', REFERENCE_CLASS, 'ProxyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology.ProxyAddress', 
                [], [], 
                '''                RPF Proxy address.
                ''',
                'proxy_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('really-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Really Alive Bit
                ''',
                'really_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have registers been received for this source ?
                ''',
                'register_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Register Received Timer in seconds (-1 if never)
                ''',
                'register_received_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MSDP told us
                ''',
                'remote_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'rib_mo_frr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology.RpAddress', 
                [], [], 
                '''                RP Address (If rpt)
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology.RpfNeighbor', 
                [], [], 
                '''                RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-proxy-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is rpf if proxy enabled?
                ''',
                'rpf_proxy_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RPT bit
                ''',
                'rpt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt-xr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the RPT ?
                ''',
                'rpt_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-joined', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA join
                ''',
                'sa_joined',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA received
                ''',
                'sa_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA sent
                ''',
                'sa_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Interface Identifier
                ''',
                'secondary_rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-neighbor', REFERENCE_CLASS, 'SecondaryRpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor', 
                [], [], 
                '''                Secondary RPF Neighbor
                ''',
                'secondary_rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-null-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending null registers for this route ?
                ''',
                'sending_null_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending registers for this route ?
                ''',
                'sending_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('signal-sources', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Signal Sources on route?
                ''',
                'signal_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the SPT ?
                ''',
                'spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-registers', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                When the Null register probe expires
                ''',
                'suppress_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this VXLAN?
                ''',
                'vxlan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                WC -Wildcard
                ''',
                'wildcard',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Topologies' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies.Topology', 
                [], [], 
                '''                PIM topology information
                ''',
                'topology',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BgpAfs.BgpAf.Source' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BgpAfs.BgpAf.Source',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BgpAfs.BgpAf.Group' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BgpAfs.BgpAf.Group',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BgpAfs.BgpAf.NextHop' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BgpAfs.BgpAf.NextHop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BgpAfs.BgpAf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BgpAfs.BgpAf',
            False, 
            [
            _MetaInfoClassMember('extranet-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of dependent extranet paths
                ''',
                'extranet_path_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BgpAfs.BgpAf.Group', 
                [], [], 
                '''                Group address
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('is-bgp-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SAFI learnt from BGP
                ''',
                'is_bgp_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BgpAfs.BgpAf.NextHop', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Router ID
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BgpAfs.BgpAf.Source', 
                [], [], 
                '''                Source address
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BgpAfs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BgpAfs',
            False, 
            [
            _MetaInfoClassMember('bgp-af', REFERENCE_LIST, 'BgpAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BgpAfs.BgpAf', 
                [], [], 
                '''                PIM BGP SAFI information
                ''',
                'bgp_af',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.AutoRp' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.AutoRp',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'auto-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('interface-flag', REFERENCE_ENUM_CLASS, 'PimTopologyInterfaceFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyInterfaceFlagEnum', 
                [], [], 
                '''                Interface flag
                ''',
                'interface_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-interface-flag-route-count', REFERENCE_LIST, 'TopologyInterfaceFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount', 
                [], [], 
                '''                Route count for topology with interface flag
                set
                ''',
                'topology_interface_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP Priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapSources' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapSources',
            False, 
            [
            _MetaInfoClassMember('group-map-source', REFERENCE_LIST, 'GroupMapSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource', 
                [], [], 
                '''                PIM Group Mapping Entry with source information
                ''',
                'group_map_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState',
            False, 
            [
            _MetaInfoClassMember('max-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum size of queue in bytes
                ''',
                'max_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in bytes
                ''',
                'queue_size_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in number of packets
                ''',
                'queue_size_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats',
            False, 
            [
            _MetaInfoClassMember('dequeued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets dequeued from this queue
                ''',
                'dequeued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('enqueued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets enqueued to this queue
                ''',
                'enqueued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of bytes enqueued in this queue
                ''',
                'high_water_mark_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of packets enqueued in this queue
                ''',
                'high_water_mark_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tail-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number packets dropped from this queue due to
                max size
                ''',
                'tail_drops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TrafficCounters.PacketQueue' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TrafficCounters.PacketQueue',
            False, 
            [
            _MetaInfoClassMember('packet-queue-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Priority of this packet queue
                ''',
                'packet_queue_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-state', REFERENCE_CLASS, 'PacketQueueState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState', 
                [], [], 
                '''                State of the queue
                ''',
                'packet_queue_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-stats', REFERENCE_CLASS, 'PacketQueueStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats', 
                [], [], 
                '''                Statistics about the queue
                ''',
                'packet_queue_stats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('boundary-acl-rx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inc. JP dropped since boundary ACL confg
                ''',
                'boundary_acl_rx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('boundary-acl-tx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out JP dropped since boundary ACL confg
                ''',
                'boundary_acl_tx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('checksum-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters in seconds
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('format-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets in
                ''',
                'input_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets in
                ''',
                'input_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Ecmp Redirect
                ''',
                'input_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-idb-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No IDB for intf error
                ''',
                'input_no_idb_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-pim-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Disabled on intf error
                ''',
                'input_no_pim_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-vrf-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No VRF for idb error
                ''',
                'input_no_vrf_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets in
                ''',
                'input_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-pim-version-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid PIM version error
                ''',
                'input_pim_version_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'inputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-destination-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Control Packets with Invalid Destination
                ''',
                'invalid_destination_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-join-prunes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid Join/Prunes received
                ''',
                'invalid_join_prunes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-registers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid registers received
                ''',
                'invalid_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-local-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to local source
                addr
                ''',
                'mdt_drop_local_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to idb missing
                ''',
                'mdt_drop_no_idb',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-vrf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to vrf missing
                ''',
                'mdt_drop_no_vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-null-local-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to null local
                addr
                ''',
                'mdt_drop_null_local_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-bad-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT TLV bad type
                ''',
                'mdt_join_bad_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs received
                ''',
                'mdt_join_tlv_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs sent
                ''',
                'mdt_join_tlv_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-joins-drop-multiple-encapsulation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Join msgs dropped due to multiple Encap
                limitation
                ''',
                'mdt_joins_drop_multiple_encapsulation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since mdt send queue was full
                ''',
                'mdt_send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Socket errors
                ''',
                'mdt_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-invalid-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Invalid LSM ID
                ''',
                'mldp_mdt_invalid_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-mdt-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no mdt socket connection
                ''',
                'no_mdt_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no source address
                ''',
                'no_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-supported-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM non supported pckets
                ''',
                'non_supported_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets out
                ''',
                'output_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets out
                ''',
                'output_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Ecmp Redirect
                ''',
                'output_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Hello Bytes
                ''',
                'output_hello_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Join Groups
                ''',
                'output_join_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-prune-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output JP Bytes
                ''',
                'output_join_prune_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-loop-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output on loopback error
                ''',
                'output_loop_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets out
                ''',
                'output_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-prune-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Prune Groups
                ''',
                'output_prune_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'outputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-dequeued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dequeued per priority Deprecated by
                PacketQueue
                ''',
                'packet_dequeued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-enqueued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Enqueued per priority Deprecated by
                PacketQueue
                ''',
                'packet_enqueued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-packman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Pakman Error
                ''',
                'packet_packman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue', REFERENCE_LIST, 'PacketQueue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TrafficCounters.PacketQueue', 
                [], [], 
                '''                Packet queue state and statistics
                ''',
                'packet_queue',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-last-clear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last clear of all
                packet queues stats
                ''',
                'packet_queue_last_clear',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-length', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Length per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-size', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Size per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-read-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Read Socket Error
                ''',
                'packet_read_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-tail-drop', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Tail Drop per priority Deprecated by
                PacketQueue
                ''',
                'packet_tail_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packets-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Standby Error
                ''',
                'packets_standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pakman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pakman packets dropped
                ''',
                'pakman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since send queue was full
                ''',
                'send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors
                ''',
                'socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby-packets-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received in standby state
                ''',
                'standby_packets_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('truncated-pim-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to truncated Joins or Prunes
                ''',
                'truncated_pim_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf',
            False, 
            [
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP priority
                ''',
                'rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapRpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-rpf', REFERENCE_LIST, 'GroupMapRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf', 
                [], [], 
                '''                PIM group mapping entry
                ''',
                'group_map_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Summary' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Gre.GreHashes.GreHash' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Gre.GreHashes.GreHash',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('ifname', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Tunnel Interface
                ''',
                'ifname',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hash',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Gre.GreHashes' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Gre.GreHashes',
            False, 
            [
            _MetaInfoClassMember('gre-hash', REFERENCE_LIST, 'GreHash' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Gre.GreHashes.GreHash', 
                [], [], 
                '''                PIM GRE Hashed Underlying Interface
                ''',
                'gre_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hashes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath',
            False, 
            [
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Interface
                ''',
                'gre_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-neighbor', REFERENCE_CLASS, 'GreNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor', 
                [], [], 
                '''                GRE neighbor
                ''',
                'gre_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hop', REFERENCE_CLASS, 'GreNextHop_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_', 
                [], [], 
                '''                GRE nexthop
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gre-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the gre interface disabled ?
                ''',
                'is_gre_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                GRE destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('gre-path', REFERENCE_LIST, 'GrePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath', 
                [], [], 
                '''                GRE Paths list
                ''',
                'gre_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address', REFERENCE_CLASS, 'RegisteredAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Gre.GreNextHops' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Gre.GreNextHops',
            False, 
            [
            _MetaInfoClassMember('gre-next-hop', REFERENCE_LIST, 'GreNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop', 
                [], [], 
                '''                PIM GRE address next-hop information
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hops',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Gre' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Gre',
            False, 
            [
            _MetaInfoClassMember('gre-hashes', REFERENCE_CLASS, 'GreHashes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Gre.GreHashes', 
                [], [], 
                '''                GRE hash
                ''',
                'gre_hashes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hops', REFERENCE_CLASS, 'GreNextHops' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Gre.GreNextHops', 
                [], [], 
                '''                GRE destination neighbor table
                ''',
                'gre_next_hops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner',
            False, 
            [
            _MetaInfoClassMember('are-we-df', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we DF
                ''',
                'are_we_df',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('df-winner', REFERENCE_CLASS, 'DfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner', 
                [], [], 
                '''                DF Winner
                ''',
                'df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-lan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the RP LAN
                ''',
                'rp_lan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.BidirDfWinners' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.BidirDfWinners',
            False, 
            [
            _MetaInfoClassMember('bidir-df-winner', REFERENCE_LIST, 'BidirDfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner', 
                [], [], 
                '''                Bidirectional PIM DF election table entry
                ''',
                'bidir_df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winners',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TableContexts.TableContext' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TableContexts.TableContext',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TableContexts' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TableContexts',
            False, 
            [
            _MetaInfoClassMember('table-context', REFERENCE_LIST, 'TableContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TableContexts.TableContext', 
                [], [], 
                '''                PIM table context information
                ''',
                'table_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-contexts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NeighborSummaries.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NeighborSummaries.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('number-of-external-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of external neighbors
                ''',
                'number_of_external_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('number-of-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of neighbors
                ''',
                'number_of_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.NeighborSummaries' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.NeighborSummaries',
            False, 
            [
            _MetaInfoClassMember('neighbor-summary', REFERENCE_LIST, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NeighborSummaries.NeighborSummary', 
                [], [], 
                '''                PIM neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Context.RemoteDefaultGroup' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Context.RemoteDefaultGroup',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'remote-default-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Context.RpfDefaultTable' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Context.RpfDefaultTable',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-default-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Context.ExportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Context.ExportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'export-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Context.ImportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Context.ImportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'import-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Context.AnycastRpRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Context.AnycastRpRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Context.AnycastRpRange' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Context.AnycastRpRange',
            False, 
            [
            _MetaInfoClassMember('ancast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Range marked
                ''',
                'ancast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Context.AnycastRpRange.Prefix', 
                [], [], 
                '''                Anycast-RP Range Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Anycast-RP Range Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'anycast-rp-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Context' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Context',
            False, 
            [
            _MetaInfoClassMember('active-table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active Tables
                ''',
                'active_table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow RP Configured
                ''',
                'allow_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-group-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP Group-List ACL Name
                ''',
                'allow_rp_group_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-rp-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP RP-list ACL Name
                ''',
                'allow_rp_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP config
                ''',
                'anycast_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Anycast-RP Policy Name
                ''',
                'anycast_rp_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-range', REFERENCE_LIST, 'AnycastRpRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Context.AnycastRpRange', 
                [], [], 
                '''                Anycast-RP Ranges
                ''',
                'anycast_rp_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto-Discovery configured
                ''',
                'bgp_auto_discovery_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Auto Discovery Type
                ''',
                'bgp_auto_discovery_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-i-pmsi-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP I-PMSI Added
                ''',
                'bgp_i_pmsi_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BGP remote interface address
                ''',
                'bgp_remote_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BGP remote interface handle
                ''',
                'bgp_remote_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP remote interface name
                ''',
                'bgp_remote_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP remote interface status
                ''',
                'bgp_remote_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP remote interface state
                ''',
                'bgp_remote_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-source-active-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send BGP Source-Active Announcements
                ''',
                'bgp_source_active_announce',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('export-route-target', REFERENCE_LIST, 'ExportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Context.ExportRouteTarget', 
                [], [], 
                '''                Export Route Targets
                ''',
                'export_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'gin_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'gin_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'gin_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'gin_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'gin_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'gin_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('import-route-target', REFERENCE_LIST, 'ImportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Context.ImportRouteTarget', 
                [], [], 
                '''                Import Route Targets
                ''',
                'import_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'in_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'in_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'in_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'in_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'in_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'in_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-local-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Local enabled
                ''',
                'in_band_signaling_local_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-remote-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Remote enabled
                ''',
                'in_band_signaling_remote_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inter-autonomous-system-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inter-AS Enabled
                ''',
                'inter_autonomous_system_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR MDT max aggregation
                ''',
                'ir_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Announce interval
                ''',
                'ir_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Switchover interval
                ''',
                'ir_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IRMDT handle
                ''',
                'ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IRMDT MTU
                ''',
                'ir_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IR MDT Name
                ''',
                'ir_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR RPF-ID
                ''',
                'ir_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-tail-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Tail Label
                ''',
                'ir_mdt_tail_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active-ital', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active ITAL
                ''',
                'is_active_ital',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-all-interface-disable-operation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM all interface disable operation
                ''',
                'is_all_interface_disable_operation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP Listen Enabled
                ''',
                'is_auto_rp_listen_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-sock-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP listen sock add
                ''',
                'is_auto_rp_listen_sock_add',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-gin-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-in-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-ir-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create IR MDT interface
                ''',
                'is_create_ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MDT interface
                ''',
                'is_create_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mldp-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MLDP MDT interface
                ''',
                'is_create_mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-rsvp-te-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create RSVP-TE MDT interface
                ''',
                'is_create_rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-default-granges', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default granges
                ''',
                'is_default_granges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gin-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_gin_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-in-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_in_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ir-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IR MDT Owner
                ''',
                'is_ir_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Socket
                ''',
                'is_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Socket
                ''',
                'is_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-m-host-publish-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Publish pending for MHost Default interface
                ''',
                'is_m_host_publish_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Owner
                ''',
                'is_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mldp-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP MDT Owner
                ''',
                'is_mldp_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mrib-register', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MRIB Register
                ''',
                'is_mrib_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mcast RIB Registration
                ''',
                'is_multicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converge-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converge received
                ''',
                'is_pim_nsf_rib_converge_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converged
                ''',
                'is_pim_nsf_rib_converged',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-redistribution-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pending redist reset
                ''',
                'is_redistribution_reset',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Register Injection Socket
                ''',
                'is_register_injection_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Register Injection Socket
                ''',
                'is_register_injection_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multiplath enabled
                ''',
                'is_rib_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-interface-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath interface hash
                ''',
                'is_rib_multipath_interface_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source based hash
                ''',
                'is_rib_multipath_source_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-next-hop-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source-nexthop hash
                ''',
                'is_rib_multipath_source_next_hop_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Routing Enabled
                ''',
                'is_routing_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rsvp-te-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Owner
                ''',
                'is_rsvp_te_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Socket
                ''',
                'is_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Socket
                ''',
                'is_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bound on UDP Socket
                ''',
                'is_udp_socket_bind',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bind required on UDP Socket
                ''',
                'is_udp_socket_bind_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-unicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ucast RIB Registration
                ''',
                'is_unicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT max aggregation
                ''',
                'maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Announce interval
                ''',
                'mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Switchover interval
                ''',
                'mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-default-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MDT Default group
                ''',
                'mdt_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT Remote RPF Identifier
                ''',
                'mdt_gre_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT RPF Identifier
                ''',
                'mdt_gre_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MDT handle
                ''',
                'mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT MTU
                ''',
                'mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MDT Neighbor Filter Name
                ''',
                'mdt_neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-ir-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned IR MDT Control Identifier
                ''',
                'mdt_partitioned_ir_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-mdt-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Control Identifier
                ''',
                'mdt_partitioned_mdt_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-default-interface-config', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured Mhost Defint
                ''',
                'mhost_default_interface_config',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MHost handle
                ''',
                'mhost_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-announce-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Announce Control tree added
                ''',
                'mldp_auto_rp_announce_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-discovery-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Discovery Control tree added
                ''',
                'mldp_auto_rp_discovery_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-bsr-control-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP BSR Control tree added
                ''',
                'mldp_bsr_control_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-control-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MVPN Identifier
                ''',
                'mldp_control_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head local label
                ''',
                'mldp_head_local_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Head LSM-ID
                ''',
                'mldp_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT max aggregation
                ''',
                'mldp_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Announce interval
                ''',
                'mldp_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Switchover interval
                ''',
                'mldp_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MLDP MDT handle
                ''',
                'mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT MTU
                ''',
                'mldp_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MLDP MDT Name
                ''',
                'mldp_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote RPF-ID
                ''',
                'mldp_mdt_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP RPF-ID
                ''',
                'mldp_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partioned-mp2m-ptree', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP2MP Partitioned MDT tree
                ''',
                'mldp_partioned_mp2m_ptree',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head LSM-ID
                ''',
                'mldp_partitioned_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Partitioned MDT
                ''',
                'mldp_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Partitioned MDT Identifier
                ''',
                'mldp_partitioned_mdt_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote Head LSM-ID
                ''',
                'mldp_remote_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Remote Partitioned MDT
                ''',
                'mldp_remote_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-address', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root addresses
                ''',
                'mldp_root_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root count
                ''',
                'mldp_root_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('murib-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MURIB ID
                ''',
                'murib_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-default-vrf-count-on-socket', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of non-default vrfs on raw socket
                ''',
                'non_default_vrf_count_on_socket',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('organization-unique-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OUI for VPN-ID
                ''',
                'organization_unique_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('p2mpte-li-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route LI updates dropped for P2MP
                ''',
                'p2mpte_li_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redistribution-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redist reset count
                ''',
                'redistribution_reset_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-default-group', REFERENCE_CLASS, 'RemoteDefaultGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Context.RemoteDefaultGroup', 
                [], [], 
                '''                Remote Default Group
                ''',
                'remote_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Table ID
                ''',
                'remote_table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                RD value
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-default-table', REFERENCE_CLASS, 'RpfDefaultTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Context.RpfDefaultTable', 
                [], [], 
                '''                RPF Default Table
                ''',
                'rpf_default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF ID
                ''',
                'rpf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF topology selection route-policy name
                ''',
                'rpf_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE MDT max aggregation
                ''',
                'rsvp_te_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Announce interval
                ''',
                'rsvp_te_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Switchover interval
                ''',
                'rsvp_te_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RSVP-TEMDT handle
                ''',
                'rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TEMDT MTU
                ''',
                'rsvp_te_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Name
                ''',
                'rsvp_te_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE RPF-ID
                ''',
                'rsvp_te_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-static-p2mp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Static P2MP-TE MDT
                ''',
                'rsvp_te_mdt_static_p2mp_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM is using MuRIB
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S,G Expiry Time Configured, in seconds
                ''',
                'sg_expiry_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S,G Expiry Timer Configured
                ''',
                'sg_expiry_timer_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-sg-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                S,G expiry timer ACL name
                ''',
                'sg_expiry_timer_sg_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('stale-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is stale
                ''',
                'stale_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-pim-data-mdt-tlv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress PIM Data-MDT TLV Announcements
                ''',
                'suppress_pim_data_mdt_tlv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-shared-tree-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress Shared-Tree Joins
                ''',
                'suppress_shared_tree_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of configured Tables
                ''',
                'table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('umh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Join UMH Core-Tree
                ''',
                'umh',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('valid-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is valid
                ''',
                'valid_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vpn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Index
                ''',
                'vpn_index',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('entry-flag', REFERENCE_ENUM_CLASS, 'PimTopologyEntryFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyEntryFlagEnum', 
                [], [], 
                '''                entry flag
                ''',
                'entry_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-entry-flag-route-count', REFERENCE_LIST, 'TopologyEntryFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface',
            False, 
            [
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-outgoing-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is outgoing Interface
                ''',
                'is_outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF Interface
                ''',
                'is_rpf_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-snoop-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is snooping Interface
                ''',
                'is_snoop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-address', REFERENCE_CLASS, 'RpfAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress', 
                [], [], 
                '''                RPF Address
                ''',
                'rpf_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth in Kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr', 
                [], [], 
                '''                Group ddress
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases',
            False, 
            [
            _MetaInfoClassMember('redirect-route-database', REFERENCE_LIST, 'RedirectRouteDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase', 
                [], [], 
                '''                PIM ECMP RPF-redirect route information
                ''',
                'redirect_route_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth allocated in Kbps
                ''',
                'allocated_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allocated-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Configured threshold in Kbps
                ''',
                'allocated_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth available in Kbps
                ''',
                'available_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Available threshold in Kbps
                ''',
                'available_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Bundle name
                ''',
                'bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Bundle interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect bundle name
                ''',
                'rpf_redirect_bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-interface-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect interface name
                ''',
                'rpf_redirect_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('snooping-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by snooped entries in Kbps
                ''',
                'snooping_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by topology in Kbps
                ''',
                'topology_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('total-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Total bandwidth used in Kbps
                ''',
                'total_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces',
            False, 
            [
            _MetaInfoClassMember('bundle-interface', REFERENCE_LIST, 'BundleInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle interface
                information
                ''',
                'bundle_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.RpfRedirect' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.RpfRedirect',
            False, 
            [
            _MetaInfoClassMember('bundle-interfaces', REFERENCE_CLASS, 'BundleInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle information
                ''',
                'bundle_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redirect-route-databases', REFERENCE_CLASS, 'RedirectRouteDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases', 
                [], [], 
                '''                PIM ECMP RPF-redirect route database
                ''',
                'redirect_route_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Tunnels.Tunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Tunnels.Tunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Tunnels.Tunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Tunnels.Tunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Tunnels.Tunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Tunnels.Tunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Tunnels' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Tunnels',
            False, 
            [
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Tunnels.Tunnel', 
                [], [], 
                '''                PIM tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSM flag
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop', 
                [], [], 
                '''                Next Hop
                ''',
                'nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.MulticastStaticRoutes' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.MulticastStaticRoutes',
            False, 
            [
            _MetaInfoClassMember('multicast-static-route', REFERENCE_LIST, 'MulticastStaticRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'multicast_static_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.GroupMapMatchSources' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.GroupMapMatchSources',
            False, 
            [
            _MetaInfoClassMember('group-map-match-source', REFERENCE_LIST, 'GroupMapMatchSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource', 
                [], [], 
                '''                PIM group-matching mapping entry with source
                information
                ''',
                'group_map_match_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Neighbors.Neighbor.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Neighbors.Neighbor.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Neighbors.Neighbor.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext.Neighbors' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Neighbors.Neighbor', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.DefaultContext' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.DefaultContext',
            False, 
            [
            _MetaInfoClassMember('auto-rp', REFERENCE_CLASS, 'AutoRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.AutoRp', 
                [], [], 
                '''                PIM Auto-RP information
                ''',
                'auto_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-afs', REFERENCE_CLASS, 'BgpAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BgpAfs', 
                [], [], 
                '''                PIM BGP SAFI table
                ''',
                'bgp_afs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-states', REFERENCE_CLASS, 'BidirDfStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BidirDfStates', 
                [], [], 
                '''                Bidirectional PIM DF election state table
                ''',
                'bidir_df_states',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-winners', REFERENCE_CLASS, 'BidirDfWinners' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.BidirDfWinners', 
                [], [], 
                '''                Bidirectional PIM DF election winner table
                ''',
                'bidir_df_winners',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Bsr', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Context', 
                [], [], 
                '''                PIM context information
                ''',
                'context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-interfaces', REFERENCE_CLASS, 'GlobalInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GlobalInterfaces', 
                [], [], 
                '''                PIM global interface table
                ''',
                'global_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Gre', 
                [], [], 
                '''                GRE information
                ''',
                'gre',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-rpfs', REFERENCE_CLASS, 'GroupMapMatchRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchRpfs', 
                [], [], 
                '''                Find matching group-mapping for the specified
                group address
                ''',
                'group_map_match_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-sources', REFERENCE_CLASS, 'GroupMapMatchSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapMatchSources', 
                [], [], 
                '''                Find the matching group-mapping with source
                information on specified group address
                ''',
                'group_map_match_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-rpfs', REFERENCE_CLASS, 'GroupMapRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapRpfs', 
                [], [], 
                '''                PIM group mapping information
                ''',
                'group_map_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-sources', REFERENCE_CLASS, 'GroupMapSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.GroupMapSources', 
                [], [], 
                '''                PIM group-mapping with source information
                ''',
                'group_map_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.IfrsInterfaces', 
                [], [], 
                '''                PIM interfaces in forward reference store table
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-summary', REFERENCE_CLASS, 'IfrsSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.IfrsSummary', 
                [], [], 
                '''                PIM interfaces in forward reference store
                summary
                ''',
                'ifrs_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.InterfaceOldFormats', 
                [], [], 
                '''                PIM interfaces in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-statistics', REFERENCE_CLASS, 'InterfaceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.InterfaceStatistics', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Interfaces', 
                [], [], 
                '''                PIM interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-statistics', REFERENCE_CLASS, 'JpStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.JpStatistics', 
                [], [], 
                '''                PIM join prune statistics table
                ''',
                'jp_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mib-databases', REFERENCE_CLASS, 'MibDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.MibDatabases', 
                [], [], 
                '''                PIM group database for mroute mibs table
                ''',
                'mib_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('multicast-static-routes', REFERENCE_CLASS, 'MulticastStaticRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.MulticastStaticRoutes', 
                [], [], 
                '''                PIM multicast static route table
                ''',
                'multicast_static_routes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-old-formats', REFERENCE_CLASS, 'NeighborOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NeighborOldFormats', 
                [], [], 
                '''                PIM neighbor table old format
                ''',
                'neighbor_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-summaries', REFERENCE_CLASS, 'NeighborSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NeighborSummaries', 
                [], [], 
                '''                PIM neighbor summary table
                ''',
                'neighbor_summaries',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Neighbors', 
                [], [], 
                '''                PIM neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('net-io-tunnels', REFERENCE_CLASS, 'NetIoTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.NetIoTunnels', 
                [], [], 
                '''                Tunnel information that NETIO has 
                ''',
                'net_io_tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Ranges', 
                [], [], 
                '''                PIM range list information
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy', REFERENCE_CLASS, 'RoutePolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RoutePolicy', 
                [], [], 
                '''                PIM route policy
                ''',
                'route_policy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect', REFERENCE_CLASS, 'RpfRedirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RpfRedirect', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle
                ''',
                'rpf_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-summary', REFERENCE_CLASS, 'RpfSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.RpfSummary', 
                [], [], 
                '''                PIM RPF registration summary
                ''',
                'rpf_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safs', REFERENCE_CLASS, 'Safs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Safs', 
                [], [], 
                '''                SAFI table and type
                ''',
                'safs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Summary', 
                [], [], 
                '''                PIM summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-contexts', REFERENCE_CLASS, 'TableContexts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TableContexts', 
                [], [], 
                '''                PIM table context list
                ''',
                'table_contexts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Topologies', 
                [], [], 
                '''                PIM topology table
                ''',
                'topologies',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-entry-flag-route-counts', REFERENCE_CLASS, 'TopologyEntryFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-flag-route-counts', REFERENCE_CLASS, 'TopologyInterfaceFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with interface flag set
                ''',
                'topology_interface_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-route-count', REFERENCE_CLASS, 'TopologyRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TopologyRouteCount', 
                [], [], 
                '''                Topology route count information from PIM
                topology table
                ''',
                'topology_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.TrafficCounters', 
                [], [], 
                '''                PIM message traffic counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext.Tunnels', 
                [], [], 
                '''                Tunnels information that PIM has
                ''',
                'tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'default-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Process.CheckpointStatistics.CheckpointTable' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Process.CheckpointStatistics.CheckpointTable',
            False, 
            [
            _MetaInfoClassMember('is-mirrored', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table mirrored
                ''',
                'is_mirrored',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('statistic', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stats array
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table description
                ''',
                'table_description',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'checkpoint-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Process.CheckpointStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Process.CheckpointStatistics',
            False, 
            [
            _MetaInfoClassMember('checkpoint-table', REFERENCE_LIST, 'CheckpointTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Process.CheckpointStatistics.CheckpointTable', 
                [], [], 
                '''                Array of chkpt table stats
                ''',
                'checkpoint_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'checkpoint-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Process.Nsr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Process.Nsr',
            False, 
            [
            _MetaInfoClassMember('count-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times connection went down
                ''',
                'count_connection_dn',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times connection went up
                ''',
                'count_connection_up',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Not Ready notif was sent
                ''',
                'count_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Ready notif was sent
                ''',
                'count_rmf_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when connection went down
                ''',
                'last_connection_dn',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when connection went up
                ''',
                'last_connection_up',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Not-Rdy notif was sent
                ''',
                'last_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Rdy notif was sent
                ''',
                'last_rmf_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('partner-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partner process connected
                ''',
                'partner_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-notification-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RMF Notification done
                ''',
                'rmf_notification_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time for RMF timer to expire
                ''',
                'rmf_timer_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-timer-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RMF timer running ?
                ''',
                'rmf_timer_valid',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NSR state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Process.Summary' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Process.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Process.Nsf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Process.Nsf',
            False, 
            [
            _MetaInfoClassMember('configured-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multicast NSF Configured
                ''',
                'configured_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last ICD Notif Recv
                ''',
                'last_icd_notif_recv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last ICD Notif Recv in Seconds
                ''',
                'last_icd_notif_recv_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-off', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time off
                ''',
                'last_nsf_off',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-off-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time OFF in Seconds
                ''',
                'last_nsf_off_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-on', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time ON
                ''',
                'last_nsf_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-on-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time ON in Seconds
                ''',
                'last_nsf_on_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we currently in NSF
                ''',
                'nsf_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF time left in seconds
                ''',
                'nsf_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF timeout in seconds
                ''',
                'nsf_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('respawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Respawn Count
                ''',
                'respawn_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('waiting-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Waiting for IGMP/MLD
                ''',
                'waiting_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('waiting-timer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Waiting for NSF timer expiry
                ''',
                'waiting_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Process.Issu' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Process.Issu',
            False, 
            [
            _MetaInfoClassMember('checkpoint-idt-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when Checkpoint IDT done
                ''',
                'checkpoint_idt_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('eoc-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when EOC was received
                ''',
                'eoc_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ihms-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when IHMS done was received
                ''',
                'ihms_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('informationvalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Information valid ?
                ''',
                'informationvalid',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-checkpoint-idt-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was Checkpoint IDT done ?
                ''',
                'is_checkpoint_idt_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-eoc-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was EOC received ?
                ''',
                'is_eoc_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ihms-done-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was IHMS done received ?
                ''',
                'is_ihms_done_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-nbr-sync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was NBR Sync achieved ?
                ''',
                'is_nbr_sync_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-sync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was RIB Sync received ?
                ''',
                'is_rib_sync_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-ha-role-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last HA role nfn was received
                ''',
                'last_ha_role_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-issu-phase-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last ISSU Phase nfn was received
                ''',
                'last_issu_phase_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-issu-role-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last ISSU role nfn was received
                ''',
                'last_issu_role_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nbr-sync-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when NBR Sync was achieved
                ''',
                'nbr_sync_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('phase-issu', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ISSU Phase
                ''',
                'phase_issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-sync-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RIB Sync was received
                ''',
                'rib_sync_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('role-ha', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                HA role
                ''',
                'role_ha',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('role-issu', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ISSU role
                ''',
                'role_issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Process' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Process',
            False, 
            [
            _MetaInfoClassMember('checkpoint-statistics', REFERENCE_CLASS, 'CheckpointStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Process.CheckpointStatistics', 
                [], [], 
                '''                Checkpoint Statistics
                ''',
                'checkpoint_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Process.Issu', 
                [], [], 
                '''                ISSU Information
                ''',
                'issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Process.Nsf', 
                [], [], 
                '''                PIM NSF information
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Process.Nsr', 
                [], [], 
                '''                NSR Information
                ''',
                'nsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Process.Summary', 
                [], [], 
                '''                PIM Global Summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                PIM IFRS interface information
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('mask-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hash mask length
                ''',
                'mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-group', REFERENCE_LIST, 'RpfHashSourceGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource',
            False, 
            [
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source', REFERENCE_LIST, 'RpfHashSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath',
            False, 
            [
            _MetaInfoClassMember('connector', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Connector Attribute
                ''',
                'connector',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the rpf interface disabled ?
                ''',
                'is_rpf_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-mlsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via Mstatic LSM
                ''',
                'is_via_mlsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF Interface
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-nexthop', REFERENCE_CLASS, 'RpfNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop', 
                [], [], 
                '''                RPF nexthop
                ''',
                'rpf_nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf',
            False, 
            [
            _MetaInfoClassMember('registered-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Address for which RPF lookup
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-bgp-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF through BGP route
                ''',
                'is_rpf_bgp_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address-xr', REFERENCE_CLASS, 'RegisteredAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_LIST, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath', 
                [], [], 
                '''                RPF Paths list
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs',
            False, 
            [
            _MetaInfoClassMember('rpf', REFERENCE_LIST, 'Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf', 
                [], [], 
                '''                PIM RPF information
                ''',
                'rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs.Saf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs.Saf',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-groups', REFERENCE_CLASS, 'RpfHashSourceGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_source_groups',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-hash-sources', REFERENCE_CLASS, 'RpfHashSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpfs', REFERENCE_CLASS, 'Rpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs', 
                [], [], 
                '''                PIM RPF information table
                ''',
                'rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name 
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name 
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'saf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Safs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Safs',
            False, 
            [
            _MetaInfoClassMember('saf', REFERENCE_LIST, 'Saf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs.Saf', 
                [], [], 
                '''                SAF name 
                ''',
                'saf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'safs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Ack Messages
                ''',
                'input_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Messages
                ''',
                'input_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-miscellaneous', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Miscellaneous packet in
                ''',
                'input_miscellaneous',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets in
                ''',
                'input_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Ack Messages
                ''',
                'output_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Messages
                ''',
                'output_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets out
                ''',
                'output_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.InterfaceStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.InterfaceStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-statistic', REFERENCE_LIST, 'InterfaceStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TopologyRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TopologyRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TopologyRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TopologyRouteCount',
            False, 
            [
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TopologyRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.JpStatistics.JpStatistic' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.JpStatistics.JpStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received
                ''',
                'received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 100 average
                ''',
                'received100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 10K average
                ''',
                'received_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 1K average
                ''',
                'received_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Received100
                ''',
                'received_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmitted
                ''',
                'transmitted',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 100 average
                ''',
                'transmitted100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 10K average
                ''',
                'transmitted_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 1K average
                ''',
                'transmitted_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Transmitted100
                ''',
                'transmitted_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.JpStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.JpStatistics',
            False, 
            [
            _MetaInfoClassMember('jp-statistic', REFERENCE_LIST, 'JpStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.JpStatistics.JpStatistic', 
                [], [], 
                '''                PIM Join Prune Statistics
                ''',
                'jp_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase',
            False, 
            [
            _MetaInfoClassMember('assert-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric
                ''',
                'assert_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric Preference
                ''',
                'assert_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-rpt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Assert RPT Bit
                ''',
                'assert_rpt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidirectional-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Bidir ?
                ''',
                'bidirectional_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast satic route group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface name 
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mask of the multicast root
                ''',
                'rpf_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor', 
                [], [], 
                '''                The RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast static route source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-netmask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source mask
                ''',
                'source_netmask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SPT bit set ?
                ''',
                'spt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('upstream-assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Upstream Assert Timer
                ''',
                'upstream_assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime of route
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.MibDatabases' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.MibDatabases',
            False, 
            [
            _MetaInfoClassMember('mib-database', REFERENCE_LIST, 'MibDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'mib_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-match-rpf', REFERENCE_LIST, 'GroupMapMatchRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf', 
                [], [], 
                '''                PIM group matching mapping entry
                ''',
                'group_map_match_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NeighborOldFormats' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NeighborOldFormats',
            False, 
            [
            _MetaInfoClassMember('neighbor-old-format', REFERENCE_LIST, 'NeighborOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.IfrsSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.IfrsSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration counts
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Ranges.Range.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Ranges.Range.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Ranges.Range.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Ranges.Range.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange',
            False, 
            [
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client-xr', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt via
                ''',
                'client_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-range', REFERENCE_LIST, 'GroupRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange', 
                [], [], 
                '''                List of group ranges
                ''',
                'group_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Ranges.Range.RpAddressXr', 
                [], [], 
                '''                Rendezvous point address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Ranges.Range.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Ranges' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Ranges.Range', 
                [], [], 
                '''                PIM range list information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-prefix-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag',
            False, 
            [
            _MetaInfoClassMember('candidate-rp-address', REFERENCE_CLASS, 'CandidateRpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress', 
                [], [], 
                '''                C-RP address
                ''',
                'candidate_rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Expires
                ''',
                'candidate_rp_expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Holdtime
                ''',
                'candidate_rp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-RP Priority
                ''',
                'candidate_rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Uptime
                ''',
                'candidate_rp_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-bsr-crp-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList',
            False, 
            [
            _MetaInfoClassMember('pim-bsr-crp-bag', REFERENCE_LIST, 'PimBsrCrpBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag', 
                [], [], 
                '''                pim bsr crp bag
                ''',
                'pim_bsr_crp_bag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache',
            False, 
            [
            _MetaInfoClassMember('group-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group prefix
                ''',
                'group_prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('candidate-rp-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                C-RP count for this Prefix
                ''',
                'candidate_rp_group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-list', REFERENCE_CLASS, 'CandidateRpList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList', 
                [], [], 
                '''                C-RP list for this prefix
                ''',
                'candidate_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Group Prefix Length
                ''',
                'group_prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-xr', REFERENCE_CLASS, 'GroupPrefixXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr', 
                [], [], 
                '''                Group Prefix
                ''',
                'group_prefix_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-cache',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.RpCaches',
            False, 
            [
            _MetaInfoClassMember('rp-cache', REFERENCE_LIST, 'RpCache' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache', 
                [], [], 
                '''                PIM BSR RP cache
                ''',
                'rp_cache',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-caches',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'crp-access',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp',
            False, 
            [
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Candidate-RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp', REFERENCE_CLASS, 'CandidateRp_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_', 
                [], [], 
                '''                Cand-RP Address
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-advance-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Adv Interval in seconds
                ''',
                'candidate_rp_advance_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Cand-RP Scope
                ''',
                'candidate_rp_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP uptime
                ''',
                'candidate_rp_uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-access', REFERENCE_LIST, 'CrpAccess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess', 
                [], [], 
                '''                Group Ranges Using this Cand-RP
                ''',
                'crp_access',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('crp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Holdtime
                ''',
                'crp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cand-RP Priority
                ''',
                'crp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps',
            False, 
            [
            _MetaInfoClassMember('candidate-rp', REFERENCE_LIST, 'CandidateRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp', 
                [], [], 
                '''                PIM BSR candidate RP information
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection',
            False, 
            [
            _MetaInfoClassMember('pim-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BSR information
                ''',
                'pim_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('bootstrap-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bootstrap Timeout
                ''',
                'bootstrap_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-address', REFERENCE_CLASS, 'BsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress', 
                [], [], 
                '''                BSR address
                ''',
                'bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-election-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Election State
                ''',
                'bsr_election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hash Function Mask Length
                ''',
                'bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BSR Priority
                ''',
                'bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-scope', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Scope
                ''',
                'bsr_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Uptime
                ''',
                'bsr_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-address', REFERENCE_CLASS, 'CandidateBsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress', 
                [], [], 
                '''                C-BSR address
                ''',
                'candidate_bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BSR Candidate Config Flag
                ''',
                'candidate_bsr_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Hash Func. Mask Len
                ''',
                'candidate_bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Priority
                ''',
                'candidate_bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Candidate State
                ''',
                'candidate_bsr_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-election',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr.BsrElections' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr.BsrElections',
            False, 
            [
            _MetaInfoClassMember('bsr-election', REFERENCE_LIST, 'BsrElection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-elections',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Bsr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Bsr',
            False, 
            [
            _MetaInfoClassMember('bsr-elections', REFERENCE_CLASS, 'BsrElections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.BsrElections', 
                [], [], 
                '''                PIM BSR election state
                ''',
                'bsr_elections',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rps', REFERENCE_CLASS, 'CandidateRps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps', 
                [], [], 
                '''                PIM candidate-RP
                ''',
                'candidate_rps',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-caches', REFERENCE_CLASS, 'RpCaches' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr.RpCaches', 
                [], [], 
                '''                PIM BSR RP cache table
                ''',
                'rp_caches',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics',
            False, 
            [
            _MetaInfoClassMember('any-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in any Table
                ''',
                'any_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in default-only Table
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF drops
                ''',
                'drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup requests
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default table selected
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ext-comm', ATTRIBUTE, 'str' , None, None, 
                [(1, 8)], [], 
                '''                Extended Community
                ''',
                'ext_comm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extended-community-rt', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Route Target
                ''',
                'extended_community_rt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table exists
                ''',
                'table_exists',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-test',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests',
            False, 
            [
            _MetaInfoClassMember('route-policy-test', REFERENCE_LIST, 'RoutePolicyTest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest', 
                [], [], 
                '''                PIM route policy test run
                ''',
                'route_policy_test',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-tests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RoutePolicy' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RoutePolicy',
            False, 
            [
            _MetaInfoClassMember('route-policy-statistics', REFERENCE_CLASS, 'RoutePolicyStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics', 
                [], [], 
                '''                PIM route policy statistics
                ''',
                'route_policy_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy-tests', REFERENCE_CLASS, 'RoutePolicyTests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests', 
                [], [], 
                '''                PIM route policy test run table
                ''',
                'route_policy_tests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RpfSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RpfSummary',
            False, 
            [
            _MetaInfoClassMember('default-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default RPF Table SAFI
                ''',
                'default_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default RPF Table Name
                ''',
                'default_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-mtr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS MTR configured?
                ''',
                'is_isis_mtr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS TE configured?
                ''',
                'is_isis_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mbgp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MBGP configured?
                ''',
                'is_mbgp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Enabled ?
                ''',
                'is_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-interface-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Interface Hash Extension Enabled ?
                ''',
                'is_multipath_interface_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source based Hash Enabled ?
                ''',
                'is_multipath_source_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-next-hop-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source-Nexthop Hash Enabled ?
                ''',
                'is_multipath_source_next_hop_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ospf-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is OSPF TE configured?
                ''',
                'is_ospf_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR configured?
                ''',
                'mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence time left in seconds
                ''',
                'rib_convergence_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence timeout in seconds
                ''',
                'rib_convergence_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR RIB configured?
                ''',
                'rib_mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RUMP MuRIB enabled?
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Interfaces.Interface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Interfaces.Interface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Interfaces.Interface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Interfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Interfaces.Interface', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NetIoTunnels' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NetIoTunnels',
            False, 
            [
            _MetaInfoClassMember('net-io-tunnel', REFERENCE_LIST, 'NetIoTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel', 
                [], [], 
                '''                PIM netio tunnel information
                ''',
                'net_io_tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState',
            False, 
            [
            _MetaInfoClassMember('election-state', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DF Election State
                ''',
                'election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'our_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MetricPreference
                ''',
                'our_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (nseconds)
                ''',
                'time_nano_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (seconds)
                ''',
                'time_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BidirDfStates' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BidirDfStates',
            False, 
            [
            _MetaInfoClassMember('bidir-df-state', REFERENCE_LIST, 'BidirDfState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState', 
                [], [], 
                '''                Bidirectional PIM DF Election Table Entry
                ''',
                'bidir_df_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology.ProxyAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology.ProxyAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'proxy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'orig-src-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'assert-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface',
            False, 
            [
            _MetaInfoClassMember('admin-boundary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an administrative boundary ?
                ''',
                'admin_boundary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Assert Timer in seconds
                ''',
                'assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-winner', REFERENCE_CLASS, 'AssertWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner', 
                [], [], 
                '''                Assert Winner
                ''',
                'assert_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C-Mcast join
                ''',
                'bgp_c_mcast_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-prune-delay-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C-MCAST Prune Suppression in seconds
                ''',
                'bgp_c_mcast_prune_delay_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('data-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Data MDT join
                ''',
                'data_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an Extranet Interface ?
                ''',
                'extranet_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('forwarding-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Forward or Prune
                ''',
                'forwarding_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('igmp-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGMP membership
                ''',
                'igmp_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('immediate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Immediate fwding state
                ''',
                'immediate_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('internal-interest-info', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Internal Interest
                ''',
                'internal_interest_info',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune State
                ''',
                'jp_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer (secs)
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default MDT Join
                ''',
                'local_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-members', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Local Information
                ''',
                'local_members',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Safi join
                ''',
                'mdt_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-inband-mdt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Inband MDT interface
                ''',
                'mldp_inband_mdt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OLE is stale
                ''',
                'mldp_stale',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvp-nv6-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN IPv6 Safi join
                ''',
                'mvp_nv6_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvpn-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN Safi join
                ''',
                'mvpn_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-prune', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA Prune state
                ''',
                'sa_prune',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF which physically owns
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'outgoing-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('alive', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Alive time in seconds (-1 if never)
                ''',
                'alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group matches Anycast-RP policy
                ''',
                'anycast_rp_match',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Anycast-RP RT
                ''',
                'anycast_rp_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assume-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Assume Alive Bit
                ''',
                'assume_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C JOIN
                ''',
                'bgp_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgpjp-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C JP Time
                ''',
                'bgpjp_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connected ?
                ''',
                'connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('customer-routing-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Type of Customer Routing in the MVPN
                ''',
                'customer_routing_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dont-check-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do we need to make the connected check on this
                route ?
                ''',
                'dont_check_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When this entry expires
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is a Extranet route ?
                ''',
                'extranet_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit Alive Bit
                ''',
                'inherit_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit SPT Bit
                ''',
                'inherit_spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Status
                ''',
                'jp_status',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have we throttled the creation of routes or
                interfaces ?
                ''',
                'limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR Active?
                ''',
                'mofrr_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Backup?
                ''',
                'mofrr_backup',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'mofrr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-primary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Primary?
                ''',
                'mofrr_primary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('orig-src-address', REFERENCE_CLASS, 'OrigSrcAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress', 
                [], [], 
                '''                Orig Src Address.
                ''',
                'orig_src_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outgoing-interface', REFERENCE_LIST, 'OutgoingInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('probe-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Probe Alive Bit
                ''',
                'probe_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RPF target a proxy?
                ''',
                'proxy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy-address', REFERENCE_CLASS, 'ProxyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology.ProxyAddress', 
                [], [], 
                '''                RPF Proxy address.
                ''',
                'proxy_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('really-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Really Alive Bit
                ''',
                'really_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have registers been received for this source ?
                ''',
                'register_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Register Received Timer in seconds (-1 if never)
                ''',
                'register_received_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MSDP told us
                ''',
                'remote_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'rib_mo_frr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpAddress', 
                [], [], 
                '''                RP Address (If rpt)
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfNeighbor', 
                [], [], 
                '''                RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-proxy-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is rpf if proxy enabled?
                ''',
                'rpf_proxy_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RPT bit
                ''',
                'rpt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt-xr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the RPT ?
                ''',
                'rpt_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-joined', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA join
                ''',
                'sa_joined',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA received
                ''',
                'sa_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA sent
                ''',
                'sa_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Interface Identifier
                ''',
                'secondary_rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-neighbor', REFERENCE_CLASS, 'SecondaryRpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor', 
                [], [], 
                '''                Secondary RPF Neighbor
                ''',
                'secondary_rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-null-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending null registers for this route ?
                ''',
                'sending_null_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending registers for this route ?
                ''',
                'sending_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('signal-sources', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Signal Sources on route?
                ''',
                'signal_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the SPT ?
                ''',
                'spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-registers', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                When the Null register probe expires
                ''',
                'suppress_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this VXLAN?
                ''',
                'vxlan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                WC -Wildcard
                ''',
                'wildcard',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Topologies' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies.Topology', 
                [], [], 
                '''                PIM topology information
                ''',
                'topology',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Source' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Source',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Group' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Group',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.NextHop' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.NextHop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf',
            False, 
            [
            _MetaInfoClassMember('extranet-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of dependent extranet paths
                ''',
                'extranet_path_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Group', 
                [], [], 
                '''                Group address
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('is-bgp-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SAFI learnt from BGP
                ''',
                'is_bgp_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.NextHop', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Router ID
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Source', 
                [], [], 
                '''                Source address
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BgpAfs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BgpAfs',
            False, 
            [
            _MetaInfoClassMember('bgp-af', REFERENCE_LIST, 'BgpAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf', 
                [], [], 
                '''                PIM BGP SAFI information
                ''',
                'bgp_af',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.AutoRp' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.AutoRp',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'auto-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('interface-flag', REFERENCE_ENUM_CLASS, 'PimTopologyInterfaceFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyInterfaceFlagEnum', 
                [], [], 
                '''                Interface flag
                ''',
                'interface_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-interface-flag-route-count', REFERENCE_LIST, 'TopologyInterfaceFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount', 
                [], [], 
                '''                Route count for topology with interface flag
                set
                ''',
                'topology_interface_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP Priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapSources' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapSources',
            False, 
            [
            _MetaInfoClassMember('group-map-source', REFERENCE_LIST, 'GroupMapSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource', 
                [], [], 
                '''                PIM Group Mapping Entry with source information
                ''',
                'group_map_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState',
            False, 
            [
            _MetaInfoClassMember('max-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum size of queue in bytes
                ''',
                'max_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in bytes
                ''',
                'queue_size_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in number of packets
                ''',
                'queue_size_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats',
            False, 
            [
            _MetaInfoClassMember('dequeued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets dequeued from this queue
                ''',
                'dequeued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('enqueued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets enqueued to this queue
                ''',
                'enqueued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of bytes enqueued in this queue
                ''',
                'high_water_mark_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of packets enqueued in this queue
                ''',
                'high_water_mark_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tail-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number packets dropped from this queue due to
                max size
                ''',
                'tail_drops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue',
            False, 
            [
            _MetaInfoClassMember('packet-queue-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Priority of this packet queue
                ''',
                'packet_queue_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-state', REFERENCE_CLASS, 'PacketQueueState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState', 
                [], [], 
                '''                State of the queue
                ''',
                'packet_queue_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-stats', REFERENCE_CLASS, 'PacketQueueStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats', 
                [], [], 
                '''                Statistics about the queue
                ''',
                'packet_queue_stats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('boundary-acl-rx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inc. JP dropped since boundary ACL confg
                ''',
                'boundary_acl_rx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('boundary-acl-tx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out JP dropped since boundary ACL confg
                ''',
                'boundary_acl_tx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('checksum-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters in seconds
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('format-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets in
                ''',
                'input_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets in
                ''',
                'input_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Ecmp Redirect
                ''',
                'input_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-idb-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No IDB for intf error
                ''',
                'input_no_idb_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-pim-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Disabled on intf error
                ''',
                'input_no_pim_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-vrf-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No VRF for idb error
                ''',
                'input_no_vrf_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets in
                ''',
                'input_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-pim-version-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid PIM version error
                ''',
                'input_pim_version_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'inputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-destination-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Control Packets with Invalid Destination
                ''',
                'invalid_destination_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-join-prunes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid Join/Prunes received
                ''',
                'invalid_join_prunes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-registers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid registers received
                ''',
                'invalid_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-local-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to local source
                addr
                ''',
                'mdt_drop_local_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to idb missing
                ''',
                'mdt_drop_no_idb',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-vrf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to vrf missing
                ''',
                'mdt_drop_no_vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-null-local-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to null local
                addr
                ''',
                'mdt_drop_null_local_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-bad-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT TLV bad type
                ''',
                'mdt_join_bad_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs received
                ''',
                'mdt_join_tlv_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs sent
                ''',
                'mdt_join_tlv_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-joins-drop-multiple-encapsulation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Join msgs dropped due to multiple Encap
                limitation
                ''',
                'mdt_joins_drop_multiple_encapsulation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since mdt send queue was full
                ''',
                'mdt_send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Socket errors
                ''',
                'mdt_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-invalid-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Invalid LSM ID
                ''',
                'mldp_mdt_invalid_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-mdt-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no mdt socket connection
                ''',
                'no_mdt_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no source address
                ''',
                'no_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-supported-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM non supported pckets
                ''',
                'non_supported_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets out
                ''',
                'output_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets out
                ''',
                'output_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Ecmp Redirect
                ''',
                'output_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Hello Bytes
                ''',
                'output_hello_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Join Groups
                ''',
                'output_join_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-prune-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output JP Bytes
                ''',
                'output_join_prune_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-loop-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output on loopback error
                ''',
                'output_loop_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets out
                ''',
                'output_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-prune-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Prune Groups
                ''',
                'output_prune_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'outputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-dequeued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dequeued per priority Deprecated by
                PacketQueue
                ''',
                'packet_dequeued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-enqueued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Enqueued per priority Deprecated by
                PacketQueue
                ''',
                'packet_enqueued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-packman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Pakman Error
                ''',
                'packet_packman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue', REFERENCE_LIST, 'PacketQueue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue', 
                [], [], 
                '''                Packet queue state and statistics
                ''',
                'packet_queue',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-last-clear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last clear of all
                packet queues stats
                ''',
                'packet_queue_last_clear',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-length', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Length per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-size', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Size per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-read-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Read Socket Error
                ''',
                'packet_read_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-tail-drop', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Tail Drop per priority Deprecated by
                PacketQueue
                ''',
                'packet_tail_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packets-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Standby Error
                ''',
                'packets_standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pakman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pakman packets dropped
                ''',
                'pakman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since send queue was full
                ''',
                'send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors
                ''',
                'socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby-packets-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received in standby state
                ''',
                'standby_packets_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('truncated-pim-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to truncated Joins or Prunes
                ''',
                'truncated_pim_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf',
            False, 
            [
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP priority
                ''',
                'rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapRpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-rpf', REFERENCE_LIST, 'GroupMapRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf', 
                [], [], 
                '''                PIM group mapping entry
                ''',
                'group_map_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Summary' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Gre.GreHashes.GreHash' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Gre.GreHashes.GreHash',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('ifname', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Tunnel Interface
                ''',
                'ifname',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hash',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Gre.GreHashes' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Gre.GreHashes',
            False, 
            [
            _MetaInfoClassMember('gre-hash', REFERENCE_LIST, 'GreHash' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Gre.GreHashes.GreHash', 
                [], [], 
                '''                PIM GRE Hashed Underlying Interface
                ''',
                'gre_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hashes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath',
            False, 
            [
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Interface
                ''',
                'gre_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-neighbor', REFERENCE_CLASS, 'GreNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor', 
                [], [], 
                '''                GRE neighbor
                ''',
                'gre_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hop', REFERENCE_CLASS, 'GreNextHop_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_', 
                [], [], 
                '''                GRE nexthop
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gre-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the gre interface disabled ?
                ''',
                'is_gre_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                GRE destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('gre-path', REFERENCE_LIST, 'GrePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath', 
                [], [], 
                '''                GRE Paths list
                ''',
                'gre_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address', REFERENCE_CLASS, 'RegisteredAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Gre.GreNextHops',
            False, 
            [
            _MetaInfoClassMember('gre-next-hop', REFERENCE_LIST, 'GreNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop', 
                [], [], 
                '''                PIM GRE address next-hop information
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hops',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Gre' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Gre',
            False, 
            [
            _MetaInfoClassMember('gre-hashes', REFERENCE_CLASS, 'GreHashes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Gre.GreHashes', 
                [], [], 
                '''                GRE hash
                ''',
                'gre_hashes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hops', REFERENCE_CLASS, 'GreNextHops' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Gre.GreNextHops', 
                [], [], 
                '''                GRE destination neighbor table
                ''',
                'gre_next_hops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner',
            False, 
            [
            _MetaInfoClassMember('are-we-df', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we DF
                ''',
                'are_we_df',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('df-winner', REFERENCE_CLASS, 'DfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner', 
                [], [], 
                '''                DF Winner
                ''',
                'df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-lan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the RP LAN
                ''',
                'rp_lan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.BidirDfWinners' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.BidirDfWinners',
            False, 
            [
            _MetaInfoClassMember('bidir-df-winner', REFERENCE_LIST, 'BidirDfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner', 
                [], [], 
                '''                Bidirectional PIM DF election table entry
                ''',
                'bidir_df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winners',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TableContexts.TableContext' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TableContexts.TableContext',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TableContexts' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TableContexts',
            False, 
            [
            _MetaInfoClassMember('table-context', REFERENCE_LIST, 'TableContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TableContexts.TableContext', 
                [], [], 
                '''                PIM table context information
                ''',
                'table_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-contexts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NeighborSummaries.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NeighborSummaries.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('number-of-external-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of external neighbors
                ''',
                'number_of_external_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('number-of-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of neighbors
                ''',
                'number_of_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.NeighborSummaries' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.NeighborSummaries',
            False, 
            [
            _MetaInfoClassMember('neighbor-summary', REFERENCE_LIST, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NeighborSummaries.NeighborSummary', 
                [], [], 
                '''                PIM neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Context.RemoteDefaultGroup' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Context.RemoteDefaultGroup',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'remote-default-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Context.RpfDefaultTable' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Context.RpfDefaultTable',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-default-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Context.ExportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Context.ExportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'export-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Context.ImportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Context.ImportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'import-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange',
            False, 
            [
            _MetaInfoClassMember('ancast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Range marked
                ''',
                'ancast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange.Prefix', 
                [], [], 
                '''                Anycast-RP Range Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Anycast-RP Range Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'anycast-rp-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Context' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Context',
            False, 
            [
            _MetaInfoClassMember('active-table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active Tables
                ''',
                'active_table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow RP Configured
                ''',
                'allow_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-group-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP Group-List ACL Name
                ''',
                'allow_rp_group_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-rp-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP RP-list ACL Name
                ''',
                'allow_rp_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP config
                ''',
                'anycast_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Anycast-RP Policy Name
                ''',
                'anycast_rp_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-range', REFERENCE_LIST, 'AnycastRpRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange', 
                [], [], 
                '''                Anycast-RP Ranges
                ''',
                'anycast_rp_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto-Discovery configured
                ''',
                'bgp_auto_discovery_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Auto Discovery Type
                ''',
                'bgp_auto_discovery_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-i-pmsi-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP I-PMSI Added
                ''',
                'bgp_i_pmsi_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BGP remote interface address
                ''',
                'bgp_remote_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BGP remote interface handle
                ''',
                'bgp_remote_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP remote interface name
                ''',
                'bgp_remote_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP remote interface status
                ''',
                'bgp_remote_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP remote interface state
                ''',
                'bgp_remote_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-source-active-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send BGP Source-Active Announcements
                ''',
                'bgp_source_active_announce',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('export-route-target', REFERENCE_LIST, 'ExportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Context.ExportRouteTarget', 
                [], [], 
                '''                Export Route Targets
                ''',
                'export_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'gin_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'gin_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'gin_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'gin_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'gin_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'gin_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('import-route-target', REFERENCE_LIST, 'ImportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Context.ImportRouteTarget', 
                [], [], 
                '''                Import Route Targets
                ''',
                'import_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'in_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'in_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'in_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'in_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'in_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'in_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-local-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Local enabled
                ''',
                'in_band_signaling_local_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-remote-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Remote enabled
                ''',
                'in_band_signaling_remote_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inter-autonomous-system-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inter-AS Enabled
                ''',
                'inter_autonomous_system_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR MDT max aggregation
                ''',
                'ir_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Announce interval
                ''',
                'ir_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Switchover interval
                ''',
                'ir_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IRMDT handle
                ''',
                'ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IRMDT MTU
                ''',
                'ir_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IR MDT Name
                ''',
                'ir_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR RPF-ID
                ''',
                'ir_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-tail-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Tail Label
                ''',
                'ir_mdt_tail_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active-ital', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active ITAL
                ''',
                'is_active_ital',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-all-interface-disable-operation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM all interface disable operation
                ''',
                'is_all_interface_disable_operation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP Listen Enabled
                ''',
                'is_auto_rp_listen_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-sock-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP listen sock add
                ''',
                'is_auto_rp_listen_sock_add',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-gin-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-in-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-ir-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create IR MDT interface
                ''',
                'is_create_ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MDT interface
                ''',
                'is_create_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mldp-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MLDP MDT interface
                ''',
                'is_create_mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-rsvp-te-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create RSVP-TE MDT interface
                ''',
                'is_create_rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-default-granges', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default granges
                ''',
                'is_default_granges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gin-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_gin_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-in-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_in_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ir-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IR MDT Owner
                ''',
                'is_ir_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Socket
                ''',
                'is_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Socket
                ''',
                'is_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-m-host-publish-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Publish pending for MHost Default interface
                ''',
                'is_m_host_publish_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Owner
                ''',
                'is_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mldp-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP MDT Owner
                ''',
                'is_mldp_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mrib-register', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MRIB Register
                ''',
                'is_mrib_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mcast RIB Registration
                ''',
                'is_multicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converge-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converge received
                ''',
                'is_pim_nsf_rib_converge_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converged
                ''',
                'is_pim_nsf_rib_converged',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-redistribution-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pending redist reset
                ''',
                'is_redistribution_reset',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Register Injection Socket
                ''',
                'is_register_injection_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Register Injection Socket
                ''',
                'is_register_injection_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multiplath enabled
                ''',
                'is_rib_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-interface-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath interface hash
                ''',
                'is_rib_multipath_interface_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source based hash
                ''',
                'is_rib_multipath_source_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-next-hop-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source-nexthop hash
                ''',
                'is_rib_multipath_source_next_hop_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Routing Enabled
                ''',
                'is_routing_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rsvp-te-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Owner
                ''',
                'is_rsvp_te_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Socket
                ''',
                'is_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Socket
                ''',
                'is_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bound on UDP Socket
                ''',
                'is_udp_socket_bind',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bind required on UDP Socket
                ''',
                'is_udp_socket_bind_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-unicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ucast RIB Registration
                ''',
                'is_unicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT max aggregation
                ''',
                'maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Announce interval
                ''',
                'mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Switchover interval
                ''',
                'mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-default-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MDT Default group
                ''',
                'mdt_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT Remote RPF Identifier
                ''',
                'mdt_gre_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT RPF Identifier
                ''',
                'mdt_gre_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MDT handle
                ''',
                'mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT MTU
                ''',
                'mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MDT Neighbor Filter Name
                ''',
                'mdt_neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-ir-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned IR MDT Control Identifier
                ''',
                'mdt_partitioned_ir_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-mdt-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Control Identifier
                ''',
                'mdt_partitioned_mdt_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-default-interface-config', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured Mhost Defint
                ''',
                'mhost_default_interface_config',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MHost handle
                ''',
                'mhost_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-announce-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Announce Control tree added
                ''',
                'mldp_auto_rp_announce_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-discovery-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Discovery Control tree added
                ''',
                'mldp_auto_rp_discovery_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-bsr-control-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP BSR Control tree added
                ''',
                'mldp_bsr_control_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-control-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MVPN Identifier
                ''',
                'mldp_control_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head local label
                ''',
                'mldp_head_local_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Head LSM-ID
                ''',
                'mldp_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT max aggregation
                ''',
                'mldp_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Announce interval
                ''',
                'mldp_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Switchover interval
                ''',
                'mldp_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MLDP MDT handle
                ''',
                'mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT MTU
                ''',
                'mldp_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MLDP MDT Name
                ''',
                'mldp_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote RPF-ID
                ''',
                'mldp_mdt_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP RPF-ID
                ''',
                'mldp_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partioned-mp2m-ptree', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP2MP Partitioned MDT tree
                ''',
                'mldp_partioned_mp2m_ptree',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head LSM-ID
                ''',
                'mldp_partitioned_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Partitioned MDT
                ''',
                'mldp_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Partitioned MDT Identifier
                ''',
                'mldp_partitioned_mdt_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote Head LSM-ID
                ''',
                'mldp_remote_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Remote Partitioned MDT
                ''',
                'mldp_remote_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-address', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root addresses
                ''',
                'mldp_root_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root count
                ''',
                'mldp_root_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('murib-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MURIB ID
                ''',
                'murib_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-default-vrf-count-on-socket', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of non-default vrfs on raw socket
                ''',
                'non_default_vrf_count_on_socket',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('organization-unique-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OUI for VPN-ID
                ''',
                'organization_unique_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('p2mpte-li-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route LI updates dropped for P2MP
                ''',
                'p2mpte_li_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redistribution-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redist reset count
                ''',
                'redistribution_reset_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-default-group', REFERENCE_CLASS, 'RemoteDefaultGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Context.RemoteDefaultGroup', 
                [], [], 
                '''                Remote Default Group
                ''',
                'remote_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Table ID
                ''',
                'remote_table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                RD value
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-default-table', REFERENCE_CLASS, 'RpfDefaultTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Context.RpfDefaultTable', 
                [], [], 
                '''                RPF Default Table
                ''',
                'rpf_default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF ID
                ''',
                'rpf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF topology selection route-policy name
                ''',
                'rpf_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE MDT max aggregation
                ''',
                'rsvp_te_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Announce interval
                ''',
                'rsvp_te_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Switchover interval
                ''',
                'rsvp_te_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RSVP-TEMDT handle
                ''',
                'rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TEMDT MTU
                ''',
                'rsvp_te_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Name
                ''',
                'rsvp_te_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE RPF-ID
                ''',
                'rsvp_te_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-static-p2mp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Static P2MP-TE MDT
                ''',
                'rsvp_te_mdt_static_p2mp_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM is using MuRIB
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S,G Expiry Time Configured, in seconds
                ''',
                'sg_expiry_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S,G Expiry Timer Configured
                ''',
                'sg_expiry_timer_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-sg-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                S,G expiry timer ACL name
                ''',
                'sg_expiry_timer_sg_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('stale-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is stale
                ''',
                'stale_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-pim-data-mdt-tlv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress PIM Data-MDT TLV Announcements
                ''',
                'suppress_pim_data_mdt_tlv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-shared-tree-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress Shared-Tree Joins
                ''',
                'suppress_shared_tree_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of configured Tables
                ''',
                'table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('umh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Join UMH Core-Tree
                ''',
                'umh',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('valid-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is valid
                ''',
                'valid_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vpn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Index
                ''',
                'vpn_index',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('entry-flag', REFERENCE_ENUM_CLASS, 'PimTopologyEntryFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyEntryFlagEnum', 
                [], [], 
                '''                entry flag
                ''',
                'entry_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-entry-flag-route-count', REFERENCE_LIST, 'TopologyEntryFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface',
            False, 
            [
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-outgoing-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is outgoing Interface
                ''',
                'is_outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF Interface
                ''',
                'is_rpf_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-snoop-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is snooping Interface
                ''',
                'is_snoop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-address', REFERENCE_CLASS, 'RpfAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress', 
                [], [], 
                '''                RPF Address
                ''',
                'rpf_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth in Kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr', 
                [], [], 
                '''                Group ddress
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases',
            False, 
            [
            _MetaInfoClassMember('redirect-route-database', REFERENCE_LIST, 'RedirectRouteDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase', 
                [], [], 
                '''                PIM ECMP RPF-redirect route information
                ''',
                'redirect_route_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth allocated in Kbps
                ''',
                'allocated_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allocated-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Configured threshold in Kbps
                ''',
                'allocated_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth available in Kbps
                ''',
                'available_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Available threshold in Kbps
                ''',
                'available_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Bundle name
                ''',
                'bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Bundle interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect bundle name
                ''',
                'rpf_redirect_bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-interface-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect interface name
                ''',
                'rpf_redirect_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('snooping-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by snooped entries in Kbps
                ''',
                'snooping_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by topology in Kbps
                ''',
                'topology_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('total-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Total bandwidth used in Kbps
                ''',
                'total_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces',
            False, 
            [
            _MetaInfoClassMember('bundle-interface', REFERENCE_LIST, 'BundleInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle interface
                information
                ''',
                'bundle_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.RpfRedirect' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.RpfRedirect',
            False, 
            [
            _MetaInfoClassMember('bundle-interfaces', REFERENCE_CLASS, 'BundleInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle information
                ''',
                'bundle_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redirect-route-databases', REFERENCE_CLASS, 'RedirectRouteDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases', 
                [], [], 
                '''                PIM ECMP RPF-redirect route database
                ''',
                'redirect_route_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Tunnels' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Tunnels',
            False, 
            [
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel', 
                [], [], 
                '''                PIM tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSM flag
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop', 
                [], [], 
                '''                Next Hop
                ''',
                'nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes',
            False, 
            [
            _MetaInfoClassMember('multicast-static-route', REFERENCE_LIST, 'MulticastStaticRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'multicast_static_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.GroupMapMatchSources',
            False, 
            [
            _MetaInfoClassMember('group-map-match-source', REFERENCE_LIST, 'GroupMapMatchSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource', 
                [], [], 
                '''                PIM group-matching mapping entry with source
                information
                ''',
                'group_map_match_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf.Neighbors' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                VRF name 
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('auto-rp', REFERENCE_CLASS, 'AutoRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.AutoRp', 
                [], [], 
                '''                PIM Auto-RP information
                ''',
                'auto_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-afs', REFERENCE_CLASS, 'BgpAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BgpAfs', 
                [], [], 
                '''                PIM BGP SAFI table
                ''',
                'bgp_afs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-states', REFERENCE_CLASS, 'BidirDfStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BidirDfStates', 
                [], [], 
                '''                Bidirectional PIM DF election state table
                ''',
                'bidir_df_states',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-winners', REFERENCE_CLASS, 'BidirDfWinners' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.BidirDfWinners', 
                [], [], 
                '''                Bidirectional PIM DF election winner table
                ''',
                'bidir_df_winners',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Bsr', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Context', 
                [], [], 
                '''                PIM context information
                ''',
                'context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Gre', 
                [], [], 
                '''                GRE information
                ''',
                'gre',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-rpfs', REFERENCE_CLASS, 'GroupMapMatchRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs', 
                [], [], 
                '''                Find matching group-mapping for the specified
                group address
                ''',
                'group_map_match_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-sources', REFERENCE_CLASS, 'GroupMapMatchSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapMatchSources', 
                [], [], 
                '''                Find the matching group-mapping with source
                information on specified group address
                ''',
                'group_map_match_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-rpfs', REFERENCE_CLASS, 'GroupMapRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapRpfs', 
                [], [], 
                '''                PIM group mapping information
                ''',
                'group_map_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-sources', REFERENCE_CLASS, 'GroupMapSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.GroupMapSources', 
                [], [], 
                '''                PIM group-mapping with source information
                ''',
                'group_map_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.IfrsInterfaces', 
                [], [], 
                '''                PIM interfaces in forward reference store table
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-summary', REFERENCE_CLASS, 'IfrsSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.IfrsSummary', 
                [], [], 
                '''                PIM interfaces in forward reference store
                summary
                ''',
                'ifrs_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.InterfaceOldFormats', 
                [], [], 
                '''                PIM interfaces in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-statistics', REFERENCE_CLASS, 'InterfaceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.InterfaceStatistics', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Interfaces', 
                [], [], 
                '''                PIM interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-statistics', REFERENCE_CLASS, 'JpStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.JpStatistics', 
                [], [], 
                '''                PIM join prune statistics table
                ''',
                'jp_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mib-databases', REFERENCE_CLASS, 'MibDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.MibDatabases', 
                [], [], 
                '''                PIM group database for mroute mibs table
                ''',
                'mib_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('multicast-static-routes', REFERENCE_CLASS, 'MulticastStaticRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes', 
                [], [], 
                '''                PIM multicast static route table
                ''',
                'multicast_static_routes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-old-formats', REFERENCE_CLASS, 'NeighborOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NeighborOldFormats', 
                [], [], 
                '''                PIM neighbor table old format
                ''',
                'neighbor_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-summaries', REFERENCE_CLASS, 'NeighborSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NeighborSummaries', 
                [], [], 
                '''                PIM neighbor summary table
                ''',
                'neighbor_summaries',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Neighbors', 
                [], [], 
                '''                PIM neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('net-io-tunnels', REFERENCE_CLASS, 'NetIoTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.NetIoTunnels', 
                [], [], 
                '''                Tunnel information that NETIO has 
                ''',
                'net_io_tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Ranges', 
                [], [], 
                '''                PIM range list information
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy', REFERENCE_CLASS, 'RoutePolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RoutePolicy', 
                [], [], 
                '''                PIM route policy
                ''',
                'route_policy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect', REFERENCE_CLASS, 'RpfRedirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RpfRedirect', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle
                ''',
                'rpf_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-summary', REFERENCE_CLASS, 'RpfSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.RpfSummary', 
                [], [], 
                '''                PIM RPF registration summary
                ''',
                'rpf_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safs', REFERENCE_CLASS, 'Safs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Safs', 
                [], [], 
                '''                SAFI table and type
                ''',
                'safs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Summary', 
                [], [], 
                '''                PIM summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-contexts', REFERENCE_CLASS, 'TableContexts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TableContexts', 
                [], [], 
                '''                PIM table context list
                ''',
                'table_contexts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Topologies', 
                [], [], 
                '''                PIM topology table
                ''',
                'topologies',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-entry-flag-route-counts', REFERENCE_CLASS, 'TopologyEntryFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-flag-route-counts', REFERENCE_CLASS, 'TopologyInterfaceFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with interface flag set
                ''',
                'topology_interface_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-route-count', REFERENCE_CLASS, 'TopologyRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TopologyRouteCount', 
                [], [], 
                '''                Topology route count information from PIM
                topology table
                ''',
                'topology_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.TrafficCounters', 
                [], [], 
                '''                PIM message traffic counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf.Tunnels', 
                [], [], 
                '''                Tunnels information that PIM has
                ''',
                'tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby.Vrfs' : {
        'meta_info' : _MetaInfoClass('Pim.Standby.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs.Vrf', 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Standby' : {
        'meta_info' : _MetaInfoClass('Pim.Standby',
            False, 
            [
            _MetaInfoClassMember('default-context', REFERENCE_CLASS, 'DefaultContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.DefaultContext', 
                [], [], 
                '''                Default Context
                ''',
                'default_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('process', REFERENCE_CLASS, 'Process' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Process', 
                [], [], 
                '''                Process
                ''',
                'process',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby.Vrfs', 
                [], [], 
                '''                VRF Table
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'global-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GlobalInterfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GlobalInterfaces',
            False, 
            [
            _MetaInfoClassMember('global-interface', REFERENCE_LIST, 'GlobalInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface', 
                [], [], 
                '''                PIM interface name
                ''',
                'global_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'global-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                PIM IFRS interface information
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('mask-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hash mask length
                ''',
                'mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-group', REFERENCE_LIST, 'RpfHashSourceGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource',
            False, 
            [
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.RpfHashSources' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.RpfHashSources',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source', REFERENCE_LIST, 'RpfHashSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath',
            False, 
            [
            _MetaInfoClassMember('connector', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Connector Attribute
                ''',
                'connector',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the rpf interface disabled ?
                ''',
                'is_rpf_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-mlsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via Mstatic LSM
                ''',
                'is_via_mlsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF Interface
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-nexthop', REFERENCE_CLASS, 'RpfNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop', 
                [], [], 
                '''                RPF nexthop
                ''',
                'rpf_nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf',
            False, 
            [
            _MetaInfoClassMember('registered-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Address for which RPF lookup
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-bgp-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF through BGP route
                ''',
                'is_rpf_bgp_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address-xr', REFERENCE_CLASS, 'RegisteredAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_LIST, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath', 
                [], [], 
                '''                RPF Paths list
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf.Rpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf.Rpfs',
            False, 
            [
            _MetaInfoClassMember('rpf', REFERENCE_LIST, 'Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf', 
                [], [], 
                '''                PIM RPF information
                ''',
                'rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs.Saf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs.Saf',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-groups', REFERENCE_CLASS, 'RpfHashSourceGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_source_groups',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-hash-sources', REFERENCE_CLASS, 'RpfHashSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.RpfHashSources', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpfs', REFERENCE_CLASS, 'Rpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf.Rpfs', 
                [], [], 
                '''                PIM RPF information table
                ''',
                'rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name 
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name 
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'saf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Safs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Safs',
            False, 
            [
            _MetaInfoClassMember('saf', REFERENCE_LIST, 'Saf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs.Saf', 
                [], [], 
                '''                SAF name 
                ''',
                'saf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'safs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.InterfaceStatistics.InterfaceStatistic' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.InterfaceStatistics.InterfaceStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Ack Messages
                ''',
                'input_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Messages
                ''',
                'input_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-miscellaneous', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Miscellaneous packet in
                ''',
                'input_miscellaneous',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets in
                ''',
                'input_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Ack Messages
                ''',
                'output_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Messages
                ''',
                'output_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets out
                ''',
                'output_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.InterfaceStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.InterfaceStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-statistic', REFERENCE_LIST, 'InterfaceStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.InterfaceStatistics.InterfaceStatistic', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TopologyRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TopologyRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TopologyRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TopologyRouteCount',
            False, 
            [
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TopologyRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.JpStatistics.JpStatistic' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.JpStatistics.JpStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received
                ''',
                'received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 100 average
                ''',
                'received100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 10K average
                ''',
                'received_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 1K average
                ''',
                'received_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Received100
                ''',
                'received_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmitted
                ''',
                'transmitted',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 100 average
                ''',
                'transmitted100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 10K average
                ''',
                'transmitted_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 1K average
                ''',
                'transmitted_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Transmitted100
                ''',
                'transmitted_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.JpStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.JpStatistics',
            False, 
            [
            _MetaInfoClassMember('jp-statistic', REFERENCE_LIST, 'JpStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.JpStatistics.JpStatistic', 
                [], [], 
                '''                PIM Join Prune Statistics
                ''',
                'jp_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.MibDatabases.MibDatabase' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.MibDatabases.MibDatabase',
            False, 
            [
            _MetaInfoClassMember('assert-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric
                ''',
                'assert_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric Preference
                ''',
                'assert_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-rpt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Assert RPT Bit
                ''',
                'assert_rpt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidirectional-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Bidir ?
                ''',
                'bidirectional_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast satic route group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface name 
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mask of the multicast root
                ''',
                'rpf_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor', 
                [], [], 
                '''                The RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast static route source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-netmask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source mask
                ''',
                'source_netmask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SPT bit set ?
                ''',
                'spt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('upstream-assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Upstream Assert Timer
                ''',
                'upstream_assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime of route
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.MibDatabases' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.MibDatabases',
            False, 
            [
            _MetaInfoClassMember('mib-database', REFERENCE_LIST, 'MibDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.MibDatabases.MibDatabase', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'mib_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchRpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-match-rpf', REFERENCE_LIST, 'GroupMapMatchRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf', 
                [], [], 
                '''                PIM group matching mapping entry
                ''',
                'group_map_match_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NeighborOldFormats' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NeighborOldFormats',
            False, 
            [
            _MetaInfoClassMember('neighbor-old-format', REFERENCE_LIST, 'NeighborOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.IfrsSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.IfrsSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration counts
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Ranges.Range.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Ranges.Range.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Ranges.Range.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Ranges.Range.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Ranges.Range.GroupRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Ranges.Range.GroupRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Ranges.Range.GroupRange' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Ranges.Range.GroupRange',
            False, 
            [
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Ranges.Range.GroupRange.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client-xr', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt via
                ''',
                'client_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-range', REFERENCE_LIST, 'GroupRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Ranges.Range.GroupRange', 
                [], [], 
                '''                List of group ranges
                ''',
                'group_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Ranges.Range.RpAddressXr', 
                [], [], 
                '''                Rendezvous point address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Ranges.Range.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Ranges' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Ranges.Range', 
                [], [], 
                '''                PIM range list information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-prefix-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag',
            False, 
            [
            _MetaInfoClassMember('candidate-rp-address', REFERENCE_CLASS, 'CandidateRpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress', 
                [], [], 
                '''                C-RP address
                ''',
                'candidate_rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Expires
                ''',
                'candidate_rp_expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Holdtime
                ''',
                'candidate_rp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-RP Priority
                ''',
                'candidate_rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Uptime
                ''',
                'candidate_rp_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-bsr-crp-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList',
            False, 
            [
            _MetaInfoClassMember('pim-bsr-crp-bag', REFERENCE_LIST, 'PimBsrCrpBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag', 
                [], [], 
                '''                pim bsr crp bag
                ''',
                'pim_bsr_crp_bag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.RpCaches.RpCache' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.RpCaches.RpCache',
            False, 
            [
            _MetaInfoClassMember('group-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group prefix
                ''',
                'group_prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('candidate-rp-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                C-RP count for this Prefix
                ''',
                'candidate_rp_group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-list', REFERENCE_CLASS, 'CandidateRpList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList', 
                [], [], 
                '''                C-RP list for this prefix
                ''',
                'candidate_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Group Prefix Length
                ''',
                'group_prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-xr', REFERENCE_CLASS, 'GroupPrefixXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr', 
                [], [], 
                '''                Group Prefix
                ''',
                'group_prefix_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-cache',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.RpCaches' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.RpCaches',
            False, 
            [
            _MetaInfoClassMember('rp-cache', REFERENCE_LIST, 'RpCache' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.RpCaches.RpCache', 
                [], [], 
                '''                PIM BSR RP cache
                ''',
                'rp_cache',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-caches',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'crp-access',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp',
            False, 
            [
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Candidate-RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp', REFERENCE_CLASS, 'CandidateRp_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_', 
                [], [], 
                '''                Cand-RP Address
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-advance-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Adv Interval in seconds
                ''',
                'candidate_rp_advance_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Cand-RP Scope
                ''',
                'candidate_rp_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP uptime
                ''',
                'candidate_rp_uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-access', REFERENCE_LIST, 'CrpAccess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess', 
                [], [], 
                '''                Group Ranges Using this Cand-RP
                ''',
                'crp_access',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('crp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Holdtime
                ''',
                'crp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cand-RP Priority
                ''',
                'crp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.CandidateRps' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.CandidateRps',
            False, 
            [
            _MetaInfoClassMember('candidate-rp', REFERENCE_LIST, 'CandidateRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp', 
                [], [], 
                '''                PIM BSR candidate RP information
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection',
            False, 
            [
            _MetaInfoClassMember('pim-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BSR information
                ''',
                'pim_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('bootstrap-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bootstrap Timeout
                ''',
                'bootstrap_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-address', REFERENCE_CLASS, 'BsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress', 
                [], [], 
                '''                BSR address
                ''',
                'bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-election-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Election State
                ''',
                'bsr_election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hash Function Mask Length
                ''',
                'bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BSR Priority
                ''',
                'bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-scope', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Scope
                ''',
                'bsr_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Uptime
                ''',
                'bsr_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-address', REFERENCE_CLASS, 'CandidateBsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress', 
                [], [], 
                '''                C-BSR address
                ''',
                'candidate_bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BSR Candidate Config Flag
                ''',
                'candidate_bsr_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Hash Func. Mask Len
                ''',
                'candidate_bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Priority
                ''',
                'candidate_bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Candidate State
                ''',
                'candidate_bsr_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-election',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr.BsrElections' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr.BsrElections',
            False, 
            [
            _MetaInfoClassMember('bsr-election', REFERENCE_LIST, 'BsrElection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-elections',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Bsr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Bsr',
            False, 
            [
            _MetaInfoClassMember('bsr-elections', REFERENCE_CLASS, 'BsrElections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.BsrElections', 
                [], [], 
                '''                PIM BSR election state
                ''',
                'bsr_elections',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rps', REFERENCE_CLASS, 'CandidateRps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.CandidateRps', 
                [], [], 
                '''                PIM candidate-RP
                ''',
                'candidate_rps',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-caches', REFERENCE_CLASS, 'RpCaches' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr.RpCaches', 
                [], [], 
                '''                PIM BSR RP cache table
                ''',
                'rp_caches',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RoutePolicy.RoutePolicyStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RoutePolicy.RoutePolicyStatistics',
            False, 
            [
            _MetaInfoClassMember('any-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in any Table
                ''',
                'any_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in default-only Table
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF drops
                ''',
                'drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup requests
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default table selected
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ext-comm', ATTRIBUTE, 'str' , None, None, 
                [(1, 8)], [], 
                '''                Extended Community
                ''',
                'ext_comm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extended-community-rt', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Route Target
                ''',
                'extended_community_rt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table exists
                ''',
                'table_exists',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-test',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests',
            False, 
            [
            _MetaInfoClassMember('route-policy-test', REFERENCE_LIST, 'RoutePolicyTest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest', 
                [], [], 
                '''                PIM route policy test run
                ''',
                'route_policy_test',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-tests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RoutePolicy' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RoutePolicy',
            False, 
            [
            _MetaInfoClassMember('route-policy-statistics', REFERENCE_CLASS, 'RoutePolicyStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RoutePolicy.RoutePolicyStatistics', 
                [], [], 
                '''                PIM route policy statistics
                ''',
                'route_policy_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy-tests', REFERENCE_CLASS, 'RoutePolicyTests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests', 
                [], [], 
                '''                PIM route policy test run table
                ''',
                'route_policy_tests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RpfSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RpfSummary',
            False, 
            [
            _MetaInfoClassMember('default-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default RPF Table SAFI
                ''',
                'default_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default RPF Table Name
                ''',
                'default_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-mtr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS MTR configured?
                ''',
                'is_isis_mtr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS TE configured?
                ''',
                'is_isis_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mbgp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MBGP configured?
                ''',
                'is_mbgp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Enabled ?
                ''',
                'is_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-interface-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Interface Hash Extension Enabled ?
                ''',
                'is_multipath_interface_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source based Hash Enabled ?
                ''',
                'is_multipath_source_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-next-hop-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source-Nexthop Hash Enabled ?
                ''',
                'is_multipath_source_next_hop_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ospf-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is OSPF TE configured?
                ''',
                'is_ospf_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR configured?
                ''',
                'mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence time left in seconds
                ''',
                'rib_convergence_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence timeout in seconds
                ''',
                'rib_convergence_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR RIB configured?
                ''',
                'rib_mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RUMP MuRIB enabled?
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Interfaces.Interface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Interfaces.Interface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Interfaces.Interface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Interfaces.Interface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Interfaces.Interface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Interfaces.Interface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Interfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Interfaces.Interface', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NetIoTunnels' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NetIoTunnels',
            False, 
            [
            _MetaInfoClassMember('net-io-tunnel', REFERENCE_LIST, 'NetIoTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel', 
                [], [], 
                '''                PIM netio tunnel information
                ''',
                'net_io_tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BidirDfStates.BidirDfState' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BidirDfStates.BidirDfState',
            False, 
            [
            _MetaInfoClassMember('election-state', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DF Election State
                ''',
                'election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'our_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MetricPreference
                ''',
                'our_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (nseconds)
                ''',
                'time_nano_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (seconds)
                ''',
                'time_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BidirDfStates' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BidirDfStates',
            False, 
            [
            _MetaInfoClassMember('bidir-df-state', REFERENCE_LIST, 'BidirDfState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BidirDfStates.BidirDfState', 
                [], [], 
                '''                Bidirectional PIM DF Election Table Entry
                ''',
                'bidir_df_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology.ProxyAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology.ProxyAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'proxy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology.OrigSrcAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology.OrigSrcAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'orig-src-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'assert-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface',
            False, 
            [
            _MetaInfoClassMember('admin-boundary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an administrative boundary ?
                ''',
                'admin_boundary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Assert Timer in seconds
                ''',
                'assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-winner', REFERENCE_CLASS, 'AssertWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner', 
                [], [], 
                '''                Assert Winner
                ''',
                'assert_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C-Mcast join
                ''',
                'bgp_c_mcast_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-prune-delay-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C-MCAST Prune Suppression in seconds
                ''',
                'bgp_c_mcast_prune_delay_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('data-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Data MDT join
                ''',
                'data_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an Extranet Interface ?
                ''',
                'extranet_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('forwarding-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Forward or Prune
                ''',
                'forwarding_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('igmp-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGMP membership
                ''',
                'igmp_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('immediate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Immediate fwding state
                ''',
                'immediate_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('internal-interest-info', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Internal Interest
                ''',
                'internal_interest_info',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune State
                ''',
                'jp_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer (secs)
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default MDT Join
                ''',
                'local_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-members', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Local Information
                ''',
                'local_members',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Safi join
                ''',
                'mdt_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-inband-mdt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Inband MDT interface
                ''',
                'mldp_inband_mdt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OLE is stale
                ''',
                'mldp_stale',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvp-nv6-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN IPv6 Safi join
                ''',
                'mvp_nv6_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvpn-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN Safi join
                ''',
                'mvpn_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-prune', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA Prune state
                ''',
                'sa_prune',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF which physically owns
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'outgoing-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('alive', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Alive time in seconds (-1 if never)
                ''',
                'alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group matches Anycast-RP policy
                ''',
                'anycast_rp_match',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Anycast-RP RT
                ''',
                'anycast_rp_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assume-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Assume Alive Bit
                ''',
                'assume_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C JOIN
                ''',
                'bgp_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgpjp-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C JP Time
                ''',
                'bgpjp_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connected ?
                ''',
                'connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('customer-routing-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Type of Customer Routing in the MVPN
                ''',
                'customer_routing_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dont-check-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do we need to make the connected check on this
                route ?
                ''',
                'dont_check_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When this entry expires
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is a Extranet route ?
                ''',
                'extranet_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit Alive Bit
                ''',
                'inherit_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit SPT Bit
                ''',
                'inherit_spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Status
                ''',
                'jp_status',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have we throttled the creation of routes or
                interfaces ?
                ''',
                'limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR Active?
                ''',
                'mofrr_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Backup?
                ''',
                'mofrr_backup',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'mofrr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-primary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Primary?
                ''',
                'mofrr_primary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('orig-src-address', REFERENCE_CLASS, 'OrigSrcAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology.OrigSrcAddress', 
                [], [], 
                '''                Orig Src Address.
                ''',
                'orig_src_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outgoing-interface', REFERENCE_LIST, 'OutgoingInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('probe-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Probe Alive Bit
                ''',
                'probe_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RPF target a proxy?
                ''',
                'proxy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy-address', REFERENCE_CLASS, 'ProxyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology.ProxyAddress', 
                [], [], 
                '''                RPF Proxy address.
                ''',
                'proxy_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('really-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Really Alive Bit
                ''',
                'really_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have registers been received for this source ?
                ''',
                'register_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Register Received Timer in seconds (-1 if never)
                ''',
                'register_received_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MSDP told us
                ''',
                'remote_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'rib_mo_frr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology.RpAddress', 
                [], [], 
                '''                RP Address (If rpt)
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology.RpfNeighbor', 
                [], [], 
                '''                RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-proxy-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is rpf if proxy enabled?
                ''',
                'rpf_proxy_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RPT bit
                ''',
                'rpt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt-xr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the RPT ?
                ''',
                'rpt_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-joined', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA join
                ''',
                'sa_joined',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA received
                ''',
                'sa_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA sent
                ''',
                'sa_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Interface Identifier
                ''',
                'secondary_rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-neighbor', REFERENCE_CLASS, 'SecondaryRpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor', 
                [], [], 
                '''                Secondary RPF Neighbor
                ''',
                'secondary_rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-null-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending null registers for this route ?
                ''',
                'sending_null_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending registers for this route ?
                ''',
                'sending_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('signal-sources', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Signal Sources on route?
                ''',
                'signal_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the SPT ?
                ''',
                'spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-registers', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                When the Null register probe expires
                ''',
                'suppress_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this VXLAN?
                ''',
                'vxlan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                WC -Wildcard
                ''',
                'wildcard',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Topologies' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies.Topology', 
                [], [], 
                '''                PIM topology information
                ''',
                'topology',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BgpAfs.BgpAf.Source' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BgpAfs.BgpAf.Source',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BgpAfs.BgpAf.Group' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BgpAfs.BgpAf.Group',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BgpAfs.BgpAf.NextHop' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BgpAfs.BgpAf.NextHop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BgpAfs.BgpAf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BgpAfs.BgpAf',
            False, 
            [
            _MetaInfoClassMember('extranet-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of dependent extranet paths
                ''',
                'extranet_path_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BgpAfs.BgpAf.Group', 
                [], [], 
                '''                Group address
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('is-bgp-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SAFI learnt from BGP
                ''',
                'is_bgp_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BgpAfs.BgpAf.NextHop', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Router ID
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BgpAfs.BgpAf.Source', 
                [], [], 
                '''                Source address
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BgpAfs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BgpAfs',
            False, 
            [
            _MetaInfoClassMember('bgp-af', REFERENCE_LIST, 'BgpAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BgpAfs.BgpAf', 
                [], [], 
                '''                PIM BGP SAFI information
                ''',
                'bgp_af',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.AutoRp' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.AutoRp',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'auto-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('interface-flag', REFERENCE_ENUM_CLASS, 'PimTopologyInterfaceFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyInterfaceFlagEnum', 
                [], [], 
                '''                Interface flag
                ''',
                'interface_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-interface-flag-route-count', REFERENCE_LIST, 'TopologyInterfaceFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount', 
                [], [], 
                '''                Route count for topology with interface flag
                set
                ''',
                'topology_interface_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapSources.GroupMapSource' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapSources.GroupMapSource',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP Priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapSources' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapSources',
            False, 
            [
            _MetaInfoClassMember('group-map-source', REFERENCE_LIST, 'GroupMapSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapSources.GroupMapSource', 
                [], [], 
                '''                PIM Group Mapping Entry with source information
                ''',
                'group_map_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState',
            False, 
            [
            _MetaInfoClassMember('max-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum size of queue in bytes
                ''',
                'max_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in bytes
                ''',
                'queue_size_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in number of packets
                ''',
                'queue_size_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats',
            False, 
            [
            _MetaInfoClassMember('dequeued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets dequeued from this queue
                ''',
                'dequeued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('enqueued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets enqueued to this queue
                ''',
                'enqueued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of bytes enqueued in this queue
                ''',
                'high_water_mark_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of packets enqueued in this queue
                ''',
                'high_water_mark_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tail-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number packets dropped from this queue due to
                max size
                ''',
                'tail_drops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TrafficCounters.PacketQueue' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TrafficCounters.PacketQueue',
            False, 
            [
            _MetaInfoClassMember('packet-queue-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Priority of this packet queue
                ''',
                'packet_queue_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-state', REFERENCE_CLASS, 'PacketQueueState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState', 
                [], [], 
                '''                State of the queue
                ''',
                'packet_queue_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-stats', REFERENCE_CLASS, 'PacketQueueStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats', 
                [], [], 
                '''                Statistics about the queue
                ''',
                'packet_queue_stats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('boundary-acl-rx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inc. JP dropped since boundary ACL confg
                ''',
                'boundary_acl_rx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('boundary-acl-tx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out JP dropped since boundary ACL confg
                ''',
                'boundary_acl_tx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('checksum-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters in seconds
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('format-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets in
                ''',
                'input_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets in
                ''',
                'input_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Ecmp Redirect
                ''',
                'input_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-idb-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No IDB for intf error
                ''',
                'input_no_idb_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-pim-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Disabled on intf error
                ''',
                'input_no_pim_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-vrf-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No VRF for idb error
                ''',
                'input_no_vrf_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets in
                ''',
                'input_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-pim-version-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid PIM version error
                ''',
                'input_pim_version_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'inputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-destination-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Control Packets with Invalid Destination
                ''',
                'invalid_destination_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-join-prunes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid Join/Prunes received
                ''',
                'invalid_join_prunes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-registers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid registers received
                ''',
                'invalid_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-local-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to local source
                addr
                ''',
                'mdt_drop_local_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to idb missing
                ''',
                'mdt_drop_no_idb',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-vrf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to vrf missing
                ''',
                'mdt_drop_no_vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-null-local-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to null local
                addr
                ''',
                'mdt_drop_null_local_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-bad-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT TLV bad type
                ''',
                'mdt_join_bad_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs received
                ''',
                'mdt_join_tlv_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs sent
                ''',
                'mdt_join_tlv_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-joins-drop-multiple-encapsulation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Join msgs dropped due to multiple Encap
                limitation
                ''',
                'mdt_joins_drop_multiple_encapsulation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since mdt send queue was full
                ''',
                'mdt_send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Socket errors
                ''',
                'mdt_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-invalid-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Invalid LSM ID
                ''',
                'mldp_mdt_invalid_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-mdt-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no mdt socket connection
                ''',
                'no_mdt_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no source address
                ''',
                'no_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-supported-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM non supported pckets
                ''',
                'non_supported_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets out
                ''',
                'output_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets out
                ''',
                'output_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Ecmp Redirect
                ''',
                'output_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Hello Bytes
                ''',
                'output_hello_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Join Groups
                ''',
                'output_join_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-prune-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output JP Bytes
                ''',
                'output_join_prune_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-loop-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output on loopback error
                ''',
                'output_loop_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets out
                ''',
                'output_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-prune-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Prune Groups
                ''',
                'output_prune_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'outputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-dequeued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dequeued per priority Deprecated by
                PacketQueue
                ''',
                'packet_dequeued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-enqueued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Enqueued per priority Deprecated by
                PacketQueue
                ''',
                'packet_enqueued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-packman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Pakman Error
                ''',
                'packet_packman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue', REFERENCE_LIST, 'PacketQueue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TrafficCounters.PacketQueue', 
                [], [], 
                '''                Packet queue state and statistics
                ''',
                'packet_queue',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-last-clear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last clear of all
                packet queues stats
                ''',
                'packet_queue_last_clear',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-length', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Length per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-size', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Size per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-read-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Read Socket Error
                ''',
                'packet_read_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-tail-drop', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Tail Drop per priority Deprecated by
                PacketQueue
                ''',
                'packet_tail_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packets-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Standby Error
                ''',
                'packets_standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pakman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pakman packets dropped
                ''',
                'pakman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since send queue was full
                ''',
                'send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors
                ''',
                'socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby-packets-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received in standby state
                ''',
                'standby_packets_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('truncated-pim-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to truncated Joins or Prunes
                ''',
                'truncated_pim_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf',
            False, 
            [
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP priority
                ''',
                'rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapRpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-rpf', REFERENCE_LIST, 'GroupMapRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf', 
                [], [], 
                '''                PIM group mapping entry
                ''',
                'group_map_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Summary' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Gre.GreHashes.GreHash' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Gre.GreHashes.GreHash',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('ifname', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Tunnel Interface
                ''',
                'ifname',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hash',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Gre.GreHashes' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Gre.GreHashes',
            False, 
            [
            _MetaInfoClassMember('gre-hash', REFERENCE_LIST, 'GreHash' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Gre.GreHashes.GreHash', 
                [], [], 
                '''                PIM GRE Hashed Underlying Interface
                ''',
                'gre_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hashes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath',
            False, 
            [
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Interface
                ''',
                'gre_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-neighbor', REFERENCE_CLASS, 'GreNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor', 
                [], [], 
                '''                GRE neighbor
                ''',
                'gre_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hop', REFERENCE_CLASS, 'GreNextHop_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_', 
                [], [], 
                '''                GRE nexthop
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gre-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the gre interface disabled ?
                ''',
                'is_gre_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                GRE destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('gre-path', REFERENCE_LIST, 'GrePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath', 
                [], [], 
                '''                GRE Paths list
                ''',
                'gre_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address', REFERENCE_CLASS, 'RegisteredAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Gre.GreNextHops' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Gre.GreNextHops',
            False, 
            [
            _MetaInfoClassMember('gre-next-hop', REFERENCE_LIST, 'GreNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop', 
                [], [], 
                '''                PIM GRE address next-hop information
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hops',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Gre' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Gre',
            False, 
            [
            _MetaInfoClassMember('gre-hashes', REFERENCE_CLASS, 'GreHashes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Gre.GreHashes', 
                [], [], 
                '''                GRE hash
                ''',
                'gre_hashes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hops', REFERENCE_CLASS, 'GreNextHops' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Gre.GreNextHops', 
                [], [], 
                '''                GRE destination neighbor table
                ''',
                'gre_next_hops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner',
            False, 
            [
            _MetaInfoClassMember('are-we-df', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we DF
                ''',
                'are_we_df',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('df-winner', REFERENCE_CLASS, 'DfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner', 
                [], [], 
                '''                DF Winner
                ''',
                'df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-lan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the RP LAN
                ''',
                'rp_lan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.BidirDfWinners' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.BidirDfWinners',
            False, 
            [
            _MetaInfoClassMember('bidir-df-winner', REFERENCE_LIST, 'BidirDfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner', 
                [], [], 
                '''                Bidirectional PIM DF election table entry
                ''',
                'bidir_df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winners',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TableContexts.TableContext' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TableContexts.TableContext',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TableContexts' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TableContexts',
            False, 
            [
            _MetaInfoClassMember('table-context', REFERENCE_LIST, 'TableContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TableContexts.TableContext', 
                [], [], 
                '''                PIM table context information
                ''',
                'table_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-contexts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NeighborSummaries.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NeighborSummaries.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('number-of-external-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of external neighbors
                ''',
                'number_of_external_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('number-of-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of neighbors
                ''',
                'number_of_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.NeighborSummaries' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.NeighborSummaries',
            False, 
            [
            _MetaInfoClassMember('neighbor-summary', REFERENCE_LIST, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NeighborSummaries.NeighborSummary', 
                [], [], 
                '''                PIM neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Context.RemoteDefaultGroup' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Context.RemoteDefaultGroup',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'remote-default-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Context.RpfDefaultTable' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Context.RpfDefaultTable',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-default-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Context.ExportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Context.ExportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'export-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Context.ImportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Context.ImportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'import-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Context.AnycastRpRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Context.AnycastRpRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Context.AnycastRpRange' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Context.AnycastRpRange',
            False, 
            [
            _MetaInfoClassMember('ancast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Range marked
                ''',
                'ancast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Context.AnycastRpRange.Prefix', 
                [], [], 
                '''                Anycast-RP Range Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Anycast-RP Range Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'anycast-rp-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Context' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Context',
            False, 
            [
            _MetaInfoClassMember('active-table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active Tables
                ''',
                'active_table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow RP Configured
                ''',
                'allow_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-group-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP Group-List ACL Name
                ''',
                'allow_rp_group_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-rp-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP RP-list ACL Name
                ''',
                'allow_rp_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP config
                ''',
                'anycast_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Anycast-RP Policy Name
                ''',
                'anycast_rp_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-range', REFERENCE_LIST, 'AnycastRpRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Context.AnycastRpRange', 
                [], [], 
                '''                Anycast-RP Ranges
                ''',
                'anycast_rp_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto-Discovery configured
                ''',
                'bgp_auto_discovery_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Auto Discovery Type
                ''',
                'bgp_auto_discovery_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-i-pmsi-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP I-PMSI Added
                ''',
                'bgp_i_pmsi_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BGP remote interface address
                ''',
                'bgp_remote_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BGP remote interface handle
                ''',
                'bgp_remote_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP remote interface name
                ''',
                'bgp_remote_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP remote interface status
                ''',
                'bgp_remote_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP remote interface state
                ''',
                'bgp_remote_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-source-active-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send BGP Source-Active Announcements
                ''',
                'bgp_source_active_announce',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('export-route-target', REFERENCE_LIST, 'ExportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Context.ExportRouteTarget', 
                [], [], 
                '''                Export Route Targets
                ''',
                'export_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'gin_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'gin_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'gin_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'gin_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'gin_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'gin_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('import-route-target', REFERENCE_LIST, 'ImportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Context.ImportRouteTarget', 
                [], [], 
                '''                Import Route Targets
                ''',
                'import_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'in_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'in_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'in_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'in_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'in_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'in_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-local-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Local enabled
                ''',
                'in_band_signaling_local_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-remote-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Remote enabled
                ''',
                'in_band_signaling_remote_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inter-autonomous-system-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inter-AS Enabled
                ''',
                'inter_autonomous_system_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR MDT max aggregation
                ''',
                'ir_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Announce interval
                ''',
                'ir_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Switchover interval
                ''',
                'ir_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IRMDT handle
                ''',
                'ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IRMDT MTU
                ''',
                'ir_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IR MDT Name
                ''',
                'ir_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR RPF-ID
                ''',
                'ir_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-tail-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Tail Label
                ''',
                'ir_mdt_tail_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active-ital', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active ITAL
                ''',
                'is_active_ital',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-all-interface-disable-operation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM all interface disable operation
                ''',
                'is_all_interface_disable_operation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP Listen Enabled
                ''',
                'is_auto_rp_listen_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-sock-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP listen sock add
                ''',
                'is_auto_rp_listen_sock_add',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-gin-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-in-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-ir-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create IR MDT interface
                ''',
                'is_create_ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MDT interface
                ''',
                'is_create_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mldp-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MLDP MDT interface
                ''',
                'is_create_mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-rsvp-te-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create RSVP-TE MDT interface
                ''',
                'is_create_rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-default-granges', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default granges
                ''',
                'is_default_granges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gin-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_gin_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-in-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_in_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ir-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IR MDT Owner
                ''',
                'is_ir_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Socket
                ''',
                'is_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Socket
                ''',
                'is_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-m-host-publish-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Publish pending for MHost Default interface
                ''',
                'is_m_host_publish_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Owner
                ''',
                'is_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mldp-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP MDT Owner
                ''',
                'is_mldp_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mrib-register', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MRIB Register
                ''',
                'is_mrib_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mcast RIB Registration
                ''',
                'is_multicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converge-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converge received
                ''',
                'is_pim_nsf_rib_converge_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converged
                ''',
                'is_pim_nsf_rib_converged',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-redistribution-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pending redist reset
                ''',
                'is_redistribution_reset',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Register Injection Socket
                ''',
                'is_register_injection_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Register Injection Socket
                ''',
                'is_register_injection_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multiplath enabled
                ''',
                'is_rib_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-interface-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath interface hash
                ''',
                'is_rib_multipath_interface_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source based hash
                ''',
                'is_rib_multipath_source_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-next-hop-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source-nexthop hash
                ''',
                'is_rib_multipath_source_next_hop_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Routing Enabled
                ''',
                'is_routing_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rsvp-te-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Owner
                ''',
                'is_rsvp_te_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Socket
                ''',
                'is_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Socket
                ''',
                'is_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bound on UDP Socket
                ''',
                'is_udp_socket_bind',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bind required on UDP Socket
                ''',
                'is_udp_socket_bind_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-unicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ucast RIB Registration
                ''',
                'is_unicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT max aggregation
                ''',
                'maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Announce interval
                ''',
                'mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Switchover interval
                ''',
                'mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-default-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MDT Default group
                ''',
                'mdt_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT Remote RPF Identifier
                ''',
                'mdt_gre_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT RPF Identifier
                ''',
                'mdt_gre_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MDT handle
                ''',
                'mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT MTU
                ''',
                'mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MDT Neighbor Filter Name
                ''',
                'mdt_neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-ir-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned IR MDT Control Identifier
                ''',
                'mdt_partitioned_ir_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-mdt-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Control Identifier
                ''',
                'mdt_partitioned_mdt_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-default-interface-config', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured Mhost Defint
                ''',
                'mhost_default_interface_config',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MHost handle
                ''',
                'mhost_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-announce-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Announce Control tree added
                ''',
                'mldp_auto_rp_announce_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-discovery-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Discovery Control tree added
                ''',
                'mldp_auto_rp_discovery_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-bsr-control-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP BSR Control tree added
                ''',
                'mldp_bsr_control_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-control-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MVPN Identifier
                ''',
                'mldp_control_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head local label
                ''',
                'mldp_head_local_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Head LSM-ID
                ''',
                'mldp_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT max aggregation
                ''',
                'mldp_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Announce interval
                ''',
                'mldp_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Switchover interval
                ''',
                'mldp_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MLDP MDT handle
                ''',
                'mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT MTU
                ''',
                'mldp_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MLDP MDT Name
                ''',
                'mldp_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote RPF-ID
                ''',
                'mldp_mdt_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP RPF-ID
                ''',
                'mldp_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partioned-mp2m-ptree', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP2MP Partitioned MDT tree
                ''',
                'mldp_partioned_mp2m_ptree',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head LSM-ID
                ''',
                'mldp_partitioned_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Partitioned MDT
                ''',
                'mldp_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Partitioned MDT Identifier
                ''',
                'mldp_partitioned_mdt_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote Head LSM-ID
                ''',
                'mldp_remote_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Remote Partitioned MDT
                ''',
                'mldp_remote_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-address', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root addresses
                ''',
                'mldp_root_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root count
                ''',
                'mldp_root_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('murib-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MURIB ID
                ''',
                'murib_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-default-vrf-count-on-socket', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of non-default vrfs on raw socket
                ''',
                'non_default_vrf_count_on_socket',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('organization-unique-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OUI for VPN-ID
                ''',
                'organization_unique_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('p2mpte-li-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route LI updates dropped for P2MP
                ''',
                'p2mpte_li_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redistribution-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redist reset count
                ''',
                'redistribution_reset_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-default-group', REFERENCE_CLASS, 'RemoteDefaultGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Context.RemoteDefaultGroup', 
                [], [], 
                '''                Remote Default Group
                ''',
                'remote_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Table ID
                ''',
                'remote_table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                RD value
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-default-table', REFERENCE_CLASS, 'RpfDefaultTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Context.RpfDefaultTable', 
                [], [], 
                '''                RPF Default Table
                ''',
                'rpf_default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF ID
                ''',
                'rpf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF topology selection route-policy name
                ''',
                'rpf_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE MDT max aggregation
                ''',
                'rsvp_te_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Announce interval
                ''',
                'rsvp_te_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Switchover interval
                ''',
                'rsvp_te_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RSVP-TEMDT handle
                ''',
                'rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TEMDT MTU
                ''',
                'rsvp_te_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Name
                ''',
                'rsvp_te_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE RPF-ID
                ''',
                'rsvp_te_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-static-p2mp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Static P2MP-TE MDT
                ''',
                'rsvp_te_mdt_static_p2mp_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM is using MuRIB
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S,G Expiry Time Configured, in seconds
                ''',
                'sg_expiry_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S,G Expiry Timer Configured
                ''',
                'sg_expiry_timer_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-sg-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                S,G expiry timer ACL name
                ''',
                'sg_expiry_timer_sg_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('stale-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is stale
                ''',
                'stale_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-pim-data-mdt-tlv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress PIM Data-MDT TLV Announcements
                ''',
                'suppress_pim_data_mdt_tlv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-shared-tree-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress Shared-Tree Joins
                ''',
                'suppress_shared_tree_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of configured Tables
                ''',
                'table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('umh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Join UMH Core-Tree
                ''',
                'umh',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('valid-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is valid
                ''',
                'valid_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vpn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Index
                ''',
                'vpn_index',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('entry-flag', REFERENCE_ENUM_CLASS, 'PimTopologyEntryFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyEntryFlagEnum', 
                [], [], 
                '''                entry flag
                ''',
                'entry_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-entry-flag-route-count', REFERENCE_LIST, 'TopologyEntryFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface',
            False, 
            [
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-outgoing-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is outgoing Interface
                ''',
                'is_outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF Interface
                ''',
                'is_rpf_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-snoop-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is snooping Interface
                ''',
                'is_snoop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-address', REFERENCE_CLASS, 'RpfAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress', 
                [], [], 
                '''                RPF Address
                ''',
                'rpf_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth in Kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr', 
                [], [], 
                '''                Group ddress
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases',
            False, 
            [
            _MetaInfoClassMember('redirect-route-database', REFERENCE_LIST, 'RedirectRouteDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase', 
                [], [], 
                '''                PIM ECMP RPF-redirect route information
                ''',
                'redirect_route_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth allocated in Kbps
                ''',
                'allocated_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allocated-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Configured threshold in Kbps
                ''',
                'allocated_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth available in Kbps
                ''',
                'available_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Available threshold in Kbps
                ''',
                'available_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Bundle name
                ''',
                'bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Bundle interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect bundle name
                ''',
                'rpf_redirect_bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-interface-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect interface name
                ''',
                'rpf_redirect_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('snooping-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by snooped entries in Kbps
                ''',
                'snooping_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by topology in Kbps
                ''',
                'topology_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('total-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Total bandwidth used in Kbps
                ''',
                'total_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces',
            False, 
            [
            _MetaInfoClassMember('bundle-interface', REFERENCE_LIST, 'BundleInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle interface
                information
                ''',
                'bundle_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.RpfRedirect' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.RpfRedirect',
            False, 
            [
            _MetaInfoClassMember('bundle-interfaces', REFERENCE_CLASS, 'BundleInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle information
                ''',
                'bundle_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redirect-route-databases', REFERENCE_CLASS, 'RedirectRouteDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases', 
                [], [], 
                '''                PIM ECMP RPF-redirect route database
                ''',
                'redirect_route_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Tunnels.Tunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Tunnels.Tunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Tunnels.Tunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Tunnels.Tunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Tunnels.Tunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Tunnels.Tunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Tunnels' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Tunnels',
            False, 
            [
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Tunnels.Tunnel', 
                [], [], 
                '''                PIM tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSM flag
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop', 
                [], [], 
                '''                Next Hop
                ''',
                'nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.MulticastStaticRoutes' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.MulticastStaticRoutes',
            False, 
            [
            _MetaInfoClassMember('multicast-static-route', REFERENCE_LIST, 'MulticastStaticRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'multicast_static_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.GroupMapMatchSources' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.GroupMapMatchSources',
            False, 
            [
            _MetaInfoClassMember('group-map-match-source', REFERENCE_LIST, 'GroupMapMatchSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource', 
                [], [], 
                '''                PIM group-matching mapping entry with source
                information
                ''',
                'group_map_match_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Neighbors.Neighbor.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Neighbors.Neighbor.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Neighbors.Neighbor.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext.Neighbors' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Neighbors.Neighbor', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.DefaultContext' : {
        'meta_info' : _MetaInfoClass('Pim.Active.DefaultContext',
            False, 
            [
            _MetaInfoClassMember('auto-rp', REFERENCE_CLASS, 'AutoRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.AutoRp', 
                [], [], 
                '''                PIM Auto-RP information
                ''',
                'auto_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-afs', REFERENCE_CLASS, 'BgpAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BgpAfs', 
                [], [], 
                '''                PIM BGP SAFI table
                ''',
                'bgp_afs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-states', REFERENCE_CLASS, 'BidirDfStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BidirDfStates', 
                [], [], 
                '''                Bidirectional PIM DF election state table
                ''',
                'bidir_df_states',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-winners', REFERENCE_CLASS, 'BidirDfWinners' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.BidirDfWinners', 
                [], [], 
                '''                Bidirectional PIM DF election winner table
                ''',
                'bidir_df_winners',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Bsr', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Context', 
                [], [], 
                '''                PIM context information
                ''',
                'context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-interfaces', REFERENCE_CLASS, 'GlobalInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GlobalInterfaces', 
                [], [], 
                '''                PIM global interface table
                ''',
                'global_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Gre', 
                [], [], 
                '''                GRE information
                ''',
                'gre',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-rpfs', REFERENCE_CLASS, 'GroupMapMatchRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchRpfs', 
                [], [], 
                '''                Find matching group-mapping for the specified
                group address
                ''',
                'group_map_match_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-sources', REFERENCE_CLASS, 'GroupMapMatchSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapMatchSources', 
                [], [], 
                '''                Find the matching group-mapping with source
                information on specified group address
                ''',
                'group_map_match_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-rpfs', REFERENCE_CLASS, 'GroupMapRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapRpfs', 
                [], [], 
                '''                PIM group mapping information
                ''',
                'group_map_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-sources', REFERENCE_CLASS, 'GroupMapSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.GroupMapSources', 
                [], [], 
                '''                PIM group-mapping with source information
                ''',
                'group_map_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.IfrsInterfaces', 
                [], [], 
                '''                PIM interfaces in forward reference store table
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-summary', REFERENCE_CLASS, 'IfrsSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.IfrsSummary', 
                [], [], 
                '''                PIM interfaces in forward reference store
                summary
                ''',
                'ifrs_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.InterfaceOldFormats', 
                [], [], 
                '''                PIM interfaces in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-statistics', REFERENCE_CLASS, 'InterfaceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.InterfaceStatistics', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Interfaces', 
                [], [], 
                '''                PIM interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-statistics', REFERENCE_CLASS, 'JpStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.JpStatistics', 
                [], [], 
                '''                PIM join prune statistics table
                ''',
                'jp_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mib-databases', REFERENCE_CLASS, 'MibDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.MibDatabases', 
                [], [], 
                '''                PIM group database for mroute mibs table
                ''',
                'mib_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('multicast-static-routes', REFERENCE_CLASS, 'MulticastStaticRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.MulticastStaticRoutes', 
                [], [], 
                '''                PIM multicast static route table
                ''',
                'multicast_static_routes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-old-formats', REFERENCE_CLASS, 'NeighborOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NeighborOldFormats', 
                [], [], 
                '''                PIM neighbor table old format
                ''',
                'neighbor_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-summaries', REFERENCE_CLASS, 'NeighborSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NeighborSummaries', 
                [], [], 
                '''                PIM neighbor summary table
                ''',
                'neighbor_summaries',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Neighbors', 
                [], [], 
                '''                PIM neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('net-io-tunnels', REFERENCE_CLASS, 'NetIoTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.NetIoTunnels', 
                [], [], 
                '''                Tunnel information that NETIO has 
                ''',
                'net_io_tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Ranges', 
                [], [], 
                '''                PIM range list information
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy', REFERENCE_CLASS, 'RoutePolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RoutePolicy', 
                [], [], 
                '''                PIM route policy
                ''',
                'route_policy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect', REFERENCE_CLASS, 'RpfRedirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RpfRedirect', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle
                ''',
                'rpf_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-summary', REFERENCE_CLASS, 'RpfSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.RpfSummary', 
                [], [], 
                '''                PIM RPF registration summary
                ''',
                'rpf_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safs', REFERENCE_CLASS, 'Safs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Safs', 
                [], [], 
                '''                SAFI table and type
                ''',
                'safs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Summary', 
                [], [], 
                '''                PIM summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-contexts', REFERENCE_CLASS, 'TableContexts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TableContexts', 
                [], [], 
                '''                PIM table context list
                ''',
                'table_contexts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Topologies', 
                [], [], 
                '''                PIM topology table
                ''',
                'topologies',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-entry-flag-route-counts', REFERENCE_CLASS, 'TopologyEntryFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-flag-route-counts', REFERENCE_CLASS, 'TopologyInterfaceFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with interface flag set
                ''',
                'topology_interface_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-route-count', REFERENCE_CLASS, 'TopologyRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TopologyRouteCount', 
                [], [], 
                '''                Topology route count information from PIM
                topology table
                ''',
                'topology_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.TrafficCounters', 
                [], [], 
                '''                PIM message traffic counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext.Tunnels', 
                [], [], 
                '''                Tunnels information that PIM has
                ''',
                'tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'default-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Process.CheckpointStatistics.CheckpointTable' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Process.CheckpointStatistics.CheckpointTable',
            False, 
            [
            _MetaInfoClassMember('is-mirrored', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table mirrored
                ''',
                'is_mirrored',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('statistic', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stats array
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table description
                ''',
                'table_description',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'checkpoint-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Process.CheckpointStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Process.CheckpointStatistics',
            False, 
            [
            _MetaInfoClassMember('checkpoint-table', REFERENCE_LIST, 'CheckpointTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Process.CheckpointStatistics.CheckpointTable', 
                [], [], 
                '''                Array of chkpt table stats
                ''',
                'checkpoint_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'checkpoint-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Process.Nsr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Process.Nsr',
            False, 
            [
            _MetaInfoClassMember('count-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times connection went down
                ''',
                'count_connection_dn',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times connection went up
                ''',
                'count_connection_up',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Not Ready notif was sent
                ''',
                'count_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Ready notif was sent
                ''',
                'count_rmf_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when connection went down
                ''',
                'last_connection_dn',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when connection went up
                ''',
                'last_connection_up',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Not-Rdy notif was sent
                ''',
                'last_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Rdy notif was sent
                ''',
                'last_rmf_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('partner-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partner process connected
                ''',
                'partner_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-notification-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RMF Notification done
                ''',
                'rmf_notification_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time for RMF timer to expire
                ''',
                'rmf_timer_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-timer-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RMF timer running ?
                ''',
                'rmf_timer_valid',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NSR state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Process.Summary' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Process.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Process.Nsf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Process.Nsf',
            False, 
            [
            _MetaInfoClassMember('configured-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multicast NSF Configured
                ''',
                'configured_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last ICD Notif Recv
                ''',
                'last_icd_notif_recv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last ICD Notif Recv in Seconds
                ''',
                'last_icd_notif_recv_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-off', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time off
                ''',
                'last_nsf_off',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-off-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time OFF in Seconds
                ''',
                'last_nsf_off_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-on', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time ON
                ''',
                'last_nsf_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-on-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time ON in Seconds
                ''',
                'last_nsf_on_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we currently in NSF
                ''',
                'nsf_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF time left in seconds
                ''',
                'nsf_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF timeout in seconds
                ''',
                'nsf_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('respawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Respawn Count
                ''',
                'respawn_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('waiting-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Waiting for IGMP/MLD
                ''',
                'waiting_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('waiting-timer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Waiting for NSF timer expiry
                ''',
                'waiting_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Process.Issu' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Process.Issu',
            False, 
            [
            _MetaInfoClassMember('checkpoint-idt-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when Checkpoint IDT done
                ''',
                'checkpoint_idt_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('eoc-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when EOC was received
                ''',
                'eoc_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ihms-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when IHMS done was received
                ''',
                'ihms_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('informationvalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Information valid ?
                ''',
                'informationvalid',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-checkpoint-idt-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was Checkpoint IDT done ?
                ''',
                'is_checkpoint_idt_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-eoc-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was EOC received ?
                ''',
                'is_eoc_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ihms-done-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was IHMS done received ?
                ''',
                'is_ihms_done_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-nbr-sync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was NBR Sync achieved ?
                ''',
                'is_nbr_sync_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-sync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was RIB Sync received ?
                ''',
                'is_rib_sync_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-ha-role-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last HA role nfn was received
                ''',
                'last_ha_role_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-issu-phase-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last ISSU Phase nfn was received
                ''',
                'last_issu_phase_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-issu-role-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last ISSU role nfn was received
                ''',
                'last_issu_role_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nbr-sync-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when NBR Sync was achieved
                ''',
                'nbr_sync_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('phase-issu', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ISSU Phase
                ''',
                'phase_issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-sync-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RIB Sync was received
                ''',
                'rib_sync_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('role-ha', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                HA role
                ''',
                'role_ha',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('role-issu', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ISSU role
                ''',
                'role_issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Process' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Process',
            False, 
            [
            _MetaInfoClassMember('checkpoint-statistics', REFERENCE_CLASS, 'CheckpointStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Process.CheckpointStatistics', 
                [], [], 
                '''                Checkpoint Statistics
                ''',
                'checkpoint_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Process.Issu', 
                [], [], 
                '''                ISSU Information
                ''',
                'issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Process.Nsf', 
                [], [], 
                '''                PIM NSF information
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Process.Nsr', 
                [], [], 
                '''                NSR Information
                ''',
                'nsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Process.Summary', 
                [], [], 
                '''                PIM Global Summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                PIM IFRS interface information
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('mask-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hash mask length
                ''',
                'mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-group', REFERENCE_LIST, 'RpfHashSourceGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource',
            False, 
            [
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source', REFERENCE_LIST, 'RpfHashSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath',
            False, 
            [
            _MetaInfoClassMember('connector', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Connector Attribute
                ''',
                'connector',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the rpf interface disabled ?
                ''',
                'is_rpf_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-mlsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via Mstatic LSM
                ''',
                'is_via_mlsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF Interface
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-nexthop', REFERENCE_CLASS, 'RpfNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop', 
                [], [], 
                '''                RPF nexthop
                ''',
                'rpf_nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf',
            False, 
            [
            _MetaInfoClassMember('registered-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Address for which RPF lookup
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-bgp-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF through BGP route
                ''',
                'is_rpf_bgp_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address-xr', REFERENCE_CLASS, 'RegisteredAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_LIST, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath', 
                [], [], 
                '''                RPF Paths list
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs',
            False, 
            [
            _MetaInfoClassMember('rpf', REFERENCE_LIST, 'Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf', 
                [], [], 
                '''                PIM RPF information
                ''',
                'rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs.Saf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs.Saf',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-groups', REFERENCE_CLASS, 'RpfHashSourceGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_source_groups',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-hash-sources', REFERENCE_CLASS, 'RpfHashSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpfs', REFERENCE_CLASS, 'Rpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs', 
                [], [], 
                '''                PIM RPF information table
                ''',
                'rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name 
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name 
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'saf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Safs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Safs',
            False, 
            [
            _MetaInfoClassMember('saf', REFERENCE_LIST, 'Saf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs.Saf', 
                [], [], 
                '''                SAF name 
                ''',
                'saf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'safs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Ack Messages
                ''',
                'input_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Messages
                ''',
                'input_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-miscellaneous', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Miscellaneous packet in
                ''',
                'input_miscellaneous',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets in
                ''',
                'input_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Ack Messages
                ''',
                'output_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Messages
                ''',
                'output_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets out
                ''',
                'output_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.InterfaceStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.InterfaceStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-statistic', REFERENCE_LIST, 'InterfaceStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TopologyRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TopologyRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TopologyRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TopologyRouteCount',
            False, 
            [
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TopologyRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.JpStatistics.JpStatistic' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.JpStatistics.JpStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received
                ''',
                'received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 100 average
                ''',
                'received100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 10K average
                ''',
                'received_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 1K average
                ''',
                'received_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Received100
                ''',
                'received_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmitted
                ''',
                'transmitted',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 100 average
                ''',
                'transmitted100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 10K average
                ''',
                'transmitted_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 1K average
                ''',
                'transmitted_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Transmitted100
                ''',
                'transmitted_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.JpStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.JpStatistics',
            False, 
            [
            _MetaInfoClassMember('jp-statistic', REFERENCE_LIST, 'JpStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.JpStatistics.JpStatistic', 
                [], [], 
                '''                PIM Join Prune Statistics
                ''',
                'jp_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase',
            False, 
            [
            _MetaInfoClassMember('assert-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric
                ''',
                'assert_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric Preference
                ''',
                'assert_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-rpt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Assert RPT Bit
                ''',
                'assert_rpt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidirectional-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Bidir ?
                ''',
                'bidirectional_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast satic route group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface name 
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mask of the multicast root
                ''',
                'rpf_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor', 
                [], [], 
                '''                The RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast static route source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-netmask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source mask
                ''',
                'source_netmask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SPT bit set ?
                ''',
                'spt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('upstream-assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Upstream Assert Timer
                ''',
                'upstream_assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime of route
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.MibDatabases' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.MibDatabases',
            False, 
            [
            _MetaInfoClassMember('mib-database', REFERENCE_LIST, 'MibDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'mib_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-match-rpf', REFERENCE_LIST, 'GroupMapMatchRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf', 
                [], [], 
                '''                PIM group matching mapping entry
                ''',
                'group_map_match_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NeighborOldFormats' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NeighborOldFormats',
            False, 
            [
            _MetaInfoClassMember('neighbor-old-format', REFERENCE_LIST, 'NeighborOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.IfrsSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.IfrsSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration counts
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Ranges.Range.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Ranges.Range.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Ranges.Range.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Ranges.Range.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange',
            False, 
            [
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client-xr', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt via
                ''',
                'client_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-range', REFERENCE_LIST, 'GroupRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange', 
                [], [], 
                '''                List of group ranges
                ''',
                'group_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Ranges.Range.RpAddressXr', 
                [], [], 
                '''                Rendezvous point address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Ranges.Range.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Ranges' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Ranges.Range', 
                [], [], 
                '''                PIM range list information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-prefix-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag',
            False, 
            [
            _MetaInfoClassMember('candidate-rp-address', REFERENCE_CLASS, 'CandidateRpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress', 
                [], [], 
                '''                C-RP address
                ''',
                'candidate_rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Expires
                ''',
                'candidate_rp_expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Holdtime
                ''',
                'candidate_rp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-RP Priority
                ''',
                'candidate_rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Uptime
                ''',
                'candidate_rp_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-bsr-crp-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList',
            False, 
            [
            _MetaInfoClassMember('pim-bsr-crp-bag', REFERENCE_LIST, 'PimBsrCrpBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag', 
                [], [], 
                '''                pim bsr crp bag
                ''',
                'pim_bsr_crp_bag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache',
            False, 
            [
            _MetaInfoClassMember('group-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group prefix
                ''',
                'group_prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('candidate-rp-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                C-RP count for this Prefix
                ''',
                'candidate_rp_group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-list', REFERENCE_CLASS, 'CandidateRpList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList', 
                [], [], 
                '''                C-RP list for this prefix
                ''',
                'candidate_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Group Prefix Length
                ''',
                'group_prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-xr', REFERENCE_CLASS, 'GroupPrefixXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr', 
                [], [], 
                '''                Group Prefix
                ''',
                'group_prefix_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-cache',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.RpCaches' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.RpCaches',
            False, 
            [
            _MetaInfoClassMember('rp-cache', REFERENCE_LIST, 'RpCache' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache', 
                [], [], 
                '''                PIM BSR RP cache
                ''',
                'rp_cache',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-caches',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'crp-access',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp',
            False, 
            [
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Candidate-RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp', REFERENCE_CLASS, 'CandidateRp_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_', 
                [], [], 
                '''                Cand-RP Address
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-advance-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Adv Interval in seconds
                ''',
                'candidate_rp_advance_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Cand-RP Scope
                ''',
                'candidate_rp_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP uptime
                ''',
                'candidate_rp_uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-access', REFERENCE_LIST, 'CrpAccess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess', 
                [], [], 
                '''                Group Ranges Using this Cand-RP
                ''',
                'crp_access',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('crp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Holdtime
                ''',
                'crp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cand-RP Priority
                ''',
                'crp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.CandidateRps' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.CandidateRps',
            False, 
            [
            _MetaInfoClassMember('candidate-rp', REFERENCE_LIST, 'CandidateRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp', 
                [], [], 
                '''                PIM BSR candidate RP information
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection',
            False, 
            [
            _MetaInfoClassMember('pim-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BSR information
                ''',
                'pim_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('bootstrap-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bootstrap Timeout
                ''',
                'bootstrap_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-address', REFERENCE_CLASS, 'BsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress', 
                [], [], 
                '''                BSR address
                ''',
                'bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-election-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Election State
                ''',
                'bsr_election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hash Function Mask Length
                ''',
                'bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BSR Priority
                ''',
                'bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-scope', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Scope
                ''',
                'bsr_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Uptime
                ''',
                'bsr_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-address', REFERENCE_CLASS, 'CandidateBsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress', 
                [], [], 
                '''                C-BSR address
                ''',
                'candidate_bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BSR Candidate Config Flag
                ''',
                'candidate_bsr_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Hash Func. Mask Len
                ''',
                'candidate_bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Priority
                ''',
                'candidate_bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Candidate State
                ''',
                'candidate_bsr_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-election',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr.BsrElections' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr.BsrElections',
            False, 
            [
            _MetaInfoClassMember('bsr-election', REFERENCE_LIST, 'BsrElection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-elections',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Bsr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Bsr',
            False, 
            [
            _MetaInfoClassMember('bsr-elections', REFERENCE_CLASS, 'BsrElections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.BsrElections', 
                [], [], 
                '''                PIM BSR election state
                ''',
                'bsr_elections',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rps', REFERENCE_CLASS, 'CandidateRps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.CandidateRps', 
                [], [], 
                '''                PIM candidate-RP
                ''',
                'candidate_rps',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-caches', REFERENCE_CLASS, 'RpCaches' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr.RpCaches', 
                [], [], 
                '''                PIM BSR RP cache table
                ''',
                'rp_caches',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics',
            False, 
            [
            _MetaInfoClassMember('any-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in any Table
                ''',
                'any_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in default-only Table
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF drops
                ''',
                'drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup requests
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default table selected
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ext-comm', ATTRIBUTE, 'str' , None, None, 
                [(1, 8)], [], 
                '''                Extended Community
                ''',
                'ext_comm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extended-community-rt', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Route Target
                ''',
                'extended_community_rt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table exists
                ''',
                'table_exists',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-test',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests',
            False, 
            [
            _MetaInfoClassMember('route-policy-test', REFERENCE_LIST, 'RoutePolicyTest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest', 
                [], [], 
                '''                PIM route policy test run
                ''',
                'route_policy_test',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-tests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RoutePolicy' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RoutePolicy',
            False, 
            [
            _MetaInfoClassMember('route-policy-statistics', REFERENCE_CLASS, 'RoutePolicyStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics', 
                [], [], 
                '''                PIM route policy statistics
                ''',
                'route_policy_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy-tests', REFERENCE_CLASS, 'RoutePolicyTests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests', 
                [], [], 
                '''                PIM route policy test run table
                ''',
                'route_policy_tests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RpfSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RpfSummary',
            False, 
            [
            _MetaInfoClassMember('default-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default RPF Table SAFI
                ''',
                'default_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default RPF Table Name
                ''',
                'default_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-mtr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS MTR configured?
                ''',
                'is_isis_mtr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS TE configured?
                ''',
                'is_isis_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mbgp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MBGP configured?
                ''',
                'is_mbgp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Enabled ?
                ''',
                'is_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-interface-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Interface Hash Extension Enabled ?
                ''',
                'is_multipath_interface_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source based Hash Enabled ?
                ''',
                'is_multipath_source_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-next-hop-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source-Nexthop Hash Enabled ?
                ''',
                'is_multipath_source_next_hop_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ospf-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is OSPF TE configured?
                ''',
                'is_ospf_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR configured?
                ''',
                'mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence time left in seconds
                ''',
                'rib_convergence_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence timeout in seconds
                ''',
                'rib_convergence_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR RIB configured?
                ''',
                'rib_mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RUMP MuRIB enabled?
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Interfaces.Interface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Interfaces.Interface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Interfaces.Interface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Interfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Interfaces.Interface', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NetIoTunnels' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NetIoTunnels',
            False, 
            [
            _MetaInfoClassMember('net-io-tunnel', REFERENCE_LIST, 'NetIoTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel', 
                [], [], 
                '''                PIM netio tunnel information
                ''',
                'net_io_tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState',
            False, 
            [
            _MetaInfoClassMember('election-state', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DF Election State
                ''',
                'election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'our_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MetricPreference
                ''',
                'our_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (nseconds)
                ''',
                'time_nano_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (seconds)
                ''',
                'time_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BidirDfStates' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BidirDfStates',
            False, 
            [
            _MetaInfoClassMember('bidir-df-state', REFERENCE_LIST, 'BidirDfState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState', 
                [], [], 
                '''                Bidirectional PIM DF Election Table Entry
                ''',
                'bidir_df_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology.ProxyAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology.ProxyAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'proxy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'orig-src-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'assert-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface',
            False, 
            [
            _MetaInfoClassMember('admin-boundary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an administrative boundary ?
                ''',
                'admin_boundary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Assert Timer in seconds
                ''',
                'assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-winner', REFERENCE_CLASS, 'AssertWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner', 
                [], [], 
                '''                Assert Winner
                ''',
                'assert_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C-Mcast join
                ''',
                'bgp_c_mcast_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-prune-delay-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C-MCAST Prune Suppression in seconds
                ''',
                'bgp_c_mcast_prune_delay_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('data-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Data MDT join
                ''',
                'data_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an Extranet Interface ?
                ''',
                'extranet_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('forwarding-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Forward or Prune
                ''',
                'forwarding_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('igmp-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGMP membership
                ''',
                'igmp_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('immediate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Immediate fwding state
                ''',
                'immediate_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('internal-interest-info', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Internal Interest
                ''',
                'internal_interest_info',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune State
                ''',
                'jp_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer (secs)
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default MDT Join
                ''',
                'local_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-members', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Local Information
                ''',
                'local_members',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Safi join
                ''',
                'mdt_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-inband-mdt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Inband MDT interface
                ''',
                'mldp_inband_mdt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OLE is stale
                ''',
                'mldp_stale',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvp-nv6-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN IPv6 Safi join
                ''',
                'mvp_nv6_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvpn-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN Safi join
                ''',
                'mvpn_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-prune', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA Prune state
                ''',
                'sa_prune',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF which physically owns
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'outgoing-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('alive', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Alive time in seconds (-1 if never)
                ''',
                'alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group matches Anycast-RP policy
                ''',
                'anycast_rp_match',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Anycast-RP RT
                ''',
                'anycast_rp_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assume-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Assume Alive Bit
                ''',
                'assume_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C JOIN
                ''',
                'bgp_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgpjp-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C JP Time
                ''',
                'bgpjp_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connected ?
                ''',
                'connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('customer-routing-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Type of Customer Routing in the MVPN
                ''',
                'customer_routing_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dont-check-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do we need to make the connected check on this
                route ?
                ''',
                'dont_check_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When this entry expires
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is a Extranet route ?
                ''',
                'extranet_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit Alive Bit
                ''',
                'inherit_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit SPT Bit
                ''',
                'inherit_spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Status
                ''',
                'jp_status',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have we throttled the creation of routes or
                interfaces ?
                ''',
                'limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR Active?
                ''',
                'mofrr_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Backup?
                ''',
                'mofrr_backup',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'mofrr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-primary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Primary?
                ''',
                'mofrr_primary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('orig-src-address', REFERENCE_CLASS, 'OrigSrcAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress', 
                [], [], 
                '''                Orig Src Address.
                ''',
                'orig_src_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outgoing-interface', REFERENCE_LIST, 'OutgoingInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('probe-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Probe Alive Bit
                ''',
                'probe_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RPF target a proxy?
                ''',
                'proxy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy-address', REFERENCE_CLASS, 'ProxyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology.ProxyAddress', 
                [], [], 
                '''                RPF Proxy address.
                ''',
                'proxy_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('really-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Really Alive Bit
                ''',
                'really_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have registers been received for this source ?
                ''',
                'register_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Register Received Timer in seconds (-1 if never)
                ''',
                'register_received_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MSDP told us
                ''',
                'remote_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'rib_mo_frr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology.RpAddress', 
                [], [], 
                '''                RP Address (If rpt)
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfNeighbor', 
                [], [], 
                '''                RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-proxy-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is rpf if proxy enabled?
                ''',
                'rpf_proxy_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RPT bit
                ''',
                'rpt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt-xr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the RPT ?
                ''',
                'rpt_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-joined', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA join
                ''',
                'sa_joined',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA received
                ''',
                'sa_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA sent
                ''',
                'sa_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Interface Identifier
                ''',
                'secondary_rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-neighbor', REFERENCE_CLASS, 'SecondaryRpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor', 
                [], [], 
                '''                Secondary RPF Neighbor
                ''',
                'secondary_rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-null-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending null registers for this route ?
                ''',
                'sending_null_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending registers for this route ?
                ''',
                'sending_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('signal-sources', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Signal Sources on route?
                ''',
                'signal_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the SPT ?
                ''',
                'spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-registers', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                When the Null register probe expires
                ''',
                'suppress_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this VXLAN?
                ''',
                'vxlan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                WC -Wildcard
                ''',
                'wildcard',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Topologies' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies.Topology', 
                [], [], 
                '''                PIM topology information
                ''',
                'topology',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Source' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Source',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Group' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Group',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.NextHop' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.NextHop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf',
            False, 
            [
            _MetaInfoClassMember('extranet-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of dependent extranet paths
                ''',
                'extranet_path_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Group', 
                [], [], 
                '''                Group address
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('is-bgp-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SAFI learnt from BGP
                ''',
                'is_bgp_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.NextHop', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Router ID
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Source', 
                [], [], 
                '''                Source address
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BgpAfs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BgpAfs',
            False, 
            [
            _MetaInfoClassMember('bgp-af', REFERENCE_LIST, 'BgpAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf', 
                [], [], 
                '''                PIM BGP SAFI information
                ''',
                'bgp_af',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.AutoRp' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.AutoRp',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'auto-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('interface-flag', REFERENCE_ENUM_CLASS, 'PimTopologyInterfaceFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyInterfaceFlagEnum', 
                [], [], 
                '''                Interface flag
                ''',
                'interface_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-interface-flag-route-count', REFERENCE_LIST, 'TopologyInterfaceFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount', 
                [], [], 
                '''                Route count for topology with interface flag
                set
                ''',
                'topology_interface_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP Priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapSources' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapSources',
            False, 
            [
            _MetaInfoClassMember('group-map-source', REFERENCE_LIST, 'GroupMapSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource', 
                [], [], 
                '''                PIM Group Mapping Entry with source information
                ''',
                'group_map_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState',
            False, 
            [
            _MetaInfoClassMember('max-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum size of queue in bytes
                ''',
                'max_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in bytes
                ''',
                'queue_size_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in number of packets
                ''',
                'queue_size_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats',
            False, 
            [
            _MetaInfoClassMember('dequeued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets dequeued from this queue
                ''',
                'dequeued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('enqueued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets enqueued to this queue
                ''',
                'enqueued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of bytes enqueued in this queue
                ''',
                'high_water_mark_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of packets enqueued in this queue
                ''',
                'high_water_mark_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tail-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number packets dropped from this queue due to
                max size
                ''',
                'tail_drops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue',
            False, 
            [
            _MetaInfoClassMember('packet-queue-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Priority of this packet queue
                ''',
                'packet_queue_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-state', REFERENCE_CLASS, 'PacketQueueState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState', 
                [], [], 
                '''                State of the queue
                ''',
                'packet_queue_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-stats', REFERENCE_CLASS, 'PacketQueueStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats', 
                [], [], 
                '''                Statistics about the queue
                ''',
                'packet_queue_stats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('boundary-acl-rx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inc. JP dropped since boundary ACL confg
                ''',
                'boundary_acl_rx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('boundary-acl-tx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out JP dropped since boundary ACL confg
                ''',
                'boundary_acl_tx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('checksum-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters in seconds
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('format-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets in
                ''',
                'input_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets in
                ''',
                'input_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Ecmp Redirect
                ''',
                'input_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-idb-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No IDB for intf error
                ''',
                'input_no_idb_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-pim-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Disabled on intf error
                ''',
                'input_no_pim_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-vrf-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No VRF for idb error
                ''',
                'input_no_vrf_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets in
                ''',
                'input_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-pim-version-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid PIM version error
                ''',
                'input_pim_version_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'inputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-destination-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Control Packets with Invalid Destination
                ''',
                'invalid_destination_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-join-prunes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid Join/Prunes received
                ''',
                'invalid_join_prunes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-registers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid registers received
                ''',
                'invalid_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-local-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to local source
                addr
                ''',
                'mdt_drop_local_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to idb missing
                ''',
                'mdt_drop_no_idb',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-vrf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to vrf missing
                ''',
                'mdt_drop_no_vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-null-local-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to null local
                addr
                ''',
                'mdt_drop_null_local_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-bad-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT TLV bad type
                ''',
                'mdt_join_bad_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs received
                ''',
                'mdt_join_tlv_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs sent
                ''',
                'mdt_join_tlv_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-joins-drop-multiple-encapsulation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Join msgs dropped due to multiple Encap
                limitation
                ''',
                'mdt_joins_drop_multiple_encapsulation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since mdt send queue was full
                ''',
                'mdt_send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Socket errors
                ''',
                'mdt_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-invalid-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Invalid LSM ID
                ''',
                'mldp_mdt_invalid_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-mdt-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no mdt socket connection
                ''',
                'no_mdt_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no source address
                ''',
                'no_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-supported-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM non supported pckets
                ''',
                'non_supported_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets out
                ''',
                'output_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets out
                ''',
                'output_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Ecmp Redirect
                ''',
                'output_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Hello Bytes
                ''',
                'output_hello_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Join Groups
                ''',
                'output_join_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-prune-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output JP Bytes
                ''',
                'output_join_prune_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-loop-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output on loopback error
                ''',
                'output_loop_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets out
                ''',
                'output_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-prune-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Prune Groups
                ''',
                'output_prune_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'outputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-dequeued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dequeued per priority Deprecated by
                PacketQueue
                ''',
                'packet_dequeued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-enqueued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Enqueued per priority Deprecated by
                PacketQueue
                ''',
                'packet_enqueued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-packman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Pakman Error
                ''',
                'packet_packman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue', REFERENCE_LIST, 'PacketQueue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue', 
                [], [], 
                '''                Packet queue state and statistics
                ''',
                'packet_queue',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-last-clear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last clear of all
                packet queues stats
                ''',
                'packet_queue_last_clear',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-length', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Length per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-size', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Size per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-read-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Read Socket Error
                ''',
                'packet_read_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-tail-drop', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Tail Drop per priority Deprecated by
                PacketQueue
                ''',
                'packet_tail_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packets-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Standby Error
                ''',
                'packets_standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pakman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pakman packets dropped
                ''',
                'pakman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since send queue was full
                ''',
                'send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors
                ''',
                'socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby-packets-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received in standby state
                ''',
                'standby_packets_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('truncated-pim-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to truncated Joins or Prunes
                ''',
                'truncated_pim_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf',
            False, 
            [
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP priority
                ''',
                'rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapRpfs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-rpf', REFERENCE_LIST, 'GroupMapRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf', 
                [], [], 
                '''                PIM group mapping entry
                ''',
                'group_map_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Summary' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Gre.GreHashes.GreHash' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Gre.GreHashes.GreHash',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('ifname', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Tunnel Interface
                ''',
                'ifname',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hash',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Gre.GreHashes' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Gre.GreHashes',
            False, 
            [
            _MetaInfoClassMember('gre-hash', REFERENCE_LIST, 'GreHash' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Gre.GreHashes.GreHash', 
                [], [], 
                '''                PIM GRE Hashed Underlying Interface
                ''',
                'gre_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hashes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath',
            False, 
            [
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Interface
                ''',
                'gre_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-neighbor', REFERENCE_CLASS, 'GreNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor', 
                [], [], 
                '''                GRE neighbor
                ''',
                'gre_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hop', REFERENCE_CLASS, 'GreNextHop_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_', 
                [], [], 
                '''                GRE nexthop
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gre-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the gre interface disabled ?
                ''',
                'is_gre_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                GRE destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('gre-path', REFERENCE_LIST, 'GrePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath', 
                [], [], 
                '''                GRE Paths list
                ''',
                'gre_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address', REFERENCE_CLASS, 'RegisteredAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Gre.GreNextHops' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Gre.GreNextHops',
            False, 
            [
            _MetaInfoClassMember('gre-next-hop', REFERENCE_LIST, 'GreNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop', 
                [], [], 
                '''                PIM GRE address next-hop information
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hops',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Gre' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Gre',
            False, 
            [
            _MetaInfoClassMember('gre-hashes', REFERENCE_CLASS, 'GreHashes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Gre.GreHashes', 
                [], [], 
                '''                GRE hash
                ''',
                'gre_hashes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hops', REFERENCE_CLASS, 'GreNextHops' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Gre.GreNextHops', 
                [], [], 
                '''                GRE destination neighbor table
                ''',
                'gre_next_hops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner',
            False, 
            [
            _MetaInfoClassMember('are-we-df', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we DF
                ''',
                'are_we_df',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('df-winner', REFERENCE_CLASS, 'DfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner', 
                [], [], 
                '''                DF Winner
                ''',
                'df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-lan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the RP LAN
                ''',
                'rp_lan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.BidirDfWinners' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.BidirDfWinners',
            False, 
            [
            _MetaInfoClassMember('bidir-df-winner', REFERENCE_LIST, 'BidirDfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner', 
                [], [], 
                '''                Bidirectional PIM DF election table entry
                ''',
                'bidir_df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winners',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TableContexts.TableContext' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TableContexts.TableContext',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TableContexts' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TableContexts',
            False, 
            [
            _MetaInfoClassMember('table-context', REFERENCE_LIST, 'TableContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TableContexts.TableContext', 
                [], [], 
                '''                PIM table context information
                ''',
                'table_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-contexts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NeighborSummaries.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NeighborSummaries.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('number-of-external-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of external neighbors
                ''',
                'number_of_external_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('number-of-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of neighbors
                ''',
                'number_of_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.NeighborSummaries' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.NeighborSummaries',
            False, 
            [
            _MetaInfoClassMember('neighbor-summary', REFERENCE_LIST, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NeighborSummaries.NeighborSummary', 
                [], [], 
                '''                PIM neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Context.RemoteDefaultGroup' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Context.RemoteDefaultGroup',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'remote-default-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Context.RpfDefaultTable' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Context.RpfDefaultTable',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-default-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Context.ExportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Context.ExportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'export-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Context.ImportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Context.ImportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'import-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Context.AnycastRpRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Context.AnycastRpRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Context.AnycastRpRange' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Context.AnycastRpRange',
            False, 
            [
            _MetaInfoClassMember('ancast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Range marked
                ''',
                'ancast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Context.AnycastRpRange.Prefix', 
                [], [], 
                '''                Anycast-RP Range Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Anycast-RP Range Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'anycast-rp-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Context' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Context',
            False, 
            [
            _MetaInfoClassMember('active-table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active Tables
                ''',
                'active_table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow RP Configured
                ''',
                'allow_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-group-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP Group-List ACL Name
                ''',
                'allow_rp_group_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-rp-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP RP-list ACL Name
                ''',
                'allow_rp_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP config
                ''',
                'anycast_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Anycast-RP Policy Name
                ''',
                'anycast_rp_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-range', REFERENCE_LIST, 'AnycastRpRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Context.AnycastRpRange', 
                [], [], 
                '''                Anycast-RP Ranges
                ''',
                'anycast_rp_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto-Discovery configured
                ''',
                'bgp_auto_discovery_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Auto Discovery Type
                ''',
                'bgp_auto_discovery_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-i-pmsi-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP I-PMSI Added
                ''',
                'bgp_i_pmsi_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BGP remote interface address
                ''',
                'bgp_remote_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BGP remote interface handle
                ''',
                'bgp_remote_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP remote interface name
                ''',
                'bgp_remote_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP remote interface status
                ''',
                'bgp_remote_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP remote interface state
                ''',
                'bgp_remote_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-source-active-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send BGP Source-Active Announcements
                ''',
                'bgp_source_active_announce',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('export-route-target', REFERENCE_LIST, 'ExportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Context.ExportRouteTarget', 
                [], [], 
                '''                Export Route Targets
                ''',
                'export_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'gin_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'gin_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'gin_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'gin_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'gin_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'gin_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('import-route-target', REFERENCE_LIST, 'ImportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Context.ImportRouteTarget', 
                [], [], 
                '''                Import Route Targets
                ''',
                'import_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'in_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'in_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'in_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'in_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'in_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'in_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-local-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Local enabled
                ''',
                'in_band_signaling_local_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-remote-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Remote enabled
                ''',
                'in_band_signaling_remote_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inter-autonomous-system-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inter-AS Enabled
                ''',
                'inter_autonomous_system_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR MDT max aggregation
                ''',
                'ir_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Announce interval
                ''',
                'ir_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Switchover interval
                ''',
                'ir_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IRMDT handle
                ''',
                'ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IRMDT MTU
                ''',
                'ir_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IR MDT Name
                ''',
                'ir_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR RPF-ID
                ''',
                'ir_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-tail-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Tail Label
                ''',
                'ir_mdt_tail_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active-ital', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active ITAL
                ''',
                'is_active_ital',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-all-interface-disable-operation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM all interface disable operation
                ''',
                'is_all_interface_disable_operation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP Listen Enabled
                ''',
                'is_auto_rp_listen_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-sock-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP listen sock add
                ''',
                'is_auto_rp_listen_sock_add',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-gin-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-in-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-ir-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create IR MDT interface
                ''',
                'is_create_ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MDT interface
                ''',
                'is_create_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mldp-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MLDP MDT interface
                ''',
                'is_create_mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-rsvp-te-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create RSVP-TE MDT interface
                ''',
                'is_create_rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-default-granges', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default granges
                ''',
                'is_default_granges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gin-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_gin_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-in-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_in_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ir-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IR MDT Owner
                ''',
                'is_ir_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Socket
                ''',
                'is_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Socket
                ''',
                'is_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-m-host-publish-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Publish pending for MHost Default interface
                ''',
                'is_m_host_publish_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Owner
                ''',
                'is_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mldp-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP MDT Owner
                ''',
                'is_mldp_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mrib-register', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MRIB Register
                ''',
                'is_mrib_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mcast RIB Registration
                ''',
                'is_multicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converge-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converge received
                ''',
                'is_pim_nsf_rib_converge_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converged
                ''',
                'is_pim_nsf_rib_converged',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-redistribution-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pending redist reset
                ''',
                'is_redistribution_reset',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Register Injection Socket
                ''',
                'is_register_injection_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Register Injection Socket
                ''',
                'is_register_injection_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multiplath enabled
                ''',
                'is_rib_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-interface-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath interface hash
                ''',
                'is_rib_multipath_interface_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source based hash
                ''',
                'is_rib_multipath_source_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-next-hop-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source-nexthop hash
                ''',
                'is_rib_multipath_source_next_hop_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Routing Enabled
                ''',
                'is_routing_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rsvp-te-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Owner
                ''',
                'is_rsvp_te_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Socket
                ''',
                'is_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Socket
                ''',
                'is_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bound on UDP Socket
                ''',
                'is_udp_socket_bind',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bind required on UDP Socket
                ''',
                'is_udp_socket_bind_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-unicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ucast RIB Registration
                ''',
                'is_unicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT max aggregation
                ''',
                'maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Announce interval
                ''',
                'mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Switchover interval
                ''',
                'mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-default-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MDT Default group
                ''',
                'mdt_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT Remote RPF Identifier
                ''',
                'mdt_gre_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT RPF Identifier
                ''',
                'mdt_gre_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MDT handle
                ''',
                'mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT MTU
                ''',
                'mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MDT Neighbor Filter Name
                ''',
                'mdt_neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-ir-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned IR MDT Control Identifier
                ''',
                'mdt_partitioned_ir_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-mdt-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Control Identifier
                ''',
                'mdt_partitioned_mdt_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-default-interface-config', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured Mhost Defint
                ''',
                'mhost_default_interface_config',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MHost handle
                ''',
                'mhost_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-announce-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Announce Control tree added
                ''',
                'mldp_auto_rp_announce_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-discovery-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Discovery Control tree added
                ''',
                'mldp_auto_rp_discovery_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-bsr-control-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP BSR Control tree added
                ''',
                'mldp_bsr_control_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-control-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MVPN Identifier
                ''',
                'mldp_control_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head local label
                ''',
                'mldp_head_local_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Head LSM-ID
                ''',
                'mldp_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT max aggregation
                ''',
                'mldp_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Announce interval
                ''',
                'mldp_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Switchover interval
                ''',
                'mldp_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MLDP MDT handle
                ''',
                'mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT MTU
                ''',
                'mldp_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MLDP MDT Name
                ''',
                'mldp_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote RPF-ID
                ''',
                'mldp_mdt_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP RPF-ID
                ''',
                'mldp_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partioned-mp2m-ptree', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP2MP Partitioned MDT tree
                ''',
                'mldp_partioned_mp2m_ptree',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head LSM-ID
                ''',
                'mldp_partitioned_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Partitioned MDT
                ''',
                'mldp_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Partitioned MDT Identifier
                ''',
                'mldp_partitioned_mdt_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote Head LSM-ID
                ''',
                'mldp_remote_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Remote Partitioned MDT
                ''',
                'mldp_remote_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-address', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root addresses
                ''',
                'mldp_root_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root count
                ''',
                'mldp_root_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('murib-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MURIB ID
                ''',
                'murib_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-default-vrf-count-on-socket', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of non-default vrfs on raw socket
                ''',
                'non_default_vrf_count_on_socket',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('organization-unique-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OUI for VPN-ID
                ''',
                'organization_unique_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('p2mpte-li-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route LI updates dropped for P2MP
                ''',
                'p2mpte_li_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redistribution-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redist reset count
                ''',
                'redistribution_reset_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-default-group', REFERENCE_CLASS, 'RemoteDefaultGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Context.RemoteDefaultGroup', 
                [], [], 
                '''                Remote Default Group
                ''',
                'remote_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Table ID
                ''',
                'remote_table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                RD value
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-default-table', REFERENCE_CLASS, 'RpfDefaultTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Context.RpfDefaultTable', 
                [], [], 
                '''                RPF Default Table
                ''',
                'rpf_default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF ID
                ''',
                'rpf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF topology selection route-policy name
                ''',
                'rpf_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE MDT max aggregation
                ''',
                'rsvp_te_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Announce interval
                ''',
                'rsvp_te_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Switchover interval
                ''',
                'rsvp_te_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RSVP-TEMDT handle
                ''',
                'rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TEMDT MTU
                ''',
                'rsvp_te_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Name
                ''',
                'rsvp_te_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE RPF-ID
                ''',
                'rsvp_te_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-static-p2mp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Static P2MP-TE MDT
                ''',
                'rsvp_te_mdt_static_p2mp_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM is using MuRIB
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S,G Expiry Time Configured, in seconds
                ''',
                'sg_expiry_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S,G Expiry Timer Configured
                ''',
                'sg_expiry_timer_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-sg-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                S,G expiry timer ACL name
                ''',
                'sg_expiry_timer_sg_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('stale-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is stale
                ''',
                'stale_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-pim-data-mdt-tlv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress PIM Data-MDT TLV Announcements
                ''',
                'suppress_pim_data_mdt_tlv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-shared-tree-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress Shared-Tree Joins
                ''',
                'suppress_shared_tree_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of configured Tables
                ''',
                'table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('umh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Join UMH Core-Tree
                ''',
                'umh',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('valid-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is valid
                ''',
                'valid_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vpn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Index
                ''',
                'vpn_index',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('entry-flag', REFERENCE_ENUM_CLASS, 'PimTopologyEntryFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyEntryFlagEnum', 
                [], [], 
                '''                entry flag
                ''',
                'entry_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-entry-flag-route-count', REFERENCE_LIST, 'TopologyEntryFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface',
            False, 
            [
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-outgoing-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is outgoing Interface
                ''',
                'is_outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF Interface
                ''',
                'is_rpf_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-snoop-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is snooping Interface
                ''',
                'is_snoop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-address', REFERENCE_CLASS, 'RpfAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress', 
                [], [], 
                '''                RPF Address
                ''',
                'rpf_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth in Kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr', 
                [], [], 
                '''                Group ddress
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases',
            False, 
            [
            _MetaInfoClassMember('redirect-route-database', REFERENCE_LIST, 'RedirectRouteDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase', 
                [], [], 
                '''                PIM ECMP RPF-redirect route information
                ''',
                'redirect_route_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth allocated in Kbps
                ''',
                'allocated_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allocated-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Configured threshold in Kbps
                ''',
                'allocated_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth available in Kbps
                ''',
                'available_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Available threshold in Kbps
                ''',
                'available_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Bundle name
                ''',
                'bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Bundle interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect bundle name
                ''',
                'rpf_redirect_bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-interface-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect interface name
                ''',
                'rpf_redirect_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('snooping-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by snooped entries in Kbps
                ''',
                'snooping_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by topology in Kbps
                ''',
                'topology_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('total-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Total bandwidth used in Kbps
                ''',
                'total_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces',
            False, 
            [
            _MetaInfoClassMember('bundle-interface', REFERENCE_LIST, 'BundleInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle interface
                information
                ''',
                'bundle_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.RpfRedirect' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.RpfRedirect',
            False, 
            [
            _MetaInfoClassMember('bundle-interfaces', REFERENCE_CLASS, 'BundleInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle information
                ''',
                'bundle_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redirect-route-databases', REFERENCE_CLASS, 'RedirectRouteDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases', 
                [], [], 
                '''                PIM ECMP RPF-redirect route database
                ''',
                'redirect_route_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Tunnels' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Tunnels',
            False, 
            [
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Tunnels.Tunnel', 
                [], [], 
                '''                PIM tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSM flag
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop', 
                [], [], 
                '''                Next Hop
                ''',
                'nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.MulticastStaticRoutes' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.MulticastStaticRoutes',
            False, 
            [
            _MetaInfoClassMember('multicast-static-route', REFERENCE_LIST, 'MulticastStaticRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'multicast_static_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.GroupMapMatchSources' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.GroupMapMatchSources',
            False, 
            [
            _MetaInfoClassMember('group-map-match-source', REFERENCE_LIST, 'GroupMapMatchSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource', 
                [], [], 
                '''                PIM group-matching mapping entry with source
                information
                ''',
                'group_map_match_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf.Neighbors' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Neighbors.Neighbor', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                VRF name 
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('auto-rp', REFERENCE_CLASS, 'AutoRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.AutoRp', 
                [], [], 
                '''                PIM Auto-RP information
                ''',
                'auto_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-afs', REFERENCE_CLASS, 'BgpAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BgpAfs', 
                [], [], 
                '''                PIM BGP SAFI table
                ''',
                'bgp_afs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-states', REFERENCE_CLASS, 'BidirDfStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BidirDfStates', 
                [], [], 
                '''                Bidirectional PIM DF election state table
                ''',
                'bidir_df_states',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-winners', REFERENCE_CLASS, 'BidirDfWinners' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.BidirDfWinners', 
                [], [], 
                '''                Bidirectional PIM DF election winner table
                ''',
                'bidir_df_winners',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Bsr', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Context', 
                [], [], 
                '''                PIM context information
                ''',
                'context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Gre', 
                [], [], 
                '''                GRE information
                ''',
                'gre',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-rpfs', REFERENCE_CLASS, 'GroupMapMatchRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs', 
                [], [], 
                '''                Find matching group-mapping for the specified
                group address
                ''',
                'group_map_match_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-sources', REFERENCE_CLASS, 'GroupMapMatchSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapMatchSources', 
                [], [], 
                '''                Find the matching group-mapping with source
                information on specified group address
                ''',
                'group_map_match_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-rpfs', REFERENCE_CLASS, 'GroupMapRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapRpfs', 
                [], [], 
                '''                PIM group mapping information
                ''',
                'group_map_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-sources', REFERENCE_CLASS, 'GroupMapSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.GroupMapSources', 
                [], [], 
                '''                PIM group-mapping with source information
                ''',
                'group_map_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.IfrsInterfaces', 
                [], [], 
                '''                PIM interfaces in forward reference store table
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-summary', REFERENCE_CLASS, 'IfrsSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.IfrsSummary', 
                [], [], 
                '''                PIM interfaces in forward reference store
                summary
                ''',
                'ifrs_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.InterfaceOldFormats', 
                [], [], 
                '''                PIM interfaces in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-statistics', REFERENCE_CLASS, 'InterfaceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.InterfaceStatistics', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Interfaces', 
                [], [], 
                '''                PIM interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-statistics', REFERENCE_CLASS, 'JpStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.JpStatistics', 
                [], [], 
                '''                PIM join prune statistics table
                ''',
                'jp_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mib-databases', REFERENCE_CLASS, 'MibDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.MibDatabases', 
                [], [], 
                '''                PIM group database for mroute mibs table
                ''',
                'mib_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('multicast-static-routes', REFERENCE_CLASS, 'MulticastStaticRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.MulticastStaticRoutes', 
                [], [], 
                '''                PIM multicast static route table
                ''',
                'multicast_static_routes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-old-formats', REFERENCE_CLASS, 'NeighborOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NeighborOldFormats', 
                [], [], 
                '''                PIM neighbor table old format
                ''',
                'neighbor_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-summaries', REFERENCE_CLASS, 'NeighborSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NeighborSummaries', 
                [], [], 
                '''                PIM neighbor summary table
                ''',
                'neighbor_summaries',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Neighbors', 
                [], [], 
                '''                PIM neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('net-io-tunnels', REFERENCE_CLASS, 'NetIoTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.NetIoTunnels', 
                [], [], 
                '''                Tunnel information that NETIO has 
                ''',
                'net_io_tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Ranges', 
                [], [], 
                '''                PIM range list information
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy', REFERENCE_CLASS, 'RoutePolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RoutePolicy', 
                [], [], 
                '''                PIM route policy
                ''',
                'route_policy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect', REFERENCE_CLASS, 'RpfRedirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RpfRedirect', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle
                ''',
                'rpf_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-summary', REFERENCE_CLASS, 'RpfSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.RpfSummary', 
                [], [], 
                '''                PIM RPF registration summary
                ''',
                'rpf_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safs', REFERENCE_CLASS, 'Safs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Safs', 
                [], [], 
                '''                SAFI table and type
                ''',
                'safs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Summary', 
                [], [], 
                '''                PIM summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-contexts', REFERENCE_CLASS, 'TableContexts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TableContexts', 
                [], [], 
                '''                PIM table context list
                ''',
                'table_contexts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Topologies', 
                [], [], 
                '''                PIM topology table
                ''',
                'topologies',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-entry-flag-route-counts', REFERENCE_CLASS, 'TopologyEntryFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-flag-route-counts', REFERENCE_CLASS, 'TopologyInterfaceFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with interface flag set
                ''',
                'topology_interface_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-route-count', REFERENCE_CLASS, 'TopologyRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TopologyRouteCount', 
                [], [], 
                '''                Topology route count information from PIM
                topology table
                ''',
                'topology_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.TrafficCounters', 
                [], [], 
                '''                PIM message traffic counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf.Tunnels', 
                [], [], 
                '''                Tunnels information that PIM has
                ''',
                'tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active.Vrfs' : {
        'meta_info' : _MetaInfoClass('Pim.Active.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs.Vrf', 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim.Active' : {
        'meta_info' : _MetaInfoClass('Pim.Active',
            False, 
            [
            _MetaInfoClassMember('default-context', REFERENCE_CLASS, 'DefaultContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.DefaultContext', 
                [], [], 
                '''                Default Context
                ''',
                'default_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('process', REFERENCE_CLASS, 'Process' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Process', 
                [], [], 
                '''                Process
                ''',
                'process',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active.Vrfs', 
                [], [], 
                '''                VRF Table
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'active',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim' : {
        'meta_info' : _MetaInfoClass('Pim',
            False, 
            [
            _MetaInfoClassMember('active', REFERENCE_CLASS, 'Active' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Active', 
                [], [], 
                '''                Active Process
                ''',
                'active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim.Standby', 
                [], [], 
                '''                Standby Process
                ''',
                'standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'global-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GlobalInterfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GlobalInterfaces',
            False, 
            [
            _MetaInfoClassMember('global-interface', REFERENCE_LIST, 'GlobalInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface', 
                [], [], 
                '''                PIM interface name
                ''',
                'global_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'global-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                PIM IFRS interface information
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('mask-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hash mask length
                ''',
                'mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-group', REFERENCE_LIST, 'RpfHashSourceGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource',
            False, 
            [
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source', REFERENCE_LIST, 'RpfHashSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath',
            False, 
            [
            _MetaInfoClassMember('connector', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Connector Attribute
                ''',
                'connector',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the rpf interface disabled ?
                ''',
                'is_rpf_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-mlsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via Mstatic LSM
                ''',
                'is_via_mlsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF Interface
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-nexthop', REFERENCE_CLASS, 'RpfNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop', 
                [], [], 
                '''                RPF nexthop
                ''',
                'rpf_nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf',
            False, 
            [
            _MetaInfoClassMember('registered-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Address for which RPF lookup
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-bgp-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF through BGP route
                ''',
                'is_rpf_bgp_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address-xr', REFERENCE_CLASS, 'RegisteredAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_LIST, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath', 
                [], [], 
                '''                RPF Paths list
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs',
            False, 
            [
            _MetaInfoClassMember('rpf', REFERENCE_LIST, 'Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf', 
                [], [], 
                '''                PIM RPF information
                ''',
                'rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs.Saf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs.Saf',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-groups', REFERENCE_CLASS, 'RpfHashSourceGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_source_groups',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-hash-sources', REFERENCE_CLASS, 'RpfHashSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpfs', REFERENCE_CLASS, 'Rpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs', 
                [], [], 
                '''                PIM RPF information table
                ''',
                'rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name 
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name 
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'saf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Safs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Safs',
            False, 
            [
            _MetaInfoClassMember('saf', REFERENCE_LIST, 'Saf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs.Saf', 
                [], [], 
                '''                SAF name 
                ''',
                'saf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'safs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.InterfaceStatistics.InterfaceStatistic' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.InterfaceStatistics.InterfaceStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Ack Messages
                ''',
                'input_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Messages
                ''',
                'input_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-miscellaneous', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Miscellaneous packet in
                ''',
                'input_miscellaneous',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets in
                ''',
                'input_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Ack Messages
                ''',
                'output_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Messages
                ''',
                'output_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets out
                ''',
                'output_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.InterfaceStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.InterfaceStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-statistic', REFERENCE_LIST, 'InterfaceStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.InterfaceStatistics.InterfaceStatistic', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TopologyRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TopologyRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TopologyRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TopologyRouteCount',
            False, 
            [
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TopologyRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.JpStatistics.JpStatistic' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.JpStatistics.JpStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received
                ''',
                'received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 100 average
                ''',
                'received100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 10K average
                ''',
                'received_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 1K average
                ''',
                'received_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Received100
                ''',
                'received_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmitted
                ''',
                'transmitted',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 100 average
                ''',
                'transmitted100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 10K average
                ''',
                'transmitted_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 1K average
                ''',
                'transmitted_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Transmitted100
                ''',
                'transmitted_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.JpStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.JpStatistics',
            False, 
            [
            _MetaInfoClassMember('jp-statistic', REFERENCE_LIST, 'JpStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.JpStatistics.JpStatistic', 
                [], [], 
                '''                PIM Join Prune Statistics
                ''',
                'jp_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase',
            False, 
            [
            _MetaInfoClassMember('assert-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric
                ''',
                'assert_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric Preference
                ''',
                'assert_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-rpt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Assert RPT Bit
                ''',
                'assert_rpt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidirectional-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Bidir ?
                ''',
                'bidirectional_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast satic route group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface name 
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mask of the multicast root
                ''',
                'rpf_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor', 
                [], [], 
                '''                The RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast static route source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-netmask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source mask
                ''',
                'source_netmask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SPT bit set ?
                ''',
                'spt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('upstream-assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Upstream Assert Timer
                ''',
                'upstream_assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime of route
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.MibDatabases' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.MibDatabases',
            False, 
            [
            _MetaInfoClassMember('mib-database', REFERENCE_LIST, 'MibDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'mib_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-match-rpf', REFERENCE_LIST, 'GroupMapMatchRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf', 
                [], [], 
                '''                PIM group matching mapping entry
                ''',
                'group_map_match_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NeighborOldFormats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NeighborOldFormats',
            False, 
            [
            _MetaInfoClassMember('neighbor-old-format', REFERENCE_LIST, 'NeighborOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.IfrsSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.IfrsSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration counts
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Ranges.Range.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Ranges.Range.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Ranges.Range.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Ranges.Range.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange',
            False, 
            [
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client-xr', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt via
                ''',
                'client_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-range', REFERENCE_LIST, 'GroupRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange', 
                [], [], 
                '''                List of group ranges
                ''',
                'group_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Ranges.Range.RpAddressXr', 
                [], [], 
                '''                Rendezvous point address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Ranges.Range.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Ranges' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Ranges.Range', 
                [], [], 
                '''                PIM range list information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-prefix-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag',
            False, 
            [
            _MetaInfoClassMember('candidate-rp-address', REFERENCE_CLASS, 'CandidateRpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress', 
                [], [], 
                '''                C-RP address
                ''',
                'candidate_rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Expires
                ''',
                'candidate_rp_expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Holdtime
                ''',
                'candidate_rp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-RP Priority
                ''',
                'candidate_rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Uptime
                ''',
                'candidate_rp_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-bsr-crp-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList',
            False, 
            [
            _MetaInfoClassMember('pim-bsr-crp-bag', REFERENCE_LIST, 'PimBsrCrpBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag', 
                [], [], 
                '''                pim bsr crp bag
                ''',
                'pim_bsr_crp_bag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache',
            False, 
            [
            _MetaInfoClassMember('group-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group prefix
                ''',
                'group_prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('candidate-rp-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                C-RP count for this Prefix
                ''',
                'candidate_rp_group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-list', REFERENCE_CLASS, 'CandidateRpList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList', 
                [], [], 
                '''                C-RP list for this prefix
                ''',
                'candidate_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Group Prefix Length
                ''',
                'group_prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-xr', REFERENCE_CLASS, 'GroupPrefixXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr', 
                [], [], 
                '''                Group Prefix
                ''',
                'group_prefix_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-cache',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches',
            False, 
            [
            _MetaInfoClassMember('rp-cache', REFERENCE_LIST, 'RpCache' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache', 
                [], [], 
                '''                PIM BSR RP cache
                ''',
                'rp_cache',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-caches',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'crp-access',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp',
            False, 
            [
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Candidate-RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp', REFERENCE_CLASS, 'CandidateRp_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_', 
                [], [], 
                '''                Cand-RP Address
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-advance-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Adv Interval in seconds
                ''',
                'candidate_rp_advance_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Cand-RP Scope
                ''',
                'candidate_rp_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP uptime
                ''',
                'candidate_rp_uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-access', REFERENCE_LIST, 'CrpAccess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess', 
                [], [], 
                '''                Group Ranges Using this Cand-RP
                ''',
                'crp_access',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('crp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Holdtime
                ''',
                'crp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cand-RP Priority
                ''',
                'crp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps',
            False, 
            [
            _MetaInfoClassMember('candidate-rp', REFERENCE_LIST, 'CandidateRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp', 
                [], [], 
                '''                PIM BSR candidate RP information
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection',
            False, 
            [
            _MetaInfoClassMember('pim-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BSR information
                ''',
                'pim_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('bootstrap-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bootstrap Timeout
                ''',
                'bootstrap_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-address', REFERENCE_CLASS, 'BsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress', 
                [], [], 
                '''                BSR address
                ''',
                'bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-election-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Election State
                ''',
                'bsr_election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hash Function Mask Length
                ''',
                'bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BSR Priority
                ''',
                'bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-scope', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Scope
                ''',
                'bsr_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Uptime
                ''',
                'bsr_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-address', REFERENCE_CLASS, 'CandidateBsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress', 
                [], [], 
                '''                C-BSR address
                ''',
                'candidate_bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BSR Candidate Config Flag
                ''',
                'candidate_bsr_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Hash Func. Mask Len
                ''',
                'candidate_bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Priority
                ''',
                'candidate_bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Candidate State
                ''',
                'candidate_bsr_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-election',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections',
            False, 
            [
            _MetaInfoClassMember('bsr-election', REFERENCE_LIST, 'BsrElection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-elections',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Bsr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Bsr',
            False, 
            [
            _MetaInfoClassMember('bsr-elections', REFERENCE_CLASS, 'BsrElections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections', 
                [], [], 
                '''                PIM BSR election state
                ''',
                'bsr_elections',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rps', REFERENCE_CLASS, 'CandidateRps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps', 
                [], [], 
                '''                PIM candidate-RP
                ''',
                'candidate_rps',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-caches', REFERENCE_CLASS, 'RpCaches' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches', 
                [], [], 
                '''                PIM BSR RP cache table
                ''',
                'rp_caches',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyStatistics',
            False, 
            [
            _MetaInfoClassMember('any-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in any Table
                ''',
                'any_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in default-only Table
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF drops
                ''',
                'drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup requests
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default table selected
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ext-comm', ATTRIBUTE, 'str' , None, None, 
                [(1, 8)], [], 
                '''                Extended Community
                ''',
                'ext_comm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extended-community-rt', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Route Target
                ''',
                'extended_community_rt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table exists
                ''',
                'table_exists',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-test',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests',
            False, 
            [
            _MetaInfoClassMember('route-policy-test', REFERENCE_LIST, 'RoutePolicyTest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest', 
                [], [], 
                '''                PIM route policy test run
                ''',
                'route_policy_test',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-tests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RoutePolicy' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RoutePolicy',
            False, 
            [
            _MetaInfoClassMember('route-policy-statistics', REFERENCE_CLASS, 'RoutePolicyStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyStatistics', 
                [], [], 
                '''                PIM route policy statistics
                ''',
                'route_policy_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy-tests', REFERENCE_CLASS, 'RoutePolicyTests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests', 
                [], [], 
                '''                PIM route policy test run table
                ''',
                'route_policy_tests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RpfSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RpfSummary',
            False, 
            [
            _MetaInfoClassMember('default-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default RPF Table SAFI
                ''',
                'default_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default RPF Table Name
                ''',
                'default_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-mtr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS MTR configured?
                ''',
                'is_isis_mtr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS TE configured?
                ''',
                'is_isis_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mbgp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MBGP configured?
                ''',
                'is_mbgp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Enabled ?
                ''',
                'is_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-interface-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Interface Hash Extension Enabled ?
                ''',
                'is_multipath_interface_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source based Hash Enabled ?
                ''',
                'is_multipath_source_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-next-hop-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source-Nexthop Hash Enabled ?
                ''',
                'is_multipath_source_next_hop_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ospf-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is OSPF TE configured?
                ''',
                'is_ospf_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR configured?
                ''',
                'mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence time left in seconds
                ''',
                'rib_convergence_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence timeout in seconds
                ''',
                'rib_convergence_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR RIB configured?
                ''',
                'rib_mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RUMP MuRIB enabled?
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Interfaces.Interface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Interfaces.Interface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Interfaces.Interface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Interfaces.Interface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Interfaces.Interface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Interfaces.Interface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Interfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Interfaces.Interface', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NetIoTunnels' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NetIoTunnels',
            False, 
            [
            _MetaInfoClassMember('net-io-tunnel', REFERENCE_LIST, 'NetIoTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel', 
                [], [], 
                '''                PIM netio tunnel information
                ''',
                'net_io_tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BidirDfStates.BidirDfState' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BidirDfStates.BidirDfState',
            False, 
            [
            _MetaInfoClassMember('election-state', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DF Election State
                ''',
                'election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'our_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MetricPreference
                ''',
                'our_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (nseconds)
                ''',
                'time_nano_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (seconds)
                ''',
                'time_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BidirDfStates' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BidirDfStates',
            False, 
            [
            _MetaInfoClassMember('bidir-df-state', REFERENCE_LIST, 'BidirDfState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BidirDfStates.BidirDfState', 
                [], [], 
                '''                Bidirectional PIM DF Election Table Entry
                ''',
                'bidir_df_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.ProxyAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology.ProxyAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'proxy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OrigSrcAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OrigSrcAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'orig-src-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'assert-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface',
            False, 
            [
            _MetaInfoClassMember('admin-boundary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an administrative boundary ?
                ''',
                'admin_boundary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Assert Timer in seconds
                ''',
                'assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-winner', REFERENCE_CLASS, 'AssertWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner', 
                [], [], 
                '''                Assert Winner
                ''',
                'assert_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C-Mcast join
                ''',
                'bgp_c_mcast_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-prune-delay-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C-MCAST Prune Suppression in seconds
                ''',
                'bgp_c_mcast_prune_delay_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('data-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Data MDT join
                ''',
                'data_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an Extranet Interface ?
                ''',
                'extranet_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('forwarding-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Forward or Prune
                ''',
                'forwarding_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('igmp-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGMP membership
                ''',
                'igmp_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('immediate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Immediate fwding state
                ''',
                'immediate_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('internal-interest-info', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Internal Interest
                ''',
                'internal_interest_info',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune State
                ''',
                'jp_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer (secs)
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default MDT Join
                ''',
                'local_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-members', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Local Information
                ''',
                'local_members',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Safi join
                ''',
                'mdt_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-inband-mdt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Inband MDT interface
                ''',
                'mldp_inband_mdt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OLE is stale
                ''',
                'mldp_stale',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvp-nv6-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN IPv6 Safi join
                ''',
                'mvp_nv6_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvpn-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN Safi join
                ''',
                'mvpn_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-prune', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA Prune state
                ''',
                'sa_prune',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF which physically owns
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'outgoing-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('alive', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Alive time in seconds (-1 if never)
                ''',
                'alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group matches Anycast-RP policy
                ''',
                'anycast_rp_match',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Anycast-RP RT
                ''',
                'anycast_rp_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assume-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Assume Alive Bit
                ''',
                'assume_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C JOIN
                ''',
                'bgp_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgpjp-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C JP Time
                ''',
                'bgpjp_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connected ?
                ''',
                'connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('customer-routing-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Type of Customer Routing in the MVPN
                ''',
                'customer_routing_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dont-check-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do we need to make the connected check on this
                route ?
                ''',
                'dont_check_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When this entry expires
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is a Extranet route ?
                ''',
                'extranet_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit Alive Bit
                ''',
                'inherit_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit SPT Bit
                ''',
                'inherit_spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Status
                ''',
                'jp_status',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have we throttled the creation of routes or
                interfaces ?
                ''',
                'limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR Active?
                ''',
                'mofrr_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Backup?
                ''',
                'mofrr_backup',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'mofrr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-primary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Primary?
                ''',
                'mofrr_primary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('orig-src-address', REFERENCE_CLASS, 'OrigSrcAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OrigSrcAddress', 
                [], [], 
                '''                Orig Src Address.
                ''',
                'orig_src_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outgoing-interface', REFERENCE_LIST, 'OutgoingInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('probe-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Probe Alive Bit
                ''',
                'probe_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RPF target a proxy?
                ''',
                'proxy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy-address', REFERENCE_CLASS, 'ProxyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.ProxyAddress', 
                [], [], 
                '''                RPF Proxy address.
                ''',
                'proxy_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('really-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Really Alive Bit
                ''',
                'really_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have registers been received for this source ?
                ''',
                'register_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Register Received Timer in seconds (-1 if never)
                ''',
                'register_received_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MSDP told us
                ''',
                'remote_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'rib_mo_frr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpAddress', 
                [], [], 
                '''                RP Address (If rpt)
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpfNeighbor', 
                [], [], 
                '''                RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-proxy-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is rpf if proxy enabled?
                ''',
                'rpf_proxy_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RPT bit
                ''',
                'rpt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt-xr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the RPT ?
                ''',
                'rpt_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-joined', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA join
                ''',
                'sa_joined',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA received
                ''',
                'sa_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA sent
                ''',
                'sa_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Interface Identifier
                ''',
                'secondary_rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-neighbor', REFERENCE_CLASS, 'SecondaryRpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor', 
                [], [], 
                '''                Secondary RPF Neighbor
                ''',
                'secondary_rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-null-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending null registers for this route ?
                ''',
                'sending_null_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending registers for this route ?
                ''',
                'sending_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('signal-sources', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Signal Sources on route?
                ''',
                'signal_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the SPT ?
                ''',
                'spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-registers', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                When the Null register probe expires
                ''',
                'suppress_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this VXLAN?
                ''',
                'vxlan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                WC -Wildcard
                ''',
                'wildcard',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Topologies' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies.Topology', 
                [], [], 
                '''                PIM topology information
                ''',
                'topology',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.Source' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.Source',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.Group' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.Group',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.NextHop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.NextHop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf',
            False, 
            [
            _MetaInfoClassMember('extranet-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of dependent extranet paths
                ''',
                'extranet_path_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.Group', 
                [], [], 
                '''                Group address
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('is-bgp-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SAFI learnt from BGP
                ''',
                'is_bgp_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.NextHop', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Router ID
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.Source', 
                [], [], 
                '''                Source address
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BgpAfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BgpAfs',
            False, 
            [
            _MetaInfoClassMember('bgp-af', REFERENCE_LIST, 'BgpAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf', 
                [], [], 
                '''                PIM BGP SAFI information
                ''',
                'bgp_af',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.AutoRp' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.AutoRp',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'auto-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('interface-flag', REFERENCE_ENUM_CLASS, 'PimTopologyInterfaceFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyInterfaceFlagEnum', 
                [], [], 
                '''                Interface flag
                ''',
                'interface_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-interface-flag-route-count', REFERENCE_LIST, 'TopologyInterfaceFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount', 
                [], [], 
                '''                Route count for topology with interface flag
                set
                ''',
                'topology_interface_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP Priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapSources',
            False, 
            [
            _MetaInfoClassMember('group-map-source', REFERENCE_LIST, 'GroupMapSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource', 
                [], [], 
                '''                PIM Group Mapping Entry with source information
                ''',
                'group_map_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState',
            False, 
            [
            _MetaInfoClassMember('max-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum size of queue in bytes
                ''',
                'max_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in bytes
                ''',
                'queue_size_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in number of packets
                ''',
                'queue_size_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats',
            False, 
            [
            _MetaInfoClassMember('dequeued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets dequeued from this queue
                ''',
                'dequeued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('enqueued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets enqueued to this queue
                ''',
                'enqueued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of bytes enqueued in this queue
                ''',
                'high_water_mark_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of packets enqueued in this queue
                ''',
                'high_water_mark_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tail-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number packets dropped from this queue due to
                max size
                ''',
                'tail_drops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue',
            False, 
            [
            _MetaInfoClassMember('packet-queue-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Priority of this packet queue
                ''',
                'packet_queue_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-state', REFERENCE_CLASS, 'PacketQueueState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState', 
                [], [], 
                '''                State of the queue
                ''',
                'packet_queue_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-stats', REFERENCE_CLASS, 'PacketQueueStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats', 
                [], [], 
                '''                Statistics about the queue
                ''',
                'packet_queue_stats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('boundary-acl-rx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inc. JP dropped since boundary ACL confg
                ''',
                'boundary_acl_rx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('boundary-acl-tx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out JP dropped since boundary ACL confg
                ''',
                'boundary_acl_tx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('checksum-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters in seconds
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('format-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets in
                ''',
                'input_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets in
                ''',
                'input_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Ecmp Redirect
                ''',
                'input_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-idb-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No IDB for intf error
                ''',
                'input_no_idb_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-pim-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Disabled on intf error
                ''',
                'input_no_pim_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-vrf-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No VRF for idb error
                ''',
                'input_no_vrf_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets in
                ''',
                'input_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-pim-version-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid PIM version error
                ''',
                'input_pim_version_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'inputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-destination-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Control Packets with Invalid Destination
                ''',
                'invalid_destination_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-join-prunes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid Join/Prunes received
                ''',
                'invalid_join_prunes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-registers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid registers received
                ''',
                'invalid_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-local-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to local source
                addr
                ''',
                'mdt_drop_local_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to idb missing
                ''',
                'mdt_drop_no_idb',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-vrf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to vrf missing
                ''',
                'mdt_drop_no_vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-null-local-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to null local
                addr
                ''',
                'mdt_drop_null_local_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-bad-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT TLV bad type
                ''',
                'mdt_join_bad_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs received
                ''',
                'mdt_join_tlv_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs sent
                ''',
                'mdt_join_tlv_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-joins-drop-multiple-encapsulation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Join msgs dropped due to multiple Encap
                limitation
                ''',
                'mdt_joins_drop_multiple_encapsulation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since mdt send queue was full
                ''',
                'mdt_send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Socket errors
                ''',
                'mdt_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-invalid-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Invalid LSM ID
                ''',
                'mldp_mdt_invalid_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-mdt-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no mdt socket connection
                ''',
                'no_mdt_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no source address
                ''',
                'no_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-supported-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM non supported pckets
                ''',
                'non_supported_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets out
                ''',
                'output_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets out
                ''',
                'output_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Ecmp Redirect
                ''',
                'output_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Hello Bytes
                ''',
                'output_hello_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Join Groups
                ''',
                'output_join_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-prune-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output JP Bytes
                ''',
                'output_join_prune_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-loop-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output on loopback error
                ''',
                'output_loop_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets out
                ''',
                'output_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-prune-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Prune Groups
                ''',
                'output_prune_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'outputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-dequeued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dequeued per priority Deprecated by
                PacketQueue
                ''',
                'packet_dequeued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-enqueued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Enqueued per priority Deprecated by
                PacketQueue
                ''',
                'packet_enqueued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-packman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Pakman Error
                ''',
                'packet_packman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue', REFERENCE_LIST, 'PacketQueue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue', 
                [], [], 
                '''                Packet queue state and statistics
                ''',
                'packet_queue',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-last-clear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last clear of all
                packet queues stats
                ''',
                'packet_queue_last_clear',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-length', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Length per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-size', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Size per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-read-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Read Socket Error
                ''',
                'packet_read_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-tail-drop', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Tail Drop per priority Deprecated by
                PacketQueue
                ''',
                'packet_tail_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packets-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Standby Error
                ''',
                'packets_standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pakman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pakman packets dropped
                ''',
                'pakman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since send queue was full
                ''',
                'send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors
                ''',
                'socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby-packets-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received in standby state
                ''',
                'standby_packets_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('truncated-pim-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to truncated Joins or Prunes
                ''',
                'truncated_pim_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf',
            False, 
            [
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP priority
                ''',
                'rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-rpf', REFERENCE_LIST, 'GroupMapRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf', 
                [], [], 
                '''                PIM group mapping entry
                ''',
                'group_map_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Summary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Gre.GreHashes.GreHash' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Gre.GreHashes.GreHash',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('ifname', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Tunnel Interface
                ''',
                'ifname',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hash',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Gre.GreHashes' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Gre.GreHashes',
            False, 
            [
            _MetaInfoClassMember('gre-hash', REFERENCE_LIST, 'GreHash' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Gre.GreHashes.GreHash', 
                [], [], 
                '''                PIM GRE Hashed Underlying Interface
                ''',
                'gre_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hashes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath',
            False, 
            [
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Interface
                ''',
                'gre_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-neighbor', REFERENCE_CLASS, 'GreNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor', 
                [], [], 
                '''                GRE neighbor
                ''',
                'gre_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hop', REFERENCE_CLASS, 'GreNextHop_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_', 
                [], [], 
                '''                GRE nexthop
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gre-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the gre interface disabled ?
                ''',
                'is_gre_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                GRE destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('gre-path', REFERENCE_LIST, 'GrePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath', 
                [], [], 
                '''                GRE Paths list
                ''',
                'gre_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address', REFERENCE_CLASS, 'RegisteredAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops',
            False, 
            [
            _MetaInfoClassMember('gre-next-hop', REFERENCE_LIST, 'GreNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop', 
                [], [], 
                '''                PIM GRE address next-hop information
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hops',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Gre' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Gre',
            False, 
            [
            _MetaInfoClassMember('gre-hashes', REFERENCE_CLASS, 'GreHashes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Gre.GreHashes', 
                [], [], 
                '''                GRE hash
                ''',
                'gre_hashes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hops', REFERENCE_CLASS, 'GreNextHops' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops', 
                [], [], 
                '''                GRE destination neighbor table
                ''',
                'gre_next_hops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner',
            False, 
            [
            _MetaInfoClassMember('are-we-df', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we DF
                ''',
                'are_we_df',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('df-winner', REFERENCE_CLASS, 'DfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner', 
                [], [], 
                '''                DF Winner
                ''',
                'df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-lan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the RP LAN
                ''',
                'rp_lan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.BidirDfWinners' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.BidirDfWinners',
            False, 
            [
            _MetaInfoClassMember('bidir-df-winner', REFERENCE_LIST, 'BidirDfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner', 
                [], [], 
                '''                Bidirectional PIM DF election table entry
                ''',
                'bidir_df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winners',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TableContexts.TableContext' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TableContexts.TableContext',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TableContexts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TableContexts',
            False, 
            [
            _MetaInfoClassMember('table-context', REFERENCE_LIST, 'TableContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TableContexts.TableContext', 
                [], [], 
                '''                PIM table context information
                ''',
                'table_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-contexts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NeighborSummaries.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NeighborSummaries.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('number-of-external-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of external neighbors
                ''',
                'number_of_external_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('number-of-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of neighbors
                ''',
                'number_of_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.NeighborSummaries' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.NeighborSummaries',
            False, 
            [
            _MetaInfoClassMember('neighbor-summary', REFERENCE_LIST, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NeighborSummaries.NeighborSummary', 
                [], [], 
                '''                PIM neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Context.RemoteDefaultGroup' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Context.RemoteDefaultGroup',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'remote-default-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Context.RpfDefaultTable' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Context.RpfDefaultTable',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-default-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Context.ExportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Context.ExportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'export-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Context.ImportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Context.ImportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'import-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Context.AnycastRpRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Context.AnycastRpRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Context.AnycastRpRange' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Context.AnycastRpRange',
            False, 
            [
            _MetaInfoClassMember('ancast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Range marked
                ''',
                'ancast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Context.AnycastRpRange.Prefix', 
                [], [], 
                '''                Anycast-RP Range Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Anycast-RP Range Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'anycast-rp-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Context' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Context',
            False, 
            [
            _MetaInfoClassMember('active-table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active Tables
                ''',
                'active_table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow RP Configured
                ''',
                'allow_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-group-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP Group-List ACL Name
                ''',
                'allow_rp_group_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-rp-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP RP-list ACL Name
                ''',
                'allow_rp_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP config
                ''',
                'anycast_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Anycast-RP Policy Name
                ''',
                'anycast_rp_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-range', REFERENCE_LIST, 'AnycastRpRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Context.AnycastRpRange', 
                [], [], 
                '''                Anycast-RP Ranges
                ''',
                'anycast_rp_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto-Discovery configured
                ''',
                'bgp_auto_discovery_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Auto Discovery Type
                ''',
                'bgp_auto_discovery_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-i-pmsi-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP I-PMSI Added
                ''',
                'bgp_i_pmsi_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BGP remote interface address
                ''',
                'bgp_remote_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BGP remote interface handle
                ''',
                'bgp_remote_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP remote interface name
                ''',
                'bgp_remote_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP remote interface status
                ''',
                'bgp_remote_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP remote interface state
                ''',
                'bgp_remote_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-source-active-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send BGP Source-Active Announcements
                ''',
                'bgp_source_active_announce',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('export-route-target', REFERENCE_LIST, 'ExportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Context.ExportRouteTarget', 
                [], [], 
                '''                Export Route Targets
                ''',
                'export_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'gin_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'gin_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'gin_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'gin_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'gin_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'gin_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('import-route-target', REFERENCE_LIST, 'ImportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Context.ImportRouteTarget', 
                [], [], 
                '''                Import Route Targets
                ''',
                'import_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'in_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'in_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'in_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'in_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'in_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'in_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-local-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Local enabled
                ''',
                'in_band_signaling_local_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-remote-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Remote enabled
                ''',
                'in_band_signaling_remote_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inter-autonomous-system-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inter-AS Enabled
                ''',
                'inter_autonomous_system_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR MDT max aggregation
                ''',
                'ir_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Announce interval
                ''',
                'ir_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Switchover interval
                ''',
                'ir_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IRMDT handle
                ''',
                'ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IRMDT MTU
                ''',
                'ir_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IR MDT Name
                ''',
                'ir_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR RPF-ID
                ''',
                'ir_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-tail-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Tail Label
                ''',
                'ir_mdt_tail_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active-ital', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active ITAL
                ''',
                'is_active_ital',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-all-interface-disable-operation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM all interface disable operation
                ''',
                'is_all_interface_disable_operation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP Listen Enabled
                ''',
                'is_auto_rp_listen_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-sock-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP listen sock add
                ''',
                'is_auto_rp_listen_sock_add',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-gin-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-in-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-ir-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create IR MDT interface
                ''',
                'is_create_ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MDT interface
                ''',
                'is_create_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mldp-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MLDP MDT interface
                ''',
                'is_create_mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-rsvp-te-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create RSVP-TE MDT interface
                ''',
                'is_create_rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-default-granges', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default granges
                ''',
                'is_default_granges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gin-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_gin_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-in-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_in_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ir-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IR MDT Owner
                ''',
                'is_ir_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Socket
                ''',
                'is_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Socket
                ''',
                'is_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-m-host-publish-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Publish pending for MHost Default interface
                ''',
                'is_m_host_publish_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Owner
                ''',
                'is_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mldp-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP MDT Owner
                ''',
                'is_mldp_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mrib-register', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MRIB Register
                ''',
                'is_mrib_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mcast RIB Registration
                ''',
                'is_multicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converge-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converge received
                ''',
                'is_pim_nsf_rib_converge_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converged
                ''',
                'is_pim_nsf_rib_converged',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-redistribution-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pending redist reset
                ''',
                'is_redistribution_reset',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Register Injection Socket
                ''',
                'is_register_injection_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Register Injection Socket
                ''',
                'is_register_injection_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multiplath enabled
                ''',
                'is_rib_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-interface-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath interface hash
                ''',
                'is_rib_multipath_interface_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source based hash
                ''',
                'is_rib_multipath_source_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-next-hop-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source-nexthop hash
                ''',
                'is_rib_multipath_source_next_hop_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Routing Enabled
                ''',
                'is_routing_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rsvp-te-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Owner
                ''',
                'is_rsvp_te_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Socket
                ''',
                'is_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Socket
                ''',
                'is_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bound on UDP Socket
                ''',
                'is_udp_socket_bind',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bind required on UDP Socket
                ''',
                'is_udp_socket_bind_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-unicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ucast RIB Registration
                ''',
                'is_unicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT max aggregation
                ''',
                'maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Announce interval
                ''',
                'mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Switchover interval
                ''',
                'mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-default-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MDT Default group
                ''',
                'mdt_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT Remote RPF Identifier
                ''',
                'mdt_gre_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT RPF Identifier
                ''',
                'mdt_gre_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MDT handle
                ''',
                'mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT MTU
                ''',
                'mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MDT Neighbor Filter Name
                ''',
                'mdt_neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-ir-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned IR MDT Control Identifier
                ''',
                'mdt_partitioned_ir_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-mdt-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Control Identifier
                ''',
                'mdt_partitioned_mdt_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-default-interface-config', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured Mhost Defint
                ''',
                'mhost_default_interface_config',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MHost handle
                ''',
                'mhost_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-announce-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Announce Control tree added
                ''',
                'mldp_auto_rp_announce_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-discovery-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Discovery Control tree added
                ''',
                'mldp_auto_rp_discovery_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-bsr-control-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP BSR Control tree added
                ''',
                'mldp_bsr_control_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-control-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MVPN Identifier
                ''',
                'mldp_control_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head local label
                ''',
                'mldp_head_local_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Head LSM-ID
                ''',
                'mldp_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT max aggregation
                ''',
                'mldp_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Announce interval
                ''',
                'mldp_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Switchover interval
                ''',
                'mldp_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MLDP MDT handle
                ''',
                'mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT MTU
                ''',
                'mldp_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MLDP MDT Name
                ''',
                'mldp_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote RPF-ID
                ''',
                'mldp_mdt_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP RPF-ID
                ''',
                'mldp_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partioned-mp2m-ptree', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP2MP Partitioned MDT tree
                ''',
                'mldp_partioned_mp2m_ptree',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head LSM-ID
                ''',
                'mldp_partitioned_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Partitioned MDT
                ''',
                'mldp_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Partitioned MDT Identifier
                ''',
                'mldp_partitioned_mdt_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote Head LSM-ID
                ''',
                'mldp_remote_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Remote Partitioned MDT
                ''',
                'mldp_remote_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-address', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root addresses
                ''',
                'mldp_root_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root count
                ''',
                'mldp_root_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('murib-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MURIB ID
                ''',
                'murib_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-default-vrf-count-on-socket', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of non-default vrfs on raw socket
                ''',
                'non_default_vrf_count_on_socket',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('organization-unique-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OUI for VPN-ID
                ''',
                'organization_unique_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('p2mpte-li-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route LI updates dropped for P2MP
                ''',
                'p2mpte_li_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redistribution-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redist reset count
                ''',
                'redistribution_reset_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-default-group', REFERENCE_CLASS, 'RemoteDefaultGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Context.RemoteDefaultGroup', 
                [], [], 
                '''                Remote Default Group
                ''',
                'remote_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Table ID
                ''',
                'remote_table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                RD value
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-default-table', REFERENCE_CLASS, 'RpfDefaultTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Context.RpfDefaultTable', 
                [], [], 
                '''                RPF Default Table
                ''',
                'rpf_default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF ID
                ''',
                'rpf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF topology selection route-policy name
                ''',
                'rpf_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE MDT max aggregation
                ''',
                'rsvp_te_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Announce interval
                ''',
                'rsvp_te_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Switchover interval
                ''',
                'rsvp_te_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RSVP-TEMDT handle
                ''',
                'rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TEMDT MTU
                ''',
                'rsvp_te_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Name
                ''',
                'rsvp_te_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE RPF-ID
                ''',
                'rsvp_te_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-static-p2mp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Static P2MP-TE MDT
                ''',
                'rsvp_te_mdt_static_p2mp_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM is using MuRIB
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S,G Expiry Time Configured, in seconds
                ''',
                'sg_expiry_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S,G Expiry Timer Configured
                ''',
                'sg_expiry_timer_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-sg-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                S,G expiry timer ACL name
                ''',
                'sg_expiry_timer_sg_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('stale-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is stale
                ''',
                'stale_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-pim-data-mdt-tlv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress PIM Data-MDT TLV Announcements
                ''',
                'suppress_pim_data_mdt_tlv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-shared-tree-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress Shared-Tree Joins
                ''',
                'suppress_shared_tree_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of configured Tables
                ''',
                'table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('umh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Join UMH Core-Tree
                ''',
                'umh',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('valid-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is valid
                ''',
                'valid_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vpn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Index
                ''',
                'vpn_index',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('entry-flag', REFERENCE_ENUM_CLASS, 'PimTopologyEntryFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyEntryFlagEnum', 
                [], [], 
                '''                entry flag
                ''',
                'entry_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-entry-flag-route-count', REFERENCE_LIST, 'TopologyEntryFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface',
            False, 
            [
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-outgoing-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is outgoing Interface
                ''',
                'is_outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF Interface
                ''',
                'is_rpf_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-snoop-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is snooping Interface
                ''',
                'is_snoop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-address', REFERENCE_CLASS, 'RpfAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress', 
                [], [], 
                '''                RPF Address
                ''',
                'rpf_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth in Kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr', 
                [], [], 
                '''                Group ddress
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases',
            False, 
            [
            _MetaInfoClassMember('redirect-route-database', REFERENCE_LIST, 'RedirectRouteDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase', 
                [], [], 
                '''                PIM ECMP RPF-redirect route information
                ''',
                'redirect_route_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth allocated in Kbps
                ''',
                'allocated_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allocated-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Configured threshold in Kbps
                ''',
                'allocated_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth available in Kbps
                ''',
                'available_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Available threshold in Kbps
                ''',
                'available_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Bundle name
                ''',
                'bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Bundle interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect bundle name
                ''',
                'rpf_redirect_bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-interface-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect interface name
                ''',
                'rpf_redirect_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('snooping-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by snooped entries in Kbps
                ''',
                'snooping_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by topology in Kbps
                ''',
                'topology_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('total-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Total bandwidth used in Kbps
                ''',
                'total_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces',
            False, 
            [
            _MetaInfoClassMember('bundle-interface', REFERENCE_LIST, 'BundleInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle interface
                information
                ''',
                'bundle_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.RpfRedirect' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.RpfRedirect',
            False, 
            [
            _MetaInfoClassMember('bundle-interfaces', REFERENCE_CLASS, 'BundleInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle information
                ''',
                'bundle_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redirect-route-databases', REFERENCE_CLASS, 'RedirectRouteDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases', 
                [], [], 
                '''                PIM ECMP RPF-redirect route database
                ''',
                'redirect_route_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Tunnels' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Tunnels',
            False, 
            [
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel', 
                [], [], 
                '''                PIM tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSM flag
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop', 
                [], [], 
                '''                Next Hop
                ''',
                'nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes',
            False, 
            [
            _MetaInfoClassMember('multicast-static-route', REFERENCE_LIST, 'MulticastStaticRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'multicast_static_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources',
            False, 
            [
            _MetaInfoClassMember('group-map-match-source', REFERENCE_LIST, 'GroupMapMatchSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource', 
                [], [], 
                '''                PIM group-matching mapping entry with source
                information
                ''',
                'group_map_match_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Neighbors.Neighbor.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Neighbors.Neighbor.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Neighbors.Neighbor.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext.Neighbors' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Neighbors.Neighbor', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.DefaultContext' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.DefaultContext',
            False, 
            [
            _MetaInfoClassMember('auto-rp', REFERENCE_CLASS, 'AutoRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.AutoRp', 
                [], [], 
                '''                PIM Auto-RP information
                ''',
                'auto_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-afs', REFERENCE_CLASS, 'BgpAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BgpAfs', 
                [], [], 
                '''                PIM BGP SAFI table
                ''',
                'bgp_afs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-states', REFERENCE_CLASS, 'BidirDfStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BidirDfStates', 
                [], [], 
                '''                Bidirectional PIM DF election state table
                ''',
                'bidir_df_states',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-winners', REFERENCE_CLASS, 'BidirDfWinners' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.BidirDfWinners', 
                [], [], 
                '''                Bidirectional PIM DF election winner table
                ''',
                'bidir_df_winners',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Bsr', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Context', 
                [], [], 
                '''                PIM context information
                ''',
                'context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-interfaces', REFERENCE_CLASS, 'GlobalInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GlobalInterfaces', 
                [], [], 
                '''                PIM global interface table
                ''',
                'global_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Gre', 
                [], [], 
                '''                GRE information
                ''',
                'gre',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-rpfs', REFERENCE_CLASS, 'GroupMapMatchRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs', 
                [], [], 
                '''                Find matching group-mapping for the specified
                group address
                ''',
                'group_map_match_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-sources', REFERENCE_CLASS, 'GroupMapMatchSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources', 
                [], [], 
                '''                Find the matching group-mapping with source
                information on specified group address
                ''',
                'group_map_match_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-rpfs', REFERENCE_CLASS, 'GroupMapRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapRpfs', 
                [], [], 
                '''                PIM group mapping information
                ''',
                'group_map_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-sources', REFERENCE_CLASS, 'GroupMapSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.GroupMapSources', 
                [], [], 
                '''                PIM group-mapping with source information
                ''',
                'group_map_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.IfrsInterfaces', 
                [], [], 
                '''                PIM interfaces in forward reference store table
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-summary', REFERENCE_CLASS, 'IfrsSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.IfrsSummary', 
                [], [], 
                '''                PIM interfaces in forward reference store
                summary
                ''',
                'ifrs_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats', 
                [], [], 
                '''                PIM interfaces in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-statistics', REFERENCE_CLASS, 'InterfaceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.InterfaceStatistics', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Interfaces', 
                [], [], 
                '''                PIM interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-statistics', REFERENCE_CLASS, 'JpStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.JpStatistics', 
                [], [], 
                '''                PIM join prune statistics table
                ''',
                'jp_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mib-databases', REFERENCE_CLASS, 'MibDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.MibDatabases', 
                [], [], 
                '''                PIM group database for mroute mibs table
                ''',
                'mib_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('multicast-static-routes', REFERENCE_CLASS, 'MulticastStaticRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes', 
                [], [], 
                '''                PIM multicast static route table
                ''',
                'multicast_static_routes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-old-formats', REFERENCE_CLASS, 'NeighborOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NeighborOldFormats', 
                [], [], 
                '''                PIM neighbor table old format
                ''',
                'neighbor_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-summaries', REFERENCE_CLASS, 'NeighborSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NeighborSummaries', 
                [], [], 
                '''                PIM neighbor summary table
                ''',
                'neighbor_summaries',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Neighbors', 
                [], [], 
                '''                PIM neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('net-io-tunnels', REFERENCE_CLASS, 'NetIoTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.NetIoTunnels', 
                [], [], 
                '''                Tunnel information that NETIO has 
                ''',
                'net_io_tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Ranges', 
                [], [], 
                '''                PIM range list information
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy', REFERENCE_CLASS, 'RoutePolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RoutePolicy', 
                [], [], 
                '''                PIM route policy
                ''',
                'route_policy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect', REFERENCE_CLASS, 'RpfRedirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RpfRedirect', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle
                ''',
                'rpf_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-summary', REFERENCE_CLASS, 'RpfSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.RpfSummary', 
                [], [], 
                '''                PIM RPF registration summary
                ''',
                'rpf_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safs', REFERENCE_CLASS, 'Safs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Safs', 
                [], [], 
                '''                SAFI table and type
                ''',
                'safs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Summary', 
                [], [], 
                '''                PIM summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-contexts', REFERENCE_CLASS, 'TableContexts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TableContexts', 
                [], [], 
                '''                PIM table context list
                ''',
                'table_contexts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Topologies', 
                [], [], 
                '''                PIM topology table
                ''',
                'topologies',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-entry-flag-route-counts', REFERENCE_CLASS, 'TopologyEntryFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-flag-route-counts', REFERENCE_CLASS, 'TopologyInterfaceFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with interface flag set
                ''',
                'topology_interface_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-route-count', REFERENCE_CLASS, 'TopologyRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TopologyRouteCount', 
                [], [], 
                '''                Topology route count information from PIM
                topology table
                ''',
                'topology_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.TrafficCounters', 
                [], [], 
                '''                PIM message traffic counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext.Tunnels', 
                [], [], 
                '''                Tunnels information that PIM has
                ''',
                'tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'default-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Process.CheckpointStatistics.CheckpointTable' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Process.CheckpointStatistics.CheckpointTable',
            False, 
            [
            _MetaInfoClassMember('is-mirrored', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table mirrored
                ''',
                'is_mirrored',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('statistic', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stats array
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table description
                ''',
                'table_description',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'checkpoint-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Process.CheckpointStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Process.CheckpointStatistics',
            False, 
            [
            _MetaInfoClassMember('checkpoint-table', REFERENCE_LIST, 'CheckpointTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Process.CheckpointStatistics.CheckpointTable', 
                [], [], 
                '''                Array of chkpt table stats
                ''',
                'checkpoint_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'checkpoint-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Process.Nsr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Process.Nsr',
            False, 
            [
            _MetaInfoClassMember('count-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times connection went down
                ''',
                'count_connection_dn',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times connection went up
                ''',
                'count_connection_up',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Not Ready notif was sent
                ''',
                'count_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Ready notif was sent
                ''',
                'count_rmf_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when connection went down
                ''',
                'last_connection_dn',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when connection went up
                ''',
                'last_connection_up',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Not-Rdy notif was sent
                ''',
                'last_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Rdy notif was sent
                ''',
                'last_rmf_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('partner-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partner process connected
                ''',
                'partner_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-notification-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RMF Notification done
                ''',
                'rmf_notification_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time for RMF timer to expire
                ''',
                'rmf_timer_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-timer-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RMF timer running ?
                ''',
                'rmf_timer_valid',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NSR state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Process.Summary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Process.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Process.Nsf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Process.Nsf',
            False, 
            [
            _MetaInfoClassMember('configured-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multicast NSF Configured
                ''',
                'configured_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last ICD Notif Recv
                ''',
                'last_icd_notif_recv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last ICD Notif Recv in Seconds
                ''',
                'last_icd_notif_recv_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-off', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time off
                ''',
                'last_nsf_off',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-off-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time OFF in Seconds
                ''',
                'last_nsf_off_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-on', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time ON
                ''',
                'last_nsf_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-on-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time ON in Seconds
                ''',
                'last_nsf_on_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we currently in NSF
                ''',
                'nsf_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF time left in seconds
                ''',
                'nsf_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF timeout in seconds
                ''',
                'nsf_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('respawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Respawn Count
                ''',
                'respawn_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('waiting-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Waiting for IGMP/MLD
                ''',
                'waiting_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('waiting-timer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Waiting for NSF timer expiry
                ''',
                'waiting_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Process.Issu' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Process.Issu',
            False, 
            [
            _MetaInfoClassMember('checkpoint-idt-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when Checkpoint IDT done
                ''',
                'checkpoint_idt_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('eoc-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when EOC was received
                ''',
                'eoc_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ihms-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when IHMS done was received
                ''',
                'ihms_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('informationvalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Information valid ?
                ''',
                'informationvalid',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-checkpoint-idt-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was Checkpoint IDT done ?
                ''',
                'is_checkpoint_idt_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-eoc-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was EOC received ?
                ''',
                'is_eoc_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ihms-done-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was IHMS done received ?
                ''',
                'is_ihms_done_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-nbr-sync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was NBR Sync achieved ?
                ''',
                'is_nbr_sync_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-sync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was RIB Sync received ?
                ''',
                'is_rib_sync_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-ha-role-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last HA role nfn was received
                ''',
                'last_ha_role_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-issu-phase-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last ISSU Phase nfn was received
                ''',
                'last_issu_phase_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-issu-role-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last ISSU role nfn was received
                ''',
                'last_issu_role_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nbr-sync-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when NBR Sync was achieved
                ''',
                'nbr_sync_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('phase-issu', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ISSU Phase
                ''',
                'phase_issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-sync-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RIB Sync was received
                ''',
                'rib_sync_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('role-ha', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                HA role
                ''',
                'role_ha',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('role-issu', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ISSU role
                ''',
                'role_issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Process' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Process',
            False, 
            [
            _MetaInfoClassMember('checkpoint-statistics', REFERENCE_CLASS, 'CheckpointStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Process.CheckpointStatistics', 
                [], [], 
                '''                Checkpoint Statistics
                ''',
                'checkpoint_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Process.Issu', 
                [], [], 
                '''                ISSU Information
                ''',
                'issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Process.Nsf', 
                [], [], 
                '''                PIM NSF information
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Process.Nsr', 
                [], [], 
                '''                NSR Information
                ''',
                'nsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Process.Summary', 
                [], [], 
                '''                PIM Global Summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                PIM IFRS interface information
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('mask-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hash mask length
                ''',
                'mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-group', REFERENCE_LIST, 'RpfHashSourceGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource',
            False, 
            [
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source', REFERENCE_LIST, 'RpfHashSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath',
            False, 
            [
            _MetaInfoClassMember('connector', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Connector Attribute
                ''',
                'connector',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the rpf interface disabled ?
                ''',
                'is_rpf_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-mlsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via Mstatic LSM
                ''',
                'is_via_mlsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF Interface
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-nexthop', REFERENCE_CLASS, 'RpfNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop', 
                [], [], 
                '''                RPF nexthop
                ''',
                'rpf_nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf',
            False, 
            [
            _MetaInfoClassMember('registered-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Address for which RPF lookup
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-bgp-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF through BGP route
                ''',
                'is_rpf_bgp_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address-xr', REFERENCE_CLASS, 'RegisteredAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_LIST, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath', 
                [], [], 
                '''                RPF Paths list
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs',
            False, 
            [
            _MetaInfoClassMember('rpf', REFERENCE_LIST, 'Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf', 
                [], [], 
                '''                PIM RPF information
                ''',
                'rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-groups', REFERENCE_CLASS, 'RpfHashSourceGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_source_groups',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-hash-sources', REFERENCE_CLASS, 'RpfHashSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpfs', REFERENCE_CLASS, 'Rpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs', 
                [], [], 
                '''                PIM RPF information table
                ''',
                'rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name 
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name 
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'saf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Safs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Safs',
            False, 
            [
            _MetaInfoClassMember('saf', REFERENCE_LIST, 'Saf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf', 
                [], [], 
                '''                SAF name 
                ''',
                'saf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'safs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Ack Messages
                ''',
                'input_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Messages
                ''',
                'input_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-miscellaneous', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Miscellaneous packet in
                ''',
                'input_miscellaneous',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets in
                ''',
                'input_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Ack Messages
                ''',
                'output_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Messages
                ''',
                'output_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets out
                ''',
                'output_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.InterfaceStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-statistic', REFERENCE_LIST, 'InterfaceStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TopologyRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TopologyRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TopologyRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TopologyRouteCount',
            False, 
            [
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TopologyRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.JpStatistics.JpStatistic' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.JpStatistics.JpStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received
                ''',
                'received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 100 average
                ''',
                'received100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 10K average
                ''',
                'received_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 1K average
                ''',
                'received_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Received100
                ''',
                'received_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmitted
                ''',
                'transmitted',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 100 average
                ''',
                'transmitted100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 10K average
                ''',
                'transmitted_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 1K average
                ''',
                'transmitted_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Transmitted100
                ''',
                'transmitted_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.JpStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.JpStatistics',
            False, 
            [
            _MetaInfoClassMember('jp-statistic', REFERENCE_LIST, 'JpStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.JpStatistics.JpStatistic', 
                [], [], 
                '''                PIM Join Prune Statistics
                ''',
                'jp_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase',
            False, 
            [
            _MetaInfoClassMember('assert-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric
                ''',
                'assert_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric Preference
                ''',
                'assert_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-rpt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Assert RPT Bit
                ''',
                'assert_rpt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidirectional-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Bidir ?
                ''',
                'bidirectional_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast satic route group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface name 
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mask of the multicast root
                ''',
                'rpf_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor', 
                [], [], 
                '''                The RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast static route source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-netmask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source mask
                ''',
                'source_netmask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SPT bit set ?
                ''',
                'spt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('upstream-assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Upstream Assert Timer
                ''',
                'upstream_assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime of route
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases',
            False, 
            [
            _MetaInfoClassMember('mib-database', REFERENCE_LIST, 'MibDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'mib_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-match-rpf', REFERENCE_LIST, 'GroupMapMatchRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf', 
                [], [], 
                '''                PIM group matching mapping entry
                ''',
                'group_map_match_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats',
            False, 
            [
            _MetaInfoClassMember('neighbor-old-format', REFERENCE_LIST, 'NeighborOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.IfrsSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.IfrsSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration counts
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange',
            False, 
            [
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client-xr', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt via
                ''',
                'client_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-range', REFERENCE_LIST, 'GroupRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange', 
                [], [], 
                '''                List of group ranges
                ''',
                'group_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.RpAddressXr', 
                [], [], 
                '''                Rendezvous point address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Ranges' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range', 
                [], [], 
                '''                PIM range list information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-prefix-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag',
            False, 
            [
            _MetaInfoClassMember('candidate-rp-address', REFERENCE_CLASS, 'CandidateRpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress', 
                [], [], 
                '''                C-RP address
                ''',
                'candidate_rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Expires
                ''',
                'candidate_rp_expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Holdtime
                ''',
                'candidate_rp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-RP Priority
                ''',
                'candidate_rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Uptime
                ''',
                'candidate_rp_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-bsr-crp-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList',
            False, 
            [
            _MetaInfoClassMember('pim-bsr-crp-bag', REFERENCE_LIST, 'PimBsrCrpBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag', 
                [], [], 
                '''                pim bsr crp bag
                ''',
                'pim_bsr_crp_bag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache',
            False, 
            [
            _MetaInfoClassMember('group-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group prefix
                ''',
                'group_prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('candidate-rp-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                C-RP count for this Prefix
                ''',
                'candidate_rp_group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-list', REFERENCE_CLASS, 'CandidateRpList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList', 
                [], [], 
                '''                C-RP list for this prefix
                ''',
                'candidate_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Group Prefix Length
                ''',
                'group_prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-xr', REFERENCE_CLASS, 'GroupPrefixXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr', 
                [], [], 
                '''                Group Prefix
                ''',
                'group_prefix_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-cache',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches',
            False, 
            [
            _MetaInfoClassMember('rp-cache', REFERENCE_LIST, 'RpCache' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache', 
                [], [], 
                '''                PIM BSR RP cache
                ''',
                'rp_cache',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-caches',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'crp-access',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp',
            False, 
            [
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Candidate-RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp', REFERENCE_CLASS, 'CandidateRp_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_', 
                [], [], 
                '''                Cand-RP Address
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-advance-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Adv Interval in seconds
                ''',
                'candidate_rp_advance_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Cand-RP Scope
                ''',
                'candidate_rp_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP uptime
                ''',
                'candidate_rp_uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-access', REFERENCE_LIST, 'CrpAccess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess', 
                [], [], 
                '''                Group Ranges Using this Cand-RP
                ''',
                'crp_access',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('crp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Holdtime
                ''',
                'crp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cand-RP Priority
                ''',
                'crp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps',
            False, 
            [
            _MetaInfoClassMember('candidate-rp', REFERENCE_LIST, 'CandidateRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp', 
                [], [], 
                '''                PIM BSR candidate RP information
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection',
            False, 
            [
            _MetaInfoClassMember('pim-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BSR information
                ''',
                'pim_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('bootstrap-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bootstrap Timeout
                ''',
                'bootstrap_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-address', REFERENCE_CLASS, 'BsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress', 
                [], [], 
                '''                BSR address
                ''',
                'bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-election-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Election State
                ''',
                'bsr_election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hash Function Mask Length
                ''',
                'bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BSR Priority
                ''',
                'bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-scope', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Scope
                ''',
                'bsr_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Uptime
                ''',
                'bsr_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-address', REFERENCE_CLASS, 'CandidateBsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress', 
                [], [], 
                '''                C-BSR address
                ''',
                'candidate_bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BSR Candidate Config Flag
                ''',
                'candidate_bsr_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Hash Func. Mask Len
                ''',
                'candidate_bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Priority
                ''',
                'candidate_bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Candidate State
                ''',
                'candidate_bsr_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-election',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections',
            False, 
            [
            _MetaInfoClassMember('bsr-election', REFERENCE_LIST, 'BsrElection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-elections',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Bsr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Bsr',
            False, 
            [
            _MetaInfoClassMember('bsr-elections', REFERENCE_CLASS, 'BsrElections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections', 
                [], [], 
                '''                PIM BSR election state
                ''',
                'bsr_elections',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rps', REFERENCE_CLASS, 'CandidateRps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps', 
                [], [], 
                '''                PIM candidate-RP
                ''',
                'candidate_rps',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-caches', REFERENCE_CLASS, 'RpCaches' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches', 
                [], [], 
                '''                PIM BSR RP cache table
                ''',
                'rp_caches',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics',
            False, 
            [
            _MetaInfoClassMember('any-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in any Table
                ''',
                'any_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in default-only Table
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF drops
                ''',
                'drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup requests
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default table selected
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ext-comm', ATTRIBUTE, 'str' , None, None, 
                [(1, 8)], [], 
                '''                Extended Community
                ''',
                'ext_comm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extended-community-rt', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Route Target
                ''',
                'extended_community_rt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table exists
                ''',
                'table_exists',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-test',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests',
            False, 
            [
            _MetaInfoClassMember('route-policy-test', REFERENCE_LIST, 'RoutePolicyTest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest', 
                [], [], 
                '''                PIM route policy test run
                ''',
                'route_policy_test',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-tests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy',
            False, 
            [
            _MetaInfoClassMember('route-policy-statistics', REFERENCE_CLASS, 'RoutePolicyStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics', 
                [], [], 
                '''                PIM route policy statistics
                ''',
                'route_policy_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy-tests', REFERENCE_CLASS, 'RoutePolicyTests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests', 
                [], [], 
                '''                PIM route policy test run table
                ''',
                'route_policy_tests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RpfSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RpfSummary',
            False, 
            [
            _MetaInfoClassMember('default-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default RPF Table SAFI
                ''',
                'default_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default RPF Table Name
                ''',
                'default_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-mtr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS MTR configured?
                ''',
                'is_isis_mtr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS TE configured?
                ''',
                'is_isis_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mbgp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MBGP configured?
                ''',
                'is_mbgp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Enabled ?
                ''',
                'is_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-interface-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Interface Hash Extension Enabled ?
                ''',
                'is_multipath_interface_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source based Hash Enabled ?
                ''',
                'is_multipath_source_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-next-hop-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source-Nexthop Hash Enabled ?
                ''',
                'is_multipath_source_next_hop_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ospf-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is OSPF TE configured?
                ''',
                'is_ospf_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR configured?
                ''',
                'mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence time left in seconds
                ''',
                'rib_convergence_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence timeout in seconds
                ''',
                'rib_convergence_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR RIB configured?
                ''',
                'rib_mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RUMP MuRIB enabled?
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Interfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels',
            False, 
            [
            _MetaInfoClassMember('net-io-tunnel', REFERENCE_LIST, 'NetIoTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel', 
                [], [], 
                '''                PIM netio tunnel information
                ''',
                'net_io_tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState',
            False, 
            [
            _MetaInfoClassMember('election-state', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DF Election State
                ''',
                'election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'our_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MetricPreference
                ''',
                'our_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (nseconds)
                ''',
                'time_nano_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (seconds)
                ''',
                'time_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates',
            False, 
            [
            _MetaInfoClassMember('bidir-df-state', REFERENCE_LIST, 'BidirDfState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState', 
                [], [], 
                '''                Bidirectional PIM DF Election Table Entry
                ''',
                'bidir_df_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.ProxyAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.ProxyAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'proxy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'orig-src-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'assert-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface',
            False, 
            [
            _MetaInfoClassMember('admin-boundary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an administrative boundary ?
                ''',
                'admin_boundary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Assert Timer in seconds
                ''',
                'assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-winner', REFERENCE_CLASS, 'AssertWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner', 
                [], [], 
                '''                Assert Winner
                ''',
                'assert_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C-Mcast join
                ''',
                'bgp_c_mcast_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-prune-delay-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C-MCAST Prune Suppression in seconds
                ''',
                'bgp_c_mcast_prune_delay_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('data-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Data MDT join
                ''',
                'data_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an Extranet Interface ?
                ''',
                'extranet_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('forwarding-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Forward or Prune
                ''',
                'forwarding_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('igmp-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGMP membership
                ''',
                'igmp_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('immediate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Immediate fwding state
                ''',
                'immediate_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('internal-interest-info', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Internal Interest
                ''',
                'internal_interest_info',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune State
                ''',
                'jp_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer (secs)
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default MDT Join
                ''',
                'local_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-members', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Local Information
                ''',
                'local_members',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Safi join
                ''',
                'mdt_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-inband-mdt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Inband MDT interface
                ''',
                'mldp_inband_mdt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OLE is stale
                ''',
                'mldp_stale',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvp-nv6-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN IPv6 Safi join
                ''',
                'mvp_nv6_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvpn-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN Safi join
                ''',
                'mvpn_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-prune', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA Prune state
                ''',
                'sa_prune',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF which physically owns
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'outgoing-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('alive', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Alive time in seconds (-1 if never)
                ''',
                'alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group matches Anycast-RP policy
                ''',
                'anycast_rp_match',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Anycast-RP RT
                ''',
                'anycast_rp_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assume-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Assume Alive Bit
                ''',
                'assume_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C JOIN
                ''',
                'bgp_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgpjp-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C JP Time
                ''',
                'bgpjp_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connected ?
                ''',
                'connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('customer-routing-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Type of Customer Routing in the MVPN
                ''',
                'customer_routing_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dont-check-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do we need to make the connected check on this
                route ?
                ''',
                'dont_check_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When this entry expires
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is a Extranet route ?
                ''',
                'extranet_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit Alive Bit
                ''',
                'inherit_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit SPT Bit
                ''',
                'inherit_spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Status
                ''',
                'jp_status',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have we throttled the creation of routes or
                interfaces ?
                ''',
                'limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR Active?
                ''',
                'mofrr_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Backup?
                ''',
                'mofrr_backup',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'mofrr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-primary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Primary?
                ''',
                'mofrr_primary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('orig-src-address', REFERENCE_CLASS, 'OrigSrcAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress', 
                [], [], 
                '''                Orig Src Address.
                ''',
                'orig_src_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outgoing-interface', REFERENCE_LIST, 'OutgoingInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('probe-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Probe Alive Bit
                ''',
                'probe_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RPF target a proxy?
                ''',
                'proxy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy-address', REFERENCE_CLASS, 'ProxyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.ProxyAddress', 
                [], [], 
                '''                RPF Proxy address.
                ''',
                'proxy_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('really-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Really Alive Bit
                ''',
                'really_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have registers been received for this source ?
                ''',
                'register_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Register Received Timer in seconds (-1 if never)
                ''',
                'register_received_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MSDP told us
                ''',
                'remote_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'rib_mo_frr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpAddress', 
                [], [], 
                '''                RP Address (If rpt)
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfNeighbor', 
                [], [], 
                '''                RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-proxy-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is rpf if proxy enabled?
                ''',
                'rpf_proxy_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RPT bit
                ''',
                'rpt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt-xr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the RPT ?
                ''',
                'rpt_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-joined', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA join
                ''',
                'sa_joined',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA received
                ''',
                'sa_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA sent
                ''',
                'sa_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Interface Identifier
                ''',
                'secondary_rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-neighbor', REFERENCE_CLASS, 'SecondaryRpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor', 
                [], [], 
                '''                Secondary RPF Neighbor
                ''',
                'secondary_rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-null-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending null registers for this route ?
                ''',
                'sending_null_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending registers for this route ?
                ''',
                'sending_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('signal-sources', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Signal Sources on route?
                ''',
                'signal_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the SPT ?
                ''',
                'spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-registers', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                When the Null register probe expires
                ''',
                'suppress_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this VXLAN?
                ''',
                'vxlan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                WC -Wildcard
                ''',
                'wildcard',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Topologies' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology', 
                [], [], 
                '''                PIM topology information
                ''',
                'topology',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Source' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Source',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Group' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Group',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.NextHop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.NextHop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf',
            False, 
            [
            _MetaInfoClassMember('extranet-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of dependent extranet paths
                ''',
                'extranet_path_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Group', 
                [], [], 
                '''                Group address
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('is-bgp-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SAFI learnt from BGP
                ''',
                'is_bgp_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.NextHop', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Router ID
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Source', 
                [], [], 
                '''                Source address
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs',
            False, 
            [
            _MetaInfoClassMember('bgp-af', REFERENCE_LIST, 'BgpAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf', 
                [], [], 
                '''                PIM BGP SAFI information
                ''',
                'bgp_af',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.AutoRp' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.AutoRp',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'auto-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('interface-flag', REFERENCE_ENUM_CLASS, 'PimTopologyInterfaceFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyInterfaceFlagEnum', 
                [], [], 
                '''                Interface flag
                ''',
                'interface_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-interface-flag-route-count', REFERENCE_LIST, 'TopologyInterfaceFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount', 
                [], [], 
                '''                Route count for topology with interface flag
                set
                ''',
                'topology_interface_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP Priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources',
            False, 
            [
            _MetaInfoClassMember('group-map-source', REFERENCE_LIST, 'GroupMapSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource', 
                [], [], 
                '''                PIM Group Mapping Entry with source information
                ''',
                'group_map_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState',
            False, 
            [
            _MetaInfoClassMember('max-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum size of queue in bytes
                ''',
                'max_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in bytes
                ''',
                'queue_size_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in number of packets
                ''',
                'queue_size_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats',
            False, 
            [
            _MetaInfoClassMember('dequeued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets dequeued from this queue
                ''',
                'dequeued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('enqueued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets enqueued to this queue
                ''',
                'enqueued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of bytes enqueued in this queue
                ''',
                'high_water_mark_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of packets enqueued in this queue
                ''',
                'high_water_mark_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tail-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number packets dropped from this queue due to
                max size
                ''',
                'tail_drops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue',
            False, 
            [
            _MetaInfoClassMember('packet-queue-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Priority of this packet queue
                ''',
                'packet_queue_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-state', REFERENCE_CLASS, 'PacketQueueState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState', 
                [], [], 
                '''                State of the queue
                ''',
                'packet_queue_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-stats', REFERENCE_CLASS, 'PacketQueueStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats', 
                [], [], 
                '''                Statistics about the queue
                ''',
                'packet_queue_stats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('boundary-acl-rx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inc. JP dropped since boundary ACL confg
                ''',
                'boundary_acl_rx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('boundary-acl-tx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out JP dropped since boundary ACL confg
                ''',
                'boundary_acl_tx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('checksum-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters in seconds
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('format-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets in
                ''',
                'input_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets in
                ''',
                'input_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Ecmp Redirect
                ''',
                'input_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-idb-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No IDB for intf error
                ''',
                'input_no_idb_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-pim-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Disabled on intf error
                ''',
                'input_no_pim_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-vrf-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No VRF for idb error
                ''',
                'input_no_vrf_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets in
                ''',
                'input_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-pim-version-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid PIM version error
                ''',
                'input_pim_version_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'inputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-destination-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Control Packets with Invalid Destination
                ''',
                'invalid_destination_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-join-prunes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid Join/Prunes received
                ''',
                'invalid_join_prunes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-registers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid registers received
                ''',
                'invalid_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-local-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to local source
                addr
                ''',
                'mdt_drop_local_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to idb missing
                ''',
                'mdt_drop_no_idb',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-vrf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to vrf missing
                ''',
                'mdt_drop_no_vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-null-local-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to null local
                addr
                ''',
                'mdt_drop_null_local_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-bad-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT TLV bad type
                ''',
                'mdt_join_bad_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs received
                ''',
                'mdt_join_tlv_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs sent
                ''',
                'mdt_join_tlv_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-joins-drop-multiple-encapsulation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Join msgs dropped due to multiple Encap
                limitation
                ''',
                'mdt_joins_drop_multiple_encapsulation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since mdt send queue was full
                ''',
                'mdt_send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Socket errors
                ''',
                'mdt_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-invalid-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Invalid LSM ID
                ''',
                'mldp_mdt_invalid_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-mdt-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no mdt socket connection
                ''',
                'no_mdt_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no source address
                ''',
                'no_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-supported-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM non supported pckets
                ''',
                'non_supported_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets out
                ''',
                'output_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets out
                ''',
                'output_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Ecmp Redirect
                ''',
                'output_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Hello Bytes
                ''',
                'output_hello_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Join Groups
                ''',
                'output_join_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-prune-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output JP Bytes
                ''',
                'output_join_prune_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-loop-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output on loopback error
                ''',
                'output_loop_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets out
                ''',
                'output_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-prune-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Prune Groups
                ''',
                'output_prune_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'outputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-dequeued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dequeued per priority Deprecated by
                PacketQueue
                ''',
                'packet_dequeued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-enqueued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Enqueued per priority Deprecated by
                PacketQueue
                ''',
                'packet_enqueued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-packman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Pakman Error
                ''',
                'packet_packman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue', REFERENCE_LIST, 'PacketQueue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue', 
                [], [], 
                '''                Packet queue state and statistics
                ''',
                'packet_queue',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-last-clear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last clear of all
                packet queues stats
                ''',
                'packet_queue_last_clear',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-length', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Length per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-size', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Size per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-read-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Read Socket Error
                ''',
                'packet_read_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-tail-drop', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Tail Drop per priority Deprecated by
                PacketQueue
                ''',
                'packet_tail_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packets-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Standby Error
                ''',
                'packets_standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pakman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pakman packets dropped
                ''',
                'pakman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since send queue was full
                ''',
                'send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors
                ''',
                'socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby-packets-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received in standby state
                ''',
                'standby_packets_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('truncated-pim-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to truncated Joins or Prunes
                ''',
                'truncated_pim_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf',
            False, 
            [
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP priority
                ''',
                'rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-rpf', REFERENCE_LIST, 'GroupMapRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf', 
                [], [], 
                '''                PIM group mapping entry
                ''',
                'group_map_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Summary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreHashes.GreHash' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreHashes.GreHash',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('ifname', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Tunnel Interface
                ''',
                'ifname',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hash',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreHashes' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreHashes',
            False, 
            [
            _MetaInfoClassMember('gre-hash', REFERENCE_LIST, 'GreHash' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreHashes.GreHash', 
                [], [], 
                '''                PIM GRE Hashed Underlying Interface
                ''',
                'gre_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hashes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath',
            False, 
            [
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Interface
                ''',
                'gre_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-neighbor', REFERENCE_CLASS, 'GreNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor', 
                [], [], 
                '''                GRE neighbor
                ''',
                'gre_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hop', REFERENCE_CLASS, 'GreNextHop_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_', 
                [], [], 
                '''                GRE nexthop
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gre-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the gre interface disabled ?
                ''',
                'is_gre_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                GRE destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('gre-path', REFERENCE_LIST, 'GrePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath', 
                [], [], 
                '''                GRE Paths list
                ''',
                'gre_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address', REFERENCE_CLASS, 'RegisteredAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops',
            False, 
            [
            _MetaInfoClassMember('gre-next-hop', REFERENCE_LIST, 'GreNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop', 
                [], [], 
                '''                PIM GRE address next-hop information
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hops',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Gre' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Gre',
            False, 
            [
            _MetaInfoClassMember('gre-hashes', REFERENCE_CLASS, 'GreHashes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreHashes', 
                [], [], 
                '''                GRE hash
                ''',
                'gre_hashes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hops', REFERENCE_CLASS, 'GreNextHops' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops', 
                [], [], 
                '''                GRE destination neighbor table
                ''',
                'gre_next_hops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner',
            False, 
            [
            _MetaInfoClassMember('are-we-df', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we DF
                ''',
                'are_we_df',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('df-winner', REFERENCE_CLASS, 'DfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner', 
                [], [], 
                '''                DF Winner
                ''',
                'df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-lan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the RP LAN
                ''',
                'rp_lan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners',
            False, 
            [
            _MetaInfoClassMember('bidir-df-winner', REFERENCE_LIST, 'BidirDfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner', 
                [], [], 
                '''                Bidirectional PIM DF election table entry
                ''',
                'bidir_df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winners',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TableContexts.TableContext' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TableContexts.TableContext',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TableContexts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TableContexts',
            False, 
            [
            _MetaInfoClassMember('table-context', REFERENCE_LIST, 'TableContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TableContexts.TableContext', 
                [], [], 
                '''                PIM table context information
                ''',
                'table_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-contexts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NeighborSummaries.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NeighborSummaries.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('number-of-external-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of external neighbors
                ''',
                'number_of_external_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('number-of-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of neighbors
                ''',
                'number_of_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.NeighborSummaries' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.NeighborSummaries',
            False, 
            [
            _MetaInfoClassMember('neighbor-summary', REFERENCE_LIST, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NeighborSummaries.NeighborSummary', 
                [], [], 
                '''                PIM neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Context.RemoteDefaultGroup' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Context.RemoteDefaultGroup',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'remote-default-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Context.RpfDefaultTable' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Context.RpfDefaultTable',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-default-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Context.ExportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Context.ExportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'export-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Context.ImportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Context.ImportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'import-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange',
            False, 
            [
            _MetaInfoClassMember('ancast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Range marked
                ''',
                'ancast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange.Prefix', 
                [], [], 
                '''                Anycast-RP Range Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Anycast-RP Range Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'anycast-rp-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Context' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Context',
            False, 
            [
            _MetaInfoClassMember('active-table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active Tables
                ''',
                'active_table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow RP Configured
                ''',
                'allow_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-group-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP Group-List ACL Name
                ''',
                'allow_rp_group_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-rp-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP RP-list ACL Name
                ''',
                'allow_rp_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP config
                ''',
                'anycast_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Anycast-RP Policy Name
                ''',
                'anycast_rp_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-range', REFERENCE_LIST, 'AnycastRpRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange', 
                [], [], 
                '''                Anycast-RP Ranges
                ''',
                'anycast_rp_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto-Discovery configured
                ''',
                'bgp_auto_discovery_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Auto Discovery Type
                ''',
                'bgp_auto_discovery_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-i-pmsi-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP I-PMSI Added
                ''',
                'bgp_i_pmsi_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BGP remote interface address
                ''',
                'bgp_remote_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BGP remote interface handle
                ''',
                'bgp_remote_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP remote interface name
                ''',
                'bgp_remote_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP remote interface status
                ''',
                'bgp_remote_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP remote interface state
                ''',
                'bgp_remote_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-source-active-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send BGP Source-Active Announcements
                ''',
                'bgp_source_active_announce',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('export-route-target', REFERENCE_LIST, 'ExportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Context.ExportRouteTarget', 
                [], [], 
                '''                Export Route Targets
                ''',
                'export_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'gin_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'gin_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'gin_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'gin_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'gin_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'gin_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('import-route-target', REFERENCE_LIST, 'ImportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Context.ImportRouteTarget', 
                [], [], 
                '''                Import Route Targets
                ''',
                'import_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'in_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'in_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'in_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'in_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'in_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'in_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-local-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Local enabled
                ''',
                'in_band_signaling_local_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-remote-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Remote enabled
                ''',
                'in_band_signaling_remote_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inter-autonomous-system-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inter-AS Enabled
                ''',
                'inter_autonomous_system_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR MDT max aggregation
                ''',
                'ir_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Announce interval
                ''',
                'ir_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Switchover interval
                ''',
                'ir_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IRMDT handle
                ''',
                'ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IRMDT MTU
                ''',
                'ir_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IR MDT Name
                ''',
                'ir_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR RPF-ID
                ''',
                'ir_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-tail-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Tail Label
                ''',
                'ir_mdt_tail_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active-ital', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active ITAL
                ''',
                'is_active_ital',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-all-interface-disable-operation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM all interface disable operation
                ''',
                'is_all_interface_disable_operation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP Listen Enabled
                ''',
                'is_auto_rp_listen_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-sock-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP listen sock add
                ''',
                'is_auto_rp_listen_sock_add',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-gin-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-in-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-ir-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create IR MDT interface
                ''',
                'is_create_ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MDT interface
                ''',
                'is_create_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mldp-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MLDP MDT interface
                ''',
                'is_create_mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-rsvp-te-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create RSVP-TE MDT interface
                ''',
                'is_create_rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-default-granges', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default granges
                ''',
                'is_default_granges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gin-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_gin_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-in-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_in_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ir-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IR MDT Owner
                ''',
                'is_ir_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Socket
                ''',
                'is_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Socket
                ''',
                'is_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-m-host-publish-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Publish pending for MHost Default interface
                ''',
                'is_m_host_publish_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Owner
                ''',
                'is_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mldp-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP MDT Owner
                ''',
                'is_mldp_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mrib-register', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MRIB Register
                ''',
                'is_mrib_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mcast RIB Registration
                ''',
                'is_multicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converge-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converge received
                ''',
                'is_pim_nsf_rib_converge_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converged
                ''',
                'is_pim_nsf_rib_converged',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-redistribution-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pending redist reset
                ''',
                'is_redistribution_reset',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Register Injection Socket
                ''',
                'is_register_injection_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Register Injection Socket
                ''',
                'is_register_injection_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multiplath enabled
                ''',
                'is_rib_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-interface-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath interface hash
                ''',
                'is_rib_multipath_interface_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source based hash
                ''',
                'is_rib_multipath_source_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-next-hop-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source-nexthop hash
                ''',
                'is_rib_multipath_source_next_hop_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Routing Enabled
                ''',
                'is_routing_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rsvp-te-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Owner
                ''',
                'is_rsvp_te_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Socket
                ''',
                'is_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Socket
                ''',
                'is_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bound on UDP Socket
                ''',
                'is_udp_socket_bind',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bind required on UDP Socket
                ''',
                'is_udp_socket_bind_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-unicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ucast RIB Registration
                ''',
                'is_unicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT max aggregation
                ''',
                'maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Announce interval
                ''',
                'mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Switchover interval
                ''',
                'mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-default-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MDT Default group
                ''',
                'mdt_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT Remote RPF Identifier
                ''',
                'mdt_gre_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT RPF Identifier
                ''',
                'mdt_gre_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MDT handle
                ''',
                'mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT MTU
                ''',
                'mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MDT Neighbor Filter Name
                ''',
                'mdt_neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-ir-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned IR MDT Control Identifier
                ''',
                'mdt_partitioned_ir_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-mdt-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Control Identifier
                ''',
                'mdt_partitioned_mdt_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-default-interface-config', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured Mhost Defint
                ''',
                'mhost_default_interface_config',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MHost handle
                ''',
                'mhost_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-announce-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Announce Control tree added
                ''',
                'mldp_auto_rp_announce_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-discovery-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Discovery Control tree added
                ''',
                'mldp_auto_rp_discovery_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-bsr-control-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP BSR Control tree added
                ''',
                'mldp_bsr_control_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-control-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MVPN Identifier
                ''',
                'mldp_control_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head local label
                ''',
                'mldp_head_local_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Head LSM-ID
                ''',
                'mldp_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT max aggregation
                ''',
                'mldp_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Announce interval
                ''',
                'mldp_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Switchover interval
                ''',
                'mldp_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MLDP MDT handle
                ''',
                'mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT MTU
                ''',
                'mldp_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MLDP MDT Name
                ''',
                'mldp_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote RPF-ID
                ''',
                'mldp_mdt_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP RPF-ID
                ''',
                'mldp_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partioned-mp2m-ptree', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP2MP Partitioned MDT tree
                ''',
                'mldp_partioned_mp2m_ptree',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head LSM-ID
                ''',
                'mldp_partitioned_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Partitioned MDT
                ''',
                'mldp_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Partitioned MDT Identifier
                ''',
                'mldp_partitioned_mdt_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote Head LSM-ID
                ''',
                'mldp_remote_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Remote Partitioned MDT
                ''',
                'mldp_remote_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-address', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root addresses
                ''',
                'mldp_root_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root count
                ''',
                'mldp_root_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('murib-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MURIB ID
                ''',
                'murib_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-default-vrf-count-on-socket', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of non-default vrfs on raw socket
                ''',
                'non_default_vrf_count_on_socket',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('organization-unique-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OUI for VPN-ID
                ''',
                'organization_unique_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('p2mpte-li-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route LI updates dropped for P2MP
                ''',
                'p2mpte_li_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redistribution-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redist reset count
                ''',
                'redistribution_reset_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-default-group', REFERENCE_CLASS, 'RemoteDefaultGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Context.RemoteDefaultGroup', 
                [], [], 
                '''                Remote Default Group
                ''',
                'remote_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Table ID
                ''',
                'remote_table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                RD value
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-default-table', REFERENCE_CLASS, 'RpfDefaultTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Context.RpfDefaultTable', 
                [], [], 
                '''                RPF Default Table
                ''',
                'rpf_default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF ID
                ''',
                'rpf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF topology selection route-policy name
                ''',
                'rpf_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE MDT max aggregation
                ''',
                'rsvp_te_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Announce interval
                ''',
                'rsvp_te_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Switchover interval
                ''',
                'rsvp_te_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RSVP-TEMDT handle
                ''',
                'rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TEMDT MTU
                ''',
                'rsvp_te_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Name
                ''',
                'rsvp_te_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE RPF-ID
                ''',
                'rsvp_te_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-static-p2mp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Static P2MP-TE MDT
                ''',
                'rsvp_te_mdt_static_p2mp_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM is using MuRIB
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S,G Expiry Time Configured, in seconds
                ''',
                'sg_expiry_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S,G Expiry Timer Configured
                ''',
                'sg_expiry_timer_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-sg-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                S,G expiry timer ACL name
                ''',
                'sg_expiry_timer_sg_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('stale-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is stale
                ''',
                'stale_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-pim-data-mdt-tlv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress PIM Data-MDT TLV Announcements
                ''',
                'suppress_pim_data_mdt_tlv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-shared-tree-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress Shared-Tree Joins
                ''',
                'suppress_shared_tree_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of configured Tables
                ''',
                'table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('umh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Join UMH Core-Tree
                ''',
                'umh',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('valid-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is valid
                ''',
                'valid_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vpn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Index
                ''',
                'vpn_index',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('entry-flag', REFERENCE_ENUM_CLASS, 'PimTopologyEntryFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyEntryFlagEnum', 
                [], [], 
                '''                entry flag
                ''',
                'entry_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-entry-flag-route-count', REFERENCE_LIST, 'TopologyEntryFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface',
            False, 
            [
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-outgoing-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is outgoing Interface
                ''',
                'is_outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF Interface
                ''',
                'is_rpf_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-snoop-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is snooping Interface
                ''',
                'is_snoop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-address', REFERENCE_CLASS, 'RpfAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress', 
                [], [], 
                '''                RPF Address
                ''',
                'rpf_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth in Kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr', 
                [], [], 
                '''                Group ddress
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases',
            False, 
            [
            _MetaInfoClassMember('redirect-route-database', REFERENCE_LIST, 'RedirectRouteDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase', 
                [], [], 
                '''                PIM ECMP RPF-redirect route information
                ''',
                'redirect_route_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth allocated in Kbps
                ''',
                'allocated_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allocated-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Configured threshold in Kbps
                ''',
                'allocated_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth available in Kbps
                ''',
                'available_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Available threshold in Kbps
                ''',
                'available_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Bundle name
                ''',
                'bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Bundle interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect bundle name
                ''',
                'rpf_redirect_bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-interface-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect interface name
                ''',
                'rpf_redirect_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('snooping-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by snooped entries in Kbps
                ''',
                'snooping_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by topology in Kbps
                ''',
                'topology_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('total-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Total bandwidth used in Kbps
                ''',
                'total_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces',
            False, 
            [
            _MetaInfoClassMember('bundle-interface', REFERENCE_LIST, 'BundleInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle interface
                information
                ''',
                'bundle_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect',
            False, 
            [
            _MetaInfoClassMember('bundle-interfaces', REFERENCE_CLASS, 'BundleInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle information
                ''',
                'bundle_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redirect-route-databases', REFERENCE_CLASS, 'RedirectRouteDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases', 
                [], [], 
                '''                PIM ECMP RPF-redirect route database
                ''',
                'redirect_route_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Tunnels',
            False, 
            [
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel', 
                [], [], 
                '''                PIM tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSM flag
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop', 
                [], [], 
                '''                Next Hop
                ''',
                'nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes',
            False, 
            [
            _MetaInfoClassMember('multicast-static-route', REFERENCE_LIST, 'MulticastStaticRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'multicast_static_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources',
            False, 
            [
            _MetaInfoClassMember('group-map-match-source', REFERENCE_LIST, 'GroupMapMatchSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource', 
                [], [], 
                '''                PIM group-matching mapping entry with source
                information
                ''',
                'group_map_match_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf.Neighbors' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                VRF name 
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('auto-rp', REFERENCE_CLASS, 'AutoRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.AutoRp', 
                [], [], 
                '''                PIM Auto-RP information
                ''',
                'auto_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-afs', REFERENCE_CLASS, 'BgpAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs', 
                [], [], 
                '''                PIM BGP SAFI table
                ''',
                'bgp_afs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-states', REFERENCE_CLASS, 'BidirDfStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates', 
                [], [], 
                '''                Bidirectional PIM DF election state table
                ''',
                'bidir_df_states',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-winners', REFERENCE_CLASS, 'BidirDfWinners' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners', 
                [], [], 
                '''                Bidirectional PIM DF election winner table
                ''',
                'bidir_df_winners',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Bsr', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Context', 
                [], [], 
                '''                PIM context information
                ''',
                'context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Gre', 
                [], [], 
                '''                GRE information
                ''',
                'gre',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-rpfs', REFERENCE_CLASS, 'GroupMapMatchRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs', 
                [], [], 
                '''                Find matching group-mapping for the specified
                group address
                ''',
                'group_map_match_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-sources', REFERENCE_CLASS, 'GroupMapMatchSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources', 
                [], [], 
                '''                Find the matching group-mapping with source
                information on specified group address
                ''',
                'group_map_match_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-rpfs', REFERENCE_CLASS, 'GroupMapRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs', 
                [], [], 
                '''                PIM group mapping information
                ''',
                'group_map_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-sources', REFERENCE_CLASS, 'GroupMapSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources', 
                [], [], 
                '''                PIM group-mapping with source information
                ''',
                'group_map_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces', 
                [], [], 
                '''                PIM interfaces in forward reference store table
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-summary', REFERENCE_CLASS, 'IfrsSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.IfrsSummary', 
                [], [], 
                '''                PIM interfaces in forward reference store
                summary
                ''',
                'ifrs_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats', 
                [], [], 
                '''                PIM interfaces in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-statistics', REFERENCE_CLASS, 'InterfaceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.InterfaceStatistics', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Interfaces', 
                [], [], 
                '''                PIM interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-statistics', REFERENCE_CLASS, 'JpStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.JpStatistics', 
                [], [], 
                '''                PIM join prune statistics table
                ''',
                'jp_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mib-databases', REFERENCE_CLASS, 'MibDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases', 
                [], [], 
                '''                PIM group database for mroute mibs table
                ''',
                'mib_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('multicast-static-routes', REFERENCE_CLASS, 'MulticastStaticRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes', 
                [], [], 
                '''                PIM multicast static route table
                ''',
                'multicast_static_routes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-old-formats', REFERENCE_CLASS, 'NeighborOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats', 
                [], [], 
                '''                PIM neighbor table old format
                ''',
                'neighbor_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-summaries', REFERENCE_CLASS, 'NeighborSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NeighborSummaries', 
                [], [], 
                '''                PIM neighbor summary table
                ''',
                'neighbor_summaries',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Neighbors', 
                [], [], 
                '''                PIM neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('net-io-tunnels', REFERENCE_CLASS, 'NetIoTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels', 
                [], [], 
                '''                Tunnel information that NETIO has 
                ''',
                'net_io_tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Ranges', 
                [], [], 
                '''                PIM range list information
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy', REFERENCE_CLASS, 'RoutePolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy', 
                [], [], 
                '''                PIM route policy
                ''',
                'route_policy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect', REFERENCE_CLASS, 'RpfRedirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle
                ''',
                'rpf_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-summary', REFERENCE_CLASS, 'RpfSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.RpfSummary', 
                [], [], 
                '''                PIM RPF registration summary
                ''',
                'rpf_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safs', REFERENCE_CLASS, 'Safs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Safs', 
                [], [], 
                '''                SAFI table and type
                ''',
                'safs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Summary', 
                [], [], 
                '''                PIM summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-contexts', REFERENCE_CLASS, 'TableContexts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TableContexts', 
                [], [], 
                '''                PIM table context list
                ''',
                'table_contexts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Topologies', 
                [], [], 
                '''                PIM topology table
                ''',
                'topologies',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-entry-flag-route-counts', REFERENCE_CLASS, 'TopologyEntryFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-flag-route-counts', REFERENCE_CLASS, 'TopologyInterfaceFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with interface flag set
                ''',
                'topology_interface_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-route-count', REFERENCE_CLASS, 'TopologyRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TopologyRouteCount', 
                [], [], 
                '''                Topology route count information from PIM
                topology table
                ''',
                'topology_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters', 
                [], [], 
                '''                PIM message traffic counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf.Tunnels', 
                [], [], 
                '''                Tunnels information that PIM has
                ''',
                'tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby.Vrfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs.Vrf', 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Standby' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Standby',
            False, 
            [
            _MetaInfoClassMember('default-context', REFERENCE_CLASS, 'DefaultContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.DefaultContext', 
                [], [], 
                '''                Default Context
                ''',
                'default_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('process', REFERENCE_CLASS, 'Process' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Process', 
                [], [], 
                '''                Process
                ''',
                'process',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby.Vrfs', 
                [], [], 
                '''                VRF Table
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'global-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GlobalInterfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GlobalInterfaces',
            False, 
            [
            _MetaInfoClassMember('global-interface', REFERENCE_LIST, 'GlobalInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface', 
                [], [], 
                '''                PIM interface name
                ''',
                'global_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'global-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                PIM IFRS interface information
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('mask-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hash mask length
                ''',
                'mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-group', REFERENCE_LIST, 'RpfHashSourceGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource',
            False, 
            [
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source', REFERENCE_LIST, 'RpfHashSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath',
            False, 
            [
            _MetaInfoClassMember('connector', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Connector Attribute
                ''',
                'connector',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the rpf interface disabled ?
                ''',
                'is_rpf_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-mlsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via Mstatic LSM
                ''',
                'is_via_mlsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF Interface
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-nexthop', REFERENCE_CLASS, 'RpfNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop', 
                [], [], 
                '''                RPF nexthop
                ''',
                'rpf_nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf',
            False, 
            [
            _MetaInfoClassMember('registered-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Address for which RPF lookup
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-bgp-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF through BGP route
                ''',
                'is_rpf_bgp_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address-xr', REFERENCE_CLASS, 'RegisteredAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_LIST, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath', 
                [], [], 
                '''                RPF Paths list
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs',
            False, 
            [
            _MetaInfoClassMember('rpf', REFERENCE_LIST, 'Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf', 
                [], [], 
                '''                PIM RPF information
                ''',
                'rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs.Saf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs.Saf',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-groups', REFERENCE_CLASS, 'RpfHashSourceGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_source_groups',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-hash-sources', REFERENCE_CLASS, 'RpfHashSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpfs', REFERENCE_CLASS, 'Rpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs', 
                [], [], 
                '''                PIM RPF information table
                ''',
                'rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name 
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name 
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'saf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Safs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Safs',
            False, 
            [
            _MetaInfoClassMember('saf', REFERENCE_LIST, 'Saf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs.Saf', 
                [], [], 
                '''                SAF name 
                ''',
                'saf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'safs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.InterfaceStatistics.InterfaceStatistic' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.InterfaceStatistics.InterfaceStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Ack Messages
                ''',
                'input_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Messages
                ''',
                'input_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-miscellaneous', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Miscellaneous packet in
                ''',
                'input_miscellaneous',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets in
                ''',
                'input_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Ack Messages
                ''',
                'output_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Messages
                ''',
                'output_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets out
                ''',
                'output_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.InterfaceStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.InterfaceStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-statistic', REFERENCE_LIST, 'InterfaceStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.InterfaceStatistics.InterfaceStatistic', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TopologyRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TopologyRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TopologyRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TopologyRouteCount',
            False, 
            [
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TopologyRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.JpStatistics.JpStatistic' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.JpStatistics.JpStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received
                ''',
                'received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 100 average
                ''',
                'received100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 10K average
                ''',
                'received_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 1K average
                ''',
                'received_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Received100
                ''',
                'received_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmitted
                ''',
                'transmitted',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 100 average
                ''',
                'transmitted100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 10K average
                ''',
                'transmitted_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 1K average
                ''',
                'transmitted_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Transmitted100
                ''',
                'transmitted_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.JpStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.JpStatistics',
            False, 
            [
            _MetaInfoClassMember('jp-statistic', REFERENCE_LIST, 'JpStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.JpStatistics.JpStatistic', 
                [], [], 
                '''                PIM Join Prune Statistics
                ''',
                'jp_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase',
            False, 
            [
            _MetaInfoClassMember('assert-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric
                ''',
                'assert_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric Preference
                ''',
                'assert_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-rpt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Assert RPT Bit
                ''',
                'assert_rpt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidirectional-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Bidir ?
                ''',
                'bidirectional_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast satic route group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface name 
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mask of the multicast root
                ''',
                'rpf_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor', 
                [], [], 
                '''                The RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast static route source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-netmask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source mask
                ''',
                'source_netmask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SPT bit set ?
                ''',
                'spt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('upstream-assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Upstream Assert Timer
                ''',
                'upstream_assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime of route
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.MibDatabases' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.MibDatabases',
            False, 
            [
            _MetaInfoClassMember('mib-database', REFERENCE_LIST, 'MibDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'mib_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-match-rpf', REFERENCE_LIST, 'GroupMapMatchRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf', 
                [], [], 
                '''                PIM group matching mapping entry
                ''',
                'group_map_match_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NeighborOldFormats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NeighborOldFormats',
            False, 
            [
            _MetaInfoClassMember('neighbor-old-format', REFERENCE_LIST, 'NeighborOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.IfrsSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.IfrsSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration counts
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Ranges.Range.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Ranges.Range.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Ranges.Range.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Ranges.Range.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange',
            False, 
            [
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client-xr', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt via
                ''',
                'client_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-range', REFERENCE_LIST, 'GroupRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange', 
                [], [], 
                '''                List of group ranges
                ''',
                'group_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Ranges.Range.RpAddressXr', 
                [], [], 
                '''                Rendezvous point address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Ranges.Range.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Ranges' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Ranges.Range', 
                [], [], 
                '''                PIM range list information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-prefix-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag',
            False, 
            [
            _MetaInfoClassMember('candidate-rp-address', REFERENCE_CLASS, 'CandidateRpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress', 
                [], [], 
                '''                C-RP address
                ''',
                'candidate_rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Expires
                ''',
                'candidate_rp_expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Holdtime
                ''',
                'candidate_rp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-RP Priority
                ''',
                'candidate_rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Uptime
                ''',
                'candidate_rp_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-bsr-crp-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList',
            False, 
            [
            _MetaInfoClassMember('pim-bsr-crp-bag', REFERENCE_LIST, 'PimBsrCrpBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag', 
                [], [], 
                '''                pim bsr crp bag
                ''',
                'pim_bsr_crp_bag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache',
            False, 
            [
            _MetaInfoClassMember('group-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group prefix
                ''',
                'group_prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('candidate-rp-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                C-RP count for this Prefix
                ''',
                'candidate_rp_group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-list', REFERENCE_CLASS, 'CandidateRpList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList', 
                [], [], 
                '''                C-RP list for this prefix
                ''',
                'candidate_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Group Prefix Length
                ''',
                'group_prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-xr', REFERENCE_CLASS, 'GroupPrefixXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr', 
                [], [], 
                '''                Group Prefix
                ''',
                'group_prefix_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-cache',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.RpCaches',
            False, 
            [
            _MetaInfoClassMember('rp-cache', REFERENCE_LIST, 'RpCache' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache', 
                [], [], 
                '''                PIM BSR RP cache
                ''',
                'rp_cache',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-caches',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'crp-access',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp',
            False, 
            [
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Candidate-RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp', REFERENCE_CLASS, 'CandidateRp_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_', 
                [], [], 
                '''                Cand-RP Address
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-advance-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Adv Interval in seconds
                ''',
                'candidate_rp_advance_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Cand-RP Scope
                ''',
                'candidate_rp_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP uptime
                ''',
                'candidate_rp_uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-access', REFERENCE_LIST, 'CrpAccess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess', 
                [], [], 
                '''                Group Ranges Using this Cand-RP
                ''',
                'crp_access',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('crp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Holdtime
                ''',
                'crp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cand-RP Priority
                ''',
                'crp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps',
            False, 
            [
            _MetaInfoClassMember('candidate-rp', REFERENCE_LIST, 'CandidateRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp', 
                [], [], 
                '''                PIM BSR candidate RP information
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection',
            False, 
            [
            _MetaInfoClassMember('pim-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BSR information
                ''',
                'pim_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('bootstrap-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bootstrap Timeout
                ''',
                'bootstrap_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-address', REFERENCE_CLASS, 'BsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress', 
                [], [], 
                '''                BSR address
                ''',
                'bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-election-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Election State
                ''',
                'bsr_election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hash Function Mask Length
                ''',
                'bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BSR Priority
                ''',
                'bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-scope', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Scope
                ''',
                'bsr_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Uptime
                ''',
                'bsr_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-address', REFERENCE_CLASS, 'CandidateBsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress', 
                [], [], 
                '''                C-BSR address
                ''',
                'candidate_bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BSR Candidate Config Flag
                ''',
                'candidate_bsr_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Hash Func. Mask Len
                ''',
                'candidate_bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Priority
                ''',
                'candidate_bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Candidate State
                ''',
                'candidate_bsr_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-election',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr.BsrElections' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr.BsrElections',
            False, 
            [
            _MetaInfoClassMember('bsr-election', REFERENCE_LIST, 'BsrElection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-elections',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Bsr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Bsr',
            False, 
            [
            _MetaInfoClassMember('bsr-elections', REFERENCE_CLASS, 'BsrElections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.BsrElections', 
                [], [], 
                '''                PIM BSR election state
                ''',
                'bsr_elections',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rps', REFERENCE_CLASS, 'CandidateRps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps', 
                [], [], 
                '''                PIM candidate-RP
                ''',
                'candidate_rps',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-caches', REFERENCE_CLASS, 'RpCaches' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr.RpCaches', 
                [], [], 
                '''                PIM BSR RP cache table
                ''',
                'rp_caches',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyStatistics',
            False, 
            [
            _MetaInfoClassMember('any-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in any Table
                ''',
                'any_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in default-only Table
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF drops
                ''',
                'drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup requests
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default table selected
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ext-comm', ATTRIBUTE, 'str' , None, None, 
                [(1, 8)], [], 
                '''                Extended Community
                ''',
                'ext_comm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extended-community-rt', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Route Target
                ''',
                'extended_community_rt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table exists
                ''',
                'table_exists',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-test',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests',
            False, 
            [
            _MetaInfoClassMember('route-policy-test', REFERENCE_LIST, 'RoutePolicyTest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest', 
                [], [], 
                '''                PIM route policy test run
                ''',
                'route_policy_test',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-tests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RoutePolicy' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RoutePolicy',
            False, 
            [
            _MetaInfoClassMember('route-policy-statistics', REFERENCE_CLASS, 'RoutePolicyStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyStatistics', 
                [], [], 
                '''                PIM route policy statistics
                ''',
                'route_policy_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy-tests', REFERENCE_CLASS, 'RoutePolicyTests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests', 
                [], [], 
                '''                PIM route policy test run table
                ''',
                'route_policy_tests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RpfSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RpfSummary',
            False, 
            [
            _MetaInfoClassMember('default-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default RPF Table SAFI
                ''',
                'default_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default RPF Table Name
                ''',
                'default_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-mtr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS MTR configured?
                ''',
                'is_isis_mtr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS TE configured?
                ''',
                'is_isis_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mbgp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MBGP configured?
                ''',
                'is_mbgp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Enabled ?
                ''',
                'is_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-interface-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Interface Hash Extension Enabled ?
                ''',
                'is_multipath_interface_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source based Hash Enabled ?
                ''',
                'is_multipath_source_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-next-hop-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source-Nexthop Hash Enabled ?
                ''',
                'is_multipath_source_next_hop_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ospf-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is OSPF TE configured?
                ''',
                'is_ospf_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR configured?
                ''',
                'mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence time left in seconds
                ''',
                'rib_convergence_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence timeout in seconds
                ''',
                'rib_convergence_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR RIB configured?
                ''',
                'rib_mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RUMP MuRIB enabled?
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Interfaces.Interface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Interfaces.Interface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Interfaces.Interface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Interfaces.Interface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Interfaces.Interface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Interfaces.Interface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Interfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Interfaces.Interface', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NetIoTunnels' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NetIoTunnels',
            False, 
            [
            _MetaInfoClassMember('net-io-tunnel', REFERENCE_LIST, 'NetIoTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel', 
                [], [], 
                '''                PIM netio tunnel information
                ''',
                'net_io_tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BidirDfStates.BidirDfState' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BidirDfStates.BidirDfState',
            False, 
            [
            _MetaInfoClassMember('election-state', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DF Election State
                ''',
                'election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'our_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MetricPreference
                ''',
                'our_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (nseconds)
                ''',
                'time_nano_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (seconds)
                ''',
                'time_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BidirDfStates' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BidirDfStates',
            False, 
            [
            _MetaInfoClassMember('bidir-df-state', REFERENCE_LIST, 'BidirDfState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BidirDfStates.BidirDfState', 
                [], [], 
                '''                Bidirectional PIM DF Election Table Entry
                ''',
                'bidir_df_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology.ProxyAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology.ProxyAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'proxy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology.OrigSrcAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology.OrigSrcAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'orig-src-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'assert-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface',
            False, 
            [
            _MetaInfoClassMember('admin-boundary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an administrative boundary ?
                ''',
                'admin_boundary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Assert Timer in seconds
                ''',
                'assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-winner', REFERENCE_CLASS, 'AssertWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner', 
                [], [], 
                '''                Assert Winner
                ''',
                'assert_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C-Mcast join
                ''',
                'bgp_c_mcast_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-prune-delay-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C-MCAST Prune Suppression in seconds
                ''',
                'bgp_c_mcast_prune_delay_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('data-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Data MDT join
                ''',
                'data_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an Extranet Interface ?
                ''',
                'extranet_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('forwarding-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Forward or Prune
                ''',
                'forwarding_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('igmp-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGMP membership
                ''',
                'igmp_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('immediate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Immediate fwding state
                ''',
                'immediate_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('internal-interest-info', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Internal Interest
                ''',
                'internal_interest_info',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune State
                ''',
                'jp_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer (secs)
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default MDT Join
                ''',
                'local_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-members', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Local Information
                ''',
                'local_members',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Safi join
                ''',
                'mdt_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-inband-mdt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Inband MDT interface
                ''',
                'mldp_inband_mdt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OLE is stale
                ''',
                'mldp_stale',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvp-nv6-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN IPv6 Safi join
                ''',
                'mvp_nv6_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvpn-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN Safi join
                ''',
                'mvpn_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-prune', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA Prune state
                ''',
                'sa_prune',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF which physically owns
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'outgoing-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('alive', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Alive time in seconds (-1 if never)
                ''',
                'alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group matches Anycast-RP policy
                ''',
                'anycast_rp_match',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Anycast-RP RT
                ''',
                'anycast_rp_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assume-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Assume Alive Bit
                ''',
                'assume_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C JOIN
                ''',
                'bgp_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgpjp-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C JP Time
                ''',
                'bgpjp_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connected ?
                ''',
                'connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('customer-routing-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Type of Customer Routing in the MVPN
                ''',
                'customer_routing_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dont-check-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do we need to make the connected check on this
                route ?
                ''',
                'dont_check_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When this entry expires
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is a Extranet route ?
                ''',
                'extranet_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit Alive Bit
                ''',
                'inherit_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit SPT Bit
                ''',
                'inherit_spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Status
                ''',
                'jp_status',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have we throttled the creation of routes or
                interfaces ?
                ''',
                'limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR Active?
                ''',
                'mofrr_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Backup?
                ''',
                'mofrr_backup',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'mofrr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-primary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Primary?
                ''',
                'mofrr_primary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('orig-src-address', REFERENCE_CLASS, 'OrigSrcAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology.OrigSrcAddress', 
                [], [], 
                '''                Orig Src Address.
                ''',
                'orig_src_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outgoing-interface', REFERENCE_LIST, 'OutgoingInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('probe-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Probe Alive Bit
                ''',
                'probe_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RPF target a proxy?
                ''',
                'proxy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy-address', REFERENCE_CLASS, 'ProxyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology.ProxyAddress', 
                [], [], 
                '''                RPF Proxy address.
                ''',
                'proxy_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('really-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Really Alive Bit
                ''',
                'really_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have registers been received for this source ?
                ''',
                'register_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Register Received Timer in seconds (-1 if never)
                ''',
                'register_received_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MSDP told us
                ''',
                'remote_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'rib_mo_frr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpAddress', 
                [], [], 
                '''                RP Address (If rpt)
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpfNeighbor', 
                [], [], 
                '''                RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-proxy-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is rpf if proxy enabled?
                ''',
                'rpf_proxy_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RPT bit
                ''',
                'rpt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt-xr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the RPT ?
                ''',
                'rpt_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-joined', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA join
                ''',
                'sa_joined',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA received
                ''',
                'sa_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA sent
                ''',
                'sa_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Interface Identifier
                ''',
                'secondary_rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-neighbor', REFERENCE_CLASS, 'SecondaryRpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor', 
                [], [], 
                '''                Secondary RPF Neighbor
                ''',
                'secondary_rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-null-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending null registers for this route ?
                ''',
                'sending_null_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending registers for this route ?
                ''',
                'sending_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('signal-sources', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Signal Sources on route?
                ''',
                'signal_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the SPT ?
                ''',
                'spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-registers', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                When the Null register probe expires
                ''',
                'suppress_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this VXLAN?
                ''',
                'vxlan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                WC -Wildcard
                ''',
                'wildcard',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Topologies' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies.Topology', 
                [], [], 
                '''                PIM topology information
                ''',
                'topology',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.Source' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.Source',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.Group' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.Group',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.NextHop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.NextHop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf',
            False, 
            [
            _MetaInfoClassMember('extranet-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of dependent extranet paths
                ''',
                'extranet_path_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.Group', 
                [], [], 
                '''                Group address
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('is-bgp-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SAFI learnt from BGP
                ''',
                'is_bgp_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.NextHop', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Router ID
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.Source', 
                [], [], 
                '''                Source address
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BgpAfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BgpAfs',
            False, 
            [
            _MetaInfoClassMember('bgp-af', REFERENCE_LIST, 'BgpAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf', 
                [], [], 
                '''                PIM BGP SAFI information
                ''',
                'bgp_af',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.AutoRp' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.AutoRp',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'auto-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('interface-flag', REFERENCE_ENUM_CLASS, 'PimTopologyInterfaceFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyInterfaceFlagEnum', 
                [], [], 
                '''                Interface flag
                ''',
                'interface_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-interface-flag-route-count', REFERENCE_LIST, 'TopologyInterfaceFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount', 
                [], [], 
                '''                Route count for topology with interface flag
                set
                ''',
                'topology_interface_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP Priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapSources',
            False, 
            [
            _MetaInfoClassMember('group-map-source', REFERENCE_LIST, 'GroupMapSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource', 
                [], [], 
                '''                PIM Group Mapping Entry with source information
                ''',
                'group_map_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState',
            False, 
            [
            _MetaInfoClassMember('max-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum size of queue in bytes
                ''',
                'max_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in bytes
                ''',
                'queue_size_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in number of packets
                ''',
                'queue_size_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats',
            False, 
            [
            _MetaInfoClassMember('dequeued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets dequeued from this queue
                ''',
                'dequeued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('enqueued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets enqueued to this queue
                ''',
                'enqueued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of bytes enqueued in this queue
                ''',
                'high_water_mark_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of packets enqueued in this queue
                ''',
                'high_water_mark_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tail-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number packets dropped from this queue due to
                max size
                ''',
                'tail_drops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue',
            False, 
            [
            _MetaInfoClassMember('packet-queue-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Priority of this packet queue
                ''',
                'packet_queue_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-state', REFERENCE_CLASS, 'PacketQueueState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState', 
                [], [], 
                '''                State of the queue
                ''',
                'packet_queue_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-stats', REFERENCE_CLASS, 'PacketQueueStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats', 
                [], [], 
                '''                Statistics about the queue
                ''',
                'packet_queue_stats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('boundary-acl-rx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inc. JP dropped since boundary ACL confg
                ''',
                'boundary_acl_rx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('boundary-acl-tx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out JP dropped since boundary ACL confg
                ''',
                'boundary_acl_tx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('checksum-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters in seconds
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('format-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets in
                ''',
                'input_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets in
                ''',
                'input_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Ecmp Redirect
                ''',
                'input_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-idb-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No IDB for intf error
                ''',
                'input_no_idb_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-pim-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Disabled on intf error
                ''',
                'input_no_pim_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-vrf-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No VRF for idb error
                ''',
                'input_no_vrf_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets in
                ''',
                'input_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-pim-version-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid PIM version error
                ''',
                'input_pim_version_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'inputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-destination-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Control Packets with Invalid Destination
                ''',
                'invalid_destination_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-join-prunes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid Join/Prunes received
                ''',
                'invalid_join_prunes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-registers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid registers received
                ''',
                'invalid_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-local-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to local source
                addr
                ''',
                'mdt_drop_local_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to idb missing
                ''',
                'mdt_drop_no_idb',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-vrf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to vrf missing
                ''',
                'mdt_drop_no_vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-null-local-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to null local
                addr
                ''',
                'mdt_drop_null_local_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-bad-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT TLV bad type
                ''',
                'mdt_join_bad_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs received
                ''',
                'mdt_join_tlv_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs sent
                ''',
                'mdt_join_tlv_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-joins-drop-multiple-encapsulation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Join msgs dropped due to multiple Encap
                limitation
                ''',
                'mdt_joins_drop_multiple_encapsulation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since mdt send queue was full
                ''',
                'mdt_send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Socket errors
                ''',
                'mdt_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-invalid-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Invalid LSM ID
                ''',
                'mldp_mdt_invalid_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-mdt-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no mdt socket connection
                ''',
                'no_mdt_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no source address
                ''',
                'no_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-supported-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM non supported pckets
                ''',
                'non_supported_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets out
                ''',
                'output_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets out
                ''',
                'output_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Ecmp Redirect
                ''',
                'output_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Hello Bytes
                ''',
                'output_hello_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Join Groups
                ''',
                'output_join_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-prune-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output JP Bytes
                ''',
                'output_join_prune_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-loop-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output on loopback error
                ''',
                'output_loop_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets out
                ''',
                'output_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-prune-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Prune Groups
                ''',
                'output_prune_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'outputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-dequeued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dequeued per priority Deprecated by
                PacketQueue
                ''',
                'packet_dequeued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-enqueued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Enqueued per priority Deprecated by
                PacketQueue
                ''',
                'packet_enqueued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-packman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Pakman Error
                ''',
                'packet_packman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue', REFERENCE_LIST, 'PacketQueue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue', 
                [], [], 
                '''                Packet queue state and statistics
                ''',
                'packet_queue',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-last-clear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last clear of all
                packet queues stats
                ''',
                'packet_queue_last_clear',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-length', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Length per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-size', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Size per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-read-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Read Socket Error
                ''',
                'packet_read_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-tail-drop', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Tail Drop per priority Deprecated by
                PacketQueue
                ''',
                'packet_tail_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packets-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Standby Error
                ''',
                'packets_standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pakman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pakman packets dropped
                ''',
                'pakman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since send queue was full
                ''',
                'send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors
                ''',
                'socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby-packets-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received in standby state
                ''',
                'standby_packets_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('truncated-pim-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to truncated Joins or Prunes
                ''',
                'truncated_pim_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf',
            False, 
            [
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP priority
                ''',
                'rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapRpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-rpf', REFERENCE_LIST, 'GroupMapRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf', 
                [], [], 
                '''                PIM group mapping entry
                ''',
                'group_map_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Summary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Gre.GreHashes.GreHash' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Gre.GreHashes.GreHash',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('ifname', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Tunnel Interface
                ''',
                'ifname',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hash',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Gre.GreHashes' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Gre.GreHashes',
            False, 
            [
            _MetaInfoClassMember('gre-hash', REFERENCE_LIST, 'GreHash' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Gre.GreHashes.GreHash', 
                [], [], 
                '''                PIM GRE Hashed Underlying Interface
                ''',
                'gre_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hashes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath',
            False, 
            [
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Interface
                ''',
                'gre_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-neighbor', REFERENCE_CLASS, 'GreNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor', 
                [], [], 
                '''                GRE neighbor
                ''',
                'gre_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hop', REFERENCE_CLASS, 'GreNextHop_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_', 
                [], [], 
                '''                GRE nexthop
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gre-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the gre interface disabled ?
                ''',
                'is_gre_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                GRE destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('gre-path', REFERENCE_LIST, 'GrePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath', 
                [], [], 
                '''                GRE Paths list
                ''',
                'gre_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address', REFERENCE_CLASS, 'RegisteredAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Gre.GreNextHops',
            False, 
            [
            _MetaInfoClassMember('gre-next-hop', REFERENCE_LIST, 'GreNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop', 
                [], [], 
                '''                PIM GRE address next-hop information
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hops',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Gre' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Gre',
            False, 
            [
            _MetaInfoClassMember('gre-hashes', REFERENCE_CLASS, 'GreHashes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Gre.GreHashes', 
                [], [], 
                '''                GRE hash
                ''',
                'gre_hashes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hops', REFERENCE_CLASS, 'GreNextHops' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Gre.GreNextHops', 
                [], [], 
                '''                GRE destination neighbor table
                ''',
                'gre_next_hops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner',
            False, 
            [
            _MetaInfoClassMember('are-we-df', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we DF
                ''',
                'are_we_df',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('df-winner', REFERENCE_CLASS, 'DfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner', 
                [], [], 
                '''                DF Winner
                ''',
                'df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-lan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the RP LAN
                ''',
                'rp_lan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.BidirDfWinners' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.BidirDfWinners',
            False, 
            [
            _MetaInfoClassMember('bidir-df-winner', REFERENCE_LIST, 'BidirDfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner', 
                [], [], 
                '''                Bidirectional PIM DF election table entry
                ''',
                'bidir_df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winners',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TableContexts.TableContext' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TableContexts.TableContext',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TableContexts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TableContexts',
            False, 
            [
            _MetaInfoClassMember('table-context', REFERENCE_LIST, 'TableContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TableContexts.TableContext', 
                [], [], 
                '''                PIM table context information
                ''',
                'table_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-contexts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NeighborSummaries.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NeighborSummaries.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('number-of-external-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of external neighbors
                ''',
                'number_of_external_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('number-of-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of neighbors
                ''',
                'number_of_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.NeighborSummaries' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.NeighborSummaries',
            False, 
            [
            _MetaInfoClassMember('neighbor-summary', REFERENCE_LIST, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NeighborSummaries.NeighborSummary', 
                [], [], 
                '''                PIM neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Context.RemoteDefaultGroup' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Context.RemoteDefaultGroup',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'remote-default-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Context.RpfDefaultTable' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Context.RpfDefaultTable',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-default-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Context.ExportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Context.ExportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'export-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Context.ImportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Context.ImportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'import-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Context.AnycastRpRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Context.AnycastRpRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Context.AnycastRpRange' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Context.AnycastRpRange',
            False, 
            [
            _MetaInfoClassMember('ancast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Range marked
                ''',
                'ancast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Context.AnycastRpRange.Prefix', 
                [], [], 
                '''                Anycast-RP Range Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Anycast-RP Range Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'anycast-rp-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Context' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Context',
            False, 
            [
            _MetaInfoClassMember('active-table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active Tables
                ''',
                'active_table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow RP Configured
                ''',
                'allow_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-group-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP Group-List ACL Name
                ''',
                'allow_rp_group_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-rp-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP RP-list ACL Name
                ''',
                'allow_rp_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP config
                ''',
                'anycast_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Anycast-RP Policy Name
                ''',
                'anycast_rp_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-range', REFERENCE_LIST, 'AnycastRpRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Context.AnycastRpRange', 
                [], [], 
                '''                Anycast-RP Ranges
                ''',
                'anycast_rp_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto-Discovery configured
                ''',
                'bgp_auto_discovery_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Auto Discovery Type
                ''',
                'bgp_auto_discovery_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-i-pmsi-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP I-PMSI Added
                ''',
                'bgp_i_pmsi_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BGP remote interface address
                ''',
                'bgp_remote_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BGP remote interface handle
                ''',
                'bgp_remote_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP remote interface name
                ''',
                'bgp_remote_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP remote interface status
                ''',
                'bgp_remote_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP remote interface state
                ''',
                'bgp_remote_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-source-active-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send BGP Source-Active Announcements
                ''',
                'bgp_source_active_announce',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('export-route-target', REFERENCE_LIST, 'ExportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Context.ExportRouteTarget', 
                [], [], 
                '''                Export Route Targets
                ''',
                'export_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'gin_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'gin_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'gin_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'gin_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'gin_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'gin_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('import-route-target', REFERENCE_LIST, 'ImportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Context.ImportRouteTarget', 
                [], [], 
                '''                Import Route Targets
                ''',
                'import_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'in_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'in_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'in_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'in_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'in_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'in_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-local-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Local enabled
                ''',
                'in_band_signaling_local_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-remote-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Remote enabled
                ''',
                'in_band_signaling_remote_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inter-autonomous-system-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inter-AS Enabled
                ''',
                'inter_autonomous_system_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR MDT max aggregation
                ''',
                'ir_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Announce interval
                ''',
                'ir_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Switchover interval
                ''',
                'ir_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IRMDT handle
                ''',
                'ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IRMDT MTU
                ''',
                'ir_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IR MDT Name
                ''',
                'ir_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR RPF-ID
                ''',
                'ir_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-tail-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Tail Label
                ''',
                'ir_mdt_tail_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active-ital', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active ITAL
                ''',
                'is_active_ital',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-all-interface-disable-operation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM all interface disable operation
                ''',
                'is_all_interface_disable_operation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP Listen Enabled
                ''',
                'is_auto_rp_listen_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-sock-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP listen sock add
                ''',
                'is_auto_rp_listen_sock_add',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-gin-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-in-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-ir-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create IR MDT interface
                ''',
                'is_create_ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MDT interface
                ''',
                'is_create_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mldp-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MLDP MDT interface
                ''',
                'is_create_mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-rsvp-te-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create RSVP-TE MDT interface
                ''',
                'is_create_rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-default-granges', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default granges
                ''',
                'is_default_granges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gin-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_gin_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-in-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_in_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ir-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IR MDT Owner
                ''',
                'is_ir_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Socket
                ''',
                'is_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Socket
                ''',
                'is_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-m-host-publish-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Publish pending for MHost Default interface
                ''',
                'is_m_host_publish_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Owner
                ''',
                'is_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mldp-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP MDT Owner
                ''',
                'is_mldp_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mrib-register', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MRIB Register
                ''',
                'is_mrib_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mcast RIB Registration
                ''',
                'is_multicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converge-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converge received
                ''',
                'is_pim_nsf_rib_converge_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converged
                ''',
                'is_pim_nsf_rib_converged',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-redistribution-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pending redist reset
                ''',
                'is_redistribution_reset',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Register Injection Socket
                ''',
                'is_register_injection_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Register Injection Socket
                ''',
                'is_register_injection_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multiplath enabled
                ''',
                'is_rib_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-interface-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath interface hash
                ''',
                'is_rib_multipath_interface_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source based hash
                ''',
                'is_rib_multipath_source_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-next-hop-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source-nexthop hash
                ''',
                'is_rib_multipath_source_next_hop_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Routing Enabled
                ''',
                'is_routing_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rsvp-te-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Owner
                ''',
                'is_rsvp_te_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Socket
                ''',
                'is_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Socket
                ''',
                'is_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bound on UDP Socket
                ''',
                'is_udp_socket_bind',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bind required on UDP Socket
                ''',
                'is_udp_socket_bind_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-unicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ucast RIB Registration
                ''',
                'is_unicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT max aggregation
                ''',
                'maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Announce interval
                ''',
                'mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Switchover interval
                ''',
                'mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-default-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MDT Default group
                ''',
                'mdt_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT Remote RPF Identifier
                ''',
                'mdt_gre_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT RPF Identifier
                ''',
                'mdt_gre_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MDT handle
                ''',
                'mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT MTU
                ''',
                'mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MDT Neighbor Filter Name
                ''',
                'mdt_neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-ir-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned IR MDT Control Identifier
                ''',
                'mdt_partitioned_ir_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-mdt-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Control Identifier
                ''',
                'mdt_partitioned_mdt_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-default-interface-config', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured Mhost Defint
                ''',
                'mhost_default_interface_config',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MHost handle
                ''',
                'mhost_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-announce-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Announce Control tree added
                ''',
                'mldp_auto_rp_announce_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-discovery-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Discovery Control tree added
                ''',
                'mldp_auto_rp_discovery_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-bsr-control-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP BSR Control tree added
                ''',
                'mldp_bsr_control_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-control-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MVPN Identifier
                ''',
                'mldp_control_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head local label
                ''',
                'mldp_head_local_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Head LSM-ID
                ''',
                'mldp_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT max aggregation
                ''',
                'mldp_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Announce interval
                ''',
                'mldp_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Switchover interval
                ''',
                'mldp_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MLDP MDT handle
                ''',
                'mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT MTU
                ''',
                'mldp_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MLDP MDT Name
                ''',
                'mldp_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote RPF-ID
                ''',
                'mldp_mdt_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP RPF-ID
                ''',
                'mldp_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partioned-mp2m-ptree', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP2MP Partitioned MDT tree
                ''',
                'mldp_partioned_mp2m_ptree',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head LSM-ID
                ''',
                'mldp_partitioned_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Partitioned MDT
                ''',
                'mldp_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Partitioned MDT Identifier
                ''',
                'mldp_partitioned_mdt_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote Head LSM-ID
                ''',
                'mldp_remote_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Remote Partitioned MDT
                ''',
                'mldp_remote_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-address', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root addresses
                ''',
                'mldp_root_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root count
                ''',
                'mldp_root_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('murib-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MURIB ID
                ''',
                'murib_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-default-vrf-count-on-socket', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of non-default vrfs on raw socket
                ''',
                'non_default_vrf_count_on_socket',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('organization-unique-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OUI for VPN-ID
                ''',
                'organization_unique_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('p2mpte-li-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route LI updates dropped for P2MP
                ''',
                'p2mpte_li_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redistribution-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redist reset count
                ''',
                'redistribution_reset_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-default-group', REFERENCE_CLASS, 'RemoteDefaultGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Context.RemoteDefaultGroup', 
                [], [], 
                '''                Remote Default Group
                ''',
                'remote_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Table ID
                ''',
                'remote_table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                RD value
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-default-table', REFERENCE_CLASS, 'RpfDefaultTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Context.RpfDefaultTable', 
                [], [], 
                '''                RPF Default Table
                ''',
                'rpf_default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF ID
                ''',
                'rpf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF topology selection route-policy name
                ''',
                'rpf_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE MDT max aggregation
                ''',
                'rsvp_te_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Announce interval
                ''',
                'rsvp_te_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Switchover interval
                ''',
                'rsvp_te_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RSVP-TEMDT handle
                ''',
                'rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TEMDT MTU
                ''',
                'rsvp_te_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Name
                ''',
                'rsvp_te_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE RPF-ID
                ''',
                'rsvp_te_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-static-p2mp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Static P2MP-TE MDT
                ''',
                'rsvp_te_mdt_static_p2mp_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM is using MuRIB
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S,G Expiry Time Configured, in seconds
                ''',
                'sg_expiry_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S,G Expiry Timer Configured
                ''',
                'sg_expiry_timer_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-sg-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                S,G expiry timer ACL name
                ''',
                'sg_expiry_timer_sg_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('stale-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is stale
                ''',
                'stale_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-pim-data-mdt-tlv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress PIM Data-MDT TLV Announcements
                ''',
                'suppress_pim_data_mdt_tlv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-shared-tree-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress Shared-Tree Joins
                ''',
                'suppress_shared_tree_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of configured Tables
                ''',
                'table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('umh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Join UMH Core-Tree
                ''',
                'umh',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('valid-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is valid
                ''',
                'valid_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vpn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Index
                ''',
                'vpn_index',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('entry-flag', REFERENCE_ENUM_CLASS, 'PimTopologyEntryFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyEntryFlagEnum', 
                [], [], 
                '''                entry flag
                ''',
                'entry_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-entry-flag-route-count', REFERENCE_LIST, 'TopologyEntryFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface',
            False, 
            [
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-outgoing-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is outgoing Interface
                ''',
                'is_outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF Interface
                ''',
                'is_rpf_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-snoop-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is snooping Interface
                ''',
                'is_snoop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-address', REFERENCE_CLASS, 'RpfAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress', 
                [], [], 
                '''                RPF Address
                ''',
                'rpf_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth in Kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr', 
                [], [], 
                '''                Group ddress
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases',
            False, 
            [
            _MetaInfoClassMember('redirect-route-database', REFERENCE_LIST, 'RedirectRouteDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase', 
                [], [], 
                '''                PIM ECMP RPF-redirect route information
                ''',
                'redirect_route_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth allocated in Kbps
                ''',
                'allocated_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allocated-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Configured threshold in Kbps
                ''',
                'allocated_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth available in Kbps
                ''',
                'available_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Available threshold in Kbps
                ''',
                'available_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Bundle name
                ''',
                'bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Bundle interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect bundle name
                ''',
                'rpf_redirect_bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-interface-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect interface name
                ''',
                'rpf_redirect_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('snooping-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by snooped entries in Kbps
                ''',
                'snooping_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by topology in Kbps
                ''',
                'topology_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('total-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Total bandwidth used in Kbps
                ''',
                'total_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces',
            False, 
            [
            _MetaInfoClassMember('bundle-interface', REFERENCE_LIST, 'BundleInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle interface
                information
                ''',
                'bundle_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.RpfRedirect' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.RpfRedirect',
            False, 
            [
            _MetaInfoClassMember('bundle-interfaces', REFERENCE_CLASS, 'BundleInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle information
                ''',
                'bundle_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redirect-route-databases', REFERENCE_CLASS, 'RedirectRouteDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases', 
                [], [], 
                '''                PIM ECMP RPF-redirect route database
                ''',
                'redirect_route_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Tunnels' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Tunnels',
            False, 
            [
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel', 
                [], [], 
                '''                PIM tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSM flag
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop', 
                [], [], 
                '''                Next Hop
                ''',
                'nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes',
            False, 
            [
            _MetaInfoClassMember('multicast-static-route', REFERENCE_LIST, 'MulticastStaticRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'multicast_static_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.GroupMapMatchSources',
            False, 
            [
            _MetaInfoClassMember('group-map-match-source', REFERENCE_LIST, 'GroupMapMatchSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource', 
                [], [], 
                '''                PIM group-matching mapping entry with source
                information
                ''',
                'group_map_match_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Neighbors.Neighbor.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Neighbors.Neighbor.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Neighbors.Neighbor.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext.Neighbors' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Neighbors.Neighbor', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.DefaultContext' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.DefaultContext',
            False, 
            [
            _MetaInfoClassMember('auto-rp', REFERENCE_CLASS, 'AutoRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.AutoRp', 
                [], [], 
                '''                PIM Auto-RP information
                ''',
                'auto_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-afs', REFERENCE_CLASS, 'BgpAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BgpAfs', 
                [], [], 
                '''                PIM BGP SAFI table
                ''',
                'bgp_afs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-states', REFERENCE_CLASS, 'BidirDfStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BidirDfStates', 
                [], [], 
                '''                Bidirectional PIM DF election state table
                ''',
                'bidir_df_states',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-winners', REFERENCE_CLASS, 'BidirDfWinners' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.BidirDfWinners', 
                [], [], 
                '''                Bidirectional PIM DF election winner table
                ''',
                'bidir_df_winners',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Bsr', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Context', 
                [], [], 
                '''                PIM context information
                ''',
                'context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-interfaces', REFERENCE_CLASS, 'GlobalInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GlobalInterfaces', 
                [], [], 
                '''                PIM global interface table
                ''',
                'global_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Gre', 
                [], [], 
                '''                GRE information
                ''',
                'gre',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-rpfs', REFERENCE_CLASS, 'GroupMapMatchRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs', 
                [], [], 
                '''                Find matching group-mapping for the specified
                group address
                ''',
                'group_map_match_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-sources', REFERENCE_CLASS, 'GroupMapMatchSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapMatchSources', 
                [], [], 
                '''                Find the matching group-mapping with source
                information on specified group address
                ''',
                'group_map_match_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-rpfs', REFERENCE_CLASS, 'GroupMapRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapRpfs', 
                [], [], 
                '''                PIM group mapping information
                ''',
                'group_map_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-sources', REFERENCE_CLASS, 'GroupMapSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.GroupMapSources', 
                [], [], 
                '''                PIM group-mapping with source information
                ''',
                'group_map_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.IfrsInterfaces', 
                [], [], 
                '''                PIM interfaces in forward reference store table
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-summary', REFERENCE_CLASS, 'IfrsSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.IfrsSummary', 
                [], [], 
                '''                PIM interfaces in forward reference store
                summary
                ''',
                'ifrs_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.InterfaceOldFormats', 
                [], [], 
                '''                PIM interfaces in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-statistics', REFERENCE_CLASS, 'InterfaceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.InterfaceStatistics', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Interfaces', 
                [], [], 
                '''                PIM interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-statistics', REFERENCE_CLASS, 'JpStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.JpStatistics', 
                [], [], 
                '''                PIM join prune statistics table
                ''',
                'jp_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mib-databases', REFERENCE_CLASS, 'MibDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.MibDatabases', 
                [], [], 
                '''                PIM group database for mroute mibs table
                ''',
                'mib_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('multicast-static-routes', REFERENCE_CLASS, 'MulticastStaticRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes', 
                [], [], 
                '''                PIM multicast static route table
                ''',
                'multicast_static_routes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-old-formats', REFERENCE_CLASS, 'NeighborOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NeighborOldFormats', 
                [], [], 
                '''                PIM neighbor table old format
                ''',
                'neighbor_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-summaries', REFERENCE_CLASS, 'NeighborSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NeighborSummaries', 
                [], [], 
                '''                PIM neighbor summary table
                ''',
                'neighbor_summaries',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Neighbors', 
                [], [], 
                '''                PIM neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('net-io-tunnels', REFERENCE_CLASS, 'NetIoTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.NetIoTunnels', 
                [], [], 
                '''                Tunnel information that NETIO has 
                ''',
                'net_io_tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Ranges', 
                [], [], 
                '''                PIM range list information
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy', REFERENCE_CLASS, 'RoutePolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RoutePolicy', 
                [], [], 
                '''                PIM route policy
                ''',
                'route_policy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect', REFERENCE_CLASS, 'RpfRedirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RpfRedirect', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle
                ''',
                'rpf_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-summary', REFERENCE_CLASS, 'RpfSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.RpfSummary', 
                [], [], 
                '''                PIM RPF registration summary
                ''',
                'rpf_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safs', REFERENCE_CLASS, 'Safs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Safs', 
                [], [], 
                '''                SAFI table and type
                ''',
                'safs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Summary', 
                [], [], 
                '''                PIM summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-contexts', REFERENCE_CLASS, 'TableContexts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TableContexts', 
                [], [], 
                '''                PIM table context list
                ''',
                'table_contexts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Topologies', 
                [], [], 
                '''                PIM topology table
                ''',
                'topologies',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-entry-flag-route-counts', REFERENCE_CLASS, 'TopologyEntryFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-flag-route-counts', REFERENCE_CLASS, 'TopologyInterfaceFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with interface flag set
                ''',
                'topology_interface_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-route-count', REFERENCE_CLASS, 'TopologyRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TopologyRouteCount', 
                [], [], 
                '''                Topology route count information from PIM
                topology table
                ''',
                'topology_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.TrafficCounters', 
                [], [], 
                '''                PIM message traffic counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext.Tunnels', 
                [], [], 
                '''                Tunnels information that PIM has
                ''',
                'tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'default-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Process.CheckpointStatistics.CheckpointTable' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Process.CheckpointStatistics.CheckpointTable',
            False, 
            [
            _MetaInfoClassMember('is-mirrored', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table mirrored
                ''',
                'is_mirrored',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('statistic', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Stats array
                ''',
                'statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table description
                ''',
                'table_description',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'checkpoint-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Process.CheckpointStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Process.CheckpointStatistics',
            False, 
            [
            _MetaInfoClassMember('checkpoint-table', REFERENCE_LIST, 'CheckpointTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Process.CheckpointStatistics.CheckpointTable', 
                [], [], 
                '''                Array of chkpt table stats
                ''',
                'checkpoint_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'checkpoint-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Process.Nsr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Process.Nsr',
            False, 
            [
            _MetaInfoClassMember('count-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times connection went down
                ''',
                'count_connection_dn',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times connection went up
                ''',
                'count_connection_up',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Not Ready notif was sent
                ''',
                'count_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('count-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Ready notif was sent
                ''',
                'count_rmf_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when connection went down
                ''',
                'last_connection_dn',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when connection went up
                ''',
                'last_connection_up',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Not-Rdy notif was sent
                ''',
                'last_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Rdy notif was sent
                ''',
                'last_rmf_ready',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('partner-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partner process connected
                ''',
                'partner_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-notification-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RMF Notification done
                ''',
                'rmf_notification_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-timer-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time for RMF timer to expire
                ''',
                'rmf_timer_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rmf-timer-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RMF timer running ?
                ''',
                'rmf_timer_valid',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NSR state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Process.Summary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Process.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Process.Nsf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Process.Nsf',
            False, 
            [
            _MetaInfoClassMember('configured-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multicast NSF Configured
                ''',
                'configured_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last ICD Notif Recv
                ''',
                'last_icd_notif_recv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last ICD Notif Recv in Seconds
                ''',
                'last_icd_notif_recv_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-off', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time off
                ''',
                'last_nsf_off',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-off-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time OFF in Seconds
                ''',
                'last_nsf_off_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-on', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time ON
                ''',
                'last_nsf_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-nsf-on-sec', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time ON in Seconds
                ''',
                'last_nsf_on_sec',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we currently in NSF
                ''',
                'nsf_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF time left in seconds
                ''',
                'nsf_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF timeout in seconds
                ''',
                'nsf_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('respawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Respawn Count
                ''',
                'respawn_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('waiting-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Waiting for IGMP/MLD
                ''',
                'waiting_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('waiting-timer', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Waiting for NSF timer expiry
                ''',
                'waiting_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Process.Issu' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Process.Issu',
            False, 
            [
            _MetaInfoClassMember('checkpoint-idt-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when Checkpoint IDT done
                ''',
                'checkpoint_idt_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('eoc-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when EOC was received
                ''',
                'eoc_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ihms-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when IHMS done was received
                ''',
                'ihms_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('informationvalid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Information valid ?
                ''',
                'informationvalid',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-checkpoint-idt-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was Checkpoint IDT done ?
                ''',
                'is_checkpoint_idt_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-eoc-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was EOC received ?
                ''',
                'is_eoc_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ihms-done-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was IHMS done received ?
                ''',
                'is_ihms_done_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-nbr-sync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was NBR Sync achieved ?
                ''',
                'is_nbr_sync_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-sync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Was RIB Sync received ?
                ''',
                'is_rib_sync_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-ha-role-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last HA role nfn was received
                ''',
                'last_ha_role_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-issu-phase-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last ISSU Phase nfn was received
                ''',
                'last_issu_phase_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-issu-role-notification-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when last ISSU role nfn was received
                ''',
                'last_issu_role_notification_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nbr-sync-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when NBR Sync was achieved
                ''',
                'nbr_sync_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('phase-issu', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ISSU Phase
                ''',
                'phase_issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-sync-received-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RIB Sync was received
                ''',
                'rib_sync_received_timestamp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('role-ha', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                HA role
                ''',
                'role_ha',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('role-issu', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ISSU role
                ''',
                'role_issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Process' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Process',
            False, 
            [
            _MetaInfoClassMember('checkpoint-statistics', REFERENCE_CLASS, 'CheckpointStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Process.CheckpointStatistics', 
                [], [], 
                '''                Checkpoint Statistics
                ''',
                'checkpoint_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Process.Issu', 
                [], [], 
                '''                ISSU Information
                ''',
                'issu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Process.Nsf', 
                [], [], 
                '''                PIM NSF information
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Process.Nsr', 
                [], [], 
                '''                NSR Information
                ''',
                'nsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Process.Summary', 
                [], [], 
                '''                PIM Global Summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                PIM IFRS interface information
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('mask-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hash mask length
                ''',
                'mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-group', REFERENCE_LIST, 'RpfHashSourceGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-next-hop-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource',
            False, 
            [
            _MetaInfoClassMember('mofrr', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                MOFRR
                ''',
                'mofrr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-address', REFERENCE_CLASS, 'NextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress', 
                [], [], 
                '''                Next hop neighbor address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Next hop multipath enabled?
                ''',
                'next_hop_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-address', REFERENCE_CLASS, 'SecondaryNextHopAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress', 
                [], [], 
                '''                Secondary Next hop neighbor address
                ''',
                'secondary_next_hop_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Next hop neighbor interface
                ''',
                'secondary_next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source', REFERENCE_LIST, 'RpfHashSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource', 
                [], [], 
                '''                PIM RPF hash outcome for S,G
                ''',
                'rpf_hash_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-hash-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath',
            False, 
            [
            _MetaInfoClassMember('connector', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Connector Attribute
                ''',
                'connector',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the rpf interface disabled ?
                ''',
                'is_rpf_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-mlsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via Mstatic LSM
                ''',
                'is_via_mlsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF Interface
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-nexthop', REFERENCE_CLASS, 'RpfNexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop', 
                [], [], 
                '''                RPF nexthop
                ''',
                'rpf_nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf',
            False, 
            [
            _MetaInfoClassMember('registered-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Address for which RPF lookup
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('registered-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Address for which RPF lookup
                        ''',
                        'registered_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-bgp-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF through BGP route
                ''',
                'is_rpf_bgp_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address-xr', REFERENCE_CLASS, 'RegisteredAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_LIST, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath', 
                [], [], 
                '''                RPF Paths list
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs',
            False, 
            [
            _MetaInfoClassMember('rpf', REFERENCE_LIST, 'Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf', 
                [], [], 
                '''                PIM RPF information
                ''',
                'rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf',
            False, 
            [
            _MetaInfoClassMember('rpf-hash-source-groups', REFERENCE_CLASS, 'RpfHashSourceGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_source_groups',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-hash-sources', REFERENCE_CLASS, 'RpfHashSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources', 
                [], [], 
                '''                PIM RPF multipath hash outcome
                ''',
                'rpf_hash_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpfs', REFERENCE_CLASS, 'Rpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs', 
                [], [], 
                '''                PIM RPF information table
                ''',
                'rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name 
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name 
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'saf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Safs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Safs',
            False, 
            [
            _MetaInfoClassMember('saf', REFERENCE_LIST, 'Saf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf', 
                [], [], 
                '''                SAF name 
                ''',
                'saf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'safs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Ack Messages
                ''',
                'input_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Graft Messages
                ''',
                'input_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-miscellaneous', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Miscellaneous packet in
                ''',
                'input_miscellaneous',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets in
                ''',
                'input_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-ack-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Ack Messages
                ''',
                'output_graft_ack_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-graft-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Graft Messages
                ''',
                'output_graft_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register packets out
                ''',
                'output_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.InterfaceStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.InterfaceStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-statistic', REFERENCE_LIST, 'InterfaceStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TopologyRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TopologyRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TopologyRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TopologyRouteCount',
            False, 
            [
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TopologyRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.JpStatistics.JpStatistic' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.JpStatistics.JpStatistic',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Received
                ''',
                'received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 100 average
                ''',
                'received100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 10K average
                ''',
                'received_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received 1K average
                ''',
                'received_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('received-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Received100
                ''',
                'received_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transmitted
                ''',
                'transmitted',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted100', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 100 average
                ''',
                'transmitted100',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-10k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 10K average
                ''',
                'transmitted_10k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-1k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmitted 1K average
                ''',
                'transmitted_1k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('transmitted-50k', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated by Transmitted100
                ''',
                'transmitted_50k',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.JpStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.JpStatistics',
            False, 
            [
            _MetaInfoClassMember('jp-statistic', REFERENCE_LIST, 'JpStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.JpStatistics.JpStatistic', 
                [], [], 
                '''                PIM Join Prune Statistics
                ''',
                'jp_statistic',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'jp-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase',
            False, 
            [
            _MetaInfoClassMember('assert-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric
                ''',
                'assert_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert Metric Preference
                ''',
                'assert_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-rpt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Assert RPT Bit
                ''',
                'assert_rpt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidirectional-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Bidir ?
                ''',
                'bidirectional_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast satic route group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast satic route group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface name 
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mask of the multicast root
                ''',
                'rpf_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor', 
                [], [], 
                '''                The RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Multicast static route source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Multicast static route source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-netmask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source mask
                ''',
                'source_netmask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SPT bit set ?
                ''',
                'spt_bit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('upstream-assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Upstream Assert Timer
                ''',
                'upstream_assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime of route
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.MibDatabases',
            False, 
            [
            _MetaInfoClassMember('mib-database', REFERENCE_LIST, 'MibDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'mib_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'mib-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-match-rpf', REFERENCE_LIST, 'GroupMapMatchRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf', 
                [], [], 
                '''                PIM group matching mapping entry
                ''',
                'group_map_match_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats',
            False, 
            [
            _MetaInfoClassMember('neighbor-old-format', REFERENCE_LIST, 'NeighborOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.IfrsSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.IfrsSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration counts
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ifrs-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange',
            False, 
            [
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client-xr', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt via
                ''',
                'client_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When mapping expires
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-range', REFERENCE_LIST, 'GroupRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange', 
                [], [], 
                '''                List of group ranges
                ''',
                'group_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.RpAddressXr', 
                [], [], 
                '''                Rendezvous point address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.SourceOfInformation', 
                [], [], 
                '''                Source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Ranges' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range', 
                [], [], 
                '''                PIM range list information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-prefix-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag',
            False, 
            [
            _MetaInfoClassMember('candidate-rp-address', REFERENCE_CLASS, 'CandidateRpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress', 
                [], [], 
                '''                C-RP address
                ''',
                'candidate_rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Expires
                ''',
                'candidate_rp_expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Holdtime
                ''',
                'candidate_rp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-RP Priority
                ''',
                'candidate_rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                C-RP Uptime
                ''',
                'candidate_rp_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                PIM Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-bsr-crp-bag',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList',
            False, 
            [
            _MetaInfoClassMember('pim-bsr-crp-bag', REFERENCE_LIST, 'PimBsrCrpBag' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag', 
                [], [], 
                '''                pim bsr crp bag
                ''',
                'pim_bsr_crp_bag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache',
            False, 
            [
            _MetaInfoClassMember('group-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group prefix
                ''',
                'group_prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group prefix
                        ''',
                        'group_prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('candidate-rp-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                C-RP count for this Prefix
                ''',
                'candidate_rp_group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-list', REFERENCE_CLASS, 'CandidateRpList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList', 
                [], [], 
                '''                C-RP list for this prefix
                ''',
                'candidate_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Group Prefix Length
                ''',
                'group_prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-prefix-xr', REFERENCE_CLASS, 'GroupPrefixXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr', 
                [], [], 
                '''                Group Prefix
                ''',
                'group_prefix_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-cache',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches',
            False, 
            [
            _MetaInfoClassMember('rp-cache', REFERENCE_LIST, 'RpCache' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache', 
                [], [], 
                '''                PIM BSR RP cache
                ''',
                'rp_cache',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-caches',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess',
            False, 
            [
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'crp-access',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp',
            False, 
            [
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Candidate-RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Candidate-RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Group Access-List Name
                ''',
                'acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp', REFERENCE_CLASS, 'CandidateRp_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_', 
                [], [], 
                '''                Cand-RP Address
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-advance-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Adv Interval in seconds
                ''',
                'candidate_rp_advance_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-mode', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Cand-RP Mode
                ''',
                'candidate_rp_mode',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Cand-RP Scope
                ''',
                'candidate_rp_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP uptime
                ''',
                'candidate_rp_uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-access', REFERENCE_LIST, 'CrpAccess' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess', 
                [], [], 
                '''                Group Ranges Using this Cand-RP
                ''',
                'crp_access',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('crp-holdtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cand-RP Holdtime
                ''',
                'crp_holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('crp-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Cand-RP Priority
                ''',
                'crp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps',
            False, 
            [
            _MetaInfoClassMember('candidate-rp', REFERENCE_LIST, 'CandidateRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp', 
                [], [], 
                '''                PIM BSR candidate RP information
                ''',
                'candidate_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-rps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'candidate-bsr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection',
            False, 
            [
            _MetaInfoClassMember('pim-scope', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BSR information
                ''',
                'pim_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('bootstrap-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bootstrap Timeout
                ''',
                'bootstrap_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-address', REFERENCE_CLASS, 'BsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress', 
                [], [], 
                '''                BSR address
                ''',
                'bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-election-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Election State
                ''',
                'bsr_election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hash Function Mask Length
                ''',
                'bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BSR Priority
                ''',
                'bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-scope', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Scope
                ''',
                'bsr_scope',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                BSR Uptime
                ''',
                'bsr_up_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-address', REFERENCE_CLASS, 'CandidateBsrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress', 
                [], [], 
                '''                C-BSR address
                ''',
                'candidate_bsr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BSR Candidate Config Flag
                ''',
                'candidate_bsr_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-mask-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Hash Func. Mask Len
                ''',
                'candidate_bsr_mask_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                C-BSR Priority
                ''',
                'candidate_bsr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-bsr-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BSR Candidate State
                ''',
                'candidate_bsr_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-election',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections',
            False, 
            [
            _MetaInfoClassMember('bsr-election', REFERENCE_LIST, 'BsrElection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr-elections',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Bsr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Bsr',
            False, 
            [
            _MetaInfoClassMember('bsr-elections', REFERENCE_CLASS, 'BsrElections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections', 
                [], [], 
                '''                PIM BSR election state
                ''',
                'bsr_elections',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('candidate-rps', REFERENCE_CLASS, 'CandidateRps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps', 
                [], [], 
                '''                PIM candidate-RP
                ''',
                'candidate_rps',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-caches', REFERENCE_CLASS, 'RpCaches' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches', 
                [], [], 
                '''                PIM BSR RP cache table
                ''',
                'rp_caches',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics',
            False, 
            [
            _MetaInfoClassMember('any-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in any Table
                ''',
                'any_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup in default-only Table
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF drops
                ''',
                'drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of RPF lookup requests
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default table selected
                ''',
                'default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ext-comm', ATTRIBUTE, 'str' , None, None, 
                [(1, 8)], [], 
                '''                Extended Community
                ''',
                'ext_comm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extended-community-rt', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Route Target
                ''',
                'extended_community_rt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pass', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pass
                ''',
                'pass_',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF policy name
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table active
                ''',
                'table_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Table exists
                ''',
                'table_exists',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-test',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests',
            False, 
            [
            _MetaInfoClassMember('route-policy-test', REFERENCE_LIST, 'RoutePolicyTest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest', 
                [], [], 
                '''                PIM route policy test run
                ''',
                'route_policy_test',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy-tests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy',
            False, 
            [
            _MetaInfoClassMember('route-policy-statistics', REFERENCE_CLASS, 'RoutePolicyStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics', 
                [], [], 
                '''                PIM route policy statistics
                ''',
                'route_policy_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy-tests', REFERENCE_CLASS, 'RoutePolicyTests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests', 
                [], [], 
                '''                PIM route policy test run table
                ''',
                'route_policy_tests',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RpfSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RpfSummary',
            False, 
            [
            _MetaInfoClassMember('default-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default RPF Table SAFI
                ''',
                'default_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('default-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default RPF Table Name
                ''',
                'default_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-mtr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS MTR configured?
                ''',
                'is_isis_mtr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-isis-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is ISIS TE configured?
                ''',
                'is_isis_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mbgp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MBGP configured?
                ''',
                'is_mbgp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Enabled ?
                ''',
                'is_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-interface-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Interface Hash Extension Enabled ?
                ''',
                'is_multipath_interface_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source based Hash Enabled ?
                ''',
                'is_multipath_source_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multipath-source-next-hop-hash-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multipath Source-Nexthop Hash Enabled ?
                ''',
                'is_multipath_source_next_hop_hash_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ospf-te-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is OSPF TE configured?
                ''',
                'is_ospf_te_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR configured?
                ''',
                'mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence time left in seconds
                ''',
                'rib_convergence_time_left',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-convergence-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB convergence timeout in seconds
                ''',
                'rib_convergence_timeout',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR RIB configured?
                ''',
                'rib_mo_frr_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RUMP MuRIB enabled?
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface.DrAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface.DrAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'dr-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('are-we-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the DR on this IF ?
                ''',
                'are_we_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BFD state
                ''',
                'bfd_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Override Interval
                ''',
                'configured_override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured-propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Configured Propagation Delay
                ''',
                'configured_propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-address', REFERENCE_CLASS, 'DrAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface.DrAddress', 
                [], [], 
                '''                PIM Designated Router
                ''',
                'dr_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR Priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('external-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of external neighbors on this IF
                ''',
                'external_neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('generation-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation Identifier
                ''',
                'generation_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Timer Expiry
                ''',
                'hello_expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Hello Interval
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Interface ole ACL Name
                ''',
                'idb_acl_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-acl-provided', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL name provided
                ''',
                'idb_acl_provided',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-current-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole current count
                ''',
                'idb_current_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-max-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole max count
                ''',
                'idb_max_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-oor-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface oor enabled
                ''',
                'idb_oor_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('idb-threshold-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ole threshold count
                ''',
                'idb_threshold_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address', REFERENCE_LIST, 'InterfaceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress', 
                [], [], 
                '''                List of Interface IP Addresses
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-address-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface IP Address Mask
                ''',
                'interface_address_mask',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identfier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Batch Asserts Capable
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bidir Capable
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM enabled on this IF ?
                ''',
                'is_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Proxy Capable
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('join-prune-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Join-Prune Interval
                ''',
                'join_prune_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                No. of neighbors on this IF
                ''',
                'neighbor_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Passive PIM interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prune-delay-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prune Delay Enabled
                ''',
                'prune_delay_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('virtual-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 is this a Virtual Interfaces ?
                ''',
                'virtual_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Interfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface', 
                [], [], 
                '''                PIM interface name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels',
            False, 
            [
            _MetaInfoClassMember('net-io-tunnel', REFERENCE_LIST, 'NetIoTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel', 
                [], [], 
                '''                PIM netio tunnel information
                ''',
                'net_io_tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'net-io-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState',
            False, 
            [
            _MetaInfoClassMember('election-state', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                DF Election State
                ''',
                'election_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'our_metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('our-metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MetricPreference
                ''',
                'our_metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-nano-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (nseconds)
                ''',
                'time_nano_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('time-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timer expires (seconds)
                ''',
                'time_seconds',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates',
            False, 
            [
            _MetaInfoClassMember('bidir-df-state', REFERENCE_LIST, 'BidirDfState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState', 
                [], [], 
                '''                Bidirectional PIM DF Election Table Entry
                ''',
                'bidir_df_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-states',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'secondary-rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfRoot' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfRoot',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-root',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.ProxyAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.ProxyAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'proxy-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'orig-src-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'assert-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface',
            False, 
            [
            _MetaInfoClassMember('admin-boundary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an administrative boundary ?
                ''',
                'admin_boundary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Assert Timer in seconds
                ''',
                'assert_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assert-winner', REFERENCE_CLASS, 'AssertWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner', 
                [], [], 
                '''                Assert Winner
                ''',
                'assert_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C-Mcast join
                ''',
                'bgp_c_mcast_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-c-mcast-prune-delay-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C-MCAST Prune Suppression in seconds
                ''',
                'bgp_c_mcast_prune_delay_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('data-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Data MDT join
                ''',
                'data_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this an Extranet Interface ?
                ''',
                'extranet_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('forwarding-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Forward or Prune
                ''',
                'forwarding_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('igmp-membership', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGMP membership
                ''',
                'igmp_membership',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('immediate-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Immediate fwding state
                ''',
                'immediate_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('internal-interest-info', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Internal Interest
                ''',
                'internal_interest_info',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune State
                ''',
                'jp_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer (secs)
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-mdt-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default MDT Join
                ''',
                'local_mdt_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('local-members', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Local Information
                ''',
                'local_members',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Safi join
                ''',
                'mdt_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-inband-mdt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Inband MDT interface
                ''',
                'mldp_inband_mdt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OLE is stale
                ''',
                'mldp_stale',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvp-nv6-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN IPv6 Safi join
                ''',
                'mvp_nv6_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mvpn-safi-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MVPN Safi join
                ''',
                'mvpn_safi_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-prune', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA Prune state
                ''',
                'sa_prune',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF which physically owns
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'outgoing-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('alive', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Alive time in seconds (-1 if never)
                ''',
                'alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group matches Anycast-RP policy
                ''',
                'anycast_rp_match',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Anycast-RP RT
                ''',
                'anycast_rp_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('assume-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Assume Alive Bit
                ''',
                'assume_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP C JOIN
                ''',
                'bgp_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgpjp-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BGP C JP Time
                ''',
                'bgpjp_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Connected ?
                ''',
                'connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('customer-routing-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Type of Customer Routing in the MVPN
                ''',
                'customer_routing_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('dont-check-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do we need to make the connected check on this
                route ?
                ''',
                'dont_check_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                When this entry expires
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('extranet-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is a Extranet route ?
                ''',
                'extranet_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit Alive Bit
                ''',
                'inherit_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inherit-spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Inherit SPT Bit
                ''',
                'inherit_spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-status', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Status
                ''',
                'jp_status',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Join-Prune Timer
                ''',
                'jp_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('last-hop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we last hop ?
                ''',
                'last_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have we throttled the creation of routes or
                interfaces ?
                ''',
                'limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is MoFRR Active?
                ''',
                'mofrr_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Backup?
                ''',
                'mofrr_backup',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'mofrr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mofrr-primary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this Mofrr Primary?
                ''',
                'mofrr_primary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('orig-src-address', REFERENCE_CLASS, 'OrigSrcAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress', 
                [], [], 
                '''                Orig Src Address.
                ''',
                'orig_src_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outgoing-interface', REFERENCE_LIST, 'OutgoingInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('probe-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Probe Alive Bit
                ''',
                'probe_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                The PIM protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RPF target a proxy?
                ''',
                'proxy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('proxy-address', REFERENCE_CLASS, 'ProxyAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.ProxyAddress', 
                [], [], 
                '''                RPF Proxy address.
                ''',
                'proxy_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('really-alive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The Really Alive Bit
                ''',
                'really_alive',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Have registers been received for this source ?
                ''',
                'register_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-received-timer', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Register Received Timer in seconds (-1 if never)
                ''',
                'register_received_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-source', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MSDP told us
                ''',
                'remote_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rib-mo-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this SG MoFRR enabled?
                ''',
                'rib_mo_frr_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpAddress', 
                [], [], 
                '''                RP Address (If rpt)
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-drop', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RPF route-policy drop
                ''',
                'rpf_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-extranet', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Extranet RPF route-policy
                ''',
                'rpf_extranet',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfNeighbor', 
                [], [], 
                '''                RPF Neighbor
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-proxy-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is rpf if proxy enabled?
                ''',
                'rpf_proxy_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-root', REFERENCE_CLASS, 'RpfRoot' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfRoot', 
                [], [], 
                '''                Root of this mcast tree
                ''',
                'rpf_root',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Unicast or mcast
                ''',
                'rpf_safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF Table name
                ''',
                'rpf_table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RPT bit
                ''',
                'rpt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpt-xr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the RPT ?
                ''',
                'rpt_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-joined', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA join
                ''',
                'sa_joined',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA received
                ''',
                'sa_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sa-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP SA sent
                ''',
                'sa_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Secondary Interface Identifier
                ''',
                'secondary_rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('secondary-rpf-neighbor', REFERENCE_CLASS, 'SecondaryRpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor', 
                [], [], 
                '''                Secondary RPF Neighbor
                ''',
                'secondary_rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-null-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending null registers for this route ?
                ''',
                'sending_null_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sending-registers', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we sending registers for this route ?
                ''',
                'sending_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('signal-sources', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Signal Sources on route?
                ''',
                'signal_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.SourceAddressXr', 
                [], [], 
                '''                Source Address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('spt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this on the SPT ?
                ''',
                'spt',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-registers', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                When the Null register probe expires
                ''',
                'suppress_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vxlan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this VXLAN?
                ''',
                'vxlan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('wildcard', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                WC -Wildcard
                ''',
                'wildcard',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Topologies' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology', 
                [], [], 
                '''                PIM topology information
                ''',
                'topology',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Source' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Source',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Group' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Group',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.NextHop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.NextHop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf',
            False, 
            [
            _MetaInfoClassMember('extranet-path-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of dependent extranet paths
                ''',
                'extranet_path_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group', REFERENCE_CLASS, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Group', 
                [], [], 
                '''                Group address
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group IP address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group IP address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('is-bgp-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SAFI learnt from BGP
                ''',
                'is_bgp_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('next-hop', REFERENCE_CLASS, 'NextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.NextHop', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [(0, 256)], [], 
                '''                Router ID
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source', REFERENCE_CLASS, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Source', 
                [], [], 
                '''                Source address
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source IP address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source IP address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-af',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BgpAfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BgpAfs',
            False, 
            [
            _MetaInfoClassMember('bgp-af', REFERENCE_LIST, 'BgpAf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf', 
                [], [], 
                '''                PIM BGP SAFI information
                ''',
                'bgp_af',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bgp-afs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.AutoRp' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.AutoRp',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'auto-rp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('interface-flag', REFERENCE_ENUM_CLASS, 'PimTopologyInterfaceFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyInterfaceFlagEnum', 
                [], [], 
                '''                Interface flag
                ''',
                'interface_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-interface-flag-route-count', REFERENCE_LIST, 'TopologyInterfaceFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount', 
                [], [], 
                '''                Route count for topology with interface flag
                set
                ''',
                'topology_interface_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-interface-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP Priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources',
            False, 
            [
            _MetaInfoClassMember('group-map-source', REFERENCE_LIST, 'GroupMapSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource', 
                [], [], 
                '''                PIM Group Mapping Entry with source information
                ''',
                'group_map_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState',
            False, 
            [
            _MetaInfoClassMember('max-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum size of queue in bytes
                ''',
                'max_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in bytes
                ''',
                'queue_size_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('queue-size-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of queue in number of packets
                ''',
                'queue_size_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-state',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats',
            False, 
            [
            _MetaInfoClassMember('dequeued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets dequeued from this queue
                ''',
                'dequeued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('enqueued-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of packets enqueued to this queue
                ''',
                'enqueued_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of bytes enqueued in this queue
                ''',
                'high_water_mark_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('high-water-mark-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest number of packets enqueued in this queue
                ''',
                'high_water_mark_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tail-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number packets dropped from this queue due to
                max size
                ''',
                'tail_drops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue',
            False, 
            [
            _MetaInfoClassMember('packet-queue-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Priority of this packet queue
                ''',
                'packet_queue_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-state', REFERENCE_CLASS, 'PacketQueueState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState', 
                [], [], 
                '''                State of the queue
                ''',
                'packet_queue_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-stats', REFERENCE_CLASS, 'PacketQueueStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats', 
                [], [], 
                '''                Statistics about the queue
                ''',
                'packet_queue_stats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'packet-queue',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('boundary-acl-rx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inc. JP dropped since boundary ACL confg
                ''',
                'boundary_acl_rx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('boundary-acl-tx-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Out JP dropped since boundary ACL confg
                ''',
                'boundary_acl_tx_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('checksum-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters in seconds
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('format-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets in
                ''',
                'input_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets in
                ''',
                'input_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input BSR Messages
                ''',
                'input_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Candidate-RP Advertisment
                ''',
                'input_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets in
                ''',
                'input_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets in
                ''',
                'input_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input Ecmp Redirect
                ''',
                'input_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets in
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets in
                ''',
                'input_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-idb-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No IDB for intf error
                ''',
                'input_no_idb_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-pim-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM Disabled on intf error
                ''',
                'input_no_pim_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-no-vrf-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No VRF for idb error
                ''',
                'input_no_vrf_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets in
                ''',
                'input_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-pim-version-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid PIM version error
                ''',
                'input_pim_version_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('input-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets in
                ''',
                'input_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'inputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-destination-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Control Packets with Invalid Destination
                ''',
                'invalid_destination_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-join-prunes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid Join/Prunes received
                ''',
                'invalid_join_prunes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('invalid-registers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM invalid registers received
                ''',
                'invalid_registers',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-local-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to local source
                addr
                ''',
                'mdt_drop_local_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to idb missing
                ''',
                'mdt_drop_no_idb',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-no-vrf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to vrf missing
                ''',
                'mdt_drop_no_vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-drop-null-local-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join msgs dropped due to null local
                addr
                ''',
                'mdt_drop_null_local_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-bad-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT TLV bad type
                ''',
                'mdt_join_bad_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-received', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs received
                ''',
                'mdt_join_tlv_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-join-tlv-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Join Msgs sent
                ''',
                'mdt_join_tlv_sent',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-joins-drop-multiple-encapsulation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Join msgs dropped due to multiple Encap
                limitation
                ''',
                'mdt_joins_drop_multiple_encapsulation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since mdt send queue was full
                ''',
                'mdt_send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Socket errors
                ''',
                'mdt_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-invalid-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Invalid LSM ID
                ''',
                'mldp_mdt_invalid_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-mdt-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no mdt socket connection
                ''',
                'no_mdt_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('no-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no source address
                ''',
                'no_source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-supported-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM non supported pckets
                ''',
                'non_supported_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Assert packets out
                ''',
                'output_assert',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-assert-batched', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batched Assert packets out
                ''',
                'output_assert_batched',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-bsr-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output BSR Messages
                ''',
                'output_bsr_message',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-candidate-rp-advertisement', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Candidate-RP Advertisment
                ''',
                'output_candidate_rp_advertisement',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-data-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data Register packets out
                ''',
                'output_data_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-df-election', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DF Election packets out
                ''',
                'output_df_election',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-ecmp-redirect', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Ecmp Redirect
                ''',
                'output_ecmp_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello packets out
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-hello-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Hello Bytes
                ''',
                'output_hello_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Join Groups
                ''',
                'output_join_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-join-prune-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output JP Bytes
                ''',
                'output_join_prune_bytes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-jp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join Prune packets out
                ''',
                'output_jp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-loop-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output on loopback error
                ''',
                'output_loop_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-null-register', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Null Register packets out
                ''',
                'output_null_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-prune-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output Prune Groups
                ''',
                'output_prune_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('output-register-stop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Register Stop packets out
                ''',
                'output_register_stop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('outputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'outputs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-dequeued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dequeued per priority Deprecated by
                PacketQueue
                ''',
                'packet_dequeued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-enqueued', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Enqueued per priority Deprecated by
                PacketQueue
                ''',
                'packet_enqueued',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-packman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Pakman Error
                ''',
                'packet_packman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue', REFERENCE_LIST, 'PacketQueue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue', 
                [], [], 
                '''                Packet queue state and statistics
                ''',
                'packet_queue',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-last-clear', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last clear of all
                packet queues stats
                ''',
                'packet_queue_last_clear',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-queue-length', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Length per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-queue-size', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Queue Size per priority Deprecated by
                PacketQueue
                ''',
                'packet_queue_size',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packet-read-socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Read Socket Error
                ''',
                'packet_read_socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('packet-tail-drop', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet Tail Drop per priority Deprecated by
                PacketQueue
                ''',
                'packet_tail_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False, max_elements=2),
            _MetaInfoClassMember('packets-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets Dropped due to Standby Error
                ''',
                'packets_standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pakman-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Pakman packets dropped
                ''',
                'pakman_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('send-queue-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since send queue was full
                ''',
                'send_queue_full',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('socket-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors
                ''',
                'socket_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby-packets-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received in standby state
                ''',
                'standby_packets_error',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('truncated-pim-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped due to truncated Joins or Prunes
                ''',
                'truncated_pim_packets',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf',
            False, 
            [
            _MetaInfoClassMember('are-we-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we the RP?
                ''',
                'are_we_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimClientEnum', 
                [], [], 
                '''                Client
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Prefix
                        ''',
                        'prefix',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RP priority
                ''',
                'rp_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF interface to the RP
                ''',
                'rpf_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-neighbor', REFERENCE_CLASS, 'RpfNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor', 
                [], [], 
                '''                RPF neighbor to the RP
                ''',
                'rpf_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF VRF Name
                ''',
                'rpf_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs',
            False, 
            [
            _MetaInfoClassMember('group-map-rpf', REFERENCE_LIST, 'GroupMapRpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf', 
                [], [], 
                '''                PIM group mapping entry
                ''',
                'group_map_rpf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-rpfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Summary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Summary',
            False, 
            [
            _MetaInfoClassMember('bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current crp-set count from BSR
                ''',
                'bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum crp-set from BSR
                ''',
                'bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold crp-set from BSR
                ''',
                'bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-range-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold group range from BSR
                ''',
                'bsr_range_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from BSR
                ''',
                'bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from BSR
                ''',
                'bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-auto-rp-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Auto-RP maximum group ranges
                ''',
                'global_auto_rp_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current crp-set count
                ''',
                'global_bsr_candidate_rp_set_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum crp-set
                ''',
                'global_bsr_candidate_rp_set_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-candidate-rp-set-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold crp-set
                ''',
                'global_bsr_candidate_rp_set_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR current group ranges
                ''',
                'global_bsr_ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR maximum group ranges
                ''',
                'global_bsr_ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-bsr-ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global BSR Threshold group ranges
                ''',
                'global_bsr_ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('global-register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum global registers
                ''',
                'global_register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bsr-ranges-threshold-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VRF-specific BSR group-to-RP mapping range
                creation throttled
                ''',
                'is_bsr_ranges_threshold_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-auto-rp-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global AutoRP group-to-RP mapping range
                creation throttled
                ''',
                'is_global_auto_rp_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-bsr-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BSR group-to-RP mapping range creation
                throttled
                ''',
                'is_global_bsr_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global PIM SM register handling throttled
                ''',
                'is_global_register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global route creation throttled
                ''',
                'is_global_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-global-rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global interface creation throttled
                ''',
                'is_global_rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-maximum-enforcement-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_maximum_enforcement_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ranges-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Auto-RP group-to-RP mapping range creation
                throttled
                ''',
                'is_ranges_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-route-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is route creation throttled
                ''',
                'is_route_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current group ranges from Autorp
                ''',
                'ranges_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum group ranges from Autorp
                ''',
                'ranges_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OOR theshold of grange ranges from AutoRP
                ''',
                'ranges_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current registers
                ''',
                'register_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum registers
                ''',
                'register_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PIM SM register handling throttled
                ''',
                'register_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('register-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold registers
                ''',
                'register_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current routes
                ''',
                'route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum routes
                ''',
                'route_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of routes below which the throttle on
                route creation will be lifted
                ''',
                'route_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Threshold routes
                ''',
                'route_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface creation throttled
                ''',
                'rxi_limit_reached',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rxi-low-water-mark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The rxi below which the throttle on interface
                creation will be lifted
                ''',
                'rxi_low_water_mark',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Topology Interface State count
                ''',
                'topology_interface_state_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Topology Interface State count
                ''',
                'topology_interface_state_limit',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-state-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Topology Interface State threshold
                ''',
                'topology_interface_state_threshold',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreHashes.GreHash' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Gre.GreHashes.GreHash',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('ifname', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Tunnel Interface
                ''',
                'ifname',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('next-hop-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop neighbor interface
                ''',
                'next_hop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hash',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreHashes' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Gre.GreHashes',
            False, 
            [
            _MetaInfoClassMember('gre-hash', REFERENCE_LIST, 'GreHash' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreHashes.GreHash', 
                [], [], 
                '''                PIM GRE Hashed Underlying Interface
                ''',
                'gre_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-hashes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'registered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath',
            False, 
            [
            _MetaInfoClassMember('extranet-vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                Extranet VRF name
                ''',
                'extranet_vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                GRE Interface
                ''',
                'gre_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-neighbor', REFERENCE_CLASS, 'GreNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor', 
                [], [], 
                '''                GRE neighbor
                ''',
                'gre_neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hop', REFERENCE_CLASS, 'GreNextHop_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_', 
                [], [], 
                '''                GRE nexthop
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connector-attribute-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Connector attribute present
                ''',
                'is_connector_attribute_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gre-interface-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the gre interface disabled ?
                ''',
                'is_gre_interface_disabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Via LSM
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop',
            False, 
            [
            _MetaInfoClassMember('destination-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                GRE destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        GRE destination address
                        ''',
                        'destination_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('gre-path', REFERENCE_LIST, 'GrePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath', 
                [], [], 
                '''                GRE Paths list
                ''',
                'gre_path',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Are we connected ?
                ''',
                'is_connected',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('registered-address', REFERENCE_CLASS, 'RegisteredAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress', 
                [], [], 
                '''                Address registered
                ''',
                'registered_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops',
            False, 
            [
            _MetaInfoClassMember('gre-next-hop', REFERENCE_LIST, 'GreNextHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop', 
                [], [], 
                '''                PIM GRE address next-hop information
                ''',
                'gre_next_hop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre-next-hops',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Gre' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Gre',
            False, 
            [
            _MetaInfoClassMember('gre-hashes', REFERENCE_CLASS, 'GreHashes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreHashes', 
                [], [], 
                '''                GRE hash
                ''',
                'gre_hashes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre-next-hops', REFERENCE_CLASS, 'GreNextHops' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops', 
                [], [], 
                '''                GRE destination neighbor table
                ''',
                'gre_next_hops',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'gre',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner',
            False, 
            [
            _MetaInfoClassMember('are-we-df', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we DF
                ''',
                'are_we_df',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('df-winner', REFERENCE_CLASS, 'DfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner', 
                [], [], 
                '''                DF Winner
                ''',
                'df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('metric-preference', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Preference
                ''',
                'metric_preference',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface Name
                ''',
                'pim_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                RP address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('rp-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        RP address
                        ''',
                        'rp_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('rp-address-xr', REFERENCE_CLASS, 'RpAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-lan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the RP LAN
                ''',
                'rp_lan',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winner',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners',
            False, 
            [
            _MetaInfoClassMember('bidir-df-winner', REFERENCE_LIST, 'BidirDfWinner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner', 
                [], [], 
                '''                Bidirectional PIM DF election table entry
                ''',
                'bidir_df_winner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bidir-df-winners',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TableContexts.TableContext' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TableContexts.TableContext',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('saf-name', REFERENCE_ENUM_CLASS, 'PimSafiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimSafiEnum', 
                [], [], 
                '''                SAF name
                ''',
                'saf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Topology name
                ''',
                'topology_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TableContexts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TableContexts',
            False, 
            [
            _MetaInfoClassMember('table-context', REFERENCE_LIST, 'TableContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TableContexts.TableContext', 
                [], [], 
                '''                PIM table context information
                ''',
                'table_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'table-contexts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NeighborSummaries.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NeighborSummaries.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('number-of-external-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of external neighbors
                ''',
                'number_of_external_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('number-of-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of neighbors
                ''',
                'number_of_neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.NeighborSummaries' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.NeighborSummaries',
            False, 
            [
            _MetaInfoClassMember('neighbor-summary', REFERENCE_LIST, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NeighborSummaries.NeighborSummary', 
                [], [], 
                '''                PIM neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Context.RemoteDefaultGroup' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Context.RemoteDefaultGroup',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'remote-default-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Context.RpfDefaultTable' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Context.RpfDefaultTable',
            False, 
            [
            _MetaInfoClassMember('afi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active status
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ital-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ITAL reg status
                ''',
                'is_ital_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence status
                ''',
                'is_rib_convergence',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-convergence-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Convergence receive status
                ''',
                'is_rib_convergence_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-registration-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB reg status
                ''',
                'is_rib_registration_done',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-registrations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF Registration count
                ''',
                'rpf_registrations',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SAFI
                ''',
                'safi',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Table name
                ''',
                'table_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-default-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Context.ExportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Context.ExportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'export-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Context.ImportRouteTarget' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Context.ImportRouteTarget',
            False, 
            [
            _MetaInfoClassMember('anycast-rp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group
                ''',
                'anycast_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Group marked
                ''',
                'anycast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto Discovery
                ''',
                'bgp_auto_discovery',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Configured Route Target
                ''',
                'configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-target', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Route Target Extended community value
                ''',
                'route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('segment-border', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Border
                ''',
                'segment_border',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('update-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update Pending to BGP
                ''',
                'update_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'import-route-target',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Context.AnycastRpRange.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Context.AnycastRpRange.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Context.AnycastRpRange' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Context.AnycastRpRange',
            False, 
            [
            _MetaInfoClassMember('ancast-rp-marked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP Range marked
                ''',
                'ancast_rp_marked',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Context.AnycastRpRange.Prefix', 
                [], [], 
                '''                Anycast-RP Range Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Anycast-RP Range Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'anycast-rp-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Context' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Context',
            False, 
            [
            _MetaInfoClassMember('active-table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of active Tables
                ''',
                'active_table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Allow RP Configured
                ''',
                'allow_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-group-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP Group-List ACL Name
                ''',
                'allow_rp_group_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allow-rp-rp-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                Allow RP RP-list ACL Name
                ''',
                'allow_rp_rp_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Anycast-RP config
                ''',
                'anycast_rp_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Anycast-RP Policy Name
                ''',
                'anycast_rp_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('anycast-rp-range', REFERENCE_LIST, 'AnycastRpRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Context.AnycastRpRange', 
                [], [], 
                '''                Anycast-RP Ranges
                ''',
                'anycast_rp_range',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP Auto-Discovery configured
                ''',
                'bgp_auto_discovery_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-auto-discovery-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP Auto Discovery Type
                ''',
                'bgp_auto_discovery_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-i-pmsi-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP I-PMSI Added
                ''',
                'bgp_i_pmsi_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BGP remote interface address
                ''',
                'bgp_remote_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BGP remote interface handle
                ''',
                'bgp_remote_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP remote interface name
                ''',
                'bgp_remote_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BGP remote interface status
                ''',
                'bgp_remote_on',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-remote-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BGP remote interface state
                ''',
                'bgp_remote_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-source-active-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Send BGP Source-Active Announcements
                ''',
                'bgp_source_active_announce',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('export-route-target', REFERENCE_LIST, 'ExportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Context.ExportRouteTarget', 
                [], [], 
                '''                Export Route Targets
                ''',
                'export_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'gin_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'gin_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'gin_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'gin_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'gin_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gin-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'gin_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('import-route-target', REFERENCE_LIST, 'ImportRouteTarget' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Context.ImportRouteTarget', 
                [], [], 
                '''                Import Route Targets
                ''',
                'import_route_target',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Announce interval
                ''',
                'in_b_and_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband Data MDT Switchover interval
                ''',
                'in_b_and_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Inband MDT handle
                ''',
                'in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT MTU
                ''',
                'in_b_and_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inband MDT Name
                ''',
                'in_b_and_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-b-and-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband RPF-ID
                ''',
                'in_b_and_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inband MDT max aggregation
                ''',
                'in_band_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-local-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Local enabled
                ''',
                'in_band_signaling_local_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('in-band-signaling-remote-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband signaling Remote enabled
                ''',
                'in_band_signaling_remote_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('inter-autonomous-system-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inter-AS Enabled
                ''',
                'inter_autonomous_system_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR MDT max aggregation
                ''',
                'ir_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Announce interval
                ''',
                'ir_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Data MDT Switchover interval
                ''',
                'ir_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IRMDT handle
                ''',
                'ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IRMDT MTU
                ''',
                'ir_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IR MDT Name
                ''',
                'ir_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR RPF-ID
                ''',
                'ir_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ir-mdt-tail-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IR Tail Label
                ''',
                'ir_mdt_tail_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active
                ''',
                'is_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-active-ital', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Active ITAL
                ''',
                'is_active_ital',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-all-interface-disable-operation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM all interface disable operation
                ''',
                'is_all_interface_disable_operation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP Listen Enabled
                ''',
                'is_auto_rp_listen_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-auto-rp-listen-sock-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto RP listen sock add
                ''',
                'is_auto_rp_listen_sock_add',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-gin-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_gin_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-in-b-and-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create Inband MDT interface
                ''',
                'is_create_in_b_and_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-ir-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create IR MDT interface
                ''',
                'is_create_ir_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MDT interface
                ''',
                'is_create_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-mldp-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create MLDP MDT interface
                ''',
                'is_create_mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-create-rsvp-te-mdt-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Create RSVP-TE MDT interface
                ''',
                'is_create_rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-default-granges', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Default granges
                ''',
                'is_default_granges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-gin-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_gin_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-in-b-and-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Inband MDT Owner
                ''',
                'is_in_b_and_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ir-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IR MDT Owner
                ''',
                'is_ir_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Socket
                ''',
                'is_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Socket
                ''',
                'is_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-m-host-publish-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Publish pending for MHost Default interface
                ''',
                'is_m_host_publish_pending',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MDT Owner
                ''',
                'is_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mldp-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP MDT Owner
                ''',
                'is_mldp_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-mrib-register', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MRIB Register
                ''',
                'is_mrib_register',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-multicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mcast RIB Registration
                ''',
                'is_multicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converge-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converge received
                ''',
                'is_pim_nsf_rib_converge_received',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-pim-nsf-rib-converged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM NSF RIB converged
                ''',
                'is_pim_nsf_rib_converged',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-redistribution-reset', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pending redist reset
                ''',
                'is_redistribution_reset',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter required on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-lpts-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF LPTS filter added on Register Injection
                Socket
                ''',
                'is_register_injection_lpts_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Register Injection Socket
                ''',
                'is_register_injection_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-register-injection-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Register Injection Socket
                ''',
                'is_register_injection_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multiplath enabled
                ''',
                'is_rib_multipath_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-interface-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath interface hash
                ''',
                'is_rib_multipath_interface_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source based hash
                ''',
                'is_rib_multipath_source_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rib-multipath-source-next-hop-hash', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM RIB multipath source-nexthop hash
                ''',
                'is_rib_multipath_source_next_hop_hash',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Routing Enabled
                ''',
                'is_routing_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rsvp-te-mdt-owner', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Owner
                ''',
                'is_rsvp_te_mdt_owner',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF required on Socket
                ''',
                'is_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on Socket
                ''',
                'is_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-add-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_add_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF added on UDP Socket
                ''',
                'is_udp_socket_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bound on UDP Socket
                ''',
                'is_udp_socket_bind',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-udp-socket-bind-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                VRF bind required on UDP Socket
                ''',
                'is_udp_socket_bind_required',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-unicast-rib-registration', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ucast RIB Registration
                ''',
                'is_unicast_rib_registration',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT max aggregation
                ''',
                'maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Announce interval
                ''',
                'mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Data MDT Switchover interval
                ''',
                'mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-default-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MDT Default group
                ''',
                'mdt_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT Remote RPF Identifier
                ''',
                'mdt_gre_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-gre-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                GRE-MDT RPF Identifier
                ''',
                'mdt_gre_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MDT handle
                ''',
                'mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT MTU
                ''',
                'mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MDT Neighbor Filter Name
                ''',
                'mdt_neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-ir-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned IR MDT Control Identifier
                ''',
                'mdt_partitioned_ir_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-partitioned-mdt-control-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Control Identifier
                ''',
                'mdt_partitioned_mdt_control_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-default-interface-config', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured Mhost Defint
                ''',
                'mhost_default_interface_config',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mhost-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MHost handle
                ''',
                'mhost_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-announce-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Announce Control tree added
                ''',
                'mldp_auto_rp_announce_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-auto-rp-discovery-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Autorp Discovery Control tree added
                ''',
                'mldp_auto_rp_discovery_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-bsr-control-tree-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP BSR Control tree added
                ''',
                'mldp_bsr_control_tree_added',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-control-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MVPN Identifier
                ''',
                'mldp_control_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head local label
                ''',
                'mldp_head_local_label',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Head LSM-ID
                ''',
                'mldp_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT max aggregation
                ''',
                'mldp_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Announce interval
                ''',
                'mldp_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Data MDT Switchover interval
                ''',
                'mldp_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                MLDP MDT handle
                ''',
                'mldp_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP MDT MTU
                ''',
                'mldp_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                MLDP MDT Name
                ''',
                'mldp_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-remote-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote RPF-ID
                ''',
                'mldp_mdt_remote_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP RPF-ID
                ''',
                'mldp_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partioned-mp2m-ptree', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP2MP Partitioned MDT tree
                ''',
                'mldp_partioned_mp2m_ptree',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partitioned MDT Head LSM-ID
                ''',
                'mldp_partitioned_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Partitioned MDT
                ''',
                'mldp_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-partitioned-mdt-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Partitioned MDT Identifier
                ''',
                'mldp_partitioned_mdt_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-head-lsm-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Remote Head LSM-ID
                ''',
                'mldp_remote_head_lsm_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-remote-partitioned-mdt-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MLDP Remote Partitioned MDT
                ''',
                'mldp_remote_partitioned_mdt_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-address', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root addresses
                ''',
                'mldp_root_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mldp-root-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MLDP Root count
                ''',
                'mldp_root_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('murib-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MURIB ID
                ''',
                'murib_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-filter-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Neighbor Filter Name
                ''',
                'neighbor_filter_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('non-default-vrf-count-on-socket', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of non-default vrfs on raw socket
                ''',
                'non_default_vrf_count_on_socket',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('organization-unique-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OUI for VPN-ID
                ''',
                'organization_unique_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('p2mpte-li-drop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route LI updates dropped for P2MP
                ''',
                'p2mpte_li_drop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redistribution-reset-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redist reset count
                ''',
                'redistribution_reset_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-default-group', REFERENCE_CLASS, 'RemoteDefaultGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Context.RemoteDefaultGroup', 
                [], [], 
                '''                Remote Default Group
                ''',
                'remote_default_group',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('remote-table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Table ID
                ''',
                'remote_table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                RD value
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-default-table', REFERENCE_CLASS, 'RpfDefaultTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Context.RpfDefaultTable', 
                [], [], 
                '''                RPF Default Table
                ''',
                'rpf_default_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF ID
                ''',
                'rpf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RPF topology selection route-policy name
                ''',
                'rpf_policy_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-maximum-mdt-aggregation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE MDT max aggregation
                ''',
                'rsvp_te_maximum_mdt_aggregation',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-announce-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Announce interval
                ''',
                'rsvp_te_mdt_data_announce_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-data-switchover-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE Data MDT Switchover interval
                ''',
                'rsvp_te_mdt_data_switchover_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RSVP-TEMDT handle
                ''',
                'rsvp_te_mdt_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TEMDT MTU
                ''',
                'rsvp_te_mdt_mtu',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RSVP-TE MDT Name
                ''',
                'rsvp_te_mdt_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-rpf-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RSVP-TE RPF-ID
                ''',
                'rsvp_te_mdt_rpf_identifier',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rsvp-te-mdt-static-p2mp-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Static P2MP-TE MDT
                ''',
                'rsvp_te_mdt_static_p2mp_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rump-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PIM is using MuRIB
                ''',
                'rump_enabled',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S,G Expiry Time Configured, in seconds
                ''',
                'sg_expiry_time',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S,G Expiry Timer Configured
                ''',
                'sg_expiry_timer_configured',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-expiry-timer-sg-list', ATTRIBUTE, 'str' , None, None, 
                [(0, 64)], [], 
                '''                S,G expiry timer ACL name
                ''',
                'sg_expiry_timer_sg_list',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('stale-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is stale
                ''',
                'stale_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-pim-data-mdt-tlv', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress PIM Data-MDT TLV Announcements
                ''',
                'suppress_pim_data_mdt_tlv',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('suppress-shared-tree-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppress Shared-Tree Joins
                ''',
                'suppress_shared_tree_join',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of configured Tables
                ''',
                'table_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('umh', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Join UMH Core-Tree
                ''',
                'umh',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('valid-rd-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RD is valid
                ''',
                'valid_rd_present',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vpn-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VPN Index
                ''',
                'vpn_index',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount',
            False, 
            [
            _MetaInfoClassMember('entry-flag', REFERENCE_ENUM_CLASS, 'PimTopologyEntryFlagEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimTopologyEntryFlagEnum', 
                [], [], 
                '''                entry flag
                ''',
                'entry_flag',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('active-group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes active in mrib
                ''',
                'active_group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-ranges', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G/M) routes
                ''',
                'group_ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('groute-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groute_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'is_node_low_memory',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sg-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('sgr-route-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G)RPT routes
                ''',
                'sgr_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-count',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts',
            False, 
            [
            _MetaInfoClassMember('topology-entry-flag-route-count', REFERENCE_LIST, 'TopologyEntryFlagRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'topology-entry-flag-route-counts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface',
            False, 
            [
            _MetaInfoClassMember('expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry in seconds
                ''',
                'expiry',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-outgoing-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is outgoing Interface
                ''',
                'is_outgoing_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-rpf-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is RPF Interface
                ''',
                'is_rpf_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-snoop-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is snooping Interface
                ''',
                'is_snoop_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-address', REFERENCE_CLASS, 'RpfAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress', 
                [], [], 
                '''                RPF Address
                ''',
                'rpf_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth in Kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr', 
                [], [], 
                '''                Group ddress
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface', 
                [], [], 
                '''                Outgoing interface list
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('source-address-xr', REFERENCE_CLASS, 'SourceAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr', 
                [], [], 
                '''                Source address
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases',
            False, 
            [
            _MetaInfoClassMember('redirect-route-database', REFERENCE_LIST, 'RedirectRouteDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase', 
                [], [], 
                '''                PIM ECMP RPF-redirect route information
                ''',
                'redirect_route_database',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'redirect-route-databases',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface',
            False, 
            [
            _MetaInfoClassMember('allocated-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth allocated in Kbps
                ''',
                'allocated_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('allocated-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Configured threshold in Kbps
                ''',
                'allocated_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth available in Kbps
                ''',
                'available_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('available-threshold-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Available threshold in Kbps
                ''',
                'available_threshold_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                Bundle name
                ''',
                'bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Bundle interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-bundle-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect bundle name
                ''',
                'rpf_redirect_bundle_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect-interface-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                RPF redirect interface name
                ''',
                'rpf_redirect_interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('snooping-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by snooped entries in Kbps
                ''',
                'snooping_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-bandwidth-used', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth used by topology in Kbps
                ''',
                'topology_bandwidth_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('total-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Total bandwidth used in Kbps
                ''',
                'total_bandwidth',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces',
            False, 
            [
            _MetaInfoClassMember('bundle-interface', REFERENCE_LIST, 'BundleInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle interface
                information
                ''',
                'bundle_interface',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'bundle-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect',
            False, 
            [
            _MetaInfoClassMember('bundle-interfaces', REFERENCE_CLASS, 'BundleInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle information
                ''',
                'bundle_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('redirect-route-databases', REFERENCE_CLASS, 'RedirectRouteDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases', 
                [], [], 
                '''                PIM ECMP RPF-redirect route database
                ''',
                'redirect_route_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rpf-redirect',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-address-netio',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('group-address-netio', REFERENCE_CLASS, 'GroupAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio', 
                [], [], 
                '''                Group addr from netio
                ''',
                'group_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.RpAddress', 
                [], [], 
                '''                RP addr known to PIM
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress', 
                [], [], 
                '''                Source addr known to PIM
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address-netio', REFERENCE_CLASS, 'SourceAddressNetio' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio', 
                [], [], 
                '''                Source addr from netio
                ''',
                'source_address_netio',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Tunnels' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Tunnels',
            False, 
            [
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel', 
                [], [], 
                '''                PIM tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network address
                        ''',
                        'address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-via-lsm', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSM flag
                ''',
                'is_via_lsm',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop', 
                [], [], 
                '''                Next Hop
                ''',
                'nexthop',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix', 
                [], [], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes',
            False, 
            [
            _MetaInfoClassMember('multicast-static-route', REFERENCE_LIST, 'MulticastStaticRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute', 
                [], [], 
                '''                PIM multicast static route information
                ''',
                'multicast_static_route',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'multicast-static-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-of-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_ENUM_CLASS, 'PimShowRangeClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowRangeClientEnum', 
                [], [], 
                '''                Client mapping learnt from
                ''',
                'client',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of groups in this range
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-override', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this the override range?
                ''',
                'is_override',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping being used?
                ''',
                'is_used',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mrib-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this mapping active in MRIB?
                ''',
                'mrib_active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_CLASS, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix', 
                [], [], 
                '''                Group range prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group range prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bootstrap priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'PimShowProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimShowProtocolEnum', 
                [], [], 
                '''                Protocol mode of the range
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress', 
                [], [], 
                '''                Rendezvous Point Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-pim-oper', True, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', True),
                ]),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping expiry time in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-information', REFERENCE_CLASS, 'GroupMapInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation', 
                [], [], 
                '''                Group Mapping information
                ''',
                'group_map_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('holdtime', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Holdtime in seconds
                ''',
                'holdtime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-of-information', REFERENCE_CLASS, 'SourceOfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation', 
                [], [], 
                '''                The source of information
                ''',
                'source_of_information',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mapping uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources',
            False, 
            [
            _MetaInfoClassMember('group-map-match-source', REFERENCE_LIST, 'GroupMapMatchSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource', 
                [], [], 
                '''                PIM group-matching mapping entry with source
                information
                ''',
                'group_map_match_source',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'group-map-match-sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DR priority
                ''',
                'dr_priority',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expires', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Neighbor expiry in seconds
                ''',
                'expires',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('expiry-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Expiry timer in seconds
                ''',
                'expiry_timer',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Identifier
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-batch-asserts-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of batching asserts?
                ''',
                'is_batch_asserts_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bfd-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the neighbor bfd session created
                ''',
                'is_bfd_state',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-bidirectional-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor bidir capable ?
                ''',
                'is_bidirectional_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-dr-priority-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor DR priority capable ?
                ''',
                'is_dr_priority_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-ecmp-redirect-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor capable of Ecmp Redirect?
                ''',
                'is_ecmp_redirect_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-proxy-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor proxy capable?
                ''',
                'is_proxy_capable',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor the DR
                ''',
                'is_this_neighbor_dr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-this-neighbor-us', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this neighbor us ?
                ''',
                'is_this_neighbor_us',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False, [
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                    _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'neighbor_address',
                        'Cisco-IOS-XR-ipv4-pim-oper', False),
                ]),
            _MetaInfoClassMember('neighbor-address-xr', REFERENCE_LIST, 'NeighborAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr', 
                [], [], 
                '''                List of Neighbor Addresses
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('override-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Override Interval
                ''',
                'override_interval',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('propagation-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Propagation Delay
                ''',
                'propagation_delay',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf.Neighbors' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Neighbors.Neighbor', 
                [], [], 
                '''                PIM neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                VRF name 
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('auto-rp', REFERENCE_CLASS, 'AutoRp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.AutoRp', 
                [], [], 
                '''                PIM Auto-RP information
                ''',
                'auto_rp',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bgp-afs', REFERENCE_CLASS, 'BgpAfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BgpAfs', 
                [], [], 
                '''                PIM BGP SAFI table
                ''',
                'bgp_afs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-states', REFERENCE_CLASS, 'BidirDfStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates', 
                [], [], 
                '''                Bidirectional PIM DF election state table
                ''',
                'bidir_df_states',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bidir-df-winners', REFERENCE_CLASS, 'BidirDfWinners' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners', 
                [], [], 
                '''                Bidirectional PIM DF election winner table
                ''',
                'bidir_df_winners',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('bsr', REFERENCE_CLASS, 'Bsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Bsr', 
                [], [], 
                '''                PIM BSR information
                ''',
                'bsr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('context', REFERENCE_CLASS, 'Context' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Context', 
                [], [], 
                '''                PIM context information
                ''',
                'context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('gre', REFERENCE_CLASS, 'Gre' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Gre', 
                [], [], 
                '''                GRE information
                ''',
                'gre',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-rpfs', REFERENCE_CLASS, 'GroupMapMatchRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs', 
                [], [], 
                '''                Find matching group-mapping for the specified
                group address
                ''',
                'group_map_match_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-match-sources', REFERENCE_CLASS, 'GroupMapMatchSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources', 
                [], [], 
                '''                Find the matching group-mapping with source
                information on specified group address
                ''',
                'group_map_match_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-rpfs', REFERENCE_CLASS, 'GroupMapRpfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs', 
                [], [], 
                '''                PIM group mapping information
                ''',
                'group_map_rpfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('group-map-sources', REFERENCE_CLASS, 'GroupMapSources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources', 
                [], [], 
                '''                PIM group-mapping with source information
                ''',
                'group_map_sources',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces', 
                [], [], 
                '''                PIM interfaces in forward reference store table
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ifrs-summary', REFERENCE_CLASS, 'IfrsSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.IfrsSummary', 
                [], [], 
                '''                PIM interfaces in forward reference store
                summary
                ''',
                'ifrs_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats', 
                [], [], 
                '''                PIM interfaces in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-statistics', REFERENCE_CLASS, 'InterfaceStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.InterfaceStatistics', 
                [], [], 
                '''                PIM interface statistics
                ''',
                'interface_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Interfaces', 
                [], [], 
                '''                PIM interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('jp-statistics', REFERENCE_CLASS, 'JpStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.JpStatistics', 
                [], [], 
                '''                PIM join prune statistics table
                ''',
                'jp_statistics',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mib-databases', REFERENCE_CLASS, 'MibDatabases' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.MibDatabases', 
                [], [], 
                '''                PIM group database for mroute mibs table
                ''',
                'mib_databases',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('multicast-static-routes', REFERENCE_CLASS, 'MulticastStaticRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes', 
                [], [], 
                '''                PIM multicast static route table
                ''',
                'multicast_static_routes',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-old-formats', REFERENCE_CLASS, 'NeighborOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats', 
                [], [], 
                '''                PIM neighbor table old format
                ''',
                'neighbor_old_formats',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbor-summaries', REFERENCE_CLASS, 'NeighborSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NeighborSummaries', 
                [], [], 
                '''                PIM neighbor summary table
                ''',
                'neighbor_summaries',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Neighbors', 
                [], [], 
                '''                PIM neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('net-io-tunnels', REFERENCE_CLASS, 'NetIoTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels', 
                [], [], 
                '''                Tunnel information that NETIO has 
                ''',
                'net_io_tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Ranges', 
                [], [], 
                '''                PIM range list information
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('route-policy', REFERENCE_CLASS, 'RoutePolicy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy', 
                [], [], 
                '''                PIM route policy
                ''',
                'route_policy',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-redirect', REFERENCE_CLASS, 'RpfRedirect' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect', 
                [], [], 
                '''                PIM ECMP RPF-redirect bundle
                ''',
                'rpf_redirect',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rpf-summary', REFERENCE_CLASS, 'RpfSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.RpfSummary', 
                [], [], 
                '''                PIM RPF registration summary
                ''',
                'rpf_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('safs', REFERENCE_CLASS, 'Safs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Safs', 
                [], [], 
                '''                SAFI table and type
                ''',
                'safs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Summary', 
                [], [], 
                '''                PIM summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('table-contexts', REFERENCE_CLASS, 'TableContexts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TableContexts', 
                [], [], 
                '''                PIM table context list
                ''',
                'table_contexts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Topologies', 
                [], [], 
                '''                PIM topology table
                ''',
                'topologies',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-entry-flag-route-counts', REFERENCE_CLASS, 'TopologyEntryFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with entry flag set
                ''',
                'topology_entry_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-interface-flag-route-counts', REFERENCE_CLASS, 'TopologyInterfaceFlagRouteCounts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts', 
                [], [], 
                '''                Route count for topology with interface flag set
                ''',
                'topology_interface_flag_route_counts',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('topology-route-count', REFERENCE_CLASS, 'TopologyRouteCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TopologyRouteCount', 
                [], [], 
                '''                Topology route count information from PIM
                topology table
                ''',
                'topology_route_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters', 
                [], [], 
                '''                PIM message traffic counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf.Tunnels', 
                [], [], 
                '''                Tunnels information that PIM has
                ''',
                'tunnels',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active.Vrfs' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs.Vrf', 
                [], [], 
                '''                VRF name
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim.Active' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim.Active',
            False, 
            [
            _MetaInfoClassMember('default-context', REFERENCE_CLASS, 'DefaultContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.DefaultContext', 
                [], [], 
                '''                Default Context
                ''',
                'default_context',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('process', REFERENCE_CLASS, 'Process' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Process', 
                [], [], 
                '''                Process
                ''',
                'process',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active.Vrfs', 
                [], [], 
                '''                VRF Table
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'active',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Ipv6Pim' : {
        'meta_info' : _MetaInfoClass('Ipv6Pim',
            False, 
            [
            _MetaInfoClassMember('active', REFERENCE_CLASS, 'Active' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Active', 
                [], [], 
                '''                Active Process
                ''',
                'active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Ipv6Pim.Standby', 
                [], [], 
                '''                Standby Process
                ''',
                'standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'ipv6-pim',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle',
            False, 
            [
            _MetaInfoClassMember('interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Interface handle
                ''',
                'interface_handle',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'PimInterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimInterfaceEnum', 
                [], [], 
                '''                Interface Type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-handle',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active.InterfaceTable.InterfaceByHandles' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active.InterfaceTable.InterfaceByHandles',
            False, 
            [
            _MetaInfoClassMember('interface-by-handle', REFERENCE_LIST, 'InterfaceByHandle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle', 
                [], [], 
                '''                PIM MA interface referenced by handle
                ''',
                'interface_by_handle',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-handles',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'PimInterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimInterfaceEnum', 
                [], [], 
                '''                Interface Type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-name',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active.InterfaceTable.InterfaceByNames' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active.InterfaceTable.InterfaceByNames',
            False, 
            [
            _MetaInfoClassMember('interface-by-name', REFERENCE_LIST, 'InterfaceByName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName', 
                [], [], 
                '''                PIM MA interface referenced by name
                ''',
                'interface_by_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-names',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface-by-handles', REFERENCE_CLASS, 'InterfaceByHandles' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active.InterfaceTable.InterfaceByHandles', 
                [], [], 
                '''                Table of PIM MA interfaces indexed by handle
                ''',
                'interface_by_handles',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-by-names', REFERENCE_CLASS, 'InterfaceByNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active.InterfaceTable.InterfaceByNames', 
                [], [], 
                '''                Table of PIM MA interfaces indexed by name
                ''',
                'interface_by_names',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active.PimMaSummary' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active.PimMaSummary',
            False, 
            [
            _MetaInfoClassMember('decap-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Decap Interface Count
                ''',
                'decap_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('encap-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encap Interface Count
                ''',
                'encap_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-edm-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EDM Connection Open
                ''',
                'is_edm_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-im-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IM Connection Open
                ''',
                'is_im_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-netio-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Netio Connection Open
                ''',
                'is_netio_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-standby-edm-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby EDM Connection Open
                ''',
                'is_standby_edm_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Interface Count
                ''',
                'mdt_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-ma-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Active' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Active',
            False, 
            [
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active.InterfaceTable', 
                [], [], 
                '''                Interface Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-ma-summary', REFERENCE_CLASS, 'PimMaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active.PimMaSummary', 
                [], [], 
                '''                PIM MA summary
                ''',
                'pim_ma_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'active',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle',
            False, 
            [
            _MetaInfoClassMember('interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Interface handle
                ''',
                'interface_handle',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'PimInterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimInterfaceEnum', 
                [], [], 
                '''                Interface Type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-handle',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby.InterfaceTable.InterfaceByHandles' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby.InterfaceTable.InterfaceByHandles',
            False, 
            [
            _MetaInfoClassMember('interface-by-handle', REFERENCE_LIST, 'InterfaceByHandle' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle', 
                [], [], 
                '''                PIM MA interface referenced by handle
                ''',
                'interface_by_handle',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-handles',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'rp-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'PimAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-pim-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'PimInterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'PimInterfaceEnum', 
                [], [], 
                '''                Interface Type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('rp-address', REFERENCE_CLASS, 'RpAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress', 
                [], [], 
                '''                RP Address
                ''',
                'rp_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-name',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby.InterfaceTable.InterfaceByNames' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby.InterfaceTable.InterfaceByNames',
            False, 
            [
            _MetaInfoClassMember('interface-by-name', REFERENCE_LIST, 'InterfaceByName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName', 
                [], [], 
                '''                PIM MA interface referenced by name
                ''',
                'interface_by_name',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-by-names',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface-by-handles', REFERENCE_CLASS, 'InterfaceByHandles' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby.InterfaceTable.InterfaceByHandles', 
                [], [], 
                '''                Table of PIM MA interfaces indexed by handle
                ''',
                'interface_by_handles',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('interface-by-names', REFERENCE_CLASS, 'InterfaceByNames' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby.InterfaceTable.InterfaceByNames', 
                [], [], 
                '''                Table of PIM MA interfaces indexed by name
                ''',
                'interface_by_names',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby.PimMaSummary' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby.PimMaSummary',
            False, 
            [
            _MetaInfoClassMember('decap-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Decap Interface Count
                ''',
                'decap_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('encap-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Encap Interface Count
                ''',
                'encap_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-edm-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                EDM Connection Open
                ''',
                'is_edm_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-im-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IM Connection Open
                ''',
                'is_im_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-netio-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Netio Connection Open
                ''',
                'is_netio_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('is-standby-edm-connection-open', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Standby EDM Connection Open
                ''',
                'is_standby_edm_connection_open',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('mdt-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MDT Interface Count
                ''',
                'mdt_interface_count',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim-ma-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma.Standby' : {
        'meta_info' : _MetaInfoClass('Pim6Ma.Standby',
            False, 
            [
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby.InterfaceTable', 
                [], [], 
                '''                Interface Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('pim-ma-summary', REFERENCE_CLASS, 'PimMaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby.PimMaSummary', 
                [], [], 
                '''                PIM MA summary
                ''',
                'pim_ma_summary',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
    'Pim6Ma' : {
        'meta_info' : _MetaInfoClass('Pim6Ma',
            False, 
            [
            _MetaInfoClassMember('active', REFERENCE_CLASS, 'Active' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Active', 
                [], [], 
                '''                Active Process
                ''',
                'active',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper', 'Pim6Ma.Standby', 
                [], [], 
                '''                Standby Process
                ''',
                'standby',
                'Cisco-IOS-XR-ipv4-pim-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-pim-oper',
            'pim6-ma',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-pim-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_pim_oper'
        ),
    },
}
_meta_table['PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress']['meta_info'].parent =_meta_table['PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info']
_meta_table['PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress']['meta_info'].parent =_meta_table['PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info']
_meta_table['PimMa.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info'].parent =_meta_table['PimMa.Active.InterfaceTable.InterfaceByHandles']['meta_info']
_meta_table['PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress']['meta_info'].parent =_meta_table['PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info']
_meta_table['PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress']['meta_info'].parent =_meta_table['PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info']
_meta_table['PimMa.Active.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info'].parent =_meta_table['PimMa.Active.InterfaceTable.InterfaceByNames']['meta_info']
_meta_table['PimMa.Active.InterfaceTable.InterfaceByHandles']['meta_info'].parent =_meta_table['PimMa.Active.InterfaceTable']['meta_info']
_meta_table['PimMa.Active.InterfaceTable.InterfaceByNames']['meta_info'].parent =_meta_table['PimMa.Active.InterfaceTable']['meta_info']
_meta_table['PimMa.Active.InterfaceTable']['meta_info'].parent =_meta_table['PimMa.Active']['meta_info']
_meta_table['PimMa.Active.PimMaSummary']['meta_info'].parent =_meta_table['PimMa.Active']['meta_info']
_meta_table['PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress']['meta_info'].parent =_meta_table['PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info']
_meta_table['PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress']['meta_info'].parent =_meta_table['PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info']
_meta_table['PimMa.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info'].parent =_meta_table['PimMa.Standby.InterfaceTable.InterfaceByHandles']['meta_info']
_meta_table['PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress']['meta_info'].parent =_meta_table['PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info']
_meta_table['PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress']['meta_info'].parent =_meta_table['PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info']
_meta_table['PimMa.Standby.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info'].parent =_meta_table['PimMa.Standby.InterfaceTable.InterfaceByNames']['meta_info']
_meta_table['PimMa.Standby.InterfaceTable.InterfaceByHandles']['meta_info'].parent =_meta_table['PimMa.Standby.InterfaceTable']['meta_info']
_meta_table['PimMa.Standby.InterfaceTable.InterfaceByNames']['meta_info'].parent =_meta_table['PimMa.Standby.InterfaceTable']['meta_info']
_meta_table['PimMa.Standby.InterfaceTable']['meta_info'].parent =_meta_table['PimMa.Standby']['meta_info']
_meta_table['PimMa.Standby.PimMaSummary']['meta_info'].parent =_meta_table['PimMa.Standby']['meta_info']
_meta_table['PimMa.Active']['meta_info'].parent =_meta_table['PimMa']['meta_info']
_meta_table['PimMa.Standby']['meta_info'].parent =_meta_table['PimMa']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GlobalInterfaces']['meta_info']
_meta_table['Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.IfrsInterfaces']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf.Rpfs']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs.Saf']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Safs']['meta_info']
_meta_table['Pim.Standby.DefaultContext.InterfaceStatistics.InterfaceStatistic']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.InterfaceStatistics']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TopologyRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.TopologyRouteCount']['meta_info']
_meta_table['Pim.Standby.DefaultContext.JpStatistics.JpStatistic']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.JpStatistics']['meta_info']
_meta_table['Pim.Standby.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Standby.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfRoot']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Standby.DefaultContext.MibDatabases.MibDatabase']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.MibDatabases']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.NeighborOldFormats']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Ranges.Range.GroupRange.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Ranges.Range.GroupRange']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Ranges.Range.GroupRange']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Ranges.Range.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Ranges.Range.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Ranges.Range.GroupRange']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Ranges.Range']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Ranges']['meta_info']
_meta_table['Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.InterfaceOldFormats']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.CandidateRps']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr.BsrElections']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.RpCaches']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.CandidateRps']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr.BsrElections']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Bsr']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyStatistics']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RoutePolicy']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RoutePolicy']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Interfaces.Interface.DrAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Interfaces.Interface']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Interfaces.Interface.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Interfaces.Interface']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Interfaces.Interface']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Interfaces']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.NetIoTunnels']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.BidirDfStates.BidirDfState']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BidirDfStates.BidirDfState']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.BidirDfStates']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.RpfRoot']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.ProxyAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.OrigSrcAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies.Topology']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Topologies']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BgpAfs.BgpAf.Source']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BgpAfs.BgpAf.Group']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BgpAfs.BgpAf.NextHop']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BgpAfs.BgpAf']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.BgpAfs']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapSources']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TrafficCounters.PacketQueue']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.TrafficCounters']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Gre.GreHashes.GreHash']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Gre.GreHashes']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Gre.GreHashes']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Gre']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Gre.GreNextHops']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Gre']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.BidirDfWinners']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TableContexts.TableContext']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.TableContexts']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NeighborSummaries.NeighborSummary']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.NeighborSummaries']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Context.AnycastRpRange.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Context.AnycastRpRange']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Context.RemoteDefaultGroup']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Context']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Context.RpfDefaultTable']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Context']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Context.ExportRouteTarget']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Context']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Context.ImportRouteTarget']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Context']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Context.AnycastRpRange']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Context']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RpfRedirect']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.RpfRedirect']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Tunnels.Tunnel.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Tunnels.Tunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Tunnels.Tunnel']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Tunnels']['meta_info']
_meta_table['Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.MulticastStaticRoutes']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Neighbors.Neighbor.NeighborAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Neighbors.Neighbor']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext.Neighbors']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GlobalInterfaces']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.IfrsInterfaces']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Safs']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.InterfaceStatistics']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TopologyRouteCount']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.JpStatistics']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.MibDatabases']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchRpfs']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NeighborOldFormats']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.IfrsSummary']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Ranges']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.InterfaceOldFormats']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Bsr']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RoutePolicy']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RpfSummary']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Interfaces']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NetIoTunnels']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BidirDfStates']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Topologies']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BgpAfs']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.AutoRp']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapSources']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TrafficCounters']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapRpfs']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Summary']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Gre']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.BidirDfWinners']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TableContexts']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.NeighborSummaries']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Context']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.RpfRedirect']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Tunnels']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.MulticastStaticRoutes']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.GroupMapMatchSources']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.DefaultContext.Neighbors']['meta_info'].parent =_meta_table['Pim.Standby.DefaultContext']['meta_info']
_meta_table['Pim.Standby.Process.CheckpointStatistics.CheckpointTable']['meta_info'].parent =_meta_table['Pim.Standby.Process.CheckpointStatistics']['meta_info']
_meta_table['Pim.Standby.Process.CheckpointStatistics']['meta_info'].parent =_meta_table['Pim.Standby.Process']['meta_info']
_meta_table['Pim.Standby.Process.Nsr']['meta_info'].parent =_meta_table['Pim.Standby.Process']['meta_info']
_meta_table['Pim.Standby.Process.Summary']['meta_info'].parent =_meta_table['Pim.Standby.Process']['meta_info']
_meta_table['Pim.Standby.Process.Nsf']['meta_info'].parent =_meta_table['Pim.Standby.Process']['meta_info']
_meta_table['Pim.Standby.Process.Issu']['meta_info'].parent =_meta_table['Pim.Standby.Process']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.IfrsInterfaces']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs.Saf']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Safs']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.InterfaceStatistics']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TopologyRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.TopologyRouteCount']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.JpStatistics.JpStatistic']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.JpStatistics']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.NeighborOldFormats']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Ranges.Range']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Ranges']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.InterfaceOldFormats']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.BsrElections']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.RpCaches']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr.BsrElections']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Interfaces.Interface.DrAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Interfaces.Interface']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Interfaces.Interface']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Interfaces.Interface']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Interfaces']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfStates']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfRoot']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.ProxyAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Topologies']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Source']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Group']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.NextHop']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.BgpAfs']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.TrafficCounters']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreHashes.GreHash']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreHashes']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreHashes']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Gre']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Gre.GreNextHops']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Gre']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfWinners']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TableContexts.TableContext']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.TableContexts']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NeighborSummaries.NeighborSummary']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.NeighborSummaries']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Context.RemoteDefaultGroup']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Context']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Context.RpfDefaultTable']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Context']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Context.ExportRouteTarget']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Context']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Context.ImportRouteTarget']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Context']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Context']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf.Neighbors']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.IfrsInterfaces']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Safs']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.InterfaceStatistics']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TopologyRouteCount']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.JpStatistics']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.MibDatabases']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NeighborOldFormats']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.IfrsSummary']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Ranges']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.InterfaceOldFormats']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Bsr']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RoutePolicy']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RpfSummary']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Interfaces']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NetIoTunnels']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfStates']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Topologies']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BgpAfs']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.AutoRp']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapSources']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TrafficCounters']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapRpfs']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Summary']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Gre']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.BidirDfWinners']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TableContexts']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.NeighborSummaries']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Context']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.RpfRedirect']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Tunnels']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.GroupMapMatchSources']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf.Neighbors']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Standby.Vrfs.Vrf']['meta_info'].parent =_meta_table['Pim.Standby.Vrfs']['meta_info']
_meta_table['Pim.Standby.DefaultContext']['meta_info'].parent =_meta_table['Pim.Standby']['meta_info']
_meta_table['Pim.Standby.Process']['meta_info'].parent =_meta_table['Pim.Standby']['meta_info']
_meta_table['Pim.Standby.Vrfs']['meta_info'].parent =_meta_table['Pim.Standby']['meta_info']
_meta_table['Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info']
_meta_table['Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info']
_meta_table['Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GlobalInterfaces']['meta_info']
_meta_table['Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.IfrsInterfaces']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSources']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.RpfHashSources']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf.Rpfs']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs.Saf']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Safs']['meta_info']
_meta_table['Pim.Active.DefaultContext.InterfaceStatistics.InterfaceStatistic']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.InterfaceStatistics']['meta_info']
_meta_table['Pim.Active.DefaultContext.TopologyRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.TopologyRouteCount']['meta_info']
_meta_table['Pim.Active.DefaultContext.JpStatistics.JpStatistic']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.JpStatistics']['meta_info']
_meta_table['Pim.Active.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Active.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfRoot']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Active.DefaultContext.MibDatabases.MibDatabase']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.MibDatabases']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs']['meta_info']
_meta_table['Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat']['meta_info']
_meta_table['Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.NeighborOldFormats']['meta_info']
_meta_table['Pim.Active.DefaultContext.Ranges.Range.GroupRange.Prefix']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Ranges.Range.GroupRange']['meta_info']
_meta_table['Pim.Active.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Ranges.Range.GroupRange']['meta_info']
_meta_table['Pim.Active.DefaultContext.Ranges.Range.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Pim.Active.DefaultContext.Ranges.Range.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Pim.Active.DefaultContext.Ranges.Range.GroupRange']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Pim.Active.DefaultContext.Ranges.Range']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Ranges']['meta_info']
_meta_table['Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.InterfaceOldFormats']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches.RpCache']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.CandidateRps']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr.BsrElections']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.RpCaches']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.CandidateRps']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr.BsrElections']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Bsr']['meta_info']
_meta_table['Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests']['meta_info']
_meta_table['Pim.Active.DefaultContext.RoutePolicy.RoutePolicyStatistics']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RoutePolicy']['meta_info']
_meta_table['Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RoutePolicy']['meta_info']
_meta_table['Pim.Active.DefaultContext.Interfaces.Interface.DrAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Interfaces.Interface']['meta_info']
_meta_table['Pim.Active.DefaultContext.Interfaces.Interface.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Interfaces.Interface']['meta_info']
_meta_table['Pim.Active.DefaultContext.Interfaces.Interface']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Interfaces']['meta_info']
_meta_table['Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.NetIoTunnels']['meta_info']
_meta_table['Pim.Active.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.BidirDfStates.BidirDfState']['meta_info']
_meta_table['Pim.Active.DefaultContext.BidirDfStates.BidirDfState']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.BidirDfStates']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology.RpfRoot']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology.ProxyAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology.OrigSrcAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies.Topology']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Topologies']['meta_info']
_meta_table['Pim.Active.DefaultContext.BgpAfs.BgpAf.Source']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Active.DefaultContext.BgpAfs.BgpAf.Group']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Active.DefaultContext.BgpAfs.BgpAf.NextHop']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Active.DefaultContext.BgpAfs.BgpAf']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.BgpAfs']['meta_info']
_meta_table['Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info']
_meta_table['Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapSources.GroupMapSource']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapSources']['meta_info']
_meta_table['Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Pim.Active.DefaultContext.TrafficCounters.PacketQueue']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.TrafficCounters']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapRpfs']['meta_info']
_meta_table['Pim.Active.DefaultContext.Gre.GreHashes.GreHash']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Gre.GreHashes']['meta_info']
_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops']['meta_info']
_meta_table['Pim.Active.DefaultContext.Gre.GreHashes']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Gre']['meta_info']
_meta_table['Pim.Active.DefaultContext.Gre.GreNextHops']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Gre']['meta_info']
_meta_table['Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.BidirDfWinners']['meta_info']
_meta_table['Pim.Active.DefaultContext.TableContexts.TableContext']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.TableContexts']['meta_info']
_meta_table['Pim.Active.DefaultContext.NeighborSummaries.NeighborSummary']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.NeighborSummaries']['meta_info']
_meta_table['Pim.Active.DefaultContext.Context.AnycastRpRange.Prefix']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Context.AnycastRpRange']['meta_info']
_meta_table['Pim.Active.DefaultContext.Context.RemoteDefaultGroup']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Context']['meta_info']
_meta_table['Pim.Active.DefaultContext.Context.RpfDefaultTable']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Context']['meta_info']
_meta_table['Pim.Active.DefaultContext.Context.ExportRouteTarget']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Context']['meta_info']
_meta_table['Pim.Active.DefaultContext.Context.ImportRouteTarget']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Context']['meta_info']
_meta_table['Pim.Active.DefaultContext.Context.AnycastRpRange']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Context']['meta_info']
_meta_table['Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info']
_meta_table['Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts']['meta_info']
_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info']
_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases']['meta_info']
_meta_table['Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces']['meta_info']
_meta_table['Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RpfRedirect']['meta_info']
_meta_table['Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.RpfRedirect']['meta_info']
_meta_table['Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Active.DefaultContext.Tunnels.Tunnel.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Active.DefaultContext.Tunnels.Tunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Active.DefaultContext.Tunnels.Tunnel']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Tunnels']['meta_info']
_meta_table['Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.MulticastStaticRoutes']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources']['meta_info']
_meta_table['Pim.Active.DefaultContext.Neighbors.Neighbor.NeighborAddressXr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Neighbors.Neighbor']['meta_info']
_meta_table['Pim.Active.DefaultContext.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext.Neighbors']['meta_info']
_meta_table['Pim.Active.DefaultContext.GlobalInterfaces']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.IfrsInterfaces']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.Safs']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.InterfaceStatistics']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.TopologyRouteCount']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.JpStatistics']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.MibDatabases']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchRpfs']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.NeighborOldFormats']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.IfrsSummary']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.Ranges']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.InterfaceOldFormats']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.Bsr']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.RoutePolicy']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.RpfSummary']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.Interfaces']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.NetIoTunnels']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.BidirDfStates']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.Topologies']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.BgpAfs']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.AutoRp']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapSources']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.TrafficCounters']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapRpfs']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.Summary']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.Gre']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.BidirDfWinners']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.TableContexts']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.NeighborSummaries']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.Context']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.RpfRedirect']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.Tunnels']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.MulticastStaticRoutes']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.GroupMapMatchSources']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.DefaultContext.Neighbors']['meta_info'].parent =_meta_table['Pim.Active.DefaultContext']['meta_info']
_meta_table['Pim.Active.Process.CheckpointStatistics.CheckpointTable']['meta_info'].parent =_meta_table['Pim.Active.Process.CheckpointStatistics']['meta_info']
_meta_table['Pim.Active.Process.CheckpointStatistics']['meta_info'].parent =_meta_table['Pim.Active.Process']['meta_info']
_meta_table['Pim.Active.Process.Nsr']['meta_info'].parent =_meta_table['Pim.Active.Process']['meta_info']
_meta_table['Pim.Active.Process.Summary']['meta_info'].parent =_meta_table['Pim.Active.Process']['meta_info']
_meta_table['Pim.Active.Process.Nsf']['meta_info'].parent =_meta_table['Pim.Active.Process']['meta_info']
_meta_table['Pim.Active.Process.Issu']['meta_info'].parent =_meta_table['Pim.Active.Process']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.IfrsInterfaces']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs.Saf']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Safs']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.InterfaceStatistics']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TopologyRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.TopologyRouteCount']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.JpStatistics.JpStatistic']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.JpStatistics']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.NeighborOldFormats']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Ranges.Range']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Ranges']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.InterfaceOldFormats']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.CandidateRps']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr.BsrElections']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.RpCaches']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.CandidateRps']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr.BsrElections']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Interfaces.Interface.DrAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Interfaces.Interface']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Interfaces.Interface']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Interfaces.Interface']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Interfaces']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.BidirDfStates']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfRoot']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.ProxyAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Topologies']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Source']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Group']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.NextHop']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.BgpAfs']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.TrafficCounters']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreHashes.GreHash']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreHashes']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreHashes']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Gre']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Gre.GreNextHops']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Gre']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.BidirDfWinners']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TableContexts.TableContext']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.TableContexts']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NeighborSummaries.NeighborSummary']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.NeighborSummaries']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Context.AnycastRpRange.Prefix']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Context.AnycastRpRange']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Context.RemoteDefaultGroup']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Context']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Context.RpfDefaultTable']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Context']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Context.ExportRouteTarget']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Context']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Context.ImportRouteTarget']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Context']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Context.AnycastRpRange']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Context']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Tunnels.Tunnel']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Tunnels']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.MulticastStaticRoutes']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf.Neighbors']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.IfrsInterfaces']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Safs']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.InterfaceStatistics']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TopologyRouteCount']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.JpStatistics']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.MibDatabases']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NeighborOldFormats']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.IfrsSummary']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Ranges']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.InterfaceOldFormats']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Bsr']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RoutePolicy']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RpfSummary']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Interfaces']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NetIoTunnels']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BidirDfStates']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Topologies']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BgpAfs']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.AutoRp']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapSources']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TrafficCounters']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapRpfs']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Summary']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Gre']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.BidirDfWinners']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TableContexts']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.NeighborSummaries']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Context']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.RpfRedirect']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Tunnels']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.MulticastStaticRoutes']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.GroupMapMatchSources']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf.Neighbors']['meta_info'].parent =_meta_table['Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Pim.Active.Vrfs.Vrf']['meta_info'].parent =_meta_table['Pim.Active.Vrfs']['meta_info']
_meta_table['Pim.Active.DefaultContext']['meta_info'].parent =_meta_table['Pim.Active']['meta_info']
_meta_table['Pim.Active.Process']['meta_info'].parent =_meta_table['Pim.Active']['meta_info']
_meta_table['Pim.Active.Vrfs']['meta_info'].parent =_meta_table['Pim.Active']['meta_info']
_meta_table['Pim.Standby']['meta_info'].parent =_meta_table['Pim']['meta_info']
_meta_table['Pim.Active']['meta_info'].parent =_meta_table['Pim']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GlobalInterfaces']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.IfrsInterfaces']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSourceGroups']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.RpfHashSources']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf.Rpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs.Saf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Safs']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.InterfaceStatistics.InterfaceStatistic']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.InterfaceStatistics']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyRouteCount']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.JpStatistics.JpStatistic']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.JpStatistics']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase.RpfRoot']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases.MibDatabase']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NeighborOldFormats.NeighborOldFormat']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.NeighborOldFormats']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range.GroupRange']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges.Range']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches.RpCache']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.RpCaches']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.CandidateRps']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr.BsrElections']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy.RoutePolicyTests']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Interfaces.Interface.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Interfaces.Interface']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Interfaces.Interface.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Interfaces.Interface']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Interfaces.Interface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Interfaces']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfStates.BidirDfState']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfStates.BidirDfState']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfStates']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.RpfRoot']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.ProxyAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OrigSrcAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology.OutgoingInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies.Topology']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.Source']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.Group']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf.NextHop']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BgpAfs.BgpAf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.BgpAfs']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources.GroupMapSource']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TrafficCounters.PacketQueue']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.TrafficCounters']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreHashes.GreHash']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreHashes']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreHashes']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Gre']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Gre.GreNextHops']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Gre']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfWinners']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TableContexts.TableContext']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.TableContexts']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NeighborSummaries.NeighborSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.NeighborSummaries']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Context.AnycastRpRange.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Context.AnycastRpRange']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Context.RemoteDefaultGroup']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Context']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Context.RpfDefaultTable']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Context']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Context.ExportRouteTarget']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Context']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Context.ImportRouteTarget']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Context']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Context.AnycastRpRange']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Context']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.RedirectRouteDatabases']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect.BundleInterfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels.Tunnel']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Neighbors.Neighbor.NeighborAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Neighbors.Neighbor']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext.Neighbors']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GlobalInterfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.IfrsInterfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Safs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.InterfaceStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.JpStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.MibDatabases']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchRpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NeighborOldFormats']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.IfrsSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Ranges']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.InterfaceOldFormats']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Bsr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RoutePolicy']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RpfSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Interfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NetIoTunnels']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfStates']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Topologies']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BgpAfs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.AutoRp']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyInterfaceFlagRouteCounts']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapSources']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TrafficCounters']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapRpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Summary']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Gre']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.BidirDfWinners']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TableContexts']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.NeighborSummaries']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Context']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.TopologyEntryFlagRouteCounts']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.RpfRedirect']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Tunnels']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.MulticastStaticRoutes']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.GroupMapMatchSources']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext.Neighbors']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Standby.Process.CheckpointStatistics.CheckpointTable']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Process.CheckpointStatistics']['meta_info']
_meta_table['Ipv6Pim.Standby.Process.CheckpointStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Process']['meta_info']
_meta_table['Ipv6Pim.Standby.Process.Nsr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Process']['meta_info']
_meta_table['Ipv6Pim.Standby.Process.Summary']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Process']['meta_info']
_meta_table['Ipv6Pim.Standby.Process.Nsf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Process']['meta_info']
_meta_table['Ipv6Pim.Standby.Process.Issu']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Process']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.RpfHashSources']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf.Rpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs.Saf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.InterfaceStatistics']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyRouteCount']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.JpStatistics.JpStatistic']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.JpStatistics']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges.Range']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.RpCaches']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.CandidateRps']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr.BsrElections']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy.RoutePolicyTests']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Interfaces.Interface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Interfaces']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates.BidirDfState']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.RpfRoot']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.ProxyAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology.OutgoingInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies.Topology']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Source']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.Group']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf.NextHop']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreHashes.GreHash']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreHashes']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreHashes']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre.GreNextHops']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TableContexts.TableContext']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TableContexts']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NeighborSummaries.NeighborSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NeighborSummaries']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context.RemoteDefaultGroup']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context.RpfDefaultTable']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context.ExportRouteTarget']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context.ImportRouteTarget']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context.AnycastRpRange']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect.BundleInterfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels.Tunnel']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Neighbors']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.IfrsInterfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Safs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.InterfaceStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.JpStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MibDatabases']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchRpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NeighborOldFormats']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.IfrsSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Ranges']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.InterfaceOldFormats']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Bsr']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RoutePolicy']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Interfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NetIoTunnels']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfStates']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Topologies']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BgpAfs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.AutoRp']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapSources']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TrafficCounters']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapRpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Summary']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Gre']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.BidirDfWinners']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TableContexts']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.NeighborSummaries']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Context']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.TopologyEntryFlagRouteCounts']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.RpfRedirect']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Tunnels']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.MulticastStaticRoutes']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.GroupMapMatchSources']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf.Neighbors']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs.Vrf']['meta_info'].parent =_meta_table['Ipv6Pim.Standby.Vrfs']['meta_info']
_meta_table['Ipv6Pim.Standby.DefaultContext']['meta_info'].parent =_meta_table['Ipv6Pim.Standby']['meta_info']
_meta_table['Ipv6Pim.Standby.Process']['meta_info'].parent =_meta_table['Ipv6Pim.Standby']['meta_info']
_meta_table['Ipv6Pim.Standby.Vrfs']['meta_info'].parent =_meta_table['Ipv6Pim.Standby']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GlobalInterfaces.GlobalInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GlobalInterfaces']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.IfrsInterfaces']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs.Rpf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSourceGroups']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.RpfHashSources']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf.Rpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs.Saf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Safs']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.InterfaceStatistics.InterfaceStatistic']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.InterfaceStatistics']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TopologyRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.TopologyRouteCount']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.JpStatistics.JpStatistic']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.JpStatistics']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase.RpfRoot']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases.MibDatabase']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NeighborOldFormats.NeighborOldFormat']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.NeighborOldFormats']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range.GroupRange']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Ranges.Range']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Ranges']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.InterfaceOldFormats']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.GroupPrefixXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches.RpCache']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CandidateRp_']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp.CrpAccess']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps.CandidateRp']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.BsrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection.CandidateBsrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.BsrElections.BsrElection']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.BsrElections']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.RpCaches']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.CandidateRps']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr.BsrElections']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Bsr']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy.RoutePolicyTests']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Interfaces.Interface.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Interfaces.Interface']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Interfaces.Interface.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Interfaces.Interface']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Interfaces.Interface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Interfaces']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels.NetIoTunnel']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfStates.BidirDfState.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfStates.BidirDfState']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfStates.BidirDfState']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfStates']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface.AssertWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.SecondaryRpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.RpfRoot']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.ProxyAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.OrigSrcAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology.OutgoingInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies.Topology']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Topologies']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.Source']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.Group']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf.NextHop']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BgpAfs.BgpAf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.BgpAfs']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources.GroupMapSource']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueState']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue.PacketQueueStats']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TrafficCounters.PacketQueue']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.TrafficCounters']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs.GroupMapRpf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreHashes.GreHash']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreHashes']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.RegisteredAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop.GrePath']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops.GreNextHop']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreHashes']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Gre']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Gre.GreNextHops']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Gre']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner.DfWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfWinners.BidirDfWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfWinners']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TableContexts.TableContext']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.TableContexts']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NeighborSummaries.NeighborSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.NeighborSummaries']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Context.AnycastRpRange.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Context.AnycastRpRange']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Context.RemoteDefaultGroup']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Context']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Context.RpfDefaultTable']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Context']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Context.ExportRouteTarget']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Context']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Context.ImportRouteTarget']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Context']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Context.AnycastRpRange']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Context']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces.BundleInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.RedirectRouteDatabases']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect.BundleInterfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels.Tunnel']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute.Nexthop']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes.MulticastStaticRoute']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources.GroupMapMatchSource']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Neighbors.Neighbor.NeighborAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Neighbors.Neighbor']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext.Neighbors']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GlobalInterfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.IfrsInterfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Safs']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.InterfaceStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TopologyRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.JpStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.MibDatabases']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchRpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NeighborOldFormats']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.IfrsSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Ranges']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.InterfaceOldFormats']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Bsr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RoutePolicy']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RpfSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Interfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NetIoTunnels']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfStates']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Topologies']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BgpAfs']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.AutoRp']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TopologyInterfaceFlagRouteCounts']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapSources']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TrafficCounters']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapRpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Summary']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Gre']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.BidirDfWinners']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TableContexts']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.NeighborSummaries']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Context']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.TopologyEntryFlagRouteCounts']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.RpfRedirect']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Tunnels']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.MulticastStaticRoutes']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.GroupMapMatchSources']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext.Neighbors']['meta_info'].parent =_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info']
_meta_table['Ipv6Pim.Active.Process.CheckpointStatistics.CheckpointTable']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Process.CheckpointStatistics']['meta_info']
_meta_table['Ipv6Pim.Active.Process.CheckpointStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Process']['meta_info']
_meta_table['Ipv6Pim.Active.Process.Nsr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Process']['meta_info']
_meta_table['Ipv6Pim.Active.Process.Summary']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Process']['meta_info']
_meta_table['Ipv6Pim.Active.Process.Nsf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Process']['meta_info']
_meta_table['Ipv6Pim.Active.Process.Issu']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Process']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.NextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups.RpfHashSourceGroup']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.NextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource.SecondaryNextHopAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources.RpfHashSource']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath.RpfNexthop']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RegisteredAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf.RpfPath']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs.Rpf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSourceGroups']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.RpfHashSources']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf.Rpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs.Saf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.InterfaceStatistics.InterfaceStatistic']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.InterfaceStatistics']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyRouteCount']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.JpStatistics.JpStatistic']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.JpStatistics']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase.RpfRoot']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases.MibDatabase']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs.GroupMapMatchRpf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat.NeighborAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats.NeighborOldFormat']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range.GroupRange']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges.Range']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag.CandidateRpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList.PimBsrCrpBag']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.GroupPrefixXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache.CandidateRpList']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches.RpCache']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CandidateRp_']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp.CrpAccess']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps.CandidateRp']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.BsrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection.CandidateBsrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections.BsrElection']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.RpCaches']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.CandidateRps']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr.BsrElections']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests.RoutePolicyTest']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy.RoutePolicyTests']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface.DrAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface.InterfaceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Interfaces.Interface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Interfaces']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels.NetIoTunnel']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates.BidirDfState']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface.AssertWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.SecondaryRpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.RpfRoot']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.ProxyAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OrigSrcAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology.OutgoingInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies.Topology']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Source']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.Group']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf.NextHop']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BgpAfs.BgpAf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BgpAfs']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts.TopologyInterfaceFlagRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources.GroupMapSource']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueState']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue.PacketQueueStats']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters.PacketQueue']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.RpfNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs.GroupMapRpf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreHashes.GreHash']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreHashes']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNeighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath.GreNextHop_']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.RegisteredAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop.GrePath']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops.GreNextHop']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreHashes']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre.GreNextHops']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.RpAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner.DfWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners.BidirDfWinner']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TableContexts.TableContext']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TableContexts']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NeighborSummaries.NeighborSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NeighborSummaries']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context.AnycastRpRange.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context.AnycastRpRange']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context.RemoteDefaultGroup']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context.RpfDefaultTable']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context.ExportRouteTarget']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context.ImportRouteTarget']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context.AnycastRpRange']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount.GroupAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts.TopologyEntryFlagRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface.RpfAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.GroupAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.SourceAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase.Interface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases.RedirectRouteDatabase']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces.BundleInterface']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.RedirectRouteDatabases']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect.BundleInterfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.SourceAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel.GroupAddressNetio']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels.Tunnel']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute.Nexthop']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes.MulticastStaticRoute']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.Prefix']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation.RpAddress']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.SourceOfInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource.GroupMapInformation']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources.GroupMapMatchSource']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Neighbors.Neighbor.NeighborAddressXr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Neighbors.Neighbor']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Neighbors']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.IfrsInterfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Safs']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.InterfaceStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyRouteCount']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.JpStatistics']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MibDatabases']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchRpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NeighborOldFormats']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.IfrsSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Ranges']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.InterfaceOldFormats']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Bsr']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RoutePolicy']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfSummary']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Interfaces']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NetIoTunnels']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfStates']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Topologies']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BgpAfs']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.AutoRp']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyInterfaceFlagRouteCounts']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapSources']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TrafficCounters']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapRpfs']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Summary']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Gre']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.BidirDfWinners']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TableContexts']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.NeighborSummaries']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Context']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.TopologyEntryFlagRouteCounts']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.RpfRedirect']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Tunnels']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.MulticastStaticRoutes']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.GroupMapMatchSources']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf.Neighbors']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs.Vrf']['meta_info'].parent =_meta_table['Ipv6Pim.Active.Vrfs']['meta_info']
_meta_table['Ipv6Pim.Active.DefaultContext']['meta_info'].parent =_meta_table['Ipv6Pim.Active']['meta_info']
_meta_table['Ipv6Pim.Active.Process']['meta_info'].parent =_meta_table['Ipv6Pim.Active']['meta_info']
_meta_table['Ipv6Pim.Active.Vrfs']['meta_info'].parent =_meta_table['Ipv6Pim.Active']['meta_info']
_meta_table['Ipv6Pim.Standby']['meta_info'].parent =_meta_table['Ipv6Pim']['meta_info']
_meta_table['Ipv6Pim.Active']['meta_info'].parent =_meta_table['Ipv6Pim']['meta_info']
_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress']['meta_info'].parent =_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info']
_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress']['meta_info'].parent =_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info']
_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info'].parent =_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByHandles']['meta_info']
_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress']['meta_info'].parent =_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info']
_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress']['meta_info'].parent =_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info']
_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info'].parent =_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByNames']['meta_info']
_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByHandles']['meta_info'].parent =_meta_table['Pim6Ma.Active.InterfaceTable']['meta_info']
_meta_table['Pim6Ma.Active.InterfaceTable.InterfaceByNames']['meta_info'].parent =_meta_table['Pim6Ma.Active.InterfaceTable']['meta_info']
_meta_table['Pim6Ma.Active.InterfaceTable']['meta_info'].parent =_meta_table['Pim6Ma.Active']['meta_info']
_meta_table['Pim6Ma.Active.PimMaSummary']['meta_info'].parent =_meta_table['Pim6Ma.Active']['meta_info']
_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.RpAddress']['meta_info'].parent =_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info']
_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle.SourceAddress']['meta_info'].parent =_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info']
_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByHandles.InterfaceByHandle']['meta_info'].parent =_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByHandles']['meta_info']
_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.RpAddress']['meta_info'].parent =_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info']
_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName.SourceAddress']['meta_info'].parent =_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info']
_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByNames.InterfaceByName']['meta_info'].parent =_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByNames']['meta_info']
_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByHandles']['meta_info'].parent =_meta_table['Pim6Ma.Standby.InterfaceTable']['meta_info']
_meta_table['Pim6Ma.Standby.InterfaceTable.InterfaceByNames']['meta_info'].parent =_meta_table['Pim6Ma.Standby.InterfaceTable']['meta_info']
_meta_table['Pim6Ma.Standby.InterfaceTable']['meta_info'].parent =_meta_table['Pim6Ma.Standby']['meta_info']
_meta_table['Pim6Ma.Standby.PimMaSummary']['meta_info'].parent =_meta_table['Pim6Ma.Standby']['meta_info']
_meta_table['Pim6Ma.Active']['meta_info'].parent =_meta_table['Pim6Ma']['meta_info']
_meta_table['Pim6Ma.Standby']['meta_info'].parent =_meta_table['Pim6Ma']['meta_info']
