


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'Ospfv3LsaEnum' : _MetaInfoEnum('Ospfv3LsaEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'link-lsa':'link_lsa',
            'grace-lsa':'grace_lsa',
            'router':'router',
            'network':'network',
            'inter-area-prefix':'inter_area_prefix',
            'inter-area-router':'inter_area_router',
            'nssa-external':'nssa_external',
            'intra-area-prefix':'intra_area_prefix',
            'external':'external',
            'opaque-link':'opaque_link',
            'opaque-area':'opaque_area',
            'opaque-as':'opaque_as',
            'unknown':'unknown',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'ImStateEnumEnum' : _MetaInfoEnum('ImStateEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'im-state-not-ready':'im_state_not_ready',
            'im-state-admin-down':'im_state_admin_down',
            'im-state-down':'im_state_down',
            'im-state-up':'im_state_up',
            'im-state-shutdown':'im_state_shutdown',
            'im-state-err-disable':'im_state_err_disable',
            'im-state-down-immediate':'im_state_down_immediate',
            'im-state-down-immediate-admin':'im_state_down_immediate_admin',
            'im-state-down-graceful':'im_state_down_graceful',
            'im-state-begin-shutdown':'im_state_begin_shutdown',
            'im-state-end-shutdown':'im_state_end_shutdown',
            'im-state-begin-error-disable':'im_state_begin_error_disable',
            'im-state-end-error-disable':'im_state_end_error_disable',
            'im-state-begin-down-graceful':'im_state_begin_down_graceful',
            'im-state-reset':'im_state_reset',
            'im-state-operational':'im_state_operational',
            'im-state-not-operational':'im_state_not_operational',
            'im-state-unknown':'im_state_unknown',
            'im-state-last':'im_state_last',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3GracefulShutdownStateEnum' : _MetaInfoEnum('Ospfv3GracefulShutdownStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'init':'init',
            'normal':'normal',
            'flushing':'flushing',
            'empty-hellos':'empty_hellos',
            'quiet':'quiet',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3GracefulRestartReasonEnum' : _MetaInfoEnum('Ospfv3GracefulRestartReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'grace-reason-unknown':'grace_reason_unknown',
            'grace-reason-software-restart':'grace_reason_software_restart',
            'grace-reason-software-upgrade':'grace_reason_software_upgrade',
            'grace-reason-switchover':'grace_reason_switchover',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'IpfrrTbrkrEnum' : _MetaInfoEnum('IpfrrTbrkrEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'downstream':'downstream',
            'line-card-disjoint':'line_card_disjoint',
            'backup-metric':'backup_metric',
            'node-protect':'node_protect',
            'primary-path':'primary_path',
            'secondary-path':'secondary_path',
            'srlg-disjoint':'srlg_disjoint',
            'tunnel':'tunnel',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'OspfNsrSchedPriEnum' : _MetaInfoEnum('OspfNsrSchedPriEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'ospf-nsr-stats-sched-pri-hi':'ospf_nsr_stats_sched_pri_hi',
            'ospf-nsr-stats-sched-pri-med':'ospf_nsr_stats_sched_pri_med',
            'ospf-nsr-stats-sched-pri-low':'ospf_nsr_stats_sched_pri_low',
            'ospf-nsr-stats-sched-pri-max':'ospf_nsr_stats_sched_pri_max',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'StubRouterModeEnum' : _MetaInfoEnum('StubRouterModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'rbit':'rbit',
            'v6bit':'v6bit',
            'max-metric':'max_metric',
            'none':'none',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3InterfaceEnum' : _MetaInfoEnum('Ospfv3InterfaceEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'none':'none',
            'broadcast':'broadcast',
            'non-broadcast':'non_broadcast',
            'point-to-point':'point_to_point',
            'point-to-multipoint':'point_to_multipoint',
            'point-to-multipoint-non-broadcast':'point_to_multipoint_non_broadcast',
            'virtual-link':'virtual_link',
            'loopback-interface':'loopback_interface',
            'mpls-traffic-engineering':'mpls_traffic_engineering',
            'sham-link':'sham_link',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'StubRouterTriggerEnum' : _MetaInfoEnum('StubRouterTriggerEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'on-proc-migration':'on_proc_migration',
            'on-proc-restart':'on_proc_restart',
            'on-switchover':'on_switchover',
            'on-startup':'on_startup',
            'always':'always',
            'none':'none',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'OspfLsaSyncStateEnum' : _MetaInfoEnum('OspfLsaSyncStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'none':'none',
            'out-of-sync':'out_of_sync',
            'in-sync':'in_sync',
            'nsr-ack-pending':'nsr_ack_pending',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3DefaultMetricEnum' : _MetaInfoEnum('Ospfv3DefaultMetricEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'type-none':'type_none',
            'type1':'type1',
            'type2':'type2',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3NeighborStateEnum' : _MetaInfoEnum('Ospfv3NeighborStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'neigbhor-down':'neigbhor_down',
            'attempt':'attempt',
            'init':'init',
            'two-way':'two_way',
            'exstart':'exstart',
            'exchange':'exchange',
            'loading':'loading',
            'full':'full',
            'sc-virtual':'sc_virtual',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'PrefixPriorityEnum' : _MetaInfoEnum('PrefixPriorityEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'critical':'critical',
            'high':'high',
            'medium':'medium',
            'low':'low',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'StubRouterExitReasonEnum' : _MetaInfoEnum('StubRouterExitReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'none':'none',
            'bgp':'bgp',
            'timer':'timer',
            'configuration':'configuration',
            'cleared':'cleared',
            'override':'override',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3Lsa1Enum' : _MetaInfoEnum('Ospfv3Lsa1Enum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'link':'link',
            'grace':'grace',
            'router':'router',
            'network':'network',
            'inter-area-prefix':'inter_area_prefix',
            'inter-area-router':'inter_area_router',
            'mospf':'mospf',
            'type7-external':'type7_external',
            'lsa-prefix':'lsa_prefix',
            'as-external':'as_external',
            'unknown-link':'unknown_link',
            'unknown-area':'unknown_area',
            'unknown-as':'unknown_as',
            'unknown-type':'unknown_type',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3LsaInfoTypesEnum' : _MetaInfoEnum('Ospfv3LsaInfoTypesEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'mgmt-lsa-lsasum-type':'mgmt_lsa_lsasum_type',
            'mgmt-lsa-link-type':'mgmt_lsa_link_type',
            'mgmt-lsa-gr-type':'mgmt_lsa_gr_type',
            'mgmt-lsa-rtr-type':'mgmt_lsa_rtr_type',
            'mgmt-lsa-net-type':'mgmt_lsa_net_type',
            'mgmt-lsa-iapfx-type':'mgmt_lsa_iapfx_type',
            'mgmt-lsa-iartr-type':'mgmt_lsa_iartr_type',
            'mgmt-lsa-nssaext-type':'mgmt_lsa_nssaext_type',
            'mgmt-lsa-prefix-type':'mgmt_lsa_prefix_type',
            'mgmt-lsa-ext-type':'mgmt_lsa_ext_type',
            'mgmt-lsa-unk-link-type':'mgmt_lsa_unk_link_type',
            'mgmt-lsa-unk-area-type':'mgmt_lsa_unk_area_type',
            'mgmt-lsa-unk-as-type':'mgmt_lsa_unk_as_type',
            'mgmt-lsa-unk-type':'mgmt_lsa_unk_type',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'StubRouterAbrOffReasonEnum' : _MetaInfoEnum('StubRouterAbrOffReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'init-delay':'init_delay',
            'no-neighbor':'no_neighbor',
            'no-full-neighbor':'no_full_neighbor',
            'new-neighbor':'new_neighbor',
            'full-neighbor':'full_neighbor',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3AreaRangeStatusEnum' : _MetaInfoEnum('Ospfv3AreaRangeStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'advertise':'advertise',
            'do-not-advertise':'do_not_advertise',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3InterfaceStateEnum' : _MetaInfoEnum('Ospfv3InterfaceStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'down':'down',
            'loopback':'loopback',
            'waiting':'waiting',
            'point-to-multipoint':'point_to_multipoint',
            'point-to-point':'point_to_point',
            'designated-router':'designated_router',
            'backup-designated-router':'backup_designated_router',
            'other-designated-router':'other_designated_router',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3LinkEnum' : _MetaInfoEnum('Ospfv3LinkEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'link-router':'link_router',
            'link-trans-net':'link_trans_net',
            'link-virtual-link':'link_virtual_link',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3BorderRouteEnum' : _MetaInfoEnum('Ospfv3BorderRouteEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper',
        {
            'abr':'abr',
            'asbr':'asbr',
            'abr-asbr':'abr_asbr',
        }, 'Cisco-IOS-XR-ipv6-ospfv3-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper']),
    'Ospfv3.Processes.Process.Vrfs.Vrf.SummaryPrefixes.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.SummaryPrefixes.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix metric
                ''',
                'prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Prefix metric type
                ''',
                'prefix_metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag
                ''',
                'tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.SummaryPrefixes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.SummaryPrefixes',
            False, 
            [
            _MetaInfoClassMember('summary-prefix', REFERENCE_LIST, 'SummaryPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.SummaryPrefixes.SummaryPrefix', 
                [], [], 
                '''                Summary prefix information
                ''',
                'summary_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'summary-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter.BorderRouterPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter.BorderRouterPath',
            False, 
            [
            _MetaInfoClassMember('border-router-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area string in decimal or dotted-decimal format 
                ''',
                'border_router_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('border-router-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address 
                ''',
                'border_router_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('border-router-route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'border_router_route_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('border-router-type', REFERENCE_ENUM_CLASS, 'Ospfv3BorderRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3BorderRouteEnum', 
                [], [], 
                '''                Border router type 
                ''',
                'border_router_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-intra-area-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, intra-area router else inter-area
                router
                ''',
                'is_intra_area_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SPF version
                ''',
                'spf_version',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'border-router-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter',
            False, 
            [
            _MetaInfoClassMember('border-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router address
                ''',
                'border_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('border-router-path', REFERENCE_LIST, 'BorderRouterPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter.BorderRouterPath', 
                [], [], 
                '''                List of border router paths
                ''',
                'border_router_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'border-router',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters',
            False, 
            [
            _MetaInfoClassMember('border-router', REFERENCE_LIST, 'BorderRouter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter', 
                [], [], 
                '''                OSPFv3 border router information
                ''',
                'border_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'border-routers',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable.ShamLinkNeighbor.ShamLinkRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable.ShamLinkNeighbor.ShamLinkRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'sham-link-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable.ShamLinkNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable.ShamLinkNeighbor',
            False, 
            [
            _MetaInfoClassMember('sham-link-retransmission', REFERENCE_CLASS, 'ShamLinkRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable.ShamLinkNeighbor.ShamLinkRetransmission', 
                [], [], 
                '''                Neighbor retransmission info
                ''',
                'sham_link_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-state', REFERENCE_ENUM_CLASS, 'Ospfv3NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3NeighborStateEnum', 
                [], [], 
                '''                Adjacency state
                ''',
                'sham_link_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-suppress-hello', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true Hellos suppressed
                ''',
                'sham_link_suppress_hello',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'sham-link-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable',
            False, 
            [
            _MetaInfoClassMember('is-sham-link-authentication-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link authentication is enabled 
                ''',
                'is_sham_link_authentication_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link-encryption-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link encryption is enabled 
                ''',
                'is_sham_link_encryption_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link-ip-security-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Sham link IP security is active 
                ''',
                'is_sham_link_ip_security_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link-ip-security-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link IP security is required 
                ''',
                'is_sham_link_ip_security_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Area id
                ''',
                'sham_link_area',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-authentication-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link authentication transmit 
                ''',
                'sham_link_authentication_transmit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of the sham link
                ''',
                'sham_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-dc-bitless-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA's with demand circuit bit not set
                ''',
                'sham_link_dc_bitless_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dead interval (s)
                ''',
                'sham_link_dead_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the link runs as demand circuit
                ''',
                'sham_link_demand_circuit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-dest-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Sham-link dest
                ''',
                'sham_link_dest_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-encrypted-authentication-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link encrypted authentication transmitted 
                ''',
                'sham_link_encrypted_authentication_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-encryption-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link encryption spi
                ''',
                'sham_link_encryption_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-encryption-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link encryption transmitted 
                ''',
                'sham_link_encryption_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-gr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Gracefule restart in progress
                ''',
                'sham_link_gr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-gr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  enabled
                ''',
                'sham_link_gr_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval (s)
                ''',
                'sham_link_hello_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-ifindex', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham-link ifindex
                ''',
                'sham_link_ifindex',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-last-gr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since last GR
                ''',
                'sham_link_last_gr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-neighbor', REFERENCE_CLASS, 'ShamLinkNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable.ShamLinkNeighbor', 
                [], [], 
                '''                Neighbor information
                ''',
                'sham_link_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor on other end of this sham link
                ''',
                'sham_link_neighbor_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-next-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next hello (s)
                ''',
                'sham_link_next_hello',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is passive
                ''',
                'sham_link_passive',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission interval (s)
                ''',
                'sham_link_retransmission_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Sham-link source
                ''',
                'sham_link_source_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                OSPF interface state for the sham link
                ''',
                'sham_link_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmission delay in seconds
                ''',
                'sham_link_transmission_delay',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait interval (s)
                ''',
                'sham_link_wait_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-authentication-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link authentication spi 
                ''',
                'virtual_link_authentication_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'sham-link-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations.AreaInformation.AreaRange' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations.AreaInformation.AreaRange',
            False, 
            [
            _MetaInfoClassMember('is-cost-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, cost is configured 
                ''',
                'is_cost_configured',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('net-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net cost 
                ''',
                'net_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('range-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IP prefix for summarization
                ''',
                'range_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('range-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IP prefix length for summarization
                ''',
                'range_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'Ospfv3AreaRangeStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3AreaRangeStatusEnum', 
                [], [], 
                '''                Area range status 
                ''',
                'status',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations.AreaInformation' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations.AreaInformation',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('area-dc-bitless-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA with demand circuit bit not set
                ''',
                'area_dc_bitless_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of interfaces in the area
                ''',
                'area_interfaces',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-lfa-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LFA enabled interfaces
                ''',
                'area_lfa_interface_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-lfa-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area LFA revision
                ''',
                'area_lfa_revision',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-opaque-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of opaque LSA checksums
                ''',
                'area_opaque_lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-opaque-lsas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of opaque LSAs in the area
                ''',
                'area_opaque_lsas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-per-prefix-lfa-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Per Prefix LFA enabled interfaces
                ''',
                'area_per_prefix_lfa_interface_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-range', REFERENCE_LIST, 'AreaRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations.AreaInformation.AreaRange', 
                [], [], 
                '''                List of ranges to summarize
                ''',
                'area_range',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('do-not-age-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of do not age LSAs
                ''',
                'do_not_age_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('flood-list-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs which need to be flooded
                ''',
                'flood_list_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('indication-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of indication LSAs
                ''',
                'indication_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-area-nssa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, area is a NSSA
                ''',
                'is_area_nssa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-area-stubbed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, stub area
                ''',
                'is_area_stubbed',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-area-total-stubbed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, totally stubby area
                ''',
                'is_area_total_stubbed',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-backbone-area-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Backbone area is active
                ''',
                'is_backbone_area_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nssa-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, generate NSSA default route
                ''',
                'is_nssa_default',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nssa-translated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, perform 7/5 translation
                ''',
                'is_nssa_translated',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-rrr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, RRR is enabled
                ''',
                'is_rrr_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-no-redistribution', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, No redistribution into this NSSA area
                ''',
                'nssa_no_redistribution',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sp-fs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SPF calculations run
                ''',
                'sp_fs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('stub-default-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default cost for Stub or NSSA area
                ''',
                'stub_default_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations',
            False, 
            [
            _MetaInfoClassMember('area-information', REFERENCE_LIST, 'AreaInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations.AreaInformation', 
                [], [], 
                '''                OSPFv3 area information
                ''',
                'area_information',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-informations',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'links',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 address Prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-summary-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF multicast IDB 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-multicast-next-hop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF multicast next hop 
                ''',
                'rpf_multicast_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link interface ID 
                ''',
                'link_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA link metric 
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neighbor interface ID 
                ''',
                'link_neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neigbhor router id 
                ''',
                'link_neighbor_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'Ospfv3LinkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LinkEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_CLASS, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath', 
                [], [], 
                '''                Router LSA Reverse-Path Forwarding information 
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nssalsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-link-local', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA link local 
                ''',
                'lsa_link_local',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority 
                ''',
                'router_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-advertised-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Reference advertised router 
                ''',
                'reference_advertised_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'intra-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The grace periord where helper routers should
                wait before advertising it fully adjacent(s) 
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'Ospfv3GracefulRestartReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3GracefulRestartReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-area-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-aslsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-lsa', REFERENCE_CLASS, 'GraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa', 
                [], [], 
                '''                Grace LSA
                ''',
                'grace_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-prefix-lsa-type', REFERENCE_CLASS, 'InterAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType', 
                [], [], 
                '''                Inter Area Prefix LSA
                ''',
                'inter_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-router-lsa-type', REFERENCE_CLASS, 'InterAreaRouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType', 
                [], [], 
                '''                Inter Area Router LSA
                ''',
                'inter_area_router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-prefix-lsa-type', REFERENCE_CLASS, 'IntraAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType', 
                [], [], 
                '''                Intra Area Prefix LSA
                ''',
                'intra_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-lsa-type', REFERENCE_CLASS, 'LinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType', 
                [], [], 
                '''                Link LSA
                ''',
                'link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaInfoTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaInfoTypesEnum', 
                [], [], 
                '''                LSAInfoType
                ''',
                'lsa_info_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-summary-info', REFERENCE_CLASS, 'LsaSummaryInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo', 
                [], [], 
                '''                Summary information of LSAs
                ''',
                'lsa_summary_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssalsa-type', REFERENCE_CLASS, 'NssalsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType', 
                [], [], 
                '''                NSSA External LSA
                ''',
                'nssalsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-area-lsa-type', REFERENCE_CLASS, 'UnknownAreaLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType', 
                [], [], 
                '''                Unknown-Area scope LSA
                ''',
                'unknown_area_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-aslsa-type', REFERENCE_CLASS, 'UnknownAslsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType', 
                [], [], 
                '''                Unknown-AS scope LSA
                ''',
                'unknown_aslsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-link-lsa-type', REFERENCE_CLASS, 'UnknownLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType', 
                [], [], 
                '''                Unknown Link Scope LSA
                ''',
                'unknown_link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-lsa-type', REFERENCE_CLASS, 'UnknownLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType', 
                [], [], 
                '''                Unknown LSA
                ''',
                'unknown_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info', REFERENCE_CLASS, 'LsaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo', 
                [], [], 
                '''                Summary of all LSAs or LSA specific information 
                ''',
                'lsa_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'links',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 address Prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-summary-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF multicast IDB 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-multicast-next-hop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF multicast next hop 
                ''',
                'rpf_multicast_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link interface ID 
                ''',
                'link_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA link metric 
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neighbor interface ID 
                ''',
                'link_neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neigbhor router id 
                ''',
                'link_neighbor_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'Ospfv3LinkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LinkEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_CLASS, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath', 
                [], [], 
                '''                Router LSA Reverse-Path Forwarding information 
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nssalsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-link-local', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA link local 
                ''',
                'lsa_link_local',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority 
                ''',
                'router_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-advertised-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Reference advertised router 
                ''',
                'reference_advertised_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'intra-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The grace periord where helper routers should
                wait before advertising it fully adjacent(s) 
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'Ospfv3GracefulRestartReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3GracefulRestartReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-area-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-aslsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-lsa', REFERENCE_CLASS, 'GraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa', 
                [], [], 
                '''                Grace LSA
                ''',
                'grace_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-prefix-lsa-type', REFERENCE_CLASS, 'InterAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType', 
                [], [], 
                '''                Inter Area Prefix LSA
                ''',
                'inter_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-router-lsa-type', REFERENCE_CLASS, 'InterAreaRouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType', 
                [], [], 
                '''                Inter Area Router LSA
                ''',
                'inter_area_router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-prefix-lsa-type', REFERENCE_CLASS, 'IntraAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType', 
                [], [], 
                '''                Intra Area Prefix LSA
                ''',
                'intra_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-lsa-type', REFERENCE_CLASS, 'LinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType', 
                [], [], 
                '''                Link LSA
                ''',
                'link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaInfoTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaInfoTypesEnum', 
                [], [], 
                '''                LSAInfoType
                ''',
                'lsa_info_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-summary-info', REFERENCE_CLASS, 'LsaSummaryInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo', 
                [], [], 
                '''                Summary information of LSAs
                ''',
                'lsa_summary_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssalsa-type', REFERENCE_CLASS, 'NssalsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType', 
                [], [], 
                '''                NSSA External LSA
                ''',
                'nssalsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-area-lsa-type', REFERENCE_CLASS, 'UnknownAreaLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType', 
                [], [], 
                '''                Unknown-Area scope LSA
                ''',
                'unknown_area_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-aslsa-type', REFERENCE_CLASS, 'UnknownAslsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType', 
                [], [], 
                '''                Unknown-AS scope LSA
                ''',
                'unknown_aslsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-link-lsa-type', REFERENCE_CLASS, 'UnknownLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType', 
                [], [], 
                '''                Unknown Link Scope LSA
                ''',
                'unknown_link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-lsa-type', REFERENCE_CLASS, 'UnknownLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType', 
                [], [], 
                '''                Unknown LSA
                ''',
                'unknown_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info', REFERENCE_CLASS, 'LsaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo', 
                [], [], 
                '''                Summary of all LSAs or LSA specific information 
                ''',
                'lsa_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-internal-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable',
            False, 
            [
            _MetaInfoClassMember('lsa-internal-table', REFERENCE_CLASS, 'LsaInternalTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa_internal_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-table', REFERENCE_CLASS, 'LsaTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.ActiveInterface' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.ActiveInterface',
            False, 
            [
            _MetaInfoClassMember('flood-queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flood queue length
                ''',
                'flood_queue_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('flood-scan-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan length 
                ''',
                'flood_scan_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSAs flood index
                ''',
                'interface_area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (Area scope) 
                ''',
                'interface_area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSAs flood index 
                ''',
                'interface_as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next flood pacing timer (ms) 
                ''',
                'interface_flood_pacing_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface flood link index 
                ''',
                'interface_link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface link next flood information 
                ''',
                'interface_link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-next-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface link next information index 
                ''',
                'interface_link_next_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of neighbors 
                ''',
                'interface_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan time (ms)
                ''',
                'last_flood_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood length 
                ''',
                'maximum_flood_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood time (ms) 
                ''',
                'maximum_flood_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('suppressed-hellos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of neighbors for which hellos are
                suppressed 
                ''',
                'suppressed_hellos',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wait-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait time for DR/BDR selection (s)
                ''',
                'wait_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'active-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.InterfaceBfd' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.InterfaceBfd',
            False, 
            [
            _MetaInfoClassMember('bfd-detection-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD detection multiplier 
                ''',
                'bfd_detection_multiplier',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval (ms) 
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Enable Mode on the interface -
                Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-bfd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.InterfaceNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.InterfaceNeighbor',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of link to neighbor
                ''',
                'interface_neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router ID 
                ''',
                'interface_neighbor_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-hello-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, hello is suppressed 
                ''',
                'is_hello_suppressed',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-bdr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, backup designated router is found 
                ''',
                'is_neighbor_bdr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router is found 
                ''',
                'is_neighbor_dr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('active-interface', REFERENCE_CLASS, 'ActiveInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.ActiveInterface', 
                [], [], 
                '''                Active interface details 
                ''',
                'active_interface',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('adjacent-neighbor', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacent neighbors
                ''',
                'adjacent_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router interface address
                ''',
                'backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router ID
                ''',
                'backup_designated_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('configured-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as LDP sync
                ''',
                'configured_ldp_sync',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured dead interval (s) 
                ''',
                'dead_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router interface address
                ''',
                'designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router ID
                ''',
                'designated_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (s)
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IPv6 address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-authentication-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface authentication spi 
                ''',
                'interface_authentication_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-authentication-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface authentication transmit 
                ''',
                'interface_authentication_transmit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-bfd', REFERENCE_CLASS, 'InterfaceBfd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.InterfaceBfd', 
                [], [], 
                '''                BFD information 
                ''',
                'interface_bfd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-dc-bitless-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs with demand circuit bit not set
                for the area in which the interface is running
                ''',
                'interface_dc_bitless_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encrypted-authentication-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encrypted authentication transmitted 
                ''',
                'interface_encrypted_authentication_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encryption-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encryption spi
                ''',
                'interface_encryption_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encryption-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encryption transmitted 
                ''',
                'interface_encryption_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface LDP sync is achieved
                ''',
                'interface_ldp_sync',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbor', REFERENCE_LIST, 'InterfaceNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.InterfaceNeighbor', 
                [], [], 
                '''                Information for neighbors on the interface
                ''',
                'interface_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface number 
                ''',
                'interface_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface priority
                ''',
                'interface_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-references', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface reference count 
                ''',
                'interface_references',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured retransmit interval (s) 
                ''',
                'interface_retransmission_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface router ID 
                ''',
                'interface_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-state', REFERENCE_ENUM_CLASS, 'ImStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'ImStateEnumEnum', 
                [], [], 
                '''                Interface state
                ''',
                'interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-demand-circuit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as demand circuit 
                ''',
                'is_demand_circuit_configured',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router
                ''',
                'is_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface running as demand circuit
                ''',
                'is_interface_demand_circuit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-encryption-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface encryption is enabled 
                ''',
                'is_interface_encryption_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-flood-reduction', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface flood reduction is active 
                ''',
                'is_interface_flood_reduction',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-ip-security-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface IP security is active 
                ''',
                'is_interface_ip_security_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-ip-security-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface IP security is required 
                ''',
                'is_interface_ip_security_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-line-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, line protocol is up 
                ''',
                'is_interface_line_up',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-lsa-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Filter is configured for out going LSAs 
                ''',
                'is_interface_lsa_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-prefix-suppress', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true prefix suppression is enabled
                ''',
                'is_prefix_suppress',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-flush-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds before flush timer
                for old network LSA expires 
                ''',
                'network_lsa_flush_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-hello-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (s) 
                ''',
                'next_hello_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                Interface state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface transmission delay (sec)
                ''',
                'transmission_delay',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured wait interval (s) 
                ''',
                'wait_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface', 
                [], [], 
                '''                OSPFv3 interface information
                ''',
                'interface',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Redistributions.Redistribution' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Redistributions.Redistribution',
            False, 
            [
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route policy name 
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                Process ID 
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('process-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Process name of a protocolbeing redistributed 
                ''',
                'process_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Protocol name that is redistributed
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-name-xr', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                Protocol name 
                ''',
                'protocol_name_xr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('red-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                red metric
                ''',
                'red_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('red-metric-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                red metric flag
                ''',
                'red_metric_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('red-metric-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                red metric type
                ''',
                'red_metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('red-mtype-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                red mtype flag
                ''',
                'red_mtype_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('red-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                red tag
                ''',
                'red_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'redistribution',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Redistributions' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Redistributions',
            False, 
            [
            _MetaInfoClassMember('redistribution', REFERENCE_LIST, 'Redistribution' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Redistributions.Redistribution', 
                [], [], 
                '''                Redistribution information
                ''',
                'redistribution',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'redistributions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RouteTopology' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RouteTopology',
            False, 
            [
            _MetaInfoClassMember('route-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route cost 
                ''',
                'route_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route distance 
                ''',
                'route_distance',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route ID 
                ''',
                'route_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RouteExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RouteExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('extended-community-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area id
                ''',
                'extended_community_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extended-community-domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'extended_community_domain_id_value',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extended-community-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Options
                ''',
                'extended_community_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extended-community-route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route type
                ''',
                'extended_community_route_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extended-community-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router id
                ''',
                'extended_community_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extended-communityl-domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID type
                ''',
                'extended_communityl_domain_id_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Route path interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route path next hop 
                ''',
                'route_path_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-extended-community', REFERENCE_CLASS, 'RouteExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RouteExtendedCommunity', 
                [], [], 
                '''                Extended communities in the route
                ''',
                'route_extended_community',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-topology', REFERENCE_CLASS, 'RouteTopology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RouteTopology', 
                [], [], 
                '''                Common Route topology information
                ''',
                'route_topology',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes',
            False, 
            [
            _MetaInfoClassMember('external-route', REFERENCE_LIST, 'ExternalRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute', 
                [], [], 
                '''                OSPFv3 external route information
                ''',
                'external_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable.Request.Request_' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable.Request.Request_',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable.Request' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable.Request',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-request-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link is requested 
                ''',
                'is_request_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-request-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link is requested 
                ''',
                'is_request_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable.Request.Request_', 
                [], [], 
                '''                List of request list entries
                ''',
                'request',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'request_neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Request sham link ID 
                ''',
                'request_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Request virtual link ID 
                ''',
                'request_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable',
            False, 
            [
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable.Request', 
                [], [], 
                '''                OSPFv3 request list information
                ''',
                'request',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request-list-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'virtual-link-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink.VirtualLinkNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink.VirtualLinkNeighbor',
            False, 
            [
            _MetaInfoClassMember('is-virtual-link-hello-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, hello suppressed 
                ''',
                'is_virtual_link_hello_suppressed',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-retransmission', REFERENCE_CLASS, 'VirtualLinkRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmission', 
                [], [], 
                '''                Virtual link retransmission information 
                ''',
                'virtual_link_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                OSPF interface state for the virtual link
                ''',
                'virtual_link_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'virtual-link-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which this virtual link is formed
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-authentication-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link authentication is enabled 
                ''',
                'is_virtual_link_authentication_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the link runs as demand circuit
                ''',
                'is_virtual_link_demand_circuit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-encryption-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link encryption is enabled 
                ''',
                'is_virtual_link_encryption_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-ip-security-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Virtual link IP security is active 
                ''',
                'is_virtual_link_ip_security_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-ip-security-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link IP security is required 
                ''',
                'is_virtual_link_ip_security_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is passive
                ''',
                'is_virtual_link_passive',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('transit-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Transit area id 
                ''',
                'transit_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-authentication-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link authentication spi 
                ''',
                'virtual_link_authentication_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-authentication-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link authentication transmit 
                ''',
                'virtual_link_authentication_transmit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of the virtual link
                ''',
                'virtual_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-dc-bitless-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA's with demand circuit bit not set 
                ''',
                'virtual_link_dc_bitless_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dead interval (s)
                ''',
                'virtual_link_dead_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-encrypted-authentication-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link encrypted authentication
                transmitted 
                ''',
                'virtual_link_encrypted_authentication_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-encryption-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link encryption spi
                ''',
                'virtual_link_encryption_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-encryption-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link encryption transmitted 
                ''',
                'virtual_link_encryption_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval (s)
                ''',
                'virtual_link_hello_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-interface-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link interface number 
                ''',
                'virtual_link_interface_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-neighbor', REFERENCE_CLASS, 'VirtualLinkNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink.VirtualLinkNeighbor', 
                [], [], 
                '''                Neighbor information 
                ''',
                'virtual_link_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Virtual link neighbor addresss 
                ''',
                'virtual_link_neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor on other end of this virtual link
                ''',
                'virtual_link_neighbor_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-next-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next hello (s)
                ''',
                'virtual_link_next_hello',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission interval (s)
                ''',
                'virtual_link_retransmission_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                OSPF interface state for the virtual link
                ''',
                'virtual_link_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait interval (s)
                ''',
                'virtual_link_wait_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virual-link-transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmission delay in seconds
                ''',
                'virual_link_transmission_delay',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'virtual-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.LinkFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.LinkFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.AreaFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.AreaFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.AsFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.AsFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'as-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('area-flood', REFERENCE_LIST, 'AreaFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.AreaFlood', 
                [], [], 
                '''                Area scope floodlist
                ''',
                'area_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood', REFERENCE_LIST, 'AsFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.AsFlood', 
                [], [], 
                '''                AS scope floodlist
                ''',
                'as_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood', REFERENCE_LIST, 'LinkFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.LinkFlood', 
                [], [], 
                '''                Link floodlist
                ''',
                'link_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-transmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LS transmission (ms) 
                ''',
                'ls_transmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs currently being flooded 
                ''',
                'queue_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable',
            False, 
            [
            _MetaInfoClassMember('flood', REFERENCE_LIST, 'Flood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood', 
                [], [], 
                '''                OSPFv3 flood list information
                ''',
                'flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'flood-list-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.RouteSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.RouteSummary',
            False, 
            [
            _MetaInfoClassMember('extern-one-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extern 1 route summary 
                ''',
                'extern_one_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extern-two-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extern 2 route summary 
                ''',
                'extern_two_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter route summary 
                ''',
                'inter_area_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra route summary 
                ''',
                'intra_area_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-one-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSSA 1 route summary 
                ''',
                'nssa_one_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-two-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSSA 2 route summary 
                ''',
                'nssa_two_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('redistribution-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redistribution route summary 
                ''',
                'redistribution_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route connected 
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route summary of a route ID 
                ''',
                'route_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-received-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total route received summary
                ''',
                'total_received_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-sent-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total route summary 
                ''',
                'total_sent_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_.NeighborRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_.NeighborRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_',
            False, 
            [
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs 
                ''',
                'is_neighbor_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor 
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-ignore-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when ignore timer is running 
                ''',
                'neighbor_ignore_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 This is bitmask of neighbor's option field
                received 
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmission', REFERENCE_CLASS, 'NeighborRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_.NeighborRetransmission', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events 
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes 
                ''',
                'state_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborBfdInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a sham link 
                ''',
                'is_neighbor_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a virtual link 
                ''',
                'is_neighbor_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-bfd-info', REFERENCE_CLASS, 'NeighborBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborBfdInfo', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires
                (seconds)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router', ATTRIBUTE, 'str' , None, None, 
                [(0, 9)], [], 
                '''                Designated router 
                ''',
                'neighbor_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail', REFERENCE_CLASS, 'NeighborDetail_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_', 
                [], [], 
                '''                Detailed OSPFv3 neighbor information 
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor interface ID
                ''',
                'neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor sham link id 
                ''',
                'neighbor_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'Ospfv3NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up
                (seconds)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor virtual link id 
                ''',
                'neighbor_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable',
            False, 
            [
            _MetaInfoClassMember('neighbor-detail', REFERENCE_LIST, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail', 
                [], [], 
                '''                OSPFv3 neighbor detail information
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefTable.InterfaceBrief' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefTable.InterfaceBrief',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-adjacent-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of adjacent neighbors
                ''',
                'interface_adjacent_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of neighbors 
                ''',
                'interface_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefTable',
            False, 
            [
            _MetaInfoClassMember('interface-brief', REFERENCE_LIST, 'InterfaceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefTable.InterfaceBrief', 
                [], [], 
                '''                Interface brief information
                ''',
                'interface_brief',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-brief-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable.Request.Request_' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable.Request.Request_',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable.Request' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable.Request',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-request-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link is requested 
                ''',
                'is_request_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-request-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link is requested 
                ''',
                'is_request_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable.Request.Request_', 
                [], [], 
                '''                List of request list entries
                ''',
                'request',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'request_neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Request sham link ID 
                ''',
                'request_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Request virtual link ID 
                ''',
                'request_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable',
            False, 
            [
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable.Request', 
                [], [], 
                '''                OSPFv3 request list information
                ''',
                'request',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request-list-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail.NeighborRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail.NeighborRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs 
                ''',
                'is_neighbor_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor 
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-ignore-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when ignore timer is running 
                ''',
                'neighbor_ignore_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 This is bitmask of neighbor's option field
                received 
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmission', REFERENCE_CLASS, 'NeighborRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail.NeighborRetransmission', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events 
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes 
                ''',
                'state_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborBfdInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a sham link 
                ''',
                'is_neighbor_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a virtual link 
                ''',
                'is_neighbor_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-bfd-info', REFERENCE_CLASS, 'NeighborBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborBfdInfo', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires
                (seconds)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router', ATTRIBUTE, 'str' , None, None, 
                [(0, 9)], [], 
                '''                Designated router 
                ''',
                'neighbor_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail', REFERENCE_CLASS, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail', 
                [], [], 
                '''                Detailed OSPFv3 neighbor information 
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor interface ID
                ''',
                'neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor sham link id 
                ''',
                'neighbor_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'Ospfv3NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up
                (seconds)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor virtual link id 
                ''',
                'neighbor_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor', 
                [], [], 
                '''                OSPFv3 neighbor detail information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.ActiveInterface' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.ActiveInterface',
            False, 
            [
            _MetaInfoClassMember('flood-queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flood queue length
                ''',
                'flood_queue_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('flood-scan-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan length 
                ''',
                'flood_scan_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSAs flood index
                ''',
                'interface_area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (Area scope) 
                ''',
                'interface_area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSAs flood index 
                ''',
                'interface_as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next flood pacing timer (ms) 
                ''',
                'interface_flood_pacing_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface flood link index 
                ''',
                'interface_link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface link next flood information 
                ''',
                'interface_link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-next-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface link next information index 
                ''',
                'interface_link_next_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of neighbors 
                ''',
                'interface_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan time (ms)
                ''',
                'last_flood_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood length 
                ''',
                'maximum_flood_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood time (ms) 
                ''',
                'maximum_flood_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('suppressed-hellos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of neighbors for which hellos are
                suppressed 
                ''',
                'suppressed_hellos',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wait-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait time for DR/BDR selection (s)
                ''',
                'wait_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'active-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.InterfaceBfd' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.InterfaceBfd',
            False, 
            [
            _MetaInfoClassMember('bfd-detection-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD detection multiplier 
                ''',
                'bfd_detection_multiplier',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval (ms) 
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Enable Mode on the interface -
                Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-bfd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.InterfaceNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.InterfaceNeighbor',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of link to neighbor
                ''',
                'interface_neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router ID 
                ''',
                'interface_neighbor_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-hello-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, hello is suppressed 
                ''',
                'is_hello_suppressed',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-bdr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, backup designated router is found 
                ''',
                'is_neighbor_bdr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router is found 
                ''',
                'is_neighbor_dr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('active-interface', REFERENCE_CLASS, 'ActiveInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.ActiveInterface', 
                [], [], 
                '''                Active interface details 
                ''',
                'active_interface',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('adjacent-neighbor', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacent neighbors
                ''',
                'adjacent_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router interface address
                ''',
                'backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router ID
                ''',
                'backup_designated_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('configured-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as LDP sync
                ''',
                'configured_ldp_sync',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured dead interval (s) 
                ''',
                'dead_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router interface address
                ''',
                'designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router ID
                ''',
                'designated_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (s)
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IPv6 address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-authentication-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface authentication spi 
                ''',
                'interface_authentication_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-authentication-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface authentication transmit 
                ''',
                'interface_authentication_transmit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-bfd', REFERENCE_CLASS, 'InterfaceBfd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.InterfaceBfd', 
                [], [], 
                '''                BFD information 
                ''',
                'interface_bfd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-dc-bitless-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs with demand circuit bit not set
                for the area in which the interface is running
                ''',
                'interface_dc_bitless_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encrypted-authentication-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encrypted authentication transmitted 
                ''',
                'interface_encrypted_authentication_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encryption-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encryption spi
                ''',
                'interface_encryption_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encryption-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encryption transmitted 
                ''',
                'interface_encryption_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface LDP sync is achieved
                ''',
                'interface_ldp_sync',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbor', REFERENCE_LIST, 'InterfaceNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.InterfaceNeighbor', 
                [], [], 
                '''                Information for neighbors on the interface
                ''',
                'interface_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface number 
                ''',
                'interface_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface priority
                ''',
                'interface_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-references', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface reference count 
                ''',
                'interface_references',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured retransmit interval (s) 
                ''',
                'interface_retransmission_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface router ID 
                ''',
                'interface_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-state', REFERENCE_ENUM_CLASS, 'ImStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'ImStateEnumEnum', 
                [], [], 
                '''                Interface state
                ''',
                'interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-demand-circuit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as demand circuit 
                ''',
                'is_demand_circuit_configured',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router
                ''',
                'is_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface running as demand circuit
                ''',
                'is_interface_demand_circuit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-encryption-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface encryption is enabled 
                ''',
                'is_interface_encryption_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-flood-reduction', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface flood reduction is active 
                ''',
                'is_interface_flood_reduction',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-ip-security-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface IP security is active 
                ''',
                'is_interface_ip_security_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-ip-security-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface IP security is required 
                ''',
                'is_interface_ip_security_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-line-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, line protocol is up 
                ''',
                'is_interface_line_up',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-lsa-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Filter is configured for out going LSAs 
                ''',
                'is_interface_lsa_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-prefix-suppress', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true prefix suppression is enabled
                ''',
                'is_prefix_suppress',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-flush-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds before flush timer
                for old network LSA expires 
                ''',
                'network_lsa_flush_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-hello-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (s) 
                ''',
                'next_hello_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                Interface state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface transmission delay (sec)
                ''',
                'transmission_delay',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured wait interval (s) 
                ''',
                'wait_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface', 
                [], [], 
                '''                OSPFv3 interface information
                ''',
                'interface',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.LinkFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.LinkFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.AreaFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.AreaFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.AsFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.AsFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'as-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('area-flood', REFERENCE_LIST, 'AreaFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.AreaFlood', 
                [], [], 
                '''                Area scope floodlist
                ''',
                'area_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood', REFERENCE_LIST, 'AsFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.AsFlood', 
                [], [], 
                '''                AS scope floodlist
                ''',
                'as_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood', REFERENCE_LIST, 'LinkFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.LinkFlood', 
                [], [], 
                '''                Link floodlist
                ''',
                'link_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-transmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LS transmission (ms) 
                ''',
                'ls_transmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs currently being flooded 
                ''',
                'queue_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable',
            False, 
            [
            _MetaInfoClassMember('flood', REFERENCE_LIST, 'Flood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood', 
                [], [], 
                '''                OSPFv3 flood list information
                ''',
                'flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'flood-list-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionvirtualLinkDb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionvirtualLinkDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmissionvirtual-link-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAreaDb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAreaDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-area-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAsdb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAsdb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-asdb',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-retransmission-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link is retransmitted 
                ''',
                'is_retransmission_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-retransmissionvirtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link is retransmitted 
                ''',
                'is_retransmissionvirtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-area-db', REFERENCE_LIST, 'RetransmissionAreaDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAreaDb', 
                [], [], 
                '''                List of area scope entries
                ''',
                'retransmission_area_db',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-asdb', REFERENCE_LIST, 'RetransmissionAsdb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAsdb', 
                [], [], 
                '''                List of AS scope entries
                ''',
                'retransmission_asdb',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'retransmission_neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission sham link ID 
                ''',
                'retransmission_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time remaining on retransmission timer
                (ms)
                ''',
                'retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissionvirtual-link-db', REFERENCE_LIST, 'RetransmissionvirtualLinkDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionvirtualLinkDb', 
                [], [], 
                '''                List of virtual link scope entries 
                ''',
                'retransmissionvirtual_link_db',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissionvirtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission virtual link ID 
                ''',
                'retransmissionvirtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable',
            False, 
            [
            _MetaInfoClassMember('retransmission', REFERENCE_LIST, 'Retransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission', 
                [], [], 
                '''                OSPFv3 retransmission list information
                ''',
                'retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-list-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'links',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 address Prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-summary-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF multicast IDB 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-multicast-next-hop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF multicast next hop 
                ''',
                'rpf_multicast_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link interface ID 
                ''',
                'link_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA link metric 
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neighbor interface ID 
                ''',
                'link_neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neigbhor router id 
                ''',
                'link_neighbor_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'Ospfv3LinkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LinkEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_CLASS, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath', 
                [], [], 
                '''                Router LSA Reverse-Path Forwarding information 
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nssalsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-link-local', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA link local 
                ''',
                'lsa_link_local',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority 
                ''',
                'router_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-advertised-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Reference advertised router 
                ''',
                'reference_advertised_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'intra-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The grace periord where helper routers should
                wait before advertising it fully adjacent(s) 
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'Ospfv3GracefulRestartReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3GracefulRestartReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-area-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-aslsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-lsa', REFERENCE_CLASS, 'GraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa', 
                [], [], 
                '''                Grace LSA
                ''',
                'grace_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-prefix-lsa-type', REFERENCE_CLASS, 'InterAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType', 
                [], [], 
                '''                Inter Area Prefix LSA
                ''',
                'inter_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-router-lsa-type', REFERENCE_CLASS, 'InterAreaRouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType', 
                [], [], 
                '''                Inter Area Router LSA
                ''',
                'inter_area_router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-prefix-lsa-type', REFERENCE_CLASS, 'IntraAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType', 
                [], [], 
                '''                Intra Area Prefix LSA
                ''',
                'intra_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-lsa-type', REFERENCE_CLASS, 'LinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType', 
                [], [], 
                '''                Link LSA
                ''',
                'link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaInfoTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaInfoTypesEnum', 
                [], [], 
                '''                LSAInfoType
                ''',
                'lsa_info_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-summary-info', REFERENCE_CLASS, 'LsaSummaryInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo', 
                [], [], 
                '''                Summary information of LSAs
                ''',
                'lsa_summary_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssalsa-type', REFERENCE_CLASS, 'NssalsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType', 
                [], [], 
                '''                NSSA External LSA
                ''',
                'nssalsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-area-lsa-type', REFERENCE_CLASS, 'UnknownAreaLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType', 
                [], [], 
                '''                Unknown-Area scope LSA
                ''',
                'unknown_area_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-aslsa-type', REFERENCE_CLASS, 'UnknownAslsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType', 
                [], [], 
                '''                Unknown-AS scope LSA
                ''',
                'unknown_aslsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-link-lsa-type', REFERENCE_CLASS, 'UnknownLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType', 
                [], [], 
                '''                Unknown Link Scope LSA
                ''',
                'unknown_link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-lsa-type', REFERENCE_CLASS, 'UnknownLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType', 
                [], [], 
                '''                Unknown LSA
                ''',
                'unknown_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info', REFERENCE_CLASS, 'LsaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo', 
                [], [], 
                '''                Summary of all LSAs or LSA specific information 
                ''',
                'lsa_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'links',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 address Prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-summary-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF multicast IDB 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-multicast-next-hop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF multicast next hop 
                ''',
                'rpf_multicast_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link interface ID 
                ''',
                'link_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA link metric 
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neighbor interface ID 
                ''',
                'link_neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neigbhor router id 
                ''',
                'link_neighbor_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'Ospfv3LinkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LinkEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_CLASS, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath', 
                [], [], 
                '''                Router LSA Reverse-Path Forwarding information 
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nssalsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-link-local', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA link local 
                ''',
                'lsa_link_local',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority 
                ''',
                'router_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-advertised-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Reference advertised router 
                ''',
                'reference_advertised_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'intra-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The grace periord where helper routers should
                wait before advertising it fully adjacent(s) 
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'Ospfv3GracefulRestartReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3GracefulRestartReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-area-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-aslsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-lsa', REFERENCE_CLASS, 'GraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa', 
                [], [], 
                '''                Grace LSA
                ''',
                'grace_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-prefix-lsa-type', REFERENCE_CLASS, 'InterAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType', 
                [], [], 
                '''                Inter Area Prefix LSA
                ''',
                'inter_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-router-lsa-type', REFERENCE_CLASS, 'InterAreaRouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType', 
                [], [], 
                '''                Inter Area Router LSA
                ''',
                'inter_area_router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-prefix-lsa-type', REFERENCE_CLASS, 'IntraAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType', 
                [], [], 
                '''                Intra Area Prefix LSA
                ''',
                'intra_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-lsa-type', REFERENCE_CLASS, 'LinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType', 
                [], [], 
                '''                Link LSA
                ''',
                'link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaInfoTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaInfoTypesEnum', 
                [], [], 
                '''                LSAInfoType
                ''',
                'lsa_info_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-summary-info', REFERENCE_CLASS, 'LsaSummaryInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo', 
                [], [], 
                '''                Summary information of LSAs
                ''',
                'lsa_summary_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssalsa-type', REFERENCE_CLASS, 'NssalsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType', 
                [], [], 
                '''                NSSA External LSA
                ''',
                'nssalsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-area-lsa-type', REFERENCE_CLASS, 'UnknownAreaLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType', 
                [], [], 
                '''                Unknown-Area scope LSA
                ''',
                'unknown_area_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-aslsa-type', REFERENCE_CLASS, 'UnknownAslsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType', 
                [], [], 
                '''                Unknown-AS scope LSA
                ''',
                'unknown_aslsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-link-lsa-type', REFERENCE_CLASS, 'UnknownLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType', 
                [], [], 
                '''                Unknown Link Scope LSA
                ''',
                'unknown_link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-lsa-type', REFERENCE_CLASS, 'UnknownLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType', 
                [], [], 
                '''                Unknown LSA
                ''',
                'unknown_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info', REFERENCE_CLASS, 'LsaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo', 
                [], [], 
                '''                Summary of all LSAs or LSA specific information 
                ''',
                'lsa_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-internal-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable',
            False, 
            [
            _MetaInfoClassMember('lsa-internal-table', REFERENCE_CLASS, 'LsaInternalTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa_internal_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-table', REFERENCE_CLASS, 'LsaTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters',
            False, 
            [
            _MetaInfoClassMember('deleted-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                deleted lsa
                ''',
                'deleted_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa-checksum', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa checksum
                ''',
                'lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('max-age-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max age lsa
                ''',
                'max_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary',
            False, 
            [
            _MetaInfoClassMember('deleted-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                deleted lsa
                ''',
                'deleted_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa-checksum', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa checksum
                ''',
                'lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('max-age-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max age lsa
                ''',
                'max_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-database-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase',
            False, 
            [
            _MetaInfoClassMember('area-database-summary', REFERENCE_CLASS, 'AreaDatabaseSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary', 
                [], [], 
                '''                Area database summary 
                ''',
                'area_database_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary',
            False, 
            [
            _MetaInfoClassMember('area-database', REFERENCE_LIST, 'AreaDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase', 
                [], [], 
                '''                OSPFv3 Area Database list 
                ''',
                'area_database',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-counters', REFERENCE_CLASS, 'DatabaseCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters', 
                [], [], 
                '''                OSPFv3 database counters 
                ''',
                'database_counters',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Database router ID 
                ''',
                'database_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-opaque-database-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, opaque database is capable 
                ''',
                'is_opaque_database_capable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable',
            False, 
            [
            _MetaInfoClassMember('database-summary', REFERENCE_CLASS, 'DatabaseSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary', 
                [], [], 
                '''                Database Summary information
                ''',
                'database_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-summary-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('database-summary-table', REFERENCE_CLASS, 'DatabaseSummaryTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable', 
                [], [], 
                '''                Database summary table
                ''',
                'database_summary_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-table', REFERENCE_CLASS, 'DatabaseTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable', 
                [], [], 
                '''                OSPF Link State Database
                ''',
                'database_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('flood-list-table', REFERENCE_CLASS, 'FloodListTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable', 
                [], [], 
                '''                OSPFv3 flood list information table for an
                area
                ''',
                'flood_list_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-brief-table', REFERENCE_CLASS, 'InterfaceBriefTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefTable', 
                [], [], 
                '''                OSPFv3 interface brief information table for
                an area
                ''',
                'interface_brief_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable', 
                [], [], 
                '''                OSPFv3 interface information table for an area
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail-table', REFERENCE_CLASS, 'NeighborDetailTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable', 
                [], [], 
                '''                OSPFv3 area neighbor information table
                ''',
                'neighbor_detail_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-table', REFERENCE_CLASS, 'NeighborTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable', 
                [], [], 
                '''                OSPFv3 neighbor information table
                ''',
                'neighbor_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-list-table', REFERENCE_CLASS, 'RequestListTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable', 
                [], [], 
                '''                OSPFv3 request list information in an area
                ''',
                'request_list_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-list-table', REFERENCE_CLASS, 'RetransmissionListTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable', 
                [], [], 
                '''                OSPFv3 retransmission list information table
                in an area
                ''',
                'retransmission_list_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Areas' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Areas',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area', 
                [], [], 
                '''                Per-area information
                ''',
                'area',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RouteTopology' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RouteTopology',
            False, 
            [
            _MetaInfoClassMember('route-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route cost 
                ''',
                'route_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route distance 
                ''',
                'route_distance',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route ID 
                ''',
                'route_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RouteSource' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RouteSource',
            False, 
            [
            _MetaInfoClassMember('route-source-adversting-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route source of the advertising router 
                ''',
                'route_source_adversting_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-source-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route source ID 
                ''',
                'route_source_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-source-lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of LSA advertising the prefix, see RFC5340
                ''',
                'route_source_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Route path interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route path next hop 
                ''',
                'route_path_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route area ID 
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-source', REFERENCE_LIST, 'RouteSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RouteSource', 
                [], [], 
                '''                List of topology source information
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-topology', REFERENCE_CLASS, 'RouteTopology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RouteTopology', 
                [], [], 
                '''                Common Route topology information
                ''',
                'route_topology',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'internal-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes',
            False, 
            [
            _MetaInfoClassMember('internal-route', REFERENCE_LIST, 'InternalRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute', 
                [], [], 
                '''                OSPFv3 internal route information
                ''',
                'internal_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'internal-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas.ProtocolArea.ProtocolInterface' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas.ProtocolArea.ProtocolInterface',
            False, 
            [
            _MetaInfoClassMember('distribute-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'distribute_list_in',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Protocol interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas.ProtocolArea' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas.ProtocolArea',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('distribute-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'distribute_list_in',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal and dotted-decimal
                format
                ''',
                'protocol_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-interface', REFERENCE_LIST, 'ProtocolInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas.ProtocolArea.ProtocolInterface', 
                [], [], 
                '''                Interface list
                ''',
                'protocol_interface',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas',
            False, 
            [
            _MetaInfoClassMember('protocol-area', REFERENCE_LIST, 'ProtocolArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas.ProtocolArea', 
                [], [], 
                '''                Area information 
                ''',
                'protocol_area',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RouteTopology' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RouteTopology',
            False, 
            [
            _MetaInfoClassMember('route-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route cost 
                ''',
                'route_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route distance 
                ''',
                'route_distance',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route ID 
                ''',
                'route_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Route path interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route path next hop 
                ''',
                'route_path_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-topology', REFERENCE_CLASS, 'RouteTopology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RouteTopology', 
                [], [], 
                '''                Common Route topology information
                ''',
                'route_topology',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'connected-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes',
            False, 
            [
            _MetaInfoClassMember('connected-route', REFERENCE_LIST, 'ConnectedRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute', 
                [], [], 
                '''                OSPFv3 connected route information
                ''',
                'connected_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'connected-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.ProtocolStats.ProtocolStat' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.ProtocolStats.ProtocolStat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('checksum-err', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Checksum Errors
                ''',
                'checksum_err',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description LSAs in
                ''',
                'dbdes_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description Packets in
                ''',
                'dbdes_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description LSAs out
                ''',
                'dbdes_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description Packets out
                ''',
                'dbdes_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dropped-in-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped in GS
                ''',
                'dropped_in_gs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('hello-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello packets in
                ''',
                'hello_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('hello-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Out Packets
                ''',
                'hello_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Ack LSAs in
                ''',
                'ls_ack_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Acks Packets in
                ''',
                'ls_ack_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Ack LSAs out
                ''',
                'ls_ack_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Ack Packets out
                ''',
                'ls_ack_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Requests in
                ''',
                'ls_req_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSA Requests in
                ''',
                'ls_req_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Reuqests LSAs out
                ''',
                'ls_req_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Request Packets out
                ''',
                'ls_req_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-in-ignored', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Updates ignored
                ''',
                'ls_upd_in_ignored',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Updates LSAs in
                ''',
                'ls_upd_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Updates Packets in
                ''',
                'ls_upd_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Update LSAs out
                ''',
                'ls_upd_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Update Packets out
                ''',
                'ls_upd_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total inputs packets
                ''',
                'total_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Out Packets
                ''',
                'total_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.ProtocolStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.ProtocolStats',
            False, 
            [
            _MetaInfoClassMember('protocol-stat', REFERENCE_LIST, 'ProtocolStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.ProtocolStats.ProtocolStat', 
                [], [], 
                '''                Protocol statistics for an interface
                ''',
                'protocol_stat',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfHeader.AreaSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfHeader.AreaSummary',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID of the area SPF statistics
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sp-fs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SPF calculations
                ''',
                'sp_fs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfHeader',
            False, 
            [
            _MetaInfoClassMember('area-summary', REFERENCE_LIST, 'AreaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfHeader.AreaSummary', 
                [], [], 
                '''                List of Areas with SPF statistics
                ''',
                'area_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'header_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sp-fs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SPF calculations
                ''',
                'header_sp_fs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.GlobalTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.GlobalTime',
            False, 
            [
            _MetaInfoClassMember('dijkstra', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dijkstra time in msec
                ''',
                'dijkstra',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix processing time in msec
                ''',
                'external_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix deletion time in msec
                ''',
                'external_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter-prefix processing time in msec
                ''',
                'inter_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'inter_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix processing time in msec
                ''',
                'intra_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'intra_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB add processing time in msec
                ''',
                'rib_add',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB deletion time in msec
                ''',
                'rib_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'global-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.Lsa',
            False, 
            [
            _MetaInfoClassMember('lsa-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising router ID
                ''',
                'lsa_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flush', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the LSA change is a flush
                ''',
                'lsa_flush',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime',
            False, 
            [
            _MetaInfoClassMember('dijkstra', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dijkstra time in msec
                ''',
                'dijkstra',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix processing time in msec
                ''',
                'external_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix deletion time in msec
                ''',
                'external_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter-prefix processing time in msec
                ''',
                'inter_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'inter_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix processing time in msec
                ''',
                'intra_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'intra_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB add processing time in msec
                ''',
                'rib_add',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB deletion time in msec
                ''',
                'rib_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-stat-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat',
            False, 
            [
            _MetaInfoClassMember('spf-stat-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID for area of these SPF statistics
                ''',
                'spf_stat_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-stat-lsa-type-count', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counts of LSA types triggering an SPF
                calculation
                ''',
                'spf_stat_lsa_type_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=8),
            _MetaInfoClassMember('spf-stat-time', REFERENCE_CLASS, 'SpfStatTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime', 
                [], [], 
                '''                SPF time calculations
                ''',
                'spf_stat_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime',
            False, 
            [
            _MetaInfoClassMember('area-stat', REFERENCE_LIST, 'AreaStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat', 
                [], [], 
                '''                List of per-area SPF statistics
                ''',
                'area_stat',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('global-time', REFERENCE_CLASS, 'GlobalTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.GlobalTime', 
                [], [], 
                '''                Global SPF times
                ''',
                'global_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.Lsa', 
                [], [], 
                '''                List of LSAs triggering the SPF calculation
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=5),
            _MetaInfoClassMember('lsa-changes', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Number of LSA changes triggering an SPF
                calculation
                ''',
                'lsa_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reason-flags', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Reasons for triggering an SPF calculation Bit 1
                - Router LSA update Bit 2 - Network LSA update
                Bit 3 - Inter-Area Prefix LSA update Bit 4 -
                Inter-Area Router LSA update Bit 5 - AS External
                LSA update Bit 6 - MOSPF LSA update Bit 7 - Type
                7 AS External LSA update Bit 8 - Link LSA update
                Bit 9 - Prefix LSA update
                ''',
                'reason_flags',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-add-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes added to RIB
                ''',
                'rib_add_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-delete-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes deleted from RIB
                ''',
                'rib_delete_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SPF calculation start time
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats',
            False, 
            [
            _MetaInfoClassMember('spf-header', REFERENCE_CLASS, 'SpfHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfHeader', 
                [], [], 
                '''                SPF statistics header
                ''',
                'spf_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-runtime', REFERENCE_LIST, 'SpfRuntime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime', 
                [], [], 
                '''                List of SPF run-time statistics
                ''',
                'spf_runtime',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.RawioStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.RawioStats',
            False, 
            [
            _MetaInfoClassMember('in-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received Bytes
                ''',
                'in_bytes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-error-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Error Drops
                ''',
                'in_error_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-handle-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Handle Drops
                ''',
                'in_handle_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-ipsec-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In IPSEC Drops
                ''',
                'in_ipsec_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-long-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received Long Packets
                ''',
                'in_long_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-malloc-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Malloc Drops
                ''',
                'in_malloc_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received Packets
                ''',
                'in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Queue Drops
                ''',
                'in_queue_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-short-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Short Drops
                ''',
                'in_short_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sent Bytes
                ''',
                'out_bytes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-error-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Error Drops
                ''',
                'out_error_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-ipsec-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Out IPSEC Drops
                ''',
                'out_ipsec_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-nofd-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                No FileDescriptor Drops
                ''',
                'out_nofd_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-nopak-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                No Packet Buffers
                ''',
                'out_nopak_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets Sent
                ''',
                'out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-pakapi-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                PAK API Errors
                ''',
                'out_pakapi_errors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-close', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Raw Connections Close
                ''',
                'raw_conn_close',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Raw Connections Error
                ''',
                'raw_conn_error',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-open', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Raw Connections Open
                ''',
                'raw_conn_open',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Raw Connection State
                ''',
                'raw_conn_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rawio-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.PrefixPriorityStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.PrefixPriorityStats',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority classifications
                ''',
                'critical',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority classifications
                ''',
                'high',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority classifications
                ''',
                'low',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority classifications
                ''',
                'medium',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix-priority-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.VrfRibBatchStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.VrfRibBatchStats',
            False, 
            [
            _MetaInfoClassMember('batches-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of RIB batches sent
                ''',
                'batches_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('max-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max No. of Routes in a batch
                ''',
                'max_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths added to RIB
                ''',
                'paths_add',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-add-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths add errors
                ''',
                'paths_add_errs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths del sent to RIB
                ''',
                'paths_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-del-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Paths del errors
                ''',
                'paths_del_errs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths waiting to be sent to RIB
                ''',
                'paths_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Paths sent to RIB
                ''',
                'paths_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('routes-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No of Pending Routes
                ''',
                'routes_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('routes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Routes sent to RIB
                ''',
                'routes_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'vrf-rib-batch-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics',
            False, 
            [
            _MetaInfoClassMember('prefix-priority-stats', REFERENCE_CLASS, 'PrefixPriorityStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.PrefixPriorityStats', 
                [], [], 
                '''                OSPF Prefix SPF Prioritization statistics
                ''',
                'prefix_priority_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-stats', REFERENCE_CLASS, 'ProtocolStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.ProtocolStats', 
                [], [], 
                '''                Protocol table
                ''',
                'protocol_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rawio-stats', REFERENCE_CLASS, 'RawioStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.RawioStats', 
                [], [], 
                '''                OSPF Prefix SPF Prioritization statistics
                ''',
                'rawio_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-stats', REFERENCE_CLASS, 'SpfStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats', 
                [], [], 
                '''                OSPFv3 RIB batch statistics
                ''',
                'spf_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('vrf-rib-batch-stats', REFERENCE_CLASS, 'VrfRibBatchStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.VrfRibBatchStats', 
                [], [], 
                '''                OSPFv3 RIB batch statistics
                ''',
                'vrf_rib_batch_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'vrf-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Protocol' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Protocol',
            False, 
            [
            _MetaInfoClassMember('administrative-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative distance
                ''',
                'administrative_distance',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('administrative-distance-external', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative Distance for External routes
                ''',
                'administrative_distance_external',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('administrative-distance-inter-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative Distance for Inter Area routes
                ''',
                'administrative_distance_inter_area',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('distribute-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'distribute_list_in',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Graceful restart is enabled 
                ''',
                'is_graceful_restart',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protocol router ID
                ''',
                'protocol_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId.PrimaryDomainId' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId.PrimaryDomainId',
            False, 
            [
            _MetaInfoClassMember('domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID Type
                ''',
                'domain_id_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'domain_id_value',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'primary-domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId.SecondaryDomainId' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId.SecondaryDomainId',
            False, 
            [
            _MetaInfoClassMember('domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID Type
                ''',
                'domain_id_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'domain_id_value',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'secondary-domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId',
            False, 
            [
            _MetaInfoClassMember('primary-domain-id', REFERENCE_CLASS, 'PrimaryDomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId.PrimaryDomainId', 
                [], [], 
                '''                Primary Domain ID
                ''',
                'primary_domain_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('secondary-domain-id', REFERENCE_LIST, 'SecondaryDomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId.SecondaryDomainId', 
                [], [], 
                '''                List of secondary domain IDs
                ''',
                'secondary_domain_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.UnsetTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.UnsetTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unset-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.StartTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.StartTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'start-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.AbrResumeTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.AbrResumeTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'abr-resume-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger.UnsetTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger.UnsetTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unset-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger.StartTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger.StartTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'start-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger',
            False, 
            [
            _MetaInfoClassMember('start-time', REFERENCE_CLASS, 'StartTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger.StartTime', 
                [], [], 
                '''                Timestamp (relative to 1970/1/1 00:00) when stub
                router mode was activated
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in seconds) to stay in stub router mode
                ''',
                'time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('trigger', REFERENCE_ENUM_CLASS, 'StubRouterTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterTriggerEnum', 
                [], [], 
                '''                Stub Router Trigger type
                ''',
                'trigger',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unset-reason', REFERENCE_ENUM_CLASS, 'StubRouterExitReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterExitReasonEnum', 
                [], [], 
                '''                Reason for clearing stub router condition
                ''',
                'unset_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unset-time', REFERENCE_CLASS, 'UnsetTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger.UnsetTime', 
                [], [], 
                '''                Timestamp (relative to 1970/1/1 00:00) when stub
                router condition was cleared
                ''',
                'unset_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wait-for-bgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, stub router is terminated when BGP
                converges
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter',
            False, 
            [
            _MetaInfoClassMember('abr-off-reason', REFERENCE_ENUM_CLASS, 'StubRouterAbrOffReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterAbrOffReasonEnum', 
                [], [], 
                '''                Reason for being in ABR off mode
                ''',
                'abr_off_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('abr-resume-time', REFERENCE_CLASS, 'AbrResumeTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.AbrResumeTime', 
                [], [], 
                '''                Timestamp (relative to 1970/1/1 00:00) when ABR
                duties were resumed
                ''',
                'abr_resume_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, stub router mode is active
                ''',
                'active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-lsa-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for external LSAs in max-metric mode
                ''',
                'external_lsa_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('include-stub-links', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, advertise maximum metric for stub links
                ''',
                'include_stub_links',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'StubRouterModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterModeEnum', 
                [], [], 
                '''                Stub router mode
                ''',
                'mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time (in seconds) in stub router mode
                ''',
                'remaining_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('set-reason', REFERENCE_ENUM_CLASS, 'StubRouterTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterTriggerEnum', 
                [], [], 
                '''                Reason for entering stub router mode
                ''',
                'set_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('start-time', REFERENCE_CLASS, 'StartTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.StartTime', 
                [], [], 
                '''                Timestamp (relative to 1970/1/1 00:00) when stub
                router mode was activated
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('summary-lsa-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for summary LSAs in max-metric mode
                ''',
                'summary_lsa_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('trigger', REFERENCE_LIST, 'Trigger' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger', 
                [], [], 
                '''                Triggers for entering stub router mode
                ''',
                'trigger',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unset-reason', REFERENCE_ENUM_CLASS, 'StubRouterExitReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterExitReasonEnum', 
                [], [], 
                '''                Reason for clearing stub router condition
                ''',
                'unset_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unset-time', REFERENCE_CLASS, 'UnsetTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.UnsetTime', 
                [], [], 
                '''                Timestamp (relative to 1970/1/1 00:00) when stub
                router condition was cleared
                ''',
                'unset_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'stub-router',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.IpfrrTiebreakers' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.IpfrrTiebreakers',
            False, 
            [
            _MetaInfoClassMember('tiebreaker-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tiebreaker Index
                ''',
                'tiebreaker_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tiebreaker-type', REFERENCE_ENUM_CLASS, 'IpfrrTbrkrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'IpfrrTbrkrEnum', 
                [], [], 
                '''                Tiebreaker Type
                ''',
                'tiebreaker_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'ipfrr-tiebreakers',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of areas
                ''',
                'areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-dc-bitless-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of external and AS opaque LSAs with
                demand circut bit not set
                ''',
                'as_dc_bitless_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-do-not-age-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of external and AS opaque LSAs with do
                not age set 
                ''',
                'as_do_not_age_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AS scope LSAs
                ''',
                'as_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-lsa-flood-list-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of AS LSAs flood list
                ''',
                'as_lsa_flood_list_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('context-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                Context name
                ''',
                'context_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default metric 
                ''',
                'default_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('default-metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Default metric type 
                ''',
                'default_metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('default-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default policy name 
                ''',
                'default_policy_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('default-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default tag 
                ''',
                'default_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('domain-id', REFERENCE_CLASS, 'DomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId', 
                [], [], 
                '''                Domain ID information
                ''',
                'domain_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-resync-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Grace time to resync 
                ''',
                'grace_resync_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('graceful-shutdown-state', REFERENCE_ENUM_CLASS, 'Ospfv3GracefulShutdownStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3GracefulShutdownStateEnum', 
                [], [], 
                '''                Graceful shutdown state
                ''',
                'graceful_shutdown_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ipfrr-tiebreakers', REFERENCE_LIST, 'IpfrrTiebreakers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.IpfrrTiebreakers', 
                [], [], 
                '''                IPFRR-Tiebreakers list
                ''',
                'ipfrr_tiebreakers',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-area-border-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, is an area border router
                ''',
                'is_area_border_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-as-border-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, is an AS border router
                ''',
                'is_as_border_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-auto-cost', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, auto cost is enabled
                ''',
                'is_auto_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-default-always', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, default always 
                ''',
                'is_default_always',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-default-originated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, origin is by default 
                ''',
                'is_default_originated',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-default-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, is a default policy 
                ''',
                'is_default_policy',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-grace-restart-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, grace restart is enabled 
                ''',
                'is_grace_restart_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSR is enabled
                ''',
                'is_nsr_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-switchover-on-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trigger RP Switchover on detectable process
                restart
                ''',
                'is_nsr_switchover_on_restart',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-opaque-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Opaque LSA capable 
                ''',
                'is_opaque_capable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the process is running as stanby role
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-router-id-stalled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stalled Router ID 
                ''',
                'is_router_id_stalled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-nsf-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Length of time since the last NSF (s)
                ''',
                'last_nsf_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA flood pacing timer (ms)
                ''',
                'lsa_flood_pacing_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-group-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA refresh interval (sec)
                ''',
                'lsa_group_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second delay before generating next LSA (ms)
                ''',
                'lsa_hold_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-maximum-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum delay before generating an LSA (ms)
                ''',
                'lsa_maximum_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA retransmission pacing timer (ms)
                ''',
                'lsa_retransmission_pacing_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Initial LSA throttle delay (ms)
                ''',
                'lsa_start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of interfaces
                ''',
                'maximum_interfaces',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redistribution metric 
                ''',
                'metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minimum-lsa-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time between LSA regeneration (ms)
                ''',
                'minimum_lsa_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('normal-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of normal areas
                ''',
                'normal_areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of NSSA areas
                ''',
                'nssa_areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('opaque-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of opaque LSA checksum
                ''',
                'opaque_lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('opaque-lsas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of opaque LSAs
                ''',
                'opaque_lsas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('redistribution-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of redistributed prefixes allowed
                ''',
                'redistribution_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('redistribution-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                When the number of redistributed prefixes
                reaches this threshold, a warning message is
                issued 
                ''',
                'redistribution_threshold',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference Bandwdith
                ''',
                'reference_bandwidth',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('role', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Role, V1/V2 Active/Standby
                ''',
                'role',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('snmp-trap-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, snmp trap is enabled
                ''',
                'snmp_trap_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum delay time between SPF runs (ms)
                ''',
                'spf_hold_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-maximum-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum delay time between SPF runs (ms)
                ''',
                'spf_maximum_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Scheduling delay for SPF (ms)
                ''',
                'spf_start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('stub-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of stub and total stub areas
                ''',
                'stub_areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('stub-router', REFERENCE_LIST, 'StubRouter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter', 
                [], [], 
                '''                Stub Router Information
                ''',
                'stub_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Route' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Route',
            False, 
            [
            _MetaInfoClassMember('extern-one-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extern 1 route summary 
                ''',
                'extern_one_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extern-two-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extern 2 route summary 
                ''',
                'extern_two_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter route summary 
                ''',
                'inter_area_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra route summary 
                ''',
                'intra_area_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-one-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSSA 1 route summary 
                ''',
                'nssa_one_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-two-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSSA 2 route summary 
                ''',
                'nssa_two_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('redistribution-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redistribution route summary 
                ''',
                'redistribution_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route connected 
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route summary of a route ID 
                ''',
                'route_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-received-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total route received summary
                ''',
                'total_received_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-sent-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total route summary 
                ''',
                'total_sent_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.Summary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.Summary',
            False, 
            [
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_', 
                [], [], 
                '''                OSPFv3 summary
                ''',
                'ospfv3',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Protocol', 
                [], [], 
                '''                OSPFv3 protocol summary
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Route', 
                [], [], 
                '''                OSPFv3 route summary
                ''',
                'route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionvirtualLinkDb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionvirtualLinkDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmissionvirtual-link-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionAreaDb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionAreaDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-area-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionAsdb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionAsdb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-asdb',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-retransmission-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link is retransmitted 
                ''',
                'is_retransmission_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-retransmissionvirtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link is retransmitted 
                ''',
                'is_retransmissionvirtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-area-db', REFERENCE_LIST, 'RetransmissionAreaDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionAreaDb', 
                [], [], 
                '''                List of area scope entries
                ''',
                'retransmission_area_db',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-asdb', REFERENCE_LIST, 'RetransmissionAsdb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionAsdb', 
                [], [], 
                '''                List of AS scope entries
                ''',
                'retransmission_asdb',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'retransmission_neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission sham link ID 
                ''',
                'retransmission_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time remaining on retransmission timer
                (ms)
                ''',
                'retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissionvirtual-link-db', REFERENCE_LIST, 'RetransmissionvirtualLinkDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionvirtualLinkDb', 
                [], [], 
                '''                List of virtual link scope entries 
                ''',
                'retransmissionvirtual_link_db',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissionvirtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission virtual link ID 
                ''',
                'retransmissionvirtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable',
            False, 
            [
            _MetaInfoClassMember('retransmission', REFERENCE_LIST, 'Retransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission', 
                [], [], 
                '''                OSPFv3 retransmission list information
                ''',
                'retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-list-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums.BadChecksum.Timestamp' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums.BadChecksum.Timestamp',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums.BadChecksum' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums.BadChecksum',
            False, 
            [
            _MetaInfoClassMember('packet-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '9')], [], 
                '''                Bad Checksum Packets number
                ''',
                'packet_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('computed-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Computed Checksum
                ''',
                'computed_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('received-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received Checksum
                ''',
                'received_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('received-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Received Hexadecimal Data
                ''',
                'received_data',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums.BadChecksum.Timestamp', 
                [], [], 
                '''                Packet Timestamp (relative to 1970/1/1 00:00)
                ''',
                'timestamp',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'bad-checksum',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums',
            False, 
            [
            _MetaInfoClassMember('bad-checksum', REFERENCE_LIST, 'BadChecksum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums.BadChecksum', 
                [], [], 
                '''                Bad Checksum Packet information
                ''',
                'bad_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'bad-checksums',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters',
            False, 
            [
            _MetaInfoClassMember('deleted-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                deleted lsa
                ''',
                'deleted_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa-checksum', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa checksum
                ''',
                'lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('max-age-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max age lsa
                ''',
                'max_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary',
            False, 
            [
            _MetaInfoClassMember('deleted-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                deleted lsa
                ''',
                'deleted_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa-checksum', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa checksum
                ''',
                'lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('max-age-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max age lsa
                ''',
                'max_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-database-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase',
            False, 
            [
            _MetaInfoClassMember('area-database-summary', REFERENCE_CLASS, 'AreaDatabaseSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary', 
                [], [], 
                '''                Area database summary 
                ''',
                'area_database_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary',
            False, 
            [
            _MetaInfoClassMember('area-database', REFERENCE_LIST, 'AreaDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase', 
                [], [], 
                '''                OSPFv3 Area Database list 
                ''',
                'area_database',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-counters', REFERENCE_CLASS, 'DatabaseCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters', 
                [], [], 
                '''                OSPFv3 database counters 
                ''',
                'database_counters',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Database router ID 
                ''',
                'database_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-opaque-database-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, opaque database is capable 
                ''',
                'is_opaque_database_capable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable',
            False, 
            [
            _MetaInfoClassMember('database-summary', REFERENCE_CLASS, 'DatabaseSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary', 
                [], [], 
                '''                Database Summary information
                ''',
                'database_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-summary-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborDetail.NeighborRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborDetail.NeighborRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs 
                ''',
                'is_neighbor_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor 
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-ignore-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when ignore timer is running 
                ''',
                'neighbor_ignore_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 This is bitmask of neighbor's option field
                received 
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmission', REFERENCE_CLASS, 'NeighborRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborDetail.NeighborRetransmission', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events 
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes 
                ''',
                'state_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborBfdInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a sham link 
                ''',
                'is_neighbor_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a virtual link 
                ''',
                'is_neighbor_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-bfd-info', REFERENCE_CLASS, 'NeighborBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborBfdInfo', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires
                (seconds)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router', ATTRIBUTE, 'str' , None, None, 
                [(0, 9)], [], 
                '''                Designated router 
                ''',
                'neighbor_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail', REFERENCE_CLASS, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborDetail', 
                [], [], 
                '''                Detailed OSPFv3 neighbor information 
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor interface ID
                ''',
                'neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor sham link id 
                ''',
                'neighbor_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'Ospfv3NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up
                (seconds)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor virtual link id 
                ''',
                'neighbor_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor', 
                [], [], 
                '''                OSPFv3 neighbor detail information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes.FastReroute.IpfrrTopo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes.FastReroute.IpfrrTopo',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topology DR entry
                ''',
                'dr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsaid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology LSA ID
                ''',
                'lsaid',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topology Neighbor Sourced
                ''',
                'neighbor_sourced',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPFRR Topology Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Revision
                ''',
                'revision',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('type4', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topoogy Type-4 entry
                ''',
                'type4',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'ipfrr-topo',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes.FastReroute' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes.FastReroute',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                AreaID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ipfrr-area-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Revision
                ''',
                'ipfrr_area_revision',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ipfrr-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPF Router ID
                ''',
                'ipfrr_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ipfrr-topo', REFERENCE_LIST, 'IpfrrTopo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes.FastReroute.IpfrrTopo', 
                [], [], 
                '''                IPFRR Topology entries
                ''',
                'ipfrr_topo',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ipfrr-topo-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted decimal
                format
                ''',
                'ipfrr_topo_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes',
            False, 
            [
            _MetaInfoClassMember('fast-reroute', REFERENCE_LIST, 'FastReroute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes.FastReroute', 
                [], [], 
                '''                OSPFv3 fast reroute topology information
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'fast-reroutes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceBriefProcessTable.InterfaceBrief' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceBriefProcessTable.InterfaceBrief',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-adjacent-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of adjacent neighbors
                ''',
                'interface_adjacent_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of neighbors 
                ''',
                'interface_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceBriefProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceBriefProcessTable',
            False, 
            [
            _MetaInfoClassMember('interface-brief', REFERENCE_LIST, 'InterfaceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceBriefProcessTable.InterfaceBrief', 
                [], [], 
                '''                Interface brief information
                ''',
                'interface_brief',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-brief-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_.NeighborRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_.NeighborRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_',
            False, 
            [
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs 
                ''',
                'is_neighbor_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor 
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-ignore-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when ignore timer is running 
                ''',
                'neighbor_ignore_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 This is bitmask of neighbor's option field
                received 
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmission', REFERENCE_CLASS, 'NeighborRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_.NeighborRetransmission', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events 
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes 
                ''',
                'state_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborBfdInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a sham link 
                ''',
                'is_neighbor_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a virtual link 
                ''',
                'is_neighbor_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-bfd-info', REFERENCE_CLASS, 'NeighborBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborBfdInfo', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires
                (seconds)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router', ATTRIBUTE, 'str' , None, None, 
                [(0, 9)], [], 
                '''                Designated router 
                ''',
                'neighbor_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail', REFERENCE_CLASS, 'NeighborDetail_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_', 
                [], [], 
                '''                Detailed OSPFv3 neighbor information 
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor interface ID
                ''',
                'neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor sham link id 
                ''',
                'neighbor_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'Ospfv3NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up
                (seconds)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor virtual link id 
                ''',
                'neighbor_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable',
            False, 
            [
            _MetaInfoClassMember('neighbor-detail', REFERENCE_LIST, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail', 
                [], [], 
                '''                OSPFv3 neighbor detail information
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('area-informations', REFERENCE_CLASS, 'AreaInformations' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations', 
                [], [], 
                '''                OSPFv3 area information table
                ''',
                'area_informations',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('areas', REFERENCE_CLASS, 'Areas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Areas', 
                [], [], 
                '''                OSPFv3 area table
                ''',
                'areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bad-checksums', REFERENCE_CLASS, 'BadChecksums' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums', 
                [], [], 
                '''                Bad Checksum Packets information table
                ''',
                'bad_checksums',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('border-routers', REFERENCE_CLASS, 'BorderRouters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters', 
                [], [], 
                '''                OSPFv3 border router information table
                ''',
                'border_routers',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('connected-routes', REFERENCE_CLASS, 'ConnectedRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes', 
                [], [], 
                '''                OSPFv3 connected route information table
                ''',
                'connected_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-summary-table', REFERENCE_CLASS, 'DatabaseSummaryTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable', 
                [], [], 
                '''                Database summary table
                ''',
                'database_summary_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-table', REFERENCE_CLASS, 'DatabaseTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable', 
                [], [], 
                '''                OSPF Link State Database
                ''',
                'database_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-routes', REFERENCE_CLASS, 'ExternalRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes', 
                [], [], 
                '''                OSPFv3 external route information table
                ''',
                'external_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('fast-reroutes', REFERENCE_CLASS, 'FastReroutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes', 
                [], [], 
                '''                OSPFv3 fast reroute topology information table
                ''',
                'fast_reroutes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('flood-list-process-table', REFERENCE_CLASS, 'FloodListProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable', 
                [], [], 
                '''                OSPFv3 flood list information table for all
                areas
                ''',
                'flood_list_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-brief-process-table', REFERENCE_CLASS, 'InterfaceBriefProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceBriefProcessTable', 
                [], [], 
                '''                OSPFv3 interface brief information table for all
                areas
                ''',
                'interface_brief_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-process-table', REFERENCE_CLASS, 'InterfaceProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable', 
                [], [], 
                '''                OSPFv3 interface information table for all areas
                ''',
                'interface_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('internal-routes', REFERENCE_CLASS, 'InternalRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes', 
                [], [], 
                '''                OSPFv3 internal route information table
                ''',
                'internal_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail-process-table', REFERENCE_CLASS, 'NeighborDetailProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable', 
                [], [], 
                '''                OSPFv3 neighbor information table for all areas
                ''',
                'neighbor_detail_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-process-table', REFERENCE_CLASS, 'NeighborProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable', 
                [], [], 
                '''                OSPFv3 neighbor information table for all areas
                ''',
                'neighbor_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-areas', REFERENCE_CLASS, 'ProtocolAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas', 
                [], [], 
                '''                Protocol area table 
                ''',
                'protocol_areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('redistributions', REFERENCE_CLASS, 'Redistributions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Redistributions', 
                [], [], 
                '''                Redistribution information table
                ''',
                'redistributions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-list-process-table', REFERENCE_CLASS, 'RequestListProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable', 
                [], [], 
                '''                OSPFv3 request list information for all areas
                ''',
                'request_list_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-list-process-table', REFERENCE_CLASS, 'RetransmissionListProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable', 
                [], [], 
                '''                OSPFv3 retransmission list information table for
                all areas
                ''',
                'retransmission_list_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-summary', REFERENCE_CLASS, 'RouteSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.RouteSummary', 
                [], [], 
                '''                Summarize OSPFv3 local RIB tables
                ''',
                'route_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-table', REFERENCE_CLASS, 'ShamLinkTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable', 
                [], [], 
                '''                Sham link information
                ''',
                'sham_link_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.Summary', 
                [], [], 
                '''                OSPFv3 summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('summary-prefixes', REFERENCE_CLASS, 'SummaryPrefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.SummaryPrefixes', 
                [], [], 
                '''                Summary prefix information table
                ''',
                'summary_prefixes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link', REFERENCE_CLASS, 'VirtualLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink', 
                [], [], 
                '''                Virtual link information
                ''',
                'virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('vrf-statistics', REFERENCE_CLASS, 'VrfStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics', 
                [], [], 
                '''                Container for Statistics
                ''',
                'vrf_statistics',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Vrfs' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs.Vrf', 
                [], [], 
                '''                Operational data for a particular VRF
                (instance) in the OSPFv3 process
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.NsrStats.NsrThdStats.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.NsrStats.NsrThdStats.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Event enqueue fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events dequeued
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Events pending
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events queued
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Queued
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peak queue length
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', REFERENCE_ENUM_CLASS, 'OspfNsrSchedPriEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfNsrSchedPriEnum', 
                [], [], 
                '''                Priority Type
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority Queue
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Remaining quantum
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.NsrStats.NsrThdStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.NsrStats.NsrThdStats',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bad pulses received
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Events pending
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events processed
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events to Router thread
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Good pulses received
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.NsrStats.NsrThdStats.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Events processed per pulse
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pulse send failures
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pulses to Router thread
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nsr-thd-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.NsrStats.NsrRtrThdSched.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.NsrStats.NsrRtrThdSched.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Event enqueue fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events dequeued
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Events pending
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events queued
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Queued
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peak queue length
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', REFERENCE_ENUM_CLASS, 'OspfNsrSchedPriEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfNsrSchedPriEnum', 
                [], [], 
                '''                Priority Type
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority Queue
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Remaining quantum
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.NsrStats.NsrRtrThdSched' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.NsrStats.NsrRtrThdSched',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bad pulses received
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Events pending
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events processed
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events to Router thread
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Good pulses received
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.NsrStats.NsrRtrThdSched.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Events processed per pulse
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pulse send failures
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pulses to Router thread
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nsr-rtr-thd-sched',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.NsrStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.NsrStats',
            False, 
            [
            _MetaInfoClassMember('nsr-conn-to-active-attempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Attempts to connect to active
                ''',
                'nsr_conn_to_active_attempts',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-closes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Conn to active closes
                ''',
                'nsr_conn_to_active_closes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Conn to active errors
                ''',
                'nsr_conn_to_active_errors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Failures to connect to active
                ''',
                'nsr_conn_to_active_fails',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-opens', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Conn to active opens
                ''',
                'nsr_conn_to_active_opens',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-fsm-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                FSM state
                ''',
                'nsr_fsm_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-intf-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface TLV sequence no
                ''',
                'nsr_intf_seq_no',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-lsa-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Pending init-sync LSA msgs
                ''',
                'nsr_lsa_init_sync_pend_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA QAD pending msgs
                ''',
                'nsr_lsa_qad_mdata_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA QAD queue id
                ''',
                'nsr_lsa_qad_qid',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fabric MTU
                ''',
                'nsr_mtu',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-nbr-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Pending init-sync NBR msgs
                ''',
                'nsr_nbr_init_sync_pend_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NBR QAD pending msg
                ''',
                'nsr_nbr_qad_mdata_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NBR QAD queue id
                ''',
                'nsr_nbr_qad_qid',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-nbr-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TLV sequence no
                ''',
                'nsr_nbr_seq_no',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                My nodeid
                ''',
                'nsr_node_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-peer-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partner NodeID
                ''',
                'nsr_peer_node_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-peer-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partner NSR version
                ''',
                'nsr_peer_version',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-revision', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                NSR revision
                ''',
                'nsr_revision',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-rtr-thd-sched', REFERENCE_CLASS, 'NsrRtrThdSched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.NsrStats.NsrRtrThdSched', 
                [], [], 
                '''                Rtr thread NSR pulse handler stats
                ''',
                'nsr_rtr_thd_sched',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-thd-stats', REFERENCE_CLASS, 'NsrThdStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.NsrStats.NsrThdStats', 
                [], [], 
                '''                NSR thread scheduler stats
                ''',
                'nsr_thd_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-tmr-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Timers processed per pulse
                ''',
                'nsr_tmr_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSR version
                ''',
                'nsr_version',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nsr-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.RibThreadStats.ThreadQ' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.RibThreadStats.ThreadQ',
            False, 
            [
            _MetaInfoClassMember('wq-dequeue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dequeue Errors
                ''',
                'wq_dequeue_errs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-dqtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last Entry Dequeue
                ''',
                'wq_dqtime',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-eneueue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Enqueue Errors
                ''',
                'wq_eneueue_errs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-eqtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Head Entry Enqueue
                ''',
                'wq_eqtime',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-first-eqtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                First Entry Enqueue
                ''',
                'wq_first_eqtime',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-len-cur', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current Work Queue Length
                ''',
                'wq_len_cur',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-len-max', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Largest Work Queue Length
                ''',
                'wq_len_max',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-max-latency', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max Time Entry Was In Q
                ''',
                'wq_max_latency',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-sum-latency', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sum Latencies To Calc Average
                ''',
                'wq_sum_latency',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-total-dequeued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Entries Dequeued
                ''',
                'wq_total_dequeued',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-total-enqueued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Entries Enqueued
                ''',
                'wq_total_enqueued',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'thread-q',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.RibThreadStats.RibBaseTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.RibThreadStats.RibBaseTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rib-base-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.RibThreadStats.Holdq' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.RibThreadStats.Holdq',
            False, 
            [
            _MetaInfoClassMember('wq-dequeue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dequeue Errors
                ''',
                'wq_dequeue_errs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-dqtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last Entry Dequeue
                ''',
                'wq_dqtime',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-eneueue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Enqueue Errors
                ''',
                'wq_eneueue_errs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-eqtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Head Entry Enqueue
                ''',
                'wq_eqtime',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-first-eqtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                First Entry Enqueue
                ''',
                'wq_first_eqtime',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-len-cur', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current Work Queue Length
                ''',
                'wq_len_cur',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-len-max', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Largest Work Queue Length
                ''',
                'wq_len_max',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-max-latency', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max Time Entry Was In Q
                ''',
                'wq_max_latency',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-sum-latency', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sum Latencies To Calc Average
                ''',
                'wq_sum_latency',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-total-dequeued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Entries Dequeued
                ''',
                'wq_total_dequeued',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-total-enqueued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total Entries Enqueued
                ''',
                'wq_total_enqueued',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'holdq',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.RibThreadStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.RibThreadStats',
            False, 
            [
            _MetaInfoClassMember('holdq', REFERENCE_LIST, 'Holdq' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.RibThreadStats.Holdq', 
                [], [], 
                '''                holdq
                ''',
                'holdq',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=4),
            _MetaInfoClassMember('rib-base-clock', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rib Base Clock
                ''',
                'rib_base_clock',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-base-time', REFERENCE_CLASS, 'RibBaseTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.RibThreadStats.RibBaseTime', 
                [], [], 
                '''                rib base time
                ''',
                'rib_base_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-batch-backup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rib Batches Back up
                ''',
                'rib_batch_backup',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-batch-err', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batch errors
                ''',
                'rib_batch_err',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-batch-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rib Batches Limit
                ''',
                'rib_batch_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-batch-no-table', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batches no table
                ''',
                'rib_batch_no_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-batch-ok', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rib Batches Ok
                ''',
                'rib_batch_ok',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-batch-purged', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Rib batches purged
                ''',
                'rib_batch_purged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-batch-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Rib batches sent
                ''',
                'rib_batch_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-batch-some-err', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Batches with some error
                ''',
                'rib_batch_some_err',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-drop-conn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rib drop connections
                ''',
                'rib_drop_conn',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-drop-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rib drop version
                ''',
                'rib_drop_version',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-max-latency', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max time entry was in queue
                ''',
                'rib_max_latency',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-path-err', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route path errors
                ''',
                'rib_path_err',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-path-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route path limits
                ''',
                'rib_path_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-route-err', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Errors
                ''',
                'rib_route_err',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-route-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route table limit
                ''',
                'rib_route_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-route-some-err', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route some errors
                ''',
                'rib_route_some_err',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-sum-latency', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sum latencies to calc average
                ''',
                'rib_sum_latency',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('thread-q', REFERENCE_CLASS, 'ThreadQ' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.RibThreadStats.ThreadQ', 
                [], [], 
                '''                Inter Thread Queue
                ''',
                'thread_q',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-signals', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Signals sent to RIB Thread
                ''',
                'wq_signals',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wq-thread-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RIB Thread Active Indicator
                ''',
                'wq_thread_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rib-thread-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.IssuStats.NsrThdStats.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.IssuStats.NsrThdStats.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Event enqueue fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events dequeued
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Events pending
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events queued
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Queued
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peak queue length
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', REFERENCE_ENUM_CLASS, 'OspfNsrSchedPriEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfNsrSchedPriEnum', 
                [], [], 
                '''                Priority Type
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority Queue
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Remaining quantum
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.IssuStats.NsrThdStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.IssuStats.NsrThdStats',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bad pulses received
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Events pending
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events processed
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events to Router thread
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Good pulses received
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.IssuStats.NsrThdStats.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Events processed per pulse
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pulse send failures
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pulses to Router thread
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nsr-thd-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.IssuStats.NsrRtrThdSched.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.IssuStats.NsrRtrThdSched.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Event enqueue fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events dequeued
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Events pending
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events queued
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Queued
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peak queue length
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', REFERENCE_ENUM_CLASS, 'OspfNsrSchedPriEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfNsrSchedPriEnum', 
                [], [], 
                '''                Priority Type
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority Queue
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Remaining quantum
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.IssuStats.NsrRtrThdSched' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.IssuStats.NsrRtrThdSched',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Bad pulses received
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Events pending
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events processed
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Events to Router thread
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Good pulses received
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.IssuStats.NsrRtrThdSched.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Events processed per pulse
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pulse send failures
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pulses to Router thread
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nsr-rtr-thd-sched',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.IssuStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.IssuStats',
            False, 
            [
            _MetaInfoClassMember('nsr-conn-to-active-attempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Attempts to connect to active
                ''',
                'nsr_conn_to_active_attempts',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-closes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Conn to active closes
                ''',
                'nsr_conn_to_active_closes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Conn to active errors
                ''',
                'nsr_conn_to_active_errors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Failures to connect to active
                ''',
                'nsr_conn_to_active_fails',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-opens', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Conn to active opens
                ''',
                'nsr_conn_to_active_opens',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-fsm-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                FSM state
                ''',
                'nsr_fsm_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-intf-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface TLV sequence no
                ''',
                'nsr_intf_seq_no',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-lsa-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Pending init-sync LSA msgs
                ''',
                'nsr_lsa_init_sync_pend_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA QAD pending msgs
                ''',
                'nsr_lsa_qad_mdata_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA QAD queue id
                ''',
                'nsr_lsa_qad_qid',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fabric MTU
                ''',
                'nsr_mtu',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-nbr-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Pending init-sync NBR msgs
                ''',
                'nsr_nbr_init_sync_pend_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NBR QAD pending msg
                ''',
                'nsr_nbr_qad_mdata_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NBR QAD queue id
                ''',
                'nsr_nbr_qad_qid',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-nbr-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor TLV sequence no
                ''',
                'nsr_nbr_seq_no',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                My nodeid
                ''',
                'nsr_node_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-peer-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partner NodeID
                ''',
                'nsr_peer_node_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-peer-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Partner NSR version
                ''',
                'nsr_peer_version',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-revision', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                NSR revision
                ''',
                'nsr_revision',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-rtr-thd-sched', REFERENCE_CLASS, 'NsrRtrThdSched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.IssuStats.NsrRtrThdSched', 
                [], [], 
                '''                Rtr thread NSR pulse handler stats
                ''',
                'nsr_rtr_thd_sched',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-thd-stats', REFERENCE_CLASS, 'NsrThdStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.IssuStats.NsrThdStats', 
                [], [], 
                '''                NSR thread scheduler stats
                ''',
                'nsr_thd_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-tmr-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Timers processed per pulse
                ''',
                'nsr_tmr_quant',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSR version
                ''',
                'nsr_version',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'issu-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri.NumSentDrop' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri.NumSentDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-send-drop-array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr pl send drop array
                ''',
                'nsr_pl_send_drop_array',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'num-sent-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri.NumRecvDrop' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri.NumRecvDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-recv-drop-array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr pl recv drop array
                ''',
                'nsr_pl_recv_drop_array',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'num-recv-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri',
            False, 
            [
            _MetaInfoClassMember('num-recv', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total recvd
                ''',
                'num_recv',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=6),
            _MetaInfoClassMember('num-recv-drop', REFERENCE_LIST, 'NumRecvDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri.NumRecvDrop', 
                [], [], 
                '''                Recv Errors/drops
                ''',
                'num_recv_drop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=6),
            _MetaInfoClassMember('num-sent', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total sent
                ''',
                'num_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=5),
            _MetaInfoClassMember('num-sent-drop', REFERENCE_LIST, 'NumSentDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri.NumSentDrop', 
                [], [], 
                '''                Sent Error/drops
                ''',
                'num_sent_drop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'ncd-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.NsrPlStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.NsrPlStats',
            False, 
            [
            _MetaInfoClassMember('ncd-pri', REFERENCE_LIST, 'NcdPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri', 
                [], [], 
                '''                ncd pri
                ''',
                'ncd_pri',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=2),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nsr-pl-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.ProtocolStats.ProtocolStat' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.ProtocolStats.ProtocolStat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('checksum-err', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Checksum Errors
                ''',
                'checksum_err',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description LSAs in
                ''',
                'dbdes_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description Packets in
                ''',
                'dbdes_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description LSAs out
                ''',
                'dbdes_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description Packets out
                ''',
                'dbdes_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dropped-in-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped in GS
                ''',
                'dropped_in_gs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('hello-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello packets in
                ''',
                'hello_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('hello-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Out Packets
                ''',
                'hello_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Ack LSAs in
                ''',
                'ls_ack_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Acks Packets in
                ''',
                'ls_ack_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Ack LSAs out
                ''',
                'ls_ack_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Ack Packets out
                ''',
                'ls_ack_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Requests in
                ''',
                'ls_req_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSA Requests in
                ''',
                'ls_req_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Reuqests LSAs out
                ''',
                'ls_req_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Request Packets out
                ''',
                'ls_req_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-in-ignored', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Updates ignored
                ''',
                'ls_upd_in_ignored',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Updates LSAs in
                ''',
                'ls_upd_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Updates Packets in
                ''',
                'ls_upd_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Update LSAs out
                ''',
                'ls_upd_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Update Packets out
                ''',
                'ls_upd_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total inputs packets
                ''',
                'total_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Out Packets
                ''',
                'total_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.ProtocolStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.ProtocolStats',
            False, 
            [
            _MetaInfoClassMember('protocol-stat', REFERENCE_LIST, 'ProtocolStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.ProtocolStats.ProtocolStat', 
                [], [], 
                '''                Protocol statistics for an interface
                ''',
                'protocol_stat',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.SpfStats.SpfHeader.AreaSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.SpfStats.SpfHeader.AreaSummary',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID of the area SPF statistics
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sp-fs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SPF calculations
                ''',
                'sp_fs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.SpfStats.SpfHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.SpfStats.SpfHeader',
            False, 
            [
            _MetaInfoClassMember('area-summary', REFERENCE_LIST, 'AreaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.SpfStats.SpfHeader.AreaSummary', 
                [], [], 
                '''                List of Areas with SPF statistics
                ''',
                'area_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'header_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sp-fs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SPF calculations
                ''',
                'header_sp_fs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.GlobalTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.GlobalTime',
            False, 
            [
            _MetaInfoClassMember('dijkstra', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dijkstra time in msec
                ''',
                'dijkstra',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix processing time in msec
                ''',
                'external_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix deletion time in msec
                ''',
                'external_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter-prefix processing time in msec
                ''',
                'inter_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'inter_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix processing time in msec
                ''',
                'intra_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'intra_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB add processing time in msec
                ''',
                'rib_add',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB deletion time in msec
                ''',
                'rib_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'global-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.Lsa',
            False, 
            [
            _MetaInfoClassMember('lsa-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising router ID
                ''',
                'lsa_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flush', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the LSA change is a flush
                ''',
                'lsa_flush',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime',
            False, 
            [
            _MetaInfoClassMember('dijkstra', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dijkstra time in msec
                ''',
                'dijkstra',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix processing time in msec
                ''',
                'external_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix deletion time in msec
                ''',
                'external_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter-prefix processing time in msec
                ''',
                'inter_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'inter_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix processing time in msec
                ''',
                'intra_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'intra_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB add processing time in msec
                ''',
                'rib_add',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB deletion time in msec
                ''',
                'rib_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-stat-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.AreaStat' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.AreaStat',
            False, 
            [
            _MetaInfoClassMember('spf-stat-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID for area of these SPF statistics
                ''',
                'spf_stat_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-stat-lsa-type-count', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counts of LSA types triggering an SPF
                calculation
                ''',
                'spf_stat_lsa_type_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=8),
            _MetaInfoClassMember('spf-stat-time', REFERENCE_CLASS, 'SpfStatTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime', 
                [], [], 
                '''                SPF time calculations
                ''',
                'spf_stat_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime',
            False, 
            [
            _MetaInfoClassMember('area-stat', REFERENCE_LIST, 'AreaStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.AreaStat', 
                [], [], 
                '''                List of per-area SPF statistics
                ''',
                'area_stat',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('global-time', REFERENCE_CLASS, 'GlobalTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.GlobalTime', 
                [], [], 
                '''                Global SPF times
                ''',
                'global_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.Lsa', 
                [], [], 
                '''                List of LSAs triggering the SPF calculation
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=5),
            _MetaInfoClassMember('lsa-changes', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Number of LSA changes triggering an SPF
                calculation
                ''',
                'lsa_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reason-flags', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Reasons for triggering an SPF calculation Bit 1
                - Router LSA update Bit 2 - Network LSA update
                Bit 3 - Inter-Area Prefix LSA update Bit 4 -
                Inter-Area Router LSA update Bit 5 - AS External
                LSA update Bit 6 - MOSPF LSA update Bit 7 - Type
                7 AS External LSA update Bit 8 - Link LSA update
                Bit 9 - Prefix LSA update
                ''',
                'reason_flags',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-add-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes added to RIB
                ''',
                'rib_add_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-delete-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes deleted from RIB
                ''',
                'rib_delete_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SPF calculation start time
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.SpfStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.SpfStats',
            False, 
            [
            _MetaInfoClassMember('spf-header', REFERENCE_CLASS, 'SpfHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.SpfStats.SpfHeader', 
                [], [], 
                '''                SPF statistics header
                ''',
                'spf_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-runtime', REFERENCE_LIST, 'SpfRuntime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime', 
                [], [], 
                '''                List of SPF run-time statistics
                ''',
                'spf_runtime',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.RawioStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.RawioStats',
            False, 
            [
            _MetaInfoClassMember('in-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received Bytes
                ''',
                'in_bytes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-error-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Error Drops
                ''',
                'in_error_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-handle-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Handle Drops
                ''',
                'in_handle_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-ipsec-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In IPSEC Drops
                ''',
                'in_ipsec_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-long-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received Long Packets
                ''',
                'in_long_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-malloc-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Malloc Drops
                ''',
                'in_malloc_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received Packets
                ''',
                'in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Queue Drops
                ''',
                'in_queue_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-short-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Short Drops
                ''',
                'in_short_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sent Bytes
                ''',
                'out_bytes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-error-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Error Drops
                ''',
                'out_error_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-ipsec-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Out IPSEC Drops
                ''',
                'out_ipsec_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-nofd-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                No FileDescriptor Drops
                ''',
                'out_nofd_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-nopak-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                No Packet Buffers
                ''',
                'out_nopak_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets Sent
                ''',
                'out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-pakapi-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                PAK API Errors
                ''',
                'out_pakapi_errors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-close', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Raw Connections Close
                ''',
                'raw_conn_close',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Raw Connections Error
                ''',
                'raw_conn_error',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-open', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Raw Connections Open
                ''',
                'raw_conn_open',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Raw Connection State
                ''',
                'raw_conn_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rawio-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.PrefixPriorityStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.PrefixPriorityStats',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority classifications
                ''',
                'critical',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority classifications
                ''',
                'high',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority classifications
                ''',
                'low',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority classifications
                ''',
                'medium',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix-priority-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics.VrfRibBatchStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics.VrfRibBatchStats',
            False, 
            [
            _MetaInfoClassMember('batches-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of RIB batches sent
                ''',
                'batches_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('max-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max No. of Routes in a batch
                ''',
                'max_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths added to RIB
                ''',
                'paths_add',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-add-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths add errors
                ''',
                'paths_add_errs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths del sent to RIB
                ''',
                'paths_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-del-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Paths del errors
                ''',
                'paths_del_errs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths waiting to be sent to RIB
                ''',
                'paths_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Paths sent to RIB
                ''',
                'paths_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('routes-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No of Pending Routes
                ''',
                'routes_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('routes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Routes sent to RIB
                ''',
                'routes_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'vrf-rib-batch-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.Statistics' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.Statistics',
            False, 
            [
            _MetaInfoClassMember('issu-stats', REFERENCE_CLASS, 'IssuStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.IssuStats', 
                [], [], 
                '''                OSPF ISSU statistics
                ''',
                'issu_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-pl-stats', REFERENCE_CLASS, 'NsrPlStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.NsrPlStats', 
                [], [], 
                '''                OSPF NSR packet library statistics
                ''',
                'nsr_pl_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-stats', REFERENCE_CLASS, 'NsrStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.NsrStats', 
                [], [], 
                '''                OSPF NSR statistics
                ''',
                'nsr_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-priority-stats', REFERENCE_CLASS, 'PrefixPriorityStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.PrefixPriorityStats', 
                [], [], 
                '''                OSPF Prefix SPF Prioritization statistics
                ''',
                'prefix_priority_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-stats', REFERENCE_CLASS, 'ProtocolStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.ProtocolStats', 
                [], [], 
                '''                Protocol table
                ''',
                'protocol_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rawio-stats', REFERENCE_CLASS, 'RawioStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.RawioStats', 
                [], [], 
                '''                OSPF Prefix SPF Prioritization statistics
                ''',
                'rawio_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-thread-stats', REFERENCE_CLASS, 'RibThreadStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.RibThreadStats', 
                [], [], 
                '''                OSPFv3 RIB thread statistics
                ''',
                'rib_thread_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-stats', REFERENCE_CLASS, 'SpfStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.SpfStats', 
                [], [], 
                '''                OSPFv3 RIB batch statistics
                ''',
                'spf_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('vrf-rib-batch-stats', REFERENCE_CLASS, 'VrfRibBatchStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics.VrfRibBatchStats', 
                [], [], 
                '''                OSPFv3 RIB batch statistics
                ''',
                'vrf_rib_batch_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.SummaryPrefixes.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.SummaryPrefixes.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix metric
                ''',
                'prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Prefix metric type
                ''',
                'prefix_metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag
                ''',
                'tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.SummaryPrefixes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.SummaryPrefixes',
            False, 
            [
            _MetaInfoClassMember('summary-prefix', REFERENCE_LIST, 'SummaryPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.SummaryPrefixes.SummaryPrefix', 
                [], [], 
                '''                Summary prefix information
                ''',
                'summary_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'summary-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.BorderRouters.BorderRouter.BorderRouterPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.BorderRouters.BorderRouter.BorderRouterPath',
            False, 
            [
            _MetaInfoClassMember('border-router-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area string in decimal or dotted-decimal format 
                ''',
                'border_router_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('border-router-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address 
                ''',
                'border_router_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('border-router-route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'border_router_route_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('border-router-type', REFERENCE_ENUM_CLASS, 'Ospfv3BorderRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3BorderRouteEnum', 
                [], [], 
                '''                Border router type 
                ''',
                'border_router_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-intra-area-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, intra-area router else inter-area
                router
                ''',
                'is_intra_area_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SPF version
                ''',
                'spf_version',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'border-router-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.BorderRouters.BorderRouter' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.BorderRouters.BorderRouter',
            False, 
            [
            _MetaInfoClassMember('border-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router address
                ''',
                'border_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('border-router-path', REFERENCE_LIST, 'BorderRouterPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.BorderRouters.BorderRouter.BorderRouterPath', 
                [], [], 
                '''                List of border router paths
                ''',
                'border_router_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'border-router',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.BorderRouters' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.BorderRouters',
            False, 
            [
            _MetaInfoClassMember('border-router', REFERENCE_LIST, 'BorderRouter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.BorderRouters.BorderRouter', 
                [], [], 
                '''                OSPFv3 border router information
                ''',
                'border_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'border-routers',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable.ShamLinkNeighbor.ShamLinkRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable.ShamLinkNeighbor.ShamLinkRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'sham-link-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable.ShamLinkNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable.ShamLinkNeighbor',
            False, 
            [
            _MetaInfoClassMember('sham-link-retransmission', REFERENCE_CLASS, 'ShamLinkRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable.ShamLinkNeighbor.ShamLinkRetransmission', 
                [], [], 
                '''                Neighbor retransmission info
                ''',
                'sham_link_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-state', REFERENCE_ENUM_CLASS, 'Ospfv3NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3NeighborStateEnum', 
                [], [], 
                '''                Adjacency state
                ''',
                'sham_link_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-suppress-hello', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true Hellos suppressed
                ''',
                'sham_link_suppress_hello',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'sham-link-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable',
            False, 
            [
            _MetaInfoClassMember('is-sham-link-authentication-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link authentication is enabled 
                ''',
                'is_sham_link_authentication_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link-encryption-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link encryption is enabled 
                ''',
                'is_sham_link_encryption_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link-ip-security-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Sham link IP security is active 
                ''',
                'is_sham_link_ip_security_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link-ip-security-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link IP security is required 
                ''',
                'is_sham_link_ip_security_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Area id
                ''',
                'sham_link_area',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-authentication-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link authentication transmit 
                ''',
                'sham_link_authentication_transmit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of the sham link
                ''',
                'sham_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-dc-bitless-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA's with demand circuit bit not set
                ''',
                'sham_link_dc_bitless_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dead interval (s)
                ''',
                'sham_link_dead_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the link runs as demand circuit
                ''',
                'sham_link_demand_circuit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-dest-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Sham-link dest
                ''',
                'sham_link_dest_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-encrypted-authentication-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link encrypted authentication transmitted 
                ''',
                'sham_link_encrypted_authentication_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-encryption-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link encryption spi
                ''',
                'sham_link_encryption_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-encryption-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link encryption transmitted 
                ''',
                'sham_link_encryption_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-gr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Gracefule restart in progress
                ''',
                'sham_link_gr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-gr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  enabled
                ''',
                'sham_link_gr_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval (s)
                ''',
                'sham_link_hello_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-ifindex', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham-link ifindex
                ''',
                'sham_link_ifindex',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-last-gr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since last GR
                ''',
                'sham_link_last_gr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-neighbor', REFERENCE_CLASS, 'ShamLinkNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable.ShamLinkNeighbor', 
                [], [], 
                '''                Neighbor information
                ''',
                'sham_link_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor on other end of this sham link
                ''',
                'sham_link_neighbor_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-next-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next hello (s)
                ''',
                'sham_link_next_hello',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is passive
                ''',
                'sham_link_passive',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission interval (s)
                ''',
                'sham_link_retransmission_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Sham-link source
                ''',
                'sham_link_source_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                OSPF interface state for the sham link
                ''',
                'sham_link_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmission delay in seconds
                ''',
                'sham_link_transmission_delay',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait interval (s)
                ''',
                'sham_link_wait_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-authentication-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link authentication spi 
                ''',
                'virtual_link_authentication_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'sham-link-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.AreaInformations.AreaInformation.AreaRange' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.AreaInformations.AreaInformation.AreaRange',
            False, 
            [
            _MetaInfoClassMember('is-cost-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, cost is configured 
                ''',
                'is_cost_configured',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('net-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Net cost 
                ''',
                'net_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('range-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IP prefix for summarization
                ''',
                'range_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('range-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IP prefix length for summarization
                ''',
                'range_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'Ospfv3AreaRangeStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3AreaRangeStatusEnum', 
                [], [], 
                '''                Area range status 
                ''',
                'status',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.AreaInformations.AreaInformation' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.AreaInformations.AreaInformation',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('area-dc-bitless-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA with demand circuit bit not set
                ''',
                'area_dc_bitless_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of interfaces in the area
                ''',
                'area_interfaces',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-lfa-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LFA enabled interfaces
                ''',
                'area_lfa_interface_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-lfa-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area LFA revision
                ''',
                'area_lfa_revision',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-opaque-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of opaque LSA checksums
                ''',
                'area_opaque_lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-opaque-lsas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of opaque LSAs in the area
                ''',
                'area_opaque_lsas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-per-prefix-lfa-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Per Prefix LFA enabled interfaces
                ''',
                'area_per_prefix_lfa_interface_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-range', REFERENCE_LIST, 'AreaRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.AreaInformations.AreaInformation.AreaRange', 
                [], [], 
                '''                List of ranges to summarize
                ''',
                'area_range',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('do-not-age-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of do not age LSAs
                ''',
                'do_not_age_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('flood-list-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs which need to be flooded
                ''',
                'flood_list_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('indication-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of indication LSAs
                ''',
                'indication_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-area-nssa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, area is a NSSA
                ''',
                'is_area_nssa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-area-stubbed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, stub area
                ''',
                'is_area_stubbed',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-area-total-stubbed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, totally stubby area
                ''',
                'is_area_total_stubbed',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-backbone-area-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Backbone area is active
                ''',
                'is_backbone_area_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nssa-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, generate NSSA default route
                ''',
                'is_nssa_default',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nssa-translated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, perform 7/5 translation
                ''',
                'is_nssa_translated',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-rrr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, RRR is enabled
                ''',
                'is_rrr_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-no-redistribution', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, No redistribution into this NSSA area
                ''',
                'nssa_no_redistribution',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sp-fs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SPF calculations run
                ''',
                'sp_fs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('stub-default-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default cost for Stub or NSSA area
                ''',
                'stub_default_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.AreaInformations' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.AreaInformations',
            False, 
            [
            _MetaInfoClassMember('area-information', REFERENCE_LIST, 'AreaInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.AreaInformations.AreaInformation', 
                [], [], 
                '''                OSPFv3 area information
                ''',
                'area_information',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-informations',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'links',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 address Prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-summary-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF multicast IDB 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-multicast-next-hop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF multicast next hop 
                ''',
                'rpf_multicast_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link interface ID 
                ''',
                'link_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA link metric 
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neighbor interface ID 
                ''',
                'link_neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neigbhor router id 
                ''',
                'link_neighbor_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'Ospfv3LinkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LinkEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_CLASS, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath', 
                [], [], 
                '''                Router LSA Reverse-Path Forwarding information 
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nssalsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-link-local', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA link local 
                ''',
                'lsa_link_local',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority 
                ''',
                'router_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-advertised-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Reference advertised router 
                ''',
                'reference_advertised_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'intra-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The grace periord where helper routers should
                wait before advertising it fully adjacent(s) 
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'Ospfv3GracefulRestartReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3GracefulRestartReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-area-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-aslsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-lsa', REFERENCE_CLASS, 'GraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa', 
                [], [], 
                '''                Grace LSA
                ''',
                'grace_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-prefix-lsa-type', REFERENCE_CLASS, 'InterAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType', 
                [], [], 
                '''                Inter Area Prefix LSA
                ''',
                'inter_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-router-lsa-type', REFERENCE_CLASS, 'InterAreaRouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType', 
                [], [], 
                '''                Inter Area Router LSA
                ''',
                'inter_area_router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-prefix-lsa-type', REFERENCE_CLASS, 'IntraAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType', 
                [], [], 
                '''                Intra Area Prefix LSA
                ''',
                'intra_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-lsa-type', REFERENCE_CLASS, 'LinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType', 
                [], [], 
                '''                Link LSA
                ''',
                'link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaInfoTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaInfoTypesEnum', 
                [], [], 
                '''                LSAInfoType
                ''',
                'lsa_info_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-summary-info', REFERENCE_CLASS, 'LsaSummaryInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo', 
                [], [], 
                '''                Summary information of LSAs
                ''',
                'lsa_summary_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssalsa-type', REFERENCE_CLASS, 'NssalsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType', 
                [], [], 
                '''                NSSA External LSA
                ''',
                'nssalsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-area-lsa-type', REFERENCE_CLASS, 'UnknownAreaLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType', 
                [], [], 
                '''                Unknown-Area scope LSA
                ''',
                'unknown_area_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-aslsa-type', REFERENCE_CLASS, 'UnknownAslsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType', 
                [], [], 
                '''                Unknown-AS scope LSA
                ''',
                'unknown_aslsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-link-lsa-type', REFERENCE_CLASS, 'UnknownLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType', 
                [], [], 
                '''                Unknown Link Scope LSA
                ''',
                'unknown_link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-lsa-type', REFERENCE_CLASS, 'UnknownLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType', 
                [], [], 
                '''                Unknown LSA
                ''',
                'unknown_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info', REFERENCE_CLASS, 'LsaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo', 
                [], [], 
                '''                Summary of all LSAs or LSA specific information 
                ''',
                'lsa_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'links',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 address Prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-summary-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF multicast IDB 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-multicast-next-hop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF multicast next hop 
                ''',
                'rpf_multicast_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link interface ID 
                ''',
                'link_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA link metric 
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neighbor interface ID 
                ''',
                'link_neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neigbhor router id 
                ''',
                'link_neighbor_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'Ospfv3LinkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LinkEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_CLASS, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath', 
                [], [], 
                '''                Router LSA Reverse-Path Forwarding information 
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nssalsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-link-local', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA link local 
                ''',
                'lsa_link_local',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority 
                ''',
                'router_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-advertised-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Reference advertised router 
                ''',
                'reference_advertised_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'intra-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The grace periord where helper routers should
                wait before advertising it fully adjacent(s) 
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'Ospfv3GracefulRestartReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3GracefulRestartReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-area-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-aslsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-lsa', REFERENCE_CLASS, 'GraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa', 
                [], [], 
                '''                Grace LSA
                ''',
                'grace_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-prefix-lsa-type', REFERENCE_CLASS, 'InterAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType', 
                [], [], 
                '''                Inter Area Prefix LSA
                ''',
                'inter_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-router-lsa-type', REFERENCE_CLASS, 'InterAreaRouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType', 
                [], [], 
                '''                Inter Area Router LSA
                ''',
                'inter_area_router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-prefix-lsa-type', REFERENCE_CLASS, 'IntraAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType', 
                [], [], 
                '''                Intra Area Prefix LSA
                ''',
                'intra_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-lsa-type', REFERENCE_CLASS, 'LinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType', 
                [], [], 
                '''                Link LSA
                ''',
                'link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaInfoTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaInfoTypesEnum', 
                [], [], 
                '''                LSAInfoType
                ''',
                'lsa_info_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-summary-info', REFERENCE_CLASS, 'LsaSummaryInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo', 
                [], [], 
                '''                Summary information of LSAs
                ''',
                'lsa_summary_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssalsa-type', REFERENCE_CLASS, 'NssalsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType', 
                [], [], 
                '''                NSSA External LSA
                ''',
                'nssalsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-area-lsa-type', REFERENCE_CLASS, 'UnknownAreaLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType', 
                [], [], 
                '''                Unknown-Area scope LSA
                ''',
                'unknown_area_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-aslsa-type', REFERENCE_CLASS, 'UnknownAslsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType', 
                [], [], 
                '''                Unknown-AS scope LSA
                ''',
                'unknown_aslsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-link-lsa-type', REFERENCE_CLASS, 'UnknownLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType', 
                [], [], 
                '''                Unknown Link Scope LSA
                ''',
                'unknown_link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-lsa-type', REFERENCE_CLASS, 'UnknownLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType', 
                [], [], 
                '''                Unknown LSA
                ''',
                'unknown_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info', REFERENCE_CLASS, 'LsaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo', 
                [], [], 
                '''                Summary of all LSAs or LSA specific information 
                ''',
                'lsa_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-internal-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseTable',
            False, 
            [
            _MetaInfoClassMember('lsa-internal-table', REFERENCE_CLASS, 'LsaInternalTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa_internal_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-table', REFERENCE_CLASS, 'LsaTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.ActiveInterface' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.ActiveInterface',
            False, 
            [
            _MetaInfoClassMember('flood-queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flood queue length
                ''',
                'flood_queue_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('flood-scan-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan length 
                ''',
                'flood_scan_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSAs flood index
                ''',
                'interface_area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (Area scope) 
                ''',
                'interface_area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSAs flood index 
                ''',
                'interface_as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next flood pacing timer (ms) 
                ''',
                'interface_flood_pacing_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface flood link index 
                ''',
                'interface_link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface link next flood information 
                ''',
                'interface_link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-next-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface link next information index 
                ''',
                'interface_link_next_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of neighbors 
                ''',
                'interface_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan time (ms)
                ''',
                'last_flood_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood length 
                ''',
                'maximum_flood_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood time (ms) 
                ''',
                'maximum_flood_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('suppressed-hellos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of neighbors for which hellos are
                suppressed 
                ''',
                'suppressed_hellos',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wait-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait time for DR/BDR selection (s)
                ''',
                'wait_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'active-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.InterfaceBfd' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.InterfaceBfd',
            False, 
            [
            _MetaInfoClassMember('bfd-detection-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD detection multiplier 
                ''',
                'bfd_detection_multiplier',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval (ms) 
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Enable Mode on the interface -
                Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-bfd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.InterfaceNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.InterfaceNeighbor',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of link to neighbor
                ''',
                'interface_neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router ID 
                ''',
                'interface_neighbor_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-hello-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, hello is suppressed 
                ''',
                'is_hello_suppressed',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-bdr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, backup designated router is found 
                ''',
                'is_neighbor_bdr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router is found 
                ''',
                'is_neighbor_dr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('active-interface', REFERENCE_CLASS, 'ActiveInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.ActiveInterface', 
                [], [], 
                '''                Active interface details 
                ''',
                'active_interface',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('adjacent-neighbor', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacent neighbors
                ''',
                'adjacent_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router interface address
                ''',
                'backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router ID
                ''',
                'backup_designated_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('configured-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as LDP sync
                ''',
                'configured_ldp_sync',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured dead interval (s) 
                ''',
                'dead_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router interface address
                ''',
                'designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router ID
                ''',
                'designated_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (s)
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IPv6 address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-authentication-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface authentication spi 
                ''',
                'interface_authentication_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-authentication-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface authentication transmit 
                ''',
                'interface_authentication_transmit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-bfd', REFERENCE_CLASS, 'InterfaceBfd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.InterfaceBfd', 
                [], [], 
                '''                BFD information 
                ''',
                'interface_bfd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-dc-bitless-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs with demand circuit bit not set
                for the area in which the interface is running
                ''',
                'interface_dc_bitless_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encrypted-authentication-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encrypted authentication transmitted 
                ''',
                'interface_encrypted_authentication_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encryption-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encryption spi
                ''',
                'interface_encryption_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encryption-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encryption transmitted 
                ''',
                'interface_encryption_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface LDP sync is achieved
                ''',
                'interface_ldp_sync',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbor', REFERENCE_LIST, 'InterfaceNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.InterfaceNeighbor', 
                [], [], 
                '''                Information for neighbors on the interface
                ''',
                'interface_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface number 
                ''',
                'interface_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface priority
                ''',
                'interface_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-references', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface reference count 
                ''',
                'interface_references',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured retransmit interval (s) 
                ''',
                'interface_retransmission_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface router ID 
                ''',
                'interface_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-state', REFERENCE_ENUM_CLASS, 'ImStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'ImStateEnumEnum', 
                [], [], 
                '''                Interface state
                ''',
                'interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-demand-circuit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as demand circuit 
                ''',
                'is_demand_circuit_configured',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router
                ''',
                'is_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface running as demand circuit
                ''',
                'is_interface_demand_circuit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-encryption-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface encryption is enabled 
                ''',
                'is_interface_encryption_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-flood-reduction', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface flood reduction is active 
                ''',
                'is_interface_flood_reduction',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-ip-security-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface IP security is active 
                ''',
                'is_interface_ip_security_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-ip-security-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface IP security is required 
                ''',
                'is_interface_ip_security_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-line-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, line protocol is up 
                ''',
                'is_interface_line_up',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-lsa-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Filter is configured for out going LSAs 
                ''',
                'is_interface_lsa_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-prefix-suppress', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true prefix suppression is enabled
                ''',
                'is_prefix_suppress',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-flush-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds before flush timer
                for old network LSA expires 
                ''',
                'network_lsa_flush_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-hello-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (s) 
                ''',
                'next_hello_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                Interface state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface transmission delay (sec)
                ''',
                'transmission_delay',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured wait interval (s) 
                ''',
                'wait_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface', 
                [], [], 
                '''                OSPFv3 interface information
                ''',
                'interface',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Redistributions.Redistribution' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Redistributions.Redistribution',
            False, 
            [
            _MetaInfoClassMember('policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route policy name 
                ''',
                'policy_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('process-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                Process ID 
                ''',
                'process_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('process-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Process name of a protocolbeing redistributed 
                ''',
                'process_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Protocol name that is redistributed
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-name-xr', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                Protocol name 
                ''',
                'protocol_name_xr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('red-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                red metric
                ''',
                'red_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('red-metric-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                red metric flag
                ''',
                'red_metric_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('red-metric-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                red metric type
                ''',
                'red_metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('red-mtype-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                red mtype flag
                ''',
                'red_mtype_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('red-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                red tag
                ''',
                'red_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'redistribution',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Redistributions' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Redistributions',
            False, 
            [
            _MetaInfoClassMember('redistribution', REFERENCE_LIST, 'Redistribution' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Redistributions.Redistribution', 
                [], [], 
                '''                Redistribution information
                ''',
                'redistribution',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'redistributions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RouteTopology' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RouteTopology',
            False, 
            [
            _MetaInfoClassMember('route-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route cost 
                ''',
                'route_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route distance 
                ''',
                'route_distance',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route ID 
                ''',
                'route_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RouteExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RouteExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('extended-community-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area id
                ''',
                'extended_community_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extended-community-domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'extended_community_domain_id_value',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extended-community-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Options
                ''',
                'extended_community_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extended-community-route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route type
                ''',
                'extended_community_route_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extended-community-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router id
                ''',
                'extended_community_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extended-communityl-domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID type
                ''',
                'extended_communityl_domain_id_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Route path interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route path next hop 
                ''',
                'route_path_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-extended-community', REFERENCE_CLASS, 'RouteExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RouteExtendedCommunity', 
                [], [], 
                '''                Extended communities in the route
                ''',
                'route_extended_community',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-topology', REFERENCE_CLASS, 'RouteTopology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RouteTopology', 
                [], [], 
                '''                Common Route topology information
                ''',
                'route_topology',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes',
            False, 
            [
            _MetaInfoClassMember('external-route', REFERENCE_LIST, 'ExternalRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute', 
                [], [], 
                '''                OSPFv3 external route information
                ''',
                'external_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable.Request.Request_' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable.Request.Request_',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable.Request' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable.Request',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-request-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link is requested 
                ''',
                'is_request_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-request-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link is requested 
                ''',
                'is_request_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable.Request.Request_', 
                [], [], 
                '''                List of request list entries
                ''',
                'request',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'request_neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Request sham link ID 
                ''',
                'request_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Request virtual link ID 
                ''',
                'request_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable',
            False, 
            [
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable.Request', 
                [], [], 
                '''                OSPFv3 request list information
                ''',
                'request',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request-list-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'virtual-link-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VirtualLink.VirtualLinkNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VirtualLink.VirtualLinkNeighbor',
            False, 
            [
            _MetaInfoClassMember('is-virtual-link-hello-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, hello suppressed 
                ''',
                'is_virtual_link_hello_suppressed',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-retransmission', REFERENCE_CLASS, 'VirtualLinkRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmission', 
                [], [], 
                '''                Virtual link retransmission information 
                ''',
                'virtual_link_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                OSPF interface state for the virtual link
                ''',
                'virtual_link_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'virtual-link-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VirtualLink' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VirtualLink',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which this virtual link is formed
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-authentication-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link authentication is enabled 
                ''',
                'is_virtual_link_authentication_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the link runs as demand circuit
                ''',
                'is_virtual_link_demand_circuit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-encryption-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link encryption is enabled 
                ''',
                'is_virtual_link_encryption_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-ip-security-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Virtual link IP security is active 
                ''',
                'is_virtual_link_ip_security_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-ip-security-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link IP security is required 
                ''',
                'is_virtual_link_ip_security_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is passive
                ''',
                'is_virtual_link_passive',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('transit-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Transit area id 
                ''',
                'transit_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-authentication-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link authentication spi 
                ''',
                'virtual_link_authentication_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-authentication-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link authentication transmit 
                ''',
                'virtual_link_authentication_transmit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of the virtual link
                ''',
                'virtual_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-dc-bitless-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA's with demand circuit bit not set 
                ''',
                'virtual_link_dc_bitless_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dead interval (s)
                ''',
                'virtual_link_dead_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-encrypted-authentication-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link encrypted authentication
                transmitted 
                ''',
                'virtual_link_encrypted_authentication_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-encryption-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link encryption spi
                ''',
                'virtual_link_encryption_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-encryption-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link encryption transmitted 
                ''',
                'virtual_link_encryption_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval (s)
                ''',
                'virtual_link_hello_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-interface-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link interface number 
                ''',
                'virtual_link_interface_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-neighbor', REFERENCE_CLASS, 'VirtualLinkNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VirtualLink.VirtualLinkNeighbor', 
                [], [], 
                '''                Neighbor information 
                ''',
                'virtual_link_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Virtual link neighbor addresss 
                ''',
                'virtual_link_neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor on other end of this virtual link
                ''',
                'virtual_link_neighbor_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-next-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next hello (s)
                ''',
                'virtual_link_next_hello',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission interval (s)
                ''',
                'virtual_link_retransmission_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                OSPF interface state for the virtual link
                ''',
                'virtual_link_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait interval (s)
                ''',
                'virtual_link_wait_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virual-link-transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmission delay in seconds
                ''',
                'virual_link_transmission_delay',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'virtual-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.LinkFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.LinkFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.AreaFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.AreaFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.AsFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.AsFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'as-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('area-flood', REFERENCE_LIST, 'AreaFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.AreaFlood', 
                [], [], 
                '''                Area scope floodlist
                ''',
                'area_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood', REFERENCE_LIST, 'AsFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.AsFlood', 
                [], [], 
                '''                AS scope floodlist
                ''',
                'as_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood', REFERENCE_LIST, 'LinkFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.LinkFlood', 
                [], [], 
                '''                Link floodlist
                ''',
                'link_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-transmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LS transmission (ms) 
                ''',
                'ls_transmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs currently being flooded 
                ''',
                'queue_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable',
            False, 
            [
            _MetaInfoClassMember('flood', REFERENCE_LIST, 'Flood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood', 
                [], [], 
                '''                OSPFv3 flood list information
                ''',
                'flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'flood-list-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.RouteSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.RouteSummary',
            False, 
            [
            _MetaInfoClassMember('extern-one-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extern 1 route summary 
                ''',
                'extern_one_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extern-two-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extern 2 route summary 
                ''',
                'extern_two_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter route summary 
                ''',
                'inter_area_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra route summary 
                ''',
                'intra_area_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-one-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSSA 1 route summary 
                ''',
                'nssa_one_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-two-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSSA 2 route summary 
                ''',
                'nssa_two_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('redistribution-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redistribution route summary 
                ''',
                'redistribution_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route connected 
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route summary of a route ID 
                ''',
                'route_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-received-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total route received summary
                ''',
                'total_received_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-sent-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total route summary 
                ''',
                'total_sent_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_.NeighborRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_.NeighborRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_',
            False, 
            [
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs 
                ''',
                'is_neighbor_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor 
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-ignore-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when ignore timer is running 
                ''',
                'neighbor_ignore_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 This is bitmask of neighbor's option field
                received 
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmission', REFERENCE_CLASS, 'NeighborRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_.NeighborRetransmission', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events 
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes 
                ''',
                'state_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborBfdInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a sham link 
                ''',
                'is_neighbor_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a virtual link 
                ''',
                'is_neighbor_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-bfd-info', REFERENCE_CLASS, 'NeighborBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborBfdInfo', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires
                (seconds)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router', ATTRIBUTE, 'str' , None, None, 
                [(0, 9)], [], 
                '''                Designated router 
                ''',
                'neighbor_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail', REFERENCE_CLASS, 'NeighborDetail_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_', 
                [], [], 
                '''                Detailed OSPFv3 neighbor information 
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor interface ID
                ''',
                'neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor sham link id 
                ''',
                'neighbor_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'Ospfv3NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up
                (seconds)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor virtual link id 
                ''',
                'neighbor_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable',
            False, 
            [
            _MetaInfoClassMember('neighbor-detail', REFERENCE_LIST, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail', 
                [], [], 
                '''                OSPFv3 neighbor detail information
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefTable.InterfaceBrief' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefTable.InterfaceBrief',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-adjacent-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of adjacent neighbors
                ''',
                'interface_adjacent_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of neighbors 
                ''',
                'interface_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefTable',
            False, 
            [
            _MetaInfoClassMember('interface-brief', REFERENCE_LIST, 'InterfaceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefTable.InterfaceBrief', 
                [], [], 
                '''                Interface brief information
                ''',
                'interface_brief',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-brief-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable.Request.Request_' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable.Request.Request_',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable.Request' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable.Request',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-request-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link is requested 
                ''',
                'is_request_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-request-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link is requested 
                ''',
                'is_request_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable.Request.Request_', 
                [], [], 
                '''                List of request list entries
                ''',
                'request',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'request_neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Request sham link ID 
                ''',
                'request_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Request virtual link ID 
                ''',
                'request_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable',
            False, 
            [
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable.Request', 
                [], [], 
                '''                OSPFv3 request list information
                ''',
                'request',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'request-list-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail.NeighborRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail.NeighborRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs 
                ''',
                'is_neighbor_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor 
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-ignore-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when ignore timer is running 
                ''',
                'neighbor_ignore_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 This is bitmask of neighbor's option field
                received 
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmission', REFERENCE_CLASS, 'NeighborRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail.NeighborRetransmission', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events 
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes 
                ''',
                'state_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborBfdInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a sham link 
                ''',
                'is_neighbor_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a virtual link 
                ''',
                'is_neighbor_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-bfd-info', REFERENCE_CLASS, 'NeighborBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborBfdInfo', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires
                (seconds)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router', ATTRIBUTE, 'str' , None, None, 
                [(0, 9)], [], 
                '''                Designated router 
                ''',
                'neighbor_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail', REFERENCE_CLASS, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail', 
                [], [], 
                '''                Detailed OSPFv3 neighbor information 
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor interface ID
                ''',
                'neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor sham link id 
                ''',
                'neighbor_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'Ospfv3NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up
                (seconds)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor virtual link id 
                ''',
                'neighbor_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor', 
                [], [], 
                '''                OSPFv3 neighbor detail information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.ActiveInterface' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.ActiveInterface',
            False, 
            [
            _MetaInfoClassMember('flood-queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flood queue length
                ''',
                'flood_queue_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('flood-scan-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan length 
                ''',
                'flood_scan_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSAs flood index
                ''',
                'interface_area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (Area scope) 
                ''',
                'interface_area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSAs flood index 
                ''',
                'interface_as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next flood pacing timer (ms) 
                ''',
                'interface_flood_pacing_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface flood link index 
                ''',
                'interface_link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface link next flood information 
                ''',
                'interface_link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-next-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface link next information index 
                ''',
                'interface_link_next_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of neighbors 
                ''',
                'interface_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan time (ms)
                ''',
                'last_flood_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood length 
                ''',
                'maximum_flood_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood time (ms) 
                ''',
                'maximum_flood_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('suppressed-hellos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of neighbors for which hellos are
                suppressed 
                ''',
                'suppressed_hellos',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wait-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait time for DR/BDR selection (s)
                ''',
                'wait_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'active-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.InterfaceBfd' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.InterfaceBfd',
            False, 
            [
            _MetaInfoClassMember('bfd-detection-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD detection multiplier 
                ''',
                'bfd_detection_multiplier',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval (ms) 
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Enable Mode on the interface -
                Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-bfd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.InterfaceNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.InterfaceNeighbor',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of link to neighbor
                ''',
                'interface_neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router ID 
                ''',
                'interface_neighbor_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-hello-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, hello is suppressed 
                ''',
                'is_hello_suppressed',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-bdr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, backup designated router is found 
                ''',
                'is_neighbor_bdr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router is found 
                ''',
                'is_neighbor_dr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('active-interface', REFERENCE_CLASS, 'ActiveInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.ActiveInterface', 
                [], [], 
                '''                Active interface details 
                ''',
                'active_interface',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('adjacent-neighbor', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacent neighbors
                ''',
                'adjacent_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router interface address
                ''',
                'backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router ID
                ''',
                'backup_designated_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('configured-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as LDP sync
                ''',
                'configured_ldp_sync',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured dead interval (s) 
                ''',
                'dead_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router interface address
                ''',
                'designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router ID
                ''',
                'designated_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (s)
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IPv6 address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-authentication-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface authentication spi 
                ''',
                'interface_authentication_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-authentication-transmit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface authentication transmit 
                ''',
                'interface_authentication_transmit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-bfd', REFERENCE_CLASS, 'InterfaceBfd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.InterfaceBfd', 
                [], [], 
                '''                BFD information 
                ''',
                'interface_bfd',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-dc-bitless-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs with demand circuit bit not set
                for the area in which the interface is running
                ''',
                'interface_dc_bitless_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encrypted-authentication-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encrypted authentication transmitted 
                ''',
                'interface_encrypted_authentication_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encryption-spi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encryption spi
                ''',
                'interface_encryption_spi',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-encryption-transmitted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface encryption transmitted 
                ''',
                'interface_encryption_transmitted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface LDP sync is achieved
                ''',
                'interface_ldp_sync',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbor', REFERENCE_LIST, 'InterfaceNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.InterfaceNeighbor', 
                [], [], 
                '''                Information for neighbors on the interface
                ''',
                'interface_neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface number 
                ''',
                'interface_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface priority
                ''',
                'interface_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-references', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface reference count 
                ''',
                'interface_references',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured retransmit interval (s) 
                ''',
                'interface_retransmission_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface router ID 
                ''',
                'interface_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-state', REFERENCE_ENUM_CLASS, 'ImStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'ImStateEnumEnum', 
                [], [], 
                '''                Interface state
                ''',
                'interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-demand-circuit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as demand circuit 
                ''',
                'is_demand_circuit_configured',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router
                ''',
                'is_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface running as demand circuit
                ''',
                'is_interface_demand_circuit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-encryption-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface encryption is enabled 
                ''',
                'is_interface_encryption_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-flood-reduction', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface flood reduction is active 
                ''',
                'is_interface_flood_reduction',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-ip-security-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface IP security is active 
                ''',
                'is_interface_ip_security_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-ip-security-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface IP security is required 
                ''',
                'is_interface_ip_security_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-line-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, line protocol is up 
                ''',
                'is_interface_line_up',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-interface-lsa-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Filter is configured for out going LSAs 
                ''',
                'is_interface_lsa_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-prefix-suppress', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true prefix suppression is enabled
                ''',
                'is_prefix_suppress',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-flush-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds before flush timer
                for old network LSA expires 
                ''',
                'network_lsa_flush_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-hello-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (s) 
                ''',
                'next_hello_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                Interface state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface transmission delay (sec)
                ''',
                'transmission_delay',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured wait interval (s) 
                ''',
                'wait_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface', 
                [], [], 
                '''                OSPFv3 interface information
                ''',
                'interface',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.LinkFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.LinkFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.AreaFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.AreaFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.AsFlood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.AsFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'as-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('area-flood', REFERENCE_LIST, 'AreaFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.AreaFlood', 
                [], [], 
                '''                Area scope floodlist
                ''',
                'area_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood', REFERENCE_LIST, 'AsFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.AsFlood', 
                [], [], 
                '''                AS scope floodlist
                ''',
                'as_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood', REFERENCE_LIST, 'LinkFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.LinkFlood', 
                [], [], 
                '''                Link floodlist
                ''',
                'link_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-transmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LS transmission (ms) 
                ''',
                'ls_transmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('queue-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs currently being flooded 
                ''',
                'queue_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable',
            False, 
            [
            _MetaInfoClassMember('flood', REFERENCE_LIST, 'Flood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood', 
                [], [], 
                '''                OSPFv3 flood list information
                ''',
                'flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'flood-list-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionvirtualLinkDb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionvirtualLinkDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmissionvirtual-link-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAreaDb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAreaDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-area-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAsdb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAsdb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-asdb',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-retransmission-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link is retransmitted 
                ''',
                'is_retransmission_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-retransmissionvirtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link is retransmitted 
                ''',
                'is_retransmissionvirtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-area-db', REFERENCE_LIST, 'RetransmissionAreaDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAreaDb', 
                [], [], 
                '''                List of area scope entries
                ''',
                'retransmission_area_db',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-asdb', REFERENCE_LIST, 'RetransmissionAsdb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAsdb', 
                [], [], 
                '''                List of AS scope entries
                ''',
                'retransmission_asdb',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'retransmission_neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission sham link ID 
                ''',
                'retransmission_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time remaining on retransmission timer
                (ms)
                ''',
                'retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissionvirtual-link-db', REFERENCE_LIST, 'RetransmissionvirtualLinkDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionvirtualLinkDb', 
                [], [], 
                '''                List of virtual link scope entries 
                ''',
                'retransmissionvirtual_link_db',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissionvirtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission virtual link ID 
                ''',
                'retransmissionvirtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable',
            False, 
            [
            _MetaInfoClassMember('retransmission', REFERENCE_LIST, 'Retransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission', 
                [], [], 
                '''                OSPFv3 retransmission list information
                ''',
                'retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-list-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'links',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 address Prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-summary-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF multicast IDB 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-multicast-next-hop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF multicast next hop 
                ''',
                'rpf_multicast_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link interface ID 
                ''',
                'link_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA link metric 
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neighbor interface ID 
                ''',
                'link_neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neigbhor router id 
                ''',
                'link_neighbor_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'Ospfv3LinkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LinkEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_CLASS, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath', 
                [], [], 
                '''                Router LSA Reverse-Path Forwarding information 
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nssalsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-link-local', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA link local 
                ''',
                'lsa_link_local',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority 
                ''',
                'router_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-advertised-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Reference advertised router 
                ''',
                'reference_advertised_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'intra-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The grace periord where helper routers should
                wait before advertising it fully adjacent(s) 
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'Ospfv3GracefulRestartReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3GracefulRestartReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-area-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-aslsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-lsa', REFERENCE_CLASS, 'GraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa', 
                [], [], 
                '''                Grace LSA
                ''',
                'grace_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-prefix-lsa-type', REFERENCE_CLASS, 'InterAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType', 
                [], [], 
                '''                Inter Area Prefix LSA
                ''',
                'inter_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-router-lsa-type', REFERENCE_CLASS, 'InterAreaRouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType', 
                [], [], 
                '''                Inter Area Router LSA
                ''',
                'inter_area_router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-prefix-lsa-type', REFERENCE_CLASS, 'IntraAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType', 
                [], [], 
                '''                Intra Area Prefix LSA
                ''',
                'intra_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-lsa-type', REFERENCE_CLASS, 'LinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType', 
                [], [], 
                '''                Link LSA
                ''',
                'link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaInfoTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaInfoTypesEnum', 
                [], [], 
                '''                LSAInfoType
                ''',
                'lsa_info_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-summary-info', REFERENCE_CLASS, 'LsaSummaryInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo', 
                [], [], 
                '''                Summary information of LSAs
                ''',
                'lsa_summary_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssalsa-type', REFERENCE_CLASS, 'NssalsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType', 
                [], [], 
                '''                NSSA External LSA
                ''',
                'nssalsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-area-lsa-type', REFERENCE_CLASS, 'UnknownAreaLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType', 
                [], [], 
                '''                Unknown-Area scope LSA
                ''',
                'unknown_area_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-aslsa-type', REFERENCE_CLASS, 'UnknownAslsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType', 
                [], [], 
                '''                Unknown-AS scope LSA
                ''',
                'unknown_aslsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-link-lsa-type', REFERENCE_CLASS, 'UnknownLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType', 
                [], [], 
                '''                Unknown Link Scope LSA
                ''',
                'unknown_link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-lsa-type', REFERENCE_CLASS, 'UnknownLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType', 
                [], [], 
                '''                Unknown LSA
                ''',
                'unknown_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info', REFERENCE_CLASS, 'LsaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo', 
                [], [], 
                '''                Summary of all LSAs or LSA specific information 
                ''',
                'lsa_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'links',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 address Prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-summary-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                RPF multicast IDB 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-multicast-next-hop', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RPF multicast next hop 
                ''',
                'rpf_multicast_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rpf-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link interface ID 
                ''',
                'link_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA link metric 
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neighbor interface ID 
                ''',
                'link_neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-neighbor-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA link neigbhor router id 
                ''',
                'link_neighbor_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'Ospfv3LinkEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LinkEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-la-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router LA bits 
                ''',
                'router_la_bits',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rpf-path', REFERENCE_CLASS, 'RpfPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath', 
                [], [], 
                '''                Router LSA Reverse-Path Forwarding information 
                ''',
                'rpf_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA router ID 
                ''',
                'lsa_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'inter-area-router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType',
            False, 
            [
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-forwarding-address-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, forwarding address is set 
                ''',
                'is_forwarding_address_set',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Metric type 
                ''',
                'metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 address prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length 
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of service cost metric 
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'nssalsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface handle
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-link-local', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA link local 
                ''',
                'lsa_link_local',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Router priority 
                ''',
                'router_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham link ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix',
            False, 
            [
            _MetaInfoClassMember('ospfv3-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix length 
                ''',
                'ospfv3_prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                OSPFv3 prefix metric 
                ''',
                'ospfv3_prefix_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospfv3-prefix-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                OSPFv3 prefix options 
                ''',
                'ospfv3_prefix_options',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('priority', REFERENCE_ENUM_CLASS, 'PrefixPriorityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'PrefixPriorityEnum', 
                [], [], 
                '''                Prefix priority
                ''',
                'priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType',
            False, 
            [
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix', REFERENCE_LIST, 'Prefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix', 
                [], [], 
                '''                OSPFv3 prefix 
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-advertised-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Reference advertised router 
                ''',
                'reference_advertised_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-lsa-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference LSA ID 
                ''',
                'reference_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                Reference type 
                ''',
                'reference_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'intra-area-prefix-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The grace periord where helper routers should
                wait before advertising it fully adjacent(s) 
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'Ospfv3GracefulRestartReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3GracefulRestartReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-area-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-aslsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-do-not-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'is_do_not_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, if grace restart is active 
                ''',
                'is_graceful_restart_active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LS ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail',
            False, 
            [
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-acknowledged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty 
                ''',
                'is_acknowledged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'is_advertising_router_reachable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-deleted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, flag is set to delete this LSA 
                ''',
                'is_deleted',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'is_flood_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-maximum-aged', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'is_maximum_aged',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'is_neighbor_exchange',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'is_no_delete',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'is_nsr_ack_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'is_partial_spf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'is_routing_bit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table 
                ''',
                'is_routing_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'lsa_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-sync-state', REFERENCE_ENUM_CLASS, 'OspfLsaSyncStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'OspfLsaSyncStateEnum', 
                [], [], 
                '''                State of LSA sync with active
                ''',
                'lsa_sync_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LSA interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a sham link 
                ''',
                'is_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, it is a virtual link 
                ''',
                'is_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-detail', REFERENCE_CLASS, 'LsaDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail', 
                [], [], 
                '''                Detailed LSA information
                ''',
                'lsa_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader', 
                [], [], 
                '''                Header information 
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Shamlink ID 
                ''',
                'sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Virtual link ID 
                ''',
                'virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unknown-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-lsa', REFERENCE_CLASS, 'GraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa', 
                [], [], 
                '''                Grace LSA
                ''',
                'grace_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-prefix-lsa-type', REFERENCE_CLASS, 'InterAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType', 
                [], [], 
                '''                Inter Area Prefix LSA
                ''',
                'inter_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-router-lsa-type', REFERENCE_CLASS, 'InterAreaRouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType', 
                [], [], 
                '''                Inter Area Router LSA
                ''',
                'inter_area_router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-prefix-lsa-type', REFERENCE_CLASS, 'IntraAreaPrefixLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType', 
                [], [], 
                '''                Intra Area Prefix LSA
                ''',
                'intra_area_prefix_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-lsa-type', REFERENCE_CLASS, 'LinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType', 
                [], [], 
                '''                Link LSA
                ''',
                'link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaInfoTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaInfoTypesEnum', 
                [], [], 
                '''                LSAInfoType
                ''',
                'lsa_info_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-summary-info', REFERENCE_CLASS, 'LsaSummaryInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo', 
                [], [], 
                '''                Summary information of LSAs
                ''',
                'lsa_summary_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssalsa-type', REFERENCE_CLASS, 'NssalsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType', 
                [], [], 
                '''                NSSA External LSA
                ''',
                'nssalsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-area-lsa-type', REFERENCE_CLASS, 'UnknownAreaLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType', 
                [], [], 
                '''                Unknown-Area scope LSA
                ''',
                'unknown_area_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-aslsa-type', REFERENCE_CLASS, 'UnknownAslsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType', 
                [], [], 
                '''                Unknown-AS scope LSA
                ''',
                'unknown_aslsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-link-lsa-type', REFERENCE_CLASS, 'UnknownLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType', 
                [], [], 
                '''                Unknown Link Scope LSA
                ''',
                'unknown_link_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unknown-lsa-type', REFERENCE_CLASS, 'UnknownLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType', 
                [], [], 
                '''                Unknown LSA
                ''',
                'unknown_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'Ospfv3LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-info', REFERENCE_CLASS, 'LsaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo', 
                [], [], 
                '''                Summary of all LSAs or LSA specific information 
                ''',
                'lsa_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa-internal-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable',
            False, 
            [
            _MetaInfoClassMember('lsa-internal-table', REFERENCE_CLASS, 'LsaInternalTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa_internal_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-table', REFERENCE_CLASS, 'LsaTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable', 
                [], [], 
                '''                Database LSA information
                ''',
                'lsa_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters',
            False, 
            [
            _MetaInfoClassMember('deleted-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                deleted lsa
                ''',
                'deleted_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa-checksum', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa checksum
                ''',
                'lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('max-age-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max age lsa
                ''',
                'max_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary',
            False, 
            [
            _MetaInfoClassMember('deleted-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                deleted lsa
                ''',
                'deleted_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa-checksum', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa checksum
                ''',
                'lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('max-age-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max age lsa
                ''',
                'max_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-database-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase',
            False, 
            [
            _MetaInfoClassMember('area-database-summary', REFERENCE_CLASS, 'AreaDatabaseSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary', 
                [], [], 
                '''                Area database summary 
                ''',
                'area_database_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary',
            False, 
            [
            _MetaInfoClassMember('area-database', REFERENCE_LIST, 'AreaDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase', 
                [], [], 
                '''                OSPFv3 Area Database list 
                ''',
                'area_database',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-counters', REFERENCE_CLASS, 'DatabaseCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters', 
                [], [], 
                '''                OSPFv3 database counters 
                ''',
                'database_counters',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Database router ID 
                ''',
                'database_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-opaque-database-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, opaque database is capable 
                ''',
                'is_opaque_database_capable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable',
            False, 
            [
            _MetaInfoClassMember('database-summary', REFERENCE_CLASS, 'DatabaseSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary', 
                [], [], 
                '''                Database Summary information
                ''',
                'database_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-summary-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas.Area' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas.Area',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('database-summary-table', REFERENCE_CLASS, 'DatabaseSummaryTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable', 
                [], [], 
                '''                Database summary table
                ''',
                'database_summary_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-table', REFERENCE_CLASS, 'DatabaseTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable', 
                [], [], 
                '''                OSPF Link State Database
                ''',
                'database_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('flood-list-table', REFERENCE_CLASS, 'FloodListTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable', 
                [], [], 
                '''                OSPFv3 flood list information table for an
                area
                ''',
                'flood_list_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-brief-table', REFERENCE_CLASS, 'InterfaceBriefTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefTable', 
                [], [], 
                '''                OSPFv3 interface brief information table for
                an area
                ''',
                'interface_brief_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable', 
                [], [], 
                '''                OSPFv3 interface information table for an area
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail-table', REFERENCE_CLASS, 'NeighborDetailTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable', 
                [], [], 
                '''                OSPFv3 area neighbor information table
                ''',
                'neighbor_detail_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-table', REFERENCE_CLASS, 'NeighborTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable', 
                [], [], 
                '''                OSPFv3 neighbor information table
                ''',
                'neighbor_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-list-table', REFERENCE_CLASS, 'RequestListTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable', 
                [], [], 
                '''                OSPFv3 request list information in an area
                ''',
                'request_list_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-list-table', REFERENCE_CLASS, 'RetransmissionListTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable', 
                [], [], 
                '''                OSPFv3 retransmission list information table
                in an area
                ''',
                'retransmission_list_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Areas' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Areas',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas.Area', 
                [], [], 
                '''                Per-area information
                ''',
                'area',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RouteTopology' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RouteTopology',
            False, 
            [
            _MetaInfoClassMember('route-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route cost 
                ''',
                'route_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route distance 
                ''',
                'route_distance',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route ID 
                ''',
                'route_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RouteSource' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RouteSource',
            False, 
            [
            _MetaInfoClassMember('route-source-adversting-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route source of the advertising router 
                ''',
                'route_source_adversting_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-source-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route source ID 
                ''',
                'route_source_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-source-lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of LSA advertising the prefix, see RFC5340
                ''',
                'route_source_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Route path interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route path next hop 
                ''',
                'route_path_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route area ID 
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-source', REFERENCE_LIST, 'RouteSource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RouteSource', 
                [], [], 
                '''                List of topology source information
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-topology', REFERENCE_CLASS, 'RouteTopology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RouteTopology', 
                [], [], 
                '''                Common Route topology information
                ''',
                'route_topology',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'internal-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InternalRoutes',
            False, 
            [
            _MetaInfoClassMember('internal-route', REFERENCE_LIST, 'InternalRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute', 
                [], [], 
                '''                OSPFv3 internal route information
                ''',
                'internal_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'internal-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas.ProtocolArea.ProtocolInterface' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas.ProtocolArea.ProtocolInterface',
            False, 
            [
            _MetaInfoClassMember('distribute-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'distribute_list_in',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Protocol interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas.ProtocolArea' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas.ProtocolArea',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('distribute-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'distribute_list_in',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal and dotted-decimal
                format
                ''',
                'protocol_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-interface', REFERENCE_LIST, 'ProtocolInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas.ProtocolArea.ProtocolInterface', 
                [], [], 
                '''                Interface list
                ''',
                'protocol_interface',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas',
            False, 
            [
            _MetaInfoClassMember('protocol-area', REFERENCE_LIST, 'ProtocolArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas.ProtocolArea', 
                [], [], 
                '''                Area information 
                ''',
                'protocol_area',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RouteTopology' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RouteTopology',
            False, 
            [
            _MetaInfoClassMember('route-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route cost 
                ''',
                'route_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route distance 
                ''',
                'route_distance',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route ID 
                ''',
                'route_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Route path interface name 
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route path next hop 
                ''',
                'route_path_next_hop',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Route prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '128')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-topology', REFERENCE_CLASS, 'RouteTopology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RouteTopology', 
                [], [], 
                '''                Common Route topology information
                ''',
                'route_topology',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'connected-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes',
            False, 
            [
            _MetaInfoClassMember('connected-route', REFERENCE_LIST, 'ConnectedRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute', 
                [], [], 
                '''                OSPFv3 connected route information
                ''',
                'connected_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'connected-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.ProtocolStats.ProtocolStat' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.ProtocolStats.ProtocolStat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('checksum-err', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Checksum Errors
                ''',
                'checksum_err',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description LSAs in
                ''',
                'dbdes_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description Packets in
                ''',
                'dbdes_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description LSAs out
                ''',
                'dbdes_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dbdes-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Database Description Packets out
                ''',
                'dbdes_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dropped-in-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Dropped in GS
                ''',
                'dropped_in_gs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('hello-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello packets in
                ''',
                'hello_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('hello-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Hello Out Packets
                ''',
                'hello_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Ack LSAs in
                ''',
                'ls_ack_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Acks Packets in
                ''',
                'ls_ack_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Ack LSAs out
                ''',
                'ls_ack_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-ack-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Ack Packets out
                ''',
                'ls_ack_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Requests in
                ''',
                'ls_req_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSA Requests in
                ''',
                'ls_req_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Reuqests LSAs out
                ''',
                'ls_req_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-req-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Request Packets out
                ''',
                'ls_req_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-in-ignored', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Updates ignored
                ''',
                'ls_upd_in_ignored',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-in-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Updates LSAs in
                ''',
                'ls_upd_in_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Updates Packets in
                ''',
                'ls_upd_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-out-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Update LSAs out
                ''',
                'ls_upd_out_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ls-upd-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LS Update Packets out
                ''',
                'ls_upd_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total inputs packets
                ''',
                'total_in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total Out Packets
                ''',
                'total_out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.ProtocolStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.ProtocolStats',
            False, 
            [
            _MetaInfoClassMember('protocol-stat', REFERENCE_LIST, 'ProtocolStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.ProtocolStats.ProtocolStat', 
                [], [], 
                '''                Protocol statistics for an interface
                ''',
                'protocol_stat',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfHeader.AreaSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfHeader.AreaSummary',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID of the area SPF statistics
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sp-fs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SPF calculations
                ''',
                'sp_fs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfHeader' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfHeader',
            False, 
            [
            _MetaInfoClassMember('area-summary', REFERENCE_LIST, 'AreaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfHeader.AreaSummary', 
                [], [], 
                '''                List of Areas with SPF statistics
                ''',
                'area_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'header_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sp-fs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SPF calculations
                ''',
                'header_sp_fs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.GlobalTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.GlobalTime',
            False, 
            [
            _MetaInfoClassMember('dijkstra', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dijkstra time in msec
                ''',
                'dijkstra',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix processing time in msec
                ''',
                'external_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix deletion time in msec
                ''',
                'external_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter-prefix processing time in msec
                ''',
                'inter_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'inter_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix processing time in msec
                ''',
                'intra_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'intra_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB add processing time in msec
                ''',
                'rib_add',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB deletion time in msec
                ''',
                'rib_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'global-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.Lsa',
            False, 
            [
            _MetaInfoClassMember('lsa-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising router ID
                ''',
                'lsa_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flush', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the LSA change is a flush
                ''',
                'lsa_flush',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime',
            False, 
            [
            _MetaInfoClassMember('dijkstra', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dijkstra time in msec
                ''',
                'dijkstra',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix processing time in msec
                ''',
                'external_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External prefix deletion time in msec
                ''',
                'external_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter-prefix processing time in msec
                ''',
                'inter_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'inter_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix processing time in msec
                ''',
                'intra_prefix',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-prefix deletion time in msec
                ''',
                'intra_prefix_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB add processing time in msec
                ''',
                'rib_add',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB deletion time in msec
                ''',
                'rib_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-stat-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat',
            False, 
            [
            _MetaInfoClassMember('spf-stat-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID for area of these SPF statistics
                ''',
                'spf_stat_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-stat-lsa-type-count', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counts of LSA types triggering an SPF
                calculation
                ''',
                'spf_stat_lsa_type_count',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=8),
            _MetaInfoClassMember('spf-stat-time', REFERENCE_CLASS, 'SpfStatTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime', 
                [], [], 
                '''                SPF time calculations
                ''',
                'spf_stat_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime',
            False, 
            [
            _MetaInfoClassMember('area-stat', REFERENCE_LIST, 'AreaStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat', 
                [], [], 
                '''                List of per-area SPF statistics
                ''',
                'area_stat',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('global-time', REFERENCE_CLASS, 'GlobalTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.GlobalTime', 
                [], [], 
                '''                Global SPF times
                ''',
                'global_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.Lsa', 
                [], [], 
                '''                List of LSAs triggering the SPF calculation
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=5),
            _MetaInfoClassMember('lsa-changes', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Number of LSA changes triggering an SPF
                calculation
                ''',
                'lsa_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reason-flags', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Reasons for triggering an SPF calculation Bit 1
                - Router LSA update Bit 2 - Network LSA update
                Bit 3 - Inter-Area Prefix LSA update Bit 4 -
                Inter-Area Router LSA update Bit 5 - AS External
                LSA update Bit 6 - MOSPF LSA update Bit 7 - Type
                7 AS External LSA update Bit 8 - Link LSA update
                Bit 9 - Prefix LSA update
                ''',
                'reason_flags',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-add-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes added to RIB
                ''',
                'rib_add_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rib-delete-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of routes deleted from RIB
                ''',
                'rib_delete_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SPF calculation start time
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats',
            False, 
            [
            _MetaInfoClassMember('spf-header', REFERENCE_CLASS, 'SpfHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfHeader', 
                [], [], 
                '''                SPF statistics header
                ''',
                'spf_header',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-runtime', REFERENCE_LIST, 'SpfRuntime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime', 
                [], [], 
                '''                List of SPF run-time statistics
                ''',
                'spf_runtime',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'spf-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.RawioStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.RawioStats',
            False, 
            [
            _MetaInfoClassMember('in-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received Bytes
                ''',
                'in_bytes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-error-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Error Drops
                ''',
                'in_error_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-handle-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Handle Drops
                ''',
                'in_handle_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-ipsec-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In IPSEC Drops
                ''',
                'in_ipsec_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-long-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received Long Packets
                ''',
                'in_long_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-malloc-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Malloc Drops
                ''',
                'in_malloc_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Received Packets
                ''',
                'in_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-queue-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Queue Drops
                ''',
                'in_queue_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('in-short-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                In Short Drops
                ''',
                'in_short_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sent Bytes
                ''',
                'out_bytes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-error-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Error Drops
                ''',
                'out_error_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-ipsec-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Out IPSEC Drops
                ''',
                'out_ipsec_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-nofd-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                No FileDescriptor Drops
                ''',
                'out_nofd_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-nopak-drops', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                No Packet Buffers
                ''',
                'out_nopak_drops',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Packets Sent
                ''',
                'out_packets',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('out-pakapi-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                PAK API Errors
                ''',
                'out_pakapi_errors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-close', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Raw Connections Close
                ''',
                'raw_conn_close',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Raw Connections Error
                ''',
                'raw_conn_error',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-open', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Raw Connections Open
                ''',
                'raw_conn_open',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('raw-conn-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Raw Connection State
                ''',
                'raw_conn_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'rawio-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.PrefixPriorityStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.PrefixPriorityStats',
            False, 
            [
            _MetaInfoClassMember('critical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Critical priority classifications
                ''',
                'critical',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('high', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                High priority classifications
                ''',
                'high',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('low', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Low priority classifications
                ''',
                'low',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('medium', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Medium priority classifications
                ''',
                'medium',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'prefix-priority-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.VrfRibBatchStats' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.VrfRibBatchStats',
            False, 
            [
            _MetaInfoClassMember('batches-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of RIB batches sent
                ''',
                'batches_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('max-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max No. of Routes in a batch
                ''',
                'max_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths added to RIB
                ''',
                'paths_add',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-add-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths add errors
                ''',
                'paths_add_errs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths del sent to RIB
                ''',
                'paths_del',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-del-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Paths del errors
                ''',
                'paths_del_errs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of paths waiting to be sent to RIB
                ''',
                'paths_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('paths-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Paths sent to RIB
                ''',
                'paths_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('routes-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No of Pending Routes
                ''',
                'routes_pending',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('routes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of Routes sent to RIB
                ''',
                'routes_sent',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'vrf-rib-batch-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.VrfStatistics',
            False, 
            [
            _MetaInfoClassMember('prefix-priority-stats', REFERENCE_CLASS, 'PrefixPriorityStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.PrefixPriorityStats', 
                [], [], 
                '''                OSPF Prefix SPF Prioritization statistics
                ''',
                'prefix_priority_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-stats', REFERENCE_CLASS, 'ProtocolStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.ProtocolStats', 
                [], [], 
                '''                Protocol table
                ''',
                'protocol_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('rawio-stats', REFERENCE_CLASS, 'RawioStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.RawioStats', 
                [], [], 
                '''                OSPF Prefix SPF Prioritization statistics
                ''',
                'rawio_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-stats', REFERENCE_CLASS, 'SpfStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats', 
                [], [], 
                '''                OSPFv3 RIB batch statistics
                ''',
                'spf_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('vrf-rib-batch-stats', REFERENCE_CLASS, 'VrfRibBatchStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.VrfRibBatchStats', 
                [], [], 
                '''                OSPFv3 RIB batch statistics
                ''',
                'vrf_rib_batch_stats',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'vrf-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Protocol' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Protocol',
            False, 
            [
            _MetaInfoClassMember('administrative-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative distance
                ''',
                'administrative_distance',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('administrative-distance-external', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative Distance for External routes
                ''',
                'administrative_distance_external',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('administrative-distance-inter-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative Distance for Inter Area routes
                ''',
                'administrative_distance_inter_area',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('distribute-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'distribute_list_in',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Graceful restart is enabled 
                ''',
                'is_graceful_restart',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protocol router ID
                ''',
                'protocol_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId.PrimaryDomainId' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId.PrimaryDomainId',
            False, 
            [
            _MetaInfoClassMember('domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID Type
                ''',
                'domain_id_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'domain_id_value',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'primary-domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId.SecondaryDomainId' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId.SecondaryDomainId',
            False, 
            [
            _MetaInfoClassMember('domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID Type
                ''',
                'domain_id_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'domain_id_value',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'secondary-domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId',
            False, 
            [
            _MetaInfoClassMember('primary-domain-id', REFERENCE_CLASS, 'PrimaryDomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId.PrimaryDomainId', 
                [], [], 
                '''                Primary Domain ID
                ''',
                'primary_domain_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('secondary-domain-id', REFERENCE_LIST, 'SecondaryDomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId.SecondaryDomainId', 
                [], [], 
                '''                List of secondary domain IDs
                ''',
                'secondary_domain_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.UnsetTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.UnsetTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unset-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.StartTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.StartTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'start-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.AbrResumeTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.AbrResumeTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'abr-resume-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger.UnsetTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger.UnsetTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'unset-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger.StartTime' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger.StartTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'start-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger',
            False, 
            [
            _MetaInfoClassMember('start-time', REFERENCE_CLASS, 'StartTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger.StartTime', 
                [], [], 
                '''                Timestamp (relative to 1970/1/1 00:00) when stub
                router mode was activated
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time (in seconds) to stay in stub router mode
                ''',
                'time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('trigger', REFERENCE_ENUM_CLASS, 'StubRouterTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterTriggerEnum', 
                [], [], 
                '''                Stub Router Trigger type
                ''',
                'trigger',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unset-reason', REFERENCE_ENUM_CLASS, 'StubRouterExitReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterExitReasonEnum', 
                [], [], 
                '''                Reason for clearing stub router condition
                ''',
                'unset_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unset-time', REFERENCE_CLASS, 'UnsetTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger.UnsetTime', 
                [], [], 
                '''                Timestamp (relative to 1970/1/1 00:00) when stub
                router condition was cleared
                ''',
                'unset_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('wait-for-bgp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, stub router is terminated when BGP
                converges
                ''',
                'wait_for_bgp',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'trigger',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter',
            False, 
            [
            _MetaInfoClassMember('abr-off-reason', REFERENCE_ENUM_CLASS, 'StubRouterAbrOffReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterAbrOffReasonEnum', 
                [], [], 
                '''                Reason for being in ABR off mode
                ''',
                'abr_off_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('abr-resume-time', REFERENCE_CLASS, 'AbrResumeTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.AbrResumeTime', 
                [], [], 
                '''                Timestamp (relative to 1970/1/1 00:00) when ABR
                duties were resumed
                ''',
                'abr_resume_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, stub router mode is active
                ''',
                'active',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-lsa-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for external LSAs in max-metric mode
                ''',
                'external_lsa_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('include-stub-links', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, advertise maximum metric for stub links
                ''',
                'include_stub_links',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'StubRouterModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterModeEnum', 
                [], [], 
                '''                Stub router mode
                ''',
                'mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time (in seconds) in stub router mode
                ''',
                'remaining_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('set-reason', REFERENCE_ENUM_CLASS, 'StubRouterTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterTriggerEnum', 
                [], [], 
                '''                Reason for entering stub router mode
                ''',
                'set_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('start-time', REFERENCE_CLASS, 'StartTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.StartTime', 
                [], [], 
                '''                Timestamp (relative to 1970/1/1 00:00) when stub
                router mode was activated
                ''',
                'start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('summary-lsa-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric for summary LSAs in max-metric mode
                ''',
                'summary_lsa_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('trigger', REFERENCE_LIST, 'Trigger' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger', 
                [], [], 
                '''                Triggers for entering stub router mode
                ''',
                'trigger',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unset-reason', REFERENCE_ENUM_CLASS, 'StubRouterExitReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'StubRouterExitReasonEnum', 
                [], [], 
                '''                Reason for clearing stub router condition
                ''',
                'unset_reason',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('unset-time', REFERENCE_CLASS, 'UnsetTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.UnsetTime', 
                [], [], 
                '''                Timestamp (relative to 1970/1/1 00:00) when stub
                router condition was cleared
                ''',
                'unset_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'stub-router',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.IpfrrTiebreakers' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.IpfrrTiebreakers',
            False, 
            [
            _MetaInfoClassMember('tiebreaker-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tiebreaker Index
                ''',
                'tiebreaker_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('tiebreaker-type', REFERENCE_ENUM_CLASS, 'IpfrrTbrkrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'IpfrrTbrkrEnum', 
                [], [], 
                '''                Tiebreaker Type
                ''',
                'tiebreaker_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'ipfrr-tiebreakers',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_',
            False, 
            [
            _MetaInfoClassMember('areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of areas
                ''',
                'areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-dc-bitless-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of external and AS opaque LSAs with
                demand circut bit not set
                ''',
                'as_dc_bitless_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-do-not-age-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of external and AS opaque LSAs with do
                not age set 
                ''',
                'as_do_not_age_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-ls-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AS scope LSAs
                ''',
                'as_ls_as',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-lsa-flood-list-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of AS LSAs flood list
                ''',
                'as_lsa_flood_list_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('context-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                Context name
                ''',
                'context_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('default-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default metric 
                ''',
                'default_metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('default-metric-type', REFERENCE_ENUM_CLASS, 'Ospfv3DefaultMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3DefaultMetricEnum', 
                [], [], 
                '''                Default metric type 
                ''',
                'default_metric_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('default-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Default policy name 
                ''',
                'default_policy_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('default-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Default tag 
                ''',
                'default_tag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('domain-id', REFERENCE_CLASS, 'DomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId', 
                [], [], 
                '''                Domain ID information
                ''',
                'domain_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('grace-resync-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Grace time to resync 
                ''',
                'grace_resync_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('graceful-shutdown-state', REFERENCE_ENUM_CLASS, 'Ospfv3GracefulShutdownStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3GracefulShutdownStateEnum', 
                [], [], 
                '''                Graceful shutdown state
                ''',
                'graceful_shutdown_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ipfrr-tiebreakers', REFERENCE_LIST, 'IpfrrTiebreakers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.IpfrrTiebreakers', 
                [], [], 
                '''                IPFRR-Tiebreakers list
                ''',
                'ipfrr_tiebreakers',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-area-border-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, is an area border router
                ''',
                'is_area_border_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-as-border-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, is an AS border router
                ''',
                'is_as_border_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-auto-cost', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, auto cost is enabled
                ''',
                'is_auto_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-default-always', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, default always 
                ''',
                'is_default_always',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-default-originated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, origin is by default 
                ''',
                'is_default_originated',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-default-policy', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, is a default policy 
                ''',
                'is_default_policy',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-grace-restart-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, grace restart is enabled 
                ''',
                'is_grace_restart_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSR is enabled
                ''',
                'is_nsr_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-nsr-switchover-on-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trigger RP Switchover on detectable process
                restart
                ''',
                'is_nsr_switchover_on_restart',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-opaque-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Opaque LSA capable 
                ''',
                'is_opaque_capable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the process is running as stanby role
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-router-id-stalled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stalled Router ID 
                ''',
                'is_router_id_stalled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-nsf-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Length of time since the last NSF (s)
                ''',
                'last_nsf_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-flood-pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA flood pacing timer (ms)
                ''',
                'lsa_flood_pacing_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-group-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA refresh interval (sec)
                ''',
                'lsa_group_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second delay before generating next LSA (ms)
                ''',
                'lsa_hold_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-maximum-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum delay before generating an LSA (ms)
                ''',
                'lsa_maximum_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA retransmission pacing timer (ms)
                ''',
                'lsa_retransmission_pacing_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Initial LSA throttle delay (ms)
                ''',
                'lsa_start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of interfaces
                ''',
                'maximum_interfaces',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of paths
                ''',
                'maximum_paths',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redistribution metric 
                ''',
                'metric',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('minimum-lsa-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time between LSA regeneration (ms)
                ''',
                'minimum_lsa_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('normal-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of normal areas
                ''',
                'normal_areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of NSSA areas
                ''',
                'nssa_areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('opaque-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of opaque LSA checksum
                ''',
                'opaque_lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('opaque-lsas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of opaque LSAs
                ''',
                'opaque_lsas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('redistribution-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of redistributed prefixes allowed
                ''',
                'redistribution_limit',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('redistribution-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                When the number of redistributed prefixes
                reaches this threshold, a warning message is
                issued 
                ''',
                'redistribution_threshold',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('reference-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference Bandwdith
                ''',
                'reference_bandwidth',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('role', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Role, V1/V2 Active/Standby
                ''',
                'role',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('snmp-trap-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, snmp trap is enabled
                ''',
                'snmp_trap_enabled',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum delay time between SPF runs (ms)
                ''',
                'spf_hold_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-maximum-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum delay time between SPF runs (ms)
                ''',
                'spf_maximum_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('spf-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Scheduling delay for SPF (ms)
                ''',
                'spf_start_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('stub-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of stub and total stub areas
                ''',
                'stub_areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('stub-router', REFERENCE_LIST, 'StubRouter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter', 
                [], [], 
                '''                Stub Router Information
                ''',
                'stub_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary.Route' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary.Route',
            False, 
            [
            _MetaInfoClassMember('extern-one-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extern 1 route summary 
                ''',
                'extern_one_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('extern-two-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extern 2 route summary 
                ''',
                'extern_two_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('inter-area-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter route summary 
                ''',
                'inter_area_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('intra-area-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra route summary 
                ''',
                'intra_area_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-one-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSSA 1 route summary 
                ''',
                'nssa_one_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('nssa-two-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                NSSA 2 route summary 
                ''',
                'nssa_two_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('redistribution-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Redistribution route summary 
                ''',
                'redistribution_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route connected 
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Route summary of a route ID 
                ''',
                'route_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-received-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total route received summary
                ''',
                'total_received_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('total-sent-route', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total route summary 
                ''',
                'total_sent_route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.Summary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.Summary',
            False, 
            [
            _MetaInfoClassMember('ospfv3', REFERENCE_CLASS, 'Ospfv3_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_', 
                [], [], 
                '''                OSPFv3 summary
                ''',
                'ospfv3',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_CLASS, 'Protocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Protocol', 
                [], [], 
                '''                OSPFv3 protocol summary
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route', REFERENCE_CLASS, 'Route' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary.Route', 
                [], [], 
                '''                OSPFv3 route summary
                ''',
                'route',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionvirtualLinkDb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionvirtualLinkDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmissionvirtual-link-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionAreaDb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionAreaDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-area-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionAsdb' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionAsdb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the advertising router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (seconds)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_lsa_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'Ospfv3Lsa1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3Lsa1Enum', 
                [], [], 
                '''                LSA type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-asdb',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-retransmission-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sham link is retransmitted 
                ''',
                'is_retransmission_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-retransmissionvirtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, virtual link is retransmitted 
                ''',
                'is_retransmissionvirtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-area-db', REFERENCE_LIST, 'RetransmissionAreaDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionAreaDb', 
                [], [], 
                '''                List of area scope entries
                ''',
                'retransmission_area_db',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-asdb', REFERENCE_LIST, 'RetransmissionAsdb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionAsdb', 
                [], [], 
                '''                List of AS scope entries
                ''',
                'retransmission_asdb',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'retransmission_neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission sham link ID 
                ''',
                'retransmission_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time remaining on retransmission timer
                (ms)
                ''',
                'retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissionvirtual-link-db', REFERENCE_LIST, 'RetransmissionvirtualLinkDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionvirtualLinkDb', 
                [], [], 
                '''                List of virtual link scope entries 
                ''',
                'retransmissionvirtual_link_db',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissionvirtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission virtual link ID 
                ''',
                'retransmissionvirtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable',
            False, 
            [
            _MetaInfoClassMember('retransmission', REFERENCE_LIST, 'Retransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission', 
                [], [], 
                '''                OSPFv3 retransmission list information
                ''',
                'retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'retransmission-list-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.BadChecksums.BadChecksum.Timestamp' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.BadChecksums.BadChecksum.Timestamp',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nano seconds 
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Seconds 
                ''',
                'second',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'timestamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.BadChecksums.BadChecksum' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.BadChecksums.BadChecksum',
            False, 
            [
            _MetaInfoClassMember('packet-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '9')], [], 
                '''                Bad Checksum Packets number
                ''',
                'packet_number',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('computed-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Computed Checksum
                ''',
                'computed_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('received-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Received Checksum
                ''',
                'received_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('received-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Received Hexadecimal Data
                ''',
                'received_data',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('timestamp', REFERENCE_CLASS, 'Timestamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.BadChecksums.BadChecksum.Timestamp', 
                [], [], 
                '''                Packet Timestamp (relative to 1970/1/1 00:00)
                ''',
                'timestamp',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'bad-checksum',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.BadChecksums' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.BadChecksums',
            False, 
            [
            _MetaInfoClassMember('bad-checksum', REFERENCE_LIST, 'BadChecksum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.BadChecksums.BadChecksum', 
                [], [], 
                '''                Bad Checksum Packet information
                ''',
                'bad_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'bad-checksums',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters',
            False, 
            [
            _MetaInfoClassMember('deleted-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                deleted lsa
                ''',
                'deleted_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa-checksum', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa checksum
                ''',
                'lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('max-age-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max age lsa
                ''',
                'max_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary',
            False, 
            [
            _MetaInfoClassMember('deleted-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                deleted lsa
                ''',
                'deleted_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('lsa-checksum', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa checksum
                ''',
                'lsa_checksum',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            _MetaInfoClassMember('max-age-lsa', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max age lsa
                ''',
                'max_age_lsa',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-database-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase',
            False, 
            [
            _MetaInfoClassMember('area-database-summary', REFERENCE_CLASS, 'AreaDatabaseSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary', 
                [], [], 
                '''                Area database summary 
                ''',
                'area_database_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'area-database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary',
            False, 
            [
            _MetaInfoClassMember('area-database', REFERENCE_LIST, 'AreaDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase', 
                [], [], 
                '''                OSPFv3 Area Database list 
                ''',
                'area_database',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-counters', REFERENCE_CLASS, 'DatabaseCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters', 
                [], [], 
                '''                OSPFv3 database counters 
                ''',
                'database_counters',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Database router ID 
                ''',
                'database_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-opaque-database-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, opaque database is capable 
                ''',
                'is_opaque_database_capable',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable',
            False, 
            [
            _MetaInfoClassMember('database-summary', REFERENCE_CLASS, 'DatabaseSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary', 
                [], [], 
                '''                Database Summary information
                ''',
                'database_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'database-summary-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborDetail.NeighborRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborDetail.NeighborRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs 
                ''',
                'is_neighbor_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor 
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-ignore-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when ignore timer is running 
                ''',
                'neighbor_ignore_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 This is bitmask of neighbor's option field
                received 
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmission', REFERENCE_CLASS, 'NeighborRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborDetail.NeighborRetransmission', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events 
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes 
                ''',
                'state_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborBfdInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a sham link 
                ''',
                'is_neighbor_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a virtual link 
                ''',
                'is_neighbor_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-bfd-info', REFERENCE_CLASS, 'NeighborBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborBfdInfo', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires
                (seconds)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router', ATTRIBUTE, 'str' , None, None, 
                [(0, 9)], [], 
                '''                Designated router 
                ''',
                'neighbor_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail', REFERENCE_CLASS, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborDetail', 
                [], [], 
                '''                Detailed OSPFv3 neighbor information 
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor interface ID
                ''',
                'neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor sham link id 
                ''',
                'neighbor_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'Ospfv3NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up
                (seconds)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor virtual link id 
                ''',
                'neighbor_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor', 
                [], [], 
                '''                OSPFv3 neighbor detail information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.FastReroutes.FastReroute.IpfrrTopo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.FastReroutes.FastReroute.IpfrrTopo',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topology DR entry
                ''',
                'dr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsaid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology LSA ID
                ''',
                'lsaid',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topology Neighbor Sourced
                ''',
                'neighbor_sourced',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPFRR Topology Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Revision
                ''',
                'revision',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('type4', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topoogy Type-4 entry
                ''',
                'type4',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'ipfrr-topo',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.FastReroutes.FastReroute' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.FastReroutes.FastReroute',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                AreaID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ipfrr-area-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Revision
                ''',
                'ipfrr_area_revision',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ipfrr-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPF Router ID
                ''',
                'ipfrr_router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ipfrr-topo', REFERENCE_LIST, 'IpfrrTopo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.FastReroutes.FastReroute.IpfrrTopo', 
                [], [], 
                '''                IPFRR Topology entries
                ''',
                'ipfrr_topo',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ipfrr-topo-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted decimal
                format
                ''',
                'ipfrr_topo_area_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.FastReroutes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.FastReroutes',
            False, 
            [
            _MetaInfoClassMember('fast-reroute', REFERENCE_LIST, 'FastReroute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.FastReroutes.FastReroute', 
                [], [], 
                '''                OSPFv3 fast reroute topology information
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'fast-reroutes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InterfaceBriefProcessTable.InterfaceBrief' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InterfaceBriefProcessTable.InterfaceBrief',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-adjacent-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of adjacent neighbors
                ''',
                'interface_adjacent_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of neighbors 
                ''',
                'interface_neighbors',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.InterfaceBriefProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.InterfaceBriefProcessTable',
            False, 
            [
            _MetaInfoClassMember('interface-brief', REFERENCE_LIST, 'InterfaceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InterfaceBriefProcessTable.InterfaceBrief', 
                [], [], 
                '''                Interface brief information
                ''',
                'interface_brief',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'interface-brief-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_.NeighborRetransmission' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_.NeighborRetransmission',
            False, 
            [
            _MetaInfoClassMember('area-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-descriptor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of database descriptor retransmissions
                during last exchange
                ''',
                'database_descriptor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information 
                ''',
                'link_first_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-first-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link first flood information index
                ''',
                'link_first_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link flood index
                ''',
                'link_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information 
                ''',
                'link_next_flood',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('link-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link next flood information index 
                ''',
                'link_next_flood_index',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbor retransmissions 
                ''',
                'neighbor_retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_',
            False, 
            [
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'Ospfv3InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-filtered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs 
                ''',
                'is_neighbor_filtered',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor 
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-ignore-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when ignore timer is running 
                ''',
                'neighbor_ignore_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 This is bitmask of neighbor's option field
                received 
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-retransmission', REFERENCE_CLASS, 'NeighborRetransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_.NeighborRetransmission', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events 
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes 
                ''',
                'state_changes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborBfdInfo' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-sham-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a sham link 
                ''',
                'is_neighbor_sham_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('is-neighbor-virtual-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, neighbor is on a virtual link 
                ''',
                'is_neighbor_virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-bfd-info', REFERENCE_CLASS, 'NeighborBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborBfdInfo', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_info',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires
                (seconds)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-designated-router', ATTRIBUTE, 'str' , None, None, 
                [(0, 9)], [], 
                '''                Designated router 
                ''',
                'neighbor_designated_router',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail', REFERENCE_CLASS, 'NeighborDetail_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_', 
                [], [], 
                '''                Detailed OSPFv3 neighbor information 
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor interface ID
                ''',
                'neighbor_interface_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-sham-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor sham link id 
                ''',
                'neighbor_sham_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'Ospfv3NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up
                (seconds)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-virtual-link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor virtual link id 
                ''',
                'neighbor_virtual_link_id',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable',
            False, 
            [
            _MetaInfoClassMember('neighbor-detail', REFERENCE_LIST, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail', 
                [], [], 
                '''                OSPFv3 neighbor detail information
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'neighbor-detail-process-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process.DefaultVrf' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process.DefaultVrf',
            False, 
            [
            _MetaInfoClassMember('area-informations', REFERENCE_CLASS, 'AreaInformations' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.AreaInformations', 
                [], [], 
                '''                OSPFv3 area information table
                ''',
                'area_informations',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('areas', REFERENCE_CLASS, 'Areas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Areas', 
                [], [], 
                '''                OSPFv3 area table
                ''',
                'areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('bad-checksums', REFERENCE_CLASS, 'BadChecksums' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.BadChecksums', 
                [], [], 
                '''                Bad Checksum Packets information table
                ''',
                'bad_checksums',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('border-routers', REFERENCE_CLASS, 'BorderRouters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.BorderRouters', 
                [], [], 
                '''                OSPFv3 border router information table
                ''',
                'border_routers',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('connected-routes', REFERENCE_CLASS, 'ConnectedRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes', 
                [], [], 
                '''                OSPFv3 connected route information table
                ''',
                'connected_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-summary-table', REFERENCE_CLASS, 'DatabaseSummaryTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable', 
                [], [], 
                '''                Database summary table
                ''',
                'database_summary_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('database-table', REFERENCE_CLASS, 'DatabaseTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.DatabaseTable', 
                [], [], 
                '''                OSPF Link State Database
                ''',
                'database_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('external-routes', REFERENCE_CLASS, 'ExternalRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes', 
                [], [], 
                '''                OSPFv3 external route information table
                ''',
                'external_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('fast-reroutes', REFERENCE_CLASS, 'FastReroutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.FastReroutes', 
                [], [], 
                '''                OSPFv3 fast reroute topology information table
                ''',
                'fast_reroutes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('flood-list-process-table', REFERENCE_CLASS, 'FloodListProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable', 
                [], [], 
                '''                OSPFv3 flood list information table for all
                areas
                ''',
                'flood_list_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-brief-process-table', REFERENCE_CLASS, 'InterfaceBriefProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InterfaceBriefProcessTable', 
                [], [], 
                '''                OSPFv3 interface brief information table for all
                areas
                ''',
                'interface_brief_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('interface-process-table', REFERENCE_CLASS, 'InterfaceProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable', 
                [], [], 
                '''                OSPFv3 interface information table for all areas
                ''',
                'interface_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('internal-routes', REFERENCE_CLASS, 'InternalRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.InternalRoutes', 
                [], [], 
                '''                OSPFv3 internal route information table
                ''',
                'internal_routes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-detail-process-table', REFERENCE_CLASS, 'NeighborDetailProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable', 
                [], [], 
                '''                OSPFv3 neighbor information table for all areas
                ''',
                'neighbor_detail_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('neighbor-process-table', REFERENCE_CLASS, 'NeighborProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable', 
                [], [], 
                '''                OSPFv3 neighbor information table for all areas
                ''',
                'neighbor_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('protocol-areas', REFERENCE_CLASS, 'ProtocolAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas', 
                [], [], 
                '''                Protocol area table 
                ''',
                'protocol_areas',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('redistributions', REFERENCE_CLASS, 'Redistributions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Redistributions', 
                [], [], 
                '''                Redistribution information table
                ''',
                'redistributions',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('request-list-process-table', REFERENCE_CLASS, 'RequestListProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable', 
                [], [], 
                '''                OSPFv3 request list information for all areas
                ''',
                'request_list_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('retransmission-list-process-table', REFERENCE_CLASS, 'RetransmissionListProcessTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable', 
                [], [], 
                '''                OSPFv3 retransmission list information table for
                all areas
                ''',
                'retransmission_list_process_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('route-summary', REFERENCE_CLASS, 'RouteSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.RouteSummary', 
                [], [], 
                '''                Summarize OSPFv3 local RIB tables
                ''',
                'route_summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('sham-link-table', REFERENCE_CLASS, 'ShamLinkTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable', 
                [], [], 
                '''                Sham link information
                ''',
                'sham_link_table',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.Summary', 
                [], [], 
                '''                OSPFv3 summary
                ''',
                'summary',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('summary-prefixes', REFERENCE_CLASS, 'SummaryPrefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.SummaryPrefixes', 
                [], [], 
                '''                Summary prefix information table
                ''',
                'summary_prefixes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('virtual-link', REFERENCE_CLASS, 'VirtualLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VirtualLink', 
                [], [], 
                '''                Virtual link information
                ''',
                'virtual_link',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('vrf-statistics', REFERENCE_CLASS, 'VrfStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf.VrfStatistics', 
                [], [], 
                '''                Container for Statistics
                ''',
                'vrf_statistics',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'default-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes.Process' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes.Process',
            False, 
            [
            _MetaInfoClassMember('process-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Particular OSPFv3 process
                ''',
                'process_name',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', True),
            _MetaInfoClassMember('default-vrf', REFERENCE_CLASS, 'DefaultVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.DefaultVrf', 
                [], [], 
                '''                Operational data for the default VRF
                (instance) in the OSPFv3 process
                ''',
                'default_vrf',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Statistics', 
                [], [], 
                '''                Container for Statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process.Vrfs', 
                [], [], 
                '''                Table for each VRF
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3.Processes' : {
        'meta_info' : _MetaInfoClass('Ospfv3.Processes',
            False, 
            [
            _MetaInfoClassMember('process', REFERENCE_LIST, 'Process' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes.Process', 
                [], [], 
                '''                OSPFv3 Operational data for a particular OSPFv3
                process 
                ''',
                'process',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'processes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
    'Ospfv3' : {
        'meta_info' : _MetaInfoClass('Ospfv3',
            False, 
            [
            _MetaInfoClassMember('processes', REFERENCE_CLASS, 'Processes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper', 'Ospfv3.Processes', 
                [], [], 
                '''                OSPFv3 Process Table
                ''',
                'processes',
                'Cisco-IOS-XR-ipv6-ospfv3-oper', False),
            ],
            'Cisco-IOS-XR-ipv6-ospfv3-oper',
            'ospfv3',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv6-ospfv3-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv6_ospfv3_oper'
        ),
    },
}
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.SummaryPrefixes.SummaryPrefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.SummaryPrefixes']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter.BorderRouterPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable.ShamLinkNeighbor.ShamLinkRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable.ShamLinkNeighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable.ShamLinkNeighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations.AreaInformation.AreaRange']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations.AreaInformation']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations.AreaInformation']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable.LsaInternalTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.ActiveInterface']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.InterfaceBfd']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface.InterfaceNeighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable.Interface']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Redistributions.Redistribution']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Redistributions']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RoutePath']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RouteTopology']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RouteExtendedCommunity']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute.RoutePath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes.ExternalRoute']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable.Request.Request_']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable.Request']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable.Request']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink.VirtualLinkNeighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink.VirtualLinkNeighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.LinkFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.AreaFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood.AsFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable.Flood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_.NeighborRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborBfdInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable.NeighborDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefTable.InterfaceBrief']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable.Request.Request_']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable.Request']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable.Request']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail.NeighborRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor.NeighborBfdInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable.Neighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.ActiveInterface']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.InterfaceBfd']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface.InterfaceNeighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.LinkFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.AreaFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood.AsFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable.Flood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionvirtualLinkDb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAreaDb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAsdb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable.Retransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable.LsaInternalTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetailTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RequestListTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.RetransmissionListTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area.DatabaseSummaryTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RoutePath']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RouteTopology']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RouteSource']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute.RoutePath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes.InternalRoute']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas.ProtocolArea.ProtocolInterface']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas.ProtocolArea']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas.ProtocolArea']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RoutePath']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RouteTopology']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute.RoutePath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes.ConnectedRoute']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.ProtocolStats.ProtocolStat']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.ProtocolStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfHeader.AreaSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfHeader']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.GlobalTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats.SpfRuntime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.ProtocolStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.SpfStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.RawioStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.PrefixPriorityStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics.VrfRibBatchStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId.PrimaryDomainId']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId.SecondaryDomainId']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger.UnsetTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger.StartTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.UnsetTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.StartTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.AbrResumeTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter.Trigger']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.DomainId']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.StubRouter']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_.IpfrrTiebreakers']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Protocol']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Ospfv3_']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary.Route']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionvirtualLinkDb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionAreaDb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission.RetransmissionAsdb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable.Retransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums.BadChecksum.Timestamp']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums.BadChecksum']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums.BadChecksum']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable.DatabaseSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborDetail.NeighborRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor.NeighborBfdInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable.Neighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes.FastReroute.IpfrrTopo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes.FastReroute']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes.FastReroute']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceBriefProcessTable.InterfaceBrief']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceBriefProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_.NeighborRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail.NeighborBfdInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable.NeighborDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.SummaryPrefixes']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.BorderRouters']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ShamLinkTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.AreaInformations']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Redistributions']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ExternalRoutes']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RequestListProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VirtualLink']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FloodListProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RouteSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Areas']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InternalRoutes']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ProtocolAreas']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.ConnectedRoutes']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.VrfStatistics']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.Summary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.RetransmissionListProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.BadChecksums']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.DatabaseSummaryTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.FastReroutes']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.InterfaceBriefProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf.NeighborDetailProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs.Vrf']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Vrfs']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.NsrStats.NsrThdStats.NsrPri']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.NsrStats.NsrThdStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.NsrStats.NsrRtrThdSched.NsrPri']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.NsrStats.NsrRtrThdSched']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.NsrStats.NsrThdStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.NsrStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.NsrStats.NsrRtrThdSched']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.NsrStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.RibThreadStats.ThreadQ']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.RibThreadStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.RibThreadStats.RibBaseTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.RibThreadStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.RibThreadStats.Holdq']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.RibThreadStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.IssuStats.NsrThdStats.NsrPri']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.IssuStats.NsrThdStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.IssuStats.NsrRtrThdSched.NsrPri']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.IssuStats.NsrRtrThdSched']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.IssuStats.NsrThdStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.IssuStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.IssuStats.NsrRtrThdSched']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.IssuStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri.NumSentDrop']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri.NumRecvDrop']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.NsrPlStats.NcdPri']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.NsrPlStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.ProtocolStats.ProtocolStat']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.ProtocolStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfHeader.AreaSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfHeader']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.AreaStat']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.GlobalTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime.AreaStat']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats.SpfRuntime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.NsrStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.RibThreadStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.IssuStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.NsrPlStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.ProtocolStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.SpfStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.RawioStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.PrefixPriorityStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics.VrfRibBatchStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.Statistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.SummaryPrefixes.SummaryPrefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.SummaryPrefixes']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.BorderRouters.BorderRouter.BorderRouterPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.BorderRouters.BorderRouter']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.BorderRouters.BorderRouter']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.BorderRouters']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable.ShamLinkNeighbor.ShamLinkRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable.ShamLinkNeighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable.ShamLinkNeighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.AreaInformations.AreaInformation.AreaRange']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.AreaInformations.AreaInformation']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.AreaInformations.AreaInformation']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.AreaInformations']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable.LsaInternalTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.ActiveInterface']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.InterfaceBfd']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface.InterfaceNeighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable.Interface']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Redistributions.Redistribution']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Redistributions']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RoutePath']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RouteTopology']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RouteExtendedCommunity']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute.RoutePath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes.ExternalRoute']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable.Request.Request_']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable.Request']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable.Request']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VirtualLink.VirtualLinkNeighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VirtualLink.VirtualLinkNeighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VirtualLink']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.LinkFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.AreaFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood.AsFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable.Flood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_.NeighborRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborDetail_']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail.NeighborBfdInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable.NeighborDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefTable.InterfaceBrief']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable.Request.Request_']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable.Request']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable.Request']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail.NeighborRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor.NeighborBfdInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable.Neighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.ActiveInterface']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.InterfaceBfd']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface.InterfaceNeighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.LinkFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.AreaFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood.AsFlood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable.Flood']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionvirtualLinkDb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAreaDb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission.RetransmissionAsdb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable.Retransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.RpfPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.RouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NetworkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.ExternalLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.NssalsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.LinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.GraceLsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo.UnknownLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa.LsaInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.RpfPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType.Prefix']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType.LsaDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LsaSummaryInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.RouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NetworkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.InterAreaRouterLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.ExternalLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.NssalsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.LinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.IntraAreaPrefixLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.GraceLsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLinkLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAreaLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownAslsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo.UnknownLsaType']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa.LsaInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable.LsaInternalTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary.AreaDatabase']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable.DatabaseSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborDetailTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RequestListTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.NeighborTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.InterfaceTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.FloodListTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.RetransmissionListTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area.DatabaseSummaryTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas.Area']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RoutePath']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RouteTopology']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RouteSource']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute.RoutePath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes.InternalRoute']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas.ProtocolArea.ProtocolInterface']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas.ProtocolArea']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas.ProtocolArea']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RoutePath']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RouteTopology']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute.RoutePath']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes.ConnectedRoute']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.ProtocolStats.ProtocolStat']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.ProtocolStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfHeader.AreaSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfHeader']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat.SpfStatTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.GlobalTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.Lsa']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime.AreaStat']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfHeader']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats.SpfRuntime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.ProtocolStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.SpfStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.RawioStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.PrefixPriorityStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics.VrfRibBatchStats']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId.PrimaryDomainId']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId.SecondaryDomainId']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger.UnsetTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger.StartTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.UnsetTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.StartTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.AbrResumeTime']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter.Trigger']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.DomainId']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.StubRouter']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_.IpfrrTiebreakers']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Protocol']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Ospfv3_']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary.Route']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionvirtualLinkDb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionAreaDb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission.RetransmissionAsdb']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable.Retransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.BadChecksums.BadChecksum.Timestamp']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.BadChecksums.BadChecksum']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.BadChecksums.BadChecksum']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.BadChecksums']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase.AreaDatabaseSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.DatabaseCounters']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary.AreaDatabase']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable.DatabaseSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborDetail.NeighborRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor.NeighborBfdInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable.Neighbor']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.FastReroutes.FastReroute.IpfrrTopo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.FastReroutes.FastReroute']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.FastReroutes.FastReroute']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.FastReroutes']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceBriefProcessTable.InterfaceBrief']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceBriefProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_.NeighborRetransmission']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborDetail_']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail.NeighborBfdInfo']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable.NeighborDetail']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.SummaryPrefixes']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.BorderRouters']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ShamLinkTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.AreaInformations']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Redistributions']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ExternalRoutes']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.RequestListProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VirtualLink']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.FloodListProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.RouteSummary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Areas']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InternalRoutes']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ProtocolAreas']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.ConnectedRoutes']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.VrfStatistics']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.Summary']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.RetransmissionListProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.BadChecksums']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.DatabaseSummaryTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.FastReroutes']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.InterfaceBriefProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf.NeighborDetailProcessTable']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospfv3.Processes.Process.Vrfs']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process']['meta_info']
_meta_table['Ospfv3.Processes.Process.Statistics']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process']['meta_info']
_meta_table['Ospfv3.Processes.Process.DefaultVrf']['meta_info'].parent =_meta_table['Ospfv3.Processes.Process']['meta_info']
_meta_table['Ospfv3.Processes.Process']['meta_info'].parent =_meta_table['Ospfv3.Processes']['meta_info']
_meta_table['Ospfv3.Processes']['meta_info'].parent =_meta_table['Ospfv3']['meta_info']
