


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'MgmtLsdClientEnum' : _MetaInfoEnum('MgmtLsdClientEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-client-type-app':'mgmt_lsd_client_type_app',
            'mgmt-lsd-client-type-ba':'mgmt_lsd_client_type_ba',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdFrrStateEnum' : _MetaInfoEnum('MgmtLsdFrrStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-frr-state-partial':'mgmt_lsd_frr_state_partial',
            'mgmt-lsd-frr-state-active':'mgmt_lsd_frr_state_active',
            'mgmt-lsd-frr-state-ready':'mgmt_lsd_frr_state_ready',
            'mgmt-lsd-frr-state-complete':'mgmt_lsd_frr_state_complete',
            'mgmt-lsd-frr-state-any':'mgmt_lsd_frr_state_any',
            'mgmt-lsd-frr-state-igp':'mgmt_lsd_frr_state_igp',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdMoiEnum' : _MetaInfoEnum('MgmtLsdMoiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-moi-type-pop-and-lkup-ipv4':'mgmt_lsd_moi_type_pop_and_lkup_ipv4',
            'mgmt-lsd-moi-type-ipv4':'mgmt_lsd_moi_type_ipv4',
            'mgmt-lsd-moi-type-ipv6':'mgmt_lsd_moi_type_ipv6',
            'mgmt-lsd-moi-type-tev4':'mgmt_lsd_moi_type_tev4',
            'mgmt-lsd-moi-type-pw':'mgmt_lsd_moi_type_pw',
            'mgmt-lsd-moi-type-pop-and-lkup-ipv6':'mgmt_lsd_moi_type_pop_and_lkup_ipv6',
            'mgmt-lsd-moi-type-ip-sub':'mgmt_lsd_moi_type_ip_sub',
            'mgmt-lsd-moi-type-pwhe':'mgmt_lsd_moi_type_pwhe',
            'mgmt-lsd-moi-type-pw-list':'mgmt_lsd_moi_type_pw_list',
            'mgmt-lsd-moi-type-ipv4-stack':'mgmt_lsd_moi_type_ipv4_stack',
            'mgmt-lsd-moi-type-pop-and-lkup-tp':'mgmt_lsd_moi_type_pop_and_lkup_tp',
            'mgmt-lsd-moi-type-ipv6-stack':'mgmt_lsd_moi_type_ipv6_stack',
            'mgmt-lsd-moi-type-te-head':'mgmt_lsd_moi_type_te_head',
            'mgmt-lsd-moi-type-dmtc-ext-intf':'mgmt_lsd_moi_type_dmtc_ext_intf',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdFpiEnum' : _MetaInfoEnum('MgmtLsdFpiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-fpi-type-label':'mgmt_lsd_fpi_type_label',
            'mgmt-lsd-fpi-type-te':'mgmt_lsd_fpi_type_te',
            'mgmt-lsd-fpi-type-ipv4':'mgmt_lsd_fpi_type_ipv4',
            'mgmt-lsd-fpi-type-ipv6':'mgmt_lsd_fpi_type_ipv6',
            'mgmt-lsd-fpi-type-pw-list':'mgmt_lsd_fpi_type_pw_list',
            'mgmt-lsd-fpi-type-te-v2':'mgmt_lsd_fpi_type_te_v2',
            'mgmt-lsd-fpi-type-dmtc-ext-intf':'mgmt_lsd_fpi_type_dmtc_ext_intf',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdLblCtxEnum' : _MetaInfoEnum('MgmtLsdLblCtxEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-lbl-ctx-type-none':'mgmt_lsd_lbl_ctx_type_none',
            'mgmt-lsd-lbl-ctx-type-ipv4':'mgmt_lsd_lbl_ctx_type_ipv4',
            'mgmt-lsd-lbl-ctx-type-ipv6':'mgmt_lsd_lbl_ctx_type_ipv6',
            'mgmt-lsd-lbl-ctx-type-tev4':'mgmt_lsd_lbl_ctx_type_tev4',
            'mgmt-lsd-lbl-ctx-type-l3vpn-ipv4':'mgmt_lsd_lbl_ctx_type_l3vpn_ipv4',
            'mgmt-lsd-lbl-ctx-type-l3vpn-ipv6':'mgmt_lsd_lbl_ctx_type_l3vpn_ipv6',
            'mgmt-lsd-lbl-ctx-type-l3vpn-vrf':'mgmt_lsd_lbl_ctx_type_l3vpn_vrf',
            'mgmt-lsd-lbl-ctx-type-l3vpn-cev4':'mgmt_lsd_lbl_ctx_type_l3vpn_cev4',
            'mgmt-lsd-lbl-ctx-type-l3vpn-cev6':'mgmt_lsd_lbl_ctx_type_l3vpn_cev6',
            'mgmt-lsd-lbl-ctx-type-pw':'mgmt_lsd_lbl_ctx_type_pw',
            'mgmt-lsd-lbl-ctx-type-lbl-blk':'mgmt_lsd_lbl_ctx_type_lbl_blk',
            'mgmt-lsd-lbl-ctx-type-ip-sub':'mgmt_lsd_lbl_ctx_type_ip_sub',
            'mgmt-lsd-lbl-ctx-type-tev4-p2mp':'mgmt_lsd_lbl_ctx_type_tev4_p2mp',
            'mgmt-lsd-lbl-ctx-type-mldpv4':'mgmt_lsd_lbl_ctx_type_mldpv4',
            'mgmt-lsd-lbl-ctx-type-pwhe':'mgmt_lsd_lbl_ctx_type_pwhe',
            'mgmt-lsd-lbl-ctx-type-tp':'mgmt_lsd_lbl_ctx_type_tp',
            'mgmt-lsd-lbl-ctx-type-gre':'mgmt_lsd_lbl_ctx_type_gre',
            'mgmt-lsd-lbl-ctx-type-evpn':'mgmt_lsd_lbl_ctx_type_evpn',
            'mgmt-lsd-lbl-ctx-type-blb-ipv4':'mgmt_lsd_lbl_ctx_type_blb_ipv4',
            'mgmt-lsd-lbl-ctx-type-blb-ipv6':'mgmt_lsd_lbl_ctx_type_blb_ipv6',
            'mgmt-lsd-lbl-ctx-type-pim-i-pmsi':'mgmt_lsd_lbl_ctx_type_pim_i_pmsi',
            'mgmt-lsd-lbl-ctx-type-pim-s-pmsi':'mgmt_lsd_lbl_ctx_type_pim_s_pmsi',
            'mgmt-lsd-lbl-ctx-type-l3vpn-nh-set':'mgmt_lsd_lbl_ctx_type_l3vpn_nh_set',
            'mgmt-lsd-lbl-ctx-type-sr-pfx-seg':'mgmt_lsd_lbl_ctx_type_sr_pfx_seg',
            'mgmt-lsd-lbl-ctx-type-sr-adj-seg-ipv4':'mgmt_lsd_lbl_ctx_type_sr_adj_seg_ipv4',
            'mgmt-lsd-lbl-ctx-type-sr-adj-seg-ipv6':'mgmt_lsd_lbl_ctx_type_sr_adj_seg_ipv6',
            'mgmt-lsd-lbl-ctx-type-lbl-blk-srgb':'mgmt_lsd_lbl_ctx_type_lbl_blk_srgb',
            'mgmt-lsd-lbl-ctx-type-te-binding':'mgmt_lsd_lbl_ctx_type_te_binding',
            'mgmt-lsd-lbl-ctx-type-gre-ipv6':'mgmt_lsd_lbl_ctx_type_gre_ipv6',
            'mgmt-lsd-lbl-ctx-type-any':'mgmt_lsd_lbl_ctx_type_any',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdLspRoleEnum' : _MetaInfoEnum('MgmtLsdLspRoleEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-lsp-role-head':'mgmt_lsd_lsp_role_head',
            'mgmt-lsd-lsp-role-mid':'mgmt_lsd_lsp_role_mid',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdAppRsrcStateEnum' : _MetaInfoEnum('MgmtLsdAppRsrcStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-app-rsrc-state-active':'mgmt_lsd_app_rsrc_state_active',
            'mgmt-lsd-app-rsrc-state-pnd':'mgmt_lsd_app_rsrc_state_pnd',
            'mgmt-lsd-app-rsrc-state-pnd-svr':'mgmt_lsd_app_rsrc_state_pnd_svr',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdRwIdEnum' : _MetaInfoEnum('MgmtLsdRwIdEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-rw-id-type-none':'mgmt_lsd_rw_id_type_none',
            'mgmt-lsd-rw-id-type-lbl-ctx':'mgmt_lsd_rw_id_type_lbl_ctx',
            'mgmt-lsd-rw-id-type-loc-lbl':'mgmt_lsd_rw_id_type_loc_lbl',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdAppEnum' : _MetaInfoEnum('MgmtLsdAppEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-app-type-none':'mgmt_lsd_app_type_none',
            'mgmt-lsd-app-type-int':'mgmt_lsd_app_type_int',
            'mgmt-lsd-app-type-test':'mgmt_lsd_app_type_test',
            'mgmt-lsd-app-type-static':'mgmt_lsd_app_type_static',
            'mgmt-lsd-app-type-ldp':'mgmt_lsd_app_type_ldp',
            'mgmt-lsd-app-type-te':'mgmt_lsd_app_type_te',
            'mgmt-lsd-app-type-app-controller':'mgmt_lsd_app_type_app_controller',
            'mgmt-lsd-app-type-bgp-ipv4':'mgmt_lsd_app_type_bgp_ipv4',
            'mgmt-lsd-app-type-bgp-vpn-ipv4':'mgmt_lsd_app_type_bgp_vpn_ipv4',
            'mgmt-lsd-app-type-l2vpn':'mgmt_lsd_app_type_l2vpn',
            'mgmt-lsd-app-type-bgp-spkr':'mgmt_lsd_app_type_bgp_spkr',
            'mgmt-lsd-app-type-bfd':'mgmt_lsd_app_type_bfd',
            'mgmt-lsd-app-type-pim':'mgmt_lsd_app_type_pim',
            'mgmt-lsd-app-type-v2-lsd':'mgmt_lsd_app_type_v2_lsd',
            'mgmt-lsd-app-type-pim6':'mgmt_lsd_app_type_pim6',
            'mgmt-lsd-app-type-isis':'mgmt_lsd_app_type_isis',
            'mgmt-lsd-app-type-ospf':'mgmt_lsd_app_type_ospf',
            'mgmt-lsd-app-type-cgn':'mgmt_lsd_app_type_cgn',
            'mgmt-lsd-app-type-dmtc':'mgmt_lsd_app_type_dmtc',
            'mgmt-lsd-app-type-any':'mgmt_lsd_app_type_any',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdTeBindingEnum' : _MetaInfoEnum('MgmtLsdTeBindingEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-ident-p2p-tun-id':'mgmt_lsd_ident_p2p_tun_id',
            'mgmt-lsd-ident-p2p-grp-id':'mgmt_lsd_ident_p2p_grp_id',
            'mgmt-lsd-ident-p2mp-tun-id':'mgmt_lsd_ident_p2mp_tun_id',
            'mgmt-lsd-ident-p2mp-grp-id':'mgmt_lsd_ident_p2mp_grp_id',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdAppStateEnum' : _MetaInfoEnum('MgmtLsdAppStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-app-state-active':'mgmt_lsd_app_state_active',
            'mgmt-lsd-app-state-zombie':'mgmt_lsd_app_state_zombie',
            'mgmt-lsd-app-state-recover':'mgmt_lsd_app_state_recover',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MgmtLsdIntfStateEnum' : _MetaInfoEnum('MgmtLsdIntfStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper',
        {
            'mgmt-lsd-intf-state-unknown':'mgmt_lsd_intf_state_unknown',
            'mgmt-lsd-intf-state-up':'mgmt_lsd_intf_state_up',
            'mgmt-lsd-intf-state-down':'mgmt_lsd_intf_state_down',
        }, 'Cisco-IOS-XR-mpls-lsd-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper']),
    'MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion.Application' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion.Application',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                client-app instance
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion.BcdlAgent' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion.BcdlAgent',
            False, 
            [
            _MetaInfoClassMember('client-conn-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BCDL Agent client connection index
                ''',
                'client_conn_index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('parent-client-conn-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BCDL Agent parent client connection index
                ''',
                'parent_client_conn_index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'bcdl-agent',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion.Application', 
                [], [], 
                '''                Application client
                ''',
                'application',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('bcdl-agent', REFERENCE_CLASS, 'BcdlAgent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion.BcdlAgent', 
                [], [], 
                '''                BCDL agent client
                ''',
                'bcdl_agent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsd-client-type', REFERENCE_ENUM_CLASS, 'MgmtLsdClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdClientEnum', 
                [], [], 
                '''                LSDClientType
                ''',
                'lsd_client_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'client-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Clients.Client' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Clients.Client',
            False, 
            [
            _MetaInfoClassMember('client-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Client Instance name in the form of    
                'Application-<client_name>' or     
                'BCDL_Agent-<index:parent_index>'
                ''',
                'client_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('client-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client Index Value
                ''',
                'client_index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('client-union', REFERENCE_CLASS, 'ClientUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion', 
                [], [], 
                '''                Client union
                ''',
                'client_union',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Clients' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Clients',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_LIST, 'Client' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Clients.Client', 
                [], [], 
                '''                Data for MPLS client using LSD
                ''',
                'client',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'clients',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.LabelSummary.OwnerCount' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.LabelSummary.OwnerCount',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                client-app identifier
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('number-of-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'number_of_labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'owner-count',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.LabelSummary' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.LabelSummary',
            False, 
            [
            _MetaInfoClassMember('owner-count', REFERENCE_LIST, 'OwnerCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.LabelSummary.OwnerCount', 
                [], [], 
                '''                Owner counts
                ''',
                'owner_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rsi-connected', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Rsi connected
                ''',
                'rsi_connected',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total labels
                ''',
                'total_labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name_xr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IPv4 prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('is-srte', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is this an SRTE head tunnel
                ''',
                'is_srte',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel destination
                ''',
                'tunnel_dest',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended tunnel ID
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.VrfL3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.VrfL3VpnData',
            False, 
            [
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'vrf-l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Cev4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Cev4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Cev6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Cev6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pseudo-wire ID
                ''',
                'pseudowire_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('remote-l2-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote L2 Router ID
                ''',
                'remote_l2_router_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('subinterface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Subinterface
                ''',
                'subinterface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.LabelBlockData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.LabelBlockData',
            False, 
            [
            _MetaInfoClassMember('edge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Edge ID
                ''',
                'edge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('service', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service
                ''',
                'service',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VPN ID
                ''',
                'vpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.IpSubData',
            False, 
            [
            _MetaInfoClassMember('parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent interface
                ''',
                'parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Id
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Tev4P2MpData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Tev4P2MpData',
            False, 
            [
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point to multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('previous-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID extension
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4p2mp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.MldPv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.MldPv4Data',
            False, 
            [
            _MetaInfoClassMember('lsm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSM ID
                ''',
                'lsm_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-label-space-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peer Label Space Id
                ''',
                'peer_label_space_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-lsrid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer LSR Id
                ''',
                'peer_lsrid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSM ID Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mld-pv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('pwhe-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.TpData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.TpData',
            False, 
            [
            _MetaInfoClassMember('dest-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP destination global ID
                ''',
                'dest_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP destination node ID
                ''',
                'dest_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP destination tunnel ID
                ''',
                'dest_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP source tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('gre-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation interface
                ''',
                'gre_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('greipv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation IPv6 interface
                ''',
                'greipv6_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.EvpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.EvpnData',
            False, 
            [
            _MetaInfoClassMember('ethernet-segment', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Ethernet Segment ID
                ''',
                'ethernet_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN ID
                ''',
                'evpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN TAG
                ''',
                'evpn_tag',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'evpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PiMiPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PiMiPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-mi-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PiMsPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PiMsPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('hli', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Head LSM-ID
                ''',
                'hli',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('seg', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Segmented Multicast
                ''',
                'seg',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originating Router
                ''',
                'source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-ms-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.NextHopSetL3Vpn' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.NextHopSetL3Vpn',
            False, 
            [
            _MetaInfoClassMember('next-hop-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next Hop Set ID
                ''',
                'next_hop_set_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'next-hop-set-l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrPrefixSegment' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrPrefixSegment',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix Segment ID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-prefix-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrAdjSegmentIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrAdjSegmentIpv4',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv4 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrAdjSegmentIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrAdjSegmentIpv6',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv6 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.LabelBlockSrgbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.LabelBlockSrgbData',
            False, 
            [
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('start-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start Label
                ''',
                'start_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-srgb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.TeBinding' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.TeBinding',
            False, 
            [
            _MetaInfoClassMember('te-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Traffic Engineering Tunnel or Group ID
                ''',
                'te_identifier',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-type', REFERENCE_ENUM_CLASS, 'MgmtLsdTeBindingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdTeBindingEnum', 
                [], [], 
                '''                Type of identifier for the binding
                ''',
                'te_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-binding',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key',
            False, 
            [
            _MetaInfoClassMember('cev4l3vpn-data', REFERENCE_CLASS, 'Cev4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Cev4L3VpnData', 
                [], [], 
                '''                L3VPN CEv4 label context
                ''',
                'cev4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cev6l3vpn-data', REFERENCE_CLASS, 'Cev6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Cev6L3VpnData', 
                [], [], 
                '''                L3VPN CEv6 label context
                ''',
                'cev6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-data', REFERENCE_CLASS, 'EvpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.EvpnData', 
                [], [], 
                '''                EVPN context
                ''',
                'evpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('generic-routing-encapsulation', REFERENCE_CLASS, 'GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.IpSubData', 
                [], [], 
                '''                IP Subscriber context
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4Data', 
                [], [], 
                '''                IPv4 label context
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4blb-data', REFERENCE_CLASS, 'Ipv4BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv4blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4l3vpn-data', REFERENCE_CLASS, 'Ipv4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4L3VpnData', 
                [], [], 
                '''                L3VPN IPv4 label context
                ''',
                'ipv4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6Data', 
                [], [], 
                '''                IPv6 label context
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-generic-routing-encapsulation', REFERENCE_CLASS, 'Ipv6GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'ipv6_generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6blb-data', REFERENCE_CLASS, 'Ipv6BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv6blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6l3vpn-data', REFERENCE_CLASS, 'Ipv6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6L3VpnData', 
                [], [], 
                '''                L3VPN IPv6 label context
                ''',
                'ipv6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-data', REFERENCE_CLASS, 'LabelBlockData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.LabelBlockData', 
                [], [], 
                '''                Label block context
                ''',
                'label_block_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-srgb-data', REFERENCE_CLASS, 'LabelBlockSrgbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.LabelBlockSrgbData', 
                [], [], 
                '''                Label block SRGB context
                ''',
                'label_block_srgb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-type', REFERENCE_ENUM_CLASS, 'MgmtLsdLblCtxEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLblCtxEnum', 
                [], [], 
                '''                LabelContextType
                ''',
                'label_context_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mld-pv4-data', REFERENCE_CLASS, 'MldPv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.MldPv4Data', 
                [], [], 
                '''                MLDPv4 LSM-ID context
                ''',
                'mld_pv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-set-l3vpn', REFERENCE_CLASS, 'NextHopSetL3Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.NextHopSetL3Vpn', 
                [], [], 
                '''                L3VPN NH SET label context
                ''',
                'next_hop_set_l3vpn',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-mi-pmsi-data', REFERENCE_CLASS, 'PiMiPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PiMiPmsiData', 
                [], [], 
                '''                PIM I-PMSI label conext
                ''',
                'pi_mi_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-ms-pmsi-data', REFERENCE_CLASS, 'PiMsPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PiMsPmsiData', 
                [], [], 
                '''                PIM S-PMSI label conext
                ''',
                'pi_ms_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PseudowireData', 
                [], [], 
                '''                Pseudowire label context
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PseudowireHeadEndData', 
                [], [], 
                '''                Pseudowire Head-end label context
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv4', REFERENCE_CLASS, 'SrAdjSegmentIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrAdjSegmentIpv4', 
                [], [], 
                '''                SR Adj Segment ipv4 context
                ''',
                'sr_adj_segment_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv6', REFERENCE_CLASS, 'SrAdjSegmentIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrAdjSegmentIpv6', 
                [], [], 
                '''                SR Adj Segment ipv6 context
                ''',
                'sr_adj_segment_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-prefix-segment', REFERENCE_CLASS, 'SrPrefixSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrPrefixSegment', 
                [], [], 
                '''                SR Prefix Segment context
                ''',
                'sr_prefix_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-binding', REFERENCE_CLASS, 'TeBinding' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.TeBinding', 
                [], [], 
                '''                MPLS TE tunnel binding context
                ''',
                'te_binding',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Tev4Data', 
                [], [], 
                '''                TEv4 label context
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4p2mp-data', REFERENCE_CLASS, 'Tev4P2MpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Tev4P2MpData', 
                [], [], 
                '''                TEv4 P2MP context
                ''',
                'tev4p2mp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tp-data', REFERENCE_CLASS, 'TpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.TpData', 
                [], [], 
                '''                TP context
                ''',
                'tp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-l3vpn-data', REFERENCE_CLASS, 'VrfL3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.VrfL3VpnData', 
                [], [], 
                '''                L3VPN VRF label context
                ''',
                'vrf_l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext',
            False, 
            [
            _MetaInfoClassMember('application-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Application opaque data
                ''',
                'application_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key', 
                [], [], 
                '''                Label Key
                ''',
                'key',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-context',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels.Label',
            False, 
            [
            _MetaInfoClassMember('label-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Label value
                ''',
                'label_id',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.ApplicationOwner', 
                [], [], 
                '''                Application owner
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context', REFERENCE_CLASS, 'LabelContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext', 
                [], [], 
                '''                Label context
                ''',
                'label_context',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-is-bound', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Rewrite bound to label
                ''',
                'rewrite_is_bound',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-owners', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rewrite owner
                ''',
                'rewrite_owners',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rs-iconnected', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RSI connected
                ''',
                'rs_iconnected',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Labels' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Labels',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels.Label', 
                [], [], 
                '''                Data for label
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Head' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Head',
            False, 
            [
            _MetaInfoClassMember('destination-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination prefix
                ''',
                'destination_prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('destination-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Destination prefix length
                ''',
                'destination_prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'head',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Midpoint' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Midpoint',
            False, 
            [
            _MetaInfoClassMember('lspid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID
                ''',
                'lspid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source IPv4 address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'midpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId',
            False, 
            [
            _MetaInfoClassMember('head', REFERENCE_CLASS, 'Head' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Head', 
                [], [], 
                '''                head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('midpoint', REFERENCE_CLASS, 'Midpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Midpoint', 
                [], [], 
                '''                midpoint
                ''',
                'midpoint',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MgmtLsdLspRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLspRoleEnum', 
                [], [], 
                '''                Role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'frr-entry-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.OutPath' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.OutPath',
            False, 
            [
            _MetaInfoClassMember('frr-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                FRR interface
                ''',
                'frr_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('frr-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR output label
                ''',
                'frr_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop IPv4 address
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'out-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('entry-frr-state', REFERENCE_ENUM_CLASS, 'MgmtLsdFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFrrStateEnum', 
                [], [], 
                '''                MPLS FRR entry state
                ''',
                'entry_frr_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('frr-entry-id', REFERENCE_CLASS, 'FrrEntryId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId', 
                [], [], 
                '''                FRR entry ID
                ''',
                'frr_entry_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('input-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input label
                ''',
                'input_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-path', REFERENCE_LIST, 'OutPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.OutPath', 
                [], [], 
                '''                Out Path List
                ''',
                'out_path',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-midpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints',
            False, 
            [
            _MetaInfoClassMember('tunnel-midpoint', REFERENCE_LIST, 'TunnelMidpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint', 
                [], [], 
                '''                Data for FRR database entry - Tunnel midpoint
                ''',
                'tunnel_midpoint',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-midpoints',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Head' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Head',
            False, 
            [
            _MetaInfoClassMember('destination-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination prefix
                ''',
                'destination_prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('destination-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Destination prefix length
                ''',
                'destination_prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'head',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Midpoint' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Midpoint',
            False, 
            [
            _MetaInfoClassMember('lspid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID
                ''',
                'lspid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source IPv4 address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'midpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId',
            False, 
            [
            _MetaInfoClassMember('head', REFERENCE_CLASS, 'Head' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Head', 
                [], [], 
                '''                head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('midpoint', REFERENCE_CLASS, 'Midpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Midpoint', 
                [], [], 
                '''                midpoint
                ''',
                'midpoint',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MgmtLsdLspRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLspRoleEnum', 
                [], [], 
                '''                Role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'frr-entry-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.OutPath' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.OutPath',
            False, 
            [
            _MetaInfoClassMember('frr-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                FRR interface
                ''',
                'frr_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('frr-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR output label
                ''',
                'frr_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop IPv4 address
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'out-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('entry-frr-state', REFERENCE_ENUM_CLASS, 'MgmtLsdFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFrrStateEnum', 
                [], [], 
                '''                MPLS FRR entry state
                ''',
                'entry_frr_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('frr-entry-id', REFERENCE_CLASS, 'FrrEntryId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId', 
                [], [], 
                '''                FRR entry ID
                ''',
                'frr_entry_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('input-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input label
                ''',
                'input_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-path', REFERENCE_LIST, 'OutPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.OutPath', 
                [], [], 
                '''                Out Path List
                ''',
                'out_path',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-head',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads',
            False, 
            [
            _MetaInfoClassMember('tunnel-head', REFERENCE_LIST, 'TunnelHead' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead', 
                [], [], 
                '''                Data for FRR database entry - Tunnel head
                ''',
                'tunnel_head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-heads',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeadSummary' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeadSummary',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Active state
                ''',
                'active',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('igp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in IGP state for SR-TE
                ''',
                'igp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('partial', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Partial state
                ''',
                'partial',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Ready state
                ''',
                'ready',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-head-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.SummaryProtectedInterfaces.SummaryProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.SummaryProtectedInterfaces.SummaryProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Active state
                ''',
                'active',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('igp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in IGP state for SR-TE
                ''',
                'igp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('partial', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Partial state
                ''',
                'partial',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Ready state
                ''',
                'ready',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'summary-protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.SummaryProtectedInterfaces' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.SummaryProtectedInterfaces',
            False, 
            [
            _MetaInfoClassMember('summary-protected-interface', REFERENCE_LIST, 'SummaryProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.SummaryProtectedInterfaces.SummaryProtectedInterface', 
                [], [], 
                '''                Data for MPLS interface
                ''',
                'summary_protected_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'summary-protected-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelSummary' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelSummary',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Active state
                ''',
                'active',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('igp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in IGP state for SR-TE
                ''',
                'igp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('partial', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Partial state
                ''',
                'partial',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Ready state
                ''',
                'ready',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpointSummary' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpointSummary',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Active state
                ''',
                'active',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('igp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in IGP state for SR-TE
                ''',
                'igp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('partial', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Partial state
                ''',
                'partial',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Ready state
                ''',
                'ready',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-midpoint-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.FrrDatabase' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.FrrDatabase',
            False, 
            [
            _MetaInfoClassMember('summary-protected-interfaces', REFERENCE_CLASS, 'SummaryProtectedInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.SummaryProtectedInterfaces', 
                [], [], 
                '''                Sumary table of Protected Interfaces
                ''',
                'summary_protected_interfaces',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-head-summary', REFERENCE_CLASS, 'TunnelHeadSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeadSummary', 
                [], [], 
                '''                Summary data for FRR database entry - Tunnel
                head
                ''',
                'tunnel_head_summary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-heads', REFERENCE_CLASS, 'TunnelHeads' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads', 
                [], [], 
                '''                Table of FRR database entries - Tunnel heads
                ''',
                'tunnel_heads',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-midpoint-summary', REFERENCE_CLASS, 'TunnelMidpointSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpointSummary', 
                [], [], 
                '''                Summary data for FRR database entry - Tunnel
                midpoint
                ''',
                'tunnel_midpoint_summary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-midpoints', REFERENCE_CLASS, 'TunnelMidpoints' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints', 
                [], [], 
                '''                Table of FRR database entries - Tunnel
                midpoints
                ''',
                'tunnel_midpoints',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-summary', REFERENCE_CLASS, 'TunnelSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelSummary', 
                [], [], 
                '''                Summary data for FRR database entry
                ''',
                'tunnel_summary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'frr-database',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi-key',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IPv4 prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('is-srte', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is this an SRTE head tunnel
                ''',
                'is_srte',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel destination
                ''',
                'tunnel_dest',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended tunnel ID
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.VrfL3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.VrfL3VpnData',
            False, 
            [
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'vrf-l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pseudo-wire ID
                ''',
                'pseudowire_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('remote-l2-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote L2 Router ID
                ''',
                'remote_l2_router_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('subinterface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Subinterface
                ''',
                'subinterface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockData',
            False, 
            [
            _MetaInfoClassMember('edge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Edge ID
                ''',
                'edge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('service', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service
                ''',
                'service',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VPN ID
                ''',
                'vpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.IpSubData',
            False, 
            [
            _MetaInfoClassMember('parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent interface
                ''',
                'parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Id
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4P2MpData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4P2MpData',
            False, 
            [
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point to multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('previous-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID extension
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4p2mp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.MldPv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.MldPv4Data',
            False, 
            [
            _MetaInfoClassMember('lsm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSM ID
                ''',
                'lsm_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-label-space-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peer Label Space Id
                ''',
                'peer_label_space_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-lsrid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer LSR Id
                ''',
                'peer_lsrid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSM ID Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mld-pv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('pwhe-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TpData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TpData',
            False, 
            [
            _MetaInfoClassMember('dest-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP destination global ID
                ''',
                'dest_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP destination node ID
                ''',
                'dest_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP destination tunnel ID
                ''',
                'dest_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP source tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('gre-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation interface
                ''',
                'gre_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('greipv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation IPv6 interface
                ''',
                'greipv6_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.EvpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.EvpnData',
            False, 
            [
            _MetaInfoClassMember('ethernet-segment', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Ethernet Segment ID
                ''',
                'ethernet_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN ID
                ''',
                'evpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN TAG
                ''',
                'evpn_tag',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'evpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMiPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMiPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-mi-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMsPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMsPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('hli', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Head LSM-ID
                ''',
                'hli',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('seg', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Segmented Multicast
                ''',
                'seg',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originating Router
                ''',
                'source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-ms-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn',
            False, 
            [
            _MetaInfoClassMember('next-hop-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next Hop Set ID
                ''',
                'next_hop_set_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'next-hop-set-l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrPrefixSegment' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrPrefixSegment',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix Segment ID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-prefix-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv4 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv6 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData',
            False, 
            [
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('start-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start Label
                ''',
                'start_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-srgb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TeBinding' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TeBinding',
            False, 
            [
            _MetaInfoClassMember('te-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Traffic Engineering Tunnel or Group ID
                ''',
                'te_identifier',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-type', REFERENCE_ENUM_CLASS, 'MgmtLsdTeBindingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdTeBindingEnum', 
                [], [], 
                '''                Type of identifier for the binding
                ''',
                'te_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-binding',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext',
            False, 
            [
            _MetaInfoClassMember('cev4l3vpn-data', REFERENCE_CLASS, 'Cev4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData', 
                [], [], 
                '''                L3VPN CEv4 label context
                ''',
                'cev4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cev6l3vpn-data', REFERENCE_CLASS, 'Cev6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData', 
                [], [], 
                '''                L3VPN CEv6 label context
                ''',
                'cev6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-data', REFERENCE_CLASS, 'EvpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.EvpnData', 
                [], [], 
                '''                EVPN context
                ''',
                'evpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('generic-routing-encapsulation', REFERENCE_CLASS, 'GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.IpSubData', 
                [], [], 
                '''                IP Subscriber context
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4Data', 
                [], [], 
                '''                IPv4 label context
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4blb-data', REFERENCE_CLASS, 'Ipv4BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv4blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4l3vpn-data', REFERENCE_CLASS, 'Ipv4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData', 
                [], [], 
                '''                L3VPN IPv4 label context
                ''',
                'ipv4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6Data', 
                [], [], 
                '''                IPv6 label context
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-generic-routing-encapsulation', REFERENCE_CLASS, 'Ipv6GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'ipv6_generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6blb-data', REFERENCE_CLASS, 'Ipv6BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv6blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6l3vpn-data', REFERENCE_CLASS, 'Ipv6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData', 
                [], [], 
                '''                L3VPN IPv6 label context
                ''',
                'ipv6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-data', REFERENCE_CLASS, 'LabelBlockData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockData', 
                [], [], 
                '''                Label block context
                ''',
                'label_block_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-srgb-data', REFERENCE_CLASS, 'LabelBlockSrgbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData', 
                [], [], 
                '''                Label block SRGB context
                ''',
                'label_block_srgb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-type', REFERENCE_ENUM_CLASS, 'MgmtLsdLblCtxEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLblCtxEnum', 
                [], [], 
                '''                LabelContextType
                ''',
                'label_context_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mld-pv4-data', REFERENCE_CLASS, 'MldPv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.MldPv4Data', 
                [], [], 
                '''                MLDPv4 LSM-ID context
                ''',
                'mld_pv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-set-l3vpn', REFERENCE_CLASS, 'NextHopSetL3Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn', 
                [], [], 
                '''                L3VPN NH SET label context
                ''',
                'next_hop_set_l3vpn',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-mi-pmsi-data', REFERENCE_CLASS, 'PiMiPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMiPmsiData', 
                [], [], 
                '''                PIM I-PMSI label conext
                ''',
                'pi_mi_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-ms-pmsi-data', REFERENCE_CLASS, 'PiMsPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMsPmsiData', 
                [], [], 
                '''                PIM S-PMSI label conext
                ''',
                'pi_ms_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireData', 
                [], [], 
                '''                Pseudowire label context
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData', 
                [], [], 
                '''                Pseudowire Head-end label context
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv4', REFERENCE_CLASS, 'SrAdjSegmentIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4', 
                [], [], 
                '''                SR Adj Segment ipv4 context
                ''',
                'sr_adj_segment_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv6', REFERENCE_CLASS, 'SrAdjSegmentIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6', 
                [], [], 
                '''                SR Adj Segment ipv6 context
                ''',
                'sr_adj_segment_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-prefix-segment', REFERENCE_CLASS, 'SrPrefixSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrPrefixSegment', 
                [], [], 
                '''                SR Prefix Segment context
                ''',
                'sr_prefix_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-binding', REFERENCE_CLASS, 'TeBinding' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TeBinding', 
                [], [], 
                '''                MPLS TE tunnel binding context
                ''',
                'te_binding',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4Data', 
                [], [], 
                '''                TEv4 label context
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4p2mp-data', REFERENCE_CLASS, 'Tev4P2MpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4P2MpData', 
                [], [], 
                '''                TEv4 P2MP context
                ''',
                'tev4p2mp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tp-data', REFERENCE_CLASS, 'TpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TpData', 
                [], [], 
                '''                TP context
                ''',
                'tp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-l3vpn-data', REFERENCE_CLASS, 'VrfL3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.VrfL3VpnData', 
                [], [], 
                '''                L3VPN VRF label context
                ''',
                'vrf_l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-context',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LocalLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LocalLabelRewrite',
            False, 
            [
            _MetaInfoClassMember('label-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'local-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_',
            False, 
            [
            _MetaInfoClassMember('label-context', REFERENCE_CLASS, 'LabelContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext', 
                [], [], 
                '''                Label context
                ''',
                'label_context',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label-rewrite', REFERENCE_CLASS, 'LocalLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LocalLabelRewrite', 
                [], [], 
                '''                Local label rewrite information
                ''',
                'local_label_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id-type', REFERENCE_ENUM_CLASS, 'MgmtLsdRwIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdRwIdEnum', 
                [], [], 
                '''                RewriteIDType
                ''',
                'rewrite_id_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId',
            False, 
            [
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'associated-fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.V4Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.V4Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                V4 RPF Neighbor
                ''',
                'v4_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v4-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.V6Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.V6Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 RPF Neighbor
                ''',
                'v6_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v6-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.ApplicationResource' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.ApplicationResource',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-resource',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv4',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupTp' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupTp',
            False, 
            [
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-tp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv6',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup IPv4 nexthop
                ''',
                'backup_ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup local label
                ''',
                'backup_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('data-out-parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing data parent interface
                ''',
                'data_out_parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge point label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel class
                ''',
                'tunnel_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel weight
                ''',
                'tunnel_weight',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bridge ID
                ''',
                'bridge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross-connect ID
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseuodo-wire-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PseudoWire Cross-connect ID
                ''',
                'pseuodo_wire_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('split-horizon-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Split horizon group ID
                ''',
                'split_horizon_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.IpSubData',
            False, 
            [
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('control-word', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is control word present
                ''',
                'control_word',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('imposition', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is PWHE IMposition
                ''',
                'imposition',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudo-wire List Identifier
                ''',
                'pw_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pwhe-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Virtual Circuit Type
                ''',
                'vctype',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PwListData',
            False, 
            [
            _MetaInfoClassMember('l2-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 2 interface
                ''',
                'l2_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('l3-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 3 interface
                ''',
                'l3_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=10),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('owner-application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Owner application type
                ''',
                'owner_application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.TeHeadData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.TeHeadData',
            False, 
            [
            _MetaInfoClassMember('flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Flags decoded string
                ''',
                'flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Tunnel forwarding class
                ''',
                'tunnel_fwd_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Load metric
                ''',
                'tunnel_load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel local label
                ''',
                'tunnel_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel local label stringified
                ''',
                'tunnel_local_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-head-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.DmtcData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.DmtcData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi',
            False, 
            [
            _MetaInfoClassMember('dmtc-data', REFERENCE_CLASS, 'DmtcData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.DmtcData', 
                [], [], 
                '''                dmtc data
                ''',
                'dmtc_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.IpSubData', 
                [], [], 
                '''                ip sub data
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdMoiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdMoiEnum', 
                [], [], 
                '''                MoiType
                ''',
                'moi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv4', REFERENCE_CLASS, 'PopAndLookupIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv4', 
                [], [], 
                '''                pop and lookup ipv4
                ''',
                'pop_and_lookup_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv6', REFERENCE_CLASS, 'PopAndLookupIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv6', 
                [], [], 
                '''                pop and lookup ipv6
                ''',
                'pop_and_lookup_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-tp', REFERENCE_CLASS, 'PopAndLookupTp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupTp', 
                [], [], 
                '''                pop and lookup tp
                ''',
                'pop_and_lookup_tp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireData', 
                [], [], 
                '''                pseudowire data
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireHeadEndData', 
                [], [], 
                '''                pseudowire head end data
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv4-data', REFERENCE_CLASS, 'Stackv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data', 
                [], [], 
                '''                stackv4 data
                ''',
                'stackv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv6-data', REFERENCE_CLASS, 'Stackv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data', 
                [], [], 
                '''                stackv6 data
                ''',
                'stackv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-head-data', REFERENCE_CLASS, 'TeHeadData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.TeHeadData', 
                [], [], 
                '''                te head data
                ''',
                'te_head_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Tev4Data', 
                [], [], 
                '''                tev4 data
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray',
            False, 
            [
            _MetaInfoClassMember('moi', REFERENCE_CLASS, 'Moi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi', 
                [], [], 
                '''                Moi
                ''',
                'moi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois',
            False, 
            [
            _MetaInfoClassMember('application-resource', REFERENCE_CLASS, 'ApplicationResource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.ApplicationResource', 
                [], [], 
                '''                Application state
                ''',
                'application_resource',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-array', REFERENCE_LIST, 'MoiArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray', 
                [], [], 
                '''                moi array
                ''',
                'moi_array',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mois',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw',
            False, 
            [
            _MetaInfoClassMember('pw-list-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PW List ID
                ''',
                'pw_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('associated-fpi', REFERENCE_LIST, 'AssociatedFpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi', 
                [], [], 
                '''                Associated FPI
                ''',
                'associated_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('bcdl-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BCDL Priority
                ''',
                'bcdl_priority',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-key', REFERENCE_CLASS, 'FpiKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey', 
                [], [], 
                '''                fpi key
                ''',
                'fpi_key',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsd-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSD queue
                ''',
                'lsd_queue',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mois', REFERENCE_LIST, 'Mois' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois', 
                [], [], 
                '''                Mois
                ''',
                'mois',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('priority-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite's BCDL priority updated
                ''',
                'priority_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite version
                ''',
                'rewrite_version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install age
                ''',
                'rw_install_age',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install timestamp
                ''',
                'rw_install_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite ever updated
                ''',
                'rw_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf', REFERENCE_LIST, 'V4Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.V4Rpf', 
                [], [], 
                '''                IPv4 RPF neighbors
                ''',
                'v4_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf', REFERENCE_LIST, 'V6Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.V6Rpf', 
                [], [], 
                '''                IPv6 RPF neighbors
                ''',
                'v6_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-pw',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws',
            False, 
            [
            _MetaInfoClassMember('rewrite-pw', REFERENCE_LIST, 'RewritePw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw', 
                [], [], 
                '''                FPI rewrite for PW List
                ''',
                'rewrite_pw',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-pws',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi-key',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IPv4 prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('is-srte', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is this an SRTE head tunnel
                ''',
                'is_srte',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel destination
                ''',
                'tunnel_dest',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended tunnel ID
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.VrfL3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.VrfL3VpnData',
            False, 
            [
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'vrf-l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pseudo-wire ID
                ''',
                'pseudowire_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('remote-l2-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote L2 Router ID
                ''',
                'remote_l2_router_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('subinterface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Subinterface
                ''',
                'subinterface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockData',
            False, 
            [
            _MetaInfoClassMember('edge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Edge ID
                ''',
                'edge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('service', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service
                ''',
                'service',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VPN ID
                ''',
                'vpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.IpSubData',
            False, 
            [
            _MetaInfoClassMember('parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent interface
                ''',
                'parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Id
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4P2MpData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4P2MpData',
            False, 
            [
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point to multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('previous-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID extension
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4p2mp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.MldPv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.MldPv4Data',
            False, 
            [
            _MetaInfoClassMember('lsm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSM ID
                ''',
                'lsm_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-label-space-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peer Label Space Id
                ''',
                'peer_label_space_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-lsrid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer LSR Id
                ''',
                'peer_lsrid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSM ID Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mld-pv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('pwhe-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TpData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TpData',
            False, 
            [
            _MetaInfoClassMember('dest-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP destination global ID
                ''',
                'dest_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP destination node ID
                ''',
                'dest_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP destination tunnel ID
                ''',
                'dest_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP source tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('gre-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation interface
                ''',
                'gre_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('greipv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation IPv6 interface
                ''',
                'greipv6_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.EvpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.EvpnData',
            False, 
            [
            _MetaInfoClassMember('ethernet-segment', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Ethernet Segment ID
                ''',
                'ethernet_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN ID
                ''',
                'evpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN TAG
                ''',
                'evpn_tag',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'evpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMiPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMiPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-mi-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMsPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMsPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('hli', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Head LSM-ID
                ''',
                'hli',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('seg', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Segmented Multicast
                ''',
                'seg',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originating Router
                ''',
                'source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-ms-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn',
            False, 
            [
            _MetaInfoClassMember('next-hop-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next Hop Set ID
                ''',
                'next_hop_set_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'next-hop-set-l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrPrefixSegment' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrPrefixSegment',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix Segment ID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-prefix-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv4 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv6 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData',
            False, 
            [
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('start-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start Label
                ''',
                'start_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-srgb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TeBinding' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TeBinding',
            False, 
            [
            _MetaInfoClassMember('te-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Traffic Engineering Tunnel or Group ID
                ''',
                'te_identifier',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-type', REFERENCE_ENUM_CLASS, 'MgmtLsdTeBindingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdTeBindingEnum', 
                [], [], 
                '''                Type of identifier for the binding
                ''',
                'te_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-binding',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext',
            False, 
            [
            _MetaInfoClassMember('cev4l3vpn-data', REFERENCE_CLASS, 'Cev4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData', 
                [], [], 
                '''                L3VPN CEv4 label context
                ''',
                'cev4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cev6l3vpn-data', REFERENCE_CLASS, 'Cev6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData', 
                [], [], 
                '''                L3VPN CEv6 label context
                ''',
                'cev6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-data', REFERENCE_CLASS, 'EvpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.EvpnData', 
                [], [], 
                '''                EVPN context
                ''',
                'evpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('generic-routing-encapsulation', REFERENCE_CLASS, 'GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.IpSubData', 
                [], [], 
                '''                IP Subscriber context
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4Data', 
                [], [], 
                '''                IPv4 label context
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4blb-data', REFERENCE_CLASS, 'Ipv4BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv4blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4l3vpn-data', REFERENCE_CLASS, 'Ipv4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData', 
                [], [], 
                '''                L3VPN IPv4 label context
                ''',
                'ipv4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6Data', 
                [], [], 
                '''                IPv6 label context
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-generic-routing-encapsulation', REFERENCE_CLASS, 'Ipv6GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'ipv6_generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6blb-data', REFERENCE_CLASS, 'Ipv6BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv6blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6l3vpn-data', REFERENCE_CLASS, 'Ipv6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData', 
                [], [], 
                '''                L3VPN IPv6 label context
                ''',
                'ipv6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-data', REFERENCE_CLASS, 'LabelBlockData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockData', 
                [], [], 
                '''                Label block context
                ''',
                'label_block_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-srgb-data', REFERENCE_CLASS, 'LabelBlockSrgbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData', 
                [], [], 
                '''                Label block SRGB context
                ''',
                'label_block_srgb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-type', REFERENCE_ENUM_CLASS, 'MgmtLsdLblCtxEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLblCtxEnum', 
                [], [], 
                '''                LabelContextType
                ''',
                'label_context_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mld-pv4-data', REFERENCE_CLASS, 'MldPv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.MldPv4Data', 
                [], [], 
                '''                MLDPv4 LSM-ID context
                ''',
                'mld_pv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-set-l3vpn', REFERENCE_CLASS, 'NextHopSetL3Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn', 
                [], [], 
                '''                L3VPN NH SET label context
                ''',
                'next_hop_set_l3vpn',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-mi-pmsi-data', REFERENCE_CLASS, 'PiMiPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMiPmsiData', 
                [], [], 
                '''                PIM I-PMSI label conext
                ''',
                'pi_mi_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-ms-pmsi-data', REFERENCE_CLASS, 'PiMsPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMsPmsiData', 
                [], [], 
                '''                PIM S-PMSI label conext
                ''',
                'pi_ms_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireData', 
                [], [], 
                '''                Pseudowire label context
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData', 
                [], [], 
                '''                Pseudowire Head-end label context
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv4', REFERENCE_CLASS, 'SrAdjSegmentIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4', 
                [], [], 
                '''                SR Adj Segment ipv4 context
                ''',
                'sr_adj_segment_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv6', REFERENCE_CLASS, 'SrAdjSegmentIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6', 
                [], [], 
                '''                SR Adj Segment ipv6 context
                ''',
                'sr_adj_segment_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-prefix-segment', REFERENCE_CLASS, 'SrPrefixSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrPrefixSegment', 
                [], [], 
                '''                SR Prefix Segment context
                ''',
                'sr_prefix_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-binding', REFERENCE_CLASS, 'TeBinding' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TeBinding', 
                [], [], 
                '''                MPLS TE tunnel binding context
                ''',
                'te_binding',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4Data', 
                [], [], 
                '''                TEv4 label context
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4p2mp-data', REFERENCE_CLASS, 'Tev4P2MpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4P2MpData', 
                [], [], 
                '''                TEv4 P2MP context
                ''',
                'tev4p2mp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tp-data', REFERENCE_CLASS, 'TpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TpData', 
                [], [], 
                '''                TP context
                ''',
                'tp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-l3vpn-data', REFERENCE_CLASS, 'VrfL3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.VrfL3VpnData', 
                [], [], 
                '''                L3VPN VRF label context
                ''',
                'vrf_l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-context',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LocalLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LocalLabelRewrite',
            False, 
            [
            _MetaInfoClassMember('label-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'local-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_',
            False, 
            [
            _MetaInfoClassMember('label-context', REFERENCE_CLASS, 'LabelContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext', 
                [], [], 
                '''                Label context
                ''',
                'label_context',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label-rewrite', REFERENCE_CLASS, 'LocalLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LocalLabelRewrite', 
                [], [], 
                '''                Local label rewrite information
                ''',
                'local_label_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id-type', REFERENCE_ENUM_CLASS, 'MgmtLsdRwIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdRwIdEnum', 
                [], [], 
                '''                RewriteIDType
                ''',
                'rewrite_id_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId',
            False, 
            [
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'associated-fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.V4Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.V4Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                V4 RPF Neighbor
                ''',
                'v4_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v4-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.V6Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.V6Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 RPF Neighbor
                ''',
                'v6_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v6-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.ApplicationResource' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.ApplicationResource',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-resource',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv4',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupTp' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupTp',
            False, 
            [
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-tp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv6',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup IPv4 nexthop
                ''',
                'backup_ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup local label
                ''',
                'backup_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('data-out-parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing data parent interface
                ''',
                'data_out_parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge point label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel class
                ''',
                'tunnel_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel weight
                ''',
                'tunnel_weight',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bridge ID
                ''',
                'bridge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross-connect ID
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseuodo-wire-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PseudoWire Cross-connect ID
                ''',
                'pseuodo_wire_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('split-horizon-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Split horizon group ID
                ''',
                'split_horizon_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.IpSubData',
            False, 
            [
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('control-word', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is control word present
                ''',
                'control_word',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('imposition', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is PWHE IMposition
                ''',
                'imposition',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudo-wire List Identifier
                ''',
                'pw_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pwhe-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Virtual Circuit Type
                ''',
                'vctype',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PwListData',
            False, 
            [
            _MetaInfoClassMember('l2-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 2 interface
                ''',
                'l2_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('l3-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 3 interface
                ''',
                'l3_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=10),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('owner-application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Owner application type
                ''',
                'owner_application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.TeHeadData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.TeHeadData',
            False, 
            [
            _MetaInfoClassMember('flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Flags decoded string
                ''',
                'flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Tunnel forwarding class
                ''',
                'tunnel_fwd_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Load metric
                ''',
                'tunnel_load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel local label
                ''',
                'tunnel_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel local label stringified
                ''',
                'tunnel_local_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-head-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.DmtcData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.DmtcData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi',
            False, 
            [
            _MetaInfoClassMember('dmtc-data', REFERENCE_CLASS, 'DmtcData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.DmtcData', 
                [], [], 
                '''                dmtc data
                ''',
                'dmtc_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.IpSubData', 
                [], [], 
                '''                ip sub data
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdMoiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdMoiEnum', 
                [], [], 
                '''                MoiType
                ''',
                'moi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv4', REFERENCE_CLASS, 'PopAndLookupIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv4', 
                [], [], 
                '''                pop and lookup ipv4
                ''',
                'pop_and_lookup_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv6', REFERENCE_CLASS, 'PopAndLookupIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv6', 
                [], [], 
                '''                pop and lookup ipv6
                ''',
                'pop_and_lookup_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-tp', REFERENCE_CLASS, 'PopAndLookupTp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupTp', 
                [], [], 
                '''                pop and lookup tp
                ''',
                'pop_and_lookup_tp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireData', 
                [], [], 
                '''                pseudowire data
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireHeadEndData', 
                [], [], 
                '''                pseudowire head end data
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv4-data', REFERENCE_CLASS, 'Stackv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data', 
                [], [], 
                '''                stackv4 data
                ''',
                'stackv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv6-data', REFERENCE_CLASS, 'Stackv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data', 
                [], [], 
                '''                stackv6 data
                ''',
                'stackv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-head-data', REFERENCE_CLASS, 'TeHeadData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.TeHeadData', 
                [], [], 
                '''                te head data
                ''',
                'te_head_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Tev4Data', 
                [], [], 
                '''                tev4 data
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray',
            False, 
            [
            _MetaInfoClassMember('moi', REFERENCE_CLASS, 'Moi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi', 
                [], [], 
                '''                Moi
                ''',
                'moi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois',
            False, 
            [
            _MetaInfoClassMember('application-resource', REFERENCE_CLASS, 'ApplicationResource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.ApplicationResource', 
                [], [], 
                '''                Application state
                ''',
                'application_resource',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-array', REFERENCE_LIST, 'MoiArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray', 
                [], [], 
                '''                moi array
                ''',
                'moi_array',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mois',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4',
            False, 
            [
            _MetaInfoClassMember('associated-fpi', REFERENCE_LIST, 'AssociatedFpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi', 
                [], [], 
                '''                Associated FPI
                ''',
                'associated_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('bcdl-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BCDL Priority
                ''',
                'bcdl_priority',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-key', REFERENCE_CLASS, 'FpiKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey', 
                [], [], 
                '''                fpi key
                ''',
                'fpi_key',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsd-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSD queue
                ''',
                'lsd_queue',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mois', REFERENCE_LIST, 'Mois' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois', 
                [], [], 
                '''                Mois
                ''',
                'mois',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('priority-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite's BCDL priority updated
                ''',
                'priority_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite version
                ''',
                'rewrite_version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rsi-table-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{1,8}'], 
                '''                RSI table ID
                ''',
                'rsi_table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rsi-table-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                RSI table name
                ''',
                'rsi_table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install age
                ''',
                'rw_install_age',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install timestamp
                ''',
                'rw_install_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite ever updated
                ''',
                'rw_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf', REFERENCE_LIST, 'V4Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.V4Rpf', 
                [], [], 
                '''                IPv4 RPF neighbors
                ''',
                'v4_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf', REFERENCE_LIST, 'V6Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.V6Rpf', 
                [], [], 
                '''                IPv6 RPF neighbors
                ''',
                'v6_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S',
            False, 
            [
            _MetaInfoClassMember('rewrite-ipv4', REFERENCE_LIST, 'RewriteIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4', 
                [], [], 
                '''                FPI rewrite for label
                ''',
                'rewrite_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-ipv4s',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi-key',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IPv4 prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('is-srte', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is this an SRTE head tunnel
                ''',
                'is_srte',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel destination
                ''',
                'tunnel_dest',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended tunnel ID
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.VrfL3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.VrfL3VpnData',
            False, 
            [
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'vrf-l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pseudo-wire ID
                ''',
                'pseudowire_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('remote-l2-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote L2 Router ID
                ''',
                'remote_l2_router_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('subinterface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Subinterface
                ''',
                'subinterface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockData',
            False, 
            [
            _MetaInfoClassMember('edge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Edge ID
                ''',
                'edge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('service', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service
                ''',
                'service',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VPN ID
                ''',
                'vpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.IpSubData',
            False, 
            [
            _MetaInfoClassMember('parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent interface
                ''',
                'parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Id
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4P2MpData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4P2MpData',
            False, 
            [
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point to multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('previous-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID extension
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4p2mp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.MldPv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.MldPv4Data',
            False, 
            [
            _MetaInfoClassMember('lsm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSM ID
                ''',
                'lsm_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-label-space-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peer Label Space Id
                ''',
                'peer_label_space_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-lsrid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer LSR Id
                ''',
                'peer_lsrid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSM ID Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mld-pv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('pwhe-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TpData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TpData',
            False, 
            [
            _MetaInfoClassMember('dest-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP destination global ID
                ''',
                'dest_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP destination node ID
                ''',
                'dest_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP destination tunnel ID
                ''',
                'dest_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP source tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('gre-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation interface
                ''',
                'gre_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('greipv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation IPv6 interface
                ''',
                'greipv6_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.EvpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.EvpnData',
            False, 
            [
            _MetaInfoClassMember('ethernet-segment', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Ethernet Segment ID
                ''',
                'ethernet_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN ID
                ''',
                'evpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN TAG
                ''',
                'evpn_tag',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'evpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMiPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMiPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-mi-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMsPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMsPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('hli', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Head LSM-ID
                ''',
                'hli',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('seg', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Segmented Multicast
                ''',
                'seg',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originating Router
                ''',
                'source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-ms-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn',
            False, 
            [
            _MetaInfoClassMember('next-hop-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next Hop Set ID
                ''',
                'next_hop_set_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'next-hop-set-l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrPrefixSegment' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrPrefixSegment',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix Segment ID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-prefix-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv4 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv6 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData',
            False, 
            [
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('start-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start Label
                ''',
                'start_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-srgb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TeBinding' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TeBinding',
            False, 
            [
            _MetaInfoClassMember('te-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Traffic Engineering Tunnel or Group ID
                ''',
                'te_identifier',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-type', REFERENCE_ENUM_CLASS, 'MgmtLsdTeBindingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdTeBindingEnum', 
                [], [], 
                '''                Type of identifier for the binding
                ''',
                'te_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-binding',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext',
            False, 
            [
            _MetaInfoClassMember('cev4l3vpn-data', REFERENCE_CLASS, 'Cev4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData', 
                [], [], 
                '''                L3VPN CEv4 label context
                ''',
                'cev4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cev6l3vpn-data', REFERENCE_CLASS, 'Cev6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData', 
                [], [], 
                '''                L3VPN CEv6 label context
                ''',
                'cev6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-data', REFERENCE_CLASS, 'EvpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.EvpnData', 
                [], [], 
                '''                EVPN context
                ''',
                'evpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('generic-routing-encapsulation', REFERENCE_CLASS, 'GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.IpSubData', 
                [], [], 
                '''                IP Subscriber context
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4Data', 
                [], [], 
                '''                IPv4 label context
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4blb-data', REFERENCE_CLASS, 'Ipv4BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv4blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4l3vpn-data', REFERENCE_CLASS, 'Ipv4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData', 
                [], [], 
                '''                L3VPN IPv4 label context
                ''',
                'ipv4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6Data', 
                [], [], 
                '''                IPv6 label context
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-generic-routing-encapsulation', REFERENCE_CLASS, 'Ipv6GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'ipv6_generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6blb-data', REFERENCE_CLASS, 'Ipv6BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv6blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6l3vpn-data', REFERENCE_CLASS, 'Ipv6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData', 
                [], [], 
                '''                L3VPN IPv6 label context
                ''',
                'ipv6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-data', REFERENCE_CLASS, 'LabelBlockData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockData', 
                [], [], 
                '''                Label block context
                ''',
                'label_block_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-srgb-data', REFERENCE_CLASS, 'LabelBlockSrgbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData', 
                [], [], 
                '''                Label block SRGB context
                ''',
                'label_block_srgb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-type', REFERENCE_ENUM_CLASS, 'MgmtLsdLblCtxEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLblCtxEnum', 
                [], [], 
                '''                LabelContextType
                ''',
                'label_context_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mld-pv4-data', REFERENCE_CLASS, 'MldPv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.MldPv4Data', 
                [], [], 
                '''                MLDPv4 LSM-ID context
                ''',
                'mld_pv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-set-l3vpn', REFERENCE_CLASS, 'NextHopSetL3Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn', 
                [], [], 
                '''                L3VPN NH SET label context
                ''',
                'next_hop_set_l3vpn',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-mi-pmsi-data', REFERENCE_CLASS, 'PiMiPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMiPmsiData', 
                [], [], 
                '''                PIM I-PMSI label conext
                ''',
                'pi_mi_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-ms-pmsi-data', REFERENCE_CLASS, 'PiMsPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMsPmsiData', 
                [], [], 
                '''                PIM S-PMSI label conext
                ''',
                'pi_ms_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireData', 
                [], [], 
                '''                Pseudowire label context
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData', 
                [], [], 
                '''                Pseudowire Head-end label context
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv4', REFERENCE_CLASS, 'SrAdjSegmentIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4', 
                [], [], 
                '''                SR Adj Segment ipv4 context
                ''',
                'sr_adj_segment_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv6', REFERENCE_CLASS, 'SrAdjSegmentIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6', 
                [], [], 
                '''                SR Adj Segment ipv6 context
                ''',
                'sr_adj_segment_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-prefix-segment', REFERENCE_CLASS, 'SrPrefixSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrPrefixSegment', 
                [], [], 
                '''                SR Prefix Segment context
                ''',
                'sr_prefix_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-binding', REFERENCE_CLASS, 'TeBinding' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TeBinding', 
                [], [], 
                '''                MPLS TE tunnel binding context
                ''',
                'te_binding',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4Data', 
                [], [], 
                '''                TEv4 label context
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4p2mp-data', REFERENCE_CLASS, 'Tev4P2MpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4P2MpData', 
                [], [], 
                '''                TEv4 P2MP context
                ''',
                'tev4p2mp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tp-data', REFERENCE_CLASS, 'TpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TpData', 
                [], [], 
                '''                TP context
                ''',
                'tp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-l3vpn-data', REFERENCE_CLASS, 'VrfL3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.VrfL3VpnData', 
                [], [], 
                '''                L3VPN VRF label context
                ''',
                'vrf_l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-context',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LocalLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LocalLabelRewrite',
            False, 
            [
            _MetaInfoClassMember('label-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'local-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_',
            False, 
            [
            _MetaInfoClassMember('label-context', REFERENCE_CLASS, 'LabelContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext', 
                [], [], 
                '''                Label context
                ''',
                'label_context',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label-rewrite', REFERENCE_CLASS, 'LocalLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LocalLabelRewrite', 
                [], [], 
                '''                Local label rewrite information
                ''',
                'local_label_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id-type', REFERENCE_ENUM_CLASS, 'MgmtLsdRwIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdRwIdEnum', 
                [], [], 
                '''                RewriteIDType
                ''',
                'rewrite_id_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId',
            False, 
            [
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'associated-fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.V4Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.V4Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                V4 RPF Neighbor
                ''',
                'v4_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v4-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.V6Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.V6Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 RPF Neighbor
                ''',
                'v6_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v6-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.ApplicationResource' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.ApplicationResource',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-resource',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv4',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupTp' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupTp',
            False, 
            [
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-tp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv6',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup IPv4 nexthop
                ''',
                'backup_ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup local label
                ''',
                'backup_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('data-out-parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing data parent interface
                ''',
                'data_out_parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge point label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel class
                ''',
                'tunnel_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel weight
                ''',
                'tunnel_weight',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bridge ID
                ''',
                'bridge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross-connect ID
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseuodo-wire-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PseudoWire Cross-connect ID
                ''',
                'pseuodo_wire_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('split-horizon-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Split horizon group ID
                ''',
                'split_horizon_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.IpSubData',
            False, 
            [
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('control-word', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is control word present
                ''',
                'control_word',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('imposition', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is PWHE IMposition
                ''',
                'imposition',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudo-wire List Identifier
                ''',
                'pw_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pwhe-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Virtual Circuit Type
                ''',
                'vctype',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PwListData',
            False, 
            [
            _MetaInfoClassMember('l2-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 2 interface
                ''',
                'l2_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('l3-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 3 interface
                ''',
                'l3_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=10),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('owner-application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Owner application type
                ''',
                'owner_application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.TeHeadData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.TeHeadData',
            False, 
            [
            _MetaInfoClassMember('flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Flags decoded string
                ''',
                'flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Tunnel forwarding class
                ''',
                'tunnel_fwd_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Load metric
                ''',
                'tunnel_load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel local label
                ''',
                'tunnel_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel local label stringified
                ''',
                'tunnel_local_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-head-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.DmtcData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.DmtcData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi',
            False, 
            [
            _MetaInfoClassMember('dmtc-data', REFERENCE_CLASS, 'DmtcData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.DmtcData', 
                [], [], 
                '''                dmtc data
                ''',
                'dmtc_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.IpSubData', 
                [], [], 
                '''                ip sub data
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdMoiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdMoiEnum', 
                [], [], 
                '''                MoiType
                ''',
                'moi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv4', REFERENCE_CLASS, 'PopAndLookupIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv4', 
                [], [], 
                '''                pop and lookup ipv4
                ''',
                'pop_and_lookup_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv6', REFERENCE_CLASS, 'PopAndLookupIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv6', 
                [], [], 
                '''                pop and lookup ipv6
                ''',
                'pop_and_lookup_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-tp', REFERENCE_CLASS, 'PopAndLookupTp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupTp', 
                [], [], 
                '''                pop and lookup tp
                ''',
                'pop_and_lookup_tp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireData', 
                [], [], 
                '''                pseudowire data
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireHeadEndData', 
                [], [], 
                '''                pseudowire head end data
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv4-data', REFERENCE_CLASS, 'Stackv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data', 
                [], [], 
                '''                stackv4 data
                ''',
                'stackv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv6-data', REFERENCE_CLASS, 'Stackv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data', 
                [], [], 
                '''                stackv6 data
                ''',
                'stackv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-head-data', REFERENCE_CLASS, 'TeHeadData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.TeHeadData', 
                [], [], 
                '''                te head data
                ''',
                'te_head_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Tev4Data', 
                [], [], 
                '''                tev4 data
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray',
            False, 
            [
            _MetaInfoClassMember('moi', REFERENCE_CLASS, 'Moi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi', 
                [], [], 
                '''                Moi
                ''',
                'moi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois',
            False, 
            [
            _MetaInfoClassMember('application-resource', REFERENCE_CLASS, 'ApplicationResource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.ApplicationResource', 
                [], [], 
                '''                Application state
                ''',
                'application_resource',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-array', REFERENCE_LIST, 'MoiArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray', 
                [], [], 
                '''                moi array
                ''',
                'moi_array',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mois',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('associated-fpi', REFERENCE_LIST, 'AssociatedFpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi', 
                [], [], 
                '''                Associated FPI
                ''',
                'associated_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('bcdl-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BCDL Priority
                ''',
                'bcdl_priority',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-key', REFERENCE_CLASS, 'FpiKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey', 
                [], [], 
                '''                fpi key
                ''',
                'fpi_key',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsd-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSD queue
                ''',
                'lsd_queue',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mois', REFERENCE_LIST, 'Mois' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois', 
                [], [], 
                '''                Mois
                ''',
                'mois',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('priority-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite's BCDL priority updated
                ''',
                'priority_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite version
                ''',
                'rewrite_version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install age
                ''',
                'rw_install_age',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install timestamp
                ''',
                'rw_install_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite ever updated
                ''',
                'rw_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf', REFERENCE_LIST, 'V4Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.V4Rpf', 
                [], [], 
                '''                IPv4 RPF neighbors
                ''',
                'v4_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf', REFERENCE_LIST, 'V6Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.V6Rpf', 
                [], [], 
                '''                IPv6 RPF neighbors
                ''',
                'v6_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes',
            False, 
            [
            _MetaInfoClassMember('rewrite-te', REFERENCE_LIST, 'RewriteTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe', 
                [], [], 
                '''                FPI rewrite for TE
                ''',
                'rewrite_te',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-tes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi-key',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IPv4 prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('is-srte', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is this an SRTE head tunnel
                ''',
                'is_srte',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel destination
                ''',
                'tunnel_dest',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended tunnel ID
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.VrfL3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.VrfL3VpnData',
            False, 
            [
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'vrf-l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pseudo-wire ID
                ''',
                'pseudowire_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('remote-l2-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote L2 Router ID
                ''',
                'remote_l2_router_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('subinterface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Subinterface
                ''',
                'subinterface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockData',
            False, 
            [
            _MetaInfoClassMember('edge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Edge ID
                ''',
                'edge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('service', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service
                ''',
                'service',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VPN ID
                ''',
                'vpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.IpSubData',
            False, 
            [
            _MetaInfoClassMember('parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent interface
                ''',
                'parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Id
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4P2MpData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4P2MpData',
            False, 
            [
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point to multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('previous-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID extension
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4p2mp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.MldPv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.MldPv4Data',
            False, 
            [
            _MetaInfoClassMember('lsm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSM ID
                ''',
                'lsm_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-label-space-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peer Label Space Id
                ''',
                'peer_label_space_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-lsrid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer LSR Id
                ''',
                'peer_lsrid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSM ID Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mld-pv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('pwhe-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TpData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TpData',
            False, 
            [
            _MetaInfoClassMember('dest-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP destination global ID
                ''',
                'dest_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP destination node ID
                ''',
                'dest_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP destination tunnel ID
                ''',
                'dest_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP source tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('gre-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation interface
                ''',
                'gre_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('greipv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation IPv6 interface
                ''',
                'greipv6_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.EvpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.EvpnData',
            False, 
            [
            _MetaInfoClassMember('ethernet-segment', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Ethernet Segment ID
                ''',
                'ethernet_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN ID
                ''',
                'evpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN TAG
                ''',
                'evpn_tag',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'evpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMiPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMiPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-mi-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMsPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMsPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('hli', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Head LSM-ID
                ''',
                'hli',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('seg', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Segmented Multicast
                ''',
                'seg',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originating Router
                ''',
                'source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-ms-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn',
            False, 
            [
            _MetaInfoClassMember('next-hop-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next Hop Set ID
                ''',
                'next_hop_set_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'next-hop-set-l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrPrefixSegment' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrPrefixSegment',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix Segment ID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-prefix-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv4 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv6 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData',
            False, 
            [
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('start-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start Label
                ''',
                'start_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-srgb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TeBinding' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TeBinding',
            False, 
            [
            _MetaInfoClassMember('te-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Traffic Engineering Tunnel or Group ID
                ''',
                'te_identifier',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-type', REFERENCE_ENUM_CLASS, 'MgmtLsdTeBindingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdTeBindingEnum', 
                [], [], 
                '''                Type of identifier for the binding
                ''',
                'te_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-binding',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext',
            False, 
            [
            _MetaInfoClassMember('cev4l3vpn-data', REFERENCE_CLASS, 'Cev4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData', 
                [], [], 
                '''                L3VPN CEv4 label context
                ''',
                'cev4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cev6l3vpn-data', REFERENCE_CLASS, 'Cev6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData', 
                [], [], 
                '''                L3VPN CEv6 label context
                ''',
                'cev6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-data', REFERENCE_CLASS, 'EvpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.EvpnData', 
                [], [], 
                '''                EVPN context
                ''',
                'evpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('generic-routing-encapsulation', REFERENCE_CLASS, 'GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.IpSubData', 
                [], [], 
                '''                IP Subscriber context
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4Data', 
                [], [], 
                '''                IPv4 label context
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4blb-data', REFERENCE_CLASS, 'Ipv4BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv4blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4l3vpn-data', REFERENCE_CLASS, 'Ipv4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData', 
                [], [], 
                '''                L3VPN IPv4 label context
                ''',
                'ipv4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6Data', 
                [], [], 
                '''                IPv6 label context
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-generic-routing-encapsulation', REFERENCE_CLASS, 'Ipv6GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'ipv6_generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6blb-data', REFERENCE_CLASS, 'Ipv6BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv6blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6l3vpn-data', REFERENCE_CLASS, 'Ipv6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData', 
                [], [], 
                '''                L3VPN IPv6 label context
                ''',
                'ipv6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-data', REFERENCE_CLASS, 'LabelBlockData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockData', 
                [], [], 
                '''                Label block context
                ''',
                'label_block_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-srgb-data', REFERENCE_CLASS, 'LabelBlockSrgbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData', 
                [], [], 
                '''                Label block SRGB context
                ''',
                'label_block_srgb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-type', REFERENCE_ENUM_CLASS, 'MgmtLsdLblCtxEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLblCtxEnum', 
                [], [], 
                '''                LabelContextType
                ''',
                'label_context_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mld-pv4-data', REFERENCE_CLASS, 'MldPv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.MldPv4Data', 
                [], [], 
                '''                MLDPv4 LSM-ID context
                ''',
                'mld_pv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-set-l3vpn', REFERENCE_CLASS, 'NextHopSetL3Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn', 
                [], [], 
                '''                L3VPN NH SET label context
                ''',
                'next_hop_set_l3vpn',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-mi-pmsi-data', REFERENCE_CLASS, 'PiMiPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMiPmsiData', 
                [], [], 
                '''                PIM I-PMSI label conext
                ''',
                'pi_mi_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-ms-pmsi-data', REFERENCE_CLASS, 'PiMsPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMsPmsiData', 
                [], [], 
                '''                PIM S-PMSI label conext
                ''',
                'pi_ms_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireData', 
                [], [], 
                '''                Pseudowire label context
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData', 
                [], [], 
                '''                Pseudowire Head-end label context
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv4', REFERENCE_CLASS, 'SrAdjSegmentIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4', 
                [], [], 
                '''                SR Adj Segment ipv4 context
                ''',
                'sr_adj_segment_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv6', REFERENCE_CLASS, 'SrAdjSegmentIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6', 
                [], [], 
                '''                SR Adj Segment ipv6 context
                ''',
                'sr_adj_segment_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-prefix-segment', REFERENCE_CLASS, 'SrPrefixSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrPrefixSegment', 
                [], [], 
                '''                SR Prefix Segment context
                ''',
                'sr_prefix_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-binding', REFERENCE_CLASS, 'TeBinding' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TeBinding', 
                [], [], 
                '''                MPLS TE tunnel binding context
                ''',
                'te_binding',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4Data', 
                [], [], 
                '''                TEv4 label context
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4p2mp-data', REFERENCE_CLASS, 'Tev4P2MpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4P2MpData', 
                [], [], 
                '''                TEv4 P2MP context
                ''',
                'tev4p2mp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tp-data', REFERENCE_CLASS, 'TpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TpData', 
                [], [], 
                '''                TP context
                ''',
                'tp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-l3vpn-data', REFERENCE_CLASS, 'VrfL3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.VrfL3VpnData', 
                [], [], 
                '''                L3VPN VRF label context
                ''',
                'vrf_l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-context',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LocalLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LocalLabelRewrite',
            False, 
            [
            _MetaInfoClassMember('label-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'local-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_',
            False, 
            [
            _MetaInfoClassMember('label-context', REFERENCE_CLASS, 'LabelContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext', 
                [], [], 
                '''                Label context
                ''',
                'label_context',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label-rewrite', REFERENCE_CLASS, 'LocalLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LocalLabelRewrite', 
                [], [], 
                '''                Local label rewrite information
                ''',
                'local_label_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id-type', REFERENCE_ENUM_CLASS, 'MgmtLsdRwIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdRwIdEnum', 
                [], [], 
                '''                RewriteIDType
                ''',
                'rewrite_id_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId',
            False, 
            [
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'associated-fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.V4Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.V4Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                V4 RPF Neighbor
                ''',
                'v4_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v4-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.V6Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.V6Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 RPF Neighbor
                ''',
                'v6_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v6-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.ApplicationResource' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.ApplicationResource',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-resource',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv4',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupTp' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupTp',
            False, 
            [
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-tp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv6',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup IPv4 nexthop
                ''',
                'backup_ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup local label
                ''',
                'backup_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('data-out-parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing data parent interface
                ''',
                'data_out_parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge point label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel class
                ''',
                'tunnel_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel weight
                ''',
                'tunnel_weight',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bridge ID
                ''',
                'bridge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross-connect ID
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseuodo-wire-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PseudoWire Cross-connect ID
                ''',
                'pseuodo_wire_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('split-horizon-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Split horizon group ID
                ''',
                'split_horizon_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.IpSubData',
            False, 
            [
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('control-word', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is control word present
                ''',
                'control_word',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('imposition', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is PWHE IMposition
                ''',
                'imposition',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudo-wire List Identifier
                ''',
                'pw_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pwhe-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Virtual Circuit Type
                ''',
                'vctype',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PwListData',
            False, 
            [
            _MetaInfoClassMember('l2-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 2 interface
                ''',
                'l2_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('l3-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 3 interface
                ''',
                'l3_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=10),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('owner-application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Owner application type
                ''',
                'owner_application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.TeHeadData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.TeHeadData',
            False, 
            [
            _MetaInfoClassMember('flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Flags decoded string
                ''',
                'flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Tunnel forwarding class
                ''',
                'tunnel_fwd_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Load metric
                ''',
                'tunnel_load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel local label
                ''',
                'tunnel_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel local label stringified
                ''',
                'tunnel_local_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-head-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.DmtcData' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.DmtcData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi',
            False, 
            [
            _MetaInfoClassMember('dmtc-data', REFERENCE_CLASS, 'DmtcData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.DmtcData', 
                [], [], 
                '''                dmtc data
                ''',
                'dmtc_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.IpSubData', 
                [], [], 
                '''                ip sub data
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdMoiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdMoiEnum', 
                [], [], 
                '''                MoiType
                ''',
                'moi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv4', REFERENCE_CLASS, 'PopAndLookupIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv4', 
                [], [], 
                '''                pop and lookup ipv4
                ''',
                'pop_and_lookup_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv6', REFERENCE_CLASS, 'PopAndLookupIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv6', 
                [], [], 
                '''                pop and lookup ipv6
                ''',
                'pop_and_lookup_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-tp', REFERENCE_CLASS, 'PopAndLookupTp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupTp', 
                [], [], 
                '''                pop and lookup tp
                ''',
                'pop_and_lookup_tp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireData', 
                [], [], 
                '''                pseudowire data
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireHeadEndData', 
                [], [], 
                '''                pseudowire head end data
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv4-data', REFERENCE_CLASS, 'Stackv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data', 
                [], [], 
                '''                stackv4 data
                ''',
                'stackv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv6-data', REFERENCE_CLASS, 'Stackv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data', 
                [], [], 
                '''                stackv6 data
                ''',
                'stackv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-head-data', REFERENCE_CLASS, 'TeHeadData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.TeHeadData', 
                [], [], 
                '''                te head data
                ''',
                'te_head_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Tev4Data', 
                [], [], 
                '''                tev4 data
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray',
            False, 
            [
            _MetaInfoClassMember('moi', REFERENCE_CLASS, 'Moi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi', 
                [], [], 
                '''                Moi
                ''',
                'moi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois',
            False, 
            [
            _MetaInfoClassMember('application-resource', REFERENCE_CLASS, 'ApplicationResource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.ApplicationResource', 
                [], [], 
                '''                Application state
                ''',
                'application_resource',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-array', REFERENCE_LIST, 'MoiArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray', 
                [], [], 
                '''                moi array
                ''',
                'moi_array',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mois',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel',
            False, 
            [
            _MetaInfoClassMember('label-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Label value
                ''',
                'label_id',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('associated-fpi', REFERENCE_LIST, 'AssociatedFpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi', 
                [], [], 
                '''                Associated FPI
                ''',
                'associated_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('bcdl-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BCDL Priority
                ''',
                'bcdl_priority',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-key', REFERENCE_CLASS, 'FpiKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey', 
                [], [], 
                '''                fpi key
                ''',
                'fpi_key',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsd-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSD queue
                ''',
                'lsd_queue',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mois', REFERENCE_LIST, 'Mois' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois', 
                [], [], 
                '''                Mois
                ''',
                'mois',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('priority-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite's BCDL priority updated
                ''',
                'priority_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite version
                ''',
                'rewrite_version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install age
                ''',
                'rw_install_age',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install timestamp
                ''',
                'rw_install_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite ever updated
                ''',
                'rw_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf', REFERENCE_LIST, 'V4Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.V4Rpf', 
                [], [], 
                '''                IPv4 RPF neighbors
                ''',
                'v4_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf', REFERENCE_LIST, 'V6Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.V6Rpf', 
                [], [], 
                '''                IPv6 RPF neighbors
                ''',
                'v6_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels',
            False, 
            [
            _MetaInfoClassMember('rewrite-label', REFERENCE_LIST, 'RewriteLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel', 
                [], [], 
                '''                FPI rewrite for label
                ''',
                'rewrite_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Rewrite' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Rewrite',
            False, 
            [
            _MetaInfoClassMember('rewrite-ipv4s', REFERENCE_CLASS, 'RewriteIpv4S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S', 
                [], [], 
                '''                Table of Rewrites
                ''',
                'rewrite_ipv4s',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-labels', REFERENCE_CLASS, 'RewriteLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels', 
                [], [], 
                '''                Table of Rewrites
                ''',
                'rewrite_labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-pws', REFERENCE_CLASS, 'RewritePws' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws', 
                [], [], 
                '''                Table of Rewrites
                ''',
                'rewrite_pws',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-tes', REFERENCE_CLASS, 'RewriteTes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes', 
                [], [], 
                '''                Table of Traffic Engineering Rewrites
                ''',
                'rewrite_tes',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.RewriteSummary.Ipv4Paths' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.RewriteSummary.Ipv4Paths',
            False, 
            [
            _MetaInfoClassMember('total-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of non-primary backup paths
                ''',
                'total_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pop-lkup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pop-and-Lookup paths
                ''',
                'total_pop_lkup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-protected-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of protected paths
                ''',
                'total_protected_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-remote-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of remote backup paths
                ''',
                'total_remote_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.RewriteSummary.Ipv6Paths' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.RewriteSummary.Ipv6Paths',
            False, 
            [
            _MetaInfoClassMember('total-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of non-primary backup paths
                ''',
                'total_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pop-lkup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pop-and-Lookup paths
                ''',
                'total_pop_lkup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-protected-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of protected paths
                ''',
                'total_protected_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-remote-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of remote backup paths
                ''',
                'total_remote_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.RewriteSummary' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.RewriteSummary',
            False, 
            [
            _MetaInfoClassMember('ipv4-paths', REFERENCE_CLASS, 'Ipv4Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.RewriteSummary.Ipv4Paths', 
                [], [], 
                '''                Count for IPv4 paths
                ''',
                'ipv4_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-paths', REFERENCE_CLASS, 'Ipv6Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.RewriteSummary.Ipv6Paths', 
                [], [], 
                '''                Count for IPv6 paths
                ''',
                'ipv6_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-dmtctefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DMTC FPI
                ''',
                'num_dmtctefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-ipv4fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv4 FPI
                ''',
                'num_ipv4fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-ipv6fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv6 FPI
                ''',
                'num_ipv6fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-label-fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of label FPI
                ''',
                'num_label_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-pw-list-tefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PW List FPI
                ''',
                'num_pw_list_tefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rewrites
                ''',
                'num_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-rewrite-rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rewrites with RPF Neighbors
                ''',
                'num_rewrite_rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-tefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of TE FPI
                ''',
                'num_tefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-dmtc-intf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DMTC External Interfaces
                ''',
                'total_dmtc_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-forwad-update-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of forward update messages
                ''',
                'total_forwad_update_message',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-forward-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of forward updates
                ''',
                'total_forward_update',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ip-sub-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP Subscriber paths
                ''',
                'total_ip_sub_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ipv4rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IPv4 RPF Neighbors
                ''',
                'total_ipv4rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ipv6rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IPv6 RPF Neighbors
                ''',
                'total_ipv6rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pw-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pseudo-wire paths
                ''',
                'total_pw_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-t-ev4-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Traffic Eng IPv4 paths
                ''',
                'total_t_ev4_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-te-head-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Traffic Eng Head paths
                ''',
                'total_te_head_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name_xr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Applications.Application.ApplicationStatistics.Connected' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Applications.Application.ApplicationStatistics.Connected',
            False, 
            [
            _MetaInfoClassMember('error-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error count
                ''',
                'error_msg_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('oor-label-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label OOR count
                ''',
                'oor_label_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('operation-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Operation count
                ''',
                'operation_msg_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rt-set-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT set count
                ''',
                'rt_set_msg_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Applications.Application.ApplicationStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Applications.Application.ApplicationStatistics',
            False, 
            [
            _MetaInfoClassMember('connect-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Connect count
                ''',
                'connect_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Applications.Application.ApplicationStatistics.Connected', 
                [], [], 
                '''                Connected statistics
                ''',
                'connected',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('interface-enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interface enabled
                ''',
                'interface_enable',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('interface-enable-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interface enable pending
                ''',
                'interface_enable_pending',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-count', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label context count
                ''',
                'label_context_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=29),
            _MetaInfoClassMember('label-context-pending-count', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label context pending count
                ''',
                'label_context_pending_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=29),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Applications.Application' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Applications.Application',
            False, 
            [
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Application Instance name in the form of
                '<app_type_name>[:<instance>]'
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('app-disconnect-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                App disconnect ts
                ''',
                'app_disconnect_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('app-flow-controlled', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                App flow control status
                ''',
                'app_flow_controlled',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('app-reg-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                App reg ts
                ''',
                'app_reg_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                client-app instance
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name_xr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppStateEnum', 
                [], [], 
                '''                Application state
                ''',
                'application_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-statistics', REFERENCE_CLASS, 'ApplicationStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Applications.Application.ApplicationStatistics', 
                [], [], 
                '''                Application Statistics
                ''',
                'application_statistics',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('flow-ctrl-clr-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flow Ctrl Clr ts
                ''',
                'flow_ctrl_clr_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('flow-ctrl-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flow Ctrl ts
                ''',
                'flow_ctrl_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('go-act-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                App go active timestamp
                ''',
                'go_act_ts',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                Node ID where application is/was running
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('recovery-time-elapsed-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery time [secs] elapsed if client is timing
                out
                ''',
                'recovery_time_elapsed_seconds',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('recovery-time-register-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery time [secs] specified at registration
                or set explicitly
                ''',
                'recovery_time_register_seconds',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('recovery-time-remaining-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery time [secs] remaining if client is
                timing out
                ''',
                'recovery_time_remaining_seconds',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Applications' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Applications',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Applications.Application', 
                [], [], 
                '''                Data for MPLS application using LSD
                ''',
                'application',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'applications',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs.LabelSummaryVrf.OwnerCount' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs.LabelSummaryVrf.OwnerCount',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                client-app identifier
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('number-of-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'number_of_labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'owner-count',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs.LabelSummaryVrf' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs.LabelSummaryVrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('owner-count', REFERENCE_LIST, 'OwnerCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs.LabelSummaryVrf.OwnerCount', 
                [], [], 
                '''                Owner counts
                ''',
                'owner_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rsi-connected', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Rsi connected
                ''',
                'rsi_connected',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total labels
                ''',
                'total_labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name_xr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-summary-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs',
            False, 
            [
            _MetaInfoClassMember('label-summary-vrf', REFERENCE_LIST, 'LabelSummaryVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs.LabelSummaryVrf', 
                [], [], 
                '''                Dynamic label range summary by VRF
                ''',
                'label_summary_vrf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-summary-vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.LabelRange' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.LabelRange',
            False, 
            [
            _MetaInfoClassMember('max-dynamic-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum dynamic label value
                ''',
                'max_dynamic_label_value',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('max-static-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum static label value
                ''',
                'max_static_label_value',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('min-dynamic-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum dynamic label value
                ''',
                'min_dynamic_label_value',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('min-static-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum static label value
                ''',
                'min_static_label_value',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-range',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv4Paths' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv4Paths',
            False, 
            [
            _MetaInfoClassMember('total-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of non-primary backup paths
                ''',
                'total_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pop-lkup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pop-and-Lookup paths
                ''',
                'total_pop_lkup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-protected-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of protected paths
                ''',
                'total_protected_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-remote-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of remote backup paths
                ''',
                'total_remote_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv6Paths' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv6Paths',
            False, 
            [
            _MetaInfoClassMember('total-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of non-primary backup paths
                ''',
                'total_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pop-lkup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pop-and-Lookup paths
                ''',
                'total_pop_lkup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-protected-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of protected paths
                ''',
                'total_protected_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-remote-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of remote backup paths
                ''',
                'total_remote_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('ipv4-paths', REFERENCE_CLASS, 'Ipv4Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv4Paths', 
                [], [], 
                '''                Count for IPv4 paths
                ''',
                'ipv4_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-paths', REFERENCE_CLASS, 'Ipv6Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv6Paths', 
                [], [], 
                '''                Count for IPv6 paths
                ''',
                'ipv6_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-dmtctefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DMTC FPI
                ''',
                'num_dmtctefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-ipv4fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv4 FPI
                ''',
                'num_ipv4fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-ipv6fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv6 FPI
                ''',
                'num_ipv6fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-label-fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of label FPI
                ''',
                'num_label_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-pw-list-tefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PW List FPI
                ''',
                'num_pw_list_tefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rewrites
                ''',
                'num_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-rewrite-rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rewrites with RPF Neighbors
                ''',
                'num_rewrite_rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-tefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of TE FPI
                ''',
                'num_tefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-dmtc-intf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DMTC External Interfaces
                ''',
                'total_dmtc_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-forwad-update-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of forward update messages
                ''',
                'total_forwad_update_message',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-forward-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of forward updates
                ''',
                'total_forward_update',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ip-sub-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP Subscriber paths
                ''',
                'total_ip_sub_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ipv4rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IPv4 RPF Neighbors
                ''',
                'total_ipv4rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ipv6rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IPv6 RPF Neighbors
                ''',
                'total_ipv6rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pw-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pseudo-wire paths
                ''',
                'total_pw_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-t-ev4-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Traffic Eng IPv4 paths
                ''',
                'total_t_ev4_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-te-head-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Traffic Eng Head paths
                ''',
                'total_te_head_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name_xr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-summary-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs',
            False, 
            [
            _MetaInfoClassMember('rewrite-summary-vrf', REFERENCE_LIST, 'RewriteSummaryVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf', 
                [], [], 
                '''                Rewrite summary by VRF VRF-name
                ''',
                'rewrite_summary_vrf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-summary-vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Interfaces.Interface.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Interfaces.Interface.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Interfaces.Interface.ApplicationOwner', 
                [], [], 
                '''                Application Owner
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('interface-state', REFERENCE_ENUM_CLASS, 'MgmtLsdIntfStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdIntfStateEnum', 
                [], [], 
                '''                Interface state
                ''',
                'interface_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode.Interfaces' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Interfaces.Interface', 
                [], [], 
                '''                Data for MPLS interface
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes.MplsLsdNode' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes.MplsLsdNode',
            False, 
            [
            _MetaInfoClassMember('node-name', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                The identifier for the node
                ''',
                'node_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('applications', REFERENCE_CLASS, 'Applications' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Applications', 
                [], [], 
                '''                Table of MPLS applications using LSD
                ''',
                'applications',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('clients', REFERENCE_CLASS, 'Clients' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Clients', 
                [], [], 
                '''                Table of MPLS clients using LSD
                ''',
                'clients',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('frr-database', REFERENCE_CLASS, 'FrrDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.FrrDatabase', 
                [], [], 
                '''                FRR database
                ''',
                'frr_database',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Interfaces', 
                [], [], 
                '''                Table of MPLS interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-range', REFERENCE_CLASS, 'LabelRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.LabelRange', 
                [], [], 
                '''                Label range
                ''',
                'label_range',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-summary', REFERENCE_CLASS, 'LabelSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.LabelSummary', 
                [], [], 
                '''                Dynamic label range
                ''',
                'label_summary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-summary-vrfs', REFERENCE_CLASS, 'LabelSummaryVrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs', 
                [], [], 
                '''                Dynamic label range summary by VRF
                ''',
                'label_summary_vrfs',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Labels', 
                [], [], 
                '''                Table of labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.Rewrite', 
                [], [], 
                '''                Table of rewrites
                ''',
                'rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-summary', REFERENCE_CLASS, 'RewriteSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.RewriteSummary', 
                [], [], 
                '''                Rewrite Summary 
                ''',
                'rewrite_summary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-summary-vrfs', REFERENCE_CLASS, 'RewriteSummaryVrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs', 
                [], [], 
                '''                Rewrite Summary by VRF
                ''',
                'rewrite_summary_vrfs',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mpls-lsd-node',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsdNodes' : {
        'meta_info' : _MetaInfoClass('MplsLsdNodes',
            False, 
            [
            _MetaInfoClassMember('mpls-lsd-node', REFERENCE_LIST, 'MplsLsdNode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsdNodes.MplsLsdNode', 
                [], [], 
                '''                The MPLS LSD operational data for a particular
                node
                ''',
                'mpls_lsd_node',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mpls-lsd-nodes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Clients.Client.ClientUnion.Application' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Clients.Client.ClientUnion.Application',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                client-app instance
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Clients.Client.ClientUnion.BcdlAgent' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Clients.Client.ClientUnion.BcdlAgent',
            False, 
            [
            _MetaInfoClassMember('client-conn-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BCDL Agent client connection index
                ''',
                'client_conn_index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('parent-client-conn-index', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                BCDL Agent parent client connection index
                ''',
                'parent_client_conn_index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'bcdl-agent',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Clients.Client.ClientUnion' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Clients.Client.ClientUnion',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_CLASS, 'Application' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Clients.Client.ClientUnion.Application', 
                [], [], 
                '''                Application client
                ''',
                'application',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('bcdl-agent', REFERENCE_CLASS, 'BcdlAgent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Clients.Client.ClientUnion.BcdlAgent', 
                [], [], 
                '''                BCDL agent client
                ''',
                'bcdl_agent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsd-client-type', REFERENCE_ENUM_CLASS, 'MgmtLsdClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdClientEnum', 
                [], [], 
                '''                LSDClientType
                ''',
                'lsd_client_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'client-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Clients.Client' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Clients.Client',
            False, 
            [
            _MetaInfoClassMember('client-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Client Instance name in the form of    
                'Application-<client_name>' or     
                'BCDL_Agent-<index:parent_index>'
                ''',
                'client_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('client-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client Index Value
                ''',
                'client_index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('client-union', REFERENCE_CLASS, 'ClientUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Clients.Client.ClientUnion', 
                [], [], 
                '''                Client union
                ''',
                'client_union',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'client',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Clients' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Clients',
            False, 
            [
            _MetaInfoClassMember('client', REFERENCE_LIST, 'Client' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Clients.Client', 
                [], [], 
                '''                Data for MPLS client using LSD
                ''',
                'client',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'clients',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.LabelSummary.OwnerCount' : {
        'meta_info' : _MetaInfoClass('MplsLsd.LabelSummary.OwnerCount',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                client-app identifier
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('number-of-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'number_of_labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'owner-count',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.LabelSummary' : {
        'meta_info' : _MetaInfoClass('MplsLsd.LabelSummary',
            False, 
            [
            _MetaInfoClassMember('owner-count', REFERENCE_LIST, 'OwnerCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.LabelSummary.OwnerCount', 
                [], [], 
                '''                Owner counts
                ''',
                'owner_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rsi-connected', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Rsi connected
                ''',
                'rsi_connected',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total labels
                ''',
                'total_labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name_xr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IPv4 prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('is-srte', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is this an SRTE head tunnel
                ''',
                'is_srte',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel destination
                ''',
                'tunnel_dest',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended tunnel ID
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Ipv4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Ipv4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Ipv6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Ipv6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.VrfL3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.VrfL3VpnData',
            False, 
            [
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'vrf-l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Cev4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Cev4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Cev6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Cev6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pseudo-wire ID
                ''',
                'pseudowire_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('remote-l2-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote L2 Router ID
                ''',
                'remote_l2_router_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('subinterface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Subinterface
                ''',
                'subinterface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.LabelBlockData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.LabelBlockData',
            False, 
            [
            _MetaInfoClassMember('edge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Edge ID
                ''',
                'edge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('service', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service
                ''',
                'service',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VPN ID
                ''',
                'vpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.IpSubData',
            False, 
            [
            _MetaInfoClassMember('parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent interface
                ''',
                'parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Id
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Tev4P2MpData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Tev4P2MpData',
            False, 
            [
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point to multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('previous-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID extension
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4p2mp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.MldPv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.MldPv4Data',
            False, 
            [
            _MetaInfoClassMember('lsm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSM ID
                ''',
                'lsm_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-label-space-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peer Label Space Id
                ''',
                'peer_label_space_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-lsrid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer LSR Id
                ''',
                'peer_lsrid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSM ID Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mld-pv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('pwhe-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.TpData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.TpData',
            False, 
            [
            _MetaInfoClassMember('dest-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP destination global ID
                ''',
                'dest_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP destination node ID
                ''',
                'dest_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP destination tunnel ID
                ''',
                'dest_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP source tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('gre-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation interface
                ''',
                'gre_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Ipv6GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Ipv6GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('greipv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation IPv6 interface
                ''',
                'greipv6_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.EvpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.EvpnData',
            False, 
            [
            _MetaInfoClassMember('ethernet-segment', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Ethernet Segment ID
                ''',
                'ethernet_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN ID
                ''',
                'evpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN TAG
                ''',
                'evpn_tag',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'evpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Ipv4BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Ipv4BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.Ipv6BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.Ipv6BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.PiMiPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.PiMiPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-mi-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.PiMsPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.PiMsPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('hli', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Head LSM-ID
                ''',
                'hli',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('seg', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Segmented Multicast
                ''',
                'seg',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originating Router
                ''',
                'source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-ms-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.NextHopSetL3Vpn' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.NextHopSetL3Vpn',
            False, 
            [
            _MetaInfoClassMember('next-hop-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next Hop Set ID
                ''',
                'next_hop_set_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'next-hop-set-l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.SrPrefixSegment' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.SrPrefixSegment',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix Segment ID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-prefix-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.SrAdjSegmentIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.SrAdjSegmentIpv4',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv4 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.SrAdjSegmentIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.SrAdjSegmentIpv6',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv6 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.LabelBlockSrgbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.LabelBlockSrgbData',
            False, 
            [
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('start-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start Label
                ''',
                'start_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-srgb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key.TeBinding' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key.TeBinding',
            False, 
            [
            _MetaInfoClassMember('te-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Traffic Engineering Tunnel or Group ID
                ''',
                'te_identifier',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-type', REFERENCE_ENUM_CLASS, 'MgmtLsdTeBindingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdTeBindingEnum', 
                [], [], 
                '''                Type of identifier for the binding
                ''',
                'te_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-binding',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext.Key' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext.Key',
            False, 
            [
            _MetaInfoClassMember('cev4l3vpn-data', REFERENCE_CLASS, 'Cev4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Cev4L3VpnData', 
                [], [], 
                '''                L3VPN CEv4 label context
                ''',
                'cev4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cev6l3vpn-data', REFERENCE_CLASS, 'Cev6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Cev6L3VpnData', 
                [], [], 
                '''                L3VPN CEv6 label context
                ''',
                'cev6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-data', REFERENCE_CLASS, 'EvpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.EvpnData', 
                [], [], 
                '''                EVPN context
                ''',
                'evpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('generic-routing-encapsulation', REFERENCE_CLASS, 'GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.IpSubData', 
                [], [], 
                '''                IP Subscriber context
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Ipv4Data', 
                [], [], 
                '''                IPv4 label context
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4blb-data', REFERENCE_CLASS, 'Ipv4BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Ipv4BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv4blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4l3vpn-data', REFERENCE_CLASS, 'Ipv4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Ipv4L3VpnData', 
                [], [], 
                '''                L3VPN IPv4 label context
                ''',
                'ipv4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Ipv6Data', 
                [], [], 
                '''                IPv6 label context
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-generic-routing-encapsulation', REFERENCE_CLASS, 'Ipv6GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Ipv6GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'ipv6_generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6blb-data', REFERENCE_CLASS, 'Ipv6BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Ipv6BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv6blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6l3vpn-data', REFERENCE_CLASS, 'Ipv6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Ipv6L3VpnData', 
                [], [], 
                '''                L3VPN IPv6 label context
                ''',
                'ipv6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-data', REFERENCE_CLASS, 'LabelBlockData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.LabelBlockData', 
                [], [], 
                '''                Label block context
                ''',
                'label_block_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-srgb-data', REFERENCE_CLASS, 'LabelBlockSrgbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.LabelBlockSrgbData', 
                [], [], 
                '''                Label block SRGB context
                ''',
                'label_block_srgb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-type', REFERENCE_ENUM_CLASS, 'MgmtLsdLblCtxEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLblCtxEnum', 
                [], [], 
                '''                LabelContextType
                ''',
                'label_context_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mld-pv4-data', REFERENCE_CLASS, 'MldPv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.MldPv4Data', 
                [], [], 
                '''                MLDPv4 LSM-ID context
                ''',
                'mld_pv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-set-l3vpn', REFERENCE_CLASS, 'NextHopSetL3Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.NextHopSetL3Vpn', 
                [], [], 
                '''                L3VPN NH SET label context
                ''',
                'next_hop_set_l3vpn',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-mi-pmsi-data', REFERENCE_CLASS, 'PiMiPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.PiMiPmsiData', 
                [], [], 
                '''                PIM I-PMSI label conext
                ''',
                'pi_mi_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-ms-pmsi-data', REFERENCE_CLASS, 'PiMsPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.PiMsPmsiData', 
                [], [], 
                '''                PIM S-PMSI label conext
                ''',
                'pi_ms_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.PseudowireData', 
                [], [], 
                '''                Pseudowire label context
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.PseudowireHeadEndData', 
                [], [], 
                '''                Pseudowire Head-end label context
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv4', REFERENCE_CLASS, 'SrAdjSegmentIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.SrAdjSegmentIpv4', 
                [], [], 
                '''                SR Adj Segment ipv4 context
                ''',
                'sr_adj_segment_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv6', REFERENCE_CLASS, 'SrAdjSegmentIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.SrAdjSegmentIpv6', 
                [], [], 
                '''                SR Adj Segment ipv6 context
                ''',
                'sr_adj_segment_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-prefix-segment', REFERENCE_CLASS, 'SrPrefixSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.SrPrefixSegment', 
                [], [], 
                '''                SR Prefix Segment context
                ''',
                'sr_prefix_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-binding', REFERENCE_CLASS, 'TeBinding' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.TeBinding', 
                [], [], 
                '''                MPLS TE tunnel binding context
                ''',
                'te_binding',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Tev4Data', 
                [], [], 
                '''                TEv4 label context
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4p2mp-data', REFERENCE_CLASS, 'Tev4P2MpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.Tev4P2MpData', 
                [], [], 
                '''                TEv4 P2MP context
                ''',
                'tev4p2mp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tp-data', REFERENCE_CLASS, 'TpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.TpData', 
                [], [], 
                '''                TP context
                ''',
                'tp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-l3vpn-data', REFERENCE_CLASS, 'VrfL3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key.VrfL3VpnData', 
                [], [], 
                '''                L3VPN VRF label context
                ''',
                'vrf_l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'key',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.LabelContext' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.LabelContext',
            False, 
            [
            _MetaInfoClassMember('application-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Application opaque data
                ''',
                'application_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('key', REFERENCE_CLASS, 'Key' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext.Key', 
                [], [], 
                '''                Label Key
                ''',
                'key',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-context',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels.Label',
            False, 
            [
            _MetaInfoClassMember('label-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Label value
                ''',
                'label_id',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.ApplicationOwner', 
                [], [], 
                '''                Application owner
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context', REFERENCE_CLASS, 'LabelContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label.LabelContext', 
                [], [], 
                '''                Label context
                ''',
                'label_context',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-is-bound', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Rewrite bound to label
                ''',
                'rewrite_is_bound',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-owners', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Rewrite owner
                ''',
                'rewrite_owners',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rs-iconnected', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                RSI connected
                ''',
                'rs_iconnected',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Labels' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Labels',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels.Label', 
                [], [], 
                '''                Data for label
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Head' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Head',
            False, 
            [
            _MetaInfoClassMember('destination-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination prefix
                ''',
                'destination_prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('destination-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Destination prefix length
                ''',
                'destination_prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'head',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Midpoint' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Midpoint',
            False, 
            [
            _MetaInfoClassMember('lspid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID
                ''',
                'lspid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source IPv4 address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'midpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId',
            False, 
            [
            _MetaInfoClassMember('head', REFERENCE_CLASS, 'Head' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Head', 
                [], [], 
                '''                head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('midpoint', REFERENCE_CLASS, 'Midpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Midpoint', 
                [], [], 
                '''                midpoint
                ''',
                'midpoint',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MgmtLsdLspRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLspRoleEnum', 
                [], [], 
                '''                Role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'frr-entry-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.OutPath' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.OutPath',
            False, 
            [
            _MetaInfoClassMember('frr-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                FRR interface
                ''',
                'frr_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('frr-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR output label
                ''',
                'frr_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop IPv4 address
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'out-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('entry-frr-state', REFERENCE_ENUM_CLASS, 'MgmtLsdFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFrrStateEnum', 
                [], [], 
                '''                MPLS FRR entry state
                ''',
                'entry_frr_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('frr-entry-id', REFERENCE_CLASS, 'FrrEntryId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId', 
                [], [], 
                '''                FRR entry ID
                ''',
                'frr_entry_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('input-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input label
                ''',
                'input_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-path', REFERENCE_LIST, 'OutPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.OutPath', 
                [], [], 
                '''                Out Path List
                ''',
                'out_path',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-midpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelMidpoints' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelMidpoints',
            False, 
            [
            _MetaInfoClassMember('tunnel-midpoint', REFERENCE_LIST, 'TunnelMidpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint', 
                [], [], 
                '''                Data for FRR database entry - Tunnel midpoint
                ''',
                'tunnel_midpoint',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-midpoints',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Head' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Head',
            False, 
            [
            _MetaInfoClassMember('destination-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination prefix
                ''',
                'destination_prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('destination-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Destination prefix length
                ''',
                'destination_prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'head',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Midpoint' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Midpoint',
            False, 
            [
            _MetaInfoClassMember('lspid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID
                ''',
                'lspid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source IPv4 address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'midpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId',
            False, 
            [
            _MetaInfoClassMember('head', REFERENCE_CLASS, 'Head' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Head', 
                [], [], 
                '''                head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('midpoint', REFERENCE_CLASS, 'Midpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Midpoint', 
                [], [], 
                '''                midpoint
                ''',
                'midpoint',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MgmtLsdLspRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLspRoleEnum', 
                [], [], 
                '''                Role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'frr-entry-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.OutPath' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.OutPath',
            False, 
            [
            _MetaInfoClassMember('frr-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                FRR interface
                ''',
                'frr_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('frr-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR output label
                ''',
                'frr_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop IPv4 address
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'out-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelHeads.TunnelHead' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelHeads.TunnelHead',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('entry-frr-state', REFERENCE_ENUM_CLASS, 'MgmtLsdFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFrrStateEnum', 
                [], [], 
                '''                MPLS FRR entry state
                ''',
                'entry_frr_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('frr-entry-id', REFERENCE_CLASS, 'FrrEntryId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId', 
                [], [], 
                '''                FRR entry ID
                ''',
                'frr_entry_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('input-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input label
                ''',
                'input_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-path', REFERENCE_LIST, 'OutPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.OutPath', 
                [], [], 
                '''                Out Path List
                ''',
                'out_path',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-head',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelHeads' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelHeads',
            False, 
            [
            _MetaInfoClassMember('tunnel-head', REFERENCE_LIST, 'TunnelHead' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelHeads.TunnelHead', 
                [], [], 
                '''                Data for FRR database entry - Tunnel head
                ''',
                'tunnel_head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-heads',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelHeadSummary' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelHeadSummary',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Active state
                ''',
                'active',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('igp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in IGP state for SR-TE
                ''',
                'igp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('partial', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Partial state
                ''',
                'partial',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Ready state
                ''',
                'ready',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-head-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.SummaryProtectedInterfaces.SummaryProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.SummaryProtectedInterfaces.SummaryProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Active state
                ''',
                'active',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('igp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in IGP state for SR-TE
                ''',
                'igp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('partial', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Partial state
                ''',
                'partial',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Ready state
                ''',
                'ready',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'summary-protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.SummaryProtectedInterfaces' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.SummaryProtectedInterfaces',
            False, 
            [
            _MetaInfoClassMember('summary-protected-interface', REFERENCE_LIST, 'SummaryProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.SummaryProtectedInterfaces.SummaryProtectedInterface', 
                [], [], 
                '''                Data for MPLS interface
                ''',
                'summary_protected_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'summary-protected-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelSummary' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelSummary',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Active state
                ''',
                'active',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('igp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in IGP state for SR-TE
                ''',
                'igp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('partial', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Partial state
                ''',
                'partial',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Ready state
                ''',
                'ready',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase.TunnelMidpointSummary' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase.TunnelMidpointSummary',
            False, 
            [
            _MetaInfoClassMember('active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Active state
                ''',
                'active',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('igp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in IGP state for SR-TE
                ''',
                'igp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('partial', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Partial state
                ''',
                'partial',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of FRR rewrites in Ready state
                ''',
                'ready',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tunnel-midpoint-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.FrrDatabase' : {
        'meta_info' : _MetaInfoClass('MplsLsd.FrrDatabase',
            False, 
            [
            _MetaInfoClassMember('summary-protected-interfaces', REFERENCE_CLASS, 'SummaryProtectedInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.SummaryProtectedInterfaces', 
                [], [], 
                '''                Sumary table of Protected Interfaces
                ''',
                'summary_protected_interfaces',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-head-summary', REFERENCE_CLASS, 'TunnelHeadSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelHeadSummary', 
                [], [], 
                '''                Summary data for FRR database entry - Tunnel
                head
                ''',
                'tunnel_head_summary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-heads', REFERENCE_CLASS, 'TunnelHeads' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelHeads', 
                [], [], 
                '''                Table of FRR database entries - Tunnel heads
                ''',
                'tunnel_heads',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-midpoint-summary', REFERENCE_CLASS, 'TunnelMidpointSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelMidpointSummary', 
                [], [], 
                '''                Summary data for FRR database entry - Tunnel
                midpoint
                ''',
                'tunnel_midpoint_summary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-midpoints', REFERENCE_CLASS, 'TunnelMidpoints' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelMidpoints', 
                [], [], 
                '''                Table of FRR database entries - Tunnel
                midpoints
                ''',
                'tunnel_midpoints',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-summary', REFERENCE_CLASS, 'TunnelSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase.TunnelSummary', 
                [], [], 
                '''                Summary data for FRR database entry
                ''',
                'tunnel_summary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'frr-database',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi-key',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IPv4 prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('is-srte', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is this an SRTE head tunnel
                ''',
                'is_srte',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel destination
                ''',
                'tunnel_dest',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended tunnel ID
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.VrfL3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.VrfL3VpnData',
            False, 
            [
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'vrf-l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pseudo-wire ID
                ''',
                'pseudowire_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('remote-l2-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote L2 Router ID
                ''',
                'remote_l2_router_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('subinterface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Subinterface
                ''',
                'subinterface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockData',
            False, 
            [
            _MetaInfoClassMember('edge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Edge ID
                ''',
                'edge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('service', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service
                ''',
                'service',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VPN ID
                ''',
                'vpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.IpSubData',
            False, 
            [
            _MetaInfoClassMember('parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent interface
                ''',
                'parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Id
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4P2MpData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4P2MpData',
            False, 
            [
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point to multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('previous-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID extension
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4p2mp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.MldPv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.MldPv4Data',
            False, 
            [
            _MetaInfoClassMember('lsm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSM ID
                ''',
                'lsm_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-label-space-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peer Label Space Id
                ''',
                'peer_label_space_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-lsrid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer LSR Id
                ''',
                'peer_lsrid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSM ID Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mld-pv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('pwhe-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TpData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TpData',
            False, 
            [
            _MetaInfoClassMember('dest-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP destination global ID
                ''',
                'dest_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP destination node ID
                ''',
                'dest_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP destination tunnel ID
                ''',
                'dest_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP source tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('gre-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation interface
                ''',
                'gre_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('greipv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation IPv6 interface
                ''',
                'greipv6_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.EvpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.EvpnData',
            False, 
            [
            _MetaInfoClassMember('ethernet-segment', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Ethernet Segment ID
                ''',
                'ethernet_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN ID
                ''',
                'evpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN TAG
                ''',
                'evpn_tag',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'evpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMiPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMiPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-mi-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMsPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMsPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('hli', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Head LSM-ID
                ''',
                'hli',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('seg', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Segmented Multicast
                ''',
                'seg',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originating Router
                ''',
                'source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-ms-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn',
            False, 
            [
            _MetaInfoClassMember('next-hop-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next Hop Set ID
                ''',
                'next_hop_set_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'next-hop-set-l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrPrefixSegment' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrPrefixSegment',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix Segment ID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-prefix-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv4 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv6 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData',
            False, 
            [
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('start-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start Label
                ''',
                'start_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-srgb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TeBinding' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TeBinding',
            False, 
            [
            _MetaInfoClassMember('te-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Traffic Engineering Tunnel or Group ID
                ''',
                'te_identifier',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-type', REFERENCE_ENUM_CLASS, 'MgmtLsdTeBindingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdTeBindingEnum', 
                [], [], 
                '''                Type of identifier for the binding
                ''',
                'te_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-binding',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext',
            False, 
            [
            _MetaInfoClassMember('cev4l3vpn-data', REFERENCE_CLASS, 'Cev4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData', 
                [], [], 
                '''                L3VPN CEv4 label context
                ''',
                'cev4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cev6l3vpn-data', REFERENCE_CLASS, 'Cev6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData', 
                [], [], 
                '''                L3VPN CEv6 label context
                ''',
                'cev6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-data', REFERENCE_CLASS, 'EvpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.EvpnData', 
                [], [], 
                '''                EVPN context
                ''',
                'evpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('generic-routing-encapsulation', REFERENCE_CLASS, 'GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.IpSubData', 
                [], [], 
                '''                IP Subscriber context
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4Data', 
                [], [], 
                '''                IPv4 label context
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4blb-data', REFERENCE_CLASS, 'Ipv4BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv4blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4l3vpn-data', REFERENCE_CLASS, 'Ipv4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData', 
                [], [], 
                '''                L3VPN IPv4 label context
                ''',
                'ipv4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6Data', 
                [], [], 
                '''                IPv6 label context
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-generic-routing-encapsulation', REFERENCE_CLASS, 'Ipv6GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'ipv6_generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6blb-data', REFERENCE_CLASS, 'Ipv6BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv6blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6l3vpn-data', REFERENCE_CLASS, 'Ipv6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData', 
                [], [], 
                '''                L3VPN IPv6 label context
                ''',
                'ipv6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-data', REFERENCE_CLASS, 'LabelBlockData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockData', 
                [], [], 
                '''                Label block context
                ''',
                'label_block_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-srgb-data', REFERENCE_CLASS, 'LabelBlockSrgbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData', 
                [], [], 
                '''                Label block SRGB context
                ''',
                'label_block_srgb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-type', REFERENCE_ENUM_CLASS, 'MgmtLsdLblCtxEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLblCtxEnum', 
                [], [], 
                '''                LabelContextType
                ''',
                'label_context_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mld-pv4-data', REFERENCE_CLASS, 'MldPv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.MldPv4Data', 
                [], [], 
                '''                MLDPv4 LSM-ID context
                ''',
                'mld_pv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-set-l3vpn', REFERENCE_CLASS, 'NextHopSetL3Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn', 
                [], [], 
                '''                L3VPN NH SET label context
                ''',
                'next_hop_set_l3vpn',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-mi-pmsi-data', REFERENCE_CLASS, 'PiMiPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMiPmsiData', 
                [], [], 
                '''                PIM I-PMSI label conext
                ''',
                'pi_mi_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-ms-pmsi-data', REFERENCE_CLASS, 'PiMsPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMsPmsiData', 
                [], [], 
                '''                PIM S-PMSI label conext
                ''',
                'pi_ms_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireData', 
                [], [], 
                '''                Pseudowire label context
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData', 
                [], [], 
                '''                Pseudowire Head-end label context
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv4', REFERENCE_CLASS, 'SrAdjSegmentIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4', 
                [], [], 
                '''                SR Adj Segment ipv4 context
                ''',
                'sr_adj_segment_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv6', REFERENCE_CLASS, 'SrAdjSegmentIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6', 
                [], [], 
                '''                SR Adj Segment ipv6 context
                ''',
                'sr_adj_segment_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-prefix-segment', REFERENCE_CLASS, 'SrPrefixSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrPrefixSegment', 
                [], [], 
                '''                SR Prefix Segment context
                ''',
                'sr_prefix_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-binding', REFERENCE_CLASS, 'TeBinding' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TeBinding', 
                [], [], 
                '''                MPLS TE tunnel binding context
                ''',
                'te_binding',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4Data', 
                [], [], 
                '''                TEv4 label context
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4p2mp-data', REFERENCE_CLASS, 'Tev4P2MpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4P2MpData', 
                [], [], 
                '''                TEv4 P2MP context
                ''',
                'tev4p2mp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tp-data', REFERENCE_CLASS, 'TpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TpData', 
                [], [], 
                '''                TP context
                ''',
                'tp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-l3vpn-data', REFERENCE_CLASS, 'VrfL3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.VrfL3VpnData', 
                [], [], 
                '''                L3VPN VRF label context
                ''',
                'vrf_l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-context',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LocalLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LocalLabelRewrite',
            False, 
            [
            _MetaInfoClassMember('label-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'local-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_',
            False, 
            [
            _MetaInfoClassMember('label-context', REFERENCE_CLASS, 'LabelContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext', 
                [], [], 
                '''                Label context
                ''',
                'label_context',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label-rewrite', REFERENCE_CLASS, 'LocalLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LocalLabelRewrite', 
                [], [], 
                '''                Local label rewrite information
                ''',
                'local_label_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id-type', REFERENCE_ENUM_CLASS, 'MgmtLsdRwIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdRwIdEnum', 
                [], [], 
                '''                RewriteIDType
                ''',
                'rewrite_id_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId',
            False, 
            [
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'associated-fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.V4Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.V4Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                V4 RPF Neighbor
                ''',
                'v4_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v4-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.V6Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.V6Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 RPF Neighbor
                ''',
                'v6_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v6-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.ApplicationResource' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.ApplicationResource',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-resource',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv4',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupTp' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupTp',
            False, 
            [
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-tp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv6',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup IPv4 nexthop
                ''',
                'backup_ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup local label
                ''',
                'backup_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('data-out-parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing data parent interface
                ''',
                'data_out_parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge point label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel class
                ''',
                'tunnel_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel weight
                ''',
                'tunnel_weight',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bridge ID
                ''',
                'bridge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross-connect ID
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseuodo-wire-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PseudoWire Cross-connect ID
                ''',
                'pseuodo_wire_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('split-horizon-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Split horizon group ID
                ''',
                'split_horizon_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.IpSubData',
            False, 
            [
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('control-word', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is control word present
                ''',
                'control_word',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('imposition', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is PWHE IMposition
                ''',
                'imposition',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudo-wire List Identifier
                ''',
                'pw_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pwhe-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Virtual Circuit Type
                ''',
                'vctype',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PwListData',
            False, 
            [
            _MetaInfoClassMember('l2-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 2 interface
                ''',
                'l2_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('l3-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 3 interface
                ''',
                'l3_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=10),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('owner-application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Owner application type
                ''',
                'owner_application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.TeHeadData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.TeHeadData',
            False, 
            [
            _MetaInfoClassMember('flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Flags decoded string
                ''',
                'flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Tunnel forwarding class
                ''',
                'tunnel_fwd_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Load metric
                ''',
                'tunnel_load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel local label
                ''',
                'tunnel_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel local label stringified
                ''',
                'tunnel_local_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-head-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.DmtcData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.DmtcData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi',
            False, 
            [
            _MetaInfoClassMember('dmtc-data', REFERENCE_CLASS, 'DmtcData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.DmtcData', 
                [], [], 
                '''                dmtc data
                ''',
                'dmtc_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.IpSubData', 
                [], [], 
                '''                ip sub data
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdMoiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdMoiEnum', 
                [], [], 
                '''                MoiType
                ''',
                'moi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv4', REFERENCE_CLASS, 'PopAndLookupIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv4', 
                [], [], 
                '''                pop and lookup ipv4
                ''',
                'pop_and_lookup_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv6', REFERENCE_CLASS, 'PopAndLookupIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv6', 
                [], [], 
                '''                pop and lookup ipv6
                ''',
                'pop_and_lookup_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-tp', REFERENCE_CLASS, 'PopAndLookupTp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupTp', 
                [], [], 
                '''                pop and lookup tp
                ''',
                'pop_and_lookup_tp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireData', 
                [], [], 
                '''                pseudowire data
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireHeadEndData', 
                [], [], 
                '''                pseudowire head end data
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv4-data', REFERENCE_CLASS, 'Stackv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data', 
                [], [], 
                '''                stackv4 data
                ''',
                'stackv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv6-data', REFERENCE_CLASS, 'Stackv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data', 
                [], [], 
                '''                stackv6 data
                ''',
                'stackv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-head-data', REFERENCE_CLASS, 'TeHeadData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.TeHeadData', 
                [], [], 
                '''                te head data
                ''',
                'te_head_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Tev4Data', 
                [], [], 
                '''                tev4 data
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray',
            False, 
            [
            _MetaInfoClassMember('moi', REFERENCE_CLASS, 'Moi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi', 
                [], [], 
                '''                Moi
                ''',
                'moi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw.Mois' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw.Mois',
            False, 
            [
            _MetaInfoClassMember('application-resource', REFERENCE_CLASS, 'ApplicationResource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.ApplicationResource', 
                [], [], 
                '''                Application state
                ''',
                'application_resource',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-array', REFERENCE_LIST, 'MoiArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray', 
                [], [], 
                '''                moi array
                ''',
                'moi_array',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mois',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws.RewritePw' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws.RewritePw',
            False, 
            [
            _MetaInfoClassMember('pw-list-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PW List ID
                ''',
                'pw_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('associated-fpi', REFERENCE_LIST, 'AssociatedFpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi', 
                [], [], 
                '''                Associated FPI
                ''',
                'associated_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('bcdl-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BCDL Priority
                ''',
                'bcdl_priority',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-key', REFERENCE_CLASS, 'FpiKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey', 
                [], [], 
                '''                fpi key
                ''',
                'fpi_key',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsd-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSD queue
                ''',
                'lsd_queue',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mois', REFERENCE_LIST, 'Mois' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.Mois', 
                [], [], 
                '''                Mois
                ''',
                'mois',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('priority-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite's BCDL priority updated
                ''',
                'priority_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite version
                ''',
                'rewrite_version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install age
                ''',
                'rw_install_age',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install timestamp
                ''',
                'rw_install_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite ever updated
                ''',
                'rw_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf', REFERENCE_LIST, 'V4Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.V4Rpf', 
                [], [], 
                '''                IPv4 RPF neighbors
                ''',
                'v4_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf', REFERENCE_LIST, 'V6Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw.V6Rpf', 
                [], [], 
                '''                IPv6 RPF neighbors
                ''',
                'v6_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-pw',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewritePws' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewritePws',
            False, 
            [
            _MetaInfoClassMember('rewrite-pw', REFERENCE_LIST, 'RewritePw' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws.RewritePw', 
                [], [], 
                '''                FPI rewrite for PW List
                ''',
                'rewrite_pw',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-pws',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi-key',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IPv4 prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('is-srte', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is this an SRTE head tunnel
                ''',
                'is_srte',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel destination
                ''',
                'tunnel_dest',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended tunnel ID
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.VrfL3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.VrfL3VpnData',
            False, 
            [
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'vrf-l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pseudo-wire ID
                ''',
                'pseudowire_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('remote-l2-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote L2 Router ID
                ''',
                'remote_l2_router_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('subinterface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Subinterface
                ''',
                'subinterface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockData',
            False, 
            [
            _MetaInfoClassMember('edge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Edge ID
                ''',
                'edge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('service', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service
                ''',
                'service',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VPN ID
                ''',
                'vpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.IpSubData',
            False, 
            [
            _MetaInfoClassMember('parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent interface
                ''',
                'parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Id
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4P2MpData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4P2MpData',
            False, 
            [
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point to multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('previous-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID extension
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4p2mp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.MldPv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.MldPv4Data',
            False, 
            [
            _MetaInfoClassMember('lsm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSM ID
                ''',
                'lsm_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-label-space-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peer Label Space Id
                ''',
                'peer_label_space_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-lsrid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer LSR Id
                ''',
                'peer_lsrid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSM ID Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mld-pv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('pwhe-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TpData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TpData',
            False, 
            [
            _MetaInfoClassMember('dest-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP destination global ID
                ''',
                'dest_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP destination node ID
                ''',
                'dest_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP destination tunnel ID
                ''',
                'dest_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP source tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('gre-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation interface
                ''',
                'gre_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('greipv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation IPv6 interface
                ''',
                'greipv6_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.EvpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.EvpnData',
            False, 
            [
            _MetaInfoClassMember('ethernet-segment', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Ethernet Segment ID
                ''',
                'ethernet_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN ID
                ''',
                'evpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN TAG
                ''',
                'evpn_tag',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'evpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMiPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMiPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-mi-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMsPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMsPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('hli', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Head LSM-ID
                ''',
                'hli',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('seg', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Segmented Multicast
                ''',
                'seg',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originating Router
                ''',
                'source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-ms-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn',
            False, 
            [
            _MetaInfoClassMember('next-hop-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next Hop Set ID
                ''',
                'next_hop_set_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'next-hop-set-l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrPrefixSegment' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrPrefixSegment',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix Segment ID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-prefix-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv4 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv6 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData',
            False, 
            [
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('start-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start Label
                ''',
                'start_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-srgb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TeBinding' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TeBinding',
            False, 
            [
            _MetaInfoClassMember('te-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Traffic Engineering Tunnel or Group ID
                ''',
                'te_identifier',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-type', REFERENCE_ENUM_CLASS, 'MgmtLsdTeBindingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdTeBindingEnum', 
                [], [], 
                '''                Type of identifier for the binding
                ''',
                'te_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-binding',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext',
            False, 
            [
            _MetaInfoClassMember('cev4l3vpn-data', REFERENCE_CLASS, 'Cev4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData', 
                [], [], 
                '''                L3VPN CEv4 label context
                ''',
                'cev4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cev6l3vpn-data', REFERENCE_CLASS, 'Cev6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData', 
                [], [], 
                '''                L3VPN CEv6 label context
                ''',
                'cev6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-data', REFERENCE_CLASS, 'EvpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.EvpnData', 
                [], [], 
                '''                EVPN context
                ''',
                'evpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('generic-routing-encapsulation', REFERENCE_CLASS, 'GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.IpSubData', 
                [], [], 
                '''                IP Subscriber context
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4Data', 
                [], [], 
                '''                IPv4 label context
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4blb-data', REFERENCE_CLASS, 'Ipv4BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv4blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4l3vpn-data', REFERENCE_CLASS, 'Ipv4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData', 
                [], [], 
                '''                L3VPN IPv4 label context
                ''',
                'ipv4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6Data', 
                [], [], 
                '''                IPv6 label context
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-generic-routing-encapsulation', REFERENCE_CLASS, 'Ipv6GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'ipv6_generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6blb-data', REFERENCE_CLASS, 'Ipv6BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv6blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6l3vpn-data', REFERENCE_CLASS, 'Ipv6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData', 
                [], [], 
                '''                L3VPN IPv6 label context
                ''',
                'ipv6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-data', REFERENCE_CLASS, 'LabelBlockData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockData', 
                [], [], 
                '''                Label block context
                ''',
                'label_block_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-srgb-data', REFERENCE_CLASS, 'LabelBlockSrgbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData', 
                [], [], 
                '''                Label block SRGB context
                ''',
                'label_block_srgb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-type', REFERENCE_ENUM_CLASS, 'MgmtLsdLblCtxEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLblCtxEnum', 
                [], [], 
                '''                LabelContextType
                ''',
                'label_context_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mld-pv4-data', REFERENCE_CLASS, 'MldPv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.MldPv4Data', 
                [], [], 
                '''                MLDPv4 LSM-ID context
                ''',
                'mld_pv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-set-l3vpn', REFERENCE_CLASS, 'NextHopSetL3Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn', 
                [], [], 
                '''                L3VPN NH SET label context
                ''',
                'next_hop_set_l3vpn',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-mi-pmsi-data', REFERENCE_CLASS, 'PiMiPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMiPmsiData', 
                [], [], 
                '''                PIM I-PMSI label conext
                ''',
                'pi_mi_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-ms-pmsi-data', REFERENCE_CLASS, 'PiMsPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMsPmsiData', 
                [], [], 
                '''                PIM S-PMSI label conext
                ''',
                'pi_ms_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireData', 
                [], [], 
                '''                Pseudowire label context
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData', 
                [], [], 
                '''                Pseudowire Head-end label context
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv4', REFERENCE_CLASS, 'SrAdjSegmentIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4', 
                [], [], 
                '''                SR Adj Segment ipv4 context
                ''',
                'sr_adj_segment_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv6', REFERENCE_CLASS, 'SrAdjSegmentIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6', 
                [], [], 
                '''                SR Adj Segment ipv6 context
                ''',
                'sr_adj_segment_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-prefix-segment', REFERENCE_CLASS, 'SrPrefixSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrPrefixSegment', 
                [], [], 
                '''                SR Prefix Segment context
                ''',
                'sr_prefix_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-binding', REFERENCE_CLASS, 'TeBinding' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TeBinding', 
                [], [], 
                '''                MPLS TE tunnel binding context
                ''',
                'te_binding',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4Data', 
                [], [], 
                '''                TEv4 label context
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4p2mp-data', REFERENCE_CLASS, 'Tev4P2MpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4P2MpData', 
                [], [], 
                '''                TEv4 P2MP context
                ''',
                'tev4p2mp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tp-data', REFERENCE_CLASS, 'TpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TpData', 
                [], [], 
                '''                TP context
                ''',
                'tp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-l3vpn-data', REFERENCE_CLASS, 'VrfL3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.VrfL3VpnData', 
                [], [], 
                '''                L3VPN VRF label context
                ''',
                'vrf_l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-context',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LocalLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LocalLabelRewrite',
            False, 
            [
            _MetaInfoClassMember('label-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'local-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_',
            False, 
            [
            _MetaInfoClassMember('label-context', REFERENCE_CLASS, 'LabelContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext', 
                [], [], 
                '''                Label context
                ''',
                'label_context',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label-rewrite', REFERENCE_CLASS, 'LocalLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LocalLabelRewrite', 
                [], [], 
                '''                Local label rewrite information
                ''',
                'local_label_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id-type', REFERENCE_ENUM_CLASS, 'MgmtLsdRwIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdRwIdEnum', 
                [], [], 
                '''                RewriteIDType
                ''',
                'rewrite_id_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId',
            False, 
            [
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'associated-fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.V4Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.V4Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                V4 RPF Neighbor
                ''',
                'v4_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v4-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.V6Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.V6Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 RPF Neighbor
                ''',
                'v6_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v6-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.ApplicationResource' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.ApplicationResource',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-resource',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv4',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupTp' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupTp',
            False, 
            [
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-tp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv6',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup IPv4 nexthop
                ''',
                'backup_ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup local label
                ''',
                'backup_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('data-out-parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing data parent interface
                ''',
                'data_out_parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge point label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel class
                ''',
                'tunnel_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel weight
                ''',
                'tunnel_weight',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bridge ID
                ''',
                'bridge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross-connect ID
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseuodo-wire-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PseudoWire Cross-connect ID
                ''',
                'pseuodo_wire_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('split-horizon-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Split horizon group ID
                ''',
                'split_horizon_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.IpSubData',
            False, 
            [
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('control-word', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is control word present
                ''',
                'control_word',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('imposition', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is PWHE IMposition
                ''',
                'imposition',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudo-wire List Identifier
                ''',
                'pw_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pwhe-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Virtual Circuit Type
                ''',
                'vctype',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PwListData',
            False, 
            [
            _MetaInfoClassMember('l2-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 2 interface
                ''',
                'l2_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('l3-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 3 interface
                ''',
                'l3_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=10),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('owner-application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Owner application type
                ''',
                'owner_application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.TeHeadData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.TeHeadData',
            False, 
            [
            _MetaInfoClassMember('flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Flags decoded string
                ''',
                'flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Tunnel forwarding class
                ''',
                'tunnel_fwd_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Load metric
                ''',
                'tunnel_load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel local label
                ''',
                'tunnel_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel local label stringified
                ''',
                'tunnel_local_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-head-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.DmtcData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.DmtcData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi',
            False, 
            [
            _MetaInfoClassMember('dmtc-data', REFERENCE_CLASS, 'DmtcData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.DmtcData', 
                [], [], 
                '''                dmtc data
                ''',
                'dmtc_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.IpSubData', 
                [], [], 
                '''                ip sub data
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdMoiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdMoiEnum', 
                [], [], 
                '''                MoiType
                ''',
                'moi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv4', REFERENCE_CLASS, 'PopAndLookupIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv4', 
                [], [], 
                '''                pop and lookup ipv4
                ''',
                'pop_and_lookup_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv6', REFERENCE_CLASS, 'PopAndLookupIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv6', 
                [], [], 
                '''                pop and lookup ipv6
                ''',
                'pop_and_lookup_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-tp', REFERENCE_CLASS, 'PopAndLookupTp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupTp', 
                [], [], 
                '''                pop and lookup tp
                ''',
                'pop_and_lookup_tp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireData', 
                [], [], 
                '''                pseudowire data
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireHeadEndData', 
                [], [], 
                '''                pseudowire head end data
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv4-data', REFERENCE_CLASS, 'Stackv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data', 
                [], [], 
                '''                stackv4 data
                ''',
                'stackv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv6-data', REFERENCE_CLASS, 'Stackv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data', 
                [], [], 
                '''                stackv6 data
                ''',
                'stackv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-head-data', REFERENCE_CLASS, 'TeHeadData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.TeHeadData', 
                [], [], 
                '''                te head data
                ''',
                'te_head_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Tev4Data', 
                [], [], 
                '''                tev4 data
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray',
            False, 
            [
            _MetaInfoClassMember('moi', REFERENCE_CLASS, 'Moi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi', 
                [], [], 
                '''                Moi
                ''',
                'moi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois',
            False, 
            [
            _MetaInfoClassMember('application-resource', REFERENCE_CLASS, 'ApplicationResource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.ApplicationResource', 
                [], [], 
                '''                Application state
                ''',
                'application_resource',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-array', REFERENCE_LIST, 'MoiArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray', 
                [], [], 
                '''                moi array
                ''',
                'moi_array',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mois',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4',
            False, 
            [
            _MetaInfoClassMember('associated-fpi', REFERENCE_LIST, 'AssociatedFpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi', 
                [], [], 
                '''                Associated FPI
                ''',
                'associated_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('bcdl-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BCDL Priority
                ''',
                'bcdl_priority',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-key', REFERENCE_CLASS, 'FpiKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey', 
                [], [], 
                '''                fpi key
                ''',
                'fpi_key',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsd-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSD queue
                ''',
                'lsd_queue',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mois', REFERENCE_LIST, 'Mois' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois', 
                [], [], 
                '''                Mois
                ''',
                'mois',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('priority-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite's BCDL priority updated
                ''',
                'priority_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite version
                ''',
                'rewrite_version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rsi-table-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[0-9a-fA-F]{1,8}'], 
                '''                RSI table ID
                ''',
                'rsi_table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rsi-table-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                RSI table name
                ''',
                'rsi_table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install age
                ''',
                'rw_install_age',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install timestamp
                ''',
                'rw_install_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite ever updated
                ''',
                'rw_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf', REFERENCE_LIST, 'V4Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.V4Rpf', 
                [], [], 
                '''                IPv4 RPF neighbors
                ''',
                'v4_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf', REFERENCE_LIST, 'V6Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.V6Rpf', 
                [], [], 
                '''                IPv6 RPF neighbors
                ''',
                'v6_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteIpv4S' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteIpv4S',
            False, 
            [
            _MetaInfoClassMember('rewrite-ipv4', REFERENCE_LIST, 'RewriteIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4', 
                [], [], 
                '''                FPI rewrite for label
                ''',
                'rewrite_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-ipv4s',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi-key',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IPv4 prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('is-srte', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is this an SRTE head tunnel
                ''',
                'is_srte',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel destination
                ''',
                'tunnel_dest',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended tunnel ID
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.VrfL3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.VrfL3VpnData',
            False, 
            [
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'vrf-l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pseudo-wire ID
                ''',
                'pseudowire_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('remote-l2-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote L2 Router ID
                ''',
                'remote_l2_router_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('subinterface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Subinterface
                ''',
                'subinterface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockData',
            False, 
            [
            _MetaInfoClassMember('edge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Edge ID
                ''',
                'edge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('service', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service
                ''',
                'service',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VPN ID
                ''',
                'vpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.IpSubData',
            False, 
            [
            _MetaInfoClassMember('parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent interface
                ''',
                'parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Id
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4P2MpData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4P2MpData',
            False, 
            [
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point to multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('previous-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID extension
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4p2mp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.MldPv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.MldPv4Data',
            False, 
            [
            _MetaInfoClassMember('lsm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSM ID
                ''',
                'lsm_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-label-space-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peer Label Space Id
                ''',
                'peer_label_space_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-lsrid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer LSR Id
                ''',
                'peer_lsrid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSM ID Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mld-pv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('pwhe-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TpData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TpData',
            False, 
            [
            _MetaInfoClassMember('dest-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP destination global ID
                ''',
                'dest_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP destination node ID
                ''',
                'dest_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP destination tunnel ID
                ''',
                'dest_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP source tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('gre-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation interface
                ''',
                'gre_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('greipv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation IPv6 interface
                ''',
                'greipv6_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.EvpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.EvpnData',
            False, 
            [
            _MetaInfoClassMember('ethernet-segment', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Ethernet Segment ID
                ''',
                'ethernet_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN ID
                ''',
                'evpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN TAG
                ''',
                'evpn_tag',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'evpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMiPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMiPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-mi-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMsPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMsPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('hli', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Head LSM-ID
                ''',
                'hli',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('seg', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Segmented Multicast
                ''',
                'seg',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originating Router
                ''',
                'source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-ms-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn',
            False, 
            [
            _MetaInfoClassMember('next-hop-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next Hop Set ID
                ''',
                'next_hop_set_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'next-hop-set-l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrPrefixSegment' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrPrefixSegment',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix Segment ID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-prefix-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv4 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv6 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData',
            False, 
            [
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('start-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start Label
                ''',
                'start_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-srgb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TeBinding' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TeBinding',
            False, 
            [
            _MetaInfoClassMember('te-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Traffic Engineering Tunnel or Group ID
                ''',
                'te_identifier',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-type', REFERENCE_ENUM_CLASS, 'MgmtLsdTeBindingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdTeBindingEnum', 
                [], [], 
                '''                Type of identifier for the binding
                ''',
                'te_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-binding',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext',
            False, 
            [
            _MetaInfoClassMember('cev4l3vpn-data', REFERENCE_CLASS, 'Cev4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData', 
                [], [], 
                '''                L3VPN CEv4 label context
                ''',
                'cev4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cev6l3vpn-data', REFERENCE_CLASS, 'Cev6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData', 
                [], [], 
                '''                L3VPN CEv6 label context
                ''',
                'cev6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-data', REFERENCE_CLASS, 'EvpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.EvpnData', 
                [], [], 
                '''                EVPN context
                ''',
                'evpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('generic-routing-encapsulation', REFERENCE_CLASS, 'GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.IpSubData', 
                [], [], 
                '''                IP Subscriber context
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4Data', 
                [], [], 
                '''                IPv4 label context
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4blb-data', REFERENCE_CLASS, 'Ipv4BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv4blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4l3vpn-data', REFERENCE_CLASS, 'Ipv4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData', 
                [], [], 
                '''                L3VPN IPv4 label context
                ''',
                'ipv4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6Data', 
                [], [], 
                '''                IPv6 label context
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-generic-routing-encapsulation', REFERENCE_CLASS, 'Ipv6GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'ipv6_generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6blb-data', REFERENCE_CLASS, 'Ipv6BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv6blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6l3vpn-data', REFERENCE_CLASS, 'Ipv6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData', 
                [], [], 
                '''                L3VPN IPv6 label context
                ''',
                'ipv6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-data', REFERENCE_CLASS, 'LabelBlockData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockData', 
                [], [], 
                '''                Label block context
                ''',
                'label_block_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-srgb-data', REFERENCE_CLASS, 'LabelBlockSrgbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData', 
                [], [], 
                '''                Label block SRGB context
                ''',
                'label_block_srgb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-type', REFERENCE_ENUM_CLASS, 'MgmtLsdLblCtxEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLblCtxEnum', 
                [], [], 
                '''                LabelContextType
                ''',
                'label_context_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mld-pv4-data', REFERENCE_CLASS, 'MldPv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.MldPv4Data', 
                [], [], 
                '''                MLDPv4 LSM-ID context
                ''',
                'mld_pv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-set-l3vpn', REFERENCE_CLASS, 'NextHopSetL3Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn', 
                [], [], 
                '''                L3VPN NH SET label context
                ''',
                'next_hop_set_l3vpn',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-mi-pmsi-data', REFERENCE_CLASS, 'PiMiPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMiPmsiData', 
                [], [], 
                '''                PIM I-PMSI label conext
                ''',
                'pi_mi_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-ms-pmsi-data', REFERENCE_CLASS, 'PiMsPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMsPmsiData', 
                [], [], 
                '''                PIM S-PMSI label conext
                ''',
                'pi_ms_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireData', 
                [], [], 
                '''                Pseudowire label context
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData', 
                [], [], 
                '''                Pseudowire Head-end label context
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv4', REFERENCE_CLASS, 'SrAdjSegmentIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4', 
                [], [], 
                '''                SR Adj Segment ipv4 context
                ''',
                'sr_adj_segment_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv6', REFERENCE_CLASS, 'SrAdjSegmentIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6', 
                [], [], 
                '''                SR Adj Segment ipv6 context
                ''',
                'sr_adj_segment_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-prefix-segment', REFERENCE_CLASS, 'SrPrefixSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrPrefixSegment', 
                [], [], 
                '''                SR Prefix Segment context
                ''',
                'sr_prefix_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-binding', REFERENCE_CLASS, 'TeBinding' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TeBinding', 
                [], [], 
                '''                MPLS TE tunnel binding context
                ''',
                'te_binding',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4Data', 
                [], [], 
                '''                TEv4 label context
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4p2mp-data', REFERENCE_CLASS, 'Tev4P2MpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4P2MpData', 
                [], [], 
                '''                TEv4 P2MP context
                ''',
                'tev4p2mp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tp-data', REFERENCE_CLASS, 'TpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TpData', 
                [], [], 
                '''                TP context
                ''',
                'tp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-l3vpn-data', REFERENCE_CLASS, 'VrfL3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.VrfL3VpnData', 
                [], [], 
                '''                L3VPN VRF label context
                ''',
                'vrf_l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-context',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LocalLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LocalLabelRewrite',
            False, 
            [
            _MetaInfoClassMember('label-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'local-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_',
            False, 
            [
            _MetaInfoClassMember('label-context', REFERENCE_CLASS, 'LabelContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext', 
                [], [], 
                '''                Label context
                ''',
                'label_context',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label-rewrite', REFERENCE_CLASS, 'LocalLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LocalLabelRewrite', 
                [], [], 
                '''                Local label rewrite information
                ''',
                'local_label_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id-type', REFERENCE_ENUM_CLASS, 'MgmtLsdRwIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdRwIdEnum', 
                [], [], 
                '''                RewriteIDType
                ''',
                'rewrite_id_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId',
            False, 
            [
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'associated-fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.V4Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.V4Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                V4 RPF Neighbor
                ''',
                'v4_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v4-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.V6Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.V6Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 RPF Neighbor
                ''',
                'v6_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v6-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.ApplicationResource' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.ApplicationResource',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-resource',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv4',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupTp' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupTp',
            False, 
            [
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-tp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv6',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup IPv4 nexthop
                ''',
                'backup_ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup local label
                ''',
                'backup_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('data-out-parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing data parent interface
                ''',
                'data_out_parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge point label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel class
                ''',
                'tunnel_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel weight
                ''',
                'tunnel_weight',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bridge ID
                ''',
                'bridge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross-connect ID
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseuodo-wire-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PseudoWire Cross-connect ID
                ''',
                'pseuodo_wire_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('split-horizon-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Split horizon group ID
                ''',
                'split_horizon_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.IpSubData',
            False, 
            [
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('control-word', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is control word present
                ''',
                'control_word',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('imposition', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is PWHE IMposition
                ''',
                'imposition',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudo-wire List Identifier
                ''',
                'pw_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pwhe-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Virtual Circuit Type
                ''',
                'vctype',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PwListData',
            False, 
            [
            _MetaInfoClassMember('l2-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 2 interface
                ''',
                'l2_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('l3-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 3 interface
                ''',
                'l3_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=10),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('owner-application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Owner application type
                ''',
                'owner_application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.TeHeadData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.TeHeadData',
            False, 
            [
            _MetaInfoClassMember('flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Flags decoded string
                ''',
                'flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Tunnel forwarding class
                ''',
                'tunnel_fwd_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Load metric
                ''',
                'tunnel_load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel local label
                ''',
                'tunnel_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel local label stringified
                ''',
                'tunnel_local_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-head-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.DmtcData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.DmtcData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi',
            False, 
            [
            _MetaInfoClassMember('dmtc-data', REFERENCE_CLASS, 'DmtcData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.DmtcData', 
                [], [], 
                '''                dmtc data
                ''',
                'dmtc_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.IpSubData', 
                [], [], 
                '''                ip sub data
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdMoiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdMoiEnum', 
                [], [], 
                '''                MoiType
                ''',
                'moi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv4', REFERENCE_CLASS, 'PopAndLookupIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv4', 
                [], [], 
                '''                pop and lookup ipv4
                ''',
                'pop_and_lookup_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv6', REFERENCE_CLASS, 'PopAndLookupIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv6', 
                [], [], 
                '''                pop and lookup ipv6
                ''',
                'pop_and_lookup_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-tp', REFERENCE_CLASS, 'PopAndLookupTp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupTp', 
                [], [], 
                '''                pop and lookup tp
                ''',
                'pop_and_lookup_tp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireData', 
                [], [], 
                '''                pseudowire data
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireHeadEndData', 
                [], [], 
                '''                pseudowire head end data
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv4-data', REFERENCE_CLASS, 'Stackv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data', 
                [], [], 
                '''                stackv4 data
                ''',
                'stackv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv6-data', REFERENCE_CLASS, 'Stackv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data', 
                [], [], 
                '''                stackv6 data
                ''',
                'stackv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-head-data', REFERENCE_CLASS, 'TeHeadData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.TeHeadData', 
                [], [], 
                '''                te head data
                ''',
                'te_head_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Tev4Data', 
                [], [], 
                '''                tev4 data
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray',
            False, 
            [
            _MetaInfoClassMember('moi', REFERENCE_CLASS, 'Moi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi', 
                [], [], 
                '''                Moi
                ''',
                'moi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois',
            False, 
            [
            _MetaInfoClassMember('application-resource', REFERENCE_CLASS, 'ApplicationResource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.ApplicationResource', 
                [], [], 
                '''                Application state
                ''',
                'application_resource',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-array', REFERENCE_LIST, 'MoiArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray', 
                [], [], 
                '''                moi array
                ''',
                'moi_array',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mois',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes.RewriteTe' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes.RewriteTe',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('associated-fpi', REFERENCE_LIST, 'AssociatedFpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi', 
                [], [], 
                '''                Associated FPI
                ''',
                'associated_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('bcdl-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BCDL Priority
                ''',
                'bcdl_priority',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-key', REFERENCE_CLASS, 'FpiKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey', 
                [], [], 
                '''                fpi key
                ''',
                'fpi_key',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsd-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSD queue
                ''',
                'lsd_queue',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mois', REFERENCE_LIST, 'Mois' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois', 
                [], [], 
                '''                Mois
                ''',
                'mois',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('priority-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite's BCDL priority updated
                ''',
                'priority_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite version
                ''',
                'rewrite_version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install age
                ''',
                'rw_install_age',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install timestamp
                ''',
                'rw_install_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite ever updated
                ''',
                'rw_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf', REFERENCE_LIST, 'V4Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.V4Rpf', 
                [], [], 
                '''                IPv4 RPF neighbors
                ''',
                'v4_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf', REFERENCE_LIST, 'V6Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe.V6Rpf', 
                [], [], 
                '''                IPv6 RPF neighbors
                ''',
                'v6_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteTes' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteTes',
            False, 
            [
            _MetaInfoClassMember('rewrite-te', REFERENCE_LIST, 'RewriteTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes.RewriteTe', 
                [], [], 
                '''                FPI rewrite for TE
                ''',
                'rewrite_te',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-tes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi-key',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IPv4 prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 33)], [], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('is-srte', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is this an SRTE head tunnel
                ''',
                'is_srte',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel destination
                ''',
                'tunnel_dest',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Extended tunnel ID
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('route-distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route distinguisher
                ''',
                'route_distinguisher',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.VrfL3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.VrfL3VpnData',
            False, 
            [
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'vrf-l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev4l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData',
            False, 
            [
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'cev6l3vpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Pseudo-wire ID
                ''',
                'pseudowire_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('remote-l2-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote L2 Router ID
                ''',
                'remote_l2_router_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('subinterface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Subinterface
                ''',
                'subinterface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockData',
            False, 
            [
            _MetaInfoClassMember('edge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Edge ID
                ''',
                'edge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('service', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Service
                ''',
                'service',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                VPN ID
                ''',
                'vpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.IpSubData',
            False, 
            [
            _MetaInfoClassMember('parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent interface
                ''',
                'parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table Id
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4P2MpData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4P2MpData',
            False, 
            [
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Point to multipoint ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('previous-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id-extension', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID extension
                ''',
                'tunnel_id_extension',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel LSP ID
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source
                ''',
                'tunnel_source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4p2mp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.MldPv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.MldPv4Data',
            False, 
            [
            _MetaInfoClassMember('lsm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSM ID
                ''',
                'lsm_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-label-space-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Peer Label Space Id
                ''',
                'peer_label_space_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('peer-lsrid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer LSR Id
                ''',
                'peer_lsrid',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSM ID Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mld-pv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('pwhe-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TpData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TpData',
            False, 
            [
            _MetaInfoClassMember('dest-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP destination global ID
                ''',
                'dest_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP destination node ID
                ''',
                'dest_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('dest-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP destination tunnel ID
                ''',
                'dest_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TP source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TP source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TP source tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tp-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('gre-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation interface
                ''',
                'gre_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation',
            False, 
            [
            _MetaInfoClassMember('greipv6-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Generic routing encapsulation IPv6 interface
                ''',
                'greipv6_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-generic-routing-encapsulation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.EvpnData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.EvpnData',
            False, 
            [
            _MetaInfoClassMember('ethernet-segment', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Ethernet Segment ID
                ''',
                'ethernet_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN ID
                ''',
                'evpn_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EVPN TAG
                ''',
                'evpn_tag',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'evpn-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6BlbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6BlbData',
            False, 
            [
            _MetaInfoClassMember('blb-intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD BLB interface
                ''',
                'blb_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6blb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMiPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMiPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-mi-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMsPmsiData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMsPmsiData',
            False, 
            [
            _MetaInfoClassMember('head', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Head
                ''',
                'head',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('hli', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Head LSM-ID
                ''',
                'hli',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('seg', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Segmented Multicast
                ''',
                'seg',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Originating Router
                ''',
                'source',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                PIM6
                ''',
                'v6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF ID
                ''',
                'vrf_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pi-ms-pmsi-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn',
            False, 
            [
            _MetaInfoClassMember('next-hop-set-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next Hop Set ID
                ''',
                'next_hop_set_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'next-hop-set-l3vpn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrPrefixSegment' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrPrefixSegment',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix Segment ID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-prefix-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv4 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6',
            False, 
            [
            _MetaInfoClassMember('addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Adjacency nexthop IPv6 address
                ''',
                'addr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('intf', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Adjacency interface
                ''',
                'intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Adjacency type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'sr-adj-segment-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData',
            False, 
            [
            _MetaInfoClassMember('offset', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Offset
                ''',
                'offset',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'size',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('start-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Start Label
                ''',
                'start_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-block-srgb-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TeBinding' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TeBinding',
            False, 
            [
            _MetaInfoClassMember('te-identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Traffic Engineering Tunnel or Group ID
                ''',
                'te_identifier',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-type', REFERENCE_ENUM_CLASS, 'MgmtLsdTeBindingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdTeBindingEnum', 
                [], [], 
                '''                Type of identifier for the binding
                ''',
                'te_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-binding',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext',
            False, 
            [
            _MetaInfoClassMember('cev4l3vpn-data', REFERENCE_CLASS, 'Cev4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData', 
                [], [], 
                '''                L3VPN CEv4 label context
                ''',
                'cev4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cev6l3vpn-data', REFERENCE_CLASS, 'Cev6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData', 
                [], [], 
                '''                L3VPN CEv6 label context
                ''',
                'cev6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('evpn-data', REFERENCE_CLASS, 'EvpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.EvpnData', 
                [], [], 
                '''                EVPN context
                ''',
                'evpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('generic-routing-encapsulation', REFERENCE_CLASS, 'GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.IpSubData', 
                [], [], 
                '''                IP Subscriber context
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4Data', 
                [], [], 
                '''                IPv4 label context
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4blb-data', REFERENCE_CLASS, 'Ipv4BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv4blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4l3vpn-data', REFERENCE_CLASS, 'Ipv4L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData', 
                [], [], 
                '''                L3VPN IPv4 label context
                ''',
                'ipv4l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6Data', 
                [], [], 
                '''                IPv6 label context
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-generic-routing-encapsulation', REFERENCE_CLASS, 'Ipv6GenericRoutingEncapsulation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation', 
                [], [], 
                '''                Generic routing encapsulation context
                ''',
                'ipv6_generic_routing_encapsulation',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6blb-data', REFERENCE_CLASS, 'Ipv6BlbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6BlbData', 
                [], [], 
                '''                BFD BLB label context
                ''',
                'ipv6blb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6l3vpn-data', REFERENCE_CLASS, 'Ipv6L3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData', 
                [], [], 
                '''                L3VPN IPv6 label context
                ''',
                'ipv6l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-data', REFERENCE_CLASS, 'LabelBlockData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockData', 
                [], [], 
                '''                Label block context
                ''',
                'label_block_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-block-srgb-data', REFERENCE_CLASS, 'LabelBlockSrgbData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData', 
                [], [], 
                '''                Label block SRGB context
                ''',
                'label_block_srgb_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-type', REFERENCE_ENUM_CLASS, 'MgmtLsdLblCtxEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdLblCtxEnum', 
                [], [], 
                '''                LabelContextType
                ''',
                'label_context_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mld-pv4-data', REFERENCE_CLASS, 'MldPv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.MldPv4Data', 
                [], [], 
                '''                MLDPv4 LSM-ID context
                ''',
                'mld_pv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-set-l3vpn', REFERENCE_CLASS, 'NextHopSetL3Vpn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn', 
                [], [], 
                '''                L3VPN NH SET label context
                ''',
                'next_hop_set_l3vpn',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-mi-pmsi-data', REFERENCE_CLASS, 'PiMiPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMiPmsiData', 
                [], [], 
                '''                PIM I-PMSI label conext
                ''',
                'pi_mi_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pi-ms-pmsi-data', REFERENCE_CLASS, 'PiMsPmsiData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMsPmsiData', 
                [], [], 
                '''                PIM S-PMSI label conext
                ''',
                'pi_ms_pmsi_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireData', 
                [], [], 
                '''                Pseudowire label context
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData', 
                [], [], 
                '''                Pseudowire Head-end label context
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv4', REFERENCE_CLASS, 'SrAdjSegmentIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4', 
                [], [], 
                '''                SR Adj Segment ipv4 context
                ''',
                'sr_adj_segment_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-adj-segment-ipv6', REFERENCE_CLASS, 'SrAdjSegmentIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6', 
                [], [], 
                '''                SR Adj Segment ipv6 context
                ''',
                'sr_adj_segment_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-prefix-segment', REFERENCE_CLASS, 'SrPrefixSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrPrefixSegment', 
                [], [], 
                '''                SR Prefix Segment context
                ''',
                'sr_prefix_segment',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-binding', REFERENCE_CLASS, 'TeBinding' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TeBinding', 
                [], [], 
                '''                MPLS TE tunnel binding context
                ''',
                'te_binding',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4Data', 
                [], [], 
                '''                TEv4 label context
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4p2mp-data', REFERENCE_CLASS, 'Tev4P2MpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4P2MpData', 
                [], [], 
                '''                TEv4 P2MP context
                ''',
                'tev4p2mp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tp-data', REFERENCE_CLASS, 'TpData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TpData', 
                [], [], 
                '''                TP context
                ''',
                'tp_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-l3vpn-data', REFERENCE_CLASS, 'VrfL3VpnData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.VrfL3VpnData', 
                [], [], 
                '''                L3VPN VRF label context
                ''',
                'vrf_l3vpn_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-context',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LocalLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LocalLabelRewrite',
            False, 
            [
            _MetaInfoClassMember('label-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'local-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_',
            False, 
            [
            _MetaInfoClassMember('label-context', REFERENCE_CLASS, 'LabelContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext', 
                [], [], 
                '''                Label context
                ''',
                'label_context',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label-rewrite', REFERENCE_CLASS, 'LocalLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LocalLabelRewrite', 
                [], [], 
                '''                Local label rewrite information
                ''',
                'local_label_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id-type', REFERENCE_ENUM_CLASS, 'MgmtLsdRwIdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdRwIdEnum', 
                [], [], 
                '''                RewriteIDType
                ''',
                'rewrite_id_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId',
            False, 
            [
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-id',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.LabelData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.LabelData',
            False, 
            [
            _MetaInfoClassMember('elc', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                ELC
                ''',
                'elc',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('security-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Security ID
                ''',
                'security_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.TeData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.TeData',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('sr-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR related Local label
                ''',
                'sr_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('router-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route flags
                ''',
                'router_flags',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Version
                ''',
                'version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.PwListData',
            False, 
            [
            _MetaInfoClassMember('pwhe-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudowire List Identifier
                ''',
                'pwhe_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.DmtcExtIntfData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.DmtcExtIntfData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-ext-intf-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-intf-data', REFERENCE_CLASS, 'DmtcExtIntfData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.DmtcExtIntfData', 
                [], [], 
                '''                dmtc ext intf data
                ''',
                'dmtc_ext_intf_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdFpiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdFpiEnum', 
                [], [], 
                '''                FPIType
                ''',
                'fpi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-data', REFERENCE_CLASS, 'LabelData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.LabelData', 
                [], [], 
                '''                label data
                ''',
                'label_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-data', REFERENCE_CLASS, 'TeData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.TeData', 
                [], [], 
                '''                te data
                ''',
                'te_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi',
            False, 
            [
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.ApplicationOwner', 
                [], [], 
                '''                Application owner instance
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi', REFERENCE_CLASS, 'Fpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi', 
                [], [], 
                '''                FPI
                ''',
                'fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'associated-fpi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.V4Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.V4Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                V4 RPF Neighbor
                ''',
                'v4_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v4-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.V6Rpf' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.V6Rpf',
            False, 
            [
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf-neighbor', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                V6 RPF Neighbor
                ''',
                'v6_rpf_neighbor',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'v6-rpf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.ApplicationResource' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.ApplicationResource',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-resource',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv4' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv4',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupTp' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupTp',
            False, 
            [
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-tp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv6' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv6',
            False, 
            [
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pop-and-lookup-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv4Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv6Data',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Tev4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Tev4Data',
            False, 
            [
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup IPv4 nexthop
                ''',
                'backup_ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('backup-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup local label
                ''',
                'backup_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('data-out-parent-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing data parent interface
                ''',
                'data_out_parent_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('merge-point-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Merge point label
                ''',
                'merge_point_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel class
                ''',
                'tunnel_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Tunnel interface
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel weight
                ''',
                'tunnel_weight',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'tev4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireData',
            False, 
            [
            _MetaInfoClassMember('bridge-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bridge ID
                ''',
                'bridge_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross-connect ID
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseuodo-wire-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PseudoWire Cross-connect ID
                ''',
                'pseuodo_wire_connect_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('split-horizon-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Split horizon group ID
                ''',
                'split_horizon_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.IpSubData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.IpSubData',
            False, 
            [
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ip-sub-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireHeadEndData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireHeadEndData',
            False, 
            [
            _MetaInfoClassMember('control-word', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is control word present
                ''',
                'control_word',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('imposition', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is PWHE IMposition
                ''',
                'imposition',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Pseudo-wire List Identifier
                ''',
                'pw_list_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pwhe-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Head-end interface
                ''',
                'pwhe_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vctype', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Virtual Circuit Type
                ''',
                'vctype',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pseudowire-head-end-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PwListData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PwListData',
            False, 
            [
            _MetaInfoClassMember('l2-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 2 interface
                ''',
                'l2_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('l3-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Pseudo-wire Layer 3 interface
                ''',
                'l3_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'pw-list-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 nexthop
                ''',
                'ipv4_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Routing path's load metric
                ''',
                'load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE backup path local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface-parent', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface's parent
                ''',
                'out_interface_parent',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=10),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('owner-application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Owner application type
                ''',
                'owner_application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv4-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.Nexthop' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.Nexthop',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path backup id
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 nexthop
                ''',
                'ipv6_next_hop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('next-hop-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop ID
                ''',
                'next_hop_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing interface
                ''',
                'out_interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('out-label-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing label name
                ''',
                'out_label_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path flag decoded string
                ''',
                'path_flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Routing path id
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'nexthop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label',
            False, 
            [
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('outgoing-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Remote Label string
                ''',
                'outgoing_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack',
            False, 
            [
            _MetaInfoClassMember('label', REFERENCE_LIST, 'Label' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label', 
                [], [], 
                '''                Info related to outgoing labels
                ''',
                'label',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('nexthop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote nexthop addresses
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=2),
            _MetaInfoClassMember('num-lbls', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Depth of inner label stack
                ''',
                'num_lbls',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-nexthops', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of remote nexthop addresses
                ''',
                'num_nexthops',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'inner-stack',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data',
            False, 
            [
            _MetaInfoClassMember('inner-stack', REFERENCE_CLASS, 'InnerStack' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack', 
                [], [], 
                '''                Inner stack
                ''',
                'inner_stack',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('nexthop', REFERENCE_CLASS, 'Nexthop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.Nexthop', 
                [], [], 
                '''                Nexthop
                ''',
                'nexthop',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'stackv6-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.TeHeadData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.TeHeadData',
            False, 
            [
            _MetaInfoClassMember('flags-decode', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Flags decoded string
                ''',
                'flags_decode',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Table ID
                ''',
                'table_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('table-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF table name
                ''',
                'table_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-fwd-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Tunnel forwarding class
                ''',
                'tunnel_fwd_class',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-load-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Load metric
                ''',
                'tunnel_load_metric',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel local label
                ''',
                'tunnel_local_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tunnel-local-label-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel local label stringified
                ''',
                'tunnel_local_label_str',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'te-head-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.DmtcData' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.DmtcData',
            False, 
            [
            _MetaInfoClassMember('dmtc-ext-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                DMTC External Interface
                ''',
                'dmtc_ext_ifh',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'dmtc-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi',
            False, 
            [
            _MetaInfoClassMember('dmtc-data', REFERENCE_CLASS, 'DmtcData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.DmtcData', 
                [], [], 
                '''                dmtc data
                ''',
                'dmtc_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ip-sub-data', REFERENCE_CLASS, 'IpSubData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.IpSubData', 
                [], [], 
                '''                ip sub data
                ''',
                'ip_sub_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv4-data', REFERENCE_CLASS, 'Ipv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv4Data', 
                [], [], 
                '''                ipv4 data
                ''',
                'ipv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-data', REFERENCE_CLASS, 'Ipv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv6Data', 
                [], [], 
                '''                ipv6 data
                ''',
                'ipv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-type', REFERENCE_ENUM_CLASS, 'MgmtLsdMoiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdMoiEnum', 
                [], [], 
                '''                MoiType
                ''',
                'moi_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv4', REFERENCE_CLASS, 'PopAndLookupIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv4', 
                [], [], 
                '''                pop and lookup ipv4
                ''',
                'pop_and_lookup_ipv4',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-ipv6', REFERENCE_CLASS, 'PopAndLookupIpv6' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv6', 
                [], [], 
                '''                pop and lookup ipv6
                ''',
                'pop_and_lookup_ipv6',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pop-and-lookup-tp', REFERENCE_CLASS, 'PopAndLookupTp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupTp', 
                [], [], 
                '''                pop and lookup tp
                ''',
                'pop_and_lookup_tp',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-data', REFERENCE_CLASS, 'PseudowireData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireData', 
                [], [], 
                '''                pseudowire data
                ''',
                'pseudowire_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pseudowire-head-end-data', REFERENCE_CLASS, 'PseudowireHeadEndData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireHeadEndData', 
                [], [], 
                '''                pseudowire head end data
                ''',
                'pseudowire_head_end_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('pw-list-data', REFERENCE_CLASS, 'PwListData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PwListData', 
                [], [], 
                '''                pw list data
                ''',
                'pw_list_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv4-data', REFERENCE_CLASS, 'Stackv4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data', 
                [], [], 
                '''                stackv4 data
                ''',
                'stackv4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('stackv6-data', REFERENCE_CLASS, 'Stackv6Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data', 
                [], [], 
                '''                stackv6 data
                ''',
                'stackv6_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('te-head-data', REFERENCE_CLASS, 'TeHeadData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.TeHeadData', 
                [], [], 
                '''                te head data
                ''',
                'te_head_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('tev4-data', REFERENCE_CLASS, 'Tev4Data' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Tev4Data', 
                [], [], 
                '''                tev4 data
                ''',
                'tev4_data',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray',
            False, 
            [
            _MetaInfoClassMember('moi', REFERENCE_CLASS, 'Moi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi', 
                [], [], 
                '''                Moi
                ''',
                'moi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'moi-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois',
            False, 
            [
            _MetaInfoClassMember('application-resource', REFERENCE_CLASS, 'ApplicationResource' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.ApplicationResource', 
                [], [], 
                '''                Application state
                ''',
                'application_resource',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('moi-array', REFERENCE_LIST, 'MoiArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray', 
                [], [], 
                '''                moi array
                ''',
                'moi_array',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mois',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels.RewriteLabel' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels.RewriteLabel',
            False, 
            [
            _MetaInfoClassMember('label-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Label value
                ''',
                'label_id',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('associated-fpi', REFERENCE_LIST, 'AssociatedFpi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi', 
                [], [], 
                '''                Associated FPI
                ''',
                'associated_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('bcdl-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                BCDL Priority
                ''',
                'bcdl_priority',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('fpi-key', REFERENCE_CLASS, 'FpiKey' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey', 
                [], [], 
                '''                fpi key
                ''',
                'fpi_key',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('lsd-queue', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSD queue
                ''',
                'lsd_queue',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('mois', REFERENCE_LIST, 'Mois' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois', 
                [], [], 
                '''                Mois
                ''',
                'mois',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('priority-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite's BCDL priority updated
                ''',
                'priority_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-id', REFERENCE_CLASS, 'RewriteId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId', 
                [], [], 
                '''                Rewrite ID
                ''',
                'rewrite_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite version
                ''',
                'rewrite_version',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install age
                ''',
                'rw_install_age',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-install-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Rewrite install timestamp
                ''',
                'rw_install_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rw-updated', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Is rewrite ever updated
                ''',
                'rw_updated',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v4-rpf', REFERENCE_LIST, 'V4Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.V4Rpf', 
                [], [], 
                '''                IPv4 RPF neighbors
                ''',
                'v4_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('v6-rpf', REFERENCE_LIST, 'V6Rpf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel.V6Rpf', 
                [], [], 
                '''                IPv6 RPF neighbors
                ''',
                'v6_rpf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite.RewriteLabels' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite.RewriteLabels',
            False, 
            [
            _MetaInfoClassMember('rewrite-label', REFERENCE_LIST, 'RewriteLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels.RewriteLabel', 
                [], [], 
                '''                FPI rewrite for label
                ''',
                'rewrite_label',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Rewrite' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Rewrite',
            False, 
            [
            _MetaInfoClassMember('rewrite-ipv4s', REFERENCE_CLASS, 'RewriteIpv4S' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteIpv4S', 
                [], [], 
                '''                Table of Rewrites
                ''',
                'rewrite_ipv4s',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-labels', REFERENCE_CLASS, 'RewriteLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteLabels', 
                [], [], 
                '''                Table of Rewrites
                ''',
                'rewrite_labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-pws', REFERENCE_CLASS, 'RewritePws' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewritePws', 
                [], [], 
                '''                Table of Rewrites
                ''',
                'rewrite_pws',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-tes', REFERENCE_CLASS, 'RewriteTes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite.RewriteTes', 
                [], [], 
                '''                Table of Traffic Engineering Rewrites
                ''',
                'rewrite_tes',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.RewriteSummary.Ipv4Paths' : {
        'meta_info' : _MetaInfoClass('MplsLsd.RewriteSummary.Ipv4Paths',
            False, 
            [
            _MetaInfoClassMember('total-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of non-primary backup paths
                ''',
                'total_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pop-lkup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pop-and-Lookup paths
                ''',
                'total_pop_lkup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-protected-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of protected paths
                ''',
                'total_protected_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-remote-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of remote backup paths
                ''',
                'total_remote_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.RewriteSummary.Ipv6Paths' : {
        'meta_info' : _MetaInfoClass('MplsLsd.RewriteSummary.Ipv6Paths',
            False, 
            [
            _MetaInfoClassMember('total-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of non-primary backup paths
                ''',
                'total_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pop-lkup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pop-and-Lookup paths
                ''',
                'total_pop_lkup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-protected-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of protected paths
                ''',
                'total_protected_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-remote-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of remote backup paths
                ''',
                'total_remote_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.RewriteSummary' : {
        'meta_info' : _MetaInfoClass('MplsLsd.RewriteSummary',
            False, 
            [
            _MetaInfoClassMember('ipv4-paths', REFERENCE_CLASS, 'Ipv4Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.RewriteSummary.Ipv4Paths', 
                [], [], 
                '''                Count for IPv4 paths
                ''',
                'ipv4_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-paths', REFERENCE_CLASS, 'Ipv6Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.RewriteSummary.Ipv6Paths', 
                [], [], 
                '''                Count for IPv6 paths
                ''',
                'ipv6_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-dmtctefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DMTC FPI
                ''',
                'num_dmtctefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-ipv4fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv4 FPI
                ''',
                'num_ipv4fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-ipv6fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv6 FPI
                ''',
                'num_ipv6fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-label-fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of label FPI
                ''',
                'num_label_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-pw-list-tefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PW List FPI
                ''',
                'num_pw_list_tefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rewrites
                ''',
                'num_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-rewrite-rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rewrites with RPF Neighbors
                ''',
                'num_rewrite_rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-tefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of TE FPI
                ''',
                'num_tefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-dmtc-intf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DMTC External Interfaces
                ''',
                'total_dmtc_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-forwad-update-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of forward update messages
                ''',
                'total_forwad_update_message',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-forward-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of forward updates
                ''',
                'total_forward_update',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ip-sub-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP Subscriber paths
                ''',
                'total_ip_sub_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ipv4rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IPv4 RPF Neighbors
                ''',
                'total_ipv4rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ipv6rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IPv6 RPF Neighbors
                ''',
                'total_ipv6rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pw-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pseudo-wire paths
                ''',
                'total_pw_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-t-ev4-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Traffic Eng IPv4 paths
                ''',
                'total_t_ev4_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-te-head-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Traffic Eng Head paths
                ''',
                'total_te_head_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name_xr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Applications.Application.ApplicationStatistics.Connected' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Applications.Application.ApplicationStatistics.Connected',
            False, 
            [
            _MetaInfoClassMember('error-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error count
                ''',
                'error_msg_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('oor-label-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label OOR count
                ''',
                'oor_label_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('operation-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Operation count
                ''',
                'operation_msg_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rt-set-msg-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RT set count
                ''',
                'rt_set_msg_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Applications.Application.ApplicationStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Applications.Application.ApplicationStatistics',
            False, 
            [
            _MetaInfoClassMember('connect-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Connect count
                ''',
                'connect_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Applications.Application.ApplicationStatistics.Connected', 
                [], [], 
                '''                Connected statistics
                ''',
                'connected',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('interface-enable', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interface enabled
                ''',
                'interface_enable',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('interface-enable-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interface enable pending
                ''',
                'interface_enable_pending',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-context-count', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label context count
                ''',
                'label_context_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=29),
            _MetaInfoClassMember('label-context-pending-count', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Label context pending count
                ''',
                'label_context_pending_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False, max_elements=29),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Applications.Application' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Applications.Application',
            False, 
            [
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Application Instance name in the form of
                '<app_type_name>[:<instance>]'
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('app-disconnect-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                App disconnect ts
                ''',
                'app_disconnect_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('app-flow-controlled', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                App flow control status
                ''',
                'app_flow_controlled',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('app-reg-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                App reg ts
                ''',
                'app_reg_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                client-app instance
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name_xr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppStateEnum', 
                [], [], 
                '''                Application state
                ''',
                'application_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-statistics', REFERENCE_CLASS, 'ApplicationStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Applications.Application.ApplicationStatistics', 
                [], [], 
                '''                Application Statistics
                ''',
                'application_statistics',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('flow-ctrl-clr-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flow Ctrl Clr ts
                ''',
                'flow_ctrl_clr_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('flow-ctrl-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Flow Ctrl ts
                ''',
                'flow_ctrl_time',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('go-act-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                App go active timestamp
                ''',
                'go_act_ts',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['([a-zA-Z0-9_]*\\d+/){1,2}([a-zA-Z0-9_]*\\d+)'], 
                '''                Node ID where application is/was running
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('recovery-time-elapsed-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery time [secs] elapsed if client is timing
                out
                ''',
                'recovery_time_elapsed_seconds',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('recovery-time-register-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery time [secs] specified at registration
                or set explicitly
                ''',
                'recovery_time_register_seconds',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('recovery-time-remaining-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery time [secs] remaining if client is
                timing out
                ''',
                'recovery_time_remaining_seconds',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Applications' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Applications',
            False, 
            [
            _MetaInfoClassMember('application', REFERENCE_LIST, 'Application' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Applications.Application', 
                [], [], 
                '''                Data for MPLS application using LSD
                ''',
                'application',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'applications',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.LabelSummaryVrfs.LabelSummaryVrf.OwnerCount' : {
        'meta_info' : _MetaInfoClass('MplsLsd.LabelSummaryVrfs.LabelSummaryVrf.OwnerCount',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                client-app identifier
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('number-of-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of labels
                ''',
                'number_of_labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'owner-count',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.LabelSummaryVrfs.LabelSummaryVrf' : {
        'meta_info' : _MetaInfoClass('MplsLsd.LabelSummaryVrfs.LabelSummaryVrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('owner-count', REFERENCE_LIST, 'OwnerCount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.LabelSummaryVrfs.LabelSummaryVrf.OwnerCount', 
                [], [], 
                '''                Owner counts
                ''',
                'owner_count',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rsi-connected', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Rsi connected
                ''',
                'rsi_connected',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-labels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total labels
                ''',
                'total_labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name_xr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-summary-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.LabelSummaryVrfs' : {
        'meta_info' : _MetaInfoClass('MplsLsd.LabelSummaryVrfs',
            False, 
            [
            _MetaInfoClassMember('label-summary-vrf', REFERENCE_LIST, 'LabelSummaryVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.LabelSummaryVrfs.LabelSummaryVrf', 
                [], [], 
                '''                Dynamic label range summary by VRF
                ''',
                'label_summary_vrf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-summary-vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.LabelRange' : {
        'meta_info' : _MetaInfoClass('MplsLsd.LabelRange',
            False, 
            [
            _MetaInfoClassMember('max-dynamic-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum dynamic label value
                ''',
                'max_dynamic_label_value',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('max-static-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum static label value
                ''',
                'max_static_label_value',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('min-dynamic-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum dynamic label value
                ''',
                'min_dynamic_label_value',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('min-static-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum static label value
                ''',
                'min_static_label_value',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'label-range',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv4Paths' : {
        'meta_info' : _MetaInfoClass('MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv4Paths',
            False, 
            [
            _MetaInfoClassMember('total-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of non-primary backup paths
                ''',
                'total_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pop-lkup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pop-and-Lookup paths
                ''',
                'total_pop_lkup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-protected-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of protected paths
                ''',
                'total_protected_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-remote-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of remote backup paths
                ''',
                'total_remote_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv4-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv6Paths' : {
        'meta_info' : _MetaInfoClass('MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv6Paths',
            False, 
            [
            _MetaInfoClassMember('total-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of non-primary backup paths
                ''',
                'total_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pop-lkup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pop-and-Lookup paths
                ''',
                'total_pop_lkup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-protected-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of protected paths
                ''',
                'total_protected_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-remote-backup-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of remote backup paths
                ''',
                'total_remote_backup_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'ipv6-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf' : {
        'meta_info' : _MetaInfoClass('MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('ipv4-paths', REFERENCE_CLASS, 'Ipv4Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv4Paths', 
                [], [], 
                '''                Count for IPv4 paths
                ''',
                'ipv4_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('ipv6-paths', REFERENCE_CLASS, 'Ipv6Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv6Paths', 
                [], [], 
                '''                Count for IPv6 paths
                ''',
                'ipv6_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-dmtctefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DMTC FPI
                ''',
                'num_dmtctefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-ipv4fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv4 FPI
                ''',
                'num_ipv4fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-ipv6fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv6 FPI
                ''',
                'num_ipv6fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-label-fpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of label FPI
                ''',
                'num_label_fpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-pw-list-tefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of PW List FPI
                ''',
                'num_pw_list_tefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rewrites
                ''',
                'num_rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-rewrite-rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of rewrites with RPF Neighbors
                ''',
                'num_rewrite_rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('num-tefpi', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of TE FPI
                ''',
                'num_tefpi',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-dmtc-intf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DMTC External Interfaces
                ''',
                'total_dmtc_intf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-forwad-update-message', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of forward update messages
                ''',
                'total_forwad_update_message',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-forward-update', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of forward updates
                ''',
                'total_forward_update',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ip-sub-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IP Subscriber paths
                ''',
                'total_ip_sub_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ipv4rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IPv4 RPF Neighbors
                ''',
                'total_ipv4rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-ipv6rpf-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of IPv6 RPF Neighbors
                ''',
                'total_ipv6rpf_neighbors',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total paths
                ''',
                'total_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-pw-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Pseudo-wire paths
                ''',
                'total_pw_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-t-ev4-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Traffic Eng IPv4 paths
                ''',
                'total_t_ev4_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('total-te-head-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of Traffic Eng Head paths
                ''',
                'total_te_head_paths',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('vrf-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF Name
                ''',
                'vrf_name_xr',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-summary-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.RewriteSummaryVrfs' : {
        'meta_info' : _MetaInfoClass('MplsLsd.RewriteSummaryVrfs',
            False, 
            [
            _MetaInfoClassMember('rewrite-summary-vrf', REFERENCE_LIST, 'RewriteSummaryVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf', 
                [], [], 
                '''                Rewrite summary by VRF VRF-name
                ''',
                'rewrite_summary_vrf',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'rewrite-summary-vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Interfaces.Interface.ApplicationOwner' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Interfaces.Interface.ApplicationOwner',
            False, 
            [
            _MetaInfoClassMember('application-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application instance Name
                ''',
                'application_instance',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Application name
                ''',
                'application_name',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-role-primary', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Primary/Backup role
                ''',
                'application_role_primary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('application-type', REFERENCE_ENUM_CLASS, 'MgmtLsdAppEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppEnum', 
                [], [], 
                '''                Application type
                ''',
                'application_type',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('resource-state', REFERENCE_ENUM_CLASS, 'MgmtLsdAppRsrcStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdAppRsrcStateEnum', 
                [], [], 
                '''                Application resource state
                ''',
                'resource_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'application-owner',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-lsd-oper', True),
            _MetaInfoClassMember('application-owner', REFERENCE_LIST, 'ApplicationOwner' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Interfaces.Interface.ApplicationOwner', 
                [], [], 
                '''                Application Owner
                ''',
                'application_owner',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('interface-state', REFERENCE_ENUM_CLASS, 'MgmtLsdIntfStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MgmtLsdIntfStateEnum', 
                [], [], 
                '''                Interface state
                ''',
                'interface_state',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd.Interfaces' : {
        'meta_info' : _MetaInfoClass('MplsLsd.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Interfaces.Interface', 
                [], [], 
                '''                Data for MPLS interface
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
    'MplsLsd' : {
        'meta_info' : _MetaInfoClass('MplsLsd',
            False, 
            [
            _MetaInfoClassMember('applications', REFERENCE_CLASS, 'Applications' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Applications', 
                [], [], 
                '''                Table of MPLS applications using LSD
                ''',
                'applications',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('clients', REFERENCE_CLASS, 'Clients' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Clients', 
                [], [], 
                '''                Table of MPLS clients using LSD
                ''',
                'clients',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('frr-database', REFERENCE_CLASS, 'FrrDatabase' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.FrrDatabase', 
                [], [], 
                '''                FRR database
                ''',
                'frr_database',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Interfaces', 
                [], [], 
                '''                Table of MPLS interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-range', REFERENCE_CLASS, 'LabelRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.LabelRange', 
                [], [], 
                '''                Label range
                ''',
                'label_range',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-summary', REFERENCE_CLASS, 'LabelSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.LabelSummary', 
                [], [], 
                '''                Dynamic label range
                ''',
                'label_summary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('label-summary-vrfs', REFERENCE_CLASS, 'LabelSummaryVrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.LabelSummaryVrfs', 
                [], [], 
                '''                Dynamic label range summary by VRF
                ''',
                'label_summary_vrfs',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Labels', 
                [], [], 
                '''                Table of labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite', REFERENCE_CLASS, 'Rewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.Rewrite', 
                [], [], 
                '''                Table of rewrites
                ''',
                'rewrite',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-summary', REFERENCE_CLASS, 'RewriteSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.RewriteSummary', 
                [], [], 
                '''                Rewrite Summary 
                ''',
                'rewrite_summary',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            _MetaInfoClassMember('rewrite-summary-vrfs', REFERENCE_CLASS, 'RewriteSummaryVrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper', 'MplsLsd.RewriteSummaryVrfs', 
                [], [], 
                '''                Rewrite Summary by VRF
                ''',
                'rewrite_summary_vrfs',
                'Cisco-IOS-XR-mpls-lsd-oper', False),
            ],
            'Cisco-IOS-XR-mpls-lsd-oper',
            'mpls-lsd',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-lsd-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_lsd_oper'
        ),
    },
}
_meta_table['MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion.Application']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion.BcdlAgent']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Clients.Client.ClientUnion']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Clients.Client']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Clients.Client']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Clients']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.LabelSummary.OwnerCount']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.LabelSummary']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Tev4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.VrfL3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Cev4L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Cev6L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PseudowireData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.LabelBlockData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.IpSubData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Tev4P2MpData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.MldPv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.TpData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.EvpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv4BlbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.Ipv6BlbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PiMiPmsiData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.PiMsPmsiData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.NextHopSetL3Vpn']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrPrefixSegment']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrAdjSegmentIpv4']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.SrAdjSegmentIpv6']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.LabelBlockSrgbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key.TeBinding']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext.Key']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.LabelContext']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels.Label']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Labels']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Head']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Midpoint']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint.OutPath']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints.TunnelMidpoint']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Head']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Midpoint']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead.OutPath']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads.TunnelHead']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.SummaryProtectedInterfaces.SummaryProtectedInterface']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.SummaryProtectedInterfaces']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpoints']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeads']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelHeadSummary']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.SummaryProtectedInterfaces']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelSummary']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase.TunnelMidpointSummary']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.VrfL3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.IpSubData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4P2MpData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.MldPv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TpData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.EvpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4BlbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6BlbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMiPmsiData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMsPmsiData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrPrefixSegment']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TeBinding']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LocalLabelRewrite']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv4']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupTp']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv6']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Tev4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.IpSubData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.TeHeadData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.DmtcData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.ApplicationResource']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois.MoiArray']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.FpiKey']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.RewriteId']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.AssociatedFpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.V4Rpf']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.V6Rpf']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw.Mois']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws.RewritePw']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.VrfL3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.IpSubData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4P2MpData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.MldPv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TpData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.EvpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4BlbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6BlbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMiPmsiData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMsPmsiData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrPrefixSegment']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TeBinding']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LocalLabelRewrite']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv4']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupTp']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv6']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Tev4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.IpSubData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.TeHeadData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.DmtcData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.ApplicationResource']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.V4Rpf']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.V6Rpf']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4.Mois']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.VrfL3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.IpSubData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4P2MpData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.MldPv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TpData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.EvpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4BlbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6BlbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMiPmsiData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMsPmsiData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrPrefixSegment']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TeBinding']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LocalLabelRewrite']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv4']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupTp']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv6']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Tev4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.IpSubData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.TeHeadData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.DmtcData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.ApplicationResource']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.FpiKey']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.RewriteId']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.AssociatedFpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.V4Rpf']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.V6Rpf']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe.Mois']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes.RewriteTe']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.VrfL3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.IpSubData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4P2MpData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.MldPv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TpData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.EvpnData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4BlbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6BlbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMiPmsiData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMsPmsiData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrPrefixSegment']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TeBinding']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LocalLabelRewrite']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv4']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupTp']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv6']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Tev4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.IpSubData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PwListData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.TeHeadData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.DmtcData']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.ApplicationResource']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.FpiKey']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.RewriteId']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.V4Rpf']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.V6Rpf']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel.Mois']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels.RewriteLabel']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewritePws']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteIpv4S']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteTes']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite.RewriteLabels']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummary.Ipv4Paths']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummary']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummary.Ipv6Paths']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummary']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Applications.Application.ApplicationStatistics.Connected']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Applications.Application.ApplicationStatistics']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Applications.Application.ApplicationStatistics']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Applications.Application']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Applications.Application']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Applications']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs.LabelSummaryVrf.OwnerCount']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs.LabelSummaryVrf']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs.LabelSummaryVrf']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv4Paths']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv6Paths']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs.RewriteSummaryVrf']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Interfaces.Interface.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Interfaces.Interface']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Interfaces.Interface']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode.Interfaces']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Clients']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.LabelSummary']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Labels']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.FrrDatabase']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Rewrite']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummary']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Applications']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.LabelSummaryVrfs']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.LabelRange']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.RewriteSummaryVrfs']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode.Interfaces']['meta_info'].parent =_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info']
_meta_table['MplsLsdNodes.MplsLsdNode']['meta_info'].parent =_meta_table['MplsLsdNodes']['meta_info']
_meta_table['MplsLsd.Clients.Client.ClientUnion.Application']['meta_info'].parent =_meta_table['MplsLsd.Clients.Client.ClientUnion']['meta_info']
_meta_table['MplsLsd.Clients.Client.ClientUnion.BcdlAgent']['meta_info'].parent =_meta_table['MplsLsd.Clients.Client.ClientUnion']['meta_info']
_meta_table['MplsLsd.Clients.Client.ClientUnion']['meta_info'].parent =_meta_table['MplsLsd.Clients.Client']['meta_info']
_meta_table['MplsLsd.Clients.Client']['meta_info'].parent =_meta_table['MplsLsd.Clients']['meta_info']
_meta_table['MplsLsd.LabelSummary.OwnerCount']['meta_info'].parent =_meta_table['MplsLsd.LabelSummary']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Tev4Data']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Ipv4L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Ipv6L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.VrfL3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Cev4L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Cev6L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.PseudowireData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.LabelBlockData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.IpSubData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Tev4P2MpData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.MldPv4Data']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.TpData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Ipv6GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.EvpnData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Ipv4BlbData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.Ipv6BlbData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.PiMiPmsiData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.PiMsPmsiData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.NextHopSetL3Vpn']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.SrPrefixSegment']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.SrAdjSegmentIpv4']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.SrAdjSegmentIpv6']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.LabelBlockSrgbData']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key.TeBinding']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext.Key']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label.LabelContext']['meta_info']
_meta_table['MplsLsd.Labels.Label.LabelContext']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label']['meta_info']
_meta_table['MplsLsd.Labels.Label.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsd.Labels.Label']['meta_info']
_meta_table['MplsLsd.Labels.Label']['meta_info'].parent =_meta_table['MplsLsd.Labels']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Head']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId.Midpoint']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.FrrEntryId']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint.OutPath']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints.TunnelMidpoint']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Head']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId.Midpoint']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.FrrEntryId']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelHeads.TunnelHead.OutPath']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelHeads.TunnelHead']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.TunnelHeads']['meta_info']
_meta_table['MplsLsd.FrrDatabase.SummaryProtectedInterfaces.SummaryProtectedInterface']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase.SummaryProtectedInterfaces']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelMidpoints']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelHeads']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelHeadSummary']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase']['meta_info']
_meta_table['MplsLsd.FrrDatabase.SummaryProtectedInterfaces']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelSummary']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase']['meta_info']
_meta_table['MplsLsd.FrrDatabase.TunnelMidpointSummary']['meta_info'].parent =_meta_table['MplsLsd.FrrDatabase']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.Fpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.VrfL3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.IpSubData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Tev4P2MpData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.MldPv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TpData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.EvpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv4BlbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.Ipv6BlbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMiPmsiData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.PiMsPmsiData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrPrefixSegment']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext.TeBinding']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LabelContext']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_.LocalLabelRewrite']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId.RewriteId_']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.Fpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv4']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupTp']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PopAndLookupIpv6']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Tev4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.IpSubData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.Stackv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.TeHeadData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi.DmtcData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray.Moi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.ApplicationResource']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois.MoiArray']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.FpiKey']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.RewriteId']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.AssociatedFpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.V4Rpf']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.V6Rpf']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw.Mois']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws.RewritePw']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewritePws']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.Fpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.VrfL3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.IpSubData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Tev4P2MpData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.MldPv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TpData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.EvpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv4BlbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.Ipv6BlbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMiPmsiData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.PiMsPmsiData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrPrefixSegment']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext.TeBinding']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LabelContext']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_.LocalLabelRewrite']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId.RewriteId_']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.Fpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv4']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupTp']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PopAndLookupIpv6']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Tev4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.IpSubData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.Stackv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.TeHeadData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi.DmtcData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray.Moi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.ApplicationResource']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois.MoiArray']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.FpiKey']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.RewriteId']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.AssociatedFpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.V4Rpf']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.V6Rpf']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4.Mois']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S.RewriteIpv4']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteIpv4S']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.Fpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.VrfL3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.IpSubData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Tev4P2MpData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.MldPv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TpData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.EvpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv4BlbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.Ipv6BlbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMiPmsiData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.PiMsPmsiData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrPrefixSegment']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext.TeBinding']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LabelContext']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_.LocalLabelRewrite']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId.RewriteId_']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.Fpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv4']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupTp']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PopAndLookupIpv6']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Tev4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.IpSubData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.Stackv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.TeHeadData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi.DmtcData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray.Moi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.ApplicationResource']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois.MoiArray']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.FpiKey']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.RewriteId']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.AssociatedFpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.V4Rpf']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.V6Rpf']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe.Mois']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes.RewriteTe']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteTes']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.Fpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.VrfL3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev4L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Cev6L3VpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.IpSubData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Tev4P2MpData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.MldPv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TpData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6GenericRoutingEncapsulation']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.EvpnData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv4BlbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.Ipv6BlbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMiPmsiData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.PiMsPmsiData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.NextHopSetL3Vpn']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrPrefixSegment']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv4']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.SrAdjSegmentIpv6']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.LabelBlockSrgbData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext.TeBinding']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LabelContext']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_.LocalLabelRewrite']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId.RewriteId_']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.LabelData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.TeData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi.DmtcExtIntfData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.Fpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack.Label']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.Nexthop']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data.InnerStack']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv4']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupTp']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PopAndLookupIpv6']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Ipv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Tev4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.IpSubData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PseudowireHeadEndData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.PwListData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv4Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.Stackv6Data']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.TeHeadData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi.DmtcData']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray.Moi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.ApplicationResource']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois.MoiArray']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.FpiKey']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.RewriteId']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.AssociatedFpi']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.V4Rpf']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.V6Rpf']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel.Mois']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels.RewriteLabel']['meta_info'].parent =_meta_table['MplsLsd.Rewrite.RewriteLabels']['meta_info']
_meta_table['MplsLsd.Rewrite.RewritePws']['meta_info'].parent =_meta_table['MplsLsd.Rewrite']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteIpv4S']['meta_info'].parent =_meta_table['MplsLsd.Rewrite']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteTes']['meta_info'].parent =_meta_table['MplsLsd.Rewrite']['meta_info']
_meta_table['MplsLsd.Rewrite.RewriteLabels']['meta_info'].parent =_meta_table['MplsLsd.Rewrite']['meta_info']
_meta_table['MplsLsd.RewriteSummary.Ipv4Paths']['meta_info'].parent =_meta_table['MplsLsd.RewriteSummary']['meta_info']
_meta_table['MplsLsd.RewriteSummary.Ipv6Paths']['meta_info'].parent =_meta_table['MplsLsd.RewriteSummary']['meta_info']
_meta_table['MplsLsd.Applications.Application.ApplicationStatistics.Connected']['meta_info'].parent =_meta_table['MplsLsd.Applications.Application.ApplicationStatistics']['meta_info']
_meta_table['MplsLsd.Applications.Application.ApplicationStatistics']['meta_info'].parent =_meta_table['MplsLsd.Applications.Application']['meta_info']
_meta_table['MplsLsd.Applications.Application']['meta_info'].parent =_meta_table['MplsLsd.Applications']['meta_info']
_meta_table['MplsLsd.LabelSummaryVrfs.LabelSummaryVrf.OwnerCount']['meta_info'].parent =_meta_table['MplsLsd.LabelSummaryVrfs.LabelSummaryVrf']['meta_info']
_meta_table['MplsLsd.LabelSummaryVrfs.LabelSummaryVrf']['meta_info'].parent =_meta_table['MplsLsd.LabelSummaryVrfs']['meta_info']
_meta_table['MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv4Paths']['meta_info'].parent =_meta_table['MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf']['meta_info']
_meta_table['MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf.Ipv6Paths']['meta_info'].parent =_meta_table['MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf']['meta_info']
_meta_table['MplsLsd.RewriteSummaryVrfs.RewriteSummaryVrf']['meta_info'].parent =_meta_table['MplsLsd.RewriteSummaryVrfs']['meta_info']
_meta_table['MplsLsd.Interfaces.Interface.ApplicationOwner']['meta_info'].parent =_meta_table['MplsLsd.Interfaces.Interface']['meta_info']
_meta_table['MplsLsd.Interfaces.Interface']['meta_info'].parent =_meta_table['MplsLsd.Interfaces']['meta_info']
_meta_table['MplsLsd.Clients']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
_meta_table['MplsLsd.LabelSummary']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
_meta_table['MplsLsd.Labels']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
_meta_table['MplsLsd.FrrDatabase']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
_meta_table['MplsLsd.Rewrite']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
_meta_table['MplsLsd.RewriteSummary']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
_meta_table['MplsLsd.Applications']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
_meta_table['MplsLsd.LabelSummaryVrfs']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
_meta_table['MplsLsd.LabelRange']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
_meta_table['MplsLsd.RewriteSummaryVrfs']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
_meta_table['MplsLsd.Interfaces']['meta_info'].parent =_meta_table['MplsLsd']['meta_info']
